<?PHP
/***************************************************************
*  Copyright notice
*
*  (c) 2009-2017 Nicolas Berg
*  All rights reserved
*
*  This script is part of the CMM3 Content-Management-System.
*  CMM3 is provided only under a commercial license until now.
*  Maybe we will add a free license in future.
*
*  This script is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
*
*  This copyright notice MUST APPEAR in all copies of the script!
***************************************************************/

////////////////////////////////////////////////////////////////////
// Modul-Einstellungen                                            //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM'] = array();
// Module-key
$CONFIG['CMM']['key'] = 'CMM';
// Module-label
$CONFIG['CMM']['label'] = '{LANG_CMM}';
// Module-description
$CONFIG['CMM']['description'] = '{LANG_CMM_DESC}';
// Module-languages
$CONFIG['CMM']['languages'] = 'at,de,ch,en,es,fr,nl,ru';
// Module-icon
$CONFIG['CMM']['icon'] = 'CMM.svg';
// Module-version
$CONFIG['CMM']['version'] = '6.0.6';
// Module-dependencies MOD1:Vmin(:Vmax),MOD2:Vmin(:Vmax),...
$CONFIG['CMM']['depend'] = '';


////////////////////////////////////////////////////////////////////
// Skin-Einstellungen                                             //
////////////////////////////////////////////////////////////////////
// Admin-Bereich
$CONFIG['CMM']['BE'] = array();
// Administrations-Design
$CONFIG['CMM']['BE']['skin'] = 'default';


////////////////////////////////////////////////////////////////////
// Set include files for administration                           //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM']['BE']['include'] = array();
// PHP - starting at CMM_ROOT_DIR
$CONFIG['CMM']['BE']['include']['PHP'] = array();
// CSS - starting at CMM_ROOT_DIR ({CMM_SKIN} = placeholder for skin-dir) 
$CONFIG['CMM']['BE']['include']['CSS'] = array(
	'CMM/skins/{CMM_SKIN}/css/jquery.jdpicker.css',
	'CMM/skins/{CMM_SKIN}/css/jquery.contextMenu.css',
	'CMM/skins/{CMM_SKIN}/css/jquery.tipTip.css',
	'CMM/skins/{CMM_SKIN}/css/jquery.colorbox.css',
	'https://opensource.keycdn.com/fontawesome/4.7.0/font-awesome.min.css',
	'CMM/skins/{CMM_SKIN}/css/CMM_styles.css'
	);
// JS - starting at CMM_ROOT_DIR
$CONFIG['CMM']['BE']['include']['JS'] = array(
	'CMM/js/html5shiv.js',
	'CMM/js/jquery-1.10.2.min.js',
	'CMM/js/jquery-migrate-1.2.1.min.js',
	'CMM/js/jquery.cookie.min.js',
	'CMM/js/jquery.hoverIntent.min.js',
	'CMM/js/jquery.easing.min.js',
	'CMM/js/jquery.json.min.js',
	'CMM/js/jquery.dragsort.min.js',
	'CMM/js/jquery.jdpicker.min.js',
	'CMM/js/jquery.tipTip.min.js',
	'CMM/js/jquery.colorbox.min.js',
	'CMM/js/jquery.geocomplete.min.js',
	'CMM/js/jquery.tagsinput.min.js',
	'CMM/js/jquery.cmm3contextMenu.min.js',
	'CMM/js/jquery.cmm3uploader.min.js',
	'CMM/js/jquery.cmm3multiselect.min.js',
	'CMM/js/jquery.cmm3drag.min.js',
	'CMM/js/jquery.cmm3tableBuilder.min.js',
	'CMM/js/jquery.cmm3pageTree.min.js',
	'CMM/js/jquery.cmm3tabs.min.js',
	'CMM/js/jquery.cmm3accordion.min.js',
	'CMM/js/jquery.cmm3showhide.min.js',
	'CMM/js/mediaelement-and-player.min.js',
	'CMM/tinymce/jquery.tinymce.min.js',
	'CMM/js/CMM_functions-rte.js.php',
	'CMM/js/CMM_functions-input.js',
	'CMM/js/CMM_functions-formedit.js',
	'CMM/js/CMM_functions-ajax.js',
	'CMM/js/CMM_functions.js'
	);


////////////////////////////////////////////////////////////////////
// Set includes for website                                       //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM']['FE'] = array();
$CONFIG['CMM']['FE']['include'] = array();
// PHP - starting at CMM_ROOT_DIR
$CONFIG['CMM']['FE']['include']['PHP'] = array();
// CSS - starting at CMM_ROOT_DIR
$CONFIG['CMM']['FE']['include']['CSS'] = array(
	100=>'CMM/template/css/jquery.colorbox.css',
	101=>'CMM/template/css/jquery.datepicker.css',
	102=>'CMM/template/css/jquery.bxslider.css',
	103=>'CMM/template/css/jquery.cmm3gallery.css',
	104=>'CMM/template/css/jquery.isotope.css',
//	200=>'CMM/template/css/font-awesome.css',
	201=>'https://opensource.keycdn.com/fontawesome/4.7.0/font-awesome.min.css',
	202=>'CMM/template/css/animate.min.css',
	300=>'CMM/template/css/CMM.css'
	);
// JS - starting at CMM_ROOT_DIR
$CONFIG['CMM']['FE']['include']['JS'] = array(
	100=>'CMM/template/js/jquery.cookie.min.js',
	101=>'CMM/template/js/jquery.hoverIntent.min.js',
	102=>'CMM/template/js/jquery.easing.min.js',
	103=>'CMM/template/js/jquery.imagesloaded.min.js',
	104=>'CMM/template/js/jquery.colorbox.min.js',
	105=>'CMM/template/js/jquery.datepicker.min.js',
	106=>'CMM/template/js/jquery.gomap.min.js',
	107=>'CMM/template/js/jquery.bxslider.min.js',
	108=>'CMM/template/js/jquery.isotope.min.js',
	109=>'CMM/template/js/jquery.columnizer.min.js',
	110=>'CMM/template/js/jquery.cmm3tree.min.js',
	111=>'CMM/template/js/jquery.cmm3showhide.min.js',
	112=>'CMM/template/js/jquery.cmm3menu.min.js',
	113=>'CMM/template/js/jquery.cmm3gallery.min.js',
	114=>'CMM/template/js/jquery.cmm3parallax.min.js',
	115=>'CMM/template/js/jquery.cmm3tabs.min.js',
	116=>'CMM/template/js/jquery.cmm3accordion.min.js',
	117=>'CMM/template/js/jquery.cmm3cookiebar.min.js',
	200=>'CMM/template/js/mediaelement-and-player.min.js',
	202=>'CMM/template/js/jquery.waypoints.min.js',
	300=>'CMM/template/js/functions-CMM.js',
	301=>'CMM/template/js/CMM.js'
	);


////////////////////////////////////////////////////////////////////
// Datenverzeichnisse erstellen                                   //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM']['dirs'] = array(
	'temp/',
	'template/',
	'data/',
	'data/CMM/backup/',
	'data/CMM/images/',
	'data/CMM/files/'
	);


////////////////////////////////////////////////////////////////////
// Plugins                                                        //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM']['plugins'] = array(
	'CMM_CMM_Pageindex.php',
	'CMM_CMM_PagePagination.php',
	'CMM_CMM_Navi.php',
	'CMM_CMM_CustomerLogin.php',
	'CMM_CMM_CustomerPassword.php',
	'CMM_CMM_CustomerRegister.php',
	'CMM_CMM_CustomerEdit.php',
	'CMM_CMM_CustomerConfirm.php',
	'CMM_CMM_CustomerDelete.php',
	'CMM_CMM_Sitemap.php',
	'CMM_CMM_Sitemap_XML.php',
	'CMM_CMM_Clickpath.php',
	'CMM_CMM_LanguageSwitch.php',
	'CMM_CSS.php',
	'CMM_JS.php'
	);


////////////////////////////////////////////////////////////////////
// Admin-Sprachen                                                 //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM']['adminLanguages'] = array(
	'de' => 'Deutsch',
	'en' => 'English'/*,
	'fr' => 'Francaise'*/
	);

$CONFIG['CMM']['defaultLanguageWebsite'] = 'de'; // ISO2-Code
$CONFIG['CMM']['defaultLanguageAdmin'] = 'de'; // ISO2-Code


////////////////////////////////////////////////////////////////////
// License-Types-Decription                                       //
////////////////////////////////////////////////////////////////////
// License-Types
$CONFIG['CMM']['licenseTypes'] = array(
	1 => array('title'=>'Private','description'=>'Ausschließlich für private Websites (kostenlos)'),
	2 => array('title'=>'Business','description'=>'Für gewerblich genutzte Websites (kostenpflichtig)')
	);


////////////////////////////////////////////////////////////////////
// Weitere Einstellungen                                          //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM']['config'] = array();

// License - empty field for license-key
$CONFIG['CMM']['config']['license'] = '';

// Modules - list of enabled/installed modules
$CONFIG['CMM']['config']['modules'] = '';

// Seitenname
$CONFIG['CMM']['config']['siteName'] = '';

// Website-Template
$CONFIG['CMM']['config']['siteTemplate'] = '';

// SEO - URLs generieren? [0/1]
$CONFIG['CMM']['config']['seoUseSeoUrls'] = '1';

// URLs Use Language-Code as URL-fragment? [0/1] ... de/
$CONFIG['CMM']['config']['seoUseLangUrls'] = '1';

// Global meta-settigns
$CONFIG['CMM']['config']['metaTitleDefault'] = '';
$CONFIG['CMM']['config']['metaKeywordsDefault'] = '';
$CONFIG['CMM']['config']['metaKeywordsBlacklist'] = array('der','die','das','dass','diese','dieser','dieses','doch','durch','eben','gern','hier','dort','hinter','mal','noch','oft','ist','sind','war','waren','sonst','tun','über','unser','unter','vor','auch','wieder','wer','wie','was','wann','warum','wen','wem','wenn');
$CONFIG['CMM']['config']['metaKeywordsMinlength'] = 4;
$CONFIG['CMM']['config']['metaDescriptionDefault'] = '';
$CONFIG['CMM']['config']['metaPublisherDefault'] = '';
$CONFIG['CMM']['config']['metaAuthorDefault'] = '';
$CONFIG['CMM']['config']['metaCopyrightDefault'] = '';

// Global Email-settings
$CONFIG['CMM']['config']['emailAdminAddress'] = 'info@ihre-domain.de';
$CONFIG['CMM']['config']['emailAdminName'] = 'Ihre Firma';
$CONFIG['CMM']['config']['emailAdminSignature'] = 'Ihre Firma'."\r\n".'Musterstraße 12'."\r\n".'99999 Musterhausen'."\r\n".'Tel.: 01234-56789'."\r\n".'Fax: 01234-56789'."\r\n".'E-Mail:info@ihre-domain.de'."\r\n".'Web: www.ihre-domain.de';

// Global image-settings
$CONFIG['CMM']['config']['imagePathIM'] = '/usr/local/bin/';
$CONFIG['CMM']['config']['imageQualityJPG'] = 90;
$CONFIG['CMM']['config']['imageQualityWEBP'] = 100;
$CONFIG['CMM']['config']['imageMaxWidth'] = 1024;
$CONFIG['CMM']['config']['imageMaxHeight'] = 1024;
$CONFIG['CMM']['config']['imageZoomMaxWidth'] = 1024;
$CONFIG['CMM']['config']['imageZoomMaxHeight'] = 1024;
$CONFIG['CMM']['config']['image@2x'] = 1;

// Global upload-seetings
$CONFIG['CMM']['config']['feUploadFilesizeLimit'] = 5242880; // 1 MB

// Global memory-settings (fe/be)
$CONFIG['CMM']['config']['feMemoryLimit'] = '256M'; // 256M
$CONFIG['CMM']['config']['beMemoryLimit'] = '256M'; // 256M


// Global cache-settings
$CONFIG['CMM']['config']['cacheDisable'] = 0;
$CONFIG['CMM']['config']['cacheCleanupTS'] = 0;
$CONFIG['CMM']['config']['cacheCleanupTimeout'] = 604800;

// Google API-Key
$CONFIG['CMM']['config']['googleApiKey'] = ''; // for localhost AIzaSyDrbKXWPuXe6OKR2gEcMlmlSXrP4cMXSfk

// Set global paths
$CONFIG['CMM']['config']['dirs'] = array(
	'cmmPath' => 'CMM/',
	'dataPath' => 'data/',
	'templatePath' => 'template/', // dyn. changed by template
	'tempPath' => 'temp/'
	);

// Exclude dirs in Filemanager (relative path from CMM_ROOT_DIR with trailing '/')
$CONFIG['CMM']['config']['readonlyDirs'] = array();
$CONFIG['CMM']['config']['forbiddenDirs'] = array('temp/','template/');
$CONFIG['CMM']['config']['readonlyFiles'] = array('data.php');
$CONFIG['CMM']['config']['forbiddenFiles'] = array('config.php','srtucture.php');
$CONFIG['CMM']['config']['readonlyExtensions'] = array();
$CONFIG['CMM']['config']['forbiddenExtensions'] = array('php','phtml','php3','php4','php5','php6','ssh','cgi','pl','sql','htaccess');

// Standard-CMM-Verzeichnisse als readonly definieren
$CONFIG['CMM']['config']['readonlyDirsInCMM'] = array('backup/','images/','files/','audios/','data/','template/');
$CONFIG['CMM']['config']['forbiddenDirsInCMM'] = array('template/','tiny_mce/','backup/','incl/','skins/','languages/','lang/','js/','classes/');

// Salt for passwords
$CONFIG['CMM']['config']['salt'] = 'CMM3';

// Show feEdit-icons
$CONFIG['CMM']['config']['feEdit'] = 0;

// Show feEdit-icons
$CONFIG['CMM']['config']['beAjax'] = 0;

// bekannte Dateitypen
$CONFIG['CMM']['config']['knownFiletypes'] = array('default','avi','csv','dir','doc','docx','dot','eps','exe','fla','flv','gif','htm','html','ico','ics','jpg','jpeg','js','mov','mp3','mpg','pdf','php','png','pot','ppt','psd','rar','rtf','swf','tif','tiff','txt','vcf','webp','xls','xml','zip');
// bekannte Dateitypen - Bild
$CONFIG['CMM']['config']['knownFiletypesImage'] = array('gif','jpg','jpeg','png','svg');
if(version_compare(PHP_VERSION, '5.5.0') >= 0)
	{ $CONFIG['CMM']['config']['knownFiletypesImage'][] = 'webp'; }
// bekannte Dateitypen - Video
$CONFIG['CMM']['config']['knownFiletypesVideo'] = array('mp4','ogg','ogv','webm','fla','swf','wmv','mov','mpg','rm');
// bekannte Dateitypen - Audio
$CONFIG['CMM']['config']['knownFiletypesAudio'] = array('mp3','mp4','ogg','webm','wma','wav','aac','m4a','m4b');
// bekannte Dateitypen - Text
$CONFIG['CMM']['config']['knownFiletypesText'] = array('doc','docx','odt','pdf','txt','rtf','htm','html','css');
// bekannte Dateitypen - Table
$CONFIG['CMM']['config']['knownFiletypesTable'] = array('xls','xlsx','ods','csv','txt');
// bekannte Dateitypen - Design
$CONFIG['CMM']['config']['knownFiletypesDesign'] = array('gif','jpg','png','psd','ai','indd','cdr','cpt','pdf','eps','svg');
// bekannte Dateitypen - verboten (umbenennen / verschieben / loeschen)
$CONFIG['CMM']['config']['knownFiletypesDenied'] = array('php','php3','php4','php5','php6','phtml','htaccess');

// Spam-Schutz aktivieren
$CONFIG['CMM']['config']['outputSpamProtectEmails'] = '1';
// Ersatz-String fuer @
$CONFIG['CMM']['config']['outputSpamProtectEmailsReplace'] = '<span class="iconMailAt"></span>';
// Ausgabe - gzip-Kompression per PHP - nicht notwendig, wenn mod_deflate per htaccess aktiv
$CONFIG['CMM']['config']['outputGzipByPhp'] = 0;
// Ausgabe - Kommentare entfernen
$CONFIG['CMM']['config']['outputRemoveComments'] = 1;
// Whitespace - Leerraeume entfernen
$CONFIG['CMM']['config']['outputRemoveWhitespaces'] = 1;

// Captcha Zeichen
$CONFIG['CMM']['config']['captchaChars'] = 'ABCDEFGHJKLMNPRSTUVWXYZ23456789';
// Captcha Groesse
$CONFIG['CMM']['config']['captchaFontsite'] = 24;
// Captcha Laenge
$CONFIG['CMM']['config']['captchaLength'] = 6;
// Captcha Winkel
$CONFIG['CMM']['config']['captchaAngle'] = 10;

// URL fuer Lizenz-Anfragen
$CONFIG['CMM']['config']['licenseOrderURL'] = ''; //'http://cmm3.net/license/';
// URL fuer Modul-Downloads
$CONFIG['CMM']['config']['repositoryURL'] = ''; //'http://cmm3.net/repository/';

// Log-Actions
$CONFIG['CMM']['config']['logTypes'] = array(
	'LOGIN','LOGOUT','INSTALL','BACKUPMAKE','BACKUPRESTORE','BACKUPREMOVE','REMOVEALL','TRUNCATE','CONFIGSAVE', 
	'PAGEINSERT','PAGEUPDATE','PAGESAVE','PAGESAVENEW','PAGESAVECLOSE','PAGEENABLE','PAGEDISABLE','PAGEPASTECUT','PAGEPASTECOPY','PAGEUP','PAGEDOWN','PAGEREMOVE',
	'INSERT','UPDATE','SAVE','SAVENEW','SAVECLOSE','ENABLE','DISABLE','PASTECUT','PASTECOPY','UP','DOWN','REMOVE',
	'FILECREATE','FILEUPLOAD','FILESAVE','FILEPASTECUT','FILEPASTECOPY','FILERENAME','FILEIMAGINE','FILECHMOD','FILEREMOVE');

// Tiemzone
$CONFIG['CMM']['config']['timezone'] = 'Europe/Berlin'; //'Europe/Berlin';

// Countries - from CMM/incl/countries.php
require_once(CMM_ROOT_DIR.'CMM/incl/countries.php');

// Currencies
$CONFIG['CMM']['config']['currencies'] = array(
	0 => array('code'=>'EUR','name'=>'Euro','symbol'=>'&euro;'),
	1 => array('code'=>'USD','name'=>'Dollar','symbol'=>'$')
	);

// Tax-Classes
$CONFIG['CMM']['config']['taxclasses'] = array(
	0 => 0, // ohne MwSt.
	1 => 19, // normal
	2 => 7 // vermindert
	);

// Icons - from CMM/incl/icons.php
require_once(CMM_ROOT_DIR.'CMM/incl/icons.php');

// Smileys
$CONFIG['CMM']['config']['smilies'] = array(
	'lol'=>array(':lol:','lol.gif'),
	'biggrin'=>array(':D','biggrin.gif'),
	'wink'=>array(':wink:','wink.gif'),
	'razz'=>array(':razz:','razz.gif'),
	'smile'=>array(':)','smile.gif'),
	'cool'=>array(':cool:','cool.gif'),
	'redface'=>array(':redface:','redface.gif'),
	'rolleyes'=>array(':rolleyes:','rolleyes.gif'),
	'surprised'=>array(':surprised:','surprised.gif'),
	'confused'=>array(':confused:','confused.gif'),
	'eek'=>array(':eek:','eek.gif'),
	'sad'=>array(':sad:','sad.gif'),
	'frown'=>array(':(','frown.gif'),
	'cry'=>array(':cry:','cry.gif'),
	'mad'=>array(':mad:','mad.gif')
	);

// Ubbc
$CONFIG['CMM']['config']['ubbc'] = array(
	'b'=>array('B','fa fa-bold','{LANG_CMM_UBBC_INSERT_BOLD}'),
	'i'=>array('I','fa fa-italic','{LANG_CMM_UBBC_INSERT_ITALIC}'),
	'url'=>array('URL','fa fa-link','{LANG_CMM_UBBC_INSERT_LINK}'),
	'mail'=>array('MAIL','fa fa-envelope','{LANG_CMM_UBBC_INSERT_EMAIL}'),
	'img'=>array('IMG','fa fa-image','{LANG_CMM_UBBC_INSERT_IMAGE}')
	);


////////////////////////////////////////////////////////////////////
// Felddefinitionen fuer Config                                   //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM']['configTabs'] = array(0=>'Standard',1=>'Meta',2=>'E-Mail',3=>'Image',4=>'Cache',5=>'Sonstige');
$CONFIG['CMM']['configFields'] = array(
	'siteName' => array('label'=>'Name der Website für Administration','description'=>'Diese Angabe erscheint u.a. beim Admin-Login als Seitentitel.','type'=>'textfield','position'=>'top','tab'=>0),
	'siteTemplate' => array('label'=>'Website-Template','description'=>'Wählen Sie hier das Website-Template also das Design für die gesamte Website aus.','type'=>'select','function'=>array('module'=>'CMM','class'=>'CMM_CMM','function'=>'getTemplateDirsoptions'),'position'=>'top','tab'=>0),
	'metaTitleDefault' => array('label'=>'Meta-Seitetitel (default)','type'=>'textfield','position'=>'right','tab'=>1,'shy'=>1),
	'metaKeywordsDefault' => array('label'=>'Meta-Keywords (default)','type'=>'textfield','position'=>'right','tab'=>1,'shy'=>1),
	'metaDescriptionDefault' => array('label'=>'Meta-Description (default)','type'=>'textfield','position'=>'right','tab'=>1,'shy'=>1),
	'metaPublisherDefault' => array('label'=>'Meta-Publisher','type'=>'textfield','position'=>'left','tab'=>1),
	'metaAuthorDefault' => array('label'=>'Meta-Autor','type'=>'textfield','position'=>'left','tab'=>1),
	'metaCopyrightDefault' => array('label'=>'Meta-Copyright','type'=>'textfield','position'=>'left','tab'=>1),
	'emailAdminAddress' => array('label'=>'Admin E-Mail-Adresse','type'=>'textfield','position'=>'left','tab'=>2),
	'emailAdminName' => array('label'=>'Admin Name','type'=>'textfield','position'=>'left','tab'=>2),
	'emailAdminSignature' => array('label'=>'Standard-Signatur','type'=>'textarea','attribs'=>array('rows'=>5),'position'=>'left','tab'=>2),
	'outputSpamProtectEmails' => array('label'=>'E-Mail-Adressen maskieren','type'=>'radio','options'=>array(array('value'=>'0','text'=>'{LANG_CMM_NO}'),array('value'=>'1','text'=>'{LANG_CMM_YES}')),'position'=>'right','tab'=>2),
	'outputSpamProtectEmailsReplace' => array('label'=>'Ersatz für @ in E-Mail-Adressen','description'=>'Tragen Sie hier einen Zeichenkette ein, die als Ersatz für das @ in E-Mail-Adressen ausgegeben werden soll. Dies dient zum Schutz vor Spider-Programmen, die E-Mail-Adressen in Websites sammeln.','type'=>'textfield','datatype'=>'code','position'=>'right','tab'=>2),
	'imageMaxWidth' => array('label'=>'Maximum Breite (px)','type'=>'textfield','datatype'=>'int','position'=>'left','tab'=>3),
	'imageMaxHeight' => array('label'=>'Maximum Höhe (px)','type'=>'textfield','datatype'=>'int','position'=>'left','tab'=>3),
	'imageZoomMaxWidth' => array('label'=>'Maximum Breite Zoom (px)','type'=>'textfield','datatype'=>'int','position'=>'left','tab'=>3),
	'imageZoomMaxHeight' => array('label'=>'Maximum Höhe Zoom (px)','type'=>'textfield','datatype'=>'int','position'=>'left','tab'=>3),
	'imagePathIM' => array('label'=>'Pfad zu ImageMagick','description'=>'[BETA] Aktuell nur für spezielle Plugins zur Umwandlung PDF-&gt;JPG erforderlich<br>(z.B. /usr/local/bin/ oder /usr/bin/ oder C:\Programme\ImageMagick-6.5.2-Q8\)','type'=>'textfield','datatype'=>'text','position'=>'right','tab'=>3),
	'imageQualityJPG' => array('label'=>'Standard-Qualität JPG (1-100)','type'=>'textfield','datatype'=>'int','position'=>'right','tab'=>3),
	'imageQualityWEBP' => array('label'=>'Standard-Qualität JPG (1-100)','type'=>'textfield','datatype'=>'int','position'=>'right','tab'=>3),
	'image@2x' => array('label'=>'@2x-Bilder generieren','type'=>'radio','options'=>array(array('value'=>'0','text'=>'{LANG_CMM_NO}'),array('value'=>'1','text'=>'{LANG_CMM_YES}')),'position'=>'right','tab'=>3),
	'feUploadFilesizeLimit' => array('label'=>'Upload: Max. Datei-Größe (Bytes)','type'=>'textfield','datatype'=>'int','position'=>'right','tab'=>3),
	'googleApiKey' => array('label'=>'Google API-Key','type'=>'textfield','position'=>'bottom','tab'=>0),
	'seoUseSeoUrls' => array('label'=>'SEO-URLs verwenden','type'=>'radio','options'=>array(array('value'=>'0','text'=>'{LANG_CMM_NO}'),array('value'=>'1','text'=>'{LANG_CMM_YES}')),'position'=>'left','tab'=>5),
	'seoUseLangUrls' => array('label'=>'Sprache als erste Ebene der URL verwenden','type'=>'radio','options'=>array(array('value'=>'0','text'=>'{LANG_CMM_NO}'),array('value'=>'1','text'=>'{LANG_CMM_YES}')),'position'=>'left','tab'=>5),
	'feEdit' => array('label'=>'FE-Edit-Icons anzeigen (wenn eingeloggt)','type'=>'radio','options'=>array(array('value'=>'0','text'=>'{LANG_CMM_NO}'),array('value'=>'1','text'=>'{LANG_CMM_YES}')),'position'=>'left','tab'=>5),
	'beAjax' => array('label'=>'Ajax-Modus für Administration (Status: ALPHA!!!)','type'=>'radio','options'=>array(array('value'=>'0','text'=>'{LANG_CMM_NO}'),array('value'=>'1','text'=>'{LANG_CMM_YES}')),'position'=>'left','tab'=>5),
	'outputGzipByPhp' => array('label'=>'Ausgabe: Gzip-Komprimierung durch PHP','type'=>'radio','options'=>array(array('value'=>'0','text'=>'{LANG_CMM_NO}'),array('value'=>'1','text'=>'{LANG_CMM_YES}')),'position'=>'right','tab'=>5),
	'outputRemoveComments' => array('label'=>'Ausgabe: HTML-Kommentare entfernen','type'=>'radio','options'=>array(array('value'=>'0','text'=>'{LANG_CMM_NO}'),array('value'=>'1','text'=>'{LANG_CMM_YES}')),'position'=>'right','tab'=>5),
	'outputRemoveWhitespaces' => array('label'=>'Ausgabe: HTML-Quelltext optimieren','type'=>'radio','options'=>array(array('value'=>'0','text'=>'{LANG_CMM_NO}'),array('value'=>'1','text'=>'{LANG_CMM_YES}')),'position'=>'right','tab'=>5),
	'cacheDisable' => array('label'=>'Cache: deaktivieren','type'=>'radio','options'=>array(array('value'=>'0','text'=>'{LANG_CMM_NO}'),array('value'=>'1','text'=>'{LANG_CMM_YES}')),'position'=>'left','tab'=>4),
	'cacheCleanupTS' => array('label'=>'Cache: letzte automatische Reinigung (Timestamp)','type'=>'textfield','datatype'=>'int','position'=>'left','tab'=>4),
	'cacheCleanupTimeout' => array('label'=>'Cache: Reinigungs-Interval (Sekunden)','type'=>'textfield','datatype'=>'int','position'=>'left','tab'=>4),
	'license' => array('label'=>'{LANG_CMM_LICENSE_CODE}','type'=>'dummy'), // Requiered to create in db
	'licenseOrderURL' => array('label'=>'URL zur Bestellung eines neuen Lizenz-Codes','type'=>'textfield','position'=>'bottom','tab'=>5),
	'repositoryURL' => array('label'=>'URL zum Download von Modulen','type'=>'textfield','position'=>'bottom','tab'=>5),
	'modules' => array('label'=>'Liste installierter Module','type'=>'textarea','position'=>'bottom','tab'=>5)
	);

?>