/***************************************************************
*  Copyright notice
*
*  (c) 2009-2017 Nicolas Berg
*  All rights reserved
*
*  This script is part of the CMM3 Content-Management-System.
*  CMM3 is provided only under a commercial license until now.
*  Maybe we will add a free license in future.
*
*  This script is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
*
*  This copyright notice MUST APPEAR in all copies of the script!
***************************************************************/

///////////////////////////////////////////////////////////////
// V 1.0 First release
///////////////////////////////////////////////////////////////


// Formular-Editor - Fieldset erzeugen
function CMM_formeditFieldsetAdd(fieldsets)
	{
	// Set url for fieldset/field-wizard
	url = 'wizards/wizard-formedit-fields.php?type=fieldset';

	// Add loaded content
	$.get(url, function(data){
		fieldsets.append(data);
		CMM_formeditGetFormConfig('.CMM_inputBoxFormEditPlayground');
		});
	}


///////////////////////////////////////////////////////////////


// Formular-Editor - Feld erzeugen
function CMM_formeditFieldAdd(fields,inputType)
	{
	// Set url for fieldset/field-wizard
	url = 'wizards/wizard-formedit-fields.php?type='+inputType;

	// Add loaded content
	$.get(url, function(data){
		fields.append(data);
		CMM_formeditGetFormConfig('.CMM_inputBoxFormEditPlayground');
		});
	}


///////////////////////////////////////////////////////////////


// Formular-Editor - Select/Checkbox/Radio-Option erzeugen
function CMM_formeditOptionAdd(currentElementSelector,inputType)
	{
	fieldOptions = $(currentElementSelector).closest('.options');

	// url for fieldset/field-wizard
	url = 'wizards/wizard-formedit-fields.php?type='+inputType;

	// insert fieldset-template
	$.get(url, function(data) {
		//console.log(data);
		$.when(fieldOptions.append(data)).then(CMM_formeditGetFormConfig('.CMM_inputBoxFormEditPlayground'));
		});
	}


///////////////////////////////////////////////////////////////


// Formular-Editor - Feld loeschen
function CMM_formeditFieldsetDel(currentElementSelector)
	{
	fieldset = $(currentElementSelector).closest('.fieldset');

	if(confirm('Spalte mit allen Feldern löschen?') == true)
		{
		fieldset.slideUp(250,function() {
			$.when($(this).remove()).then(CMM_formeditGetFormConfig('.CMM_inputBoxFormEditPlayground'));
			});
		}
	}


///////////////////////////////////////////////////////////////


// Formular-Editor - Feld loeschen
function CMM_formeditFieldDel(currentElementSelector)
	{
	field = $(currentElementSelector).closest('.field');

	if(confirm('Feld löschen?') == true)
		{
		field.slideUp(250,function() {
			$.when($(this).remove()).then(CMM_formeditGetFormConfig('.CMM_inputBoxFormEditPlayground'));
			});
		}
	}


///////////////////////////////////////////////////////////////


// Formular-Editor - Feld loeschen
function CMM_formeditOptionDel(currentElementSelector)
	{
	option = $(currentElementSelector).closest('.option');

	if(confirm('Option löschen?') == true)
		{
		option.slideUp(250,function() {
			$.when($(this).remove()).then(CMM_formeditGetFormConfig('.CMM_inputBoxFormEditPlayground'));
			});
		}
	}


///////////////////////////////////////////////////////////////


// Formular-Editor - Felder in JSON-Objekt sammeln
function CMM_formeditGetFormConfig(currentElementSelector)
	{
	playground = $(currentElementSelector);
	formConfigField = $('.formConfigField TEXTAREA',playground);
	formConfig = {};

	// Get only form settings
	fSettings = $('> .settings',playground);
	formConfig['class'] = $('[name="class"]',fSettings).val();

	// Map each fieldset (div with collection of divs)
	formConfig['fieldsets'] = [];
	fieldsets = $('.fieldsets',playground);
	$('.fieldset',fieldsets).map(function(fsi, fselement) {
		formConfig['fieldsets'][fsi] = {}
		// get fieldset settings
		fsSettings = $('> .settings',fselement);
		formConfig['fieldsets'][fsi]['legend'] = $('[name="legend"]',fsSettings).val();
		formConfig['fieldsets'][fsi]['class'] = $('[name="class"]',fsSettings).val();
		formConfig['fieldsets'][fsi]['width'] = $('[name="width"]',fsSettings).val();

		// Map each field (div with collection of fields)
		formConfig['fieldsets'][fsi]['fields'] = [];
		fields = $('.fields',fselement)
		$('.field',fields).map(function(fi, felement) {
			formConfig['fieldsets'][fsi]['fields'][fi] = {}
			// get field settings
			fsettings = $('> .settings',felement);

			// Map each field setting (fields)
			$('INPUT, SELECT, TEXTAREA',fsettings).map(function(si, selement) {
				selementName = '';
				selementValue = '';
				// Select -> no value or text -> options
				if($(felement).find('[name=type]').val() == 'select' && ($(selement).attr('name') == 'value' || $(selement).attr('name') == 'text' || $(selement).attr('name') == 'selected'))
					{}
				// Radio -> no value or text -> options
				else if($(felement).find('[name=type]').val() == 'radio' && ($(selement).attr('name') == 'value' || $(selement).attr('name') == 'text' || $(selement).attr('name') == 'checked'))
					{}
				// Checkbox -> no value or text -> options
				else if($(felement).find('[name=type]').val() == 'checkbox' && ($(selement).attr('name') == 'value' || $(selement).attr('name') == 'text' || $(selement).attr('name') == 'checked'))
					{}
				// Checkbox
				else if($(selement).attr('type') == 'checkbox')
					{
					selementName = $(selement).attr('name');
					if($(selement).is(':checked'))
						{ selementValue = $(selement).val(); }
					}
				// Other inputs
				else
					{
					selementName = $(selement).attr('name');
					selementValue = $(selement).val();
					}
				if(selementName!='')
					{ formConfig['fieldsets'][fsi]['fields'][fi][selementName] = selementValue; }
				//console.log(selementName+': '+selementValue);

				});

			// START OPTIONS
			foptions = $('> .options',fsettings);
			if(foptions.length > 0)
				{
				formConfig['fieldsets'][fsi]['fields'][fi]['options'] = [];

				$('.option',foptions).map(function(oi, oelement) {
					optionValue = $('[name=value]',oelement).val();
					optionText = $('[name=text]',oelement).val();
					// get field options
					formConfig['fieldsets'][fsi]['fields'][fi]['options'][oi] = {}
					formConfig['fieldsets'][fsi]['fields'][fi]['options'][oi]['value'] = optionValue;
					formConfig['fieldsets'][fsi]['fields'][fi]['options'][oi]['text'] = optionText;
					// Checked or selected
					if($('[name="checked"]',oelement).length > 0)
						{ console.log($('[name="checked"]',oelement).first()); $('[name="checked"]',oelement).first().is(':checked') ? formConfig['fieldsets'][fsi]['fields'][fi]['options'][oi]['checked']=1 : ''; }
					if($('[name="selected"]',oelement).length > 0)
						{ $('[name="selected"]',oelement).first().is(':checked') ? formConfig['fieldsets'][fsi]['fields'][fi]['options'][oi]['selected']=1 : ''; }
					});
				}
			// END OPTIONS

			});
		});

	formConfigJSON = $.toJSON(formConfig)
	formConfigField.val(formConfigJSON);
//	console.log(formConfigJSON);
	}


///////////////////////////////////////////////////////////////


// Validate field values
function CMM_formeditValidateFieldValues(field)
	{
	// If field is label or text
	if($(field).attr('name')=='text' || $(field).attr('name')=='label')
		{}
	// Other fields
	else
		{
		// Remove forbidden chars
		if($(field).val().match(/[\"\'\[\]\{\}\<\>]/g))
			{ $(field).val($(field).val().replace(/[\"\'\[\]\{\}\<\>]/g, '')); }
		}
	}


///////////////////////////////////////////////////////////////


// Set name of the field-container
function CMM_formeditSetFieldname(field)
	{
///	if($(field).attr('name')=='name')
//		{
		// Remove non-alpha-numeric chars
		if($(field).val().match(/[^a-z0-9]/gi))
			{ $(field).val($(field).val().replace(/[^a-z0-9]/gi, '')); }
		// Set title of field-container
		$(field).parents('.field').find('.title SPAN').html($(field).val());
//		}
	}


///////////////////////////////////////////////////////////////


// Set name of the field-container
function CMM_formeditValidateClassField(field)
	{
	// Remove non-alpha-numeric chars
	if($(field).val().match(/[^a-z0-9 -]/gi))
		{ $(field).val($(field).val().replace(/[^a-z0-9 -]/gi, '')); }
	}


///////////////////////////////////////////////////////////////


// jQuery-Plugins starten
$(document).ready(function() {

	// Drag-N-Drop-Sort fuer FormEdit
	fieldDrag = $("UL.fields",'.CMM_inputBoxFormEditPlayground').dragsort({itemSelector:'LI.field', dragSelector:'.head', dragEnd: function() { CMM_formeditGetFormConfig('.CMM_inputBoxFormEditPlayground'); }, placeHolderTemplate: '<li class="field fieldPlaceholder"></div>', dragSelectorExclude:'.settings,span,input,select,textarea,i,a,img' });
	fieldsetDrag = $("UL.fieldsets",'.CMM_inputBoxFormEditPlayground').dragsort({itemSelector:'LI.fieldset', dragSelector:'.head', dragEnd: function() { CMM_formeditGetFormConfig('.CMM_inputBoxFormEditPlayground'); }, placeHolderTemplate: '<li class="fieldset fieldsetPlaceholder"></div>', dragSelectorExclude:'.fields,.settings,span,input,select,textarea,i,a,img' });

	// Add fieldset
	$('.CMM_inputBoxFormEditPlayground').on('click','.fieldsetBarAdd LI',function() {
		tempFieldsets = $(this).closest('.fieldsetBar').prev();
		CMM_formeditFieldsetAdd(tempFieldsets);
		});

	// Add field
	$('.CMM_inputBoxFormEditPlayground').on('click','.fieldBarAdd LI',function() {
		tempFields = $(this).closest('.fieldset').find('.fields');
		newFieldType = $(this).data('fieldtype');
		CMM_formeditFieldAdd(tempFields,newFieldType);
		});

	// Toggle field
	$('.CMM_inputBoxFormEditPlayground').on('click','.field .head .title',function() {
		$(this).parent().next().slideToggle();
		});
	
	// Eingabe ueberwachen - on blur
	$('.CMM_inputBoxFormEditPlayground .settings').on('blur','INPUT, TEXTAREA',function() {
		// Checkbox-Wert darf nicht leer sein
		if($(this).parents('.fieldCheckbox').length>0 && $(this).attr('name')=='value' && ($(this).val().trim()=='' || $(this).val().trim()=='0'))
			{ $(this).val('1'); }
		});

	// Eingabe ueberwachen - on keyup
	$('.CMM_inputBoxFormEditPlayground').on('keyup','INPUT, TEXTAREA',function() {
		CMM_formeditValidateFieldValues($(this));
		CMM_formeditGetFormConfig('.CMM_inputBoxFormEditPlayground');
		
		// Feld Name verifizieren und Feldnamen setzen
		if($(this).attr('name') == 'name')
			{ CMM_formeditSetFieldname($(this)); }

		// Feld Klasse verifizieren
		if($(this).attr('name') == 'class')
			{ CMM_formeditValidateClassField($(this)); }
		});

	// Select-Change ueberwachen
	$('.CMM_inputBoxFormEditPlayground').on('change','SELECT',function() {
		CMM_formeditGetFormConfig('.CMM_inputBoxFormEditPlayground');
		});

	// Klick auf Checkbox ueberwachen
	$('.CMM_inputBoxFormEditPlayground').on('click',':checkbox',function() {
		CMM_formeditGetFormConfig('.CMM_inputBoxFormEditPlayground');
		});

	// nach Ajax-Load reaktivieren
	$(document).ajaxComplete(function(event, xhr, settings) {
		// Drag-N-Drop-Sort fuer FormEdit
		$("UL.fields",'.CMM_inputBoxFormEditPlayground').dragsort('destroy')
		$("UL.fields",'.CMM_inputBoxFormEditPlayground').dragsort({itemSelector:'LI.field', dragSelector:'.head', dragEnd: function() { CMM_formeditGetFormConfig('.CMM_inputBoxFormEditPlayground'); }, placeHolderTemplate: '<li class="field fieldPlaceholder"></div>', dragSelectorExclude:'.settings,span,input,select,textarea,i,a,img' });
		$("UL.fieldsets",'.CMM_inputBoxFormEditPlayground').dragsort('destroy')
		$("UL.fieldsets",'.CMM_inputBoxFormEditPlayground').dragsort({itemSelector:'LI.fieldset', dragSelector:'.head', dragEnd: function() { CMM_formeditGetFormConfig('.CMM_inputBoxFormEditPlayground'); }, placeHolderTemplate: '<li class="fieldset fieldsetPlaceholder"></div>', dragSelectorExclude:'.fields,.settings,span,input,select,textarea,i,a,img' });
/*		$('.CMM_inputBoxFormEditPlayground .settings').on('keyup','INPUT, TEXTAREA',function() {
			CMM_formeditSetFieldname($(this));
			CMM_formeditGetFormConfig('.CMM_inputBoxFormEditPlayground');
			});
*/		});

	// Datenfeld initialisieren
	CMM_formeditGetFormConfig('.CMM_inputBoxFormEditPlayground');

	});