/***************************************************************
*  Copyright notice
*
*  (c) 2009-2017 Nicolas Berg
*  All rights reserved
*
*  This script is part of the CMM3 Content-Management-System.
*  CMM3 is provided only under a commercial license until now.
*  Maybe we will add a free license in future.
*
*  This script is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
*
*  This copyright notice MUST APPEAR in all copies of the script!
***************************************************************/

///////////////////////////////////////////////////////////////
// V 1.0 First release
///////////////////////////////////////////////////////////////


// Show shy fields contents, if not empty
function CMM_inputShyfieldsShow(fields)
	{
	fields.each(function() {
		// Select current field
		var currentField = $(this);
		// Get first input of field
		var currentInput = $('.CMM_inputBoxField',this).find('INPUT,TEXTAREA,SELECT').first();

		currentCheck = false;
		// type checkbox
		if(currentInput.prop('type')=='checkbox')
			{
			if(currentInput.prop('checked')==true)
				{ currentCheck = true; }
			}
		// type radio
		else if(currentInput.prop('type')=='radio')
			{
			// radio/radio-group: Check if one radio (of a group) is checked
			if($('input[name="'+ currentInput.attr('name') +'"]:checked').length > 0)
				{ currentCheck = true; }
			}
		// types text, textarea, password, select, hidden
		else if(currentInput.val() != '' && currentInput.val() != null)
			{ currentCheck = true; }

		// show field, if not empty
		if(currentCheck == true)
			{
			// Open field
			$('.CMM_inputBoxField',currentField).show();
			// Toggle class
			currentField.toggleClass('CMM_inputBoxOpen');

			setTimeout(function() {
				// Get current RTE-field
				if($('TEXTAREA.rte:visible',currentField).length > 0)
					{
					currentRTE = $('TEXTAREA.rte:visible',currentField);
					// Check if current rte was not already laoded
					if(jQuery.inArray(currentRTE.attr('id'),loadedRTEs) == -1)
						{
						// Re-init RTE - timeout required until tab is visible
						CMM_initRTE(currentRTE);
						// Add RTE-id to list of loaded RTEs
						loadedRTEs.push(currentRTE.attr('id'));
						}
					}
				},500);
			}
		});
	}


///////////////////////////////////////////////////////////////


// Toggle shy fields contents
function CMM_inputShyfieldsToggle(fields)
	{
	fields.each(function() {
		// Select current field
		var currentField = $(this);
		// Click event
		$('.CMM_inputBoxTitle SPAN',currentField).on('click',function(){
			// If field is open
			if(currentField.hasClass('CMM_inputBoxOpen'))
				{
				// Close field and remove class
				$('.CMM_inputBoxField',currentField).slideUp(500).animate({opacity:0},{queue:false, duration:250});
				currentField.removeClass('CMM_inputBoxOpen');
				}
			else
				{
				// Close field and remove class
				$('.CMM_inputBoxField',currentField).css({opacity:0}).slideDown(500).animate({opacity:1},{queue:false, duration:750});
				currentField.addClass('CMM_inputBoxOpen');

				// If current field contains rte
				if($('TEXTAREA.rte',currentField).length > 0)
					{
					currentRTE = $('TEXTAREA.rte',currentField);
					// Check if current rte was not already laoded
					if(jQuery.inArray(currentRTE.attr('id'),loadedRTEs) == -1)
						{
						// Re-init RTE - timeout required until tab is visible
						setTimeout(function() { CMM_initRTE(currentRTE); },500);
						// Add RTE-id to list of loaded RTEs
						loadedRTEs.push(currentRTE.attr('id'));
						}
					}
				}
			});	
		});
	}


///////////////////////////////////////////////////////////////


// Funktion zum Ein- / Ausblenden der Dateiauswahl fuer Bildlisten
function CMM_inputListfieldTogglePanel(inputID,dir,subdir,session)
	{
	inputBox = $('#'+inputID);
	inputBoxAddItem = inputBox.find('.CMM_inputBoxAddItem');
	inputBoxAddItemListForm = inputBox.find('.CMM_inputBoxAddItemForm');
	inputBoxAddItemListItems = inputBox.find('.CMM_inputBoxAddItemListItems');

	// Get subdir from cookie
	if(subdir=='' && $.cookie(inputID))
		{ subdir = $.cookie(inputID); }

	// Inhalt leeren
	inputBoxAddItemListItems.html('');

	if(inputBoxAddItemListForm.css('display') == 'none')
		{
		inputBoxAddItemListForm.slideDown(300);
		inputBoxAddItemListItems.addClass('loading');
		inputBoxAddItemListItems.load('wizards/wizard-filetree.php?dir='+dir+'&subdir='+subdir+'&'+session+'&allowedExtensions=jpg,gif,png&showDirs=1&noCache='+(new Date()).getTime(), function() {
			inputBoxAddItemListItems.removeClass('loading');
			// Tooltip reaktivieren
			$('A[title], IMG[title], I[title], SPAN[title]','#contentContainer').tipTip({defaultPosition:'top', edgeOffset:5});
			// Lightbox reaktivieren
			$("a.lightbox").delay(600).each(function(){ 
				$(this).colorbox({rel:$(this).attr('data-group'), maxWidth:'95%', maxHeight:'95%',previous:'&#xf053;' ,next:'&#xf054;' ,close:'&#xf00d;', current:'', slideshow:true, slideshowAuto:false, slideshowStart:'&#xf04b;' , slideshowStop:'&#xf04c;'}); 
				}); 
			});
		}
	else
		{
		inputBoxAddItemListForm.slideUp(300,function() {
			// Inhalt leeren
			inputBoxAddItemListItems.html('');
			});
		}
	}


///////////////////////////////////////////////////////////////


// Funktion zum Laden eines anderen Verzeichnisses
function CMM_inputListfieldReloadPanel(inputID,dir,subdir,session)
	{
	inputBox = $('#'+inputID);
	inputBoxAddItem = inputBox.find('.CMM_inputBoxAddItem');
	inputBoxAddItemListItems = inputBox.find('.CMM_inputBoxAddItemListItems');

	// Inhalt leeren
	inputBoxAddItemListItems.html('');

	inputBoxAddItemListItems.addClass('loading');
	inputBoxAddItemListItems.load('wizards/wizard-filetree.php?dir='+dir+'&subdir='+subdir+'&'+session+'&allowedExtensions=jpg,gif,png&showDirs=1&noCache='+(new Date()).getTime(), function() {
		inputBoxAddItemListItems.removeClass('loading');
		// Tooltip reaktivieren
		$('A[title], IMG[title], I[title], SPAN[title]','#contentContainer').tipTip({defaultPosition:'top', edgeOffset:5});
		// Lightbox reaktivieren
		$("a.lightbox").delay(600).each(function(){ 
			$(this).colorbox({rel:$(this).attr('data-group'), maxWidth:'95%', maxHeight:'95%',previous:'&#xf053;' ,next:'&#xf054;' ,close:'&#xf00d;', current:'', slideshow:true, slideshowAuto:false, slideshowStart:'&#xf04b;' , slideshowStop:'&#xf04c;'}); 
			});
		// Set subdir to cookie
		$.cookie(inputID, subdir);
		});
	}


///////////////////////////////////////////////////////////////


function CMM_inputListfieldToggleSortmode(inputID)
	{
	inputBox = $('#'+inputID);
	inputBoxCurrentItems = inputBox.find('.CMM_inputBoxCurrentItems');

	if(inputBox.find('.CMM_inputBoxSortMode INPUT').is(':checked'))
		{ inputBoxCurrentItems.addClass('CMM_inputBoxCurrentSortmode'); }
	else
		{ inputBoxCurrentItems.removeClass('CMM_inputBoxCurrentSortmode'); }
	}


///////////////////////////////////////////////////////////////


// Funktion zum Erzeugen eines weiteren Listenfeldes
function CMM_inputListfieldAddItem(inputID)
	{
	inputBox = $('#'+inputID);
	inputBoxCurrentItems = inputBox.find('.CMM_inputBoxCurrentItems');
	inputBoxFieldTemplate = inputBox.find('.CMM_inputBoxFieldTemplate .CMM_inputBoxField');

	// neues Element aus Vorlage kopieren
	inputBoxNewItem = inputBoxFieldTemplate.clone();

	// neues Element einfuegen
	inputBoxNewItem.appendTo(inputBoxCurrentItems);

	// Neue Elemente einblenden
	inputBoxNewItem.slideDown(300,function() {
		// Lightbox reaktivieren
		$("a.lightbox").each(function(){ 
			$(this).colorbox({rel:$(this).attr('data-group'), maxWidth:'95%', maxHeight:'95%',previous:'&#xf053;' ,next:'&#xf054;' ,close:'&#xf00d;', current:'', slideshow:true, slideshowAuto:false, slideshowStart:'&#xf04b;' , slideshowStop:'&#xf04c;'}); 
			}); 
		// Tooltip reanimieren
		$('A[title], IMG[title], I[title], SPAN[title]','#contentContainer').tipTip({defaultPosition:'top', edgeOffset:5});
		// Seitenauswahl reanimieren
	//	$(".pagebutton",'#'+inputID).attr('onclick','CMM_showPageDialog($(this).prev());');
		});
	}


///////////////////////////////////////////////////////////////


// Funktion zum Erstellen eines oder mehrerer Media-Feld-Eintraege
function CMM_inputListfieldAddMultipleItems(inputID,dir)
	{
	inputBox = $('#'+inputID);
	inputBoxAddItemForm = inputBox.find('.CMM_inputBoxAddItemForm');
	inputBoxCurrentItems = inputBox.find('.CMM_inputBoxCurrentItems');
	inputBoxAddItemList = inputBox.find('.CMM_inputBoxAddItemList');
	inputBoxFieldTemplate = inputBox.find('.CMM_inputBoxFieldTemplate .CMM_inputBoxField');
	
	var selectedItems = new Array();

	// Auswahl ermitteln
	checkboxes1 = inputBoxAddItemList.find('INPUT:checked').each(function() {
		selectedItems.push(this.value);
		});

	// Formular ausblenden
	inputBoxAddItemForm.slideUp(500);

	// Elemente in Box einfuegen
	inputBoxNewItems = new Array();
	for(el=0; el<selectedItems.length; el++)
		{
		// Dateinamen aus URL extrahieren
		var filePath = selectedItems[el];

		var fileName = filePath.split('/').pop();
		var fileExtension = fileName.split('.').pop();
		// neues Element aus Vorlage kopieren
		inputBoxNewItems[el] = inputBoxFieldTemplate.clone(true,true);

		// Inhalte in Template ersetzen
		$('.CMM_inputBoxFieldPreview INPUT',inputBoxNewItems[el]).val(selectedItems[el]);
		// Inhalte fuer Bilder ersetzen
		$('.CMM_inputBoxFieldPreview A',inputBoxNewItems[el]).attr("href",'../'+dir+filePath);
		$('.CMM_inputBoxFieldPreview A',inputBoxNewItems[el]).attr("class",'lightbox');
		if(fileExtension == 'svg')
			{ $('.CMM_inputBoxFieldPreview IMG',inputBoxNewItems[el]).attr("src",'../'+dir+filePath); }
		else
			{ $('.CMM_inputBoxFieldPreview IMG',inputBoxNewItems[el]).attr("src",'../CMM/thumb.php?src='+dir+filePath+'&width=75&maxH=75'); }
		$('.CMM_inputBoxFieldPreview IMG',inputBoxNewItems[el]).attr("title",filePath.split('/').join('/ '));
		// Inhalte fuer Downloads ersetzen
		$('.CMM_inputBoxFieldPreview I',inputBoxNewItems[el]).attr("title",filePath.split('/').join('/ '));
		$('.CMM_inputBoxFieldPreview I',inputBoxNewItems[el]).addClass('CMM_fileType'+fileExtension.toUpperCase());
		// Create direction select
//		$('.CMM_inputTypeDirections',inputBoxNewItems[el]).each(function(index,element) {
//			CMM_inputImageListDirectionsSelect($(this));
//			});

		// neues Element einfuegen
		inputBoxNewItems[el].appendTo(inputBoxCurrentItems);

		// Neue Elemente einblenden
		inputBoxNewItems[el].slideDown(300,function() {
			// Lightbox reaktivieren
			$("a.lightbox").delay(600).each(function(){ 
				$(this).colorbox({rel:$(this).attr('data-group'), maxWidth:'95%', maxHeight:'95%',previous:'&#xf053;' ,next:'&#xf054;' ,close:'&#xf00d;', current:'', slideshow:true, slideshowAuto:false, slideshowStart:'&#xf04b;' , slideshowStop:'&#xf04c;'}); 
				}); 
			// Tooltip reanimieren
			$('A[title], IMG[title], I[title], SPAN[title]','#contentContainer').tipTip({defaultPosition:'top', edgeOffset:5});
			});
		}
	}


///////////////////////////////////////////////////////////////


// Funktion zum Loeschen eines Listenfeldes
function CMM_inputListfieldDeleteItem(deleteButton)
	{
	listItem = deleteButton.closest('.CMM_inputBoxField')

	listItem.slideUp(300, function() {
		$(this).remove();
		// Tooltip reanimieren
		$('A[title], IMG[title], I[title], SPAN[title]','#contentContainer').tipTip({defaultPosition:'top', edgeOffset:5});
		});
	}


///////////////////////////////////////////////////////////////


function CMM_inputListfieldRefreshPreviewImage(selectedElement,src,href)
	{
	previewArea = selectedElement.parents('.CMM_inputBoxField').find('.CMM_inputBoxFieldPreview');

	// Dateinamen aus URL extrahieren
	if(src == '')
		{
		previewArea.find('A').attr('title','keine Auswahl').attr('href','CMM/clear.png');
		previewArea.find('IMG').attr('title','keine Auswahl').attr('src','../CMM/clear.png');
		}
	else
		{
		var fileName = href.split('/').pop();
		var fileExtension = fileName.split('/').pop();
		previewArea.find('A').attr('title',fileName).attr('href',href);

		if(fileExtension == 'svg')
			{ previewArea.find('IMG').attr('title',fileName.split('/').join('/ ')).attr("src",'../'+src); }
		else
			{ previewArea.find('IMG').attr('title',fileName.split('/').join('/ ')).attr("src",'../CMM/thumb.php?src='+src+'&width=75&maxH=75'); }
		}

	// Tooltip reanimieren
	$('A[title], IMG[title], I[title], SPAN[title]','#contentContainer').tipTip({defaultPosition:'top', edgeOffset:5});
	// Lightbox reaktivieren
	$("a.lightbox").each(function(){ 
		$(this).colorbox({rel:$(this).attr('data-group'), maxWidth:'95%', maxHeight:'95%',previous:'&#xf053;' ,next:'&#xf054;' ,close:'&#xf00d;', current:'', slideshow:true, slideshowAuto:false, slideshowStart:'&#xf04b;' , slideshowStop:'&#xf04c;'}); 
		}); 
	}


///////////////////////////////////////////////////////////////


function CMM_inputListfieldRefreshPreviewAudio(selectedElement,path)
	{
	inputBox = selectedElement.parents('.CMM_inputBox');
	inputBoxField = selectedElement.parents('.CMM_inputBoxField');
	previewArea = inputBoxField.find('.CMM_inputBoxFieldPreview');
	fileSelects = inputBoxField.find('.fileSelect');
	mediaTypes = {'mp3':'audio/mpeg','m4a':'audio/x-aac','mp4':'audio/x-aac','ogg':'audio/ogg','oga':'audio/ogg'};

	// Clear preview
	previewArea.empty();

	var output = ''
	// Loop for select fields
	fileSelects.each( function() {
		if($(this).val() != '')
			{
			// Get filename and type
			var file = $(this).val();
			var fileType = file.split('.').pop();
			output+= '<source src="'+path+file+'" type="'+(mediaTypes[fileType]!='undefined' ? mediaTypes[fileType] : '')+'"></source>';
			}
		});

	if(output != '')
		{
		// Create audio container
		output = '<audio controls>'+output+'</audio>';
		// Set preview
		previewArea.append(output);
		// Load audio player
		previewArea.find('AUDIO').mediaelementplayer({alwaysShowControls:true, features:['playpause','current','duration'], audioVolume:'horizontal', audioWidth:'100%', pluginPath:'CMM/template/js/', flashName:'flashmediaelement.swf', silverlightName:'silverlightmediaelement.xap'});
		}
	}


///////////////////////////////////////////////////////////////


function CMM_inputSelectfieldChangeByIcon(icon)
	{
	icon = $(icon);
	iconGroup = $(icon).closest('.CMM_inputBoxFieldIconsGroup');
	iconsAll = $(icon).closest('.CMM_inputBoxFieldIcons');
	inputField = $(icon).closest('.CMM_inputBoxField');
	inputSelect = inputField.find('SELECT');

	// Click on act-item
	if(icon.hasClass('act'))
		{
		// Remove act-class
		icon.removeClass('act');
		}
	// Click on non-act-item
	else
		{
		// If one selection per group allowed - multiple
		if(inputSelect.attr('multiple'))
			{ iconGroup.find('IMG').removeClass('act'); }
		// If only one selection total allowed
		else
			{ iconsAll.find('IMG').removeClass('act'); }

		// Add act-class
		icon.addClass('act');
		}

	// Werte einsammeln
	inputField.find('OPTION').removeAttr("selected");

	// Get values from images marked as act
	actValues = [];
	iconsAll.find('IMG.act').each(function() {
		actValues.push($(this).data('value'));
		});
		
	// Set value and fire change-event
	inputSelect.val(actValues).change();

	return false;
	}


///////////////////////////////////////////////////////////////


function CMM_inputCreateWordCounter(inputFieldSelector)
	{
	if(typeof inputFieldSelector == 'undefined')
		{ return false; }
	// If field exists
	if($(inputFieldSelector).length > 0)
		{
		$(inputFieldSelector).each(function(index,element) {
			var maxlengthAttr = $(this).attr('maxlength');
			var maxLength = ((maxlengthAttr && maxlengthAttr !== false) ? maxlengthAttr : 255);
			var currentLength = $(this).val().length;
			var inputCounter = $('<em class="CMM_inputBoxTitleCounter">'+currentLength+' | '+maxLength+'</em>');
			// Append counter to input-box-title
			$(this).closest('.CMM_inputBox').find('.CMM_inputBoxTitle').append(inputCounter);

			$(this).on('keyup change blur',function() {
				var currentLength = $(this).val().length;
				inputCounter.text(currentLength+' | '+maxLength);
				});
			});
		}
	}


///////////////////////////////////////////////////////////////


// Funktion zum Hinzufuegen eines Quellcode-Feldes
function CMM_inputCodeareaAdd(selectedElement)
	{
	inputBox = selectedElement.closest('.CMM_inputBox');
	inputBoxAddItem = inputBox.find('.CMM_inputBoxAddItem');
	inputBoxField = inputBox.find('.CMM_inputBoxField');

	// Feld ausklappen, Balken einklappen
	inputBoxField.slideDown(300);
	inputBoxAddItem.slideUp(300);
	}


///////////////////////////////////////////////////////////////


// Funktion zum Leeren eines Quellcode-Feldes
function CMM_inputCodeareaDelete(selectedElement)
	{
	inputBox = selectedElement.closest('.CMM_inputBox');
	inputBoxAddItem = inputBox.find('.CMM_inputBoxAddItem');
	inputBoxField = inputBox.find('.CMM_inputBoxField');

	// Feldinhalt loeschen
	inputBoxField.find('TEXTAREA').val('');

	//Feld einklappen, Balken ausklappen
	inputBoxField.slideUp(300);
	inputBoxAddItem.slideDown(300);
	}


///////////////////////////////////////////////////////////////


// Funktion zum Ausklappen eines Tebellen-Feldes
function CMM_inputTableareaAdd(selectedElement)
	{
	inputBox = selectedElement.closest('.CMM_inputBox');
	inputBoxAddItem = inputBox.find('.CMM_inputBoxAddItem');
	inputBoxField = inputBox.find('.CMM_inputBoxField');

	// Feld ausklappen, Balken einklappen
	inputBoxField.slideDown(300);
	inputBoxAddItem.slideUp(300);
	}


///////////////////////////////////////////////////////////////


// Funktion zum Leeren eines Tebellen-Feldes
function CMM_inputTableareaDelete(selectedElement)
	{
	inputBox = selectedElement.closest('.CMM_inputBox');
	inputBoxAddItem = inputBox.find('.CMM_inputBoxAddItem');
	inputBoxField = inputBox.find('.CMM_inputBoxField');

	if(confirm('Tabelle wirklich löschen?'))
		{
		// Inhalte aller Felder loeschen
		inputBoxField.find('.CMM_tableBuilderTable INPUT').val('');
		inputBoxField.find('SELECT option:selected').prop("selected", false);
		inputBoxField.find('TEXTAREA').val('');
		inputBoxField.find('INPUT[type="text"]').val('');
		inputBoxField.find('INPUT[type="checkbox"]').attr('checked',false);
		// Feld einklappen, Balken ausklappen
		inputBoxField.slideUp(300);
		inputBoxAddItem.slideDown(300);
		}
	}


///////////////////////////////////////////////////////////////


function CMM_inputImageListDirectionsSelect(element)
	{
	// Wrap the select-field
	element.wrap('<div class="inputTypeDirections" />');

	// Put wrapper into variable
	var directionSelect = element.parent();

	// Create and add direction-buttons
	element.find('OPTION').each(function() {
		var currentOption = $(this);
		
		var tempDirectionButton = $('<div class="inputTypeDirections'+currentOption.attr('value').charAt(0).toUpperCase()+currentOption.attr('value').slice(1)+'" data-value="'+currentOption.attr('value')+'" title="'+currentOption.text()+'" />');
		tempDirectionButton.on('click',function() { 
			$(this).parent().find('SELECT').val($(this).data('value')); $(this).addClass('selected').siblings('DIV').removeClass('selected');
			});

		tempDirectionButton.clone(true).appendTo(directionSelect);
		});
	
	// Select current/default direction
	var directionCurrent = element.val();
	directionCurrent == '' ? directionCurrent = 'center' : '';
	$('DIV',directionSelect).each(function(index,element) {
		if(directionCurrent == $(this).data('value'))
			{ $(this).addClass('selected'); }
		});
	}


///////////////////////////////////////////////////////////////


// jQuery-Plugins starten
$(document).ready(function() {

	// Disable radio/checkbox if readonly attrib is set
	$(':radio[readonly], :checkbox[readonly]').on('click',function(){
		return false;
		})

	// Sanitize input types decimal, float, price
	$('.CMM_formDetails').on('keyup','INPUT.datatype_float, INPUT.datatype_price',function() {
	    if(this.value != this.value.replace(/[^0-9\.\,\-]/g, ''))
			{ this.value = this.value.replace(/[^0-9\.\,\-]/g, ''); }
		});


	// Sanitize input types int, integer
	$('.CMM_formDetails').on('keyup','INPUT.datatype_int, INPUT.datatype_integer',function() {
	    if(this.value != this.value.replace(/[^0-9\-]/g, ''))
			{ this.value = this.value.replace(/[^0-9\-]/g, ''); }
		});


	// Datefield - create datepicker
	$('.datefield','#CMM_formDetails').jdPicker();


	// Video-Player
	$('.CMM_inputBoxField VIDEO').mediaelementplayer({alwaysShowControls:false, features:['playpause','current','duration'], audioVolume:'vertical', pluginPath:'CMM/template/js/', flashName:'flashmediaelement.swf', silverlightName:'silverlightmediaelement.xap'});


	// Audio-Player
	$('.CMM_inputBoxField AUDIO').mediaelementplayer({alwaysShowControls:true, features:['playpause','current','duration'], audioVolume:'horizontal', audioWidth:'100%'});


	// Select fiels - change selection by click on icon
	$('.CMM_formDetails').on('click','.CMM_inputBoxFieldIcons IMG',function() {
		CMM_inputSelectfieldChangeByIcon($(this));
		});


	// Icon-field  - create preview
	$('.CMM_formDetails').on('keyup','.CMM_inputBoxIconfield .CMM_inputBoxFieldInput INPUT',function() {
	    $(this).prev('DIV').attr('class','iconpreview '+this.value);
		});
	// Icon-field - create dialog
	$('.iconpreview, .iconbutton').each(function(){
		$(this).on('click', function() {
			CMM_showIconDialog($(this).parent().find('INPUT'));
			});
		});


	// Color-field - create preview
	$('.CMM_formDetails').on('keyup','.CMM_inputBoxColorfield .CMM_inputBoxFieldInput INPUT',function() {
	    $(this).parent().find('.colorpreview').css('background-color',this.value);
		});
	// Color-field - create dialog
	$('.CMM_formDetails').on('click','.colorpreview, .colorbutton',function() {
		CMM_showColorDialog($(this).parent().find('INPUT'));
		});


	// Animation-field - create dialog
	$('.CMM_formDetails').on('click','.animationbutton',function() {
		CMM_showAnimationDialog($(this).parent().find('INPUT'));
		});


	// Dir-field - create dialog
	$('.CMM_formDetails').on('click','.dirbutton',function() {
		CMM_showDirDialog($(this).parent().find('INPUT'));
		});

	// Seitenauswahl-Assistent
	$('.CMM_formDetails').on('click','.pagebutton',function(){
		CMM_showPageDialog($(this).parent().find('INPUT'));
		});

	// Seitenauswahl-Assistent
	$('.CMM_formDetails').on('click','.geobutton',function(){
		CMM_showGeoDialog($(this).parent().find('INPUT'));
		});


	// Drag-N-Drop-Sort fuer Media
	$(".CMM_inputBoxCurrentItems",'#CMM_formDetails').dragsort({ placeHolderTemplate: '<li class="CMM_inputBoxField CMM_inputBoxFieldPlaceholder"></li>', dragSelectorExclude:'input,select,textarea,i,a,img,.CMM_inputBoxFieldPreview,.inputTypeDirections' });


	// Listen-Element loeschen
	$('.CMM_formDetails').on('click','.CMM_inputBoxCurrentItems .delete',function() {
		CMM_inputListfieldDeleteItem($(this));
		});


	// Quellcode-Feld anzeigen
	$('.CMM_formDetails').on('click','.CMM_inputBoxCodearea .CMM_inputBoxAddItem',function() {
		CMM_inputCodeareaAdd($(this));
		});


	// Quellcode-Feld leeren
	$('.CMM_formDetails').on('click','.CMM_inputBoxCodearea .delete',function() {
		CMM_inputCodeareaDelete($(this));
		});


	// Tabellen-Feld anzeigen
	$('.CMM_formDetails').on('click','.CMM_inputBoxTablearea .CMM_inputBoxAddItem',function() {
		CMM_inputTableareaAdd($(this));
		});


	// Tabellen-Feld leeren
	$('.CMM_formDetails').on('click','.CMM_inputBoxTablearea .delete',function() {
		CMM_inputTableareaDelete($(this));
		});


	// Shy fields - show if set or not empty and add toggle
	$('.CMM_inputBoxShy','.CMM_formDetails').each(function() {
		CMM_inputShyfieldsShow($(this));
		});
	$('.CMM_inputBoxShy','.CMM_formDetails').each(function() {
		CMM_inputShyfieldsToggle($(this));
		});


	// Tagfield
	$('.CMM_inputBoxFieldTagfield INPUT').tagsInput({height:'auto',width:'100%',defaultText:'Neues Tag'});


	// CMM-Table-Editor
	$('.CMM_tableBuilder').tableBuilder();


	// Select-Accordion (PluginSelect / FormSelect)
	$('.CMM_selectAccordion').each(function(){
		var tempSelAcc = $(this);
		var tempInpBox = $(this).closest('.CMM_inputBox');
		var tempSelAccCurrent = $(this).find('.CMM_selectAccordionCurrent');
		var tempSelAccOptions = $(this).find('.CMM_selectAccordionOptions');
		var tempInpParams = tempInpBox.find('.CMM_inputBoxParams');

		// Toggle Options
		tempSelAccCurrent.on('click',function() {
			tempSelAccOptions.toggle();
			});
		// Mark active group
		$('> UL > LI.selected',tempSelAccOptions).find('> UL').show(0);
		// Toggle groups (accordion)
		$('> UL > LI',tempSelAccOptions).on('click',function(e) {
			$(this).siblings().each(function() {
				$(this).removeClass('selected').find('UL').slideUp();
				});
			$(this).toggleClass('selected').find('UL').slideToggle();
			});
		// Click on item
		$('UL LI UL LI',tempSelAccOptions).on('click',function(e) {
			e.stopPropagation();
			if($(this).attr('data-value'))
				{
				if($('INPUT',tempSelAccCurrent).val() != $(this).data('value'))
					{
					// Set value
					$('INPUT',tempSelAccCurrent).val($(this).data('value'));
					// Set label
					$('SPAN',tempSelAccCurrent).html('<b>'+$(this).parents('LI').find('> SPAN').text()+'</b> : '+$(this).find('> SPAN').text());
					// Set selection
					$('UL LI UL LI',tempSelAccOptions).removeClass('selected');
					$(this).addClass('selected');

					// Load params - switch between function for plugins and forms
					if($(this).data('type') == 'plugin')
						{ CMM_loadPluginParams(tempInpParams,$(this).attr('data-url')); }
					else
						{ CMM_loadFormParams(tempInpParams,$(this).attr('data-url')); }
					}
				// Hide options
				tempSelAccOptions.hide(0);
				}
			});
		// Click on delete button
		$('.delete',tempSelAcc).on('click',function() {
			// Confirm
			if(confirm('Diese Sektion löschen?') == true)
				{
				// Remove value
				$('INPUT',tempSelAccCurrent).val('');
				// Remove label
				$('SPAN',tempSelAccCurrent).html('');
				// Remove selection
				$('LI',tempSelAccOptions).removeClass('selected');
				// Clear params
				tempInpParams.slideUp(function() {
					$(this).html('');
					});
				// Hide options
				tempSelAccOptions.hide(0);
				}
			});
		});


	// Multiselect
	$('.multiselect').multiselect({labelLeft: 'verfügbar', labelRight: 'ausgewählt'});


	// Input type directions
	$('.CMM_inputTypeDirections').each(function(index,element) {
		CMM_inputImageListDirectionsSelect($(this));
		});

	});
