<?PHP
/***************************************************************
*  Copyright notice
*
*  (c) 2009-2017 Nicolas Berg
*  All rights reserved
*
*  This script is part of the CMM3 Content-Management-System.
*  CMM3 is provided only under a commercial license until now.
*  Maybe we will add a free license in future.
*
*  This script is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
*
*  This copyright notice MUST APPEAR in all copies of the script!
***************************************************************/

/*
You can override or extend the configuration by adding
or changing the values of $RTEconfig by setting up 
an array named $CUSTOM['RTE'] with same
substructure in the global config.php.
There you can change current or add new values.
To delete an value or substructure, just define
the value as an empty string ('').
*/

///////////////////////////////////////////////////////////////////
// V 1.0 First release
// V 1.1 Minor mods
// V 1.2 Added callback for page-select-dialog
///////////////////////////////////////////////////////////////////

mb_internal_encoding("UTF-8");
ini_set('display_errors', true);
error_reporting(7); // 7 = Warnungen, 8 = alle


// Get loaction of current script
$GLOBALS['isBackend'] = true;
$rootUrl = ((empty($_SERVER['HTTPS']) || stristr($_SERVER['HTTPS'],'off')) ? 'http' : 'https').'://'.$_SERVER['HTTP_HOST'].rtrim(dirname(dirname(dirname($_SERVER['PHP_SELF']))),'/\\').'/';
$rootDir = rtrim(dirname(dirname(dirname($_SERVER['SCRIPT_FILENAME']))),'/\\').'/';
define('CMM_ROOT_URL',$rootUrl);
define('CMM_ROOT_DIR',$rootDir);


//////////////////////////////////////////////////////////////////
// STANDARD INCLUDES                                            //
//////////////////////////////////////////////////////////////////
include_once(CMM_ROOT_DIR.'config.php');


//////////////////////////////////////////////////////////////////
// DEFAULT RTE-CONFIG                                           //
//////////////////////////////////////////////////////////////////
$RTEconfig = array(
	// Location of TinyMCE script
	'script_url'=>'tinymce/tinymce.min.js',
	'content_css'=>array(
		10=>'tinymce/css/content.css',
		20=>'https://opensource.keycdn.com/fontawesome/4.7.0/font-awesome.min.css'
		),
	// disable rewriting link-urls by tinymce
	'theme'=>'modern',
	'convert_urls'=>false,
	'language'=>'de',
	'schema'=>'html5',
	'skin'=>'lightgray',
	'border'=>0,
	'height'=>200,
	//'entity_encoding'=>'raw',
	'entity_encoding'=>'named',
	'allow_script_urls'=>true,
	'entities'=>'160,nbsp,162,cent,8364,euro,163,pound,173,shy',
	'extended_valid_elements'=>'@[itemprop|itemscope|itemtype|style|class|id|href|target|rel|accesskey|tabindex|title|alt|name|onclick|onmouseover|onmouseout|onchange|onblur|onkeyup|onkeypress],article,section,header,footer,div,h1,h2,h3,h4,h5,h6,p,hr,input,select,textarea,ul,ol,li,dl,dd,dt,span,i,a,b,em,strong,small,big,time[datetime]',
	'file_browser_callback'=>'function(field_name, url, type, win) { 
			currentFieldValue = win.document.getElementById(field_name).value;
			var cmsURL = \'wizards/wizard-RTE-browser.php?type=\'+type+\'&url=\'+url+\'&field_name=\'+field_name+\'&CMM_pageSelected=\'+currentFieldValue;
			tinyMCE.activeEditor.windowManager.open({
				url : cmsURL,
				width : 420,
				height: 420,
				title: \'Browser\',
				resizable : true
				}, {
					oninsert: function(url) {
						win.document.getElementById(field_name).value = url; 
					}
				});
			}',
	'menubar'=>false,
	'plugins'=>'advlist anchor autolink charmap code colorpicker contextmenu emoticons hr image layer link lists media nonbreaking pagebreak paste preview print searchreplace table template textcolor visualblocks visualchars wordcount shy CMM_fontawesome',
	'toolbar1'=>'styleselect formatselect fontsizeselect styleprops forecolor | insertfile undo redo | code visualchars | template',
	'toolbar2'=>'bold italic underline strikethrough sub sup | alignleft aligncenter alignright alignjustify | bullist numlist outdent indent blockquote hr shy',
	'toolbar3'=>'cut copy paste cleanup removeformat | link unlink anchor table layer image media charmap CMM_fontawesome | cite abbr acronym del ins attribs',
	'textcolor_cols'=>18,
	'textcolor_rows'=>18,
	'textcolor_map'=>'RTE_getColors()',
//	'noneditable_noneditable_class'=>'fa',
	'formats'=>array(
		'alignleft'=>array('selector'=>'h1,h2,h3,h4,h5,h6,td,th,div,p,ul,ol,li,table,img', 'classes'=>'alignLeft'),
		'alignright'=>array('selector'=>'h1,h2,h3,h4,h5,h6,td,th,div,p,ul,ol,li,table,img', 'classes'=>'alignRight'),
		'aligncenter'=>array('selector'=>'h1,h2,h3,h4,h5,h6,td,th,div,p,ul,ol,li,table,img', 'classes'=>'alignCenter'),
		'alignjustify'=>array('selector'=>'h1,h2,h3,h4,h5,h6,td,th,div,p,ul,ol,li,table,img', 'classes'=>'alignJustify')
		),
	'style_formats'=>array(
		10=>array(
			'title'=>'Container',
			'items'=>array(
				10 => array('title'=>'Initial', 'inline'=>'span', 'classes'=>'dropcap'),
				20 => array('title'=>'Adress', 'selector'=>'p', 'classes'=>'address'),
				30 => array('title'=>'Person', 'selector'=>'p', 'classes'=>'person'),
				40 => array('title'=>'Zitat', 'selector'=>'p,div', 'classes'=>'zitat')
				)
			),
		20=>array(
			'title'=>'Colors',
			'items'=>array(
				10 => array('title'=>'Mark 1', 'inline'=>'span', 'classes'=>'mark1'),
				11 => array('title'=>'Mark 1 invers', 'inline'=>'span', 'classes'=>'mark1invert'),
				20 => array('title'=>'Mark 2', 'inline'=>'span', 'classes'=>'mark2'),
				21 => array('title'=>'Mark 2 invers', 'inline'=>'span', 'classes'=>'mark2invert'),
				30 => array('title'=>'Mark 3', 'inline'=>'span', 'classes'=>'mark3'),
				31 => array('title'=>'Mark 3 invers', 'inline'=>'span', 'classes'=>'mark3invert')
				)
			),
		30=>array(
			'title'=>'Prices',
			'items'=>array(
				10 => array('title'=>'Price 1', 'selector'=>'p', 'classes'=>'price1'),
				11 => array('title'=>'Price 2', 'selector'=>'p', 'classes'=>'price2'),
				20 => array('title'=>'Price Subtext', 'selector'=>'p', 'classes'=>'priceSub')
				)
			),
		40=>array(
			'title'=>'List',
			'items'=>array(
				10 => array('title'=>'List Lines', 'selector'=>'ul', 'classes'=>'listlines'),
				11 => array('title'=>'List Round', 'selector'=>'ul', 'classes'=>'listround'),
				12 => array('title'=>'List Square', 'selector'=>'ul', 'classes'=>'listsquare'),
				13 => array('title'=>'List Check', 'selector'=>'ul', 'classes'=>'listcheck'),
				14 => array('title'=>'List Arrow', 'selector'=>'ul', 'classes'=>'listarrow'),
				15 => array('title'=>'List Star', 'selector'=>'ul', 'classes'=>'liststar'),
				16 => array('title'=>'List Plus', 'selector'=>'ul', 'classes'=>'listplus'),
				17 => array('title'=>'List Minus', 'selector'=>'ul', 'classes'=>'listminus'),
				18 => array('title'=>'List Asterisk', 'selector'=>'ul', 'classes'=>'listasterisk'),
				20 => array('title'=>'List 2 cols', 'selector'=>'ul', 'classes'=>'list2cols'),
				21 => array('title'=>'List 3 cols', 'selector'=>'ul', 'classes'=>'list3cols'),
				22 => array('title'=>'List 4 cols', 'selector'=>'ul', 'classes'=>'list4cols')
				)
			),
		50=>array(
			'title'=>'Numbers',
			'items'=>array(
				10 => array('title'=>'Numbers Lines', 'selector'=>'ol', 'classes'=>'listlines'),
				11 => array('title'=>'Numbers Big', 'selector'=>'ol', 'classes'=>'listNumberBig'),
				12 => array('title'=>'Numbers Round', 'selector'=>'ol', 'classes'=>'listNumberRound'),
				13 => array('title'=>'Numbers Square', 'selector'=>'ol', 'classes'=>'listNumberSquare'),
				20 => array('title'=>'Numbers 2 cols', 'selector'=>'ol', 'classes'=>'list2cols'),
				21 => array('title'=>'Numbers 3 cols', 'selector'=>'ol', 'classes'=>'list3cols'),
				22 => array('title'=>'Numbers 4 cols', 'selector'=>'ol', 'classes'=>'list4cols')
				)
			),
		60=>array(
			'title'=>'Tables',
			'items'=>array(
				10 => array('title'=>'Table CV', 'selector'=>'table', 'classes'=>'tableCV')
				)
			),
		70=>array(
			'title'=>'Buttons',
			'items'=>array(
				10 => array('title'=>'Button', 'selector'=>'a,span', 'classes'=>'button'),
				20 => array('title'=>'Button Back', 'selector'=>'a,span', 'classes'=>'button buttonBack'),
				21 => array('title'=>'Button More', 'selector'=>'a,span', 'classes'=>'button buttonMore'),
				22 => array('title'=>'Button Prev', 'selector'=>'a,span', 'classes'=>'button buttonPrev'),
				23 => array('title'=>'Button Next', 'selector'=>'a,span', 'classes'=>'button buttonNext'),
				24 => array('title'=>'Button Download', 'selector'=>'a,span', 'classes'=>'button buttonDownload'),
				25 => array('title'=>'Button Contact', 'selector'=>'a,span', 'classes'=>'button buttonContact'),
				30 => array('title'=>'Button Type 1', 'selector'=>'a,span', 'classes'=>'buttonType1'),
				31 => array('title'=>'Button Type 2', 'selector'=>'a,span', 'classes'=>'buttonType2'),
				32 => array('title'=>'Button Type 3', 'selector'=>'a,span', 'classes'=>'buttonType3'),
				40 => array('title'=>'Button Size 1', 'selector'=>'a,span', 'classes'=>'buttonSize1'),
				41 => array('title'=>'Button Size 2', 'selector'=>'a,span', 'classes'=>'buttonSize2'),
				42 => array('title'=>'Button Size 3', 'selector'=>'a,span', 'classes'=>'buttonSize3'),
				43 => array('title'=>'Button Size 4', 'selector'=>'a,span', 'classes'=>'buttonSize4'),
				44 => array('title'=>'Button Size 5', 'selector'=>'a,span', 'classes'=>'buttonSize5'),
				50 => array('title'=>'Button Full Width', 'selector'=>'a,span', 'classes'=>'buttonFullWidth')
				)
			),
		80=>array(
			'title'=>'Links',
			'items'=>array(
				10 => array('title'=>'Scroll to element', 'selector'=>'a', 'classes'=>'scrollTo'),
				20 => array('title'=>'Lightbox', 'selector'=>'a', 'classes'=>'lightbox')
				)
			),
		90=>array(
			'title'=>'Font size',
			'items'=>array(
				10 => array('title'=>'Smaller', 'selector'=>'li,p,span', 'classes'=>'smaller'),
				20 => array('title'=>'Bigger', 'selector'=>'li,p,span', 'classes'=>'bigger')
				)
			),
		100=>array(
			'title'=>'Info-Boxes',
			'items'=>array(
				10 => array('title'=>'Box 1', 'selector'=>'p,div', 'classes'=>'infoBox infoBox1'),
				20 => array('title'=>'Box 2', 'selector'=>'p,div', 'classes'=>'infoBox infoBox2'),
				30 => array('title'=>'Box 3', 'selector'=>'p,div', 'classes'=>'infoBox infoBox3')
				)
			)
		),
	'templates'=>array(
	//	10 => array('title'=>'Icon Person', 'description'=>'', 'content'=>'<i class=\'fa fa-user\'></i>'),
		)
	);


///////////////////////////////////////////////////////////////////


// Merge config
if(isset($CUSTOM['RTE']) && is_array($CUSTOM['RTE']))
	{ $RTEconfig = RTE_mergeConfig($RTEconfig,$CUSTOM['RTE']); }
//	{ $RTEconfig = array_replace_recursive($RTEconfig,$CUSTOM['RTE']); }

// Sort formats by key-number
ksort($RTEconfig['style_formats']);


///////////////////////////////////////////////////////////////////


// Merge default RTE-config and site-specific RTE-config
function RTE_mergeConfig($params=array(),$pluginParams=array())
	{
	if(is_array($pluginParams) && sizeof($pluginParams) > 0)
		{
		foreach($pluginParams as $pluginParamsKey => $pluginParamsValue)
			{
			// Array -> recoursice
			if(is_array($pluginParamsValue))
				{ $params[$pluginParamsKey] = RTE_mergeConfig($params[$pluginParamsKey],$pluginParamsValue); }
			// Clear
			else if($pluginParamsValue == '')
				{ unset($params[$pluginParamsKey]); }
			// Set value
			else
				{ $params[$pluginParamsKey] = $pluginParams[$pluginParamsKey]; }
			}	
		}

	return $params;
	}


///////////////////////////////////////////////////////////////////


// Check if array is associative or sequential
function RTE_arrayIsAssociative(array $array)
	{
	$arrayKeys = array_keys($array);
	foreach($arrayKeys as $arrayKey)
		{
		if(is_string($arrayKey))
			{ return true; }
		}

	return false;
	}


///////////////////////////////////////////////////////////////////


// Output RTE config item by type
function RTE_outputConfigItemByType($key,$value)
	{
	$string = '';

	// Output is function - remove quotes
	if(is_string($value) && preg_match('/^([A-Za-z-_]+)([\(\)]+)/si',$value))
		{ $string.= '		'.$key.': '.$value.','."\r\n"; }
	// Output is bool
	else if(is_bool($value) || $value=='true' || $value=='false')
		{ $string.=  '		'.$key.': '.($value==true ? 'true' : ($value=='true' ? 'true' : 'false')).','."\r\n"; }
	// Output is int or float
	else if(is_int($value) || is_float($value))
		{ $string.= '		'.$key.': '.$value.','."\r\n"; }
	// Output is string
	else if(is_string($value))
		{ $string.= '		'.$key.': "'.$value.'",'."\r\n"; }
	// Output is array
	else if(is_array($value))
		{ $string.= '		'.$key.': '.RTE_outputArrayByType($key,$value,2).','."\r\n"; }

	return $string;
	}


///////////////////////////////////////////////////////////////////


// Create a json-like output from multidimensional assoc or seq array
function RTE_outputArrayByType($key,$value,$level=2)
	{
	$level++;
	$string = '';

	$isAssoc = RTE_arrayIsAssociative($value);
	$arrayCount = sizeof($value);

	if($isAssoc == true)
		{ $string.= '{'."\r\n"; }
	else
		{ $string.= '['."\r\n"; }

	$i = 0;
	foreach($value as $valueKey => $valueValue)
		{
		if($isAssoc == true)
			{ $string.= str_repeat('	',$level).$valueKey.': '; }
		else
			{ $string.= str_repeat('	',$level); }

		// Output is bool
		if(is_bool($valueValue) || $valueValue=='true' || $valueValue=='false')
			{ $string = ($valueValue==true ? 'true' : ($valueValue=='true' ? 'true' : 'false')); }
		// Output is int or float
		else if(is_int($valueValue) || is_float($valueValue))
			{ $string.= $valueValue; }
		// Output is string
		else if(is_string($valueValue))
			{ $string.= '"'.$valueValue.'"'; }
		// Output is array
		else if(is_array($valueValue))
			{ $string.= RTE_outputArrayByType($valueKey,$valueValue,$level); }

		if($i < $arrayCount-1)
			{ $string.= ','."\r\n"; }
		else
			{ $string.= "\r\n"; }
		$i++;
		}

	if($isAssoc == true)
		{ $string.= str_repeat('	',$level).'}'; }
	else
		{ $string.= str_repeat('	',$level).']'; }

	return $string;
	}

?>
//////////////////////////////////////////////////////////////////


// Init color-list for RTE
function RTE_getColors()
	{
	hexChars = ['0','1','2','3','4','5','6','7','8','9','A','B','C','D','E','F'];
	colors = [];

	// Loop color-channels
	for(r=0;r<16;r+=3)
		{
		for(g=0;g<16;g+=3)
			{
			for(b=0;b<16;b+=3)
				{
				color = hexChars[r]+hexChars[r]+hexChars[g]+hexChars[g]+hexChars[b]+hexChars[b];
				// Push value (without Hash!)
				colors.push(color);
				// Push name
				colors.push('#'+color);
				}
			}
		}

	// Reorder colors
	colorsOrdered = [];
	colorsOrdered = colorsOrdered.concat(colors.slice(0,36));
	colorsOrdered = colorsOrdered.concat(colors.slice(72,108));
	colorsOrdered = colorsOrdered.concat(colors.slice(144,180));
	colorsOrdered = colorsOrdered.concat(colors.slice(216,252));
	colorsOrdered = colorsOrdered.concat(colors.slice(288,324));
	colorsOrdered = colorsOrdered.concat(colors.slice(360,396));
	colorsOrdered = colorsOrdered.concat(colors.slice(36,72));
	colorsOrdered = colorsOrdered.concat(colors.slice(108,144));
	colorsOrdered = colorsOrdered.concat(colors.slice(180,216));
	colorsOrdered = colorsOrdered.concat(colors.slice(252,288));
	colorsOrdered = colorsOrdered.concat(colors.slice(324,360));
	colorsOrdered = colorsOrdered.concat(colors.slice(396,432));

	return colorsOrdered;
	}


///////////////////////////////////////////////////////////////


// DAILOG page-select: Set click handler to pages in tree
function RTE_pageTreeClick()
	{
	$('A.CMM_treeLabel','#CMM_adminPageSelectRTE').on('click',function(e){
		// Prevent regular click
		e.preventDefault();
		// Seiten-ID aus Link ermitteln
		pageSelectString = $(this).attr('href').match(/CMM_page=(\d+)/i);
		pageSelectID = pageSelectString[1];
		//alert(pageSelectID);
		// Seiten-ID an RTE-Browser-Dialog zurueck geben
		RTE_returnPageID(pageSelectID);
		});
	}


///////////////////////////////////////////////////////////////


// DAILOG page-select: Callback for page-click
function RTE_returnPageID(URL)
	{
	top.tinymce.activeEditor.windowManager.getParams().oninsert(URL);
	top.tinymce.activeEditor.windowManager.close();
	}


///////////////////////////////////////////////////////////////////


// DAILOG icon-select: Realisze search
function RTE_createIconSearch()
	{
	// Set dialog container
	var iconDialog = $('#CMM_adminIconSelectRTE');

	$('#iconSearch',iconDialog).on('keyup', function() {
		// Clear result list
		$('.CMM_adminIconSelectSearch UL',iconDialog).empty();
		// Search for matching icons
		if($(this).val().length >= 2)
			{
			// Get matching icons
			var tempIcons = $('.CMM_adminIconSelectList I[title*="'+$(this).val()+'"]',iconDialog);
			// Loop icon list
			tempIcons.each(function(index,elem) {
				// Check if icon with same class is already in result list
				if($('.CMM_adminIconSelectSearch I[class*="'+$(elem).attr('class')+'"]',iconDialog).length==0)
					{ $(elem).parent().clone(true).appendTo('.CMM_adminIconSelectSearch UL',iconDialog); }
				});
			// Hide list
			if($('.CMM_adminIconSelectList',iconDialog).is(":visible"))
				{ $('.CMM_adminIconSelectList',iconDialog).css('display','none'); }
			}
		else
			{
			// Show list
			if($('.CMM_adminIconSelectList',iconDialog).is(":visible") == false)
				{ $('.CMM_adminIconSelectList',iconDialog).css('display','block'); }
			}
		});
	}


///////////////////////////////////////////////////////////////


// DAILOG icon-select: Set click handler to icons in tree
function RTE_iconSelectClick()
	{
	// Set dialog container
	var iconDialog = $('#CMM_adminIconSelectRTE');

	$('LI I',iconDialog).on('click',function(e){
		// Prevent regular click
		e.preventDefault();
		// Seiten-ID aus Link ermitteln
		iconTag = '<i class="'+$(this).attr('class')+'">&nbsp;</i>';
	//	alert(iconTag);
		// Seiten-ID an RTE-Browser-Dialog zurueck geben
		RTE_returnIconTag(iconTag);
		});
	}


///////////////////////////////////////////////////////////////////


// DAILOG icon-select: Callback for icon-click
function RTE_returnIconTag(iconTag)
	{
	top.tinymce.activeEditor.execCommand('mceInsertContent', false, iconTag);
	top.tinymce.activeEditor.windowManager.close();
	}


///////////////////////////////////////////////////////////////////


// Init RTE
function CMM_initRTE(RTEs)
	{
	RTEs.tinymce({
<?PHP
	foreach($RTEconfig as $configItemKey => $configItemValue)
		{
		$configString =  RTE_outputConfigItemByType($configItemKey,$configItemValue);
		echo $configString;
		}
?>
		});
	}
