/*************************************************************
* jQuery cmm3drag plugin V 1.0.0
* This is a simple jQuery-based script to drag dom-elements.
* Copyright (c) 2016 Nicolas Berg GRAFIX21
* http://www.grafix21.de
*
* Licensed under the GNU General Public License: 
* http://www.gnu.org/licenses/gpl.html
**************************************************************/

(function($)
	{
	$.fn.drags = function(options)
		{
		// Merge options
		o = $.extend({
			handle: '',
			cursor: 'move',
			classDraggable: 'draggable',
			classHandleActive: 'handleActive',
			}, options);

		// Get handle
		if(o.handle === '')
			{ var $el = this; }
		else
			{ var $el = this.find(o.handle); }

		// Set move-cursor
		$el.css('cursor', o.cursor);

		// Events
		return $el.each(function(i)
			{
			// On mousedown
			$(this).on("mousedown", function(evt)
				{
				// Prevent click
				evt.preventDefault();

				// Get element to drag
				if(o.handle === "")
					{ var drag = $(this).addClass(o.classDraggable); }
				else
					{ var drag = $(this).addClass(o.classHandleActive).parent().addClass(o.classDraggable); }

				// Get properties from drag element
				var dragZ = drag.css('z-index');
				var dragW = drag.outerWidth();
				var dragH = drag.outerHeight();
				var dragX = drag.offset().left + dragW - evt.pageX;
				var dragY = drag.offset().top + dragH - evt.pageY;

				// Proccess while mouse is moving
				drag.css('z-index',1000).parents().on("mousemove", function(evt)
					{
					// Move element
					$('.'+o.classDraggable).offset({top:evt.pageY+dragY-dragH, left:evt.pageX+dragX-dragW});
					// If mouseup
					$('.'+o.classDraggable).on("mouseup", function() {
						// Reset z-index
						$(this).removeClass(o.classDraggable).css('z-index', dragZ);
						});
					});
				});

			// On mouseup
			$(this).on("mouseup", function(evt)
				{
				if(o.handle === "")
					{ $(this).removeClass(o.classDraggable); }
				else
					{ $(this).removeClass(o.classHandleActive).parent().removeClass(o.classDraggable); }
				});
			});
		}

	})(jQuery);
