/***************************************************************
*  Copyright notice
*
*  (c) 2009-2017 Nicolas Berg
*  All rights reserved
*
*  This script is part of the CMM3 Content-Management-System.
*  CMM3 is provided only under a commercial license until now.
*  Maybe we will add a free license in future.
*
*  This script is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
*
*  This copyright notice MUST APPEAR in all copies of the script!
***************************************************************/

///////////////////////////////////////////////////////////////
// V 1.0 First release
///////////////////////////////////////////////////////////////


// Send changed grid order
function reorderTree(id,params)
	{
	treeForm = $('#CMM_treeForm');

	if(typeof params == 'undefined')
		{ console.log('No id defined!'); return false; }
	if(typeof id == 'undefined')
		{ console.log('No params defined!'); return false; }

	// Set action
	treeForm.find('[name="CMM_action"]').val('PAGEMOVEANDREORDER');
	// Set id
	treeForm.find('[name="CMM_id"]').val(id);
	// Set params
	treeForm.find('[name="CMM_params"]').val(params);

	// Show overlay
	$('#overlay').fadeIn('100');

	// Send form
	treeForm.submit();
	}


///////////////////////////////////////////////////////////////


// jQuery-Plugins starten
$(document).ready(function() {

	var listDragElement = null;
	var listDragChildIDs = [];
	var listItemDummy = null;
	var listDragTimeout;
	var listDummyListTimeout;
	var listDragMouseX = 0;
	var listDragMouseY = 0;
/*
	// Remove white-spaces
	$('.CMM_treeNode').cleanWhitespace();
*/
	// Enable draggable on items and disable on their children
	$('.CMM_treeNode','#CMM_adminPageTree').each(function() {
		$(this).attr('draggable',true);
		$(this).find('div,a,span').attr('draggable',false);
		});
	$( document ).ajaxComplete(function() {
		$('.CMM_treeNode','#CMM_adminPageTree').each(function() {
			$(this).attr('draggable',true);
			$(this).find('div,a,span').attr('draggable',false);
			});
		});

	// DRAGSTART
	$('.CMM_treeNode','#CMM_adminPageTree').on('dragstart',function(e) {
		e.originalEvent.stopPropagation();

		// Set target event type
		e.originalEvent.dataTransfer.effectAllowed = 'move';

		// Get the element to drag
		listDragElement = $(e.originalEvent.target);

		// break if drag-element is not valid
		if(listDragElement == null)
			{ return false; }
		else if(listDragElement.length == 0)
			{ return false; }
		else if(!listDragElement.hasClass('CMM_treeNode'))
			{ return false; }

		// Hide TipTip
		$('#tiptip_holder').css('display','none');

		// Element ID
		e.originalEvent.dataTransfer.setData('text', listDragElement.attr('id'));

		// Get list of children to prevent recoursive nesting
		listDragChildIDs = [];
		$('.CMM_treeNode',$(this)).each(function() {
			listDragChildIDs.push($(this).attr('id'));
			});
		//console.log(listDragChildIDs);

		// Highlight drop-zones
		$('#CMM_adminPageTree').addClass('CMM_adminTreeSuggest');

		// Create listDummy and listItemDummy
		listDummy = $('<ul class="CMM_treeListDummy">');
		listItemDummy = $('<li class="CMM_treeNodeDummy">');
		});


	// DRAGOVER
	$('.CMM_treeNode','#CMM_adminPageTree').on('dragover',function(e) {
		e.originalEvent.preventDefault();
		e.originalEvent.stopPropagation();

		// break if drag-element is not valid
		if(listDragElement == null)
			{ return false; }
		else if(listDragElement.length == 0)
			{ return false; }
		else if(!listDragElement.hasClass('CMM_treeNode'))
			{ return false; }

		// Scroll frame up/down
		scrollFrame = $('#CMM_adminPageTree').closest('.contentColumnContent');
		scrollFrameTop = scrollFrame.offset().top;
		scrollFrameBottom = scrollFrameTop + scrollFrame.height();
		scrollFrameStop = true;

		var scrollFrameBy = function(step) {
			var scrollY = scrollFrame.scrollTop();
			scrollFrame.scrollTop(scrollY + step);
			if(!scrollFrameStop) {
				setTimeout(function () { scrollFrameBy(step) }, 10);
				}
			}

        if(e.originalEvent.clientY - scrollFrameTop < 30) {
            scrollFrameStop = false;
            scrollFrameBy(-1)
	        }

        if(scrollFrameBottom - e.originalEvent.clientY < 30) {
            scrollFrameStop = false;
            scrollFrameBy(1)
    	    }

		// Get current hover-element
		var listDragOverElement = $(e.originalEvent.target);
		//console.log(listDragOverElement);

/*		// If Mouse still moves
		if(listDragMouseX != e.originalEvent.clientX || listDragMouseY != e.originalEvent.clientY)
			{
			listDragMouseX = e.originalEvent.clientX;
			listDragMouseY = e.originalEvent.clientY;
			//console.log('NIX');
			}
		// Else, if mouse has stopped
		else
			{
*/			var parentListItem = null;
			var parentList = null;
			var currentListItem = null;
	
			// Clear timeout
			if(listDragTimeout)
				{ window.clearTimeout(listDragTimeout); }
			if(listDummyListTimeout)
				{ window.clearTimeout(listDummyListTimeout); }

			// Set timeout
			listDragTimeout = window.setTimeout(function()
				{
				// TARGET = Dummy-Item
				if(listDragOverElement.is('LI') && listDragOverElement.hasClass('CMM_treeNodeDummy'))
					{
					//console.log('----------- DUMMY');
					parentListItem = listDragOverElement.parents('LI:eq(0)').length > 0 ? listDragOverElement.parents('LI:eq(0)') : null;
					parentList = listDragOverElement.parents('UL:eq(0)').length > 0 ? listDragOverElement.parents('UL:eq(0)') : null;
					currentListItem = listDragOverElement.next('LI').length > 0 ? listDragOverElement.next('LI') : null;
					currentList = listDragOverElement.next('LI').find('UL:eq(0)').length > 0 ? listDragOverElement.next('LI').find('UL:eq(0)') : null;
					}
				// TARGET = Regular List-Item
				else if(listDragOverElement.is('LI'))
					{
					//console.log('----------- ITEM');
					parentListItem = listDragOverElement.parents('LI:eq(0)').length > 0 ? listDragOverElement.parents('LI:eq(0)') : null;
					parentList = listDragOverElement.parents('UL:eq(0)').length > 0 ? listDragOverElement.parents('UL:eq(0)') : null;
					currentListItem = listDragOverElement;
					currentList = listDragOverElement.find('UL:eq(0)').length > 0 ? listDragOverElement.find('UL:eq(0)') : null;
					}
				// TARGET = List
				else if(listDragOverElement.is('UL'))
					{
					//console.log('----------- GRID');
					parentListItem = listDragOverElement.parents('LI:eq(0)').length > 0 ? listDragOverElement.parents('LI:eq(0)') : null;
					parentList = listDragOverElement;
					currentListItem = null;
					currentList = null;
					}
				// TARGET = List-Item-Child
				else //if($(e.originalEvent.target).closest('CMM_treeNode'))
					{
					//console.log('----------- ITEM-CHILD');
					parentListItem = listDragOverElement.parents('LI:eq(1)').length > 0 ? listDragOverElement.parents('LI:eq(1)') : null;
					parentList = listDragOverElement.parents('UL:eq(0)').length > 0 ? listDragOverElement.parents('UL:eq(0)') : null;
					currentListItem = listDragOverElement.parents('LI:eq(0)').length > 0 ? listDragOverElement.parents('LI:eq(0)') : null;
					currentList = listDragOverElement.parents('LI:eq(0)').find('UL:eq(0)').length > 0 ? listDragOverElement.parents('LI:eq(0)').find('UL:eq(0)') : null;
					}
	
				// Mark list with hover class
				if(parentList != null && parentListItem != null) // && (typeof(tempSubList) != 'undefined' && parentList != tempSubList))
					{
					$('UL','#CMM_adminPageTree').removeClass('CMM_treeListHover');
					parentList.addClass('CMM_treeListHover');
					}
	
				// break if drag-element is root element
				if(parentListItem == null)
					{
					}
				// Show dummy before item
				else if(currentListItem != null)
					{
					// Insert dummy before item, if the dummy is not there
					if(!currentListItem.prev().hasClass('CMM_treeNodeDummy'))
						{ currentListItem.before(listItemDummy); }

					// Open sublist or add temporary sub-list
			//		listDummyListTimeout = window.setTimeout(function() { 
						//console.log('do something after timeout');
						if($('> DIV > .CMM_treeExpand > .fa-plus',currentListItem).length > 0)
							{
							if(listDragOverElement.hasClass('fa-plus'))
								{
								console.log('open sublist');
								$('> DIV > .CMM_treeExpand > .fa-plus',currentListItem).trigger('click');
								}
							}
						else if($('ul',currentListItem).length == 0)
							{
							//console.log('append new sublist');
							tempSubList = currentListItem.append(listDummy);
							}
			//			},50);
					}
				// Show dummy as last item
				else if(parentList != null)
					{
					// Insert dummy as last item
					if(!parentList.children().last().hasClass('CMM_treeNodeDummy'))
						{ parentList.append(listItemDummy); }
					}
	
				},50);

			// Hover dummy
			if(listDragOverElement.hasClass('CMM_treeNodeDummy'))
				{ listItemDummy.addClass('CMM_treeNodeDummyHover'); }
			else
				{ listItemDummy.removeClass('CMM_treeNodeDummyHover'); }
//			}

		return false;
		});

/*
	// DRAGLEAVE
	$('.CMM_treeNode','#CMM_adminPageTree').on('dragleave',function(e) {
		e.originalEvent.preventDefault();
		e.originalEvent.stopPropagation();

		// break if drag-element is not valid
		if(listDragElement == null || !listDragElement.hasClass('CMM_treeNode'))
			{ return false; }

		return false;
		});
*/

	// DRAGEND - not required
	$('.CMM_treeNode','#CMM_adminPageTree').on('dragend',function(e) {
		e.originalEvent.preventDefault();
		e.originalEvent.stopPropagation();

		// break if drag-element is not valid
		if(listDragElement == null)
			{ return false; }
		else if(listDragElement.length == 0)
			{ return false; }
		else if(!listDragElement.hasClass('CMM_treeNode'))
			{ return false; }

		// Remove dummy if still exists
		window.setTimeout(function()
			{
			// Remove dummy, do nothing
			if(typeof(listItemDummy.parentElement != null))
				{ listItemDummy.remove();}
			},100);

		// Detach dummy-list or just remove dummy-class
		$('.CMM_treeListDummy').each(function() {
			if($('LI',this).length == 0)
				{ $(this).detach(); }
			else
				{ $(this).removeClass('CMM_treeListDummy'); }
			});

		// Remove hover class
		$('#CMM_adminPageTree').removeClass('CMM_adminTreeSuggest');
		// Remove suggest class
		$('UL','#CMM_adminPageTree').removeClass('CMM_treeListHover');

		return false;
		});


	// DROP
	$('.CMM_treeNode').on('drop', function(e) {
		e.originalEvent.preventDefault();
		e.originalEvent.stopPropagation();

		// break if drag-element is not valid
		if(listDragElement == null)
			{ return false; }
		else if(listDragElement.length == 0)
			{ return false; }
		else if(!listDragElement.hasClass('CMM_treeNode'))
			{ return false; }

		var listDropElement = $(e.originalEvent.target);
		var	listDropError = false;
	
		var parentListItem = null;
		var parentList = null;
		var currentListItem = null;

		// Clear timeout for drogover-event to prevent flickering
		window.clearTimeout(listDragTimeout);
		// TARGET = Dummy-Item
		if(listDropElement.is('LI') && listDropElement.hasClass('CMM_treeNodeDummy'))
			{
			//console.log('----------- DUMMY');
			parentListItem = listDropElement.parents('LI:eq(0)').length > 0 ? listDropElement.parents('LI:eq(0)') : null;
			parentList = listDropElement.parents('UL:eq(0)');
			currentListItem = listDropElement.next('LI').length > 0 ? listDropElement.next('LI') : null;
			}
		// TARGET = Regular List-Item
		else if(listDropElement.is('LI'))
			{
			//console.log('----------- ITEM');
			parentListItem = listDropElement.parents('LI:eq(0)').length > 0 ? listDropElement.parents('LI:eq(0)') : null;
			parentList = listDropElement.parents('UL:eq(0)');
			currentListItem = listDropElement;
			}
		// TARGET = List
		else if(listDropElement.is('UL'))
			{
			//console.log('----------- GRID');
			parentListItem = listDropElement.parents('LI:eq(0)').length > 0 ? listDropElement.parents('LI:eq(0)') : null;
			parentList = listDropElement;
			currentListItem = null;
			}
		// TARGET = List-Item-Child
		else //if($(e.originalEvent.target).closest('CMM_treeNode'))
			{
			//console.log('----------- ITEM-CHILD');
			parentListItem = listDropElement.parents('LI:eq(1)').length > 0 ? listDropElement.parents('LI:eq(1)') : null;
			parentList = listDropElement.parents('UL:eq(0)');
			currentListItem = listDropElement.parents('LI:eq(0)').length > 0 ? listDropElement.parents('LI:eq(0)') : null;
			}

		// break if drag-element is root element
		if(currentListItem != null && currentListItem.attr('id') == 'CMM_treeNode_0')
			{
			alert('Element kann hier nicht vor oder nach Root-Seite platziert werden!');
			listDropError = true;
			}

		// Break if target is not inside a grid
		if(parentList == null)
			{
			alert('Element kann hier nicht platziert werden!');
			listDropError = true;
			}
		// Break if try to place inside itself
		if(parentListItem != null && $(listDragElement).attr('id') == $(parentListItem).attr('id'))
			{
			alert('Element kann nicht in sich selbst verschoben werden!');
			listDropError = true;
			}
		// Break if try to place parent inside child
		if(parentListItem != null && $.inArray($(parentListItem).attr('id'),listDragChildIDs) > -1)
			{
			alert('Element kann nicht in untergeordnetes Element verschoben!');
			listDropError = true;
			}

		// Drop if target is dummy
		if(listDropElement.hasClass('CMM_treeNodeDummy') && listDropError == false)
			{
			// Replace dummy by drag item
			listItemDummy.replaceWith(listDragElement);

			// Finally remove lost dummies
			$('.CMM_treeNodeDummy').each(function() { $(this).remove(); });

			// Remove white-spaces
			//$(parentList).cleanWhitespace();

			// Get current id
			var dragID = listDragElement != null ? $(listDragElement).attr('id') : 0;
			dragID != 0 ? dragID = dragID.substr(dragID.lastIndexOf('_')+1) : '';
		
			// Get parent id
			var parentID = parentListItem != null ? $(parentListItem).attr('id') : 0;
			parentID != 0 ? parentID = parentID.substr(parentID.lastIndexOf('_')+1) : '';

			// Get new sort order and console-message
			var order = [];
			if(parentList != null)
				{
				$('> .CMM_treeNode',parentList).each(function(index) {
					currentID = $(this).attr('id');
					currentID = currentID.substr(currentID.lastIndexOf('_')+1);
					//console.log(currentID + ':' + (index+1));
					order.push(currentID + ':' + (index+1));
					});
				// Info message
				console.log(dragID+' in '+parentID+' platziert');
				}

			// Console-message
			var params = {id:dragID, parent:parentID, order:order};
			paramsJSON = JSON.stringify(params);

			// Send changes
			//console.log(params);
			console.log(paramsJSON);

			// Call reorder function
			reorderTree(dragID,paramsJSON);
			}
		else
			{
			// Remove dummy, do nothing
			listItemDummy.remove();
			}

		// Clear drag-element
		listDragElement = null;
		// Remove hover class
		$('#CMM_adminPageTree').removeClass('CMM_adminTreeSuggest');
		// Remove suggest class
		$('UL','#CMM_adminPageTree').removeClass('CMM_treeListHover');

		return false;
		});

	});