/***************************************************************
*  Copyright notice
*
*  (c) 2009-2017 Nicolas Berg
*  All rights reserved
*
*  This script is part of the CMM3 Content-Management-System.
*  CMM3 is provided only under a commercial license until now.
*  Maybe we will add a free license in future.
*
*  This script is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
*
*  This copyright notice MUST APPEAR in all copies of the script!
***************************************************************/

// HTML5-Multi-File-Uploader
(function($)
	{
	$.fileUploader = {version: '1.3', count: 0};
	$.fn.fileUploader = function(config)
		{
		config = $.extend({}, {
			autoUpload: false,
			limit: false,
			buttonUpload: '#uploader-submit',
			buttonClear: '#uploader-clear',
			selectFileLabel: 'Dateien auswählen', //Select files',
			allowedExtension: 'jpg|jpeg|gif|png|',
			timeInterval: [1, 2, 4, 2, 1, 5], //Mock percentage for iframe upload
			percentageInterval: [10, 20, 30, 40, 60, 80],

			//Callbacks
			onValidationError: null, //trigger if file is invalid
			onFileChange: function(){},
			onFileRemove: function(){},
			beforeUpload: function(){}, //trigger after the submit button is click: before upload
			beforeEachUpload: function(){}, //callback before each file has been uploaded ::: returns each Form
			afterUpload: function(){},
			afterEachUpload: function(){} //callback after each file has been uploaded
			}, config);

		$.fileUploader.count++;

		//Multiple instance of a Form Container
		var uploaderUploadForm = 'uploader-form-' + $.fileUploader.count,
		uploaderWidget = 'uploader-widget-' + $.fileUploader.count,
		uploaderButton = 'uploader-button-' + $.fileUploader.count,
		wrapper = ' \
			<div id="'+ uploaderWidget +'" class="uploader-widget"> \
				<div class=""> \
					<div id="'+ uploaderUploadForm +'-input" class="uploader-form-input"></div> \
					<div id="'+ uploaderButton +'" class="uploader-buttons"></div> \
				</div> \
				<div id="'+ uploaderUploadForm +'"></div> \
			</div> \
			',
		uploaderUploadForm = '#' + uploaderUploadForm,
		uploaderUploadFormInput = uploaderUploadForm + '-input',
		uploaderButton = '#' + uploaderButton,
		uploaderWidget = '#' + uploaderWidget,
		buttonClearId = null,

		itr = 1, //index/itr of file
		isLimit = (config.limit)? true : false,
		limit = parseInt(config.limit),

		e = this, //set e as this
		selector = $(this).selector,
		buttonM = uploaderButton + ' input, '+ uploaderButton +' button'; //Accept button as input and as button
		isFile = false, //this is use to hide other inputs in a form
		progress = 0, //percentage of the upload,
		totalForm = 0,
		jqxhr = null, //return object from jquery.ajax,
		timeInterval = config.timeInterval,
		percentageInterval = config.percentageInterval,
		pcount = 0, //progress count to set interval,
		progressTime = null,
		stopUpload = false; //Stop all upload

		if(window.FormData)
			{ var isHtml5 = true; }
		else
			{ var isHtml5 = false; }
	
	////////////////////////////////////////

		// Wrap all function that is accessable within the plugin
		var uploader = {

			// Initialize and format data
			init: function()
				{
				uploader.form = $(e).parents('form');

				//prepend wrapper markup
				uploader.form.before(wrapper);

				//Wrap input button
				$(e).wrap('<span class="uploader-input-button" />');
				uploader.form.children('.uploader-input-button').prepend(config.selectFileLabel);

				//move upload and clear button into id uploader_button
				$(config.buttonUpload).appendTo(uploaderButton);
				$(config.buttonClear).appendTo(uploaderButton);

				//clear all form data
				uploader.clearFormData(uploader.form);

				uploader.form.hide();
				this.printForm();

				//Disable button
				$(buttonM).attr('disabled','disabled');
				},

			////////////////////////////////////////

			// Clone, format and append form
			printForm: function()
				{
				var formId = 'uploaderupload' + itr,
				iframeId = formId + '_frame';

				$('<iframe name="'+ iframeId +'"></iframe>').attr({
					id: iframeId,
					src: 'about:blank',
					style: 'display:none'
					}).prependTo(uploaderUploadFormInput);

				uploader.form.clone().attr({
					id: formId,
					target: iframeId
					}).prependTo(uploaderUploadFormInput).show();

				//Show only the file input
				uploader.showInputFile( '#'+formId );

				//This is not good but i left no choice because live function is not working on IE
				$(selector).change(function() {
					if(isHtml5)
						{ html5Change(this); }
					else
						{ uploadChange($(this)); }
					});
				},

			////////////////////////////////////////

			//Show only the file input
			showInputFile: function(form)
				{
				$(uploaderUploadFormInput).find(form).children().each(function(){
					isFile = $(this).is(':file');
					if(!isFile && $(this).find(':file').length == 0) {
						$(this).hide();
						}
					});
				},

			////////////////////////////////////////

			//Hide file input and show other data
			hideInputFile: function($form)
				{
				$form.children().each(function(){
					isFile = $(this).is(':file');
					if(isFile || $(this).find(':file').length > 0)
						{ $(this).hide(); }
					else
						{ $(this).show(); }
					});
				},

			////////////////////////////////////////

			//Validate file
			getFileName: function(file)
				{
				if(file.indexOf('/') > -1)
					{ file = file.substring(file.lastIndexOf('/') + 1); }
				else if(file.indexOf('\\') > -1)
					{ file = file.substring(file.lastIndexOf('\\') + 1); }

				return file;
				},

			////////////////////////////////////////

			validateFileName: function(filename)
				{
				var extensions = new RegExp(config.allowedExtension + '$', 'i');
				if(extensions.test(filename))
					{ return filename; }
				else
					{ return -1; }
				},

			////////////////////////////////////////

			getFileSize: function(file)
				{
				var fileSize = 0;
				if(file.size > 1024 * 1024)
					{ fileSize = (Math.round(file.size * 100 / (1024 * 1024)) / 100).toString() + 'MB'; }
				else
					{ fileSize = (Math.round(file.size * 100 / 1024) / 100).toString() + 'KB'; }

				return fileSize;
				},

			////////////////////////////////////////

			//clear form data
			clearFormData: function(form)
				{
				$(form).find(':input').each(function() {
					if(this.type == 'file')
						{ $(this).val(''); }
					});
				}
			}

	////////////////////////////////////////

		//initialize
		uploader.init();

		/* Html5 file change */
		function html5Change($this)
			{
			$.each( $this.files, function(index, file){
				uploadChange(file);
				});

			afterUploadChange();
			}

		////////////////////////////////////////

		/* Html5 Drag and Drop */
		$.event.props.push('dataTransfer');
		$(uploaderWidget).bind( 'dragenter dragover', false).bind('drop', function(e) {
			e.stopPropagation();
			e.preventDefault();

			html5Change(e.dataTransfer);
			});

		////////////////////////////////////////

		/* On Change of upload file */
		function uploadChange($this)
			{
			var $form = $(uploaderUploadFormInput + ' #uploaderupload'+ itr);
			//validate file
			var filename = (isHtml5)? $this.name : uploader.getFileName($this.val());
			if(uploader.validateFileName(filename) == -1)
				{
				if($.isFunction(config.onValidationError))
					{ config.onValidationError($this); }
				else
					{ alert ('Invalid file!'); }
				$form.find(':file').val('');

				return false;
				}

			//Limit
			if(limit <= 0)
				{
				// Message about exceeding limit
				return false;
				}
			limit = limit-1;

			//remove disabled attr
			$(buttonM).removeAttr('disabled');

			//remove upload text after uploaded
			$('.upload-data', uploaderUploadForm).each(function() {
				if( $(this).find('form').length <= 0 ) {
					$(this).remove();
					}
				});

			//append size of the file after filename
			if(isHtml5)
				{ filename += ' (' + uploader.getFileSize($this) + ')'; }

			//Display syled markup				
			$(uploaderUploadForm).append(
				$('<div>').attr({
					'class': 'upload-data pending',
					id: 'uploaderupload'+ itr +'_text'
					})
				.data('formId', 'uploaderupload'+ itr)
				.append(' \
					<ul class="actions"> \
						<li title="Upload" class="upload"> \
							<span class="fa fa-upload"></span> \
						</li> \
						<li title="Delete" class="delete"> \
							<span class="fa fa-ban"></span> \
						</li> \
					</ul> \
					<span class="filename">'+ filename +'</span> \
					<div class="progress"> \
						<div class="progressBar" id="progressBar_'+ itr +'"></div> \
					</div> \
					<div class="percentage">0%</div> \
					<div class="status">Pending...</div> \
					')
				);

			//Store input in form
			$form.data('input', $this);

			$form.appendTo(uploaderUploadForm + ' #uploaderupload'+ itr +'_text');

			//hide the input file
			uploader.hideInputFile($form);

			//increment for printing form
			itr++;

			//print form
			uploader.printForm();

			//Callback on file Changed
			config.onFileChange($this, $form);

			if(!isHtml5)
				{ afterUploadChange(); }
			}

		////////////////////////////////////////

		/* After upload change triggers autoupload */
		function afterUploadChange()
			{
			if(config.autoUpload)
				{
				//Display Cancel Button
				toogleCancel(true)

				stopUpload = false;
				//Queue and process upload
				uploadQueue();
				}
			}

		////////////////////////////////////////

		/* Queue Upload and send each form to process upload */
		function uploadQueue()
			{
			//stop all upload
			if(stopUpload)
				{ return; }

			totalForm = $(uploaderUploadForm + ' form').parent('.upload-data').get().length;
			if(totalForm > 0) {
				pendingUpload = $(uploaderUploadForm + ' form').parent('.upload-data').get(0);
				$form = $(pendingUpload).children('form');

				//before upload
				beforeEachUpload($form);

				// Upload Using Html5 api?
				if(isHtml5)
					{ html5Upload($form); }
				else
					{ iframeUpload($form); }
				}
			else
				{
				config.afterUpload(uploaderUploadForm);
				//Revert Button to clear
				toogleCancel(false);
				}
			}

		////////////////////////////////////////

		/* Process form Upload */
		function html5Upload($form)
			{
			file = $form.data('input');
			if(file)
				{
				var fd = new FormData();
				fd.append($form.find(selector).attr('name'), file);
				//get other form input and append to formData
				$form.find(':input').each(function() {
					if(this.type != 'file') {
						fd.append($(this).attr('name'), $(this).val());
						}
					});

				//show progress bar
				$uploadData = $form.parent();
				$uploadData.find('.progress').show();
				$progressBar = $uploadData.find('.progressBar');
				$percentage = $uploadData.find('.percentage');

				//Upload using jQuery AJAX
				jqxhr = $.ajax({
					url: $form.attr('action'),
					data: fd,
					cache: false,
					contentType: false,
					processData: false,
					type: 'POST',
					xhr: function() {
						var req = $.ajaxSettings.xhr();
						if(req) {
							req.upload.addEventListener('progress',function(ev){
								//Display progress Percentage
								progress = Math.round(ev.loaded * 100 / ev.total);
								$percentage.text(progress.toString() + '%');
								$progressBar.css('width',progress+'%');
		//						$progressBar.progressbar({
		//							value: progress
		//						});
								}, false);
							}
						return req;
						}
					})
				.success(function(data) {
					afterEachUpload($form.attr('id'), data );
					})
				.error(function(jqXHR, textStatus, errorThrown) {
					afterEachUpload($form.attr('id'), null, textStatus, errorThrown );
					})
				.complete(function(jqXHR, textStatus) {
					$progressBar.css('width','100%');
//					$progressBar.progressbar({
//						value: 100
//					});
					$percentage.text('100%');

					uploadQueue();
					});
				}

			$form.remove();
			}

		////////////////////////////////////////

		/* Iframe Upload Process */
		function iframeUpload($form)
			{
			//show progress bar
			$uploadData = $form.parent();
			$uploadData.find('.progress').show();
			$percentage = $uploadData.find('.percentage');
			$progressBar = $uploadData.find('.progressBar');

			pcount = 0;
			dummyProgress($progressBar, $percentage);

			$form.submit();

			var id = uploaderWidget + ' #' + $form.attr('id');
			$(id +'_frame').load(function(){

				data = $(this).contents().find('body').html();
				afterEachUpload($form.attr('id'), data);

				clearTimeout ( progressTime );
				progress = 100;
				$percentage.text(progress.toString() + '%');
				$progressBar.css('width',progress+'%');
	//			$progressBar.progressbar({
	//				value: progress
	//			});

				uploadQueue();
				});
			}

		////////////////////////////////////////

		/* Show the progress bar to the user */
		function dummyProgress($progressBar, $percentage)
			{
			if(percentageInterval[pcount]) {
				progress = percentageInterval[pcount] + Math.floor( Math.random() * 5 + 1 );
				$percentage.text(progress.toString() + '%');
				$progressBar.css('width',progress+'%');
	//			$progressBar.progressbar({
	//				value: progress
	//			});
				}

			if(timeInterval[pcount]) {
				progressTime = setTimeout(function(){
					dummyProgress($progressBar, $percentage)
					}, timeInterval[pcount] * 1000);
				}

			pcount++;
			}

		////////////////////////////////////////

		/* before Upload */
		function beforeAllUpload()
			{
			//trigger before upload callback
			$continue = config.beforeUpload(e, uploaderButton);
			if($continue === false)
				{ return false; }

			//Show Cancle Button
			toogleCancel(true);

			//process and queue upload
			uploadQueue();
			}

		////////////////////////////////////////

		/* Before Each file is uploaded */
		function beforeEachUpload($form)
			{
			//trigger before upload callback
			config.beforeEachUpload($form);

			$uploadData = $form.parent();
			$uploadData.find('.status').text('Uploading...');
			$uploadData.removeClass('pending').addClass('uploading');
			$uploadData.find('.delete').removeClass('delete').addClass('cancel').attr('title', 'Cancel');
			}

		////////////////////////////////////////

		/* After Each file is uploaded */
		function afterEachUpload(formId, data, status, errorThrown)
			{
			if(data)
				{
				data = $('<div>').append(data);
				status = $(data).find('#status').text();
				}

			formId = uploaderWidget + ' #' + formId;
			$uploadData = $(formId + '_text');

			if(status == 'success')
				{
				$uploadData.removeClass('uploading').addClass('success');
				$uploadData.children('.status').html( $(data).find('#message').text() );
				}
			else if(status == 'error')
				{
				$uploadData.removeClass('uploading').addClass('error');

				//if client side error other display error from backend
				if(errorThrown)
					{ $uploadData.children('.status').html(errorThrown); }
				else
					{ $uploadData.children('.status').html($(data).find('#message').text()); }

				}
			else if(status == 'abort')
				{
				$uploadData.removeClass('uploading').addClass('cancel');
				$uploadData.children('.status').html( 'Cancelled' );
				}

			$uploadData.find('.cancel').removeClass('cancel').addClass('delete').attr('title', 'Delete');

			//hide progress bar
		//	$uploadData.find('.progress').hide();

			//trigger after each upload
			config.afterEachUpload(data, status, $uploadData);

			$(formId).remove();
			$(formId + '_frame').remove();
			}

		////////////////////////////////////////

		/* Toggle Cancel/Delete button */
		function toogleCancel(cancel)
			{
			if(cancel)
				{
				//store button clear id
				buttonClearId = $(config.buttonClear, uploaderButton).attr('id');
				//Cancel Button
				$(config.buttonClear, uploaderButton).attr({ id: 'uploader-cancel', title: 'Cancel' });
				}
			else
				{
				//Clear button
				$('#uploader-cancel', uploaderButton).attr({ id: buttonClearId, title: 'Clear' });
				}
			}

		////////////////////////////////////////

		/* Onlick submit button: start upload */
		$(config.buttonUpload, uploaderButton).click(function()
			{
			stopUpload = false;
			beforeAllUpload();
			});

		////////////////////////////////////////

		/* Individual Upload */
		$('.upload', uploaderUploadForm).live('click', function()
			{
			$form = $(this).parents('.upload-data').children('form');
			if($form.length > 0)
				{
				//Show Cancle Button
				toogleCancel(true);

				//before upload
				beforeEachUpload($form);

				// Upload Using Html5 api
				if(isHtml5)
					{ html5Upload($form); }
				else
					{ iframeUpload($form); }

				stopUpload = true;
				}
			});

		////////////////////////////////////////

		//Button Clear Event
		$(config.buttonClear, uploaderButton).live('click', function()
			{
			$(uploaderUploadForm).fadeOut('slow',function(){
				$(this).empty();
				$(this).show();
				$(uploaderUploadFormInput).empty();

				itr = 1; //reset iteration
				limit = parseInt(config.limit);

				//print the First form
				uploader.printForm();

				//disable button
				$(buttonM).attr('disabled','disabled');
				});
			});

		////////////////////////////////////////

		$('.delete', uploaderUploadForm).live('click', function()
			{
			limit++;

			var id = uploaderWidget + ' #' + $(this).parents('.upload-data').data('formId');
			$(id+'_text').fadeOut('slow',function(){
				$(id+'_frame').remove();
				$(this).remove();

				//disable button
				if($(uploaderUploadForm).find('form').length <= 1) {
					$(buttonM).attr('disabled','disabled');	
					}
				});

			//on file remove callback
			config.onFileRemove(this);
			});

		////////////////////////////////////////

		/* Cancel individual upload */
		$('.cancel', uploaderUploadForm).live('click', function()
			{
			if(jqxhr)
				{ jqxhr.abort(); }

			if(!isHtml5)
				{
				$form = $(this).parents('.upload-data').children('form');
				$form.remove();
				afterEachUpload($form.attr('id'), null, 'abort', 'Cancelled');
				}
			});

		////////////////////////////////////////

		/* Cancel all uploads */
		$('#uploader-cancel', uploaderButton).live('click', function(){
			stopUpload = true;
			if(jqxhr)
				{ jqxhr.abort(); }

			$('form', uploaderUploadForm).each(function(){
				afterEachUpload($(this).attr('id'), null, 'abort', 'Cancelled');
				});

			//Show Clear Button
			toogleCancel(false);
			});

		return this;
		}

	})(jQuery);