<?PHP
/***************************************************************
*  Copyright notice
*
*  (c) 2009-2017 Nicolas Berg
*  All rights reserved
*
*  This script is part of the CMM3 Content-Management-System.
*  CMM3 is provided only under a commercial license until now.
*  Maybe we will add a free license in future.
*
*  This script is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
*
*  This copyright notice MUST APPEAR in all copies of the script!
***************************************************************/

///////////////////////////////////////////////////////////
// Modul fuer Klickpfad                                  //
///////////////////////////////////////////////////////////
// V 1.0 First release
// V 1.1.0 Parameterverarbeitung
// V 1.2.0 Umstellung auf CMM3
// V 1.2.1 Umzug con CMM_Contents nach CMM_Page[CMM]
// V 1.2.2 Erkennung metaMode -> keine Ausfuehrung
// V 1.2.3 Feld-Definitionen eingefuegt
// V 1.2.4 wrapLink eingefuegt, Defaults angepasst
// V 1.2.5 Navi-Objekt angepasst
///////////////////////////////////////////////////////////
include_once(CMM_ROOT_DIR.'CMM/classes/class.page.php');

/* PARAMS START - Marker-Comments required! */
$params = array(
	'startID' => '0', // Start-ID
	'startLevel' => '0', // Ausgabe Start ab Level
	'range' => '', // Anzahl der Ebenen ab startLevel
	'expAll' => '', // Unterseiten anzeigen? -> interaktiver Klickpfad
	'enableStatus' => 'nor,act,cur', // 'nor,act,cur,norifsub,actifsub,curifsub', // Erlaubte Navigationszustaende
	'target' => '', // Linkt-Target
	'crop' => '', // Ausgabe des Titels kuerzen

	'wrapAll' => '<ul><li class="clickpathLabel">{LANG_CMM_YOU_ARE_HERE}:</li>*</ul>', // Wrap um gesamte Navi
	'wrapLevel' => '', // Wrap um Navigationsebene
	'wrapItemAndSub' => '<li class="###STATUS######FIRSTLAST###">*</li>', // Wrap um Navigationspunkt und Unterpunkte
	'wrapItem' => '', // Wrap um Navigationspunkt
	'wrapLink' => '<a href="###LINK###" ###TARGET### title="###TITLE###">*</a>', // Wrap Link
	'wrapText' => '', // Wrap um Navigationstext
	'cacheTimeout' => 86400
	);
/* PARAMS END */

/* FIELDSET START - Marker-Comments required! */
$fieldset = array(
	'startID' => array('label'=>'Start-Seite (PID)','type'=>'linkfield','position'=>'left'),
	'startLevel' => array('label'=>'Start-Ebene','type'=>'textfield','datatype'=>'int','position'=>'left'),
	'range' => array('label'=>'Anzahl der Ebenen ab startLevel','type'=>'textfield','datatype'=>'int','position'=>'left'),
	'expAll' => array('label'=>'Alle Elemente der Navigation ausklappen','type'=>'checkbox','options'=>array(array('value'=>'1','text'=>'{LANG_CMM_YES}')),'text'=>'ja','datatype'=>'text','position'=>'right'),
	'enableStatus' => array('label'=>'Navigations-Stati (nor,act,cur,norifsub,actifsub,curifsub)','type'=>'textfield','datatype'=>'text','position'=>'bottom'),
	'target' => array('label'=>'Link-Target','type'=>'textfield','datatype'=>'text','position'=>'right'),
	'crop' => array('label'=>'Ausgabe des Titels kuerzen (Zeichenanzahl)','type'=>'textfield','datatype'=>'text','position'=>'right'),
	'wrapAll' => array('label'=>'Wrap um gesamte Navigation','type'=>'textfield','datatype'=>'code','position'=>'bottom','shy'=>1),
	'wrapLevel' => array('label'=>'Wrap um Navigationsebene','type'=>'textfield','datatype'=>'code','position'=>'bottom','shy'=>1),
	'wrapItemAndSub' => array('label'=>'Wrap um Navigationspunkt mit Unterpunkten','type'=>'textfield','datatype'=>'code','position'=>'bottom','shy'=>1),
	'wrapItem' => array('label'=>'Wrap um Navigationspunkt','type'=>'textfield','datatype'=>'code','position'=>'bottom','shy'=>1),
	'wrapLink' => array('label'=>'Wrap um Link (inkl. A-Tag)','type'=>'textfield','datatype'=>'code','position'=>'bottom','shy'=>1),
	'wrapText' => array('label'=>'Wrap um Navigationspunkt-Text','type'=>'textfield','datatype'=>'code','position'=>'bottom','shy'=>1),
	'cacheTimeout' => array('label'=>'{LANG_CMM_CACHE_TIMEOUT}','type'=>'textfield','datatype'=>'int','position'=>'bottom','shy'=>1)
	);
/* FIELDSET END */


// Set customer group
$params['CustomerCustomergroupID'] = isset($GLOBALS['CustomergroupUID']) ? $GLOBALS['CustomergroupUID'] : 0;
// Set language
$params['LID'] = isset($GLOBALS['LanguageUID']) ? $GLOBALS['LanguageUID'] : 1;

// Merge params and pluginParams
!isset($pluginParams) ? $pluginParams=array() : '';
$params = CMM_mergePluginParams($params,$pluginParams);

// Inhalt ausgeben
$clickpathNavi = new Navi;

// alle aktiven und fuer Navi frei gegebenen Seiten einlesen
$clickpathNaviPages = DB_CMM_pageGetList($CONFIG['CMM']['database']['cmm_cmm_pages'],array('LID'=>$GLOBALS['LanguageUID'],'CustomerCustomergroupID'=>$GLOBALS['CustomergroupUID'],'filter'=>array(),'sort'=>'PageSort ASC'));

// Naviebenen aufbauen
$pluginContent = $clickpathNavi->createClickpath($clickpathNaviPages,$params,$clickpathNavi->pageUID);

unset($params);
?>