<?PHP
/***************************************************************
*  Copyright notice
*
*  (c) 2009-2017 Nicolas Berg
*  All rights reserved
*
*  This script is part of the CMM3 Content-Management-System.
*  CMM3 is provided only under a commercial license until now.
*  Maybe we will add a free license in future.
*
*  This script is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
*
*  This copyright notice MUST APPEAR in all copies of the script!
***************************************************************/

///////////////////////////////////////////////////////////
// Plugin fuer Kunden-Registrierung                      //
///////////////////////////////////////////////////////////
// V 1.0 First release
// V 1.0.1 Erweiterung auf Mehrsprachigkeit
// V 1.0.2 Erkennung metaMode -> keine Ausfuehrung
// V 1.0.3 Feld-Definitionen eingefuegt
// V 1.0.4 TemplateFile als Parameter integriert
// V 1.0.5 Mod. fuer mysqli
///////////////////////////////////////////////////////////

$CONFIG['CMM'] = $CONFIG['CMM'];

/* PARAMS START - Marker-Comments required! */
$params = array(
	'templateFile' => 'CMM/template/html/CMM_CMM_CustomerDelete.html',
	'deletePID' => '{$GLOBALS["PageUID"]}',
	);
/* PARAMS END */

/* FIELDSET START - Marker-Comments required! */
$fieldset = array(
	'templateFile' => array('label'=>'{LANG_CMM_TEMPLATE_FILE}','type'=>'textfield','datatype'=>'text','position'=>'bottom','shy'=>1),
	'deletePID' => array('label'=>'{LANG_CMM_PAGE} {LANG_CMM_ACCOUNT_REMOVE}','type'=>'linkfield','position'=>'left')
	);
/* FIELDSET END */


// Set customer group
$params['CustomerCustomergroupID'] = isset($GLOBALS['CustomergroupUID']) ? $GLOBALS['CustomergroupUID'] : 0;

// Set language
$params['LID'] = isset($GLOBALS['LanguageUID']) ? $GLOBALS['LanguageUID'] : 1;

// Merge params and pluginParams
$params = CMM_mergePluginParams($params,$pluginParams);

// Template-Parameter mit realen Variablen ersetzen
$params = CMM_replaceParamsVars($params);

// Inhalt ausgeben, wenn nicht im metaMode 
if(empty($params['metaMode']))
	{
	// Loesch-FORMULAR
	if(empty($_SESSION['customer']['CustomerUID']))
		{
		// Formular abgesendet?
		$errorMessage = '';
		$errorFields = array();
		// Daten pruefen
		if(!empty($_REQUEST['CMM_action']) && $_REQUEST['CMM_action'] == 'delete')
			{
			// Standard-Pruefung
			if(empty($_REQUEST['CustomerHash']) || strlen($_REQUEST['CustomerHash']) < 6)
				{ $errorFields['CustomerHash'] = '1'; }
	
			// Format-Pruefung
			if(!empty($_REQUEST['CustomerHash']) && !preg_match("#[A-Za-z0-9]{16}#i",$_REQUEST['CustomerHash']))
				{ $errorFields['CustomerHash'] = '1'; }
	
			// Fehlermeldung Daten
			if(sizeof($errorFields) > 0)
				{ $errorMessage.= LANG_CMM_CUSTOMER_REMOVE_ERROR; }
	
			// Daten in DB pruefen
			if(sizeof($errorFields) == 0)
				{
				$customerDetailsCheck = array();
				$customerDetailsCheckQuery = "SELECT * FROM cmm_cmm_customers WHERE CustomerHash = '".mysqli_real_escape_string($GLOBALS['DBC'],$_REQUEST['CustomerHash'])."' LIMIT 0,1;";
				$customerDetailsCheckResult = mysqli_query($GLOBALS['DBC'],$customerDetailsCheckQuery);
				if(mysqli_errno($GLOBALS['DBC']))
					{ echo mysqli_errno($GLOBALS['DBC']).': '.mysqli_error($GLOBALS['DBC']); }
				if(mysqli_num_rows($customerDetailsCheckResult) > 0)
					{
					$customerDetailsCheck = mysqli_fetch_assoc($customerDetailsCheckResult);
					mysqli_free_result($customerDetailsCheckResult);
					}
	
				// Fehlermeldung - E-Mail nicht vorhanden
				if(empty($customerDetailsCheck['CustomerUID']))
					{
					$errorFields['CustomerHash'] = '1';
					$errorMessage.= LANG_CMM_CUSTOMER_REMOVE_ERROR_NOT;
					}
				// Fehlermeldung - Status schon aktiviert
				else if($customerDetailsCheck['CustomerStatus'] == '1')
					{
					$errorFields['CustomerHash'] = '1';
					$errorMessage.= LANG_CMM_CUSTOMER_REMOVE_ERROR_ENABLED;
					}
				// Fehlermeldung - Status gesperrt
				else if($customerDetailsCheck['CustomerStatus'] == '2')
					{
					$errorFields['CustomerHash'] = '1';
					$errorMessage.= LANG_CMM_CUSTOMER_REMOVE_ERROR_BLOCKED;
					}
				}
			}
	
		// Loeschen durchfuehren
		if(!empty($_REQUEST['CMM_action']) && $_REQUEST['CMM_action'] == 'delete' && sizeof($errorFields) == 0)
			{
			// Status in DB aktualisieren
			$customerDetailsCheck = array();
			$customerDetailsCheckQuery = "DELETE FROM cmm_cmm_customers WHERE CustomerHash = '".mysqli_real_escape_string($GLOBALS['DBC'],$_REQUEST['CustomerHash'])."';";
			mysqli_query($customerDetailsCheckQuery, $GLOBALS['DBC']);
			if(mysqli_errno($GLOBALS['DBC']))
				{ echo mysqli_errno($GLOBALS['DBC']).': '.mysqli_error($GLOBALS['DBC']); }
	
			// Init template object
			$pluginObj = new Template;
			$pluginObj->templateFile = $params['templateFile'];
			$pluginObj->templateSubpart = 'success';

			// Set data
			$pluginObj->input = array();
			$pluginObj->input['params'] = $params;

			// Render template
			$pluginContent = $pluginObj->templateIt();
			}
		// Formular ausgaben
		else
			{
			// URL Loeschen
			$deleteURL = CMM_createLink(array('page'=>$params['deletePID'],'language'=>$params['LID']));
	
			// Init template object
			$pluginObj = new Template;
			$pluginObj->templateFile = $params['templateFile'];
			$pluginObj->templateSubpart = 'form';

			// Set data
			$pluginObj->input = array();
			$pluginObj->input['deleteURL'] = $deleteURL;
			$pluginObj->input['errorFields'] = $errorFields;
			$pluginObj->input['errorMessage'] = $errorMessage;
			$pluginObj->input['params'] = $params;

			// Render template
			$pluginContent = $pluginObj->templateIt();
			}
		// Fehler-Variable loeschen um Konflikte mit anderen Formularen zu vermeiden!
		unset($errorFields);
		unset($errorMessage);
		}
	// zum Logout anweisen
	else
		{
		// Init template object
		$pluginObj = new Template;
		$pluginObj->templateFile = $params['templateFile'];
		$pluginObj->templateSubpart = 'logout';

		// Customer-Daten einfuegen
		$pluginObj->input = array();
		$pluginObj->input['params'] = $params;

		// Render template
		$pluginContent = $pluginObj->templateIt();
		}
	}

unset($params);
?>