<?PHP
/***************************************************************
*  Copyright notice
*
*  (c) 2009-2017 Nicolas Berg
*  All rights reserved
*
*  This script is part of the CMM3 Content-Management-System.
*  CMM3 is provided only under a commercial license until now.
*  Maybe we will add a free license in future.
*
*  This script is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
*
*  This copyright notice MUST APPEAR in all copies of the script!
***************************************************************/

///////////////////////////////////////////////////////////
// Plugin fuer Kunden-Registrierung                      //
///////////////////////////////////////////////////////////
// V 1.0 First release
// V 1.0.1 Erweiterung auf Mehrsprachigkeit
// V 1.0.2 Erkennung metaMode -> keine Ausfuehrung
// V 1.0.3 zusaetzliche variable Pflichtfelder und Parameter-Label
// V 1.0.4 Feld-Definitionen eingefuegt
// V 1.0.5 TemplateFile als Parameter integriert
// V 1.0.6 div. Anpassungen
// V 1.0.7 Mod. fuer mysqli
// V 1.0.8 Bugfix LID
///////////////////////////////////////////////////////////

$CONFIG['CMM'] = $CONFIG['CMM'];

/* PARAMS START - Marker-Comments required! */
$params = array(
	'templateFile' => 'CMM/template/html/CMM_CMM_CustomerEdit.html',
	'editPID' => '{$GLOBALS["PageUID"]}',
	'requiredFields' => 'CustomerGender,CustomerFirstname,CustomerLastname,CustomerBirth'
	);
/* PARAMS END */

/* FIELDSET START - Marker-Comments required! */
$fieldset = array(
	'templateFile' => array('label'=>'{LANG_CMM_TEMPLATE_FILE}','type'=>'textfield','datatype'=>'text','position'=>'bottom','shy'=>1),
	'editPID' => array('label'=>'{LANG_CMM_PAGE} {LANG_CMM_ACCOUNT_EDIT}','type'=>'linkfield','position'=>'left'),
	'requiredFields' => array('label'=>'{LANG_CMM_REQUIRED_FIELDS} {LANG_CMM_ADDITIONAL}','type'=>'multiselect','options'=>array(array('value'=>'CustomerGender','text'=>'Anrede'),array('value'=>'CustomerFirstname','text'=>'Vorname'),array('value'=>'CustomerLastname','text'=>'Nachname'),array('value'=>'CustomerBirth','text'=>'Geburtsdatum')),'position'=>'bottom')
	);
/* FIELDSET END */


// Set customer group
$params['CustomerCustomergroupID'] = isset($GLOBALS['CustomergroupUID']) ? $GLOBALS['CustomergroupUID'] : 0;
// Set language
$params['LID'] = isset($GLOBALS['LanguageUID']) ? $GLOBALS['LanguageUID'] : 1;

// Merge params and pluginParams
$params = CMM_mergePluginParams($params,$pluginParams);

// Template-Parameter mit realen Variablen ersetzen
$params = CMM_replaceParamsVars($params);

// Liste optionaler Pflcihtfelder trennen
$params['requiredFields'] = explode(',',$params['requiredFields']);

// Inhalt ausgeben, wenn nicht im metaMode 
if(empty($params['metaMode']))
	{
	// Registrierungs-FORMULAR
	if(!empty($_SESSION['customer']['CustomerUID']))
		{
		// Formular abgesendet?
		$successMessage = '';
		$errorMessage = '';
		$errorFields = array();

		// Daten pruefen
		if(!empty($_REQUEST['CMM_action']) && $_REQUEST['CMM_action'] == 'edit')
			{
			$_REQUEST['CustomerPassword'] = trim($_REQUEST['CustomerPassword']);
	
			// Standard-Pruefung
			if(empty($_REQUEST['CustomerGender']))
				{ $errorFields['CustomerGender'] = '1'; }
			if(empty($_REQUEST['CustomerFirstname']) || strlen($_REQUEST['CustomerFirstname']) < 3)
				{ $errorFields['CustomerFirstname'] = '1'; }
			if(empty($_REQUEST['CustomerLastname']) || strlen($_REQUEST['CustomerLastname']) < 3)
				{ $errorFields['CustomerLastname'] = '1'; }
		//	if(empty($_REQUEST['CustomerEmail']) || strlen($_REQUEST['CustomerEmail']) < 6)
		//		{ $errorFields['CustomerEmail'] = '1'; }
		//	if(empty($_REQUEST['CustomerPassword']) || strlen($_REQUEST['CustomerPassword']) < 6)
		//		{ $errorFields['CustomerPassword'] = '1'; }
	
			// optionale Pflichtfelder
			foreach($params['requiredFields'] as $optionalRequiredField)
				{
				if(isset($_REQUEST[$optionalRequiredField]) && empty($_REQUEST[$optionalRequiredField]))
					{ $errorFields[$optionalRequiredField] = '1'; }
				}
	
			// Format-Pruefung
			if(!empty($_REQUEST['CustomerBirth']) && !preg_match("=^[0-9]{2}[.]+[0-9]{2}[.]+[0-9]{4}$=",$_REQUEST['CustomerBirth']))
				{ $errorFields['CustomerBirth'] = '1'; }
			if(!empty($_REQUEST['CustomerPhone']) && !preg_match("=^[0-9-()/+. ]*$=",$_REQUEST['CustomerPhone']))
				{ $errorFields['CustomerPhone'] = '1'; }
			if(!empty($_REQUEST['CustomerFax']) && !preg_match("=^[0-9-()/+. ]*$=",$_REQUEST['CustomerFax']))
				{ $errorFields['CustomerFax'] = '1'; }
			if(!empty($_REQUEST['CustomerMobile']) && !preg_match("=^[0-9-()/+. ]*$=",$_REQUEST['CustomerMobile']))
				{ $errorFields['CustomerMobile'] = '1'; }
		//	if(!empty($_REQUEST['CustomerEmail']) && !preg_match("#[A-Za-z0-9\._-]{2,36}[@]+[A-Za-z0-9\.-]{2,30}[\.]+[A-Za-z]{2,6}#i",$_REQUEST['CustomerEmail']))
		//		{ $errorFields['CustomerEmail'] = '1'; }
			if(!empty($_REQUEST['CustomerPassword']) && strlen($_REQUEST['CustomerPassword']) < 6)
				{ $errorFields['CustomerPassword'] = '1'; $errorFields['CustomerPasswordRepeat'] = '1'; }
			if($_REQUEST['CustomerPasswordRepeat'] != $_REQUEST['CustomerPassword'])
				{ $errorFields['CustomerPassword'] = '1'; $errorFields['CustomerPasswordRepeat'] = '1'; }
	
			// Fehlermeldung Daten
			if(sizeof($errorFields) > 0)
				{ $errorMessage.= LANG_CMM_CUSTOMER_EDIT_ERROR; }
	
			// Pruefen ob Datensatz mit dieser UID in DB vorhanden
			if(sizeof($errorFields) == 0)
				{
				$customerDetailsCheck = array();
				$customerDetailsCheckQuery = "SELECT * FROM cmm_cmm_customers WHERE CustomerUID = '".mysqli_real_escape_string($GLOBALS['DBC'],$_SESSION['customer']['CustomerUID'])."' LIMIT 0,1;";
				$customerDetailsCheckResult = mysqli_query($GLOBALS['DBC'],$customerDetailsCheckQuery);
				if(mysqli_errno($GLOBALS['DBC']))
					{ echo mysqli_errno($GLOBALS['DBC']).': '.mysqli_error($GLOBALS['DBC']); }
				if(mysqli_num_rows($customerDetailsCheckResult) == 0)
					{
					$errorMessage.= LANG_CMM_CUSTOMER_EDIT_ERROR_NOT;
					$errorFields['CustomerUID'] = '1';
					}
				mysqli_free_result($customerDetailsCheckResult);
				}
			}
	
		// Aenderung der Daten durchfuehren
		if(!empty($_REQUEST['CMM_action']) && $_REQUEST['CMM_action']=='edit' && sizeof($errorFields)==0)
			{
			// Prevent change of protected fields
			unset($_REQUEST['CustomerUID']);
			unset($_REQUEST['CustomerTID']);
			unset($_REQUEST['CustomerLID']);
			unset($_REQUEST['CustomerStatus']);
			unset($_REQUEST['CustomerSort']);
			unset($_REQUEST['CustomerStart']);
			unset($_REQUEST['CustomerStop']);
			unset($_REQUEST['CustomerCustomergroupID']);
			unset($_REQUEST['CustomerImage']);
			unset($_REQUEST['CustomerHash']);
			unset($_REQUEST['CustomerConfig']);
			unset($_REQUEST['CustomerAddUser']);
			unset($_REQUEST['CustomerAddDate']);
			unset($_REQUEST['CustomerModUser']);

			// Get current user data from DB
			$customerDetailsCurrent = array();
			$customerDetailsCurrentQuery = "SELECT * FROM cmm_cmm_customers WHERE CustomerUID = '".mysqli_real_escape_string($GLOBALS['DBC'],$_SESSION['customer']['CustomerUID'])."' LIMIT 0,1;";
			$customerDetailsCurrentResult = mysqli_query($GLOBALS['DBC'],$customerDetailsCurrentQuery);
			if(mysqli_errno($GLOBALS['DBC']))
				{ echo mysqli_errno($GLOBALS['DBC']).': '.mysqli_error($GLOBALS['DBC']); }
			if(mysqli_num_rows($customerDetailsCurrentResult) > 0)
				{ $customerDetailsCurrent = mysqli_fetch_assoc($customerDetailsCurrentResult); }
			mysqli_free_result($customerDetailsCurrentResult);

			// Change datatype of CustomerBirth
			$customerDetailsCurrent['CustomerBirth'] = implode('.',array_reverse(explode('-',$customerDetailsCurrent['CustomerBirth'])));

			// Merge data from DB and REQUEST
			$customerDetails = array_merge($customerDetailsCurrent,$_REQUEST);
			unset($customerDetails['CMM_action']);

			// unverschluesseltes Passwort fuer E-Mail konservieren
			$customerDetails['CustomerPasswordOriginal'] = $customerDetails['CustomerPassword'];

			// Set new password
			if(!empty($_REQUEST['CustomerPassword']))
				{
				// Encode password
				$saltString = $CONFIG['CMM']['config']['salt'];
				$passwordDatatype = $CONFIG['CMM']['database']['cmm_cmm_customers']['fieldset']['CustomerPassword']['datatype'];
				// salted double md5 / md5 / plain
				if($passwordDatatype=='salted')
					{ $customerDetails['CustomerPassword'] = md5($saltString.'_'.md5(trim($customerDetails['CustomerPassword'])).'_'.$saltString).'_s'; }
				else if($passwordDatatype=='md5')
					{ $customerDetails['CustomerPassword'] = md5(trim($customerDetails['CustomerPassword'])); }
				else
					{ $customerDetails['CustomerPassword'] = trim($customerDetails['CustomerPassword']); }
				}
			// Or keep old password
			else
				{ $customerDetails['CustomerPassword'] = $customerDetailsCurrent['CustomerPassword']; }
				
			// Set mod date
			$customerDetails['CustomerModDate'] = date('Y-m-d H:i:s');

			// Sanitize magic quotes
			if(get_magic_quotes_gpc() == 0)
				{
				foreach($customerDetails as $customerDetailsKey => $customerDetailsValue)
					{ $customerDetails[$customerDetailsKey] = addslashes($customerDetailsValue); }
				}

			// Update record in database
			DB_CMM_recordUpdate($CONFIG['CMM']['database']['cmm_cmm_customers'],$customerDetails);
	
			// Get updated customer data for session
			$customerDetailsUpdated = array();
			$customerDetailsUpdatedQuery = "SELECT * FROM cmm_cmm_customers WHERE CustomerUID = '".mysqli_real_escape_string($GLOBALS['DBC'],$_SESSION['customer']['CustomerUID'])."' LIMIT 0,1;";
			$customerDetailsUpdatedResult = mysqli_query($GLOBALS['DBC'],$customerDetailsUpdatedQuery);
			if(mysqli_errno($GLOBALS['DBC']))
				{ echo mysqli_errno($GLOBALS['DBC']).': '.mysqli_error($GLOBALS['DBC']); }
			if(mysqli_num_rows($customerDetailsUpdatedResult) > 0)
				{ $customerDetailsUpdated = mysqli_fetch_assoc($customerDetailsUpdatedResult); }
			mysqli_free_result($customerDetailsUpdatedResult);

			// Overwrite customer data in session
			$_SESSION['customer'] = array_merge($_SESSION['customer'],$customerDetailsUpdated);
			
			// Success message
			$successMessage = LANG_CMM_CUSTOMER_EDIT_SUCCESS;
			}

		// Get current user record from DB
		$customerDetailsCurrent = array();
		$customerDetailsCurrentQuery = "SELECT * FROM cmm_cmm_customers WHERE CustomerUID = '".mysqli_real_escape_string($GLOBALS['DBC'],$_SESSION['customer']['CustomerUID'])."' LIMIT 0,1;";
		$customerDetailsCurrentResult = mysqli_query($GLOBALS['DBC'],$customerDetailsCurrentQuery);
		if(mysqli_errno($GLOBALS['DBC']))
			{ echo mysqli_errno($GLOBALS['DBC']).': '.mysqli_error($GLOBALS['DBC']); }
		if(mysqli_num_rows($customerDetailsCurrentResult) > 0)
			{ $customerDetailsCurrent = mysqli_fetch_assoc($customerDetailsCurrentResult); }
		mysqli_free_result($customerDetailsCurrentResult);

		// Change datatype of CustomerBirth
		if(!empty($customerDetailsCurrent['CustomerBirth']) && $customerDetailsCurrent['CustomerBirth']!='0000-00-00')
			{ $customerDetailsCurrent['CustomerBirth'] = implode('.',array_reverse(explode('-',$customerDetailsCurrent['CustomerBirth']))); }
		else
			{ $customerDetailsCurrent['CustomerBirth'] = ''; }

		// Merge data from DB and edit form
		$_REQUEST = array_merge($customerDetailsCurrent,$_REQUEST);

		// URL konstruieren
		$editURL = CMM_createLink(array('page'=>$params['editPID'],'language'=>$params['LID']));

		// Init template object
		$pluginObj = new Template;
		$pluginObj->templateFile = $params['templateFile'];
		$pluginObj->templateSubpart = 'form';

		// Customer-Daten einfuegen
		$pluginObj->input = array();
		$pluginObj->input['editURL'] = $editURL;
		$pluginObj->input['errorFields'] = $errorFields;
		$pluginObj->input['errorMessage'] = $errorMessage;
		$pluginObj->input['successMessage'] = $successMessage;
		$pluginObj->input['requiredFields'] = implode(',',$params['requiredFields']);
		$pluginObj->input['params'] = $params;

		// Render template
		$pluginContent = $pluginObj->templateIt();

		// Fehler-Variable loeschen um Konflikte mit anderen Formularen zu vermeiden!
		unset($errorFields);
		unset($errorMessage);
		}
	// zum Login anweisen
	else
		{
		// Init template object
		$pluginObj = new Template;
		$pluginObj->templateFile = $params['templateFile'];
		$pluginObj->templateSubpart = 'login';

		// Customer-Daten einfuegen
		$pluginObj->input = array();
		$pluginObj->input['params'] = $params;

		// Render template
		$pluginContent = $pluginObj->templateIt();
		}
	}

unset($params);
?>