<?PHP
/***************************************************************
*  Copyright notice
*
*  (c) 2009-2017 Nicolas Berg
*  All rights reserved
*
*  This script is part of the CMM3 Content-Management-System.
*  CMM3 is provided only under a commercial license until now.
*  Maybe we will add a free license in future.
*
*  This script is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
*
*  This copyright notice MUST APPEAR in all copies of the script!
***************************************************************/

///////////////////////////////////////////////////////////
// Plugin fuer Login-/Logout-Formular                    //
///////////////////////////////////////////////////////////
// V 1.0 First release
// V 1.0.1 Erweiterung auf Mehrsprachigkeit
// V 1.0.2 Erkennung metaMode -> keine Ausfuehrung
// V 1.0.3 Feld-Definitionen eingefuegt
// V 1.0.4 QUALITY-FIX
// V 1.0.5 TemplateFile als Parameter integriert
// V 1.0.6 Mod. fuer mysqli
///////////////////////////////////////////////////////////


$CONFIG['CMM'] = $CONFIG['CMM'];

/* PARAMS START - Marker-Comments required! */
$params = array(
	'templateFile' => 'CMM/template/html/CMM_CMM_CustomerLogin.html',
	'loginPID' => '{$GLOBALS["PageUID"]}',
	'logoutPID' => '{$GLOBALS["PageUID"]}',
	'passwordPID' => '',
	'registerPID' => '',
	'editPID' => '',
	'cacheTimeout' => 86400
	);
/* PARAMS END */

/* FIELDSET START - Marker-Comments required! */
$fieldset = array(
	'templateFile' => array('label'=>'{LANG_CMM_TEMPLATE_FILE}','type'=>'textfield','datatype'=>'text','position'=>'bottom','shy'=>1),
	'loginPID' => array('label'=>'{LANG_CMM_PAGE} {LANG_CMM_LOGIN}','type'=>'linkfield','position'=>'left'),
	'logoutPID' => array('label'=>'{LANG_CMM_PAGE} {LANG_CMM_LOGOUT}','type'=>'linkfield','position'=>'right'),
	'passwordPID' => array('label'=>'{LANG_CMM_PAGE} {LANG_CMM_ACCOUNT_PASSWORD}','type'=>'linkfield','position'=>'left'),
	'registerPID' => array('label'=>'{LANG_CMM_PAGE} {LANG_CMM_ACCOUNT_REGISTER}','type'=>'linkfield','position'=>'right'),
	'editPID' => array('label'=>'{LANG_CMM_PAGE} {LANG_CMM_ACCOUNT_EDIT}','type'=>'linkfield','position'=>'left'),
	'cacheTimeout' => array('label'=>'{LANG_CMM_CACHE_TIMEOUT}','type'=>'textfield','datatype'=>'int','position'=>'bottom','shy'=>1)
	);
/* FIELDSET END */

// Set customer group
$params['CustomerCustomergroupID'] = isset($GLOBALS['CustomergroupUID']) ? $GLOBALS['CustomergroupUID'] : 0;

// Set language
$params['LID'] = isset($GLOBALS['LanguageUID']) ? $GLOBALS['LanguageUID'] : 1;

// Merge params and pluginParams
$params = CMM_mergePluginParams($params,$pluginParams);

// Template-Parameter mit realen Variablen ersetzen
$params = CMM_replaceParamsVars($params);

// LOGOUT-FORMULAR
if(isset($_SESSION['customer']) && !empty($_SESSION['customer']['CustomerUID']))
	{
	// URL Logout
	$logoutURL = CMM_createLink(array('page'=>$params['logoutPID'],'language'=>$params['LID'],'group'=>$params['CustomerCustomergroupID']));
	// URL bearbeiten
	$editURL = CMM_createLink(array('page'=>$params['editPID'],'language'=>$params['LID'],'group'=>$params['CustomerCustomergroupID']));

	// Collect data for template
	$view = array();
	$view = $_SESSION['customer'];
	$view['logoutURL'] = $logoutURL;
	$view['editURL'] = $editURL;
	$view['params'] = $params;

	// Cache settings
	$cacheSettings = array();
	$cacheSettings['module'] = 'CMM:customerLogout';
	$cacheSettings['page'] = $GLOBALS['PageUID'];
	$cacheSettings['params'] = $params;
	$cacheSettings['lastmod'] = 0;
	$cacheSettings['timeout'] = (empty($_SESSION['customer']) ? $params['cacheTimeout'] : 0);

	// Init template object
	$pluginObj = new Template;
	$pluginObj->templateFile = $params['templateFile'];
	$pluginObj->templateSubpart = 'logout';
	$pluginObj->cache = $cacheSettings;
	$pluginObj->input = $view;

	// Template-Datei lesen
	$pluginContent = $pluginObj->templateIt();
	}
// LOGIN-FORMULAR
else
	{
	// Formular abgesendet?
	$errorMessage = '';
	$errorFields = array();
	// Login versucht aber nicht gelungen
	if(!empty($_REQUEST['CMM_action']) && $_REQUEST['CMM_action'] == 'login')
		{
		// Hier nur Grund fuer fehlendes Login pruefen
		$customerDetailsCheck = array();
		$customerDetailsCheckQuery = "SELECT * FROM cmm_cmm_customers WHERE CustomerEmail = '".mysqli_real_escape_string($GLOBALS['DBC'],$_REQUEST['CustomerEmail'])."' AND CustomerPassword = '".mysqli_real_escape_string($GLOBALS['DBC'],md5($_REQUEST['CustomerPassword']))."' LIMIT 0,1;";
		$customerDetailsCheckResult = mysqli_query($GLOBALS['DBC'],$customerDetailsCheckQuery);
		if(mysqli_errno($GLOBALS['DBC']))
			{ echo mysqli_errno($GLOBALS['DBC']).': '.mysqli_error($GLOBALS['DBC']); }
		if(mysqli_num_rows($customerDetailsCheckResult) > 0)
			{ $customerDetailsCheck = mysqli_fetch_assoc($customerDetailsCheckResult); }
		mysqli_free_result($customerDetailsCheckResult);

		// Fehlermeldung - E-Mail nicht vorhanden
		if(empty($customerDetailsCheck['CustomerUID']))
			{
			$errorFields['CustomerEmail'] = '1';
			$errorFields['CustomerPassword'] = '1';
			$errorMessage = LANG_CMM_CUSTOMER_LOGIN_ERROR;
			}
		// Konto noch nicht aktiviert
		else if($customerDetailsCheck['CustomerStatus']=='0')
			{
			$errorMessage = LANG_CMM_CUSTOMER_LOGIN_ERROR_DISABLED;
			}
		// Konto gesperrt
		else if($customerDetailsCheck['CustomerStatus']=='2')
			{
			$errorMessage = LANG_CMM_CUSTOMER_LOGIN_ERROR_BLOCKED;
			}
		}

	// URL login
	$loginURL = CMM_createLink(array('page'=>$params['loginPID'],'language'=>$params['LID'],'group'=>$params['CustomerCustomergroupID']));
	// URL bearbeiten
	$passwordURL = CMM_createLink(array('page'=>$params['passwordPID'],'language'=>$params['LID'],'group'=>$params['CustomerCustomergroupID']));
	// URL registrieren
	$registerURL = CMM_createLink(array('page'=>$params['registerPID'],'language'=>$params['LID'],'group'=>$params['CustomerCustomergroupID']));

	// Collect data for template
	$view = array();
	$view['params'] = $params;
	$view['errorFields'] = $errorFields;
	$view['errorMessage'] = $errorMessage;
	$view['loginURL'] = $loginURL;
	$view['passwordURL'] = $passwordURL;
	$view['registerURL'] = $registerURL;

	// Cache settings
	$cacheSettings = array();
	$cacheSettings['module'] = 'CMM:customerLogin';
	$cacheSettings['page'] = $GLOBALS['PageUID'];
	$cacheSettings['params'] = $params;
	$cacheSettings['lastmod'] = 0;
	$cacheSettings['timeout'] = (empty($_REQUEST['CustomerEmail']) && empty($_REQUEST['CustomerPassword']) ? $params['cacheTimeout'] : 0);

	// Init template object
	$pluginObj = new Template;
	$pluginObj->templateFile = $params['templateFile'];
	$pluginObj->templateSubpart = 'login';
	$pluginObj->cache = $cacheSettings;
	$pluginObj->input = $view;

	// Render template
	$pluginContent = $pluginObj->templateIt();
	}

unset($params);
?>