<?PHP
/***************************************************************
*  Copyright notice
*
*  (c) 2009-2017 Nicolas Berg
*  All rights reserved
*
*  This script is part of the CMM3 Content-Management-System.
*  CMM3 is provided only under a commercial license until now.
*  Maybe we will add a free license in future.
*
*  This script is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
*
*  This copyright notice MUST APPEAR in all copies of the script!
***************************************************************/

///////////////////////////////////////////////////////////
// Plugin fuer Kunden-Passwort vergessen                 //
///////////////////////////////////////////////////////////
// V 1.0 First release
// V 1.0.1 Erweiterung auf Mehrsprachigkeit
// V 1.0.2 Mod: Umstellung der Variable $CONFIG['EMAIL'] aus $CUSTOM['CMM']['EMAIL']
// V 1.0.3 Erkennung metaMode -> keine Ausfuehrung
// V 1.0.4 Feld-Definitionen eingefuegt
// V 1.0.5 E-Mail-Versand angepasst
// V 1.0.6 TemplateFile als Parameter integriert
// V 1.0.7 div. Anpassungen
// V 1.0.8 Mod. fuer mysqli
// V 1.0.9 Mail-function-call mod.
///////////////////////////////////////////////////////////

$CONFIG['CMM'] = $CONFIG['CMM'];

/* PARAMS START - Marker-Comments required! */
$params = array(
	'templateFile' => 'CMM/template/html/CMM_CMM_CustomerPassword.html',
	'passwordPID' => '{$GLOBALS["PageUID"]}',
	'loginPID' => ''
	);
/* PARAMS END */

/* FIELDSET START - Marker-Comments required! */
$fieldset = array(
	'templateFile' => array('label'=>'{LANG_CMM_TEMPLATE_FILE}','type'=>'textfield','datatype'=>'text','position'=>'bottom','shy'=>1),
	'passwordPID' => array('label'=>'{LANG_CMM_PAGE} {LANG_CMM_ACCOUNT_PASSWORD}','type'=>'linkfield','position'=>'left'),
	'loginPID' => array('label'=>'{LANG_CMM_PAGE} {LANG_CMM_LOGIN}','type'=>'linkfield','position'=>'right')
	);
/* FIELDSET END */


// Set customer group
$params['CustomerCustomergroupID'] = isset($GLOBALS['CustomergroupUID']) ? $GLOBALS['CustomergroupUID'] : 0;

// Set language
$params['LID'] = isset($GLOBALS['LanguageUID']) ? $GLOBALS['LanguageUID'] : 1;

// Merge params and pluginParams
$params = CMM_mergePluginParams($params,$pluginParams);

// Template-Parameter mit realen Variablen ersetzen
$params = CMM_replaceParamsVars($params);

// Inhalt ausgeben, wenn nicht im metaMode 
if(empty($params['metaMode']))
	{
	// Passwort-FORMULAR
	if(empty($_SESSION['customer']['CustomerUID']))
		{
		// Init some vars
		$errorMessage = '';
		$errorFields = array();

		// Check form data
		if(!empty($_REQUEST['CMM_action']) && $_REQUEST['CMM_action'] == 'password')
			{
			// Check email empty
			if(empty($_REQUEST['CustomerEmail']) || strlen($_REQUEST['CustomerEmail']) < 6)
				{ $errorFields['CustomerEmail'] = '1'; }

			// Check email pattern
			if(!empty($_REQUEST['CustomerEmail']) && !preg_match("#[A-Za-z0-9\._-]{2,36}[@]+[A-Za-z0-9\.-]{2,30}[\.]+[A-Za-z]{2,6}#i",$_REQUEST['CustomerEmail']))
				{ $errorFields['CustomerEmail'] = '1'; }

			// Set error message
			if(sizeof($errorFields) > 0)
				{ $errorMessage.= LANG_CMM_CUSTOMER_PASSWORD_ERROR; }

			// Check if customer account exists for given email
			if(sizeof($errorFields) == 0)
				{
				$customerDetailsCheck = array();
				$customerDetailsCheckQuery = "SELECT * FROM cmm_cmm_customers WHERE CustomerEmail = '".mysqli_real_escape_string($GLOBALS['DBC'],$_REQUEST['CustomerEmail'])."' LIMIT 0,1;";
				$customerDetailsCheckResult = mysqli_query($GLOBALS['DBC'],$customerDetailsCheckQuery);
				if(mysqli_errno($GLOBALS['DBC']))
					{ echo mysqli_errno($GLOBALS['DBC']).': '.mysqli_error($GLOBALS['DBC']); }
				if(mysqli_num_rows($customerDetailsCheckResult) == 0)
					{
					$errorFields['CustomerEmail'] = '1';
					$errorMessage.= LANG_CMM_CUSTOMER_PASSWORD_ERROR_NOT;
					}
				mysqli_free_result($customerDetailsCheckResult);
				}
			}

		// Aktualisierung durchfuehren
		if(!empty($_REQUEST['CMM_action']) && $_REQUEST['CMM_action'] == 'password' && sizeof($errorFields) == 0)
			{
			// Set customer data
			$customerDetails = array();
			$customerDetails['CustomerEmail'] = $_REQUEST['CustomerEmail'];

			// Create new password by timestamp
			$customerDetails['CustomerPassword'] = substr(md5(time()),0,10);

			// Save original password for e-mail
			$customerDetails['CustomerPasswordOriginal'] = $customerDetails['CustomerPassword'];

			// Encode password
			$saltString = $CONFIG['CMM']['config']['salt'];
			$passwordDatatype = $CONFIG['CMM']['database']['cmm_cmm_customers']['fieldset']['CustomerPassword']['datatype'];
			// salted double md5 / md5 / plain
			if($passwordDatatype=='salted')
				{ $customerDetails['CustomerPassword'] = md5($saltString.'_'.md5(trim($customerDetails['CustomerPassword'])).'_'.$saltString).'_s'; }
			else if($passwordDatatype=='md5')
				{ $customerDetails['CustomerPassword'] = md5(trim($customerDetails['CustomerPassword'])); }
			else
				{ $customerDetails['CustomerPassword'] = trim($customerDetails['CustomerPassword']); }

			// neues Passwort in DB aktualisieren
			$customerDetailsUpdateQuery = "UPDATE cmm_cmm_customers SET CustomerPassword ='".mysqli_real_escape_string($GLOBALS['DBC'],$customerDetails['CustomerPassword'])."', CustomerModDate='".date('Y-m-d H:i:s')."' WHERE CustomerEmail = '".mysqli_real_escape_string($GLOBALS['DBC'],$customerDetails['CustomerEmail'])."';";
			mysqli_query($GLOBALS['DBC'],$customerDetailsUpdateQuery);
			if(mysqli_errno($GLOBALS['DBC']))
				{ echo mysqli_errno($GLOBALS['DBC']).': '.mysqli_error($GLOBALS['DBC']); }

			// Login-Link
			$loginURL = (!empty($params['loginPID']) ? CMM_createLink(array('page'=>$params['loginPID'],'language'=>$params['LID'],'vars'=>array())) : '');

			// E-Mail an Kunden versenden
			$mailCustomerObj = new Template;
			$mailCustomerObj->templateFile = $params['templateFile'];
			$mailCustomerObj->templateSubpart = 'mailCustomer';

			// Set data
			$mailCustomerObj->input = $customerDetails;
			$mailCustomerObj->input['loginURL'] = $loginURL;

			$mailCustomerSubject = LANG_CMM_CUSTOMER_PASSWORD_MAIL_SUBJECT.' '.LANG_CMM_AT.' '.CMM_SITE_NAME;
			$mailCustomerContent = $mailCustomerObj->templateIt();
			$mailCustomerTo = $customerDetails['CustomerEmail'];
			$mailCustomerFrom = $CUSTOM['CMM']["config"]['emailAdminName'].' <'.$CUSTOM['CMM']["config"]['emailAdminAddress'].'>';

			// Send password mail
			$mailStatus = CMM_sendMail($mailCustomerSubject,$mailCustomerContent,$mailCustomerTo,$mailCustomerFrom,'UTF-8');
			if($mailStatus == false)
				{ $errorMessage.= LANG_CMM_MAILFORM_ERROR_NOT_SENT; }

			// Init template object
			$pluginObj = new Template;
			$pluginObj->templateFile = $params['templateFile'];
			$pluginObj->templateSubpart = (empty($errorMessage) ? 'success' : 'form');

			// Set data
			$pluginObj->input = array();
			$pluginObj->input['params'] = $params;
			$pluginObj->input['errorMessage'] = $errorMessage;

			// Render template
			$pluginContent = $pluginObj->templateIt();
			}
		// Formular ausgaben
		else
			{
			// URL konstruieren
			$passwordURL = CMM_createLink(array('page'=>$params['passwordPID'],'language'=>$params['LID']));

			// Init template object
			$pluginObj = new Template;
			$pluginObj->templateFile = $params['templateFile'];
			$pluginObj->templateSubpart = 'form';

			// Set data
			$pluginObj->input = array();
			$pluginObj->input['passwordURL'] = $passwordURL;
			$pluginObj->input['errorFields'] = $errorFields;
			$pluginObj->input['errorMessage'] = $errorMessage;
			$pluginObj->input['params'] = $params;

			// Render template
			$pluginContent = $pluginObj->templateIt();
			}
		// Fehler-Variable loeschen um Konflikte mit anderen Formularen zu vermeiden!
		unset($errorFields);
		unset($errorMessage);
		}
	// zum Logout anweisen
	else
		{
		// Init template object
		$pluginObj = new Template;
		$pluginObj->templateFile = $params['templateFile'];
		$pluginObj->templateSubpart = 'logout';

		// Customer-Daten einfuegen
		$pluginObj->input = array();
		$pluginObj->input['params'] = $params;

		// Render template
		$pluginContent = $pluginObj->templateIt();
		}
	}

unset($params);
?>