<?PHP
/***************************************************************
*  Copyright notice
*
*  (c) 2009-2017 Nicolas Berg
*  All rights reserved
*
*  This script is part of the CMM3 Content-Management-System.
*  CMM3 is provided only under a commercial license until now.
*  Maybe we will add a free license in future.
*
*  This script is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
*
*  This copyright notice MUST APPEAR in all copies of the script!
***************************************************************/

///////////////////////////////////////////////////////////
// Plugin fuer Kunden-Registrierung                      //
///////////////////////////////////////////////////////////
// V 1.0 First release
// V 1.0.1 Erweiterung auf Mehrsprachigkeit
// V 1.0.2 Mod: Umstellung der Variable $CONFIG['EMAIL'] aus $CUSTOM['CMM']['EMAIL']
// V 1.0.3 Erkennung metaMode -> keine Ausfuehrung
// V 1.0.4 zusaetzliche variable Pflichtfelder und Parameter-Label
// V 1.0.5 Feld-Definitionen eingefuegt
// V 1.0.6 E-Mail-Versand angepasst, LoginPage-Link reaktiviert
// V 1.0.7 TemplateFile als Parameter integriert
// V 1.0.8 div. Anpassungen
// V 1.0.9 Mod. fuer mysqli
// V 1.1.0 Bugfix LID
// V 1.1.1 Mail-function-call mod.
///////////////////////////////////////////////////////////

$CONFIG['CMM'] = $CONFIG['CMM'];

/* PARAMS START - Marker-Comments required! */
$params = array(
	'templateFile' => 'CMM/template/html/CMM_CMM_CustomerRegister.html',
	'registerPID' => '{$GLOBALS["PageUID"]}',
	'confirmPID' => '',
	'loginPID' => '',
	'deletePID' => '',
	'privacyPID' => '',
	'conditionsPID' => '',
	'customerEnableMode' => 'message', // instant / confirm / admin
	'customerGroup' => '1',
	'requiredFields' => 'CustomerGender,CustomerFirstname,CustomerLastname,CustomerBirth'
	);
/* PARAMS END */

/* FIELDSET START - Marker-Comments required! */
$fieldset = array(
	'templateFile' => array('label'=>'{LANG_CMM_TEMPLATE_FILE}','type'=>'textfield','datatype'=>'text','position'=>'bottom','shy'=>1),
	'registerPID' => array('label'=>'{LANG_CMM_PAGE} {LANG_CMM_ACCOUNT_REGISTER}','type'=>'linkfield','position'=>'left'),
	'confirmPID' => array('label'=>'{LANG_CMM_PAGE} {LANG_CMM_ACCOUNT_CONFIRM}','type'=>'linkfield','position'=>'left'),
	'loginPID' => array('label'=>'{LANG_CMM_PAGE} {LANG_CMM_LOGIN}','type'=>'linkfield','position'=>'left'),
	'deletePID' => array('label'=>'{LANG_CMM_PAGE} {LANG_CMM_ACCOUNT_REMOVE}','type'=>'linkfield','position'=>'right'),
	'privacyPID' => array('label'=>'{LANG_CMM_PAGE} {LANG_CMM_PRIVACY_POLICY}','type'=>'linkfield','position'=>'right'),
	'conditionsPID' => array('label'=>'{LANG_CMM_PAGE} {LANG_CMM_CONDITIONS}','type'=>'linkfield','position'=>'right'),
	'customerEnableMode' => array('label'=>'{LANG_CMM_CUSTOMER_CONFIRM_MODE}','type'=>'select','disablenone'=>1,'options'=>array(array('value'=>'message','text'=>'Per Link freischalten (E-Mail)'),array('value'=>'admin','text'=>'Durch Admin freischalten'),array('value'=>'instant','text'=>'Sofort freischalten (!)')),'position'=>'bottom'),
	'customerGroup' => array('label'=>'{LANG_CMM_CUSTOMER_CUSTOMERGROUP_INITIAL}','type'=>'select','select'=>array('module'=>'CMM','table'=>'cmm_cmm_customergroups','keyfield'=>'CustomergroupUID','labelfield'=>'CustomergroupName'),'position'=>'bottom'),
	'requiredFields' => array('label'=>'{LANG_CMM_REQUIRED_FIELDS} {LANG_CMM_ADDITIONAL}','type'=>'multiselect','options'=>array(array('value'=>'CustomerGender','text'=>'Anrede'),array('value'=>'CustomerFirstname','text'=>'Vorname'),array('value'=>'CustomerLastname','text'=>'Nachname'),array('value'=>'CustomerBirth','text'=>'Geburtsdatum')),'position'=>'bottom')
	);
/* FIELDSET END */


// Set customer group
$params['CustomerCustomergroupID'] = isset($GLOBALS['CustomergroupUID']) ? $GLOBALS['CustomergroupUID'] : 0;
// Set language
$params['LID'] = isset($GLOBALS['LanguageUID']) ? $GLOBALS['LanguageUID'] : 1;

// Merge params and pluginParams
$params = CMM_mergePluginParams($params,$pluginParams);

// Template-Parameter mit realen Variablen ersetzen
$params = CMM_replaceParamsVars($params);

// Liste optionaler Pflcihtfelder trennen
$params['requiredFields'] = explode(',',$params['requiredFields']);

// Registrierungs-FORMULAR
if(empty($_SESSION['customer']['CustomerUID']))
	{
	// Formular abgesendet?
	$errorMessage = '';
	$errorFields = array();
	// Daten pruefen
	if(!empty($_REQUEST['CMM_action']) && $_REQUEST['CMM_action'] == 'register')
		{
		$_REQUEST['CustomerPassword'] = trim($_REQUEST['CustomerPassword']);

		// Standard-Pruefung
		if(empty($_REQUEST['CustomerGender']))
			{ $errorFields['CustomerGender'] = '1'; }
		if(empty($_REQUEST['CustomerFirstname']) || strlen($_REQUEST['CustomerFirstname']) < 3)
			{ $errorFields['CustomerFirstname'] = '1'; }
		if(empty($_REQUEST['CustomerLastname']) || strlen($_REQUEST['CustomerLastname']) < 3)
			{ $errorFields['CustomerLastname'] = '1'; }
		if(empty($_REQUEST['CustomerEmail']) || strlen($_REQUEST['CustomerEmail']) < 6)
			{ $errorFields['CustomerEmail'] = '1'; }
		if(empty($_REQUEST['CustomerPassword']) || strlen($_REQUEST['CustomerPassword']) < 6)
			{ $errorFields['CustomerPassword'] = '1'; $errorFields['CustomerPasswordRepeat'] = '1'; }
		if(empty($_REQUEST['CustomerPasswordRepeat']) || strlen($_REQUEST['CustomerPasswordRepeat']) < 6)
			{ $errorFields['CustomerPassword'] = '1'; $errorFields['CustomerPasswordRepeat'] = '1'; }

		// optionale Pflichtfelder
		foreach($params['requiredFields'] as $optionalRequiredField)
			{
			if(isset($_REQUEST[$optionalRequiredField]) && empty($_REQUEST[$optionalRequiredField]))
				{ $errorFields[$optionalRequiredField] = '1'; }
			}

		// Format-Pruefung
		if(!empty($_REQUEST['CustomerBirth']) && !preg_match("=^[0-9]{2}[.]+[0-9]{2}[.]+[0-9]{4}$=",$_REQUEST['CustomerBirth']))
			{ $errorFields['CustomerBirth'] = '1'; }
		if(!empty($_REQUEST['CustomerPhone']) && !preg_match("=^[0-9-()/+. ]*$=",$_REQUEST['CustomerPhone']))
			{ $errorFields['CustomerPhone'] = '1'; }
		if(!empty($_REQUEST['CustomerFax']) && !preg_match("=^[0-9-()/+. ]*$=",$_REQUEST['CustomerFax']))
			{ $errorFields['CustomerFax'] = '1'; }
		if(!empty($_REQUEST['CustomerMobile']) && !preg_match("=^[0-9-()/+. ]*$=",$_REQUEST['CustomerMobile']))
			{ $errorFields['CustomerMobile'] = '1'; }
		if(!empty($_REQUEST['CustomerEmail']) && !preg_match("#[A-Za-z0-9\._-]{2,36}[@]+[A-Za-z0-9\.-]{2,30}[\.]+[A-Za-z]{2,6}#i",$_REQUEST['CustomerEmail']))
			{ $errorFields['CustomerEmail'] = '1'; }
		if($_REQUEST['CustomerPasswordRepeat'] != $_REQUEST['CustomerPassword'])
			{ $errorFields['CustomerPassword'] = '1'; $errorFields['CustomerPasswordRepeat'] = '1'; }

		// Fehlermeldung Daten
		if(sizeof($errorFields) > 0)
			{ $errorMessage.= LANG_CMM_CUSTOMER_REGISTER_ERROR; }

		// Pruefen ob bereits Benutzer mit dieser E-Mail in DB vorhanden
		if(sizeof($errorFields) == 0)
			{
			$customerDetailsCheck = array();
			$customerDetailsCheckQuery = "SELECT * FROM cmm_cmm_customers WHERE CustomerEmail = '".mysqli_real_escape_string($GLOBALS['DBC'],$_REQUEST['CustomerEmail'])."' LIMIT 0,1;";
			$customerDetailsCheckResult = mysqli_query($GLOBALS['DBC'],$customerDetailsCheckQuery);
			if(mysqli_errno($GLOBALS['DBC']))
				{ echo mysqli_errno($GLOBALS['DBC']).': '.mysqli_error($GLOBALS['DBC']); }
			if(mysqli_num_rows($customerDetailsCheckResult) > 0)
				{
				$errorFields['CustomerEmail'] = '1';
				$errorMessage.= LANG_CMM_CUSTOMER_REGISTER_ERROR_DOUBLE;
				}
			mysqli_free_result($customerDetailsCheckResult);
			}
		}

	// Registriegung durchfuehren
	if(!empty($_REQUEST['CMM_action']) && $_REQUEST['CMM_action'] == 'register' && sizeof($errorFields) == 0)
		{
		// Naechsten Sortier-Wert ermitteln
		$customerDetailsSort = array();
		$customerDetailsSortQuery = "SELECT MAX(CustomerSort) as CustomerSort FROM cmm_cmm_customers;";
		$customerDetailsSortResult = mysqli_query($GLOBALS['DBC'],$customerDetailsSortQuery);
		if(mysqli_errno($GLOBALS['DBC']))
			{ echo mysqli_errno($GLOBALS['DBC']).': '.mysqli_error($GLOBALS['DBC']); }
		if(mysqli_num_rows($customerDetailsSortResult) > 0)
			{
			$customerDetailsSort = mysqli_fetch_assoc($customerDetailsSortResult);
			$customerDetailsSort = $customerDetailsSort['CustomerSort'];
			}
		mysqli_free_result($customerDetailsSortResult);

		// Set customer data
		$customerDetails = $_REQUEST;
		unset($customerDetails['CMM_action']);

		// Save original password for e-mail
		$customerDetails['CustomerPasswordOriginal'] = $customerDetails['CustomerPassword'];

		// Preset values for protected fields
		$customerDetails['CustomerPID'] = '0';
		$customerDetails['CustomerTID'] = '0';
		$customerDetails['CustomerLID'] = $GLOBALS['LanguageUID'];
		$customerDetails['CustomerStatus'] = '0';
		$customerDetails['CustomerSort'] = $customerDetailsSort+1;
		$customerDetails['CustomerStart'] = '0000-00-00 00:00:00';
		$customerDetails['CustomerStop'] = '0000-00-00 00:00:00';
		$customerDetails['CustomerCustomergroupID'] = $params['customerGroup'];
		$customerDetails['CustomerImage'] = '';
		$customerDetails['CustomerHash'] = substr(md5($customerDetails['CustomerGender'].$customerDetails['CustomerFirstname'].$customerDetails['CustomerLastname'].$customerDetails['CustomerEmail'].$customerDetails['CustomerPassword']),0,16);
		$customerDetails['CustomerConfig'] = '';
		$customerDetails['CustomerAddUser'] = '';
		$customerDetails['CustomerAddDate'] = date('Y-m-d H:i:s');
		$customerDetails['CustomerModUser'] = '';
		$customerDetails['CustomerModDate'] = date('Y-m-d H:i:s');

		// Encode password
		$saltString = $CONFIG['CMM']['config']['salt'];
		$passwordDatatype = $CONFIG['CMM']['database']['cmm_cmm_customers']['fieldset']['CustomerPassword']['datatype'];
		// salted double md5 / md5 / plain
		if($passwordDatatype=='salted')
			{ $customerDetails['CustomerPassword'] = md5($saltString.'_'.md5(trim($customerDetails['CustomerPassword'])).'_'.$saltString).'_s'; }
		else if($passwordDatatype=='md5')
			{ $customerDetails['CustomerPassword'] = md5(trim($customerDetails['CustomerPassword'])); }
		else
			{ $customerDetails['CustomerPassword'] = trim($customerDetails['CustomerPassword']); }

		// Sofortige Freischaltung
		if($params['customerEnableMode'] == 'instant')
			{ $customerDetails['CustomerStatus'] = 1; }

		// In DB eintragen
		if(get_magic_quotes_gpc() == 0)
			{
			foreach($customerDetails as $customerDetailsKey => $customerDetailsValue)
				{ $customerDetails[$customerDetailsKey] = addslashes($customerDetailsValue); }
			}
		DB_CMM_recordInsert($CONFIG['CMM']['database']['cmm_cmm_customers'],$customerDetails);

		// Aktivierungs-Link
		$confirmURL = (!empty($params['confirmPID']) ? CMM_createLink(array('page'=>$params['confirmPID'],'language'=>$params['LID'],'vars'=>array('CMM_action'=>'message','CustomerHash'=>$customerDetails['CustomerHash']))) : '');

		// Login-Link
		$loginURL = (!empty($params['loginPID']) ? CMM_createLink(array('page'=>$params['loginPID'],'language'=>$params['LID'],'vars'=>array())) : '');

		// Loesch-Link
		$deleteURL = (!empty($params['deletePID']) ? CMM_createLink(array('page'=>$params['deletePID'],'language'=>$params['LID'],'vars'=>array('CMM_action'=>'delete','CustomerHash'=>$customerDetails['CustomerHash']))) : '');

		// Datenschutz-Link
		$privacyURL = (!empty($params['privacyPID']) ? CMM_createLink(array('page'=>$params['privacyPID'],'language'=>$params['LID'],'vars'=>array())) : '');

		// AGB-Link
		$conditionsURL = (!empty($params['conditionsPID']) ? CMM_createLink(array('page'=>$params['conditionsPID'],'language'=>$params['LID'],'vars'=>array())) : '');

		// E-Mail an Kunden versenden
		$mailCustomerObj = new Template;
		$mailCustomerObj->templateFile = $params['templateFile'];
		$mailCustomerObj->templateSubpart = 'mailCustomer';

		// Set data
		$mailCustomerObj->input = $customerDetails;
		$mailCustomerObj->input['customerEnableMode'] = $params['customerEnableMode'];
		$mailCustomerObj->input['confirmURL'] = $confirmURL;
		$mailCustomerObj->input['loginURL'] = $loginURL;
		$mailCustomerObj->input['deleteURL'] = $deleteURL;
		$mailCustomerObj->input['privacyURL'] = $privacyURL;
		$mailCustomerObj->input['conditionsURL'] = $conditionsURL;

		$mailCustomerSubject = LANG_CMM_CUSTOMER_REGISTER_MAIL_SUBJECT.' '.LANG_CMM_AT.' '.CMM_SITE_NAME;
		$mailCustomerContent = $mailCustomerObj->templateIt();
		$mailCustomerTo = $customerDetails['CustomerEmail'];
		$mailCustomerFrom = $CUSTOM['CMM']["config"]['emailAdminName'].' <'.$CUSTOM['CMM']["config"]['emailAdminAddress'].'>';

		CMM_sendMail($mailCustomerSubject,$mailCustomerContent,$mailCustomerTo,$mailCustomerFrom,'UTF-8');

		// E-Mail an Admin versenden
		$mailAdminObj = new Template;
		$mailAdminObj->templateFile = $params['templateFile'];
		$mailAdminObj->templateSubpart = 'mailAdmin';

		// Set data
		$mailAdminObj->input = $customerDetails;
		$mailAdminObj->input['customerEnableMode'] = $params['customerEnableMode'];
		$mailAdminObj->input['confirmURL'] = $confirmURL;
		$mailAdminObj->input['loginURL'] = $loginURL;
		$mailAdminObj->input['deleteURL'] = $deleteURL;
		$mailAdminObj->input['privacyURL'] = $privacyURL;

		$mailAdminSubject = LANG_CMM_CUSTOMER_REGISTER_MAIL_SUBJECT.' '.LANG_CMM_AT.' '.CMM_SITE_NAME;
		$mailAdminContent = $mailAdminObj->templateIt();
		$mailAdminTo = $CUSTOM['CMM']["config"]['emailAdminAddress'];
		$mailAdminFrom = $CUSTOM['CMM']["config"]['emailAdminName'].' <'.$CUSTOM['CMM']["config"]['emailAdminAddress'].'>';

		CMM_sendMail($mailAdminSubject,$mailAdminContent,$mailAdminTo,$mailAdminFrom,'UTF-8');

		// Init template object
		$pluginObj = new Template;
		$pluginObj->templateFile = $params['templateFile'];
		$pluginObj->templateSubpart = 'success';

		// Customer-Daten einfuegen
		$pluginObj->input = array();
		$pluginObj->input['customerEnableMode'] = $params['customerEnableMode'];
		$pluginObj->input['params'] = $params;

		// Render template
		$pluginContent = $pluginObj->templateIt();
		}
	// Formular ausgeben
	else
		{
		// URL konstruieren
		$registerURL = CMM_createLink(array('page'=>$params['registerPID'],'language'=>$params['LID']));

		// Init template object
		$pluginObj = new Template;
		$pluginObj->templateFile = $params['templateFile'];
		$pluginObj->templateSubpart = 'form';

		// Set data
		$pluginObj->input = array();
		$pluginObj->input['registerURL'] = $registerURL;
		$pluginObj->input['errorFields'] = $errorFields;
		$pluginObj->input['errorMessage'] = $errorMessage;
		$pluginObj->input['requiredFields'] = implode(',',$params['requiredFields']);
		$pluginObj->input['params'] = $params;

		// Render template
		$pluginContent = $pluginObj->templateIt();
		}
	// Fehler-Variable loeschen um Konflikte mit anderen Formularen zu vermeiden!
	unset($errorFields);
	unset($errorMessage);
	}
// zum Logout anweisen
else
	{
	// Init template object
	$pluginObj = new Template;
	$pluginObj->templateFile = $params['templateFile'];
	$pluginObj->templateSubpart = 'logout';

	// Set data
	$pluginObj->input = array();
	$pluginObj->input['params'] = $params;

	// Render template
	$pluginContent = $pluginObj->templateIt();
	}

unset($params);
?>