<?PHP
/***************************************************************
*  Copyright notice
*
*  (c) 2009-2017 Nicolas Berg
*  All rights reserved
*
*  This script is part of the CMM3 Content-Management-System.
*  CMM3 is provided only under a commercial license until now.
*  Maybe we will add a free license in future.
*
*  This script is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
*
*  This copyright notice MUST APPEAR in all copies of the script!
***************************************************************/

///////////////////////////////////////////////////////////
// Plugin fuer Sprachumschalter                          //
///////////////////////////////////////////////////////////
// V 1.0 First release
// V 1.0.1 Erweiterung auf Mehrsprachigkeit
// V 1.0.2 Erkennung metaMode -> keine Ausfuehrung
// V 1.0.3 Feld-Definitionen eingefuegt
// V 1.0.4 QUALITY-FIX
///////////////////////////////////////////////////////////

$CONFIG['CMM'] = $CONFIG['CMM'];

/* PARAMS START - Marker-Comments required! */
$params = array(
	'templateFile' => 'CMM/template/html/CMM_CMM_LanguageSwitch.html',
	'cacheTimeout' => 86400
	);
/* PARAMS END */

/* FIELDSET START - Marker-Comments required! */
$fieldset = array(
	'templateFile' => array('label'=>'{LANG_CMM_TEMPLATE_FILE}','type'=>'textfield','datatype'=>'text','position'=>'bottom','shy'=>1),
	'cacheTimeout' => array('label'=>'{LANG_CMM_CACHE_TIMEOUT}','type'=>'textfield','datatype'=>'int','position'=>'bottom','shy'=>1)
	);
/* FIELDSET END */

// Set customer group
$params['CustomerCustomergroupID'] = isset($GLOBALS['CustomergroupUID']) ? $GLOBALS['CustomergroupUID'] : 0;

// Set language
$params['LID'] = isset($GLOBALS['LanguageUID']) ? $GLOBALS['LanguageUID'] : 1;

// Merge params and pluginParams
$params = CMM_mergePluginParams($params,$pluginParams);

// Template-Parameter mit realen Variablen ersetzen
$params = CMM_replaceParamsVars($params);

// Get all languages
$tempLanguages = DB_CMM_languagesGet($CONFIG['CMM']['database']['cmm_cmm_languages']);

// Check language versions of current page
$languageSwitchLanguages = array();
foreach($tempLanguages as $tempLangParams)
	{
	// Get page details in language
	$pageDetails = DB_CMM_pageGetDetails($CONFIG['CMM']['database']['cmm_cmm_pages'],array('UID'=>$GLOBALS['PageUID'],'LID'=>$tempLangParams['LanguageUID'],'CustomerCustomergroupID'=>$GLOBALS['CustomergroupUID']));
	// Check if page is available in language
	$languageAvailable = (!empty($pageDetails['PageUID']) ? 1 : 0);
	// Check if language is current language
	$languageCurrent = ($tempLangParams['LanguageUID']==$GLOBALS['LanguageUID'] ? 1 : 0);
	// Create array with language properties
	$languageSwitchLanguages[] = array(
		'LanguageUID' => $tempLangParams['LanguageUID'],
		'LanguageName' => $tempLangParams['LanguageName'],
		'LanguagePageAlias' => (!empty($pageDetails['PageTitle_lbc']) ? $pageDetails['PageTitle_lbc'] : ''),
		'LanguageCode' => $tempLangParams['LanguageCode'],
		'LanguageAvailable' => $languageAvailable,
		'LanguageCurrent' => $languageCurrent,
		'LanguageLink' => ($languageAvailable==1 ? CMM_createLink(array('page'=>$GLOBALS['PageUID'],'language'=>$tempLangParams['LanguageUID'],'languageCode'=>$tempLangParams['LanguageCode'])) : '')
		);
	}

// Collect data for template
$view = array();
$view['params'] = $params;
$view['items'] = $languageSwitchLanguages;

// Cache settings
$cacheSettings = array();
$cacheSettings['module'] = 'CMM:languageSwitch';
$cacheSettings['page'] = $GLOBALS['PageUID'];
$cacheSettings['params'] = $params;
$cacheSettings['lastmod'] = 0;
$cacheSettings['timeout'] = $params['cacheTimeout'];

// Init template object
$pluginObj = new Template;
$pluginObj->templateFile = $params['templateFile'];
$pluginObj->cache = $cacheSettings;
$pluginObj->input = $view;

// Render template
$pluginContent = $pluginObj->templateIt();

unset($params);
?>