<?PHP
/***************************************************************
*  Copyright notice
*
*  (c) 2009-2017 Nicolas Berg
*  All rights reserved
*
*  This script is part of the CMM3 Content-Management-System.
*  CMM3 is provided only under a commercial license until now.
*  Maybe we will add a free license in future.
*
*  This script is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
*
*  This copyright notice MUST APPEAR in all copies of the script!
***************************************************************/

///////////////////////////////////////////////////////////
// Modul fuer (Sub)Page-Index                            //
///////////////////////////////////////////////////////////
// V 1.0 First release
///////////////////////////////////////////////////////////
include_once(CMM_ROOT_DIR.'CMM/classes/class.page.php');

/* PARAMS START - Marker-Comments required! */
$params = array(
	'templateFile' => 'CMM/template/html/CMM_CMM_PagePagination.html',
	'type' => 0,
	'ignoreNotInNavi' => '0',
	'titleLength' => '36',
	'imageWidth' => '50',
	'imageHeight' => '50',
	'target' => '',
	'sort' => 'PageSort ASC'
	);
/* PARAMS END */

/* FIELDSET START - Marker-Comments required! */
$fieldset = array(
	'templateFile' => array('label'=>'HTML-Vorlagen-Datei','type'=>'textfield','datatype'=>'text','position'=>'bottom','shy'=>1),
	'type' => array('label'=>'Anzeige-Typ','type'=>'radio','options'=>array(array('value'=>0,'text'=>'nur Titel (Standard)'),array('value'=>1,'text'=>'Titel und Bild')),'position'=>'top'),
	'ignoreNotInNavi' => array('label'=>'Feld &quot;Seite nicht in Navi anzeigen&quot; ignorieren','type'=>'radio','options'=>array(array('value'=>'0','text'=>'{LANG_CMM_NO}'),array('value'=>'1','text'=>'{LANG_CMM_YES}')),'position'=>'left'),
	'titleLength' => array('label'=>'Titel: Max-Länge (Zeichen)','type'=>'textfield','datatype'=>'int','position'=>'right'),
	'imageWidth' => array('label'=>'Bild: Breite (px)','type'=>'textfield','datatype'=>'int','position'=>'right'),
	'imageHeight' => array('label'=>'Bild: Höhe (px)','type'=>'textfield','datatype'=>'int','position'=>'right'),
	'target' => array('label'=>'Link: Zielfenster (Target)','type'=>'textfield','datatype'=>'text','position'=>'left'),
	'sort' => array('label'=>'Sortierung','type'=>'select','options'=>array(array('value'=>'PageSort ASC','text'=>'Wie angelegt'),array('value'=>'PageTitle ASC','text'=>'Nach Seitentitel'),array('value'=>'RAND()','text'=>'Zufall')),'position'=>'left')
	);
/* FIELDSET END */


// Set customer group
$params['CustomerCustomergroupID'] = isset($GLOBALS['CustomergroupUID']) ? $GLOBALS['CustomergroupUID'] : 0;
// Set language
$params['LID'] = isset($GLOBALS['LanguageUID']) ? $GLOBALS['LanguageUID'] : 1;

// Merge params and pluginParams
$params = CMM_mergePluginParams($params,$pluginParams);


// Array for pages
$paginationPages = array();
$paginationPages['prev'] = array();
$paginationPages['index'] = array();
$paginationPages['next'] = array();

// Get current page 
$currentPageDetails = DB_CMM_pageGetDetails($CONFIG['CMM']['database']['cmm_cmm_pages'],array('UID'=>$GLOBALS['PageUID'],'LID'=>$GLOBALS['LanguageUID'],'CustomerCustomergroupID'=>$GLOBALS['CustomergroupUID']));

// Get prev page
$resultFilter = array();
$resultFilter['PageSort'] = '<'.$currentPageDetails['PageSort'];
empty($params['ignoreNotInNavi']) ? $resultFilter['PageShowInNavi']=1 : '';
$pagePrevPages = DB_CMM_pageGetList($CONFIG['CMM']['database']['cmm_cmm_pages'],array('PID'=>$currentPageDetails['PagePID'],'LID'=>$GLOBALS['LanguageUID'],'CustomerCustomergroupID'=>$GLOBALS['CustomergroupUID'],'filter'=>$resultFilter,'sort'=>'PageSort DESC, '.$params['sort'],'start'=>1,'limit'=>1));
if(!empty($pagePrevPages[0]))
	{ $paginationPages['prev'] = $pagePrevPages [0]; }

// Get parent page
if(!empty($currentPageDetails['PagePID']))
	{
	$resultFilter = array();
	$resultFilter['PageUID'] = $currentPageDetails['PagePID'];
	empty($params['ignoreNotInNavi']) ? $resultFilter['PageShowInNavi']=1 : '';
	$pageIndexPages = DB_CMM_pageGetList($CONFIG['CMM']['database']['cmm_cmm_pages'],array('PID'=>'','LID'=>$GLOBALS['LanguageUID'],'CustomerCustomergroupID'=>$GLOBALS['CustomergroupUID'],'filter'=>$resultFilter,'sort'=>$params['sort'],'start'=>1,'limit'=>1));
	if(!empty($pageIndexPages[0]))
		{ $paginationPages['index'] = $pageIndexPages[0]; }
	}

// Get next page
$resultFilter = array();
$resultFilter['PageSort'] = '>'.$currentPageDetails['PageSort'];
empty($params['ignoreNotInNavi']) ? $resultFilter['PageShowInNavi']=1 : '';
$pageNextPages = DB_CMM_pageGetList($CONFIG['CMM']['database']['cmm_cmm_pages'],array('PID'=>$currentPageDetails['PagePID'],'LID'=>$GLOBALS['LanguageUID'],'CustomerCustomergroupID'=>$GLOBALS['CustomergroupUID'],'filter'=>$resultFilter,'sort'=>'PageSort ASC, '.$params['sort'],'start'=>1,'limit'=>1));
if(!empty($pageNextPages[0]))
	{ $paginationPages['next'] = $pageNextPages[0]; }

// Inhalt ausgeben
$pagePagination = new Navi;

// Pagination aufbauen
$pluginContent = $pagePagination->createPagePagination($paginationPages,$params);

unset($params);
?>
