<?PHP
/***************************************************************
*  Copyright notice
*
*  (c) 2009-2015 Nicolas Berg
*  All rights reserved
*
*  This script is part of the CMM3 Content-Management-System.
*  CMM3 is provided only under a commercial license until now.
*  Maybe we will add a free license in future.
*
*  This script is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
*
*  This copyright notice MUST APPEAR in all copies of the script!
***************************************************************/

///////////////////////////////////////////////////////////
// Plugin fuer Navigationen                              //
///////////////////////////////////////////////////////////
// V 1.0 First release basierend auf Navi-Plugin
// V 1.0.1 marginale Anpassungen
// V 1.1.0 Parameterverarbeitung
// V 1.2.0 Umstellung auf CMM3
// V 1.2.1 Umzug con CMM_Contents nach CMM_Page[CMM]
// V 1.2.2 um Parameter wrapText erweitert
// V 1.2.3 Erkennung metaMode -> keine Ausfuehrung
// V 1.2.4 Feld-Definitionen eingefuegt
// V 1.3.0 wrap-params enabled
// V 1.3.1 param ignoreNotInSitemap added
// V 1.3.2 param ignoreHideInSitemap added
///////////////////////////////////////////////////////////
include_once(CMM_ROOT_DIR.'CMM/classes/class.page.php');

/* PARAMS START - Marker-Comments required! */
$params = array(
	'startID' => 1, // Start page-id for output
	'startLevel' => 0, // Start level for output
	'range' => '', // Nuber of levels from start-level
	'ignoreNotInSitemap' => 1, // Igrnore "not in navi"
	'ignoreHideInSitemap' => 0, // Igrnore "not in sitemap"

  	'wrapItem' => '<url>{nl}  <loc>{CMM_ROOT_URL}{$PageUID|link}</loc>{nl}  <changefreq>{if !empty($PageChangefreq)}{$PageChangefreq}{else}monthly{/if}</changefreq>{nl}  <priority>{if !empty($PagePriority)}{$PagePriority}{else}0.5{/if}</priority>{nl}</url>{nl}',
	'wrapAll' => '*'
	);
/* PARAMS END */

/* FIELDSET START - Marker-Comments required! */
$fieldset = array(
	'startID' => array('label'=>'Start-Seite (PID)','type'=>'linkfield','position'=>'left'),
	'startLevel' => array('label'=>'Start-Ebene','type'=>'textfield','datatype'=>'int','position'=>'left'),
	'range' => array('label'=>'Anzahl der Ebenen ab startLevel','type'=>'textfield','datatype'=>'int','position'=>'left'),
	'ignoreNotInSitemap' => array('label'=>'&quot;Seite nicht in Navi anzeigen&quot; ignorieren','type'=>'radio','options'=>array(array('value'=>'0','text'=>'{LANG_CMM_NO}'),array('value'=>'1','text'=>'{LANG_CMM_YES}')),'position'=>'left'),
	'ignoreHideInSitemap' => array('label'=>'&quot;Seite nicht in Sitemap anzeigen&quot; ignorieren','type'=>'radio','options'=>array(array('value'=>'0','text'=>'{LANG_CMM_NO}'),array('value'=>'1','text'=>'{LANG_CMM_YES}')),'position'=>'left'),
	'wrapAll' => array('label'=>'Wrap um gesamte Navigation','type'=>'textfield','datatype'=>'code','position'=>'bottom'),
	'wrapItem' => array('label'=>'Wrap um Navigationspunkt','type'=>'textfield','datatype'=>'code','position'=>'bottom')
	);
/* FIELDSET END */


// Set customer group
$params['CustomerCustomergroupID'] = isset($GLOBALS['CustomergroupUID']) ? $GLOBALS['CustomergroupUID'] : 0;
// Set language
$params['LID'] = isset($GLOBALS['LanguageUID']) ? $GLOBALS['LanguageUID'] : 1;

// Merge params and pluginParams
$params = CMM_mergePluginParams($params,$pluginParams);

// Inhalt ausgeben
$sitemap = new Navi;

// alle aktiven und fuer Navi frei gegebenen Seiten einlesen
$resultFilter = array();
$resultFilter['PageTID'] = '0|1';
empty($params['ignoreNotInNavi']) ? $resultFilter['PageShowInNavi']=1 : '';
empty($params['ignoreHideInSitemap']) ? $resultFilter['PageHideInSitemap']=0 : '';
!empty($_SESSION['customer']['CustomergroupID']) ? $CoustomergroupID = $_SESSION['customer']['CustomergroupID'] : $CoustomergroupID='';
$items = DB_CMM_pageGetList($CONFIG['CMM']['database']['cmm_cmm_pages'],array('LID'=>$GLOBALS['LanguageUID'],'CustomerCustomergroupID'=>$GLOBALS['CustomergroupUID'],'filter'=>$resultFilter,'sort'=>'PageSort ASC'));

// Create Sitemap-Template
$sitemapTemplateString = '{foreach $items}'.$params['wrapItem'].'{/foreach}';
$sitemapTemplateString = str_replace('*',$sitemapTemplateString,$params['wrapAll']);

// Template fuer Seitenliste verarbeiten
$sitemapObj = new Template;
$sitemapObj->getTemplateString($sitemapTemplateString);
$sitemapObj->input = array('items'=>$items,'params'=>$params);
$pluginContent = $sitemapObj->templateIt();

unset($params);
?>