<?PHP
/***************************************************************
*  Copyright notice
*
*  (c) 2009-2017 Nicolas Berg
*  All rights reserved
*
*  This script is part of the CMM3 Content-Management-System.
*  CMM3 is provided only under a commercial license until now.
*  Maybe we will add a free license in future.
*
*  This script is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
*
*  This copyright notice MUST APPEAR in all copies of the script!
***************************************************************/

// V 1.0.0 Erstes Release
// V 1.1.0 div Anpassungen
// V 1.1.1 Erweiterung um View Domains
// V 1.1.2 User-Datenfelder geaendert
// V 1.1.3 Anpassung der Definitionen der auto_increment-Felder und Feld-attribs
// V 1.1.4 Seiteneigenschaften um Subtitle erweitert
// V 1.1.5 Erweiterung um Bereich Templates
// V 1.1.6 Sprachen um Feld Default und Default-Umschaltfunktion erweitert
// V 1.1.7 Tabelle cmm_cmm_cache hinzu
// V 1.1.8 Action REMOVEINSTALLFILE hinzu
// V 1.1.9 Delete-fields added
// V 1.1.10 PASTE-Action mod
// V 1.1.11 Added Action PAGEMOVEANDREORDER
// V 1.1.12 Mod userLevels
// V 1.1.13 Added separate structure for license

////////////////////////////////////////////////////////////////////
// Modul-Anzeigen                                                 //
////////////////////////////////////////////////////////////////////
// - label: Bezeichnung des Feldes
// - table: Haupt-Datenbanktabelle
// - userLevel: Berechntigungsstufe fuer Datensaetze
// - navi: Anzeige in der Hauptnavigation

$CONFIG['CMM']['views'] = array(
	'PAGES' => array('label'=>'{LANG_CMM_VIEW_PAGES}','table'=>'cmm_cmm_pages','userLevel'=>1,'inNavi'=>1),
	'FORMS' => array('label'=>'{LANG_CMM_VIEW_FORMS}','table'=>'cmm_cmm_forms','userLevel'=>1,'inNavi'=>1),
	'USERGROUPS' => array('label'=>'{LANG_CMM_VIEW_USERGROUPS}','table'=>'cmm_cmm_usergroups','userLevel'=>1,'inNavi'=>1),
	'USERS' => array('label'=>'{LANG_CMM_VIEW_USERS}','table'=>'cmm_cmm_users','userLevel'=>1,'inNavi'=>1),
	'CUSTOMERGROUPS' => array('label'=>'{LANG_CMM_VIEW_CUSTOMERGROUPS}','table'=>'cmm_cmm_customergroups','userLevel'=>1,'inNavi'=>1),
	'CUSTOMERS' => array('label'=>'{LANG_CMM_VIEW_CUSTOMERS}','table'=>'cmm_cmm_customers','userLevel'=>1,'inNavi'=>1),
	'DOMAINS' => array('label'=>'{LANG_CMM_VIEW_DOMAINS}','table'=>'cmm_cmm_domains','userLevel'=>1,'inNavi'=>1),
	'LANGUAGES' => array('label'=>'{LANG_CMM_VIEW_LANGUAGES}','table'=>'cmm_cmm_languages','userLevel'=>6,'inNavi'=>1),
	'TEMPLATES' => array('label'=>'{LANG_CMM_VIEW_TEMPLATES}','table'=>'cmm_cmm_templates','userLevel'=>1,'inNavi'=>1),
	'CONFIG' => array('label'=>'{LANG_CMM_VIEW_CONFIG}','userLevel'=>6,'inNavi'=>1),
	'LICENSE' => array('label'=>'{LANG_CMM_VIEW_LICENSE}','userLevel'=>6,'inNavi'=>1),
	'MODULES' => array('label'=>'{LANG_CMM_VIEW_MODULES}','userLevel'=>6,'inNavi'=>1),
	'LOG' => array('label'=>'{LANG_CMM_VIEW_LOG}','table'=>'cmm_cmm_log','userLevel'=>1,'inNavi'=>1),
	'PHPINFO' => array('label'=>'{LANG_CMM_VIEW_PHPINFO}','userLevel'=>1),
	'DOC' => array('label'=>'{LANG_CMM_VIEW_DOC}','userLevel'=>1),
	'TRASHCAN' => array('label'=>'{LANG_CMM_VIEW_TRASHCAN}','userLevel'=>1,'inNavi'=>1),
	'BACKUP' => array('label'=>'{LANG_CMM_VIEW_BACKUP}','userLevel'=>1,'inNavi'=>1),
	'INSTALL' => array('label'=>'{LANG_CMM_VIEW_INSTALL}','userLevel'=>3),
	'DUMMY' => array('label'=>'{LANG_CMM_VIEW_DUMMY}','userLevel'=>1),
	'INDEX' => array('label'=>'{LANG_CMM_VIEW_INDEX}','userLevel'=>1),
	'GLOBAL' => array('label'=>'{LANG_CMM_VIEW_GLOBAL}','userLevel'=>1)
	);

// set required userlevel to 10, if module CMM not allowed for current user 
if(!empty($_SESSION['user']['UserModules']) && !in_array('CMM',$_SESSION['user']['UserModules']))
	{
	foreach($CONFIG['CMM']['views'] as $viewKey => $viewParams)
		{
		if(!in_array($viewKey,array('PAGES','USERS')))
			{ $CONFIG['CMM']['views'][$viewKey]['userLevel'] = 10; }
		}
	}


////////////////////////////////////////////////////////////////////
// Modulfunktionen                                                //
////////////////////////////////////////////////////////////////////
// - label: Bezeichnung des Feldes
// - area: Anzeige-Bereich
// - userLevel: Berechntigungsstufe fuer Datensaetze
// - icon: Icon fuer Listenansicht
// - action: Aktion, die ausgefuehrt werden soll
// - clipboardAction: Aktion, die spaeter ausgefuehrt werden soll
// - message: Frage vor Ausfuerung der Funktion
// - condition: Bedingung pruefen (Datenbankfeld) item/_SESSION/_GET/_POST/_COOKIE/_ENV[keyvar]==value
// - file: Funktion in externer Datei ausfuehren
// - target: Zielfenster fuer Funktion
$CONFIG['CMM']['views']['INDEX']['actions'] = array(
	'INDEX' => array('label'=>'Willkommen','userLevel'=>1),
	'LOGIN' => array('label'=>'Anmeldung','userLevel'=>1),
	'LOGOUT' => array('label'=>'Abmeldung','userLevel'=>1),
	'REMOVEINSTALLFILE' => array('label'=>'Installationsdatei löschen','userLevel'=>1)
	);

$CONFIG['CMM']['views']['DUMMY']['actions'] = array(
	'CLEARCACHE' => array('label'=>'Gesamten Cache löschen','userLevel'=>1),
	'CLEARCACHEDB' => array('label'=>'DB-Cache löschen','userLevel'=>1),
	'CLEARCACHEFILES' => array('label'=>'Datei-Cache löschen','userLevel'=>1)
	);

$CONFIG['CMM']['views']['PAGES']['actions'] = array(
	'PAGELIST' => array('label'=>'{LANG_CMM_ACTION_LIST}','userLevel'=>0,'inNavi'=>1),
	'PAGENEW' => array('label'=>'{LANG_CMM} - {LANG_CMM_PAGE} {LANG_CMM_ACTION_NEW}','area'=>'contextmenu','userLevel'=>1,'icon'=>'icon-action-new.svg'),
	'PAGENEWIN' => array('label'=>'{LANG_CMM} - {LANG_CMM_PAGE} {LANG_CMM_ACTION_NEW_IN}','area'=>'','userLevel'=>1,'icon'=>'icon-action-new.svg'),
	'PAGENEWAFTER' => array('label'=>'{LANG_CMM} - {LANG_CMM_PAGE} {LANG_CMM_ACTION_NEW_AFTER}','area'=>'contextmenu','userLevel'=>1,'icon'=>'icon-action-new.svg'),
	'PAGEEDIT' => array('label'=>'{LANG_CMM_PAGE} {LANG_CMM_ACTION_EDIT}','area'=>'list,contextmenu','userLevel'=>1,'icon'=>'icon-action-edit.svg'),
	'PAGEENABLE' => array('label'=>'{LANG_CMM_PAGE} {LANG_CMM_ACTION_ENABLE}','area'=>'list,contextmenu','userLevel'=>3,'icon'=>'icon-action-enable.svg','condition'=>'$item["PageStatus_lbc"]==0'),
	'PAGEDISABLE' => array('label'=>'{LANG_CMM_PAGE} {LANG_CMM_ACTION_DISABLE}','area'=>'list,contextmenu','userLevel'=>3,'icon'=>'icon-action-disable.svg','condition'=>'$item["PageStatus_lbc"]>0'),
	'PAGESAVE' => array('label'=>'{LANG_CMM_PAGE} {LANG_CMM_ACTION_SAVE}','area'=>'singlehead','userLevel'=>3,'icon'=>'icon-action-save.svg'),
	'PAGESAVENEW' => array('label'=>'{LANG_CMM_PAGE} {LANG_CMM_ACTION_SAVENEW}','area'=>'singlehead','userLevel'=>3,'icon'=>'icon-action-save-and-new.svg'),
	'PAGESAVECLOSE' => array('label'=>'{LANG_CMM_PAGE} {LANG_CMM_ACTION_SAVECLOSE}','area'=>'singlehead','userLevel'=>3,'icon'=>'icon-action-save-and-close.svg'),
	'PAGECLOSE' => array('label'=>'{LANG_CMM_PAGE} {LANG_CMM_ACTION_CLOSE}','area'=>'singlehead','userLevel'=>1,'icon'=>'icon-action-close.svg'),
	'PAGECUT' => array('label'=>'{LANG_CMM_PAGE} {LANG_CMM_ACTION_CUT}','area'=>'list,contextmenu','userLevel'=>3,'icon'=>'icon-action-cut.svg'),
	'PAGECOPY' => array('label'=>'{LANG_CMM_PAGE} {LANG_CMM_ACTION_COPY}','area'=>'list,contextmenu','userLevel'=>3,'icon'=>'icon-action-copy.svg'),
	'PAGEPASTE' => array('label'=>'{LANG_CMM_PAGE} {LANG_CMM_ACTION_PASTE}','area'=>'','userLevel'=>3,'icon'=>'icon-action-paste.svg','UID'=>(isset($_SESSION['CMM']['PAGES']['clipboard']['id']) ? $_SESSION['CMM']['PAGES']['clipboard']['id'] : ''),'condition'=>'isset($_SESSION["CMM"]["PAGES"]["clipboard"]["action"]) && $_SESSION["CMM"]["PAGES"]["clipboard"]["id"] != $CURRENT["page"]'),
	'PAGEPASTEIN' => array('label'=>'{LANG_CMM_PAGE} {LANG_CMM_ACTION_PASTE_IN}','area'=>'listhead,contextmenu','userLevel'=>3,'icon'=>'icon-action-paste.svg','UID'=>(isset($_SESSION['CMM']['PAGES']['clipboard']['id']) ? $_SESSION['CMM']['PAGES']['clipboard']['id'] : ''),'condition'=>'isset($_SESSION["CMM"]["PAGES"]["clipboard"]["action"]) && $_SESSION["CMM"]["PAGES"]["clipboard"]["id"] != $CURRENT["page"]'),
	'PAGEPASTEAFTER' => array('label'=>'{LANG_CMM_PAGE} {LANG_CMM_ACTION_PASTE_AFTER}','area'=>'contextmenu','userLevel'=>3,'icon'=>'icon-action-paste.svg','UID'=>(isset($_SESSION['CMM']['PAGES']['clipboard']['id']) ? $_SESSION['CMM']['PAGES']['clipboard']['id'] : ''),'condition'=>'isset($_SESSION["CMM"]["PAGES"]["clipboard"]["action"]) && $_SESSION["CMM"]["PAGES"]["clipboard"]["id"] != $CURRENT["page"]'),
	'PAGEUP' => array('label'=>'{LANG_CMM_PAGE} {LANG_CMM_ACTION_UP}','area'=>'contextmenu','userLevel'=>3,'icon'=>'icon-action-up.svg'),
	'PAGEDOWN' => array('label'=>'{LANG_CMM_PAGE} {LANG_CMM_ACTION_DOWN}','area'=>'contextmenu','userLevel'=>3,'icon'=>'icon-action-down.svg'),
	'PAGEREMOVE' => array('label'=>'{LANG_CMM_PAGE} {LANG_CMM_ACTION_REMOVE}','area'=>'list,singlehead,contextmenu','userLevel'=>3,'icon'=>'icon-action-remove.svg','message'=>'{LANG_CMM_ACTION_REMOVE_CONFIRM_PAGE}','condition'=>'isset($item["PageUID"]) && $item["PageUID"]>0 && $item["PageDeletable"]==1'),
	'CLIPBOARDCLEAR' => array('label'=>'{LANG_CMM_ACTION_CLIPBOARDCLEAR}','area'=>'listhead','userLevel'=>3,'icon'=>'icon-action-clipboard-clear.svg','condition'=>'isset($_SESSION["CMM"]["PAGES"]["clipboard"])'),
	'PAGEMOVEANDREORDER' => array('label'=>'{LANG_CMM_PAGE} {LANG_CMM_ACTION_MOVEANDREORDER}','area'=>'','userLevel'=>3,'icon'=>'')
	);

// set required userlevel to 10, if module CMM not allowed for current user 
if(!empty($_SESSION['user']['UserModules']) && !in_array('CMM',$_SESSION['user']['UserModules']))
	{
	foreach($CONFIG['CMM']['views']['PAGES']['actions'] as $actionKey => $actionParams)
		{
		if(!in_array($actionKey,array('PAGELIST')))
			{ $CONFIG['CMM']['views']['PAGES']['actions'][$actionKey]['userLevel'] = 10; }
		}
	}

$CONFIG['CMM']['views']['FORMS']['actions'] = array(
	'LIST' => array('label'=>'{LANG_CMM_ACTION_LIST}','userLevel'=>0),
	'NEW' => array('label'=>'{LANG_CMM} - {LANG_CMM_FORM} {LANG_CMM_ACTION_NEW}','area'=>'listhead','userLevel'=>1,'icon'=>'icon-action-new.svg'),
	'EDIT' => array('label'=>'{LANG_CMM_FORM} {LANG_CMM_ACTION_EDIT}','area'=>'list','userLevel'=>1,'icon'=>'icon-action-edit.svg'),
	'ENABLE' => array('label'=>'{LANG_CMM_FORM} {LANG_CMM_ACTION_ENABLE}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-enable.svg','condition'=>'!isset($item["FormStatus"]) || $item["FormStatus"]==0'),
	'DISABLE' => array('label'=>'{LANG_CMM_FORM} {LANG_CMM_ACTION_DISABLE}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-disable.svg','condition'=>'isset($item["FormStatus"]) && $item["FormStatus"]==1'),
	'UP' => array('label'=>'{LANG_CMM_FORM} {LANG_CMM_ACTION_UP}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-up.svg','condition'=>'$item["firstItem"]!=true'),
	'DOWN' => array('label'=>'{LANG_CMM_FORM} {LANG_CMM_ACTION_DOWN}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-down.svg','condition'=>'$item["lastItem"]!=true'),
	'SAVE' => array('label'=>'{LANG_CMM_FORM} {LANG_CMM_ACTION_SAVE}','area'=>'singlehead','userLevel'=>3,'icon'=>'icon-action-save.svg'),
	'SAVENEW' => array('label'=>'{LANG_CMM_FORM} {LANG_CMM_ACTION_SAVENEW}','area'=>'singlehead','userLevel'=>3,'icon'=>'icon-action-save-and-new.svg'),
	'SAVECLOSE' => array('label'=>'{LANG_CMM_FORM} {LANG_CMM_ACTION_SAVECLOSE}','area'=>'singlehead','userLevel'=>3,'icon'=>'icon-action-save-and-close.svg'),
	'CLOSE' => array('label'=>'{LANG_CMM_FORM} {LANG_CMM_ACTION_CLOSE}','area'=>'singlehead','userLevel'=>1,'icon'=>'icon-action-close.svg'),
	'CUT' => array('label'=>'{LANG_CMM_FORM} {LANG_CMM_ACTION_CUT}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-cut.svg','condition'=>''),
	'COPY' => array('label'=>'{LANG_CMM_FORM} {LANG_CMM_ACTION_COPY}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-copy.svg','condition'=>''),
	'PASTE' => array('label'=>'{LANG_CMM_FORM} {LANG_CMM_ACTION_PASTE}','area'=>'listhead','userLevel'=>3,'icon'=>'icon-action-paste.svg','UID'=>(isset($CURRENT["module"]) && isset($CURRENT['view']) && isset($_SESSION[$CURRENT["module"]][$CURRENT["view"]]['clipboard']) ? $_SESSION[$CURRENT["module"]][$CURRENT["view"]]['clipboard']['id'] : ''),'condition'=>'!empty($_SESSION[$CURRENT["module"]][$CURRENT["view"]]["clipboard"])'),
	'REMOVE' => array('label'=>'{LANG_CMM_FORM} {LANG_CMM_ACTION_REMOVE}','area'=>'list,singlehead','userLevel'=>3,'icon'=>'icon-action-remove.svg','condition'=>'isset($item["FormUID"]) && $item["FormUID"]>0 ','message'=>'{LANG_CMM_ACTION_REMOVE_CONFIRM}'),
	'CLIPBOARDCLEAR' => array('label'=>'{LANG_CMM_ACTION_CLIPBOARDCLEAR}','area'=>'listhead','userLevel'=>3,'icon'=>'icon-action-clipboard-clear.svg','condition'=>'isset($_SESSION["CMM"]["FORMS"]["clipboard"])')
	);

$CONFIG['CMM']['views']['USERGROUPS']['actions'] = array(
	'LIST' => array('label'=>'{LANG_CMM_ACTION_LIST}','userLevel'=>0),
	'NEW' => array('label'=>'{LANG_CMM} - {LANG_CMM_USERGROUP} {LANG_CMM_ACTION_NEW}','area'=>'listhead','userLevel'=>1,'icon'=>'icon-action-new.svg'),
	'EDIT' => array('label'=>'{LANG_CMM_USERGROUP} {LANG_CMM_ACTION_EDIT}','area'=>'list','userLevel'=>1,'icon'=>'icon-action-edit.svg'),
	'ENABLE' => array('label'=>'{LANG_CMM_USERGROUP} {LANG_CMM_ACTION_ENABLE}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-enable.svg','condition'=>'$item["UsergroupStatus"]==0'),
	'DISABLE' => array('label'=>'{LANG_CMM_USERGROUP} {LANG_CMM_ACTION_DISABLE}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-disable.svg','condition'=>'$item["UsergroupStatus"]==1'),
	'SAVE' => array('label'=>'{LANG_CMM_USERGROUP} {LANG_CMM_ACTION_SAVE}','area'=>'singlehead','userLevel'=>3,'icon'=>'icon-action-save.svg'),
	'SAVENEW' => array('label'=>'{LANG_CMM_USERGROUP} {LANG_CMM_ACTION_SAVENEW}','area'=>'singlehead','userLevel'=>3,'icon'=>'icon-action-save-and-new.svg'),
	'SAVECLOSE' => array('label'=>'{LANG_CMM_USERGROUP} {LANG_CMM_ACTION_SAVECLOSE}','area'=>'singlehead','userLevel'=>3,'icon'=>'icon-action-save-and-close.svg'),
	'CLOSE' => array('label'=>'{LANG_CMM_USERGROUP} {LANG_CMM_ACTION_CLOSE}','area'=>'singlehead','userLevel'=>1,'icon'=>'icon-action-close.svg'),
	'COPY' => array('label'=>'{LANG_CMM_USERGROUP} {LANG_CMM_ACTION_COPY}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-copy.svg'),
	'PASTE' => array('label'=>'{LANG_CMM_USERGROUP} {LANG_CMM_ACTION_PASTE}','area'=>'listhead','userLevel'=>3,'icon'=>'icon-action-paste.svg','UID'=>(isset($CURRENT["module"]) && isset($CURRENT['view']) && isset($_SESSION[$CURRENT["module"]][$CURRENT["view"]]['clipboard']) ? $_SESSION[$CURRENT["module"]][$CURRENT["view"]]['clipboard']['id'] : ''),'condition'=>'!empty($_SESSION[$CURRENT["module"]][$CURRENT["view"]]["clipboard"])'),
	'REMOVE' => array('label'=>'{LANG_CMM_USERGROUP} {LANG_CMM_ACTION_REMOVE}','area'=>'list,singlehead','userLevel'=>3,'icon'=>'icon-action-remove.svg','condition'=>'$item["UsergroupUID"]>0','message'=>'{LANG_CMM_ACTION_REMOVE_CONFIRM}'),
	'CLIPBOARDCLEAR' => array('label'=>'{LANG_CMM_ACTION_CLIPBOARDCLEAR}','area'=>'listhead','userLevel'=>3,'icon'=>'icon-action-clipboard-clear.svg','condition'=>'isset($_SESSION["CMM"]["USERGROUPS"]["clipboard"])')
	);

$CONFIG['CMM']['views']['USERS']['actions'] = array(
	'LIST' => array('label'=>'{LANG_CMM_ACTION_LIST}','userLevel'=>0),
	'NEW' => array('label'=>'{LANG_CMM} - {LANG_CMM_USER} {LANG_CMM_ACTION_NEW}','area'=>'listhead','userLevel'=>1,'icon'=>'icon-action-new.svg','condition'=>'$_SESSION["user"]["UserLevel"]==9 || $_SESSION["user"]["UserAdmin"]'),
	'EDIT' => array('label'=>'{LANG_CMM_USER} {LANG_CMM_ACTION_EDIT}','area'=>'list','userLevel'=>1,'icon'=>'icon-action-edit.svg','condition'=>'$item["UserUID"]==$_SESSION["user"]["UserUID"] || $_SESSION["user"]["UserLevel"]==9 || $_SESSION["user"]["UserAdmin"]==1'),
	'ENABLE' => array('label'=>'{LANG_CMM_USER} {LANG_CMM_ACTION_ENABLE}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-enable.svg','condition'=>'($_SESSION["user"]["UserLevel"]==9 || $_SESSION["user"]["UserAdmin"]==1) && $item["UserStatus"]==0 && $item["UserUID"]!=$_SESSION["user"]["UserUID"]'),
	'DISABLE' => array('label'=>'{LANG_CMM_USER} {LANG_CMM_ACTION_DISABLE}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-disable.svg','condition'=>'($_SESSION["user"]["UserLevel"]==9 || $_SESSION["user"]["UserAdmin"]==1) && $item["UserStatus"]==1 && $item["UserUID"]!=$_SESSION["user"]["UserUID"]'),
	'SAVE' => array('label'=>'{LANG_CMM_USER} {LANG_CMM_ACTION_SAVE}','area'=>'singlehead','userLevel'=>3,'icon'=>'icon-action-save.svg'),
//	'SAVENEW' => array('label'=>'{LANG_CMM_USER} {LANG_CMM_ACTION_SAVENEW}','area'=>'singlehead','userLevel'=>3,'icon'=>'icon-action-save-and-new.svg'),
	'SAVECLOSE' => array('label'=>'{LANG_CMM_USER} {LANG_CMM_ACTION_SAVECLOSE}','area'=>'singlehead','userLevel'=>3,'icon'=>'icon-action-save-and-close.svg'),
	'CLOSE' => array('label'=>'{LANG_CMM_USER} {LANG_CMM_ACTION_CLOSE}','area'=>'singlehead','userLevel'=>1,'icon'=>'icon-action-close.svg'),
//	'COPY' => array('label'=>'{LANG_CMM_USER} {LANG_CMM_ACTION_COPY}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-copy.svg'),
//	'PASTE' => array('label'=>'{LANG_CMM_USER} {LANG_CMM_ACTION_PASTE}','area'=>'listhead','userLevel'=>3,'icon'=>'icon-action-paste.svg','UID'=>(isset($CURRENT["module"]) && isset($CURRENT['view']) && isset($_SESSION[$CURRENT["module"]][$CURRENT["view"]]['clipboard']) ? $_SESSION[$CURRENT["module"]][$CURRENT["view"]]['clipboard']['id'] : ''),'condition'=>'!empty($_SESSION[$CURRENT["module"]][$CURRENT["view"]]["clipboard"])'),
	'REMOVE' => array('label'=>'{LANG_CMM_USER} {LANG_CMM_ACTION_REMOVE}','area'=>'list,singlehead','userLevel'=>3,'icon'=>'icon-action-remove.svg','condition'=>'($_SESSION["user"]["UserLevel"]==9 || $_SESSION["user"]["UserAdmin"]==1) && $item["UserUID"]>0 && $item["UserUID"]!=$_SESSION["user"]["UserUID"] ','message'=>'{LANG_CMM_ACTION_REMOVE_CONFIRM}'),
//	'CLIPBOARDCLEAR' => array('label'=>'{LANG_CMM_ACTION_CLIPBOARDCLEAR}','area'=>'listhead','userLevel'=>3,'icon'=>'icon-action-clipboard-clear.svg','condition'=>'isset($_SESSION["CMM"]["USERS"]["clipboard"])')
	);

// Set special user-previliges to save own settings
if(isset($_SESSION['user']['UserUID']) && isset($CURRENT['id']) && $_SESSION['user']['UserUID']==$CURRENT['id'])
	{
	$CONFIG['CMM']['views']['USERS']['actions']['SAVE']['userLevel'] = 1;
	$CONFIG['CMM']['views']['USERS']['actions']['SAVECLOSE']['userLevel'] = 1;
	}

$CONFIG['CMM']['views']['CUSTOMERGROUPS']['actions'] = array(
	'LIST' => array('label'=>'{LANG_CMM_ACTION_LIST}','userLevel'=>0),
	'NEW' => array('label'=>'{LANG_CMM} - {LANG_CMM_CUSTOMERGROUP} {LANG_CMM_ACTION_NEW}','area'=>'listhead','userLevel'=>1,'icon'=>'icon-action-new.svg'),
	'EDIT' => array('label'=>'{LANG_CMM_CUSTOMERGROUP} {LANG_CMM_ACTION_EDIT}','area'=>'list','userLevel'=>1,'icon'=>'icon-action-edit.svg'),
	'ENABLE' => array('label'=>'{LANG_CMM_CUSTOMERGROUP} {LANG_CMM_ACTION_ENABLE}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-enable.svg','condition'=>'$item["CustomergroupStatus"]==0'),
	'DISABLE' => array('label'=>'{LANG_CMM_CUSTOMERGROUP} {LANG_CMM_ACTION_DISABLE}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-disable.svg','condition'=>'$item["CustomergroupStatus"]==1'),
	'SAVE' => array('label'=>'{LANG_CMM_CUSTOMERGROUP} {LANG_CMM_ACTION_SAVE}','area'=>'singlehead','userLevel'=>3,'icon'=>'icon-action-save.svg'),
	'SAVENEW' => array('label'=>'{LANG_CMM_CUSTOMERGROUP} {LANG_CMM_ACTION_SAVENEW}','area'=>'singlehead','userLevel'=>3,'icon'=>'icon-action-save-and-new.svg'),
	'SAVECLOSE' => array('label'=>'{LANG_CMM_CUSTOMERGROUP} {LANG_CMM_ACTION_SAVECLOSE}','area'=>'singlehead','userLevel'=>3,'icon'=>'icon-action-save-and-close.svg'),
	'CLOSE' => array('label'=>'{LANG_CMM_CUSTOMERGROUP} {LANG_CMM_ACTION_CLOSE}','area'=>'singlehead','userLevel'=>1,'icon'=>'icon-action-close.svg'),
	'COPY' => array('label'=>'{LANG_CMM_CUSTOMERGROUP} {LANG_CMM_ACTION_COPY}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-copy.svg'),
	'PASTE' => array('label'=>'{LANG_CMM_CUSTOMERGROUP} {LANG_CMM_ACTION_PASTE}','area'=>'listhead','userLevel'=>3,'icon'=>'icon-action-paste.svg','UID'=>(!empty($GLOBALS['isBackend']) && isset($_SESSION[$CURRENT["module"]][$CURRENT["view"]]['clipboard']) ? $_SESSION[$CURRENT["module"]][$CURRENT["view"]]['clipboard']['id'] : ''),'condition'=>'!empty($_SESSION[$CURRENT["module"]][$CURRENT["view"]]["clipboard"])'),
	'REMOVE' => array('label'=>'{LANG_CMM_CUSTOMERGROUP} {LANG_CMM_ACTION_REMOVE}','area'=>'list,singlehead','userLevel'=>3,'icon'=>'icon-action-remove.svg','condition'=>'$item["CustomergroupUID"]>0','message'=>'{LANG_CMM_ACTION_REMOVE_CONFIRM}'),
	'CLIPBOARDCLEAR' => array('label'=>'{LANG_CMM_ACTION_CLIPBOARDCLEAR}','area'=>'listhead','userLevel'=>3,'icon'=>'icon-action-clipboard-clear.svg','condition'=>'isset($_SESSION["CMM"]["CUSTOMERGROUPS"]["clipboard"])')
	);

$CONFIG['CMM']['views']['CUSTOMERS']['actions'] = array(
	'LIST' => array('label'=>'{LANG_CMM_ACTION_LIST}','userLevel'=>0),
	'NEW' => array('label'=>'{LANG_CMM} - {LANG_CMM_CUSTOMER} {LANG_CMM_ACTION_NEW}','area'=>'listhead','userLevel'=>1,'icon'=>'icon-action-new.svg'),
	'FELOGIN' => array('label'=>'{LANG_CMM_CUSTOMER} {LANG_CMM_ACTION_FELOGIN}','area'=>'list','userLevel'=>6,'icon'=>'icon-action-felogin.svg','condition'=>'$item["CustomerStatus"]==1 && (empty($_SESSION["customer"]["CustomerUID"]) || $_SESSION["customer"]["CustomerUID"]!=$item["CustomerUID"])','message'=>'{LANG_CMM_ACTION_FELOGIN_CONFIRM}'),
	'EDIT' => array('label'=>'{LANG_CMM_CUSTOMER} {LANG_CMM_ACTION_EDIT}','area'=>'list','userLevel'=>1,'icon'=>'icon-action-edit.svg'),
	'ENABLE' => array('label'=>'{LANG_CMM_CUSTOMER} {LANG_CMM_ACTION_ENABLE}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-enable.svg','condition'=>'$item["CustomerStatus"]==0'),
	'DISABLE' => array('label'=>'{LANG_CMM_CUSTOMER} {LANG_CMM_ACTION_DISABLE}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-disable.svg','condition'=>'$item["CustomerStatus"]==1'),
	'SAVE' => array('label'=>'{LANG_CMM_CUSTOMER} {LANG_CMM_ACTION_SAVE}','area'=>'singlehead','userLevel'=>3,'icon'=>'icon-action-save.svg'),
//	'SAVENEW' => array('label'=>'{LANG_CMM_CUSTOMER} {LANG_CMM_ACTION_SAVENEW}','area'=>'singlehead','userLevel'=>3,'icon'=>'icon-action-save-and-new.svg'),
	'SAVECLOSE' => array('label'=>'{LANG_CMM_CUSTOMER} {LANG_CMM_ACTION_SAVECLOSE}','area'=>'singlehead','userLevel'=>3,'icon'=>'icon-action-save-and-close.svg'),
	'CLOSE' => array('label'=>'{LANG_CMM_CUSTOMER} {LANG_CMM_ACTION_CLOSE}','area'=>'singlehead','userLevel'=>1,'icon'=>'icon-action-close.svg'),
//	'COPY' => array('label'=>'{LANG_CMM_CUSTOMER} {LANG_CMM_ACTION_COPY}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-copy.svg'),
//	'PASTE' => array('label'=>'{LANG_CMM_CUSTOMER} {LANG_CMM_ACTION_PASTE}','area'=>'listhead','userLevel'=>3,'icon'=>'icon-action-paste.svg','UID'=>(!empty($GLOBALS['isBackend']) && isset($_SESSION[$CURRENT["module"]][$CURRENT["view"]]['clipboard']) ? $_SESSION[$CURRENT["module"]][$CURRENT["view"]]['clipboard']['id'] : ''),'condition'=>'!empty($_SESSION[$CURRENT["module"]][$CURRENT["view"]]["clipboard"])'),
	'REMOVE' => array('label'=>'{LANG_CMM_CUSTOMER} {LANG_CMM_ACTION_REMOVE}','area'=>'list,singlehead','userLevel'=>3,'icon'=>'icon-action-remove.svg','condition'=>'$item["CustomerUID"]>0','message'=>'{LANG_CMM_ACTION_REMOVE_CONFIRM}'),
//	'CLIPBOARDCLEAR' => array('label'=>'{LANG_CMM_ACTION_CLIPBOARDCLEAR}','area'=>'listhead','userLevel'=>3,'icon'=>'icon-action-clipboard-clear.svg','condition'=>'isset($_SESSION["CMM"]["CUSTOMERS"]["clipboard"])')
	);

$CONFIG['CMM']['views']['DOMAINS']['actions'] = array(
	'LIST' => array('label'=>'{LANG_CMM_ACTION_LIST}','userLevel'=>0),
	'NEW' => array('label'=>'{LANG_CMM} - {LANG_CMM_DOMAIN} {LANG_CMM_ACTION_NEW}','area'=>'listhead','userLevel'=>1,'icon'=>'icon-action-new.svg'),
	'EDIT' => array('label'=>'{LANG_CMM_DOMAIN} {LANG_CMM_ACTION_EDIT}','area'=>'list','userLevel'=>1,'icon'=>'icon-action-edit.svg'),
	'ENABLE' => array('label'=>'{LANG_CMM_DOMAIN} {LANG_CMM_ACTION_ENABLE}','area'=>'list','userLevel'=>6,'icon'=>'icon-action-enable.svg','condition'=>'$item["DomainStatus"]==0'),
	'DISABLE' => array('label'=>'{LANG_CMM_DOMAIN} {LANG_CMM_ACTION_DISABLE}','area'=>'list','userLevel'=>6,'icon'=>'icon-action-disable.svg','condition'=>'$item["DomainStatus"]==1'),
	'SAVE' => array('label'=>'{LANG_CMM_DOMAIN} {LANG_CMM_ACTION_SAVE}','area'=>'singlehead','userLevel'=>6,'icon'=>'icon-action-save.svg'),
	'SAVENEW' => array('label'=>'{LANG_CMM_DOMAIN} {LANG_CMM_ACTION_SAVENEW}','area'=>'singlehead','userLevel'=>6,'icon'=>'icon-action-save-and-new.svg'),
	'SAVECLOSE' => array('label'=>'{LANG_CMM_DOMAIN} {LANG_CMM_ACTION_SAVECLOSE}','area'=>'singlehead','userLevel'=>6,'icon'=>'icon-action-save-and-close.svg'),
	'CLOSE' => array('label'=>'{LANG_CMM_DOMAIN} {LANG_CMM_ACTION_CLOSE}','area'=>'singlehead','userLevel'=>1,'icon'=>'icon-action-close.svg'),
	'CUT' => array('label'=>'{LANG_CMM_DOMAIN} {LANG_CMM_ACTION_CUT}','area'=>'list','userLevel'=>6,'icon'=>'icon-action-cut.svg'),
//	'COPY' => array('label'=>'{LANG_CMM_DOMAIN} {LANG_CMM_ACTION_COPY}','area'=>'list','userLevel'=>6,'icon'=>'icon-action-copy.svg'),
	'PASTE' => array('label'=>'{LANG_CMM_DOMAIN} {LANG_CMM_ACTION_PASTE}','area'=>'listhead','userLevel'=>6,'icon'=>'icon-action-paste.svg','UID'=>(!empty($GLOBALS['isBackend']) && isset($_SESSION[$CURRENT["module"]][$CURRENT["view"]]['clipboard']) ? $_SESSION[$CURRENT["module"]][$CURRENT["view"]]['clipboard']['id'] : ''),'condition'=>'!empty($_SESSION[$CURRENT["module"]][$CURRENT["view"]]["clipboard"])'),
	'REMOVE' => array('label'=>'{LANG_CMM_DOMAIN} {LANG_CMM_ACTION_REMOVE}','area'=>'list,singlehead','userLevel'=>6,'icon'=>'icon-action-remove.svg','condition'=>'$item["DomainUID"]>0','message'=>'{LANG_CMM_ACTION_REMOVE_CONFIRM}'),
	'CLIPBOARDCLEAR' => array('label'=>'{LANG_CMM_ACTION_CLIPBOARDCLEAR}','area'=>'listhead','userLevel'=>6,'icon'=>'icon-action-clipboard-clear.svg','condition'=>'isset($_SESSION["CMM"]["DOMAINS"]["clipboard"])')
	);

$CONFIG['CMM']['views']['LANGUAGES']['actions'] = array(
	'LIST' => array('label'=>'{LANG_CMM_ACTION_LIST}','userLevel'=>0),
	'NEW' => array('label'=>'{LANG_CMM} - {LANG_CMM_LANGUAGE} {LANG_CMM_ACTION_NEW}','area'=>'listhead','userLevel'=>1,'icon'=>'icon-action-new.svg'),
	'EDIT' => array('label'=>'{LANG_CMM_LANGUAGE} {LANG_CMM_ACTION_EDIT}','area'=>'list','userLevel'=>1,'icon'=>'icon-action-edit.svg'),
	'ENABLE' => array('label'=>'{LANG_CMM_LANGUAGE} {LANG_CMM_ACTION_ENABLE}','area'=>'list','userLevel'=>6,'icon'=>'icon-action-enable.svg','condition'=>'$item["LanguageStatus"]==0'),
	'DISABLE' => array('label'=>'{LANG_CMM_LANGUAGE} {LANG_CMM_ACTION_DISABLE}','area'=>'list','userLevel'=>6,'icon'=>'icon-action-disable.svg','condition'=>'$item["LanguageStatus"]==1 && $item["LanguageDefault"]==0'),
	'SAVE' => array('label'=>'{LANG_CMM_LANGUAGE} {LANG_CMM_ACTION_SAVE}','area'=>'singlehead','userLevel'=>6,'icon'=>'icon-action-save.svg'),
	'SAVENEW' => array('label'=>'{LANG_CMM_LANGUAGE} {LANG_CMM_ACTION_SAVENEW}','area'=>'singlehead','userLevel'=>6,'icon'=>'icon-action-save-and-new.svg'),
	'SAVECLOSE' => array('label'=>'{LANG_CMM_LANGUAGE} {LANG_CMM_ACTION_SAVECLOSE}','area'=>'singlehead','userLevel'=>6,'icon'=>'icon-action-save-and-close.svg'),
	'CLOSE' => array('label'=>'{LANG_CMM_LANGUAGE} {LANG_CMM_ACTION_CLOSE}','area'=>'singlehead','userLevel'=>1,'icon'=>'icon-action-close.svg'),
	'COPY' => array('label'=>'{LANG_CMM_LANGUAGE} {LANG_CMM_ACTION_COPY}','area'=>'list','userLevel'=>6,'icon'=>'icon-action-copy.svg'),
	'PASTE' => array('label'=>'{LANG_CMM_LANGUAGE} {LANG_CMM_ACTION_PASTE}','area'=>'listhead','userLevel'=>6,'icon'=>'icon-action-paste.svg','UID'=>(!empty($GLOBALS['isBackend']) && isset($_SESSION[$CURRENT["module"]][$CURRENT["view"]]['clipboard']) ? $_SESSION[$CURRENT["module"]][$CURRENT["view"]]['clipboard']['id'] : ''),'condition'=>'!empty($_SESSION[$CURRENT["module"]][$CURRENT["view"]]["clipboard"])'),
	'DEFAULT' => array('label'=>'{LANG_CMM_LANGUAGE} {LANG_CMM_ACTION_DEFAULT}','area'=>'list','userLevel'=>6,'icon'=>'icon-action-default.svg','condition'=>'$item["LanguageStatus"]==1 && $item["LanguageDefault"]==0','message'=>'{LANG_CMM_ACTION_DEFAULT_CONFIRM}'),
	'DEFAULTIS' => array('label'=>'{LANG_CMM_LANGUAGE} {LANG_CMM_ACTION_DEFAULT_IS}','area'=>'list','userLevel'=>6,'icon'=>'icon-action-default-is.svg','condition'=>'$item["LanguageDefault"]==1'),
	'REMOVE' => array('label'=>'{LANG_CMM_LANGUAGE} {LANG_CMM_ACTION_REMOVE}','area'=>'list,singlehead','userLevel'=>6,'icon'=>'icon-action-remove.svg','condition'=>'$item["LanguageUID"]>1 && $item["LanguageDefault"]==0','message'=>'{LANG_CMM_ACTION_REMOVE_CONFIRM}'),
	'CLIPBOARDCLEAR' => array('label'=>'{LANG_CMM_ACTION_CLIPBOARDCLEAR}','area'=>'listhead','userLevel'=>6,'icon'=>'icon-action-clipboard-clear.svg','condition'=>'isset($_SESSION["CMM"]["LANGUAGES"]["clipboard"])')
	);

$CONFIG['CMM']['views']['TEMPLATES']['actions'] = array(
	'LIST' => array('label'=>'{LANG_CMM_ACTION_LIST}','userLevel'=>0),
	'NEW' => array('label'=>'{LANG_CMM} - {LANG_CMM_TEMPLATE} {LANG_CMM_ACTION_NEW}','area'=>'listhead','userLevel'=>1,'icon'=>'icon-action-new.svg'),
	'EDIT' => array('label'=>'{LANG_CMM_TEMPLATE} {LANG_CMM_ACTION_EDIT}','area'=>'list','userLevel'=>1,'icon'=>'icon-action-edit.svg'),
	'ENABLE' => array('label'=>'{LANG_CMM_TEMPLATE} {LANG_CMM_ACTION_ENABLE}','area'=>'list','userLevel'=>6,'icon'=>'icon-action-enable.svg','condition'=>'$item["TemplateStatus"]==0'),
	'DISABLE' => array('label'=>'{LANG_CMM_TEMPLATE} {LANG_CMM_ACTION_DISABLE}','area'=>'list','userLevel'=>6,'icon'=>'icon-action-disable.svg','condition'=>'$item["TemplateStatus"]==1'),
	'SAVE' => array('label'=>'{LANG_CMM_TEMPLATE} {LANG_CMM_ACTION_SAVE}','area'=>'singlehead','userLevel'=>6,'icon'=>'icon-action-save.svg'),
	'SAVENEW' => array('label'=>'{LANG_CMM_TEMPLATE} {LANG_CMM_ACTION_SAVENEW}','area'=>'singlehead','userLevel'=>6,'icon'=>'icon-action-save-and-new.svg'),
	'SAVECLOSE' => array('label'=>'{LANG_CMM_TEMPLATE} {LANG_CMM_ACTION_SAVECLOSE}','area'=>'singlehead','userLevel'=>6,'icon'=>'icon-action-save-and-close.svg'),
	'CLOSE' => array('label'=>'{LANG_CMM_TEMPLATE} {LANG_CMM_ACTION_CLOSE}','area'=>'singlehead','userLevel'=>1,'icon'=>'icon-action-close.svg'),
	'CUT' => array('label'=>'{LANG_CMM_TEMPLATE} {LANG_CMM_ACTION_CUT}','area'=>'list','userLevel'=>6,'icon'=>'icon-action-cut.svg'),
	'COPY' => array('label'=>'{LANG_CMM_TEMPLATE} {LANG_CMM_ACTION_COPY}','area'=>'list','userLevel'=>6,'icon'=>'icon-action-copy.svg'),
	'PASTE' => array('label'=>'{LANG_CMM_TEMPLATE} {LANG_CMM_ACTION_PASTE}','area'=>'listhead','userLevel'=>6,'icon'=>'icon-action-paste.svg','UID'=>(!empty($GLOBALS['isBackend']) && isset($_SESSION[$CURRENT["module"]][$CURRENT["view"]]['clipboard']) ? $_SESSION[$CURRENT["module"]][$CURRENT["view"]]['clipboard']['id'] : ''),'condition'=>'!empty($_SESSION[$CURRENT["module"]][$CURRENT["view"]]["clipboard"])'),
	'REMOVE' => array('label'=>'{LANG_CMM_TEMPLATE} {LANG_CMM_ACTION_REMOVE}','area'=>'list,singlehead','userLevel'=>6,'icon'=>'icon-action-remove.svg','condition'=>'$item["TemplateUID"]>1','message'=>'{LANG_CMM_ACTION_REMOVE_CONFIRM}'),
	'CLIPBOARDCLEAR' => array('label'=>'{LANG_CMM_ACTION_CLIPBOARDCLEAR}','area'=>'listhead','userLevel'=>6,'icon'=>'icon-action-clipboard-clear.svg','condition'=>'isset($_SESSION["CMM"]["TEMPLATES"]["clipboard"])')
	);

$CONFIG['CMM']['views']['LOG']['actions'] = array(
	'LIST' => array('label'=>'{LANG_CMM_ACTION_LIST}','userLevel'=>1),
	'TRUNCATE' => array('label'=>'{LANG_CMM_ACTION_TRUNCATE}','area'=>'listhead','userLevel'=>6,'icon'=>'icon-action-remove.svg','message'=>'{LANG_CMM_ACTION_TRUNCATE_CONFIRM}'),
	'EDIT' => array('label'=>'{LANG_CMM_LOG} {LANG_CMM_ACTION_EDIT}','area'=>'list','userLevel'=>6,'icon'=>'icon-action-edit.svg'),
	'CLOSE' => array('label'=>'{LANG_CMM_LOG} {LANG_CMM_ACTION_CLOSE}','area'=>'singlehead','userLevel'=>1,'icon'=>'icon-action-close.svg'),
	'REMOVE' => array('label'=>'{LANG_CMM_LOG} {LANG_CMM_ACTION_REMOVE}','area'=>'list,singlehead','userLevel'=>6,'icon'=>'icon-action-remove.svg','condition'=>'$item["LogUID"]>0','message'=>'{LANG_CMM_ACTION_REMOVE_CONFIRM}')
	);

$CONFIG['CMM']['views']['TRASHCAN']['actions'] = array(
	'LIST' => array('label'=>'{LANG_CMM_ACTION_LIST}','userLevel'=>1),
	'RESTORE' => array('label'=>'{LANG_CMM_ACTION_RESTORE}','area'=>'list','userLevel'=>6,'icon'=>'icon-action-restore.svg','message'=>'{LANG_CMM_ACTION_RESTORE_CONFIRM}'),
	'DELETE' => array('label'=>'{LANG_CMM_ACTION_DELETE}','area'=>'list','userLevel'=>6,'icon'=>'icon-action-delete.svg','message'=>'{LANG_CMM_ACTION_DELETE_CONFIRM}'),
	'DELETEALL' => array('label'=>'{LANG_CMM_ACTION_DELETEALL}','area'=>'listhead','userLevel'=>6,'icon'=>'icon-action-delete.svg','message'=>'{LANG_CMM_ACTION_DELETEALL_CONFIRM}'),
	'PAGERESTORE' => array('label'=>'{LANG_CMM_PAGE} {LANG_CMM_ACTION_RESTORE}','area'=>'list,singlehead,contextmenu','userLevel'=>6,'icon'=>'icon-action-restore.svg','message'=>'{LANG_CMM_ACTION_RESTORE_CONFIRM_PAGE}','condition'=>'isset($item["PageUID"]) && $item["PageUID"]>0 && $item["PageDeleted"]==1'),
	'PAGEDELETE' => array('label'=>'{LANG_CMM_PAGE} {LANG_CMM_ACTION_DELETE}','area'=>'list,singlehead,contextmenu','userLevel'=>6,'icon'=>'icon-action-delete.svg','message'=>'{LANG_CMM_ACTION_DELETE_CONFIRM_PAGE}','condition'=>'isset($item["PageUID"]) && $item["PageUID"]>0 && $item["PageDeleted"]==1')
	);

$CONFIG['CMM']['views']['BACKUP']['actions'] = array(
	'BACKUP' => array('label'=>'{LANG_CMM_ACTION_BACKUP}','userLevel'=>1,'inNavi'=>1),
	'BACKUPMAKE' => array('label'=>'{LANG_CMM_ACTION_BACKUPMAKE}','userLevel'=>6),
	'BACKUPRESTORE' => array('label'=>'{LANG_CMM_ACTION_BACKUPRESTORE}','userLevel'=>6),
	'BACKUPREMOVE' => array('label'=>'{LANG_CMM_ACTION_BACKUPREMOVE}','userLevel'=>6),
	'INSTALLDB' => array('label'=>'Datenbanktabellen konfigurieren','userLevel'=>6)
	);

$CONFIG['CMM']['views']['CONFIG']['actions'] = array(
	'CONFIG' => array('label'=>'{LANG_CMM_ACTION_CONFIG}','userLevel'=>1,'inNavi'=>1),
	'CONFIGSAVE' => array('label'=>'{LANG_CMM_ACTION_CONFIGSAVE}','area'=>'singlehead','userLevel'=>6,'icon'=>'icon-action-save.svg')
	);

$CONFIG['CMM']['views']['LICENSE']['actions'] = array(
	'LICENSE' => array('label'=>'{LANG_CMM_ACTION_LICENSE}','userLevel'=>1,'inNavi'=>1),
	'LICENSESAVE' => array('label'=>'{LANG_CMM_ACTION_LICENSESAVE}','area'=>'singlehead','userLevel'=>6,'icon'=>'icon-action-save.svg'),
	'LICENSEORDER' => array('label'=>'{LANG_CMM_ACTION_LICENSEORDER}','area'=>'singlehead','userLevel'=>6,'icon'=>'icon-action-new-file.svg')
	);

$CONFIG['CMM']['views']['MODULES']['actions'] = array(
	'MODULELIST' => array('label'=>'{LANG_CMM_ACTION_MODULES}','userLevel'=>6,'inNavi'=>1),
	'MODULEINSTALL' => array('label'=>'{LANG_CMM_ACTION_INSTALL}','area'=>'list','userLevel'=>6,'icon'=>'icon-action-enable.svg','condition'=>'$item["status"]==0 && $item["key"]!="CMM"'),
	'MODULEUNINSTALL' => array('label'=>'{LANG_CMM_ACTION_UNINSTALL}','area'=>'list','userLevel'=>6,'icon'=>'icon-action-disable.svg','condition'=>'$item["status"]==1 && $item["key"]!="CMM"','message'=>'{LANG_CMM_ACTION_MODULE_UNINSTALL_CONFIRM}'),
	'MODULEGET' => array('label'=>'{LANG_CMM_ACTION_GET}','area'=>'repository','userLevel'=>6,'icon'=>'icon-action-new.svg','message'=>'{LANG_CMM_ACTION_MODULE_GET_CONFIRM}'),
	'MODULEUPDATE' => array('label'=>'{LANG_CMM_ACTION_UPDATE}','area'=>'repository','userLevel'=>6,'icon'=>'icon-action-refresh.svg','message'=>'{LANG_CMM_ACTION_MODULE_UPDATE_CONFIRM}'),
	'MODULEDELETE' => array('label'=>'{LANG_CMM_ACTION_DELETE}','area'=>'list','userLevel'=>6,'icon'=>'icon-action-remove.svg','condition'=>'$item["status"]==0 && $item["key"]!="CMM"','message'=>'{LANG_CMM_ACTION_MODULE_DELETE_CONFIRM}'),
	);

$CONFIG['CMM']['views']['INSTALL']['actions'] = array(
	'INSTALL' => array('label'=>'{LANG_CMM_ACTION_INSTALL}','userLevel'=>6)
	);


////////////////////////////////////////////////////////////////////
// Datenbank-Tabellen                                             //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM']['database'] = array();
// Werte fuer 'label': frei waehlbar
// Werte fuer 'type': select, imagelist, filelist, linkfield, mapfield, textfield, passwordfield (md5/salted), textarea, rte, options, radio, checkbox, check, filefield, datetime, date, hidden
// Werte fuer 'position': top, left, right, bottom 
// Werte fuer 'datatype': [optional] int/integer, float, price, date, text - erzwingt den Datentyp bei der Speicherung
// Werte fuer 'value': [optional] Wert (bei radio-buttons und mapfield auch array() moeglich)
// Werte fuer 'text': [optional] Text fuer Wert (bei radio-buttons und mapfield auch array() moeglich)
// Verknuerpfung von LBC-Tabellen durch Attribut 'lbctable' => 'cmm_cmm_pages_lbc' in der Elterntabelle

// Table config for Seiten
$CONFIG['CMM']['database']['cmm_cmm_pages'] = array(
	'tabs' => array(0=>'Standard',1=>'Meta',2=>'Media',3=>'Sonstiges',4=>'Plugin',5=>'Template',9=>'Anzeige'),
	'tablename' => 'cmm_cmm_pages',
	'lbctable' => 'cmm_cmm_pages_lbc',
	'sort' => 'PageSort ASC',
	'backup' => 1,
	'fieldprefix' => 'Page',
	'fieldset' => array(
		'PageUID' => array('label'=>'UID','type'=>'hidden','tab'=>0
			,'sqldef'=>'int(10) NOT NULL'),
		'PagePID' => array('label'=>'übergeordneter Datensatz (PID)','type'=>'hidden','tab'=>0,
			'sqldef'=>'int(10) default \'0\''),
		'PageTID' => array('label'=>'Typ der Seite (TID)','type'=>'select','disablenone'=>1,'position'=>'left','tab'=>0,'attribs'=>array('onchange'=>'if($(this).val() == 1) { $(\'#inputBox_datafield_PageShortcut\').slideDown(500); $(\'#inputBox_datafield_PageShortcutType\').slideDown(500); } else { $(\'#inputBox_datafield_PageShortcut\').slideUp(500); $(\'#inputBox_datafield_PageShortcutType\').slideUp(500); };'),
			'sqldef'=>'int(3) default \'0\'',
			'options'=>array(array('value'=>0,'text'=>'{LANG_CMM_PAGE_TYPE_0}'),array('value'=>1,'text'=>'{LANG_CMM_PAGE_TYPE_1}'),array('value'=>2,'text'=>'{LANG_CMM_PAGE_TYPE_2}'))),
		'PageLID' => array('label'=>'Sprache (LID)','type'=>'hidden','value'=>'','position'=>'top','tab'=>3,
			'sqldef'=>'int(3) default \'0\'',
			'join'=>array('module'=>'CMM','table'=>'cmm_cmm_languages','keyfield'=>'LanguageUID','labelfield'=>'LanguageName')),
		'PageDeleted' => array('label'=>'{LANG_CMM_FIELD_REMOVED}','type'=>'hidden','tab'=>3,
			'sqldef'=>'int(1) default \'0\''),
		'PageSort' => array('label'=>'Sortierung','type'=>'hidden','tab'=>3,
			'sqldef'=>'int(10) default \'0\''),
		'PageStart' => array('label'=>'Start der Anzeige','type'=>'datetime','position'=>'left','tab'=>9,
			'sqldef'=>'datetime default NULL'),
		'PageStop' => array('label'=>'Ende der Anzeige','type'=>'datetime','position'=>'right','tab'=>9,
			'sqldef'=>'datetime default NULL'),
		'PageShortcut' => array('label'=>'Weiterleitungsziel (ID: interne Seite | URL: externe Seite)','type'=>'linkfield','position'=>'left','tab'=>0,'script'=>'<script type="text/javascript">$(document).ready(function() {  if($(\'#datafield_PageTID_select\').val() != 1) { $(\'#inputBox_datafield_PageShortcut\').hide(); } });</script>',
			'sqldef'=>'varchar(255) collate utf8_unicode_ci default NULL'),
		'PageShortcutType' => array('label'=>'Art der Weiterleitung','type'=>'select','position'=>'left','tab'=>0,
			'sqldef'=>'int(1) default \'0\'',
			'options'=>array(array('value'=>0,'text'=>'{LANG_CMM_SHORTCUT_DIRECT}'),array('value'=>1,'text'=>'{LANG_CMM_SHORTCUT_301}')),
			'script'=>'<script type="text/javascript">$(document).ready(function() {  if($(\'#datafield_PageTID_select\').val() != 1) { $(\'#inputBox_datafield_PageShortcutType\').hide(); } });</script>'),
		'PageShowInNavi' => array('label'=>'in Navigation anzeigen','type'=>'radio','position'=>'right','tab'=>0,'default'=>'1',
			'sqldef'=>'int(1) default \'0\'',
			'options'=>array(array('value'=>'1','text'=>'{LANG_CMM_YES}'),array('value'=>'0','text'=>'{LANG_CMM_NO}'))),
		'PageDeletable' => array('label'=>'Löschen','type'=>'checkbox','position'=>'left','tab'=>3,'default'=>'1',
			'sqldef'=>'int(1) default \'0\'',
			'options'=>array(array('value'=>1,'text'=>'{LANG_CMM_PAGE_DELETABLE}'))),
		'PageCustomergroupID' => array('label'=>'Anzeige für Benutzergruppen','type'=>'multiselect','position'=>'bottom','tab'=>9,
			'sqldef'=>'varchar(255) collate utf8_unicode_ci default NULL','attribs'=>array('multiple'=>1,'size'=>6),
			'options'=>array('none'=>array('value'=>'0','text'=>'{LANG_CMM_IF_LOGGED_OUT}'),'all'=>array('value'=>'*','text'=>'{LANG_CMM_IF_LOGGED_IN}')),
			'select'=>array('module'=>'CMM','table'=>'cmm_cmm_customergroups','keyfield'=>'CustomergroupUID','labelfield'=>'CustomergroupUID,CustomergroupName','sort'=>'CustomergroupUID'),
			'join'=>array('module'=>'CMM','table'=>'cmm_cmm_customergroups','keyfield'=>'CustomergroupUID')),
		'PageIcon' => array('label'=>'Seiten-Icon','description'=>'Icon zur Kennzeichnung der Seite in Navigationen (sofern im verwendeten Webdesign vorgsehen)','type'=>'iconfield','position'=>'right','tab'=>0,
			'sqldef'=>'varchar(100) collate utf8_unicode_ci default NULL'),
		'PageImages' => array('label'=>'Bilder','type'=>'imagelist','position'=>'top','dir'=>'data/CMM/images/','tab'=>2,
			'sqldef'=>'text collate utf8_unicode_ci'),
		'PageTemplate' => array('label'=>'Seitenvorlage (Vererbung an Unterseiten)','type'=>'hidden','value'=>'','position'=>'top','tab'=>5,
			'sqldef'=>'varchar(255) collate utf8_unicode_ci default NULL'),
		'PageNaviPlugin' => array('label'=>'Navigations-Plugin','type'=>'pluginselect','dir'=>'plugins/','position'=>'bottom','tab'=>4,
			'sqldef'=>'text collate utf8_unicode_ci'),
		'PageUrlParams' => array('label'=>'zusätzliche URL-Parameter (&var=wert...)','type'=>'textfield','position'=>'bottom','tab'=>3,'shy'=>1,
			'sqldef'=>'varchar(255) collate utf8_unicode_ci default NULL'),
		'PageConfig' => array('label'=>'Template-Konfiguration (Vererbung an Unterseiten)','type'=>'hidden','value'=>'','position'=>'top','tab'=>5,'shy'=>1,
			'sqldef'=>'text collate utf8_unicode_ci'),
		'PageNoSearch' => array('label'=>'Suche','type'=>'checkbox','position'=>'right','tab'=>3,
			'sqldef'=>'int(1) default \'0\'',
			'options'=>array(array('value'=>1,'text'=>'{LANG_CMM_PAGE_SEARCHABLE_NOT}'))),
		'PageHideInSitemap' => array('label'=>'in (XML)-Sitemap','type'=>'checkbox','position'=>'left2','tab'=>1,
			'sqldef'=>'int(1) default \'0\'',
			'options'=>array(array('value'=>1,'text'=>'verbergen'))),
		'PagePriority' => array('label'=>'Priorität','type'=>'select','shy'=>1,
			'sqldef'=>'varchar(10) collate utf8_unicode_ci default \'\'','position'=>'right2','tab'=>1,
			'options'=>array(array('value'=>'0.1','text'=>'0.1'),array('value'=>'0.2','text'=>'0.2'),array('value'=>'0.3','text'=>'0.3'),array('value'=>'0.4','text'=>'0.4'),array('value'=>'0.5','text'=>'0.5'),array('value'=>'0.6','text'=>'0.6'),array('value'=>'0.7','text'=>'0.7'),array('value'=>'0.8','text'=>'0.8'),array('value'=>'0.9','text'=>'0.9'),array('value'=>'1.0','text'=>'1.0'))),
		'PageChangefreq' => array('label'=>'Änderungshäufigkeit','type'=>'select','position'=>'right2','tab'=>1,'shy'=>1,
			'sqldef'=>'varchar(10) collate utf8_unicode_ci default \'\'',
			'options'=>array(array('value'=>'always','text'=>'always'),array('value'=>'hourly','text'=>'hourly'),array('value'=>'daily','text'=>'daily'),array('value'=>'weekly','text'=>'weekly'),array('value'=>'monthly','text'=>'monthly'),array('value'=>'yearly','text'=>'yearly'),array('value'=>'never','text'=>'never'))),
		'PageAddUser' => array('label'=>'Benutzer erstellt','type'=>'hidden','tab'=>0,
			'sqldef'=>'varchar(32) collate utf8_unicode_ci default \'0\''),
		'PageAddDate' => array('label'=>'Datum erstellt','type'=>'hidden','tab'=>0,
			'sqldef'=>'datetime default \'0000-00-00 00:00:00\''),
		'PageModUser' => array('label'=>'Benutzer geändert','type'=>'hidden','tab'=>0,
			'sqldef'=>'varchar(32) collate utf8_unicode_ci default \'0\''),
		'PageModDate' => array('label'=>'Datum geändert','type'=>'hidden','tab'=>0,
			'sqldef'=>'datetime default \'0000-00-00 00:00:00\'')
		),
	'tableset' => array(
		'engine' => 'MyISAM',
		'primarykey' => 'UID',
		'charset' => 'utf8',
		'collation' => 'utf8_unicode_ci',
		'comment' => 'Seiten'
		)
	);

// Seiten - ausgelagerte LBC-Tabelle
$CONFIG['CMM']['database']['cmm_cmm_pages_lbc'] = array(
	'tabs' => array(0=>'Standard',1=>'Meta',2=>'Media',3=>'Sonstiges',4=>'Plugin',5=>'Template',9=>'Anzeige'),
	'tablename' => 'cmm_cmm_pages_lbc',
	'sort' => '',
	'backup' => 1,
	'fieldprefix' => 'Page',
	'fieldset' => array(
		'PageUID_lbc' => array('label'=>'UID','type'=>'hidden','tab'=>0
			,'sqldef'=>'int(10) NOT NULL'),
		'PagePID_lbc' => array('label'=>'übergeordneter Datensatz (PID)','type'=>'hidden','tab'=>0,
			'sqldef'=>'int(10) default \'0\''),
		'PageTID_lbc' => array('label'=>'Typ der Seite (TID)','type'=>'hidden','value'=>'','tab'=>0,
			'sqldef'=>'int(3) default \'0\''),
		'PageLID_lbc' => array('label'=>'Sprache (LID)','type'=>'hidden','tab'=>0,
			'sqldef'=>'int(3) default \'0\''),
		'PageStatus_lbc' => array('label'=>'Status','type'=>'radio','position'=>'right','tab'=>0,'default'=>'0',
			'sqldef'=>'int(1) default \'0\'',
			'options'=>array(array('value'=>1,'text'=>'{LANG_CMM_ENABLED}'),array('value'=>'0','text'=>'{LANG_CMM_DISABLED}'))),
		'PageTitle_lbc' => array('label'=>'Seitentitel','type'=>'textfield','attribs'=>array('required'=>1,'maxlength'=>255),'position'=>'top','tab'=>0,
			'sqldef'=>'varchar(255) collate utf8_unicode_ci default NULL',
			'script'=>'<script type="text/javascript">CMM_inputCreateWordCounter(\'#datafield_PageTitle_lbc\');</script>'),
		'PageTitleNavi_lbc' => array('label'=>'Abweichender Titel in Navigation','type'=>'textfield','attribs'=>array('maxlength'=>100),'position'=>'center','tab'=>0,'shy'=>1,
			'sqldef'=>'varchar(255) collate utf8_unicode_ci default NULL',
			'script'=>'<script type="text/javascript">CMM_inputCreateWordCounter(\'#datafield_PageTitleNavi_lbc\');</script>'),
		'PageSubtitle_lbc' => array('label'=>'Untertitel','type'=>'textfield','attribs'=>array('maxlength'=>255),'position'=>'center','tab'=>0,'shy'=>1,
			'sqldef'=>'varchar(255) collate utf8_unicode_ci default NULL',
			'script'=>'<script type="text/javascript">CMM_inputCreateWordCounter(\'#datafield_PageSubtitle_lbc\');</script>'),
		'PageDescription_lbc' => array('label'=>'Kurz-Beschreibung','type'=>'textarea',
			'sqldef'=>'text collate utf8_unicode_ci','attribs'=>array('rows'=>3),'position'=>'center','tab'=>0,'shy'=>1),
		'PageMetaTitle_lbc' => array('label'=>'Meta Seitentitel','type'=>'textfield','attribs'=>array('maxlength'=>255),'position'=>'center','tab'=>1,
			'sqldef'=>'varchar(255) collate utf8_unicode_ci default NULL',
			'script'=>'<script type="text/javascript">CMM_inputCreateWordCounter(\'#datafield_PageMetaTitle_lbc\');</script>'),
		'PageMetaKeywords_lbc' => array('label'=>'Meta Schlagworte','type'=>'textfield','attribs'=>array('maxlength'=>255),'position'=>'center','tab'=>1,
			'sqldef'=>'varchar(255) collate utf8_unicode_ci default NULL',
			'script'=>'<script type="text/javascript">CMM_inputCreateWordCounter(\'#datafield_PageMetaKeywords_lbc\');</script>'),
		'PageMetaDescription_lbc' => array('label'=>'Meta Beschreibung','type'=>'textfield','attribs'=>array('maxlength'=>255),'position'=>'center','tab'=>1,
			'sqldef'=>'varchar(255) collate utf8_unicode_ci default NULL',
			'script'=>'<script type="text/javascript">CMM_inputCreateWordCounter(\'#datafield_PageMetaDescription_lbc\');</script>'),
		'PageHeadExtra_lbc' => array('label'=>'Zusatzausgabe im Head-Bereich','type'=>'textarea','attribs'=>array('rows'=>'2'),'position'=>'bottom','tab'=>3,'shy'=>1,
			'sqldef'=>'text collate utf8_unicode_ci'),
		'PageFootExtra_lbc' => array('label'=>'Zusatzausgabe im Fuß-Bereich','type'=>'textarea','attribs'=>array('rows'=>'2'),'position'=>'bottom','tab'=>3,'shy'=>1,
			'sqldef'=>'text collate utf8_unicode_ci'),
		'PageAlias_lbc' => array('label'=>'URL-Alias','type'=>'textfield','attribs'=>array('maxlength'=>100),'position'=>'top','tab'=>1,
			'sqldef'=>'varchar(255) collate utf8_unicode_ci default NULL',
			'script'=>'<script type="text/javascript">CMM_inputCreateWordCounter(\'#datafield_PageAlias_lbc\');</script>')
		),
	'tableset' => array(
		'engine' => 'MyISAM',
		'primarykey' => 'UID_lbc',
		'charset' => 'utf8',
		'collation' => 'utf8_unicode_ci',
		'comment' => 'Seiten-Namen'
		)
	);

// Table config for Kategorien
$CONFIG['CMM']['database']['cmm_cmm_forms'] = array(
	'tabs' => array(0=>'Standard',1=>'Media',2=>'Plugins',3=>'Sonstiges',9=>'Anzeige'),
	'tablename' => 'cmm_cmm_forms',
	'sort' => 'FormUID DESC',
	'backup' => 1,
	'fieldprefix' => 'Form',
	'fieldset' => array(
		'FormUID' => array('label'=>'{LANG_CMM_FIELD_UID}','description'=>'{LANG_CMM_FIELD_UID_DESC}','type'=>'hidden','position'=>'top','tab'=>0,
			'sqldef'=>'int(10) default \'0\''),
		'FormPID' => array('label'=>'{LANG_CMM_FIELD_PID}','description'=>'{LANG_CMM_FIELD_PID_DESC}','type'=>'hidden','position'=>'top','tab'=>0,
			'sqldef'=>'int(10) default \'0\''),
		'FormTID' => array('label'=>'{LANG_CMM_FIELD_TID}','description'=>'{LANG_CMM_FIELD_TID_DESC}','type'=>'hidden','position'=>'top','tab'=>0,
			'sqldef'=>'int(3) default \'0\''),
		'FormLID' => array('label'=>'{LANG_CMM_FIELD_LID}','description'=>'{LANG_CMM_FIELD_LID_DESC}','type'=>'radio','position'=>'top','tab'=>3,
			'sqldef'=>'int(3) default \'0\'',
			'select'=>array('module'=>'CMM','table'=>'cmm_cmm_languages','keyfield'=>'LanguageUID','labelfield'=>'LanguageName','sort'=>'LanguageUID')),
		'FormStatus' => array('label'=>'{LANG_CMM_FIELD_STATUS}','type'=>'hidden','value'=>'1','position'=>'top','tab'=>9,
			'sqldef'=>'int(1) default \'0\''),
		'FormDeleted' => array('label'=>'{LANG_CMM_FIELD_REMOVED}','type'=>'hidden','tab'=>3,
			'sqldef'=>'int(1) default \'0\''),
		'FormSort' => array('label'=>'{LANG_CMM_FIELD_SORT}','description'=>'{LANG_CMM_FIELD_SORT_DESC}','type'=>'hidden','position'=>'top','tab'=>0,
			'sqldef'=>'int(10) default \'0\''),
		'FormTitle' => array('label'=>'{LANG_CMM_FIELD_FORMTITLE}','description'=>'{LANG_CMM_FIELD_FORMTITLE_DESC}','type'=>'textfield','attribs'=>array('required'=>1),'position'=>'top','tab'=>0,
			'sqldef'=>'varchar(100) collate utf8_unicode_ci default NULL'),
		'FormDescription' => array('label'=>'{LANG_CMM_FIELD_FORMDESCRIPTION}','description'=>'{LANG_CMM_FIELD_FORMDESCRIPTION_DESC}','type'=>'textarea','position'=>'top','tab'=>3,
			'sqldef'=>'text collate utf8_unicode_ci'),
		'FormDefinition' => array('label'=>'{LANG_CMM_FIELD_FORMDEFINITION}','description'=>'{LANG_CMM_FIELD_FORMDEFINITION_DESC}','type'=>'formedit','number'=>'1','position'=>'top','tab'=>0,
			'sqldef'=>'text collate utf8_unicode_ci'),
		'FormAddUser' => array('label'=>'{LANG_CMM_FIELD_ADDUSER}','description'=>'{LANG_CMM_FIELD_ADDUSER_DESC}','type'=>'hidden','position'=>'left','tab'=>0,
			'sqldef'=>'varchar(32) collate utf8_unicode_ci default \'0\''),
		'FormAddDate' => array('label'=>'{LANG_CMM_FIELD_ADDDATE}','description'=>'{LANG_CMM_FIELD_ADDDATE_DESC}','type'=>'hidden','position'=>'left','tab'=>0,
			'sqldef'=>'datetime default \'0000-00-00 00:00:00\''),
		'FormModUser' => array('label'=>'{LANG_CMM_FIELD_MODUSER}','description'=>'{LANG_CMM_FIELD_MODUSER_DESC}','type'=>'hidden','position'=>'left','tab'=>0,
			'sqldef'=>'varchar(32) collate utf8_unicode_ci default \'0\''),
		'FormModDate' => array('label'=>'{LANG_CMM_FIELD_MODDATE}','description'=>'{LANG_CMM_FIELD_MODDATE_DESC}','type'=>'hidden','position'=>'left','tab'=>0,
			'sqldef'=>'datetime default \'0000-00-00 00:00:00\'')
		),
	'tableset' => array(
		'engine' => 'MyISAM',
		'primarykey' => 'UID',
		'charset' => 'utf8',
		'collation' => 'utf8_unicode_ci',
		'comment' => 'Formulare'
		)
	);

// Table config for Kundengruppen
$CONFIG['CMM']['database']['cmm_cmm_customergroups'] = array(
	'tabs' => array(0=>'Standard',1=>'Media',2=>'Sonstiges'),
	'tablename' => 'cmm_cmm_customergroups',
	'sort' => 'CustomergroupUID DESC',
	'backup' => 1,
	'fieldprefix' => 'Customergroup',
	'fieldset' => array(
		'CustomergroupUID' => array('label'=>'UID','type'=>'hidden','position'=>'top','tab'=>0,
			'sqldef'=>'int(10) NOT NULL'),
		'CustomergroupPID' => array('label'=>'PID (ID der Speicherseite)','type'=>'hidden','position'=>'top','tab'=>0,
			'sqldef'=>'int(10) default \'0\''),
		'CustomergroupTID' => array('label'=>'TID (ID des Datensatztyps)','type'=>'hidden','position'=>'top','tab'=>2,
			'sqldef'=>'int(3) default \'0\''),
		'CustomergroupLID' => array('label'=>'LID (ID der Sprache)','type'=>'hidden','position'=>'top','tab'=>2,
			'sqldef'=>'int(3) default \'0\''),
		'CustomergroupStatus' => array('label'=>'Status','type'=>'radio','position'=>'top','tab'=>0,
			'sqldef'=>'int(1) default \'0\'',
			'options'=>array(array('value'=>1,'text'=>'{LANG_CMM_ENABLED}'),array('value'=>'0','text'=>'{LANG_CMM_DISABLED}'))),
		'CustomergroupDeleted' => array('label'=>'{LANG_CMM_FIELD_REMOVED}','type'=>'hidden','tab'=>3,
			'sqldef'=>'int(1) default \'0\''),
		'CustomergroupSort' => array('label'=>'Sortierung','type'=>'hidden','position'=>'top','tab'=>2,
			'sqldef'=>'int(10) default \'0\''),
		'CustomergroupName' => array('label'=>'Name','type'=>'textfield','unique'=>1,'position'=>'top','attribs'=>array('required'=>1,'maxlength'=>32),'tab'=>0,
			'sqldef'=>'varchar(32) collate utf8_unicode_ci default \'0\''),
		'CustomergroupDescription' => array('label'=>'Beschreibung','type'=>'textarea','attribs'=>array('rows'=>2),'position'=>'top','tab'=>0,
			'sqldef'=>'text collate utf8_unicode_ci'),
		'CustomergroupIcon' => array('label'=>'Icon','type'=>'imagelist','position'=>'top','number'=>1,'dir'=>'data/CMM/images/','tab'=>1,
			'sqldef'=>'text collate utf8_unicode_ci'),
		'CustomergroupConfig' => array('label'=>'weitere Einstellungen','type'=>'textfield','position'=>'bottom','tab'=>2,
			'sqldef'=>'text collate utf8_unicode_ci'),
		'CustomergroupAddUser' => array('label'=>'Benutzer erstellt','type'=>'hidden','position'=>'bottom','tab'=>0,
			'sqldef'=>'varchar(32) collate utf8_unicode_ci default \'0\''),
		'CustomergroupAddDate' => array('label'=>'Datum erstellt','type'=>'hidden','position'=>'bottom','tab'=>0,
			'sqldef'=>'datetime default \'0000-00-00 00:00:00\''),
		'CustomergroupModUser' => array('label'=>'Benutzer geändert','type'=>'hidden','position'=>'bottom','tab'=>0,
			'sqldef'=>'varchar(32) collate utf8_unicode_ci default \'0\''),
		'CustomergroupModDate' => array('label'=>'Datum geändert','type'=>'hidden','position'=>'bottom','tab'=>0,
			'sqldef'=>'datetime default \'0000-00-00 00:00:00\'')
		),
	'tableset' => array(
		'engine' => 'MyISAM',
		'primarykey' => 'UID',
		'charset' => 'utf8',
		'collation' => 'utf8_unicode_ci',
		'comment' => 'Kundengruppen'
		)
	);

// Table config for Kunden
$CONFIG['CMM']['database']['cmm_cmm_customers'] = array(
	'tabs' => array(0=>'Standard',1=>'Media',2=>'Sonstiges'),
	'tablename' => 'cmm_cmm_customers',
	'sort' => 'CustomerUID DESC',
	'backup' => 1,
	'fieldprefix' => 'Customer',
	'fieldset' => array(
		'CustomerUID' => array('label'=>'UID','type'=>'hidden','position'=>'top','tab'=>0,
			'sqldef'=>'int(10) NOT NULL'),
		'CustomerPID' => array('label'=>'PID (ID des übergeordneten Datensatzes)','type'=>'hidden','position'=>'top','tab'=>0,
			'sqldef'=>'int(10) default \'0\''),
		'CustomerTID' => array('label'=>'TID (ID des Datensatztyps)','type'=>'hidden','position'=>'top','tab'=>2,
			'sqldef'=>'int(3) default \'0\''),
		'CustomerLID' => array('label'=>'LID (ID der Sprache)','type'=>'hidden','position'=>'top','tab'=>2,
			'sqldef'=>'int(3) default \'0\''),
		'CustomerStatus' => array('label'=>'Status','type'=>'radio','position'=>'top','tab'=>0,
			'sqldef'=>'int(1) default \'0\'',
			'options'=>array(array('value'=>1,'text'=>'{LANG_CMM_ENABLED}'),array('value'=>'0','text'=>'{LANG_CMM_DISABLED}'),array('value'=>2,'text'=>'<b>{LANG_CMM_LOCKED}</b>'))),
		'CustomerDeleted' => array('label'=>'{LANG_CMM_FIELD_REMOVED}','type'=>'hidden','tab'=>3,
			'sqldef'=>'int(1) default \'0\''),
		'CustomerSort' => array('label'=>'Sortierung','type'=>'hidden','position'=>'top','tab'=>0,
			'sqldef'=>'int(10) default \'0\''),
		'CustomerStart' => array('label'=>'Start der Verfügbarkeit','type'=>'datetime','position'=>'left','tab'=>2,
			'sqldef'=>'datetime default NULL'),
		'CustomerStop' => array('label'=>'Ende der Verfügbarkeit','type'=>'datetime','position'=>'right','tab'=>2,
			'sqldef'=>'datetime default NULL'),
		'CustomerCustomergroupID' => array('label'=>'Mitglied in Benutzergruppen','type'=>'select','position'=>'top','tab'=>0,
			'sqldef'=>'varchar(255) collate utf8_unicode_ci default NULL',
			'select'=>array('module'=>'CMM','table'=>'cmm_cmm_customergroups','keyfield'=>'CustomergroupUID','labelfield'=>'CustomergroupUID,CustomergroupName','sort'=>'CustomergroupUID')),
		'CustomerGender' => array('label'=>'Anrede','type'=>'radio',
			'sqldef'=>'varchar(10) collate utf8_unicode_ci default NULL','position'=>'left','tab'=>0,
			'options'=>array(array('value'=>'F','text'=>'{LANG_CMM_MRS}'),array('value'=>'M','text'=>'{LANG_CMM_MR}'))),
		'CustomerTitle' => array('label'=>'Titel','type'=>'textfield','position'=>'left','attribs'=>array('maxlength'=>32),'tab'=>0,
			'sqldef'=>'varchar(32) collate utf8_unicode_ci default NULL'),
		'CustomerFirstname' => array('label'=>'Vorname','type'=>'textfield','position'=>'left','attribs'=>array('maxlength'=>100),'tab'=>0,
			'sqldef'=>'varchar(100) collate utf8_unicode_ci default NULL'),
		'CustomerLastname' => array('label'=>'Nachname','type'=>'textfield','position'=>'left','attribs'=>array('required'=>1,'maxlength'=>100),'tab'=>0,
			'sqldef'=>'varchar(100) collate utf8_unicode_ci default NULL'),
		'CustomerBirth' => array('label'=>'Geburtsdatum','type'=>'date','position'=>'left','tab'=>0,
			'sqldef'=>'date default NULL'),
		'CustomerCompany' => array('label'=>'Firma','type'=>'textfield','position'=>'left','tab'=>0,
			'sqldef'=>'varchar(100) collate utf8_unicode_ci default NULL'),
		'CustomerDepartment' => array('label'=>'Abteilung','type'=>'textfield','position'=>'left','tab'=>0,
			'sqldef'=>'varchar(100) collate utf8_unicode_ci default NULL'),
		'CustomerPosition' => array('label'=>'Position/Funktion','type'=>'textfield','position'=>'left','tab'=>0,
			'sqldef'=>'varchar(100) collate utf8_unicode_ci default NULL'),
		'CustomerAccount' => array('label'=>'Kunden-Nr.','type'=>'textfield','position'=>'left','tab'=>0,
			'sqldef'=>'varchar(100) collate utf8_unicode_ci default NULL'),
		'CustomerTaxID' => array('label'=>'Ust-ID','type'=>'textfield','position'=>'left','tab'=>0,
			'sqldef'=>'varchar(100) collate utf8_unicode_ci default NULL'),
		'CustomerStreet' => array('label'=>'Straße','type'=>'textfield','position'=>'right','tab'=>0,
			'sqldef'=>'varchar(100) collate utf8_unicode_ci default NULL'),
		'CustomerZip' => array('label'=>'PLZ','type'=>'textfield','position'=>'right','tab'=>0,
			'sqldef'=>'varchar(10) collate utf8_unicode_ci default NULL'),
		'CustomerCity' => array('label'=>'Ort','type'=>'textfield','position'=>'right','tab'=>0,
			'sqldef'=>'varchar(100) collate utf8_unicode_ci default NULL'),
		'CustomerProvince' => array('label'=>'Bundesland','type'=>'textfield','position'=>'right','tab'=>0,
			'sqldef'=>'varchar(100) collate utf8_unicode_ci default NULL'),
		'CustomerCountry' => array('label'=>'Land (ISO2-Code)','type'=>'textfield','position'=>'right','tab'=>0,
			'sqldef'=>'varchar(100) collate utf8_unicode_ci default NULL'),
		'CustomerPhone' => array('label'=>'Telefon','type'=>'textfield','position'=>'right','tab'=>0,
			'sqldef'=>'varchar(32) collate utf8_unicode_ci default NULL'),
		'CustomerFax' => array('label'=>'Fax','type'=>'textfield','position'=>'right','tab'=>0,
			'sqldef'=>'varchar(32) collate utf8_unicode_ci default NULL'),
		'CustomerMobile' => array('label'=>'Handy','type'=>'textfield','position'=>'right','tab'=>0,
			'sqldef'=>'varchar(32) collate utf8_unicode_ci default NULL'),
		'CustomerEmail' => array('label'=>'E-Mail','type'=>'textfield','unique'=>1,'position'=>'top','tab'=>0,
			'sqldef'=>'varchar(100) collate utf8_unicode_ci default NULL'),
		'CustomerPassword' => array('label'=>'Passwort','type'=>'passwordfield','description'=>'Neues Passwort in Klartext eintragen, wird beim Speichern codiert','datatype'=>'md5','position'=>'top','tab'=>0,
			'sqldef'=>'varchar(100) collate utf8_unicode_ci default NULL'),
		'CustomerWebsite' => array('label'=>'Website','type'=>'textfield','position'=>'right','tab'=>0,
			'sqldef'=>'varchar(100) collate utf8_unicode_ci default NULL'),
		'CustomerImage' => array('label'=>'Bild','type'=>'imagelist','position'=>'top','number'=>1,'dir'=>'data/CMM/images/','tab'=>1,
			'sqldef'=>'text collate utf8_unicode_ci'),
		'CustomerHash' => array('label'=>'Benutzer-Code (16-stellig)','type'=>'textfield','position'=>'left','tab'=>2,
			'sqldef'=>'varchar(100) collate utf8_unicode_ci default NULL'),
		'CustomerConfig' => array('label'=>'weitere Einstellungen','type'=>'textfield','position'=>'bottom','tab'=>2,
			'sqldef'=>'text collate utf8_unicode_ci'),
		'CustomerAddUser' => array('label'=>'Benutzer erstellt','type'=>'hidden','position'=>'bottom','tab'=>0,
			'sqldef'=>'varchar(32) collate utf8_unicode_ci default \'0\''),
		'CustomerAddDate' => array('label'=>'Datum erstellt','type'=>'hidden','position'=>'bottom','tab'=>0,
			'sqldef'=>'datetime default \'0000-00-00 00:00:00\''),
		'CustomerModUser' => array('label'=>'Benutzer geändert','type'=>'hidden','position'=>'bottom','tab'=>0,
			'sqldef'=>'varchar(32) collate utf8_unicode_ci default \'0\''),
		'CustomerModDate' => array('label'=>'Datum geändert','type'=>'hidden','position'=>'bottom','tab'=>0,
			'sqldef'=>'datetime default \'0000-00-00 00:00:00\'')
		),
	'tableset' => array(
		'engine' => 'MyISAM',
		'primarykey' => 'UID',
		'charset' => 'utf8',
		'collation' => 'utf8_unicode_ci',
		'comment' => 'Kunden'
		)
	);

// Table config for Benutzergruppen (CMM)
$CONFIG['CMM']['database']['cmm_cmm_usergroups'] = array(
	'tabs' => array(0=>'Standard',1=>'Media',2=>'Sonstiges'),
	'tablename' => 'cmm_cmm_usergroups',
	'sort' => 'UsergroupUID DESC',
	'backup' => 1,
	'fieldprefix' => 'Usergroup',
	'fieldset' => array(
		'UsergroupUID' => array('label'=>'UID','type'=>'hidden','position'=>'top','tab'=>0,
			'sqldef'=>'int(10) NOT NULL'),
		'UsergroupPID' => array('label'=>'PID (ID des übergeordneten Datensatzes)','type'=>'hidden','position'=>'top','tab'=>0,
			'sqldef'=>'int(10) default \'0\''),
		'UsergroupTID' => array('label'=>'TID (ID des Datensatztyps)','type'=>'textfield','position'=>'top','tab'=>2,
			'sqldef'=>'int(3) default \'0\''),
		'UsergroupLID' => array('label'=>'LID (ID der Sprache)','type'=>'hidden','position'=>'top','tab'=>2,
			'sqldef'=>'int(3) default \'0\''),
		'UsergroupStatus' => array('label'=>'Status','type'=>'radio',
			'sqldef'=>'int(1) default \'0\'','position'=>'top','tab'=>0,
			'options'=>array(array('value'=>1,'text'=>'{LANG_CMM_ENABLED}'),array('value'=>'0','text'=>'{LANG_CMM_DISABLED}'))),
		'UsergroupDeleted' => array('label'=>'{LANG_CMM_FIELD_REMOVED}','type'=>'hidden','tab'=>3,
			'sqldef'=>'int(1) default \'0\''),
		'UsergroupSort' => array('label'=>'Sortierung','type'=>'hidden','position'=>'top','tab'=>0,
			'sqldef'=>'int(10) default \'0\''),
		'UsergroupName' => array('label'=>'Name','type'=>'textfield','unique'=>1,'attribs'=>array('required'=>1,'maxlength'=>100),'position'=>'top','tab'=>0,
			'sqldef'=>'varchar(100) collate utf8_unicode_ci default \'0\''),
		'UsergroupDescription' => array('label'=>'Beschreibung','type'=>'textarea','attribs'=>array('rows'=>2),'position'=>'top','tab'=>0,
			'sqldef'=>'text collate utf8_unicode_ci'),
		'UsergroupIcon' => array('label'=>'Icon','type'=>'imagelist','position'=>'top','number'=>1,'dir'=>'data/CMM/images/','tab'=>1,
			'sqldef'=>'text collate utf8_unicode_ci'),
		'UsergroupConfig' => array('label'=>'weitere Einstellungen','type'=>'textfield','position'=>'bottom','tab'=>2,
			'sqldef'=>'text collate utf8_unicode_ci'),
		'UsergroupAddUser' => array('label'=>'Benutzer erstellt','type'=>'hidden','position'=>'bottom','tab'=>0,
			'sqldef'=>'varchar(32) collate utf8_unicode_ci default \'0\''),
		'UsergroupAddDate' => array('label'=>'Datum erstellt','type'=>'hidden','position'=>'bottom','tab'=>0,
			'sqldef'=>'datetime default \'0000-00-00 00:00:00\''),
		'UsergroupModUser' => array('label'=>'Benutzer geändert','type'=>'hidden','position'=>'bottom','tab'=>0,
			'sqldef'=>'varchar(32) collate utf8_unicode_ci default \'0\''),
		'UsergroupModDate' => array('label'=>'Datum geändert','type'=>'hidden','position'=>'bottom','tab'=>0,
			'sqldef'=>'datetime default \'0000-00-00 00:00:00\'')
		),
	'tableset' => array(
		'engine' => 'MyISAM',
		'primarykey' => 'UID',
		'charset' => 'utf8',
		'collation' => 'utf8_unicode_ci',
		'comment' => 'Benutzergruppen'
		)
	);

// Table config for Benutzer (CMM)
$CONFIG['CMM']['database']['cmm_cmm_users'] = array(
	'tabs' => array(0=>'Standard',1=>'Person',2=>'Rechte',3=>'Media',9=>'Sonstiges'),
	'tablename' => 'cmm_cmm_users',
	'sort' => 'UserUID DESC',
	'backup' => 1,
	'fieldprefix' => 'User',
	'fieldset' => array(
		'UserUID' => array('label'=>'UID','type'=>'hidden','position'=>'top','tab'=>0,
			'sqldef'=>'int(10) NOT NULL'),
		'UserPID' => array('label'=>'PID (ID des übergeordneten Datensatzes)',
			'position'=>'top','tab'=>0,
			'sqldef'=>'int(10) default \'0\''),
		'UserTID' => array('label'=>'TID (ID des Datensatztyps)','type'=>'hidden','position'=>'top','tab'=>0,
			'sqldef'=>'int(3) default \'0\''),
		'UserLID' => array('label'=>'LID (ID der Sprache)','type'=>'hidden','position'=>'top','tab'=>0,
			'sqldef'=>'int(3) default \'0\''),
		'UserStatus' => array('label'=>'Status','type'=>'radio','position'=>'top','tab'=>0,
			'sqldef'=>'int(1) default \'0\'',
			'options'=>array(array('value'=>1,'text'=>'{LANG_CMM_ENABLED}'),array('value'=>'0','text'=>'{LANG_CMM_DISABLED}'))),
		'UserDeleted' => array('label'=>'{LANG_CMM_FIELD_REMOVED}','type'=>'hidden','tab'=>3,
			'sqldef'=>'int(1) default \'0\''),
		'UserSort' => array('label'=>'Sortierung','type'=>'hidden','position'=>'top','tab'=>0,
			'sqldef'=>'int(10) default \'0\''),
		'UserUsergroupID' => array('label'=>'Mitglied in Benutzergruppen','type'=>'hidden',/*'attribs'=>array('multiple'=>1,'size'=>6),*/'position'=>'bottom','tab'=>2,'shy'=>1,
			'sqldef'=>'varchar(255) collate utf8_unicode_ci default \'0\''/*,
			'options'=>array(),
			'select'=>array('module'=>'CMM','table'=>'cmm_cmm_usergroups','keyfield'=>'UsergroupUID','labelfield'=>'UsergroupName')*/
			),
		'UserUsername' => array('label'=>'Benutzername','type'=>'textfield','unique'=>1,'position'=>'left','attribs'=>array('required'=>1,'maxlength'=>100),'tab'=>0,
			'sqldef'=>'varchar(100) collate utf8_unicode_ci default \'0\''),
		'UserPassword' => array('label'=>'Passwort','type'=>'passwordfield','description'=>'Neues Passwort in Klartext eintragen, wird beim Speichern codiert','datatype'=>'salted','position'=>'left','attribs'=>array('maxlength'=>100),'tab'=>0,
			'sqldef'=>'varchar(100) collate utf8_unicode_ci default NULL'),
		'UserSubuser' => array('label'=>'Zugeordnete Benutzer (ID,ID)','type'=>'textfield','position'=>'bottom','tab'=>2,'shy'=>1,
			'sqldef'=>'varchar(255) collate utf8_unicode_ci default \'0\'',
			'select'=>array('module'=>'CMM','table'=>'cmm_cmm_users','keyfield'=>'UserUID','labelfield'=>'UserUsername')),
		'UserLevel' => array('label'=>'Benutzer-Level','type'=>'radio','position'=>'top','tab'=>0,
			'sqldef'=>'int(1) default \'0\'',
			'options'=>array(array('value'=>1,'text'=>'Gast'),array('value'=>3,'text'=>'Redakteur'),array('value'=>6,'text'=>'Chefredakteur'),array('value'=>9,'text'=>'Admin'))),
		'UserAdmin' => array('label'=>'Admin-Status','description'=>'Verleiht dem Benutzer temporär Admin-Rechte, ohne dass der Benutzer-Status geändert werden muss.','type'=>'checkbox','position'=>'right','tab'=>0,'shy'=>1,
			'sqldef'=>'int(1) default \'0\'',
			'options'=>array(array('value'=>'1','text'=>'{LANG_CMM_YES}'))),
		'UserDemo' => array('label'=>'Demo-Benutzer','description'=>'Deaktiviert einige Funktionen, z. B. Speichern des Toggle-Status von Seiten- und Verzeichnisbaum','type'=>'checkbox','default'=>0,'position'=>'right','tab'=>0,'shy'=>1,
			'sqldef'=>'int(3) default \'0\'',
			'options'=>array(array('value'=>'1','text'=>'{LANG_CMM_YES}'))),
		'UserLanguage' => array('label'=>'Sprache','type'=>'select','position'=>'right','tab'=>0,'shy'=>1,
			'sqldef'=>'varchar(10) collate utf8_unicode_ci default \'0\'',
			'function'=>array('module'=>'CMM','class'=>'CMM_CMM','function'=>'getUserLanguageOptions')),
		'UserModules' => array('label'=>'erlaubte Module (,)','type'=>'multiselect','attribs'=>array('multiple'=>1,'size'=>5),'position'=>'top','tab'=>2,
			'sqldef'=>'text collate utf8_unicode_ci',
			'function'=>array('module'=>'CMM','class'=>'CMM_CMM','function'=>'getUserModulesOptions')),
		'UserDirs' => array('label'=>'erlaubte Verzeichnisse (,)','type'=>'multiselect',
			'sqldef'=>'text collate utf8_unicode_ci','attribs'=>array('multiple'=>1,'size'=>10),'position'=>'top','tab'=>2,
			'function'=>array('module'=>'CMM','class'=>'CMM_CMM','function'=>'getUserDirsOptions')),
		'UserPages' => array('label'=>'erlaubte Seitenbaum-Äste (,)','type'=>'linkfield','position'=>'top','tab'=>2,
			'sqldef'=>'text collate utf8_unicode_ci'),
		'UserSkin' => array('label'=>'Admin-Oberfläche','type'=>'select','position'=>'right','tab'=>0,'shy'=>1,
			'sqldef'=>'text collate utf8_unicode_ci',
			'function'=>array('module'=>'CMM','class'=>'CMM_CMM','function'=>'getUserSkinOptions')),
		'UserGender' => array('label'=>'Anrede','type'=>'radio','position'=>'left','tab'=>1,
			'sqldef'=>'varchar(10) collate utf8_unicode_ci default \'0\'',
			'options'=>array(array('value'=>'F','text'=>'{LANG_CMM_MRS}'),array('value'=>'M','text'=>'{LANG_CMM_MR}'))),
		'UserTitle' => array('label'=>'Titel','type'=>'textfield','position'=>'left','tab'=>1,
			'sqldef'=>'varchar(100) collate utf8_unicode_ci default \'0\''),
		'UserFirstname' => array('label'=>'Vorname','type'=>'textfield','position'=>'left','tab'=>1,
			'sqldef'=>'varchar(100) collate utf8_unicode_ci default \'0\''),
		'UserLastname' => array('label'=>'Nachname','type'=>'textfield','position'=>'left','tab'=>1,
			'sqldef'=>'varchar(100) collate utf8_unicode_ci default \'0\''),
		'UserCompany' => array('label'=>'Firma','type'=>'textfield','position'=>'left','tab'=>1,'shy'=>1,
			'sqldef'=>'varchar(100) collate utf8_unicode_ci default \'0\''),
		'UserDepartment' => array('label'=>'Abteilung','type'=>'textfield','position'=>'left','tab'=>1,'shy'=>1,
			'sqldef'=>'varchar(100) collate utf8_unicode_ci default \'0\''),
		'UserPosition' => array('label'=>'Position/Funktion','type'=>'textfield','position'=>'left','tab'=>1,'shy'=>1,
			'sqldef'=>'varchar(100) collate utf8_unicode_ci default \'0\''),
		'UserStreet' => array('label'=>'Straße','type'=>'textfield','position'=>'right','tab'=>1,'shy'=>1,
			'sqldef'=>'varchar(100) collate utf8_unicode_ci default \'0\''),
		'UserZip' => array('label'=>'PLZ','type'=>'textfield','position'=>'right','tab'=>1,'shy'=>1,
			'sqldef'=>'varchar(10) collate utf8_unicode_ci default \'0\''),
		'UserCity' => array('label'=>'Ort','type'=>'textfield','position'=>'right','tab'=>1,'shy'=>1,
			'sqldef'=>'varchar(100) collate utf8_unicode_ci default \'0\''),
		'UserProvince' => array('label'=>'Bundesland','type'=>'textfield','position'=>'right','tab'=>1,'shy'=>1,
			'sqldef'=>'varchar(100) collate utf8_unicode_ci default \'0\''),
		'UserCountry' => array('label'=>'Land','type'=>'textfield','position'=>'right','tab'=>1,'shy'=>1,
			'sqldef'=>'varchar(100) collate utf8_unicode_ci default \'0\''),
		'UserPhone' => array('label'=>'Telefon','type'=>'textfield','position'=>'right','tab'=>1,'shy'=>1,
			'sqldef'=>'varchar(32) collate utf8_unicode_ci default \'0\''),
		'UserFax' => array('label'=>'Fax','type'=>'textfield','position'=>'right','tab'=>1,'shy'=>1,
			'sqldef'=>'varchar(32) collate utf8_unicode_ci default \'0\''),
		'UserEmail' => array('label'=>'E-Mail','type'=>'textfield','position'=>'right','tab'=>1,'shy'=>1,
			'sqldef'=>'varchar(100) collate utf8_unicode_ci default \'0\''),
		'UserWebsite' => array('label'=>'Website','type'=>'textfield','position'=>'right','tab'=>1,'shy'=>1,
			'sqldef'=>'varchar(100) collate utf8_unicode_ci default \'0\''),
		'UserImage' => array('label'=>'Bild','type'=>'imagelist','position'=>'top','number'=>1,'dir'=>'data/CMM/images/','tab'=>3,
			'sqldef'=>'text collate utf8_unicode_ci'),
		'UserConfig' => array('label'=>'weitere Einstellungen','type'=>'textfield','datatype'=>'code','position'=>'bottom','tab'=>9,
			'sqldef'=>'text collate utf8_unicode_ci'),
		'UserAddUser' => array('label'=>'Benutzer erstellt','type'=>'hidden','position'=>'bottom','tab'=>0,
			'sqldef'=>'varchar(32) collate utf8_unicode_ci default \'0\''),
		'UserAddDate' => array('label'=>'Datum erstellt','type'=>'hidden','position'=>'bottom','tab'=>0,
			'sqldef'=>'datetime default \'0000-00-00 00:00:00\''),
		'UserModUser' => array('label'=>'Benutzer geändert','type'=>'hidden','position'=>'bottom','tab'=>0,
			'sqldef'=>'varchar(32) collate utf8_unicode_ci default \'0\''),
		'UserModDate' => array('label'=>'Datum geändert','type'=>'hidden','position'=>'bottom','tab'=>0,
			'sqldef'=>'datetime default \'0000-00-00 00:00:00\'')
		),
	'tableset' => array(
		'engine' => 'MyISAM',
		'primarykey' => 'UID',
		'charset' => 'utf8',
		'collation' => 'utf8_unicode_ci',
		'comment' => 'Benutzer'
		)
	);

// Security-Fix - nur Admin darf brisante Benutzerdaten bearbeiten
if(isset($_SESSION['user']['UserLevel']) && (!empty($_SESSION['user']['UserAdmin']) || $_SESSION['user']['UserLevel']==9))
	{}
else
	{
	foreach($CONFIG['CMM']['database']['cmm_cmm_users']['fieldset'] as $fieldKey => $fieldParams)
		{
		// Set field type to hidden
		if(in_array($fieldKey,array('UserStatus','UserUsergroupID','UserUsername','UserSubuser','UserAdmin','UserUsergroupID','UserLevel','UserModules','UserDirs','UserPages','UserSkin')))
			{ $CONFIG['CMM']['database']['cmm_cmm_users']['fieldset'][$fieldKey]['type'] = 'hidden'; }
		// Set field to readonly
		if(in_array($fieldKey,array('UserConfig')))
			{ $CONFIG['CMM']['database']['cmm_cmm_users']['fieldset'][$fieldKey]['attribs'] = array('readonly'=>'readonly'); }
		// Empty field value
		if(in_array($fieldKey,array('UserStatus','UserUsergroupID',/*'UserUsername','UserSubuser',*/'UserAdmin','UserUsergroupID','UserLevel','UserModules','UserDirs','UserPages'/*,'UserConfig'*/)))
			{ unset($CONFIG['CMM']['database']['cmm_cmm_users']['fieldset'][$fieldKey]['value']); }
		}
	}
// Security-Fix - Admin darf sich nicht selbst aussperren oder Status und Gruppe aendern
if(isset($_SESSION['user']['UserUID']) && isset($CURRENT['id']) && $_SESSION['user']['UserUID']==$CURRENT['id'])
	{
	$CONFIG['CMM']['database']['cmm_cmm_users']['fieldset']['UserStatus']['type'] = 'hidden';
	unset($CONFIG['CMM']['database']['cmm_cmm_users']['fieldset']['UserStatus']['value']);
	$CONFIG['CMM']['database']['cmm_cmm_users']['fieldset']['UserLevel']['type'] = 'hidden';
	unset($CONFIG['CMM']['database']['cmm_cmm_users']['fieldset']['UserLevel']['value']);
	$CONFIG['CMM']['database']['cmm_cmm_users']['fieldset']['UserAdmin']['type'] = 'hidden';
	unset($CONFIG['CMM']['database']['cmm_cmm_users']['fieldset']['UserAdmin']['value']);
	}

// Table config for Domains
$CONFIG['CMM']['database']['cmm_cmm_domains'] = array(
	'tabs' => array(0=>'Standard',1=>'Media',2=>'Sonstiges'),
	'tablename' => 'cmm_cmm_domains',
	'sort' => 'DomainUID DESC',
	'backup' => 1,
	'fieldprefix' => 'Domain',
	'fieldset' => array(
		'DomainUID' => array('label'=>'UID','type'=>'hidden','position'=>'top','tab'=>0,
			'sqldef'=>'int(10) NOT NULL'),
		'DomainPID' => array('label'=>'PID (ID des übergeordneten Datensatzes)','type'=>'hidden','position'=>'top','tab'=>0,
			'sqldef'=>'int(10) default \'0\''),
		'DomainTID' => array('label'=>'TID (ID des Datensatztyps)','type'=>'hidden','position'=>'top','tab'=>2,
			'sqldef'=>'int(3) default \'0\''),
		'DomainLID' => array('label'=>'LID (ID der Sprache)','type'=>'hidden','position'=>'top','tab'=>2,
			'sqldef'=>'int(3) default \'0\''),
		'DomainStatus' => array('label'=>'Status','type'=>'radio',
			'sqldef'=>'int(1) default \'0\'','position'=>'top','tab'=>0,
			'options'=>array(array('value'=>1,'text'=>'{LANG_CMM_ENABLED}'),array('value'=>'0','text'=>'{LANG_CMM_DISABLED}'))),
		'DomainDeleted' => array('label'=>'{LANG_CMM_FIELD_REMOVED}','type'=>'hidden','tab'=>3,
			'sqldef'=>'int(1) default \'0\''),
		'DomainSort' => array('label'=>'Sortierung','type'=>'hidden','position'=>'top','tab'=>0,
			'sqldef'=>'int(10) default \'0\''),
		'DomainName' => array('label'=>'Domain (ohne / am Ende)','type'=>'textfield','unique'=>1,'attribs'=>array('required'=>1,'maxlength'=>255),'position'=>'top','tab'=>0,
			'sqldef'=>'varchar(255) collate utf8_unicode_ci default \'0\''),
		'DomainDescription' => array('label'=>'Beschreibung','type'=>'textarea','attribs'=>array('rows'=>2),'position'=>'top','tab'=>0,
			'sqldef'=>'text collate utf8_unicode_ci'),
		'DomainConfig' => array('label'=>'weitere Einstellungen','type'=>'textfield',
			'sqldef'=>'text collate utf8_unicode_ci'),
		'DomainAddUser' => array('label'=>'Benutzer erstellt','type'=>'hidden','position'=>'bottom','tab'=>0,
			'sqldef'=>'varchar(32) collate utf8_unicode_ci default \'0\''),
		'DomainAddDate' => array('label'=>'Datum erstellt','type'=>'hidden','position'=>'bottom','tab'=>0,
			'sqldef'=>'datetime default \'0000-00-00 00:00:00\''),
		'DomainModUser' => array('label'=>'Benutzer geändert','type'=>'hidden','position'=>'bottom','tab'=>0,
			'sqldef'=>'varchar(32) collate utf8_unicode_ci default \'0\''),
		'DomainModDate' => array('label'=>'Datum geändert','type'=>'hidden','position'=>'bottom','tab'=>0,
			'sqldef'=>'datetime default \'0000-00-00 00:00:00\'')
		),
	'tableset' => array(
		'engine' => 'MyISAM',
		'primarykey' => 'UID',
		'charset' => 'utf8',
		'collation' => 'utf8_unicode_ci',
		'comment' => 'Domains'
		)
	);

// Table config for Sprachen
$CONFIG['CMM']['database']['cmm_cmm_languages'] = array(
	'tabs' => array(0=>'Standard',1=>'Media',2=>'Sonstiges'),
	'tablename' => 'cmm_cmm_languages',
	'sort' => 'LanguageUID DESC',
	'backup' => 1,
	'fieldprefix' => 'Language',
	'fieldset' => array(
		'LanguageUID' => array('label'=>'UID','type'=>'hidden','position'=>'top','tab'=>0,
			'sqldef'=>'int(10) NOT NULL'),
		'LanguagePID' => array('label'=>'PID (ID des übergeordneten Datensatzes)','type'=>'hidden','position'=>'top','tab'=>0,
			'sqldef'=>'int(10) default \'0\''),
		'LanguageTID' => array('label'=>'TID (ID des Datensatztyps)','type'=>'hidden','position'=>'top','tab'=>2,
			'sqldef'=>'int(3) default \'0\''),
		'LanguageLID' => array('label'=>'LID (ID der Sprache)','type'=>'hidden','position'=>'top','tab'=>2,
			'sqldef'=>'int(3) default \'0\''),
		'LanguageStatus' => array('label'=>'Status','type'=>'radio','position'=>'top','tab'=>0,
			'sqldef'=>'int(1) default \'0\'',
			'options'=>array(array('value'=>1,'text'=>'{LANG_CMM_ENABLED}'),array('value'=>'0','text'=>'{LANG_CMM_DISABLED}'))),
		'LanguageSort' => array('label'=>'Sortierung','type'=>'hidden','position'=>'top','tab'=>0,
			'sqldef'=>'int(10) default \'0\''),
		'LanguageDeleted' => array('label'=>'{LANG_CMM_FIELD_REMOVED}','type'=>'hidden','tab'=>3,
			'sqldef'=>'int(1) default \'0\''),
		'LanguageName' => array('label'=>'Name','type'=>'textfield','unique'=>1,'attribs'=>array('required'=>1,'maxlength'=>100),'position'=>'top','tab'=>0,
			'sqldef'=>'varchar(100) collate utf8_unicode_ci default NULL'),
		'LanguageCode' => array('label'=>'Sprach-Code','description'=>'ISO2-Code der Sprache, zum Laden der Sprachdateien','type'=>'textfield','attribs'=>array('required'=>1,'minlength'=>2,'maxlength'=>2),'position'=>'left','tab'=>0,
			'sqldef'=>'varchar(10) collate utf8_unicode_ci default NULL'),
		'LanguageLocale' => array('label'=>'Locale-Code','description'=>'Locale-Code der Sprache (z.B. de_DE), zur Ausgabe auf der Website<br>(und Anpassung der PHP locale-Einstellungen - in dieser Version nicht implementiert)','type'=>'textfield','attribs'=>array('required'=>1),'position'=>'right','tab'=>0,
			'sqldef'=>'varchar(10) collate utf8_unicode_ci default NULL'),
		'LanguageIcon' => array('label'=>'Icon','type'=>'imagelist','position'=>'top','number'=>1,'dir'=>'data/CMM/images/','tab'=>1,
			'sqldef'=>'text collate utf8_unicode_ci'),
		'LanguageConfig' => array('label'=>'weitere Einstellungen','type'=>'textfield','position'=>'bottom','tab'=>2,
			'sqldef'=>'text collate utf8_unicode_ci'),
		'LanguageDefault' => array('label'=>'Standardsprache','type'=>'hidden','top'=>'bottom','tab'=>0,
			'sqldef'=>'int(1) default \'0\''),
		'LanguageAddUser' => array('label'=>'Benutzer erstellt','type'=>'hidden','position'=>'bottom','tab'=>0,
			'sqldef'=>'varchar(32) collate utf8_unicode_ci default \'0\''),
		'LanguageAddDate' => array('label'=>'Datum erstellt','type'=>'hidden','position'=>'bottom','tab'=>0,
			'sqldef'=>'datetime default \'0000-00-00 00:00:00\''),
		'LanguageModUser' => array('label'=>'Benutzer geändert','type'=>'hidden','position'=>'bottom','tab'=>0,
			'sqldef'=>'varchar(32) collate utf8_unicode_ci default \'0\''),
		'LanguageModDate' => array('label'=>'Datum geändert','type'=>'hidden','position'=>'bottom','tab'=>0,
			'sqldef'=>'datetime default \'0000-00-00 00:00:00\'')
		),
	'tableset' => array(
		'engine' => 'MyISAM',
		'primarykey' => 'UID',
		'charset' => 'utf8',
		'collation' => 'utf8_unicode_ci',
		'comment' => 'Sprachen'
		)
	);


// Table config for Template-Tabelle
$CONFIG['CMM']['database']['cmm_cmm_templates'] = array(
	'tabs' => array(0=>'Standard',2=>'Sonstiges'),
	'tablename' => 'cmm_cmm_templates',
	'sort' => 'TemplateUID DESC',
	'backup' => 1,
	'fieldprefix' => 'Template',
	'fieldset' => array(
		'TemplateUID' => array('label'=>'UID','type'=>'hidden','position'=>'top','tab'=>0,
			'sqldef'=>'int(10) NOT NULL'),
		'TemplatePID' => array('label'=>'PID (ID des übergeordneten Datensatzes)','type'=>'hidden','position'=>'top','tab'=>0,
			'sqldef'=>'int(10) default \'0\''),
		'TemplateTID' => array('label'=>'TID (ID des Datensatztyps)','type'=>'hidden','position'=>'top','tab'=>2,
			'sqldef'=>'int(3) default \'0\''),
		'TemplateLID' => array('label'=>'LID (ID der Sprache)','type'=>'hidden','position'=>'top','tab'=>2,
			'sqldef'=>'int(3) default \'0\''),
		'TemplateStatus' => array('label'=>'Status','type'=>'radio','default'=>'1','position'=>'top','tab'=>2,
			'sqldef'=>'int(1) default \'0\'',
			'options'=>array(array('value'=>1,'text'=>'{LANG_CMM_ENABLED}'),array('value'=>'0','text'=>'{LANG_CMM_DISABLED}'))),
		'TemplateDeleted' => array('label'=>'{LANG_CMM_FIELD_REMOVED}','type'=>'hidden','tab'=>3,
			'sqldef'=>'int(1) default \'0\''),
		'TemplateSort' => array('label'=>'Sortierung','type'=>'hidden','position'=>'top','tab'=>0,
			'sqldef'=>'int(10) default \'0\''),
		'TemplateName' => array('label'=>'Name','type'=>'textfield','attribs'=>array('required'=>1,'maxlength'=>100),'position'=>'top','tab'=>0,
			'sqldef'=>'varchar(100) collate utf8_unicode_ci default NULL'),
		'TemplatePage' => array('label'=>'Seitenvorlage (Vererbung an Unterseiten)','description'=>'Wählen Sie hier eine Seitevorlage für diese Seite und deren Unterseiten aus.','type'=>'select','position'=>'top','tab'=>0,
			'sqldef'=>'varchar(255) collate utf8_unicode_ci default NULL',
			'function'=>array('module'=>'CMM','class'=>'CMM_CMM','function'=>'getTemplatePageTemplatesOptions')),
		'TemplatePageThis' => array('label'=>'Seitenvorlage (nur diese Seite - dominant)','description'=>'Wählen Sie hier eine Seitenvorlage nur für diese Seite aus. Diese Einstellung ist dominant.','type'=>'select','position'=>'top','tab'=>0,
			'sqldef'=>'varchar(255) collate utf8_unicode_ci default NULL',
			'function'=>array('module'=>'CMM','class'=>'CMM_CMM','function'=>'getTemplatePageTemplatesOptions')),
		'TemplateConfig' => array('label'=>'Template-Einstellungen (Vererbung an Unterseiten)','description'=>'Hier stehen Ihnen je nach Website-Template unterschiedliche Optionen zur Verfügung.<br>Um eine Option zu nutzen, müssen Sie diese mit der Checkbox aktivieren.<br>Sie können auch leere Werte speichern, u.B. die Standardeinstellung des Wertes zu löschen.','type'=>'templatevars','position'=>'top','tab'=>0,
			'sqldef'=>'text collate utf8_unicode_ci'),
		'TemplateAddUser' => array('label'=>'Benutzer erstellt','type'=>'hidden','position'=>'bottom','tab'=>0,
			'sqldef'=>'varchar(32) collate utf8_unicode_ci default \'0\''),
		'TemplateAddDate' => array('label'=>'Datum erstellt','type'=>'hidden','position'=>'bottom','tab'=>0,
			'sqldef'=>'datetime default \'0000-00-00 00:00:00\''),
		'TemplateModUser' => array('label'=>'Benutzer geändert','type'=>'hidden','position'=>'bottom','tab'=>0,
			'sqldef'=>'varchar(32) collate utf8_unicode_ci default \'0\''),
		'TemplateModDate' => array('label'=>'Datum geändert','type'=>'hidden','position'=>'bottom','tab'=>0,
			'sqldef'=>'datetime default \'0000-00-00 00:00:00\'')
		),
	'tableset' => array(
		'engine' => 'MyISAM',
		'primarykey' => 'UID',
		'charset' => 'utf8',
		'collation' => 'utf8_unicode_ci',
		'comment' => 'Templates'
		)
	);

// Table config for Konfiguration
$CONFIG['CMM']['database']['cmm_cmm_config'] = array(
	'tabs' => array(0=>'Standard',1=>'Media',2=>'Sonstiges'),
	'tablename' => 'cmm_cmm_config',
	'sort' => 'ConfigUID DESC',
	'backup' => 1,
	'fieldprefix' => 'Config',
	'fieldset' => array(
		'ConfigUID' => array('label'=>'UID','type'=>'hidden','position'=>'top','tab'=>0,
			'sqldef'=>'int(10) NOT NULL'),
		'ConfigPID' => array('label'=>'PID (ID des übergeordneten Datensatzes)','type'=>'hidden','position'=>'top','tab'=>0,
			'sqldef'=>'int(10) default \'0\''),
		'ConfigTID' => array('label'=>'TID (ID des Datensatztyps)','type'=>'hidden','position'=>'top','tab'=>2,
			'sqldef'=>'int(3) default \'0\''),
		'ConfigLID' => array('label'=>'LID (ID der Sprache)','type'=>'hidden','position'=>'top','tab'=>2,
			'sqldef'=>'int(3) default \'0\''),
		'ConfigStatus' => array('label'=>'Status','type'=>'radio','position'=>'top','tab'=>2,
			'sqldef'=>'int(1) default \'0\'',
			'options'=>array(array('value'=>1,'text'=>'{LANG_CMM_ENABLED}'),array('value'=>'0','text'=>'{LANG_CMM_DISABLED}'))),
		'ConfigSort' => array('label'=>'Sortierung','type'=>'hidden','position'=>'top','tab'=>2,
			'sqldef'=>'int(10) default \'0\''),
		'ConfigModule' => array('label'=>'Modul-Key','type'=>'textfield','attribs'=>array('required'=>1,'maxlength'=>100),'position'=>'top','tab'=>0,
			'sqldef'=>'varchar(100) collate utf8_unicode_ci default NULL'),
		'ConfigKey' => array('label'=>'Name','type'=>'textfield','attribs'=>array('required'=>1,'maxlength'=>100),'position'=>'top','tab'=>0,
			'sqldef'=>'varchar(100) collate utf8_unicode_ci default NULL'),
		'ConfigValue' => array('label'=>'Wert','type'=>'textfield','position'=>'bottom','tab'=>2,
			'sqldef'=>'text collate utf8_unicode_ci'),
		'ConfigAddUser' => array('label'=>'Benutzer erstellt','type'=>'hidden','position'=>'bottom','tab'=>0,
			'sqldef'=>'varchar(32) collate utf8_unicode_ci default \'0\''),
		'ConfigAddDate' => array('label'=>'Datum erstellt','type'=>'hidden','position'=>'bottom','tab'=>0,
			'sqldef'=>'datetime default \'0000-00-00 00:00:00\''),
		'ConfigModUser' => array('label'=>'Benutzer geändert','type'=>'hidden','position'=>'bottom','tab'=>0,
			'sqldef'=>'varchar(32) collate utf8_unicode_ci default \'0\''),
		'ConfigModDate' => array('label'=>'Datum geändert','type'=>'hidden','position'=>'bottom','tab'=>0,
			'sqldef'=>'datetime default \'0000-00-00 00:00:00\'')
		),
	'tableset' => array(
		'engine' => 'MyISAM',
		'primarykey' => 'UID',
		'charset' => 'utf8',
		'collation' => 'utf8_unicode_ci',
		'comment' => 'Konfiguration'
		)
	);

// Table config for Log
$CONFIG['CMM']['database']['cmm_cmm_log'] = array(
	'tabs' => array(0=>'Standard',1=>'Media',2=>'Sonstiges'),
	'tablename' => 'cmm_cmm_log',
	'sort' => 'LogUID DESC',
	'backup' => 0,
	'fieldprefix' => 'Log',
	'fieldset' => array(
		'LogUID' => array('label'=>'UID (ID)','type'=>'hidden','position'=>'top','tab'=>0,
			'sqldef'=>'int(10) NOT NULL'),
		'LogPID' => array('label'=>'PID (Seiten-ID)','type'=>'textfield','position'=>'right','tab'=>0,
			'sqldef'=>'int(10) default \'0\''),
		'LogTID' => array('label'=>'TID (Vorgangsart)','type'=>'hidden','position'=>'top','tab'=>0,
			'sqldef'=>'int(3) default \'0\''),
		'LogLID' => array('label'=>'LID (Sprache)','type'=>'hidden','position'=>'top','tab'=>2,
			'sqldef'=>'int(3) default \'0\''),
		'LogStatus' => array('label'=>'Status','type'=>'hidden','position'=>'top','tab'=>2,
			'sqldef'=>'int(1) default \'0\'','value'=>'1'),
		'LogSort' => array('label'=>'Sortierung','type'=>'hidden','position'=>'top','tab'=>2,
			'sqldef'=>'int(10) default \'0\''),
		'LogModule' => array('label'=>'Modul','type'=>'textfield','position'=>'left','tab'=>0,
			'sqldef'=>'varchar(100) collate utf8_unicode_ci default NULL'),
		'LogView' => array('label'=>'View','type'=>'textfield','position'=>'left','tab'=>0,
			'sqldef'=>'varchar(100) collate utf8_unicode_ci default NULL'),
		'LogAction' => array('label'=>'Aktion','type'=>'textfield','position'=>'left','tab'=>0,
			'sqldef'=>'varchar(255) collate utf8_unicode_ci default NULL'),
		'LogTable' => array('label'=>'DB-Tabelle','type'=>'textfield','position'=>'left','tab'=>0,
			'sqldef'=>'varchar(255) collate utf8_unicode_ci default NULL'),
		'LogRecord' => array('label'=>'DB-Datensatz','type'=>'textfield','position'=>'right','tab'=>0,
			'sqldef'=>'varchar(255) collate utf8_unicode_ci default NULL'),
		'LogDir' => array('label'=>'Verzeichnis','type'=>'textfield','position'=>'right','tab'=>0,
			'sqldef'=>'varchar(255) collate utf8_unicode_ci default NULL'),
		'LogFile' => array('label'=>'Datei','type'=>'textfield','position'=>'right','tab'=>0,
			'sqldef'=>'varchar(255) collate utf8_unicode_ci default NULL'),
		'LogInfo' => array('label'=>'Info','type'=>'textfield','position'=>'bottom','tab'=>0,
			'sqldef'=>'text collate utf8_unicode_ci'),
		'LogAddUser' => array('label'=>'Benutzer erstellt','type'=>'select','position'=>'bottom','tab'=>0,
			'sqldef'=>'varchar(32) collate utf8_unicode_ci default \'0\'',
			'select'=>array('module'=>'CMM','table'=>'cmm_cmm_users','keyfield'=>'UserUID','labelfield'=>'UserUsername,UserFirstname,UserLastname'),
			'join'=>array('module'=>'CMM','table'=>'cmm_cmm_users','keyfield'=>'UserUID')),
		'LogAddDate' => array('label'=>'Datum erstellt','type'=>'hidden','position'=>'bottom','tab'=>0,
			'sqldef'=>'datetime default \'0000-00-00 00:00:00\''),
		'LogModUser' => array('label'=>'Benutzer geändert','type'=>'hidden','position'=>'bottom','tab'=>0,
			'sqldef'=>'varchar(32) collate utf8_unicode_ci default \'0\''),
		'LogModDate' => array('label'=>'Datum geändert','type'=>'hidden','position'=>'bottom','tab'=>0,
			'sqldef'=>'datetime default \'0000-00-00 00:00:00\'')
		),
	'tableset' => array(
		'engine' => 'MyISAM',
		'primarykey' => 'UID',
		'charset' => 'utf8',
		'collation' => 'utf8_unicode_ci',
		'comment' => 'Log'
		)
	);

// Table config for Cache
$CONFIG['CMM']['database']['cmm_cmm_cache'] = array(
	'tabs' => array(0=>'Standard',2=>'Sonstiges'),
	'tablename' => 'cmm_cmm_cache',
	'sort' => 'CacheUID DESC',
	'backup' => 0,
	'fieldprefix' => 'Cache',
	'fieldset' => array(
		'CacheUID' => array('label'=>'UID','type'=>'hidden','position'=>'top','tab'=>0,
			'sqldef'=>'int(10) NOT NULL'),
		'CachePID' => array('label'=>'PID (ID des übergeordneten Datensatzes)','type'=>'hidden','position'=>'top','tab'=>0,
			'sqldef'=>'int(10) default \'0\''),
		'CacheTID' => array('label'=>'TID (ID des Datensatztyps)','type'=>'hidden','position'=>'top','tab'=>2,
			'sqldef'=>'int(3) default \'0\''),
		'CacheLID' => array('label'=>'LID (ID der Sprache)','type'=>'hidden','position'=>'top','tab'=>2,
			'sqldef'=>'int(3) default \'0\''),
		'CacheModule' => array('label'=>'Modul','type'=>'textfield','position'=>'bottom','tab'=>0,
			'sqldef'=>'varchar(255) collate utf8_unicode_ci default NULL'),
		'CacheHash' => array('label'=>'Template-Parameter','type'=>'textfield','position'=>'bottom','tab'=>0,
			'sqldef'=>'varchar(255) collate utf8_unicode_ci default NULL'),
		'CacheExpires' => array('label'=>'Gültig bis','type'=>'textfield','position'=>'bottom','tab'=>0,
			'sqldef'=>'varchar(16) collate utf8_unicode_ci default NULL'),
		'CacheContent' => array('label'=>'Cache-Inhalt','type'=>'textfield','datatype'=>'code','position'=>'bottom','tab'=>0,
			'sqldef'=>'mediumtext collate utf8_unicode_ci'),
		),
	'tableset' => array(
		'engine' => 'MyISAM',
		'primarykey' => 'UID',
		'charset' => 'utf8',
		'collation' => 'utf8_unicode_ci',
		'comment' => 'Cache'
		)
	);

/*
// Table config for Dateireferenzen
////////////  UNDER CONSTRUCTION - PLANED FEATURE  /////////////
$CONFIG['CMM']['database']['cmm_cmm_refs'] = array(
	'tabs' => array(0=>'Standard',2=>'Sonstiges'),
	'tablename' => 'cmm_cmm_refs',
	'sort' => 'RefUID DESC',
	'backup' => 1,
	'fieldprefix' => 'Ref',
	'fieldset' => array(
		'RefUID' => array('label'=>'UID','type'=>'hidden','position'=>'top','tab'=>0,
			'sqldef'=>'int(10) NOT NULL'),
		'RefPID' => array('label'=>'PID (ID des übergeordneten Datensatzes)','position'=>'top','tab'=>0,
			'sqldef'=>'int(10) default \'0\''),
		'RefTID' => array('label'=>'TID (ID des Datensatztyps)','type'=>'hidden','position'=>'top','tab'=>2,
			'sqldef'=>'int(3) default \'0\''),
		'RefLID' => array('label'=>'LID (ID der Sprache)','type'=>'hidden','position'=>'top','tab'=>2,
			'sqldef'=>'int(3) default \'0\''),
		'RefStatus' => array('label'=>'Status','type'=>'hidden','position'=>'top','tab'=>2,
			'sqldef'=>'int(1) default \'0\'','value'=>'1'),
		'RefSort' => array('label'=>'Sortierung','type'=>'hidden','position'=>'top','tab'=>2,
			'sqldef'=>'int(10) default \'0\''),
		'RefModule' => array('label'=>'Modul','type'=>'textfield','position'=>'bottom','tab'=>0,
			'sqldef'=>'varchar(255) collate utf8_unicode_ci default NULL'),
		'RefTable' => array('label'=>'DB-Tabelle','type'=>'textfield','position'=>'bottom','tab'=>0,
			'sqldef'=>'varchar(255) collate utf8_unicode_ci default NULL'),
		'RefRecord' => array('label'=>'DB-Datensatz','type'=>'textfield','attribs'=>array('rows'=>2),'position'=>'top','tab'=>0,
			'sqldef'=>'varchar(255) collate utf8_unicode_ci default NULL'),
		'RefFile' => array('label'=>'Datei (Pfad)','type'=>'textfield','position'=>'top','tab'=>0,
			'sqldef'=>'varchar(255) collate utf8_unicode_ci default NULL'),
		'RefAddUser' => array('label'=>'Benutzer erstellt','type'=>'hidden','position'=>'bottom','tab'=>0,
			'sqldef'=>'varchar(32) collate utf8_unicode_ci default \'0\''),
		'RefAddDate' => array('label'=>'Datum erstellt','type'=>'hidden','position'=>'bottom','tab'=>0,
			'sqldef'=>'datetime default \'0000-00-00 00:00:00\''),
		'RefModUser' => array('label'=>'Benutzer geändert','type'=>'hidden','position'=>'bottom','tab'=>0,
			'sqldef'=>'varchar(32) collate utf8_unicode_ci default \'0\''),
		'RefModDate' => array('label'=>'Datum geändert','type'=>'hidden','position'=>'bottom','tab'=>0,
			'sqldef'=>'datetime default \'0000-00-00 00:00:00\'')
		),
	'tableset' => array(
		'engine' => 'MyISAM',
		'primarykey' => 'UID',
		'charset' => 'utf8',
		'collation' => 'utf8_unicode_ci',
		'comment' => 'Datei-Datensatz-Referenzen'
		)
	);
*/

////////////////////////////////////////////////////////////////////
// Sortier-Variablen (Administration)                             //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM']['sortVars'] = array();
$CONFIG['CMM']['sortVars']['cmm_cmm_pages'] = array('PageUID','PageSort','PageStatus_lbc:Status','PageTitle_lbc:Titel','PageAddDate','PageModDate');
$CONFIG['CMM']['sortVars']['cmm_cmm_forms'] = array('FormUID','FormSort','FormStatus','FormTitle','FormAddDate','FormModDate');
$CONFIG['CMM']['sortVars']['cmm_cmm_customergroups'] = array('CustomergroupUID','CustomergroupSort','CustomergroupStatus','CustomergroupName','CustomergroupAddDate','CustomergroupModDate');
$CONFIG['CMM']['sortVars']['cmm_cmm_customers'] = array('CustomerUID','CustomerSort','CustomerStatus','CustomerFirstname','CustomerLastname','CustomerAddDate','CustomerModDate');
$CONFIG['CMM']['sortVars']['cmm_cmm_usergroups'] = array('UsergroupUID','UsergroupSort','UsergroupStatus','UsergroupName','UsergroupAddDate','UsergroupModDate');
$CONFIG['CMM']['sortVars']['cmm_cmm_users'] = array('UserUID','UserSort','UserStatus','UserUsername','UserFirstname','UserLastname','UserAddDate','UserModDate');
$CONFIG['CMM']['sortVars']['cmm_cmm_domains'] = array('DomainUID','DomainSort','DomainStatus','DomainName','DomainAddDate','DomainModDate');
$CONFIG['CMM']['sortVars']['cmm_cmm_languages'] = array('LanguageUID','LanguageSort','LanguageStatus','LanguageName','LanguageAddDate','LanguageModDate');
$CONFIG['CMM']['sortVars']['cmm_cmm_config'] = array();
$CONFIG['CMM']['sortVars']['cmm_cmm_license'] = array();
$CONFIG['CMM']['sortVars']['cmm_cmm_templates'] = array('TemplateUID','TemplateSort','TemplateStatus','TemplateAddDate','TemplateModDate');
$CONFIG['CMM']['sortVars']['cmm_cmm_log'] = array('LogUID','LogAction','LogPID','LogModule','LogAddUser','LogAddDate');
//$CONFIG['CMM']['sortVars']['cmm_cmm_refs'] = array('RefUID','RefModule','RefAddDate');


////////////////////////////////////////////////////////////////////
// Filter-Variablen (Administration)                             //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM']['filterVars'] = array();
$CONFIG['CMM']['filterVars']['cmm_cmm_pages'] = array_keys($CONFIG['CMM']['database']['cmm_cmm_pages']['fieldset']);
$CONFIG['CMM']['filterVars']['cmm_cmm_forms'] = array_keys($CONFIG['CMM']['database']['cmm_cmm_forms']['fieldset']);
$CONFIG['CMM']['filterVars']['cmm_cmm_customergroups'] = array_keys($CONFIG['CMM']['database']['cmm_cmm_customergroups']['fieldset']);
$CONFIG['CMM']['filterVars']['cmm_cmm_customers'] = array_keys($CONFIG['CMM']['database']['cmm_cmm_customers']['fieldset']);
$CONFIG['CMM']['filterVars']['cmm_cmm_usergroups'] = array_keys($CONFIG['CMM']['database']['cmm_cmm_usergroups']['fieldset']);
$CONFIG['CMM']['filterVars']['cmm_cmm_users'] = array_keys($CONFIG['CMM']['database']['cmm_cmm_users']['fieldset']);
$CONFIG['CMM']['filterVars']['cmm_cmm_domains'] = array_keys($CONFIG['CMM']['database']['cmm_cmm_domains']['fieldset']);
$CONFIG['CMM']['filterVars']['cmm_cmm_languages'] = array_keys($CONFIG['CMM']['database']['cmm_cmm_languages']['fieldset']);
$CONFIG['CMM']['filterVars']['cmm_cmm_config'] = array();
$CONFIG['CMM']['filterVars']['cmm_cmm_license'] = array();
$CONFIG['CMM']['filterVars']['cmm_cmm_templates'] = array_keys($CONFIG['CMM']['database']['cmm_cmm_templates']['fieldset']);
$CONFIG['CMM']['filterVars']['cmm_cmm_log'] = array_keys($CONFIG['CMM']['database']['cmm_cmm_log']['fieldset']);
//$CONFIG['CMM']['filterVars']['cmm_cmm_refs'] = array_keys($CONFIG['CMM']['database']['cmm_cmm_refs']['fieldset']);

?>