/* CMM - Script-Calls */
////////////////////////////////////////////////////////////////
// V 1.0 First relaese
// V 1.0.1 Image-Caroussel added
// V 1.0.2 Scroll to content added
// V 1.0.3 Added form-submit action
// V 1.0.4 Added scrolling to accordion
// V 1.1.0 Mod. send and validate forms
// V 1.1.1 Lightbox-Contents added
// V 1.1.2 Mod Browser-detection
// V 1.1.3 Added viewport detection and cookie
// V 1.1.4 Sanitize input types added
// V 1.1.5 Added box-foot-positioning
// V 1.1.6 Semo mods to get bxSlider references
// V 1.1.7 CMM_equalizeContentBlockHeight()-calls mod.
// V 1.1.7 Browser-detection mod.
// V 1.1.8 CMM3-form-submit mod.
// V 1.3.0 Changed some plugins and plugin calls
// V 1.3.1 Outsourced many plugin-calls to CMM_Contents.js
////////////////////////////////////////////////////////////////


// BEGIN CMM
$(document).ready(function()
	{
	// Detect browser
	var browserClass = CMM_getBrowser();
	$("HTML").addClass(browserClass);


	// Check touch
	var touchClass = CMM_isTouch()==true ? 'is-touch' : 'is-no-touch';
	$('BODY').addClass(touchClass);


	// Check mobile
	var mobileClass = CMM_isMobile()==true ? 'is-mobile' : 'is-no-mobile';
	$('BODY').addClass(mobileClass);


	// Set cookie with current viewport-res for the server
	CMM_setViewportCookie();


	// Replace mail-at
	$('.iconMailAt').each(function() {
		$(this).html('@');
		});


	// Validate CMM3 form-fields (call validate function) for input types int, integer, float, price, phone
	var fieldTimeout = null;
	$('FORM.CMM_formValidate INPUT').on('keyup.CMM_form',function(evt) {
		// Do not check if key is enter, cursor left or cursor right
		if(evt.keyCode == 13 || evt.keyCode == 37 || evt.keyCode == 39)
			{ return true; }
		// Check field
		var currentInput = $(this);
		if(fieldTimeout != null) clearTimeout(fieldTimeout);
		fieldTimeout = setTimeout(CMM_formValidateField(currentInput),333);
		});
	$(document).ajaxComplete(function(event, xhr, settings) {
	  window.setTimeout(function() {
		$('FORM.CMM_formValidate INPUT').off('keyup.CMM_form').on('keyup.CMM_form',function(evt) {
			// Do not check if key is enter, cursor left or cursor right
			if(evt.keyCode == 13 || evt.keyCode == 37 || evt.keyCode == 39)
				{ return true; }
			// Check field
			var currentInput = $(this);
			if(fieldTimeout != null) clearTimeout(fieldTimeout);
			fieldTimeout = setTimeout(CMM_formValidateField(currentInput),333);
			});
		  }, 1500);
		});


	// Send CMM3 forms
	$('FORM.CMM_formValidate, FORM.CMM_formAjax').on('submit.CMM_form',function(evt){
		CMM_formSubmit(evt,$(this));
		});
	$(document).ajaxComplete(function(event, xhr, settings) {
	  window.setTimeout(function() {
		$('FORM.CMM_formValidate, FORM.CMM_formAjax').off('submit.CMM_form').on('submit.CMM_form',function(evt){
			CMM_formSubmit(evt,$(this));
			});
		  }, 1500);
		});


	// Remove error-class from input-fields on click or focus
	$('INPUT,SELECT,TEXTAREA','.CMM_formField').on('click.CMM_form change.CMM_form focus.CMM_form',function() {
		$(this).closest('.CMM_formField').removeClass('CMM_formFieldError');
		});
	$(document).ajaxComplete(function(event, xhr, settings) {
	  window.setTimeout(function() {
		$('INPUT,SELECT,TEXTAREA','.CMM_formField').off('click.CMM_form change.CMM_form focus.CMM_form').on('click.CMM_form change.CMM_form focus.CMM_form',function() {
			$(this).closest('.CMM_formField').removeClass('CMM_formFieldError');
			});
		  }, 1500);
		});


	// Lightbox
	if(jQuery().colorbox)
		{
		$('A.lightbox').each(function(index,element) {
			// Set default params
			var defaultParams = {
				rel: function() { return $(this).data('group'); },
				maxWidth: '95%',
				maxHeight:'95%', previous:'&#xf053;',
				next: '&#xf054;',
				close: '&#xf00d;',
				current: '',
				slideshow: true,
				slideshowAuto: false,
				slideshowStart:'&#xf04b;',
				slideshowStop:'&#xf04c;'
				};
			$(this).colorbox(defaultParams);
			});

		$(document).ajaxComplete(function(event, xhr, settings) {
			$('A.lightbox').colorbox({rel:function() { return $(this).data('group'); }, maxWidth:'95%', maxHeight:'95%',previous:'&#xf053;' ,next:'&#xf054;' ,close:'&#xf00d;', current:'', slideshow:true, slideshowAuto:false, slideshowStart:'&#xf04b;' , slideshowStop:'&#xf04c;'});
			});
		}


	// Datepicker
	if(jQuery().Zebra_DatePicker)
		{
		$('INPUT.date, INPUT.datetimeDate').each(function(index,element) {
			// Set default params
			var defaultParams = {
				format: 'd.m.Y',
				zero_pad: true,
				days: ["Sonntag","Montag","Dienstag","Mittwoch","Donnerstag","Freitag","Samstag"],
				months: ["Januar","Februar","März","April","Mai","Juni","Juli","August","September","Oktober","November","Dezember"],
				lang_clear_date: "Löschen",
				show_select_today: "Heute",
				open_icon_only: true,
				readonly_element: false
				};
			$(this).Zebra_DatePicker(defaultParams);
			});
		}


	// Video-Player
	if(jQuery().mediaelementplayer)
		{
		$('.CMM_video VIDEO').each(function(index,element) {
			// Set default params
			var defaultParams = {
				alwaysShowControls: false,
				features: ['playpause','progress','current','duration','volume','fullscreen'],
				audioVolume: 'vertical',
				pluginPath: 'CMM/template/js/',
				flashName: 'flashmediaelement.swf',
				silverlightName: 'silverlightmediaelement.xap'
				};
			$(this).mediaelementplayer(defaultParams);
			});
		}


	// Audio-Player
	if(jQuery().mediaelementplayer)
		{
		$('.CMM_audio AUDIO').each(function(index,element) {
			// Set default params
			var defaultParams = {
				alwaysShowControls: true,
				features: ['playpause','progress','current','duration','volume'],
				audioVolume: 'horizontal',
				audioWidth: '100%'
				};
			$(this).mediaelementplayer(defaultParams);
			});
		}


	// Top-Links
	$('#linkTop A,.CMM_topLink A').on('click',function(){
		$('html, body').animate({scrollTop: '0px'}, 600);
		return false;
		});


	// Scroll-link - scroll to element (anchor = element id)
	$('A.scrollTo').each(function() {
		// Nur, wenn nicht bereits ein click-event gesetzt ist und nicht Tab-Navi
		var contentLink = $(this).attr('href');
		var contentLinkHash = contentLink.substring(contentLink.indexOf("#")+1);
		// If target element exists
		if($("#"+contentLinkHash).length > 0)
			{
			$(this).on('click',function(e) {
				e.preventDefault();
				// Set default scroll top-margin (if not set in global.js)
				if(typeof contentScrollTopMargin === 'undefined')
					{ contentScrollTopMargin = 70; }

				// Calc scroll speed (depends on sroll-distance and time)
				scrollDistance = Math.abs($(this).offset().top - $("#"+contentLinkHash).offset().top);
				scrollTime = Math.round(Math.log(scrollDistance / 2) * 100);

				// Scroll to item
				$('html,body').delay(100).animate({scrollTop: $("#"+contentLinkHash).offset().top - contentScrollTopMargin}, scrollTime);
				});
			}
		});


	// Sitemap
	if(jQuery().cmm3tree)
		{
		$(".CMM_sitemap").each(function() {
			// Set default params
			var defaultParams = {
				classContainer: 'CMM_sitemap',
				classToggle: 'treeToggle',
				classItem: 'treeItem',
				classItemWithSub: 'treeItemWithSub',
				classSub: 'treeSub',
				classSelected: 'act'
				};
			// Get and merge user-params
		//	var currentConfig = $(this).closest('.CMM_Contents_contentBlock').data('config');
		//	var currentParams = CMM_configStringToObject(currentConfig);
		//	defaultParams = $.extend(defaultParams,currentParams);
			// Call plugin
			$(this).cmm3tree(defaultParams);
			});
		}


	// List type
	if($('.CMM_listtypebar').length)
		{ $('.CMM_listtypebar').each(function() {
			CMM_changeListType($(this));
			});
		}


	// nur wenn nicht Druckansicht
	if(!$('.pagePrint').length)
		{
		// Table pagination
		$('.CMM_tablePagination').each(function() {
			CMM_paginateTable($(this));
			});
		}

	}); 
// END CMM