/*************************************************************
* jQuery cookiePar plugin V 1.0.0
* This is a jQuery-based cookie-infobar
* using a html container to show a cookie-policy-info
* Copyright (c) 2016 Nicolas Berg GRAFIX21
* http://www.grafix21.de
*
* Licensed under the GNU General Public License: 
* http://www.gnu.org/licenses/gpl.html
**************************************************************/

(function($)
	{
    $.fn.cmm3cookiebar = function(options)
		{
		// Combine default options with current options
		var opts = $.extend( {}, $.fn.cmm3cookiebar.defaults, options );
		var container;
		var closeButton;

		////////////////////////////////////////

		// Init cookiebar
        function initCookiebar() {
			// If cookiebar is present
			if($(opts.container).length > 0 && $(opts.closeButton).length > 0)
				{
				container = $(opts.container);
				closeButton = $(opts.closeButton);
				
				// If no cookiebar cookie is set -> show cookiebar
				if(getCookie('cookiebar') == null) {
					setCookie('cookiebar',1);
					showCookiebar();
				}
				// If cookiebar is not confirmed -> show cookiebar
				else if(getCookie('cookiebar')==1) {
					if(container.is(":hidden"))
						{ showCookiebar(); }
				}
				// If cookiebar is confirmed -> hide cookiebar
				else if(getCookie('cookiebar')==2) {
					if(container.is(":visible"))
						{ hideCookiebar(); }
				}
			}
		}

		////////////////////////////////////////

		// Set cookie
        function setCookie(key, value) {
            var expires = new Date();
            expires.setTime(expires.getTime() + (opts.cookieLifetime * 24 * 60 * 60 * 1000));
            document.cookie = key + '=' + value + ';expires=' + expires.toUTCString() + ';path=/';
        	}

		////////////////////////////////////////

		// Get cookie if set
        function getCookie(key) {
            var keyValue = document.cookie.match('(^|;) ?' + key + '=([^;]*)(;|$)');
            return keyValue ? keyValue[2] : null;
        	}

		////////////////////////////////////////

		// Show cookiebar
        function showCookiebar() {
			// Show cookiebar
			setTimeout(function(){ container.slideDown(500); },500)
			// Add close function to button
			closeButton.on('click',function(e) {
				// Stop default action - if close button is an a-tag
				e.preventDefault();
				// Set status-cookie
				setCookie('cookiebar',2);
				// Hide cookiebar
				hideCookiebar();
				});
			}

		////////////////////////////////////////

		// Hide cookiebar
        function hideCookiebar() {
			// Switch between the close effects
			if(opts.closeType == 'fade')
				{ container.fadeOut(opts.closeSpeed); }
			else
				{ container.slideUp(opts.closeSpeed); }
			}

		////////////////////////////////////////

		// Render sidebar, if not empty
		if(this.html() != null)
			{ initCookiebar(); }

		}

		////////////////////////////////////////

	// Plugin defaults
	$.fn.cmm3cookiebar.defaults = {
		// These are the defaults
		container: '#cookiebar', // ID of the cookiebar container
		closeButton: '#cookiebarClose', // ID of the close-button
		closeSpeed: 500, // Speed to close whole cookiebar
		closeType: 'slide', // Type of closing-animation (slide/fade)
		cookieLifetime: 90, // Cookie-lifetime (days)
		};

}(jQuery));
