<?PHP
/***************************************************************
*  Copyright notice
*
*  (c) 2009-2017 Nicolas Berg
*  All rights reserved
*
*  This script is part of the CMM3 Content-Management-System.
*  CMM3 is provided only under a commercial license until now.
*  Maybe we will add a free license in future.
*
*  This script is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
*
*  This copyright notice MUST APPEAR in all copies of the script!
***************************************************************/

////////////////////////////////////////////////////////////////////
// Modul-Einstellungen                                            //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Accomm'] = array();
// Modulpraefix
$CONFIG['CMM_Accomm']['key'] = 'CMM_Accomm';
// Modulname
$CONFIG['CMM_Accomm']['label'] = '{LANG_CMM_ACCOMM}';
// Modulbeschreibung
$CONFIG['CMM_Accomm']['description'] = '{LANG_CMM_ACCOMM_DESC}';
// Module-languages
$CONFIG['CMM_Accomm']['languages'] = 'at,de,ch,en';
// Modulicon
$CONFIG['CMM_Accomm']['icon'] = 'CMM_Accomm.svg';
// Modulversion
$CONFIG['CMM_Accomm']['version'] = '0.7.4';
// Dependencies
$CONFIG['CMM_Accomm']['depend'] = 'CMM:6.0';


////////////////////////////////////////////////////////////////////
// Set includes for administration                                //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Accomm']['BE'] = array();
$CONFIG['CMM_Accomm']['BE']['include'] = array();
// PHP
$CONFIG['CMM_Accomm']['BE']['include']['PHP'] = array('CMM_Accomm/structure.php');
// CSS
$CONFIG['CMM_Accomm']['BE']['include']['CSS'] = array();
// JS
$CONFIG['CMM_Accomm']['BE']['include']['JS'] = array();


////////////////////////////////////////////////////////////////////
// Set includes for website                                       //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Accomm']['FE'] = array();
$CONFIG['CMM_Accomm']['FE']['include'] = array();
// PHP - starting at CMM_ROOT_DIR
$CONFIG['CMM_Accomm']['FE']['include']['PHP'] = array();
// CSS - starting at CMM_ROOT_DIR
$CONFIG['CMM_Accomm']['FE']['include']['CSS'] = array('CMM_Accomm/template/css/CMM_Accomm.css');
// JS - starting at CMM_ROOT_DIR
$CONFIG['CMM_Accomm']['FE']['include']['JS'] = array();


////////////////////////////////////////////////////////////////////
// Datenverzeichnisse erstellen                                   //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Accomm']['dirs'] = array(
	'data/CMM_Accomm/backup/',
	'data/CMM_Accomm/images/',
	'data/CMM_Accomm/videos/',
	'data/CMM_Accomm/audios/',
	'data/CMM_Accomm/files/'
	);


////////////////////////////////////////////////////////////////////
// Plugins                                                        //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Accomm']['plugins'] = array(
	'CMM_Accomm_list.php',
	'CMM_Accomm_short.php',
	'CMM_Accomm_detail.php',
	'CMM_Accomm_list_xml.php',
	'CMM_Accomm_navi.php',
	'CMM_Accomm_filter.php'
	);


////////////////////////////////////////////////////////////////////
// Weitere Einstellungen                                          //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Accomm']['config'] = array();

// Einfacher Modus - ohne Auswahl der Speicherseite
$CONFIG['CMM_Accomm']['config']['simpleMode'] = 0;
// Anzeige der Detailansichten zaehlen?
$CONFIG['CMM_Accomm']['config']['countImpressions'] = 1;

// Meta-Felder
$CONFIG['CMM_Accomm']['config']['metaTitleFields'] = array('AccommItemTitle');
$CONFIG['CMM_Accomm']['config']['metaKeywordsFields'] = array('AccommItemTitle','AccommItemSubtitle','AccommItemShorttext','AccommItemText');
$CONFIG['CMM_Accomm']['config']['metaDescriptionFields'] = array('AccommItemSubtitle','AccommItemShorttext','AccommItemText');

// Sterne
$CONFIG['CMM_Accomm']['config']['stars'] = array(
	0 => '0',
	1 => '1',
	2 => '2',
	3 => '3',
	4 => '4',
	5 => '5'
	);

// Ausstatung
$CONFIG['CMM_Accomm']['config']['equipment'] = array(
	//'GR1' => 'OPTGROUP:',
	'WCW' => '<img src="../CMM_Accomm/template/icons/icon-WCW.svg" title="{LANG_CMM_ACCOMM_EQ_WCW}">',
	'WCD' => '<img src="../CMM_Accomm/template/icons/icon-WCD.svg" title="{LANG_CMM_ACCOMM_EQ_WCD}">',
	'WCO' => '<img src="../CMM_Accomm/template/icons/icon-WCO.svg" title="{LANG_CMM_ACCOMM_EQ_WCO}">',
	'GR2' => 'OPTGROUP:Media',
	'TVS' => '<img src="../CMM_Accomm/template/icons/icon-TVS.svg" title="{LANG_CMM_ACCOMM_EQ_TVS}">',
	'RAD' => '<img src="../CMM_Accomm/template/icons/icon-RAD.svg" title="{LANG_CMM_ACCOMM_EQ_RAD}">',
	'TEL' => '<img src="../CMM_Accomm/template/icons/icon-TEL.svg" title="{LANG_CMM_ACCOMM_EQ_TEL}">',
	'WLN' => '<img src="../CMM_Accomm/template/icons/icon-WLN.svg" title="{LANG_CMM_ACCOMM_EQ_WLN}">',
	'GR3' => 'OPTGROUP:Verpflegung',
	'KUE' => '<img src="../CMM_Accomm/template/icons/icon-KUE.svg" title="{LANG_CMM_ACCOMM_EQ_KUE}">',
	'RES' => '<img src="../CMM_Accomm/template/icons/icon-RES.svg" title="{LANG_CMM_ACCOMM_EQ_RES}">',
	'CAF' => '<img src="../CMM_Accomm/template/icons/icon-CAF.svg" title="{LANG_CMM_ACCOMM_EQ_CAF}">',
	'BAR' => '<img src="../CMM_Accomm/template/icons/icon-BAR.svg" title="{LANG_CMM_ACCOMM_EQ_BAR}">',
	'GR4' => 'OPTGROUP:Comfort &amp; Sicherheit',
	'SAF' => '<img src="../CMM_Accomm/template/icons/icon-SAF.svg" title="{LANG_CMM_ACCOMM_EQ_SAF}">',
	'LIF' => '<img src="../CMM_Accomm/template/icons/icon-LIF.svg" title="{LANG_CMM_ACCOMM_EQ_LIF}">',
	'CCA' => '<img src="../CMM_Accomm/template/icons/icon-CCA.svg" title="{LANG_CMM_ACCOMM_EQ_CCA}">',
	'GR5' => 'OPTGROUP:Freizeit',
	'TER' => '<img src="../CMM_Accomm/template/icons/icon-TER.svg" title="{LANG_CMM_ACCOMM_EQ_TER}">',
	'GAR' => '<img src="../CMM_Accomm/template/icons/icon-GAR.svg" title="{LANG_CMM_ACCOMM_EQ_GAR}">',
	'SUN' => '<img src="../CMM_Accomm/template/icons/icon-SUN.svg" title="{LANG_CMM_ACCOMM_EQ_SUN}">',
	'BAF' => '<img src="../CMM_Accomm/template/icons/icon-BAF.svg" title="{LANG_CMM_ACCOMM_EQ_BAF}">',
	'BAH' => '<img src="../CMM_Accomm/template/icons/icon-BAH.svg" title="{LANG_CMM_ACCOMM_EQ_BAH}">',
	'SAU' => '<img src="../CMM_Accomm/template/icons/icon-SAU.svg" title="{LANG_CMM_ACCOMM_EQ_SAU}">',
	'GR6' => 'OPTGROUP:Zielgruppen',
	'FKI' => '<img src="../CMM_Accomm/template/icons/icon-FKI.svg" title="{LANG_CMM_ACCOMM_EQ_FKI}">',
	'FRE' => '<img src="../CMM_Accomm/template/icons/icon-FRE.svg" title="{LANG_CMM_ACCOMM_EQ_FRE}">',
	'HTE' => '<img src="../CMM_Accomm/template/icons/icon-HTE.svg" title="{LANG_CMM_ACCOMM_EQ_HTE}">',
	'HTN' => '<img src="../CMM_Accomm/template/icons/icon-HTN.svg" title="{LANG_CMM_ACCOMM_EQ_HTN}">',
	'HTA' => '<img src="../CMM_Accomm/template/icons/icon-HTA.svg" title="{LANG_CMM_ACCOMM_EQ_HTA}">',
	'NIR' => '<img src="../CMM_Accomm/template/icons/icon-NIR.svg" title="{LANG_CMM_ACCOMM_EQ_NIR}">',
	'RAU' => '<img src="../CMM_Accomm/template/icons/icon-RAU.svg" title="{LANG_CMM_ACCOMM_EQ_RAU}">',
	'GR7' => 'OPTGROUP:Auto',
	'PPL' => '<img src="../CMM_Accomm/template/icons/icon-PPL.svg" title="{LANG_CMM_ACCOMM_EQ_PPL}">',
	'PHA' => '<img src="../CMM_Accomm/template/icons/icon-PHA.svg" title="{LANG_CMM_ACCOMM_EQ_PHA}">'
	);

// Ausstatung
$CONFIG['CMM_Accomm']['config']['disability'] = array(
	'BFJ' => '<img src="../CMM_Accomm/template/icons/icon-BFJ.svg" title="{LANG_CMM_ACCOMM_DISBAILITY_BFJ}">',
	'BFN' => '<img src="../CMM_Accomm/template/icons/icon-BFN.svg" title="{LANG_CMM_ACCOMM_DISBAILITY_BFN}">'
	);

// Bundeslaender
$CONFIG['CMM_Accomm']['config']['counties'] = array(
	'BW' => 'Baden-Württemberg',
	'BY' => 'Bayern',
	'BE' => 'Berlin',
	'BB' => 'Brandenburg',
	'HB' => 'Bremen',
	'HH' => 'Hamburg',
	'HE' => 'Hessen',
	'MV' => 'Mecklenburg-Vorpommern',
	'NI' => 'Niedersachsen',
	'NW' => 'Nordrhein-Westfalen',
	'RP' => 'Rheinland-Pfalz',
	'SL' => 'Saarland',
	'SN' => 'Sachsen',
	'ST' => 'Sachsen-Anhalt',
	'SH' => 'Schleswig-Holstein',
	'TH' => 'Thüringen');

// Backup-Ansicht aktivieren
$CONFIG['CMM_Accomm']['config']['enableBackup'] = 0;


////////////////////////////////////////////////////////////////////
// Felddefinitionen fuer Config                                   //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Accomm']['configFields'] = array(
	'simpleMode' => array('label'=>'Einfacher Modus ohne Seitenbaum','type'=>'radio','options'=>array(array('value'=>'0','text'=>'{LANG_CMM_NO}'),array('value'=>'1','text'=>'{LANG_CMM_YES}')),'position'=>'left'),
	'countImpressions' => array('label'=>'Detailanzeige der Einträge zählen','type'=>'radio','options'=>array(array('value'=>'0','text'=>'{LANG_CMM_NO}'),array('value'=>'1','text'=>'{LANG_CMM_YES}')),'position'=>'left'),
	'enableBackup' => array('label'=>'Backup aktivieren','type'=>'radio','options'=>array(array('value'=>'0','text'=>'{LANG_CMM_NO}'),array('value'=>'1','text'=>'{LANG_CMM_YES}')),'position'=>'left')
	);


////////////////////////////////////////////////////////////////////
// Einstellungen fuer Suche                                       //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Accomm']['config']['search'] = array(
	'label' => '{LANG_CMM_ACCOMM_LABEL}',
	'resultPIDparams' => ($CONFIG['CMM']['config']['seoUseSeoUrls']==true ? '/{$AccommItemTitle|validatealias}.{$AccommItemUID}' : '?CMM_Accomm[AccommItemUID]={$AccommItemUID}'),
	'resultPIDfilter' => '',
	'tablename' => 'cmm_accomm_items',
	'fieldprefix' => 'AccommItem',
	'join' => array('cmm_accomm_categories|AccommCategoryUID=AccommItemTID'), // Join-Table|Join-Table-Field=Table-Field|[Join-Table-Field=Value]
	'filter' => array(), // Zusatzfilter
	'titleFields' => array('AccommItemTitle'),
	'textFields' => array('AccommItemSubtitle','AccommItemShorttext','AccommItemText'),
	'searchFields' => array('AccommItemTitle','AccommItemSubtitle','AccommItemShorttext','AccommItemText'),
	'extraFields' => array('AccommItemTitle'),
	'deletedField' => 'AccommItemDeleted'
	);

?>