<?PHP
/***************************************************************
*  Copyright notice
*
*  (c) 2009-2017 Nicolas Berg
*  All rights reserved
*
*  This script is part of the CMM3 Content-Management-System.
*  CMM3 is provided only under a commercial license until now.
*  Maybe we will add a free license in future.
*
*  This script is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
*
*  This copyright notice MUST APPEAR in all copies of the script!
***************************************************************/

///////////////////////////////////////////////////////////
// Plugin fuer Accomm-Liste                                //
///////////////////////////////////////////////////////////
// V 1.0 First release
// V 1.0.1 Added global var googleMapsApi for api inclusion
///////////////////////////////////////////////////////////
include_once(CMM_ROOT_DIR.'CMM_Accomm/index.php');

/* PARAMS START - Marker-Comments required! */
$params = array(
	'templateFile'=>'CMM_Accomm/template/html/CMM_Accomm_GoogleMap.html',
	'dataPID'=>'',
	'detailPID'=>'',
	'UID'=>'',
	'UIDinPageAlias'=>1,
	'CID'=>'{$_REQUEST["CMM_Accomm"]["AccommItemCID"]}',
	'CIDinPageAlias'=>1,
	'limit'=>'{$_REQUEST["CMM_Accomm"]["limit"]}',
	'filter'=>'{$_REQUEST["CMM_Accomm"]["filter"]}',
	'fulltext'=>'{$_REQUEST["CMM_Accomm"]["fulltext"]}',
	'sortDefault'=>'AccommItemTitle ASC',
	'sort'=>'{$_REQUEST["CMM_Accomm"]["sort"]}',
	'start'=>'{$_REQUEST["CMM_Accomm"]["start"]}',
	'width'=>'100%',
	'height'=>'350',
	'zoom'=>'10',
	'maxZoom'=>'',
	'maptype'=>'ROADMAP',
	'monochrome'=>'0',
	'hue'=>'',
	'scrollwheel'=>'1',
	'cacheTimeout'=>86400
	);
/* PARAMS END */

/* FIELDSET START - Marker-Comments required! */
$fieldset = array(
	'templateFile' => array('label'=>'HTML-Vorlagen-Datei','type'=>'textfield','datatype'=>'text','position'=>'bottom','shy'=>1),
	'dataPID' => array('label'=>'Seite: Datensätze (PID)','type'=>'linkfield','position'=>'left'),
	'detailPID' => array('label'=>'Seite: Detail-Anzeige (PID)','type'=>'linkfield','position'=>'left','shy'=>1),
	'UID' => array('label'=>'Eintrag: nur diesen anzeigen (UID)','type'=>'textfield','datatype'=>'text','position'=>'left','shy'=>1),
	'UIDinPageAlias' => array('label'=>'Eintrag: UID aus SEO-URL ermitteln','type'=>'radio','options'=>array(array('value'=>'0','text'=>'{LANG_CMM_NO}'),array('value'=>'1','text'=>'{LANG_CMM_YES}')),'position'=>'left','shy'=>1),
	'CID' => array('label'=>'Kategorie: nur diese anzeigen (CID)','type'=>'textfield','datatype'=>'text','position'=>'left','shy'=>1),
	'CIDinPageAlias' => array('label'=>'Kategorie: CID aus SEO-URL ermitteln','type'=>'radio','options'=>array(array('value'=>'0','text'=>'{LANG_CMM_NO}'),array('value'=>'1','text'=>'{LANG_CMM_YES}')),'position'=>'left','shy'=>1),
	'limit' => array('label'=>'Einträge pro Seite: (Anzahl oder Variable)','type'=>'textfield','datatype'=>'code','position'=>'right','shy'=>1),
	'filter' => array('label'=>'Filter: Einträge filtern','type'=>'textfield','datatype'=>'code','position'=>'bottom','shy'=>1),
	'fulltext' => array('label'=>'Filter: Kriterium für Voltextsuche','type'=>'textfield','datatype'=>'code','position'=>'center','shy'=>1),
	'sortDefault' => array('label'=>'Sortierung: Standard-Sortierung (,)','type'=>'textfield','datatype'=>'code','position'=>'bottom','shy'=>1),
	'sort' => array('label'=>'Sortierung: Einträge nach Feld(ern) sortieren','type'=>'textfield','datatype'=>'code','position'=>'bottom','shy'=>1),
	'start' => array('label'=>'Liste beginnen bei (Anzahl oder Variable)','type'=>'hidden','position'=>'right','shy'=>1),
	'width' => array('label'=>'Breite (px oder %)','type'=>'textfield','datatype'=>'text','position'=>'left2'),
	'height' => array('label'=>'Höhe (px oder %)','type'=>'textfield','datatype'=>'text','position'=>'left2'),
	'zoom' => array('label'=>'Zoomfaktor (1-20)','type'=>'textfield','datatype'=>'int','position'=>'right2'),
	'maxZoom' => array('label'=>'maximal zulässiger Zoomfaktor (1-20)','type'=>'textfield','datatype'=>'int','position'=>'right2'),
	'maptype' => array('label'=>'Kartentyp','type'=>'select','disablenone'=>1,'value'=>array('ROADMAP','SATELLITE','HYBRID','TERRAIN'),'text'=>array('Straßenkarte','Satellit','Hybrid','Terrain'),'position'=>'right2'),
	'monochrome' => array('label'=>'nur in Graustufen','type'=>'radio','options'=>array(array('value'=>'0','text'=>'{LANG_CMM_NO}'),array('value'=>'1','text'=>'{LANG_CMM_YES}')),'position'=>'left2'),
	'hue' => array('label'=>'Karte einfärben (#hex)','type'=>'colorfield','position'=>'left2'),
	'scrollwheel' => array('label'=>'Maus-Scolling','type'=>'radio','options'=>array(array('value'=>'0','text'=>'{LANG_CMM_NO}'),array('value'=>'1','text'=>'{LANG_CMM_YES}')),'position'=>'right2'),
	'cacheTimeout' => array('label'=>'{LANG_CMM_CACHE_TIMEOUT}','type'=>'textfield','datatype'=>'int','position'=>'bottom','shy'=>1)
	);
/* FIELDSET END */

// Set customer group
$params['CustomerCustomergroupID'] = isset($GLOBALS['CustomergroupUID']) ? $GLOBALS['CustomergroupUID'] : 0;
// Set language
$params['LID'] = isset($GLOBALS['LanguageUID']) ? $GLOBALS['LanguageUID'] : 1;

// Merge params and pluginParams
$params = CMM_mergePluginParams($params,$pluginParams);

// Set global var to require maps api
$GLOBALS['googleMapsApi'] = true;

// UID/CID aus Pagetail ermitteln
if($CONFIG['CMM']['config']['seoUseSeoUrls']==true)
	{
	if(strstr($params['CID'],'{') && substr_count($GLOBALS['PageTail'],'/') > 1)
		{
		$tempCID = CMM_getPagetailParams($GLOBALS['PageTail'],'first');
		!empty($tempCID) ? $params['CID'] = $tempCID : '';
		}

	if(strstr($params['start'],'{'))
		{
		$tempStart = CMM_getPagetailParams($GLOBALS['PageTail'],'start');
		!empty($tempStart) ? $params['start'] = $tempStart : '';
		}
	}

// Inhalt ausgeben
$extAccommList = new CMM_Accomm;
$pluginContent = $extAccommList->createContent($params);

unset($params);
?>