<?PHP
/***************************************************************
*  Copyright notice
*
*  (c) 2009-2017 Nicolas Berg
*  All rights reserved
*
*  This script is part of the CMM3 Content-Management-System.
*  CMM3 is provided only under a commercial license until now.
*  Maybe we will add a free license in future.
*
*  This script is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
*
*  This copyright notice MUST APPEAR in all copies of the script!
***************************************************************/

///////////////////////////////////////////////////////////
// Plugin fuer Modul-Navigation                          //
///////////////////////////////////////////////////////////
// V 1.0 First release
///////////////////////////////////////////////////////////
include_once(CMM_ROOT_DIR.'CMM_Accomm/index.php');

/* PARAMS START - Marker-Comments required! */
$params = array(
	'naviPID'=>'',
	'dataPID'=>'',
	'startID'=>'0',
	'startLevel'=>'0',
	'range' => '',
	'CID'=>'{$_REQUEST["CMM_Accomm"]["AccommItemCID"]}',
	'CIDinPageAlias'=>1,
	// Eigenschaften fuer alle Ebenen oder spezifisch
	'counter'=>'0',
	'expAll' => '',
	'enableStatus' => 'nor,act,cur',
	'crop' => '',
	'wrapItem' => '<a href="###LINK###" title="###TITLE_ORIG###">*</a>',
	'wrapItemAndSub' => '<li class="###STATUS######FIRSTLAST###">*</li>',
	'wrapLevel' => '<ul>*</ul>',
	'wrapLevel0' => '<ul class="CMM_Accomm_navi">*</ul>',
	'wrapAll' => '',
	'cacheTimeout'=>0
	);
/* PARAMS END */

/* FIELDSET START - Marker-Comments required! */
$fieldset = array(
	'naviPID' => array('label'=>'Seite: Listen-Anzeige (PID)','type'=>'linkfield','position'=>'left'),
	'dataPID' => array('label'=>'Seite: Datensätze (PID)','type'=>'linkfield','position'=>'left'),
	'startID' => array('label'=>'Seite: Startpunkt der Navigation (PID)','type'=>'textfield','datatype'=>'text','position'=>'left'),
	'startLevel' => array('label'=>'Navigation: Start-Ebene','type'=>'select','disablenone'=>1,'value'=>array(0,1,2,3,4,5,6,7,8,9,10),'text'=>array(0,1,2,3,4,5,6,7,8,9,10),'position'=>'right'),
	'range' => array('label'=>'Navigation: Anzahl Ebenen','type'=>'select','disablenone'=>1,'value'=>array(1,2,3,4,5,6,7,8,9,10),'text'=>array(1,2,3,4,5,6,7,8,9,10),'position'=>'right'),
	'CID' => array('label'=>'Filter: Kategorie','type'=>'textfield','datatype'=>'code','position'=>'right'),
	'CIDinPageAlias' => array('label'=>'Filter: aus SEO-URL generieren','type'=>'radio','options'=>array(array('value'=>'0','text'=>'{LANG_CMM_NO}'),array('value'=>'1','text'=>'{LANG_CMM_YES}')),'position'=>'right','shy'=>1),
	'CID' => array('label'=>'Kategorie: nur diese anzeigen (CID)','type'=>'textfield','datatype'=>'text','position'=>'left'),
	'CIDinPageAlias' => array('label'=>'Kategorie: CID aus SEO-URL ermitteln','type'=>'radio','options'=>array(array('value'=>'0','text'=>'{LANG_CMM_NO}'),array('value'=>'1','text'=>'{LANG_CMM_YES}')),'position'=>'left','shy'=>1),
	// Eigenschaften fuer alle Ebenen oder spezifisch
	'counter' => array('label'=>'Navigation: Kategorie-Counter anzeigen','type'=>'radio','options'=>array(array('value'=>'0','text'=>'{LANG_CMM_NO}'),array('value'=>'1','text'=>'{LANG_CMM_YES}')),'position'=>'right'),
	'expAll' => array('label'=>'Navigation: Alle Ebenen öffnen','type'=>'radio','options'=>array(array('value'=>'0','text'=>'{LANG_CMM_NO}'),array('value'=>'1','text'=>'{LANG_CMM_YES}')),'position'=>'right'),
	'enableStatus' => array('label'=>'Navigation: Verfügbare Stati','type'=>'select','options'=>array(array('value'=>'nor,act,cur','text'=>'nor,act,cur'),array('value'=>'nor,act,cur,norifsub,actifsub,curifsub','text'=>'nor,act,cur,norifsub,actifsub,curifsub')),'position'=>'right'),
	'crop' => array('label'=>'Titel kürzen','type'=>'textfield','datatype'=>'int','position'=>'bottom'),
	'wrapItem' => array('label'=>'HTML-Wrap um Navigationspunkt','type'=>'textfield','datatype'=>'code','position'=>'bottom'),
	'wrapItemAndSub' => array('label'=>'HTML-Wrap um Navigationspunkt mit Unterpunkten','type'=>'textfield','datatype'=>'code','position'=>'bottom'),
	'wrapLevel' => array('label'=>'HTML-Wrap um Ebene','type'=>'textfield','datatype'=>'code','position'=>'bottom'),
	'wrapLevel0' => array('label'=>'HTML-Wrap um Ebene (nur erste)','type'=>'textfield','datatype'=>'code','position'=>'bottom'),
	'wrapAll' => array('label'=>'HTML-Wrap um gesamte Navi','type'=>'textfield','datatype'=>'code','position'=>'bottom'),
	'cacheTimeout' => array('label'=>'{LANG_CMM_CACHE_TIMEOUT}','type'=>'textfield','datatype'=>'int','position'=>'bottom','shy'=>1)
	);
/* FIELDSET END */

// Set customer group
$params['CustomerCustomergroupID'] = isset($GLOBALS['CustomergroupUID']) ? $GLOBALS['CustomergroupUID'] : 0;
// Set language
$params['LID'] = isset($GLOBALS['LanguageUID']) ? $GLOBALS['LanguageUID'] : 1;

// Merge params and pluginParams
$params = CMM_mergePluginParams($params,$pluginParams);

// UID/CID aus Pagetail ermitteln
if($CONFIG['CMM']['config']['seoUseSeoUrls']==true)
	{
	if(isset($params['CID']) && stristr($params['CID'],'{') && !empty($GLOBALS['PageTail']))
		{ $params['CID'] = CMM_getPagetailParams($GLOBALS['PageTail'],'first'); }
	if(isset($params['start']) && strstr($params['start'],'{') && !empty($GLOBALS['PageTail']))
		{
		$tempStart = CMM_getPagetailParams($GLOBALS['PageTail'],'start');
		!empty($tempStart) ? $params['start'] = $tempStart : '';
		}
	}

// Inhalt ausgeben
$extAccommNavi = new CMM_Accomm;
$pluginContent = $extAccommNavi->createCategoryTree($params);

unset($params);
?>