<?PHP
/***************************************************************
*  Copyright notice
*
*  (c) 2009-2017 Nicolas Berg
*  All rights reserved
*
*  This script is part of the CMM3 Content-Management-System.
*  CMM3 is provided only under a commercial license until now.
*  Maybe we will add a free license in future.
*
*  This script is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
*
*  This copyright notice MUST APPEAR in all copies of the script!
***************************************************************/

// V 1.0 First release
// V 1.0.1 Status-Feld fuer Kategorien in Formular eingebaut
// V 1.0.2 Verarbeitung von Config angepasst
// V 1.0.3 Backup-Einstellungen ergaenzt
// V 1.0.4 Delete-fields added
// V 1.0.5 PASTE-Action mod
// V 1.0.6 Added field BlogItemPlugin
// V 1.0.7 Mod userLevels

////////////////////////////////////////////////////////////////////
// Modul-Anzeigen                                                 //
////////////////////////////////////////////////////////////////////
// - label: Bezeichnung des Feldes
// - table: Haupt-Datenbanktabelle
// - userLevel: Berechntigungsstufe fuer Datensaetze
// - navi: Anzeige in der Hauptnavigation
$CONFIG['CMM_Accomm']['views'] = array(
	'INDEX' => array('label'=>'{LANG_CMM_ACCOMM_VIEW_INDEX}','userLevel'=>1),
	'ITEMS' => array('label'=>'{LANG_CMM_ACCOMM_VIEW_ITEMS}','table'=>'cmm_accomm_items','userLevel'=>1,'inNavi'=>1),
	'CATEGORIES' => array('label'=>'{LANG_CMM_ACCOMM_VIEW_CATEGORIES}','table'=>'cmm_accomm_categories','userLevel'=>1,'inNavi'=>1),
	'CITIES' => array('label'=>'{LANG_CMM_ACCOMM_VIEW_CITIES}','table'=>'cmm_accomm_cities','userLevel'=>1,'inNavi'=>1),
	'CONTACTS' => array('label'=>'{LANG_CMM_ACCOMM_VIEW_CONTACTS}','table'=>'cmm_accomm_contacts','userLevel'=>1,'inNavi'=>1),
	'CONFIG' => array('label'=>'{LANG_CMM_ACCOMM_VIEW_CONFIG}','table'=>'cmm_cmm_config','userLevel'=>6,'inNavi'=>1),
	'BACKUP' => array('label'=>'{LANG_CMM_ACCOMM_VIEW_BACKUP}','userLevel'=>1,'inNavi'=>(!empty($GLOBALS['isBackend']) && !empty($CUSTOM['CMM_Accomm']['config']['enableBackup']) ? 1 : 0)),
	'INSTALL' => array('label'=>'{LANG_CMM_ACCOMM_VIEW_INSTALL}','userLevel'=>3)
	);


////////////////////////////////////////////////////////////////////
// Modulfunktionen                                                //
////////////////////////////////////////////////////////////////////
// - label: Bezeichnung des Feldes
// - area: Anzeige-Bereich
// - userLevel: Berechntigungsstufe fuer Datensaetze
// - icon: Icon fuer Listenansicht
// - action: Aktion, die ausgefuehrt werden soll
// - clipboardAction: Aktion, die spaeter ausgefuehrt werden soll
// - message: Frage vor Ausfuerung der Funktion
// - condition: Bedingung pruefen (Datenbankfeld) item/_SESSION/_GET/_POST/_COOKIE/_ENV[keyvar]==value
// - file: Funktion in externer Datei ausfuehren
// - target: Zielfenster fuer Funktion

$CONFIG['CMM_Accomm']['views']['ITEMS']['actions'] = array(
	'LIST' => array('label'=>'{LANG_CMM_ACTION_LIST}','userLevel'=>0),
	'NEW' => array('label'=>'{LANG_CMM_ACCOMM_ITEM} - {LANG_CMM_ACTION_NEW}','area'=>'listhead','userLevel'=>1,'icon'=>'icon-action-new.svg'),
	'EDIT' => array('label'=>'{LANG_CMM_ACTION_EDIT}','area'=>'list','userLevel'=>1,'icon'=>'icon-action-edit.svg'),
	'ENABLE' => array('label'=>'{LANG_CMM_ACTION_ENABLE}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-enable.svg','condition'=>'$item["AccommItemStatus"]==0'),
	'DISABLE' => array('label'=>'{LANG_CMM_ACTION_DISABLE}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-disable.svg','condition'=>'$item["AccommItemStatus"]==1'),
	'UP' => array('label'=>'{LANG_CMM_ACTION_UP}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-up.svg','condition'=>'$item["firstItem"]!=true && $CURRENT["sort"]=="AccommItemSort ASC"'),
	'DOWN' => array('label'=>'{LANG_CMM_ACTION_DOWN}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-down.svg','condition'=>'$item["lastItem"]!=true && $CURRENT["sort"]=="AccommItemSort ASC"'),
	'SAVE' => array('label'=>'{LANG_CMM_ACTION_SAVE}','area'=>'singlehead','userLevel'=>3,'icon'=>'icon-action-save.svg'),
	'SAVENEW' => array('label'=>'{LANG_CMM_ACTION_SAVENEW}','area'=>'singlehead','userLevel'=>3,'icon'=>'icon-action-save-and-new.svg'),
	'SAVECLOSE' => array('label'=>'{LANG_CMM_ACTION_SAVECLOSE}','area'=>'singlehead','userLevel'=>3,'icon'=>'icon-action-save-and-close.svg'),
	'CLOSE' => array('label'=>'{LANG_CMM_ACTION_CLOSE}','area'=>'singlehead','userLevel'=>1,'icon'=>'icon-action-close.svg'),
	'CUT' => array('label'=>'{LANG_CMM_ACTION_CUT}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-cut.svg'),
	'COPY' => array('label'=>'{LANG_CMM_ACTION_COPY}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-copy.svg'),
	'PASTE' => array('label'=>'{LANG_CMM_ACTION_PASTE}','area'=>'listhead','userLevel'=>3,'icon'=>'icon-action-paste.svg','UID'=>(!empty($GLOBALS['isBackend']) && isset($_SESSION[$CURRENT["module"]][$CURRENT["view"]]['clipboard']) ? $_SESSION[$CURRENT["module"]][$CURRENT["view"]]['clipboard']['id'] : ''),'condition'=>'!empty($_SESSION[$CURRENT["module"]][$CURRENT["view"]]["clipboard"])'),
	'REMOVE' => array('label'=>'{LANG_CMM_ACTION_REMOVE}','area'=>'list,singlehead','userLevel'=>3,'icon'=>'icon-action-remove.svg','condition'=>'$item["AccommItemUID"]>0','message'=>'{LANG_CMM_ACTION_REMOVE_CONFIRM}'),
	'CLIPBOARDCLEAR' => array('label'=>'{LANG_CMM_ACTION_CLIPBOARDCLEAR}','area'=>'listhead','userLevel'=>3,'icon'=>'icon-action-clipboard-clear.svg','condition'=>'isset($_SESSION[$CURRENT["module"]][$CURRENT["view"]]["clipboard"])'),
	'COPYTRANSLATION' => array('label'=>'{LANG_CMM_ACTION_COPYTRANSLATION}','area'=>'','userLevel'=>3,'message'=>'{LANG_CMM_ACTION_COPYTRANSLATION_CONFIRM}')
	);

$CONFIG['CMM_Accomm']['views']['CATEGORIES']['actions'] = array(
	'LIST' => array('label'=>'{LANG_CMM_ACTION_LIST}','userLevel'=>0),
	'NEW' => array('label'=>'{LANG_CMM_ACCOMM_CATEGORY} - {LANG_CMM_ACTION_NEW}','area'=>'listhead','userLevel'=>1,'icon'=>'icon-action-new.svg'),
	'EDIT' => array('label'=>'{LANG_CMM_ACTION_EDIT}','area'=>'list','userLevel'=>1,'icon'=>'icon-action-edit.svg'),
	'ENABLE' => array('label'=>'{LANG_CMM_ACTION_ENABLE}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-enable.svg','condition'=>'$item["AccommCategoryStatus"]==0'),
	'DISABLE' => array('label'=>'{LANG_CMM_ACTION_DISABLE}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-disable.svg','condition'=>'$item["AccommCategoryStatus"]==1'),
	'UP' => array('label'=>'{LANG_CMM_ACTION_UP}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-up.svg','condition'=>'$item["firstItem"]!=true && $CURRENT["sort"]=="AccommCategorySort ASC"'),
	'DOWN' => array('label'=>'{LANG_CMM_ACTION_DOWN}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-down.svg','condition'=>'$item["lastItem"]!=true && $CURRENT["sort"]=="AccommCategorySort ASC"'),
	'SAVE' => array('label'=>'{LANG_CMM_ACTION_SAVE}','area'=>'singlehead','userLevel'=>3,'icon'=>'icon-action-save.svg'),
	'SAVENEW' => array('label'=>'{LANG_CMM_ACTION_SAVENEW}','area'=>'singlehead','userLevel'=>3,'icon'=>'icon-action-save-and-new.svg'),
	'SAVECLOSE' => array('label'=>'{LANG_CMM_ACTION_SAVECLOSE}','area'=>'singlehead','userLevel'=>3,'icon'=>'icon-action-save-and-close.svg'),
	'CLOSE' => array('label'=>'{LANG_CMM_ACTION_CLOSE}','area'=>'singlehead','userLevel'=>1,'icon'=>'icon-action-close.svg'),
	'CUT' => array('label'=>'{LANG_CMM_ACTION_CUT}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-cut.svg'),
	'COPY' => array('label'=>'{LANG_CMM_ACTION_COPY}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-copy.svg'),
	'PASTE' => array('label'=>'{LANG_CMM_ACTION_PASTE}','area'=>'listhead','userLevel'=>3,'icon'=>'icon-action-paste.svg','UID'=>(!empty($GLOBALS['isBackend']) && isset($_SESSION[$CURRENT["module"]][$CURRENT["view"]]['clipboard']) ? $_SESSION[$CURRENT["module"]][$CURRENT["view"]]['clipboard']['id'] : ''),'condition'=>'!empty($_SESSION[$CURRENT["module"]][$CURRENT["view"]]["clipboard"])'),
	'REMOVE' => array('label'=>'{LANG_CMM_ACTION_REMOVE}','area'=>'list,singlehead','userLevel'=>3,'icon'=>'icon-action-remove.svg','condition'=>'$item["AccommCategoryUID"]>0','message'=>'{LANG_CMM_ACTION_REMOVE_CONFIRM}'),
	'CLIPBOARDCLEAR' => array('label'=>'{LANG_CMM_ACTION_CLIPBOARDCLEAR}','area'=>'listhead','userLevel'=>3,'icon'=>'icon-action-clipboard-clear.svg','condition'=>'isset($_SESSION[$CURRENT["module"]][$CURRENT["view"]]["clipboard"])'),
	'COPYTRANSLATION' => array('label'=>'{LANG_CMM_ACTION_COPYTRANSLATION}','area'=>'','userLevel'=>3,'message'=>'{LANG_CMM_ACTION_COPYTRANSLATION_CONFIRM}')
	);

$CONFIG['CMM_Accomm']['views']['CITIES']['actions'] = array(
	'LIST' => array('label'=>'{LANG_CMM_ACTION_LIST}','userLevel'=>0),
	'NEW' => array('label'=>'{LANG_CMM_ACCOMM_CATEGORY} - {LANG_CMM_ACTION_NEW}','area'=>'listhead','userLevel'=>1,'icon'=>'icon-action-new.svg'),
	'EDIT' => array('label'=>'{LANG_CMM_ACTION_EDIT}','area'=>'list','userLevel'=>1,'icon'=>'icon-action-edit.svg'),
	'ENABLE' => array('label'=>'{LANG_CMM_ACTION_ENABLE}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-enable.svg','condition'=>'$item["AccommCityStatus"]==0'),
	'DISABLE' => array('label'=>'{LANG_CMM_ACTION_DISABLE}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-disable.svg','condition'=>'$item["AccommCityStatus"]==1'),
	'UP' => array('label'=>'{LANG_CMM_ACTION_UP}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-up.svg','condition'=>'$item["firstItem"]!=true && $CURRENT["sort"]=="AccommCitySort ASC"'),
	'DOWN' => array('label'=>'{LANG_CMM_ACTION_DOWN}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-down.svg','condition'=>'$item["lastItem"]!=true && $CURRENT["sort"]=="AccommCitySort ASC"'),
	'SAVE' => array('label'=>'{LANG_CMM_ACTION_SAVE}','area'=>'singlehead','userLevel'=>3,'icon'=>'icon-action-save.svg'),
	'SAVENEW' => array('label'=>'{LANG_CMM_ACTION_SAVENEW}','area'=>'singlehead','userLevel'=>3,'icon'=>'icon-action-save-and-new.svg'),
	'SAVECLOSE' => array('label'=>'{LANG_CMM_ACTION_SAVECLOSE}','area'=>'singlehead','userLevel'=>3,'icon'=>'icon-action-save-and-close.svg'),
	'CLOSE' => array('label'=>'{LANG_CMM_ACTION_CLOSE}','area'=>'singlehead','userLevel'=>1,'icon'=>'icon-action-close.svg'),
	'CUT' => array('label'=>'{LANG_CMM_ACTION_CUT}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-cut.svg'),
	'COPY' => array('label'=>'{LANG_CMM_ACTION_COPY}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-copy.svg'),
	'PASTE' => array('label'=>'{LANG_CMM_ACTION_PASTE}','area'=>'listhead','userLevel'=>3,'icon'=>'icon-action-paste.svg','UID'=>(!empty($GLOBALS['isBackend']) && isset($_SESSION[$CURRENT["module"]][$CURRENT["view"]]['clipboard']) ? $_SESSION[$CURRENT["module"]][$CURRENT["view"]]['clipboard']['id'] : ''),'condition'=>'!empty($_SESSION[$CURRENT["module"]][$CURRENT["view"]]["clipboard"])'),
	'REMOVE' => array('label'=>'{LANG_CMM_ACTION_REMOVE}','area'=>'list,singlehead','userLevel'=>3,'icon'=>'icon-action-remove.svg','condition'=>'$item["AccommCityUID"]>0','message'=>'{LANG_CMM_ACTION_REMOVE_CONFIRM}'),
	'CLIPBOARDCLEAR' => array('label'=>'{LANG_CMM_ACTION_CLIPBOARDCLEAR}','area'=>'listhead','userLevel'=>3,'icon'=>'icon-action-clipboard-clear.svg','condition'=>'isset($_SESSION[$CURRENT["module"]][$CURRENT["view"]]["clipboard"])'),
	'COPYTRANSLATION' => array('label'=>'{LANG_CMM_ACTION_COPYTRANSLATION}','area'=>'','userLevel'=>3,'message'=>'{LANG_CMM_ACTION_COPYTRANSLATION_CONFIRM}')
	);

$CONFIG['CMM_Accomm']['views']['CONTACTS']['actions'] = array(
	'LIST' => array('label'=>'{LANG_CMM_ACTION_LIST}','userLevel'=>0),
	'NEW' => array('label'=>'{LANG_CMM_ACCOMM_CATEGORY} - {LANG_CMM_ACTION_NEW}','area'=>'listhead','userLevel'=>1,'icon'=>'icon-action-new.svg'),
	'EDIT' => array('label'=>'{LANG_CMM_ACTION_EDIT}','area'=>'list','userLevel'=>1,'icon'=>'icon-action-edit.svg'),
	'ENABLE' => array('label'=>'{LANG_CMM_ACTION_ENABLE}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-enable.svg','condition'=>'$item["AccommContactStatus"]==0'),
	'DISABLE' => array('label'=>'{LANG_CMM_ACTION_DISABLE}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-disable.svg','condition'=>'$item["AccommContactStatus"]==1'),
	'UP' => array('label'=>'{LANG_CMM_ACTION_UP}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-up.svg','condition'=>'$item["firstItem"]!=true && $CURRENT["sort"]=="AccommContactSort ASC"'),
	'DOWN' => array('label'=>'{LANG_CMM_ACTION_DOWN}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-down.svg','condition'=>'$item["lastItem"]!=true && $CURRENT["sort"]=="AccommContactSort ASC"'),
	'SAVE' => array('label'=>'{LANG_CMM_ACTION_SAVE}','area'=>'singlehead','userLevel'=>3,'icon'=>'icon-action-save.svg'),
	'SAVENEW' => array('label'=>'{LANG_CMM_ACTION_SAVENEW}','area'=>'singlehead','userLevel'=>3,'icon'=>'icon-action-save-and-new.svg'),
	'SAVECLOSE' => array('label'=>'{LANG_CMM_ACTION_SAVECLOSE}','area'=>'singlehead','userLevel'=>3,'icon'=>'icon-action-save-and-close.svg'),
	'CLOSE' => array('label'=>'{LANG_CMM_ACTION_CLOSE}','area'=>'singlehead','userLevel'=>1,'icon'=>'icon-action-close.svg'),
	'CUT' => array('label'=>'{LANG_CMM_ACTION_CUT}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-cut.svg'),
	'COPY' => array('label'=>'{LANG_CMM_ACTION_COPY}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-copy.svg'),
	'PASTE' => array('label'=>'{LANG_CMM_ACTION_PASTE}','area'=>'listhead','userLevel'=>3,'icon'=>'icon-action-paste.svg','UID'=>(!empty($GLOBALS['isBackend']) && isset($_SESSION[$CURRENT["module"]][$CURRENT["view"]]['clipboard']) ? $_SESSION[$CURRENT["module"]][$CURRENT["view"]]['clipboard']['id'] : ''),'condition'=>'!empty($_SESSION[$CURRENT["module"]][$CURRENT["view"]]["clipboard"])'),
	'REMOVE' => array('label'=>'{LANG_CMM_ACTION_REMOVE}','area'=>'list,singlehead','userLevel'=>3,'icon'=>'icon-action-remove.svg','condition'=>'$item["AccommContactUID"]>0','message'=>'{LANG_CMM_ACTION_REMOVE_CONFIRM}'),
	'CLIPBOARDCLEAR' => array('label'=>'{LANG_CMM_ACTION_CLIPBOARDCLEAR}','area'=>'listhead','userLevel'=>3,'icon'=>'icon-action-clipboard-clear.svg','condition'=>'isset($_SESSION[$CURRENT["module"]][$CURRENT["view"]]["clipboard"])'),
	'COPYTRANSLATION' => array('label'=>'{LANG_CMM_ACTION_COPYTRANSLATION}','area'=>'','userLevel'=>3,'message'=>'{LANG_CMM_ACTION_COPYTRANSLATION_CONFIRM}')
	);

$CONFIG['CMM_Accomm']['views']['BACKUP']['actions'] = array(
	'BACKUP' => array('label'=>'Datensicherung','userLevel'=>1,'inNavi'=>1),
	'INSTALLDB' => array('label'=>'Datenbanktabellen konfigurieren','userLevel'=>6),
	'BACKUPMAKE' => array('label'=>'Sicherung erstellen','userLevel'=>6,'inNavi'=>0),
	'BACKUPRESTORE' => array('label'=>'Sicherung zurückschreiben','userLevel'=>6,'inNavi'=>0),
	'BACKUPREMOVE' => array('label'=>'Sicherung löschen','userLevel'=>6,'inNavi'=>0)
	);

$CONFIG['CMM_Accomm']['views']['CONFIG']['actions'] = array(
	'CONFIG' => array('label'=>'Konfiguration','userLevel'=>1,'inNavi'=>1),
	'CONFIGSAVE' => array('label'=>'Konfiguration','area'=>'singlehead','userLevel'=>6,'icon'=>'icon-action-save.svg')
	);

$CONFIG['CMM_Accomm']['views']['INSTALL']['actions'] = array(
	'INSTALL' => array('label'=>'Installation','userLevel'=>6,'inNavi'=>0)
	);


////////////////////////////////////////////////////////////////////
// Datenbank-Tabellen                                             //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Accomm']['database'] = array();

// Datenstamm fuer Artikel
$CONFIG['CMM_Accomm']['database']['cmm_accomm_items'] = array(
	'tabs' => array(0=>'Standard',1=>'Media',2=>'Lage',3=>'Sonstiges',4=>'Plugin',5=>'Meta',9=>'Anzeige'),
	'tablename' => 'cmm_accomm_items',
	'sort' => 'AccommItemUID DESC',
	'backup' => 1,
	'fieldprefix' => 'AccommItem',
	'fieldset' => array(
		'AccommItemUID' => array('label'=>'ID','type'=>'hidden','position'=>'top','tab'=>0,
			'sqldef'=>'int(10) default \'0\''),
		'AccommItemPID' => array('label'=>'ParentID','type'=>'hidden','position'=>'top','tab'=>0,
			'sqldef'=>'int(10) default \'0\''),
		'AccommItemTID' => array('label'=>'Typ','type'=>'hidden','position'=>'left','tab'=>0,
			'sqldef'=>'int(3) default \'0\''),
		'AccommItemLID' => array('label'=>'Sprache','type'=>'radio','position'=>'top','tab'=>3,
			'sqldef'=>'int(3) default \'0\'',
			'select'=>array('module'=>'CMM','table'=>'cmm_cmm_languages','keyfield'=>'LanguageUID','labelfield'=>'LanguageName','sort'=>'LanguageUID')),
		'AccommItemCID' => array('label'=>'Kategorie/Typ','type'=>'select','attribs'=>array('required'=>1),'position'=>'left','tab'=>0,
			'sqldef'=>'varchar(100) collate utf8_unicode_ci default NULL',
			'select'=>array('module'=>'CMM_Accomm','table'=>'cmm_accomm_categories','keyfield'=>'AccommCategoryUID','labelfield'=>'AccommCategoryTitle','LID'=>'{$CURRENT["language"]}'),
			'join'=>array('module'=>'CMM_Accomm','table'=>'cmm_accomm_categories','keyfield'=>'AccommCategoryUID')),
		'AccommItemOID' => array('label'=>'{LANG_CMM_FIELD_OID}','description'=>'{LANG_CMM_FIELD_OID_DESC}','type'=>(isset($CURRENT['language']) && isset($CURRENT['languageDefault']) && $CURRENT['language']==$CURRENT['languageDefault'] ? 'hidden' : 'select'),'position'=>'top','tab'=>3,
			'sqldef'=>'int(10) default \'0\'',
			'function'=>array('function'=>'CMM_getInputFieldOptionsOID','module'=>'CMM_Accomm','table'=>'cmm_accomm_items','keyfield'=>'AccommItemUID','labelfield'=>'AccommItemTitle','sort'=>'AccommItemSort ASC')),
		'AccommItemStatus' => array('label'=>'Status','type'=>'radio',
			'sqldef'=>'int(1) default \'0\'','position'=>'top','tab'=>9,
			'options'=>array(array('value'=>1,'text'=>'{LANG_CMM_ENABLED}'),array('value'=>'0','text'=>'{LANG_CMM_DISABLED}'))),
		'AccommItemDeleted' => array('label'=>'{LANG_CMM_FIELD_REMOVED}','type'=>'hidden','tab'=>3,
			'sqldef'=>'int(1) default \'0\''),
		'AccommItemSort' => array('label'=>'Sortierung','type'=>'hidden','position'=>'top','tab'=>3,
			'sqldef'=>'int(10) default \'0\''),
		'AccommItemStart' => array('label'=>'Start','type'=>'datetime','position'=>'left','tab'=>9,
			'sqldef'=>'datetime default NULL'),
		'AccommItemStop' => array('label'=>'Ende','type'=>'datetime','position'=>'right','tab'=>9,
			'sqldef'=>'datetime default NULL'),
		'AccommItemCustomergroupID' => array('label'=>'Anzeige für Benutzergruppen','type'=>'multiselect','attribs'=>array('multiple'=>1,'size'=>6),'position'=>'bottom','tab'=>9,
			'sqldef'=>'varchar(255) collate utf8_unicode_ci default NULL',
			'options'=>array('none'=>array('value'=>'0','text'=>'{LANG_CMM_IF_LOGGED_OUT}'),'all'=>array('value'=>'*','text'=>'{LANG_CMM_IF_LOGGED_IN}')),
			'select'=>array('module'=>'CMM','table'=>'cmm_cmm_customergroups','keyfield'=>'CustomergroupUID','labelfield'=>'CustomergroupUID,CustomergroupName','sort'=>'CustomergroupUID')),
		'AccommItemTitle' => array('label'=>'Titel / Überschrift','type'=>'textfield','attribs'=>array('required'=>1),'position'=>'top','tab'=>0,
			'sqldef'=>'varchar(255) collate utf8_unicode_ci default NULL'),
		'AccommItemSubtitle' => array('label'=>'Untertitel','type'=>'textfield','position'=>'top','tab'=>0,
			'sqldef'=>'varchar(255) collate utf8_unicode_ci default NULL','shy'=>1),
		'AccommItemStars' => array('label'=>'Sterne','type'=>'radio',
			'sqldef'=>'varchar(32) collate utf8_unicode_ci default NULL','position'=>'left','tab'=>0,
			'function'=>array('class'=>'CMM_Accomm','function'=>'getItemStarsOptions')),
		'AccommItemSeasonStart' => array('label'=>'Saison-Begin','description'=>'Bei der Ausgabe wird das Jahr durch das aktuelle Jahr ersetzt','type'=>'date','position'=>'left','tab'=>0,'shy'=>1,
			'sqldef'=>'datetime default NULL'),
		'AccommItemSeasonStop' => array('label'=>'Saison-Ende','description'=>'Bei der Ausgabe wird das Jahr durch das aktuelle Jahr ersetzt','type'=>'date','position'=>'left','tab'=>0,'shy'=>1,
			'sqldef'=>'datetime default NULL'),
		'AccommItemEquipment' => array('label'=>'Ausstattung','type'=>'checkbox','position'=>'right','tab'=>0,
			'sqldef'=>'text collate utf8_unicode_ci',
			'function'=>array('class'=>'CMM_Accomm','function'=>'getItemEquipmentOptions')),
		'AccommItemDisability' => array('label'=>'Behinderten-Info','type'=>'checkbox','position'=>'right','tab'=>0,
			'sqldef'=>'text collate utf8_unicode_ci',
			'function'=>array('class'=>'CMM_Accomm','function'=>'getItemDisablilityOptions')),
		'AccommItemSpecial' => array('label'=>'Eintrag hervorheben','type'=>'checkbox','position'=>'left','tab'=>0,'shy'=>1,
			'sqldef'=>'int(3) default \'0\'',
			'options'=>array(array('value'=>1,'text'=>'ja'))),
		'AccommItemContact' => array('label'=>'Kontakt/Vermieter','type'=>'select','position'=>'left','tab'=>0,
			'sqldef'=>'varchar(100) collate utf8_unicode_ci default NULL',
			'select'=>array('module'=>'CMM_Accomm','table'=>'cmm_accomm_contacts','keyfield'=>'AccommContactUID','labelfield'=>'AccommContactCompany,AccommContactOwner'),
			'join'=>array('module'=>'CMM_Accomm','table'=>'cmm_accomm_contacts','keyfield'=>'AccommContactUID')),
		'AccommItemShorttext' => array('label'=>'Kurztext','type'=>'textarea','position'=>'bottom','attribs'=>array('rows'=>5),'tab'=>0,
			'sqldef'=>'text collate utf8_unicode_ci'),
		'AccommItemText' => array('label'=>'Langtext','type'=>'rte','position'=>'bottom','attribs'=>array('rows'=>6),'tab'=>0,
			'sqldef'=>'text collate utf8_unicode_ci'),
		'AccommItemOffers' => array('label'=>'Zimmer &amp; Preise','description'=>'Je Zeile eine Zimmer- oder Aufpreis-Art<br>(Schema: Text|0,00)','type'=>'textarea','position'=>'bottom','attribs'=>array('rows'=>5),'tab'=>0,
			'sqldef'=>'text collate utf8_unicode_ci'),
		'AccommItemTags' => array('label'=>'Tags','type'=>'tagfield','position'=>'bottom','tab'=>0,
			'sqldef'=>'varchar(255) collate utf8_unicode_ci default NULL','shy'=>1),

		'AccommItemStreet' => array('label'=>'Straße + Nr.','type'=>'textfield','position'=>'left','tab'=>2,
			'sqldef'=>'varchar(100) collate utf8_unicode_ci default NULL'),
		'AccommItemZip' => array('label'=>'PLZ','type'=>'textfield','position'=>'left','tab'=>2,
			'sqldef'=>'varchar(10) collate utf8_unicode_ci default NULL'),
		'AccommItemCity' => array('label'=>'Ort','type'=>'select',
			'sqldef'=>'varchar(100) collate utf8_unicode_ci default NULL','position'=>'left','tab'=>2,
			'select'=>array('module'=>'CMM_Accomm','table'=>'cmm_accomm_cities','keyfield'=>'AccommCityUID','labelfield'=>'AccommCityTitle'),
			'join'=>array('module'=>'CMM_Accomm','table'=>'cmm_accomm_cities','keyfield'=>'AccommCityUID')),
		'AccommItemProvince' => array('label'=>'Bundesland/Kanton/Bezirk','type'=>'select','position'=>'left','tab'=>2,
			'sqldef'=>'varchar(100) collate utf8_unicode_ci default NULL',
			'function'=>array('class'=>'CMM_Accomm','function'=>'getItemCountiesOptions')),
		'AccommItemCountry' => array('label'=>'Land','type'=>'select','position'=>'left','default'=>'DE','tab'=>2,
			'sqldef'=>'varchar(100) collate utf8_unicode_ci default NULL',
			'function'=>array('function'=>'CMM_getInputFieldCountryOptions','value'=>'iso2','text'=>'name')),
		'AccommItemGeoLat' => array('label'=>'GEO-Breitengrad','type'=>'geo','attribs'=>array('data-geo-fields'=>'AccommItemGeoLat,AccommItemGeoLng','data-address-fields'=>'AccommItemStreet,AccommItemZip,AccommItemCity,AccommItemProvince_select,AccommItemCountry_select'),'width'=>'50%','position'=>'left','tab'=>0,'tab'=>2,
			'sqldef'=>'varchar(32) collate utf8_unicode_ci default NULL'),
		'AccommItemGeoLng' => array('label'=>'GEO-Längengrad','type'=>'geo','attribs'=>array('data-geo-fields'=>'AccommItemGeoLat,AccommItemGeoLng','data-address-fields'=>'AccommItemStreet,AccommItemZip,AccommItemCity,AccommItemProvince_select,AccommItemCountry_select'),'width'=>'50%','position'=>'left','tab'=>0,'tab'=>2,
			'sqldef'=>'varchar(32) collate utf8_unicode_ci default NULL'),

		'AccommItemImages' => array('label'=>'Bilder','type'=>'imagelist','position'=>'top','number'=>5,'dir'=>'data/CMM_Accomm/images/','tab'=>1,
			'sqldef'=>'text collate utf8_unicode_ci'),
		'AccommItemVideos' => array('label'=>'Videos','type'=>'videolist','position'=>'top','number'=>5,'dir'=>'data/CMM_Accomm/videos/','tab'=>1,
			'sqldef'=>'text collate utf8_unicode_ci'),
		'AccommItemFiles' => array('label'=>'Dateien','type'=>'filelist','position'=>'top','number'=>5,'dir'=>'data/CMM_Accomm/files/','tab'=>1,
			'sqldef'=>'text collate utf8_unicode_ci'),
		'AccommItemLinks' => array('label'=>'Links','type'=>'linklist','position'=>'top','number'=>5,'tab'=>1,
			'sqldef'=>'text collate utf8_unicode_ci'),
		'AccommItemHTML' => array('label'=>'HTML-Inhalt','type'=>'codearea','position'=>'bottom','attribs'=>array('rows'=>10),'tab'=>1,
			'sqldef'=>'text collate utf8_unicode_ci'),
		'AccommItemMetaTitle' => array('label'=>'Meta-Titel','type'=>'textfield','position'=>'bottom','attribs'=>array('maxlength'=>255),'tab'=>5,
			'sqldef'=>'varchar(255) collate utf8_unicode_ci default NULL'),
		'AccommItemMetaKeywords' => array('label'=>'Meta-Keywords','type'=>'textfield','position'=>'bottom','attribs'=>array('maxlength'=>255),'tab'=>5,
			'sqldef'=>'varchar(255) collate utf8_unicode_ci default NULL'),
		'AccommItemMetaDescription' => array('label'=>'Meta-Description','type'=>'textfield','position'=>'bottom','attribs'=>array('maxlength'=>255),'tab'=>5,
			'sqldef'=>'varchar(255) collate utf8_unicode_ci default NULL'),
		'AccommItemAddDate' => array('label'=>'Datum erstellt','type'=>'hidden','position'=>'left','tab'=>0,
			'sqldef'=>'datetime default \'0000-00-00 00:00:00\''),
		'AccommItemAddUser' => array('label'=>'Benutzer erstellt','type'=>'hidden','position'=>'left','tab'=>0,
			'sqldef'=>'varchar(32) collate utf8_unicode_ci default \'0\''),
		'AccommItemModDate' => array('label'=>'Datum geändert','type'=>'hidden','position'=>'left','tab'=>0,
			'sqldef'=>'datetime default \'0000-00-00 00:00:00\''),
		'AccommItemModUser' => array('label'=>'Benutzer geändert','type'=>'hidden','position'=>'left','tab'=>0,
			'sqldef'=>'varchar(32) collate utf8_unicode_ci default \'0\'')
		),
	'tableset' => array(
		'engine' => 'MyISAM',
		'primarykey' => 'UID',
		'charset' => 'utf8',
		'collation' => 'utf8_unicode_ci',
		'comment' => 'Artikel'
		)
	);
	
// Datenstamm fuer Kategorien
$CONFIG['CMM_Accomm']['database']['cmm_accomm_categories'] = array(
	'tabs' => array(0=>'Standard',1=>'Media',2=>'Plugins',3=>'Sonstiges',9=>'Anzeige'),
	'tablename' => 'cmm_accomm_categories',
	'sort' => 'AccommCategoryUID DESC',
	'backup' => 1,
	'fieldprefix' => 'AccommCategory',
	'fieldset' => array(
		'AccommCategoryUID' => array('label'=>'ID','type'=>'hidden','position'=>'top','tab'=>0,
			'sqldef'=>'int(10) default \'0\''),
		'AccommCategoryPID' => array('label'=>'ParentID','type'=>'hidden','position'=>'top','tab'=>0,
			'sqldef'=>'int(10) default \'0\''),
		'AccommCategoryTID' => array('label'=>'Typ/Kategorie','type'=>'hidden','position'=>'top','tab'=>3,
			'sqldef'=>'int(3) default \'0\''),
		'AccommCategoryLID' => array('label'=>'Sprache','type'=>'radio','position'=>'top','tab'=>3,
			'sqldef'=>'int(3) default \'0\'',
			'select'=>array('module'=>'CMM','table'=>'cmm_cmm_languages','keyfield'=>'LanguageUID','labelfield'=>'LanguageName','sort'=>'LanguageUID')),
		'AccommCategoryOID' => array('label'=>'{LANG_CMM_FIELD_OID}','description'=>'{LANG_CMM_FIELD_OID_DESC}','type'=>(isset($CURRENT['language']) && isset($CURRENT['languageDefault']) && $CURRENT['language']==$CURRENT['languageDefault'] ? 'hidden' : 'select'),'position'=>'top','tab'=>3,
			'sqldef'=>'int(10) default \'0\'',
			'function'=>array('function'=>'CMM_getInputFieldOptionsOID','module'=>'CMM_Accomm','table'=>'cmm_accomm_categories','keyfield'=>'AccommCategoryUID','labelfield'=>'AccommCategoryTitle','sort'=>'AccommCategorySort ASC')),
		'AccommCategoryStatus' => array('label'=>'Status','type'=>'radio','position'=>'top','tab'=>9,
			'sqldef'=>'int(1) default \'0\'',
			'options'=>array(array('value'=>1,'text'=>'{LANG_CMM_ENABLED}'),array('value'=>'0','text'=>'{LANG_CMM_DISABLED}'))),
		'AccommCategoryDeleted' => array('label'=>'{LANG_CMM_FIELD_REMOVED}','type'=>'hidden','tab'=>3,
			'sqldef'=>'int(1) default \'0\''),
		'AccommCategorySort' => array('label'=>'Sortierung','type'=>'hidden','position'=>'top','tab'=>3,
			'sqldef'=>'int(10) default \'0\''),
		'AccommCategoryTitle' => array('label'=>'Titel','type'=>'textfield','position'=>'top','tab'=>0,
			'sqldef'=>'varchar(100) collate utf8_unicode_ci default NULL'),
		'AccommCategoryDescription' => array('label'=>'Beschreibung','type'=>'textarea','position'=>'top','tab'=>0,
			'sqldef'=>'text collate utf8_unicode_ci'),
		'AccommCategoryIcon' => array('label'=>'Symbol','type'=>'imagelist','number'=>'1','position'=>'top','dir'=>'data/CMM_Accomm/images/','tab'=>1,
			'sqldef'=>'varchar(100) collate utf8_unicode_ci default NULL'),
		'AccommCategoryAddDate' => array('label'=>'Datum erstellt','type'=>'hidden','position'=>'left','tab'=>0,
			'sqldef'=>'datetime default \'0000-00-00 00:00:00\''),
		'AccommCategoryAddUser' => array('label'=>'Benutzer erstellt','type'=>'hidden','position'=>'left','tab'=>0,
			'sqldef'=>'varchar(32) collate utf8_unicode_ci default \'0\''),
		'AccommCategoryModDate' => array('label'=>'Datum geändert','type'=>'hidden','position'=>'left','tab'=>0,
			'sqldef'=>'datetime default \'0000-00-00 00:00:00\''),
		'AccommCategoryModUser' => array('label'=>'Benutzer geändert','type'=>'hidden','position'=>'left','tab'=>0,
			'sqldef'=>'varchar(32) collate utf8_unicode_ci default \'0\'')
		),
	'tableset' => array(
		'engine' => 'MyISAM',
		'primarykey' => 'UID',
		'charset' => 'utf8',
		'collation' => 'utf8_unicode_ci',
		'comment' => 'Kategorien'
		)
	);

// Datenstamm fuer Orte
$CONFIG['CMM_Accomm']['database']['cmm_accomm_cities'] = array(
	'tabs' => array(0=>'Text',1=>'Media',3=>'Sonstiges'),
	'tablename' => 'cmm_accomm_cities',
	'sort' => 'AccommCityUID DESC',
	'backup' => 1,
	'fieldprefix' => 'AccommCity',
	'fieldset' => array(
		'AccommCityUID' => array('label'=>'ID','type'=>'hidden','tab'=>0,
			'sqldef'=>'int(10) default \'0\''),
		'AccommCityPID' => array('label'=>'Seite','type'=>'hidden','tab'=>0,
			'sqldef'=>'int(10) default \'0\''),
		'AccommCityTID' => array('label'=>'Typ','type'=>'hidden','position'=>'top','value'=>'','tab'=>3,
			'sqldef'=>'int(3) default \'0\''),
		'AccommCityLID' => array('label'=>'Sprache','type'=>'radio','position'=>'top','tab'=>3,
			'sqldef'=>'int(3) default \'0\'',
			'select'=>array('module'=>'CMM','table'=>'cmm_cmm_languages','keyfield'=>'LanguageUID','labelfield'=>'LanguageName','sort'=>'LanguageUID')),
		'AccommCityStatus' => array('label'=>'Status','type'=>'radio','position'=>'top','tab'=>3,
			'sqldef'=>'int(1) default \'0\'',
			'options'=>array(array('value'=>1,'text'=>'{LANG_CMM_ENABLED}'),array('value'=>'0','text'=>'{LANG_CMM_DISABLED}'))),
		'AccommCityDeleted' => array('label'=>'{LANG_CMM_FIELD_REMOVED}','type'=>'hidden','tab'=>3,
			'sqldef'=>'int(1) default \'0\''),
		'AccommCitySort' => array('label'=>'Sortierung','type'=>'hidden','position'=>'top','tab'=>0,
			'sqldef'=>'int(10) default \'0\''),
		'AccommCityTitle' => array('label'=>'Titel','type'=>'textfield','attribs'=>array('required'=>1),'position'=>'top','tab'=>0,
			'sqldef'=>'varchar(255) collate utf8_unicode_ci default NULL'),
		'AccommCityDescription' => array('label'=>'Beschreibung','type'=>'rte','position'=>'top','tab'=>0,
			'sqldef'=>'text collate utf8_unicode_ci'),
		'AccommCityTax' => array('label'=>'Kurabgabe pro Tag und Person','type'=>'textfield','datatype'=>'float','position'=>'left','tab'=>0,
			'sqldef'=>'float(10,2) default \'0\''),
		'AccommCityImages' => array('label'=>'Symbol','type'=>'imagelist','number'=>'1','position'=>'top','dir'=>'data/CMM_Accomm/images/','tab'=>1,
			'sqldef'=>'text collate utf8_unicode_ci'),
		'AccommCityAddUser' => array('label'=>'Benutzer erstellt','type'=>'hidden','position'=>'left','tab'=>0,
			'sqldef'=>'varchar(32) collate utf8_unicode_ci default \'0\''),
		'AccommCityAddDate' => array('label'=>'Datum erstellt','type'=>'hidden','position'=>'left','tab'=>0,
			'sqldef'=>'datetime default \'0000-00-00 00:00:00\''),
		'AccommCityModUser' => array('label'=>'Benutzer geändert','type'=>'hidden','position'=>'left','tab'=>0,
			'sqldef'=>'varchar(32) collate utf8_unicode_ci default \'0\''),
		'AccommCityModDate' => array('label'=>'Datum geändert','type'=>'hidden','position'=>'left','tab'=>0,
			'sqldef'=>'datetime default \'0000-00-00 00:00:00\'')
		),
	'tableset' => array(
		'engine' => 'MyISAM',
		'primarykey' => 'UID',
		'charset' => 'utf8',
		'collation' => 'utf8_unicode_ci',
		'comment' => 'Orte'
		)
	);


// Datenstamm fuer Orte
$CONFIG['CMM_Accomm']['database']['cmm_accomm_contacts'] = array(
	'tabs' => array(0=>'Text',3=>'Sonstiges'),
	'tablename' => 'cmm_accomm_contacts',
	'sort' => 'AccommContactUID DESC',
	'backup' => 1,
	'fieldprefix' => 'AccommContact',
	'fieldset' => array(
		'AccommContactUID' => array('label'=>'ID','type'=>'hidden','tab'=>0,
			'sqldef'=>'int(10) default \'0\''),
		'AccommContactPID' => array('label'=>'Seite','type'=>'hidden','tab'=>0,
			'sqldef'=>'int(10) default \'0\''),
		'AccommContactTID' => array('label'=>'Typ','type'=>'hidden','position'=>'top','value'=>'','tab'=>0,
			'sqldef'=>'int(3) default \'0\''),
		'AccommContactLID' => array('label'=>'Sprache','type'=>'radio','position'=>'top','tab'=>3,
			'sqldef'=>'int(3) default \'0\'',
			'select'=>array('module'=>'CMM','table'=>'cmm_cmm_languages','keyfield'=>'LanguageUID','labelfield'=>'LanguageName','sort'=>'LanguageUID')),
		'AccommContactStatus' => array('label'=>'Status','type'=>'radio','position'=>'top','tab'=>3,
			'sqldef'=>'int(1) default \'0\'',
			'options'=>array(array('value'=>1,'text'=>'{LANG_CMM_ENABLED}'),array('value'=>'0','text'=>'{LANG_CMM_DISABLED}'))),
		'AccommContactDeleted' => array('label'=>'{LANG_CMM_FIELD_REMOVED}','type'=>'hidden','tab'=>3,
			'sqldef'=>'int(1) default \'0\''),
		'AccommContactSort' => array('label'=>'Sortierung','type'=>'hidden','datatype'=>'int','position'=>'top','tab'=>0,
			'sqldef'=>'int(10) default \'0\''),
		'AccommContactCompany' => array('label'=>'Firma','type'=>'textfield','position'=>'top','tab'=>0,
			'sqldef'=>'varchar(255) collate utf8_unicode_ci default NULL'),
		'AccommContactOwner' => array('label'=>'Inhaber / Ansprechpartner','type'=>'textfield','position'=>'left','tab'=>0,
			'sqldef'=>'varchar(100) collate utf8_unicode_ci default NULL'),
		'AccommContactStreet' => array('label'=>'Straße + Nr.','type'=>'textfield','position'=>'left','tab'=>0,
			'sqldef'=>'varchar(100) collate utf8_unicode_ci default NULL'),
		'AccommContactZip' => array('label'=>'PLZ','type'=>'textfield','position'=>'left','tab'=>0,
			'sqldef'=>'varchar(10) collate utf8_unicode_ci default NULL'),
		'AccommContactCity' => array('label'=>'Ort','type'=>'textfield','position'=>'left','tab'=>0,
			'sqldef'=>'varchar(100) collate utf8_unicode_ci default NULL'),
		'AccommContactCountry' => array('label'=>'Land','type'=>'select','position'=>'left','default'=>'DE','tab'=>0,
			'sqldef'=>'varchar(100) collate utf8_unicode_ci default NULL',
			'function'=>array('function'=>'CMM_getInputFieldCountryOptions','value'=>'iso2','text'=>'name')),
		'AccommContactPhone' => array('label'=>'Telefon','type'=>'textfield','position'=>'right','tab'=>0,
			'sqldef'=>'varchar(32) collate utf8_unicode_ci default NULL'),
		'AccommContactFax' => array('label'=>'Fax','type'=>'textfield','position'=>'right','tab'=>0,
			'sqldef'=>'varchar(32) collate utf8_unicode_ci default NULL'),
		'AccommContactEmail' => array('label'=>'E-Mail-Adresse','type'=>'textfield','position'=>'right','tab'=>0,
			'sqldef'=>'varchar(100) collate utf8_unicode_ci default NULL'),
		'AccommContactWeb' => array('label'=>'Website','type'=>'textfield','position'=>'right','tab'=>0,
			'sqldef'=>'varchar(100) collate utf8_unicode_ci default NULL'),
		'AccommContactAddUser' => array('label'=>'Benutzer erstellt','type'=>'hidden','position'=>'left','tab'=>0,
			'sqldef'=>'varchar(32) collate utf8_unicode_ci default \'0\''),
		'AccommContactAddDate' => array('label'=>'Datum erstellt','type'=>'hidden','position'=>'left','tab'=>0,
			'sqldef'=>'datetime default \'0000-00-00 00:00:00\''),
		'AccommContactModUser' => array('label'=>'Benutzer geändert','type'=>'hidden','position'=>'left','tab'=>0,
			'sqldef'=>'varchar(32) collate utf8_unicode_ci default \'0\''),
		'AccommContactModDate' => array('label'=>'Datum geändert','type'=>'hidden','position'=>'left','tab'=>0,
			'sqldef'=>'datetime default \'0000-00-00 00:00:00\'')
		),
	'tableset' => array(
		'engine' => 'MyISAM',
		'primarykey' => 'UID',
		'charset' => 'utf8',
		'collation' => 'utf8_unicode_ci',
		'comment' => 'Vermieter'
		)
	);



////////////////////////////////////////////////////////////////////
// Sortier-Variablen (Administration)                             //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Accomm']['sortVars'] = array();
$CONFIG['CMM_Accomm']['sortVars']['cmm_accomm_items'] = array('AccommItemUID','AccommItemSort','AccommItemStatus','AccommItemTitle','AccommItemAddDate','AccommItemModDate');
$CONFIG['CMM_Accomm']['sortVars']['cmm_accomm_categories'] = array('AccommCategoryUID','AccommCategorySort','AccommCategoryStatus','AccommCategoryTitle','AccommCategoryAddDate','AccommCategoryModDate');
$CONFIG['CMM_Accomm']['sortVars']['cmm_accomm_cities'] = array('AccommCityUID','AccommCitySort','AccommCityStatus','AccommCityTitle','AccommCityAddDate','AccommCityModDate');
$CONFIG['CMM_Accomm']['sortVars']['cmm_accomm_contacts'] = array('AccommContactUID','AccommContactSort','AccommContactStatus','AccommContactCompany','AccommContactOwner','AccommContactCity');


////////////////////////////////////////////////////////////////////
// Filter-Variablen (Administration)                             //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Accomm']['filterVars'] = array();
$CONFIG['CMM_Accomm']['filterVars']['cmm_accomm_items'] = array_keys($CONFIG['CMM_Accomm']['database']['cmm_accomm_items']['fieldset']);
$CONFIG['CMM_Accomm']['filterVars']['cmm_accomm_categories'] = array_keys($CONFIG['CMM_Accomm']['database']['cmm_accomm_categories']['fieldset']);
$CONFIG['CMM_Accomm']['filterVars']['cmm_accomm_cities'] = array_keys($CONFIG['CMM_Accomm']['database']['cmm_accomm_cities']['fieldset']);
$CONFIG['CMM_Accomm']['filterVars']['cmm_accomm_contacts'] = array_keys($CONFIG['CMM_Accomm']['database']['cmm_accomm_contacts']['fieldset']);

// Additional filter fields
$CONFIG['CMM_Accomm']['filterVars']['cmm_accomm_items'][] = 'OPTGROUP:Sonstige';
$CONFIG['CMM_Accomm']['filterVars']['cmm_accomm_items'][] = 'AccommCategoryTitle:Kategorie-Titel';
$CONFIG['CMM_Accomm']['filterVars']['cmm_accomm_items'][] = 'AccommCityTitle:Ort-Titel';
$CONFIG['CMM_Accomm']['filterVars']['cmm_accomm_items'][] = 'AccommContactCompany:Kontakt Firma';
$CONFIG['CMM_Accomm']['filterVars']['cmm_accomm_items'][] = 'AccommContactOwner:Kontakt Name';

?>