<?PHP
/***************************************************************
*  Copyright notice
*
*  (c) 2009-2017 Nicolas Berg
*  All rights reserved
*
*  This script is part of the CMM3 Content-Management-System.
*  CMM3 is provided only under a commercial license until now.
*  Maybe we will add a free license in future.
*
*  This script is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
*
*  This copyright notice MUST APPEAR in all copies of the script!
***************************************************************/

////////////////////////////////////////////////////////////////////
// Modul-Einstellungen                                            //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Banners'] = array();
// Modulpraefix
$CONFIG['CMM_Banners']['key'] = 'CMM_Banners';
// Modulname
$CONFIG['CMM_Banners']['label'] = '{LANG_CMM_BANNERS}';
// Modulbeschreibung
$CONFIG['CMM_Banners']['description'] = '{LANG_CMM_BANNERS_DESC}';
// Module-languages
$CONFIG['CMM_Banners']['languages'] = 'at,de,ch,en';
// Modulicon
$CONFIG['CMM_Banners']['icon'] = 'CMM_Banners.svg';
// Modulversion
$CONFIG['CMM_Banners']['version'] = '1.2.4';
// Dependencies
$CONFIG['CMM_Banners']['depend'] = 'CMM:6.0';


////////////////////////////////////////////////////////////////////
// Set includes for administration                                //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Banners']['BE'] = array();
$CONFIG['CMM_Banners']['BE']['include'] = array();
// PHP
$CONFIG['CMM_Banners']['BE']['include']['PHP'] = array();
// CSS
$CONFIG['CMM_Banners']['BE']['include']['CSS'] = array();
// JS
$CONFIG['CMM_Banners']['BE']['include']['JS'] = array();


////////////////////////////////////////////////////////////////////
// Set includes for website                                       //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Banners']['FE'] = array();
$CONFIG['CMM_Banners']['FE']['include'] = array();
// PHP - starting at CMM_ROOT_DIR
$CONFIG['CMM_Banners']['FE']['include']['PHP'] = array();
// CSS - starting at CMM_ROOT_DIR
$CONFIG['CMM_Banners']['FE']['include']['CSS'] = array('CMM_Banners/template/css/CMM_Banners.css');
// JS - starting at CMM_ROOT_DIR
$CONFIG['CMM_Banners']['FE']['include']['JS'] = array();


////////////////////////////////////////////////////////////////////
// Datenverzeichnisse erstellen                                   //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Banners']['dirs'] = array(
	'data/CMM_Banners/backup/',
	'data/CMM_Banners/images/',
	'data/CMM_Banners/images/logos/'
	);


////////////////////////////////////////////////////////////////////
// Plugins                                                        //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Banners']['plugins'] = array(
	'CMM_Banners_list.php',
	'CMM_Banners_detail.php'
	);


////////////////////////////////////////////////////////////////////
// Weitere Einstellungen                                          //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Banners']['config'] = array();

// Einfacher Modus - ohne Auswahl der Speicherseite
$CONFIG['CMM_Banners']['config']['simpleMode'] = 0;
// Vorschau-Seite Eintrag
$CONFIG['CMM_Banners']['config']['previewPID'] = '';

// Meta-Felder
$CONFIG['CMM_Banners']['config']['metaTitleFields'] = array('BannersItemTitle','BannersItemSubtitle');
$CONFIG['CMM_Banners']['config']['metaKeywordsFields'] = array('BannersItemTitle','BannersItemSubtitle','BannersItemText','BannersItemButton');
$CONFIG['CMM_Banners']['config']['metaDescriptionFields'] = array('BannersItemTitle','BannersItemSubtitle','BannersItemText','BannersItemButton');

// Backup-Ansicht aktivieren
$CONFIG['CMM_Banners']['config']['enableBackup'] = 0;

// Taser-Typen
//$CONFIG['CMM_Banners']['config']['teaserTypes'] = 'Type 1, Type 2, Type 3, Type 4';


////////////////////////////////////////////////////////////////////
// Felddefinitionen fuer Config                                   //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Banners']['configFields'] = array(
	'simpleMode' => array('label'=>'Einfacher Modus ohne Seitenbaum','type'=>'radio','options'=>array(array('value'=>'0','text'=>'{LANG_CMM_NO}'),array('value'=>'1','text'=>'{LANG_CMM_YES}')),'position'=>'left'),
//	'teaserTypes' => array('label'=>'Design: Liste der Design-Typen (,)','type'=>'textfield','datatype'=>'text','position'=>'right'),
	'previewPID' => array('label'=>'Seite: Beitrags-Vorschau','type'=>'linkfield','position'=>'right'),
	'enableBackup' => array('label'=>'Backup aktivieren','type'=>'radio','options'=>array(array('value'=>'0','text'=>'{LANG_CMM_NO}'),array('value'=>'1','text'=>'{LANG_CMM_YES}')),'position'=>'left')
	);


////////////////////////////////////////////////////////////////////
// Einstellungen fuer Suche                                       //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Banners']['config']['search'] = array(
	'label' => '{LANG_CMM_BANNERS_LABEL}',
	'resultPIDparams' => ($CONFIG['CMM']['config']['seoUseSeoUrls']==true ? '/{$BannersItemTitle|validatealias}.{$BannersItemUID}' : '?CMM_Banners[BannersItemUID]={$BannersItemUID}'),
	'resultPIDfilter' => '',
	'tablename' => 'cmm_teaser_items',
	'fieldprefix' => 'BannersItem',
	'join' => array('cmm_teaser_categories|BannersCategoryUID=BannersItemCategories'), // Join-Table|Join-Table-Field=Table-Field|[Join-Table-Field=Value]
	'filter' => array(), // Zusatzfilter
	'titleFields' => array('BannersItemTitle'),
	'textFields' => array('BannersItemSubtitle','BannersItemText'),
	'searchFields' => array('BannersItemTitle','BannersItemSubtitle','BannersItemText'),
	'extraFields' => array('BannersItemTitle'),
	'deletedField' => 'BannersItemDeleted'
	);

?>