<?PHP
/***************************************************************
*  Copyright notice
*
*  (c) 2009-2017 Nicolas Berg
*  All rights reserved
*
*  This script is part of the CMM3 Content-Management-System.
*  CMM3 is provided only under a commercial license until now.
*  Maybe we will add a free license in future.
*
*  This script is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
*
*  This copyright notice MUST APPEAR in all copies of the script!
***************************************************************/

///////////////////////////////////////////////////////////
// Plugin fuer Mitarbeiter-Liste                         //
///////////////////////////////////////////////////////////
// V 1.0 First release
///////////////////////////////////////////////////////////
include_once(CMM_ROOT_DIR.'CMM_Banners/index.php');

/* PARAMS START - Marker-Comments required! */
$params = array(
	'templateFile'=>'CMM_Banners/template/html/CMM_Banners_detail.html',
	'dataPID'=>'',
	'UID'=>'{$_REQUEST["CMM_Banners"]["BannersItemUID"]}',
	'UIDinPageAlias'=>1,
	'CID'=>'{$_REQUEST["CMM_Banners"]["BannersItemCID"]}',
	'CIDinPageAlias'=>1,
	'TID'=>'',
	'limit'=>'100',
	'filter'=>'',
	'sort'=>'',
	'start'=>'',
	'preview' => '{$_REQUEST["preview"]}',
	'cacheTimeout'=>0
	);
/* PARAMS END */

/* FIELDSET START - Marker-Comments required! */
$fieldset = array(
	'templateFile' => array('label'=>'HTML-Vorlagen-Datei','type'=>'textfield','datatype'=>'text','position'=>'center'),
	'dataPID' => array('label'=>'Datensätze (PID)','type'=>'linkfield','position'=>'left'),
	'UID' => array('label'=>'Eintrag: nur diesen anzeigen (UID)','type'=>'textfield','datatype'=>'text','position'=>'right','shy'=>1),
	'UIDinPageAlias' => array('label'=>'UID (Einträge) aus SEO-URL ermitteln','type'=>'radio','options'=>array(array('value'=>'0','text'=>'{LANG_CMM_NO}'),array('value'=>'1','text'=>'{LANG_CMM_YES}')),'position'=>'left2'),
	'CID' => array('label'=>'Kategorien (CID)','type'=>'multiselect','size'=>'5','multiple'=>'1','select'=>array('module'=>'CMM_Banners','table'=>'cmm_banners_categories','keyfield'=>'BannersCategoryUID','labelfield'=>'BannersCategoryUID,BannersCategoryTitle','LID'=>'{$CURRENT["language"]}'),'position'=>'top'),
	'CIDinPageAlias' => array('label'=>'CID (Kategorie) aus SEO-URL ermitteln','type'=>'radio','options'=>array(array('value'=>'0','text'=>'{LANG_CMM_NO}'),array('value'=>'1','text'=>'{LANG_CMM_YES}')),'position'=>'right2'),
	'TID' => array('label'=>'Banner-Design (überschreibt Auswahl im Banner)','type'=>'select','options'=>array(array('value'=>1,'text'=>'Typ 1'),array('value'=>2,'text'=>'Typ 2'),array('value'=>3,'text'=>'Typ 3'),array('value'=>4,'text'=>'Typ 4')),'position'=>'left'),
	'limit' => array('label'=>'Einträge pro Seite (Anzahl oder Variable)','type'=>'textfield','datatype'=>'code','position'=>'right'),
	'filter' => array('label'=>'Filter','type'=>'textfield','datatype'=>'code','position'=>'center'),
	'sort' => array('label'=>'Sortierung','type'=>'select','options'=>array(array('value'=>'UID','text'=>'wie im Feld UID definiert'),array('value'=>'BannersItemSort ASC','text'=>'Sortierfeld 1,2,3'),array('value'=>'BannersItemSort DESC','text'=>'Sortierfeld 3,2,1'),array('value'=>'BannersItemTitle ASC','text'=>'Titel A,B,C'),array('value'=>'BannersItemTitle DESC','text'=>'Titel C,B,A'),array('value'=>'RAND()','text'=>'Zufall')),'position'=>'top'),
	'start' => array('label'=>'Liste beginnen bei (Anzahl oder Variable)','type'=>'hidden','position'=>'right'),
	'preview' => array('label'=>'Vorschau: Preview-Code (Variable)','type'=>'textfield','datatype'=>'text','position'=>'right','shy'=>1),
	'cacheTimeout' => array('label'=>'{LANG_CMM_CACHE_TIMEOUT}','type'=>'textfield','datatype'=>'int','position'=>'bottom','shy'=>1)
	);
/* FIELDSET END */

// Set customer group
$params['CustomerCustomergroupID'] = isset($GLOBALS['CustomergroupUID']) ? $GLOBALS['CustomergroupUID'] : 0;
// Set language
$params['LID'] = isset($GLOBALS['LanguageUID']) ? $GLOBALS['LanguageUID'] : 1;

// Merge params and pluginParams
$params = CMM_mergePluginParams($params,$pluginParams);

// UID/CID aus Pagetail ermitteln
if($CONFIG['CMM']['config']['seoUseSeoUrls']==true)
	{
	if(isset($params['CID']) && strstr($params['CID'],'{') && substr_count($GLOBALS['PageTail'],'/') > 1)
		{
		$tempCID = CMM_getPagetailParams($GLOBALS['PageTail'],'first');
		!empty($tempCID) ? $params['CID'] = $tempCID : '';
		}
	if(isset($params['UID']) && stristr($params['UID'],'{') && !empty($GLOBALS['PageTail']))
		{
		$tempUID = CMM_getPagetailParams($GLOBALS['PageTail'],'last');
		!empty($tempUID) ? $params['UID'] = $tempUID : '';
		}
	}

// Inhalt ausgeben
$extBannersList = new CMM_Banners;
$pluginContent = $extBannersList->createContent($params);

unset($params);
?>