<?PHP
/***************************************************************
*  Copyright notice
*
*  (c) 2009-2017 Nicolas Berg
*  All rights reserved
*
*  This script is part of the CMM3 Content-Management-System.
*  CMM3 is provided only under a commercial license until now.
*  Maybe we will add a free license in future.
*
*  This script is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
*
*  This copyright notice MUST APPEAR in all copies of the script!
***************************************************************/

// V 1.0 First release

////////////////////////////////////////////////////////////////////
// Modul-Anzeigen                                                 //
////////////////////////////////////////////////////////////////////
// - label: Bezeichnung des Feldes
// - table: Haupt-Datenbanktabelle
// - userLevel: Berechntigungsstufe fuer Datensaetze
// - navi: Anzeige in der Hauptnavigation
$CONFIG['CMM_Banners']['views'] = array();
$CONFIG['CMM_Banners']['views']['INDEX'] = array('label'=>'{LANG_CMM_BANNERS_VIEW_INDEX}','userLevel'=>1);
$CONFIG['CMM_Banners']['views']['ITEMS'] = array('label'=>'{LANG_CMM_BANNERS_VIEW_ITEMS}','table'=>'cmm_banners_items','userLevel'=>1,'inNavi'=>1);
$CONFIG['CMM_Banners']['views']['CUSTOMERS'] = array('label'=>'{LANG_CMM_BANNERS_VIEW_CUSTOMERS}','table'=>'cmm_banners_customers','userLevel'=>1,'inNavi'=>1);
$CONFIG['CMM_Banners']['views']['CATEGORIES'] = array('label'=>'{LANG_CMM_BANNERS_VIEW_CATEGORIES}','table'=>'cmm_banners_categories','userLevel'=>1,'inNavi'=>1);
$CONFIG['CMM_Banners']['views']['CONFIG'] = array('label'=>'{LANG_CMM_BANNERS_VIEW_CONFIG}','table'=>'cmm_cmm_config','userLevel'=>6,'inNavi'=>1);
$CONFIG['CMM_Banners']['views']['BACKUP'] = array('label'=>'{LANG_CMM_BANNERS_VIEW_BACKUP}','userLevel'=>1,'inNavi'=>(!empty($GLOBALS['isBackend']) && !empty($CUSTOM['CMM_Banners']['config']['enableBackup']) ? 1 : 0));
$CONFIG['CMM_Banners']['views']['INSTALL'] = array('label'=>'{LANG_CMM_BANNERS_VIEW_INSTALL}','userLevel'=>3);


////////////////////////////////////////////////////////////////////
// Modulfunktionen                                                //
////////////////////////////////////////////////////////////////////
// - label: Bezeichnung des Feldes
// - area: Anzeige-Bereich
// - userLevel: Berechntigungsstufe fuer Datensaetze
// - icon: Icon fuer Listenansicht
// - action: Aktion, die ausgefuehrt werden soll
// - clipboardAction: Aktion, die spaeter ausgefuehrt werden soll
// - message: Frage vor Ausfuerung der Funktion
// - condition: Bedingung pruefen (Datenbankfeld) item/_SESSION/_GET/_POST/_COOKIE/_ENV[keyvar]==value
// - file: Funktion in externer Datei ausfuehren
// - target: Zielfenster fuer Funktion

$CONFIG['CMM_Banners']['views']['ITEMS']['actions'] = array(
	'LIST' => array('label'=>'{LANG_CMM_ACTION_LIST}','userLevel'=>0),
	'NEW' => array('label'=>'{LANG_CMM_BANNERS_ITEM} - {LANG_CMM_ACTION_NEW}','area'=>'listhead','userLevel'=>1,'icon'=>'icon-action-new.svg'),
	'EDIT' => array('label'=>'{LANG_CMM_ACTION_EDIT}','area'=>'list','userLevel'=>1,'icon'=>'icon-action-edit.svg'),
	'ENABLE' => array('label'=>'{LANG_CMM_ACTION_ENABLE}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-enable.svg','condition'=>'$item["BannersItemStatus"]==0'),
	'DISABLE' => array('label'=>'{LANG_CMM_ACTION_DISABLE}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-disable.svg','condition'=>'$item["BannersItemStatus"]==1'),
	'UP' => array('label'=>'{LANG_CMM_ACTION_UP}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-up.svg','condition'=>'$item["firstItem"]!=true && $CURRENT["sort"]=="BannersItemSort ASC"'),
	'DOWN' => array('label'=>'{LANG_CMM_ACTION_DOWN}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-down.svg','condition'=>'$item["lastItem"]!=true && $CURRENT["sort"]=="BannersItemSort ASC"'),
	'SAVE' => array('label'=>'{LANG_CMM_ACTION_SAVE}','area'=>'singlehead','userLevel'=>3,'icon'=>'icon-action-save.svg'),
	'SAVENEW' => array('label'=>'{LANG_CMM_ACTION_SAVENEW}','area'=>'singlehead','userLevel'=>3,'icon'=>'icon-action-save-and-new.svg'),
	'SAVECLOSE' => array('label'=>'{LANG_CMM_ACTION_SAVECLOSE}','area'=>'singlehead','userLevel'=>3,'icon'=>'icon-action-save-and-close.svg'),
	'CLOSE' => array('label'=>'{LANG_CMM_ACTION_CLOSE}','area'=>'singlehead','userLevel'=>1,'icon'=>'icon-action-close.svg'),
	'CUT' => array('label'=>'{LANG_CMM_ACTION_CUT}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-cut.svg'),
	'COPY' => array('label'=>'{LANG_CMM_ACTION_COPY}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-copy.svg'),
	'PASTE' => array('label'=>'{LANG_CMM_ACTION_PASTE}','area'=>'listhead','userLevel'=>3,'icon'=>'icon-action-paste.svg','UID'=>(!empty($GLOBALS['isBackend']) && isset($_SESSION[$CURRENT["module"]][$CURRENT["view"]]['clipboard']) ? $_SESSION[$CURRENT["module"]][$CURRENT["view"]]['clipboard']['id'] : ''),'condition'=>'!empty($_SESSION[$CURRENT["module"]][$CURRENT["view"]]["clipboard"])'),
	'REMOVE' => array('label'=>'{LANG_CMM_ACTION_REMOVE}','area'=>'list,singlehead','userLevel'=>3,'icon'=>'icon-action-remove.svg','condition'=>'$item["BannersItemUID"]>0','message'=>'{LANG_CMM_ACTION_REMOVE_CONFIRM}'),
	'CLIPBOARDCLEAR' => array('label'=>'{LANG_CMM_ACTION_CLIPBOARDCLEAR}','area'=>'listhead','userLevel'=>3,'icon'=>'icon-action-clipboard-clear.svg','condition'=>'isset($_SESSION[$CURRENT["module"]][$CURRENT["view"]]["clipboard"])')
	);

$CONFIG['CMM_Banners']['views']['CUSTOMERS']['actions'] = array(
	'LIST' => array('label'=>'{LANG_CMM_ACTION_LIST}','userLevel'=>0),
	'NEW' => array('label'=>'{LANG_CMM_BANNERS_CATEGORY} - {LANG_CMM_ACTION_NEW}','area'=>'listhead','userLevel'=>1,'icon'=>'icon-action-new.svg'),
	'EDIT' => array('label'=>'{LANG_CMM_ACTION_EDIT}','area'=>'list','userLevel'=>1,'icon'=>'icon-action-edit.svg'),
	'ENABLE' => array('label'=>'{LANG_CMM_ACTION_ENABLE}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-enable.svg','condition'=>'$item["BannersCustomerStatus"]==0'),
	'DISABLE' => array('label'=>'{LANG_CMM_ACTION_DISABLE}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-disable.svg','condition'=>'$item["BannersCustomerStatus"]==1'),
	'UP' => array('label'=>'{LANG_CMM_ACTION_UP}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-up.svg','condition'=>'$item["firstItem"]!=true && $CURRENT["sort"]=="BannersCustomerSort ASC"'),
	'DOWN' => array('label'=>'{LANG_CMM_ACTION_DOWN}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-down.svg','condition'=>'$item["lastItem"]!=true && $CURRENT["sort"]=="BannersCustomerSort ASC"'),
	'SAVE' => array('label'=>'{LANG_CMM_ACTION_SAVE}','area'=>'singlehead','userLevel'=>3,'icon'=>'icon-action-save.svg'),
	'SAVENEW' => array('label'=>'{LANG_CMM_ACTION_SAVENEW}','area'=>'singlehead','userLevel'=>3,'icon'=>'icon-action-save-and-new.svg'),
	'SAVECLOSE' => array('label'=>'{LANG_CMM_ACTION_SAVECLOSE}','area'=>'singlehead','userLevel'=>3,'icon'=>'icon-action-save-and-close.svg'),
	'CLOSE' => array('label'=>'{LANG_CMM_ACTION_CLOSE}','area'=>'singlehead','userLevel'=>1,'icon'=>'icon-action-close.svg'),
	'CUT' => array('label'=>'{LANG_CMM_ACTION_CUT}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-cut.svg'),
	'COPY' => array('label'=>'{LANG_CMM_ACTION_COPY}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-copy.svg'),
	'PASTE' => array('label'=>'{LANG_CMM_ACTION_PASTE}','area'=>'listhead','userLevel'=>3,'icon'=>'icon-action-paste.svg','UID'=>(!empty($GLOBALS['isBackend']) && isset($_SESSION[$CURRENT["module"]][$CURRENT["view"]]['clipboard']) ? $_SESSION[$CURRENT["module"]][$CURRENT["view"]]['clipboard']['id'] : ''),'condition'=>'!empty($_SESSION[$CURRENT["module"]][$CURRENT["view"]]["clipboard"])'),
	'REMOVE' => array('label'=>'{LANG_CMM_ACTION_REMOVE}','area'=>'list,singlehead','userLevel'=>3,'icon'=>'icon-action-remove.svg','condition'=>'$item["BannersCustomerUID"]>0','message'=>'{LANG_CMM_ACTION_REMOVE_CONFIRM}'),
	'CLIPBOARDCLEAR' => array('label'=>'{LANG_CMM_ACTION_CLIPBOARDCLEAR}','area'=>'listhead','userLevel'=>3,'icon'=>'icon-action-clipboard-clear.svg','condition'=>'isset($_SESSION[$CURRENT["module"]][$CURRENT["view"]]["clipboard"])')
	);

$CONFIG['CMM_Banners']['views']['CATEGORIES']['actions'] = array(
	'LIST' => array('label'=>'{LANG_CMM_ACTION_LIST}','userLevel'=>0),
	'NEW' => array('label'=>'{LANG_CMM_BANNERS_CATEGORY} - {LANG_CMM_ACTION_NEW}','area'=>'listhead','userLevel'=>1,'icon'=>'icon-action-new.svg'),
	'EDIT' => array('label'=>'{LANG_CMM_ACTION_EDIT}','area'=>'list','userLevel'=>1,'icon'=>'icon-action-edit.svg'),
	'ENABLE' => array('label'=>'{LANG_CMM_ACTION_ENABLE}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-enable.svg','condition'=>'$item["BannersCategoryStatus"]==0'),
	'DISABLE' => array('label'=>'{LANG_CMM_ACTION_DISABLE}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-disable.svg','condition'=>'$item["BannersCategoryStatus"]==1'),
	'UP' => array('label'=>'{LANG_CMM_ACTION_UP}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-up.svg','condition'=>'$item["firstItem"]!=true && $CURRENT["sort"]=="BannersCategorySort ASC"'),
	'DOWN' => array('label'=>'{LANG_CMM_ACTION_DOWN}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-down.svg','condition'=>'$item["lastItem"]!=true && $CURRENT["sort"]=="BannersCategorySort ASC"'),
	'SAVE' => array('label'=>'{LANG_CMM_ACTION_SAVE}','area'=>'singlehead','userLevel'=>3,'icon'=>'icon-action-save.svg'),
	'SAVENEW' => array('label'=>'{LANG_CMM_ACTION_SAVENEW}','area'=>'singlehead','userLevel'=>3,'icon'=>'icon-action-save-and-new.svg'),
	'SAVECLOSE' => array('label'=>'{LANG_CMM_ACTION_SAVECLOSE}','area'=>'singlehead','userLevel'=>3,'icon'=>'icon-action-save-and-close.svg'),
	'CLOSE' => array('label'=>'{LANG_CMM_ACTION_CLOSE}','area'=>'singlehead','userLevel'=>1,'icon'=>'icon-action-close.svg'),
	'CUT' => array('label'=>'{LANG_CMM_ACTION_CUT}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-cut.svg'),
	'COPY' => array('label'=>'{LANG_CMM_ACTION_COPY}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-copy.svg'),
	'PASTE' => array('label'=>'{LANG_CMM_ACTION_PASTE}','area'=>'listhead','userLevel'=>3,'icon'=>'icon-action-paste.svg','UID'=>(!empty($GLOBALS['isBackend']) && isset($_SESSION[$CURRENT["module"]][$CURRENT["view"]]['clipboard']) ? $_SESSION[$CURRENT["module"]][$CURRENT["view"]]['clipboard']['id'] : ''),'condition'=>'!empty($_SESSION[$CURRENT["module"]][$CURRENT["view"]]["clipboard"])'),
	'REMOVE' => array('label'=>'{LANG_CMM_ACTION_REMOVE}','area'=>'list,singlehead','userLevel'=>3,'icon'=>'icon-action-remove.svg','condition'=>'$item["BannersCategoryUID"]>0','message'=>'{LANG_CMM_ACTION_REMOVE_CONFIRM}'),
	'CLIPBOARDCLEAR' => array('label'=>'{LANG_CMM_ACTION_CLIPBOARDCLEAR}','area'=>'listhead','userLevel'=>3,'icon'=>'icon-action-clipboard-clear.svg','condition'=>'isset($_SESSION[$CURRENT["module"]][$CURRENT["view"]]["clipboard"])')
	);

$CONFIG['CMM_Banners']['views']['BACKUP']['actions'] = array(
	'BACKUP' => array('label'=>'Datensicherung','userLevel'=>1,'inNavi'=>1),
	'INSTALLDB' => array('label'=>'Datenbanktabellen konfigurieren','userLevel'=>6),
	'BACKUPMAKE' => array('label'=>'Sicherung erstellen','userLevel'=>6,'inNavi'=>0),
	'BACKUPRESTORE' => array('label'=>'Sicherung zurückschreiben','userLevel'=>6,'inNavi'=>0),
	'BACKUPREMOVE' => array('label'=>'Sicherung löschen','userLevel'=>6,'inNavi'=>0)
	);

$CONFIG['CMM_Banners']['views']['CONFIG']['actions'] = array(
	'CONFIG' => array('label'=>'Konfiguration','userLevel'=>1,'inNavi'=>1),
	'CONFIGSAVE' => array('label'=>'Konfiguration','area'=>'singlehead','userLevel'=>6,'icon'=>'icon-action-save.svg')
	);

$CONFIG['CMM_Banners']['views']['INSTALL']['actions'] = array(
	'INSTALL' => array('label'=>'Installation','userLevel'=>6,'inNavi'=>0)
	);


////////////////////////////////////////////////////////////////////
// Datenbank-Tabellen                                             //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Banners']['database'] = array();

// Datenstamm fuer Banners
$CONFIG['CMM_Banners']['database']['cmm_banners_items'] = array(
	'tabs' => array(0=>'Standard',1=>'Media',2=>'Plugins',3=>'Sonstiges',9=>'Anzeige'),
	'tablename' => 'cmm_banners_items',
	'sort' => 'BannersItemUID DESC',
	'backup' => 1,
	'fieldprefix' => 'BannersItem',
	'fieldset' => array(
		'BannersItemUID' => array('label'=>'ID','type'=>'hidden','position'=>'top','tab'=>0,
			'sqldef'=>'int(10) default \'0\''),
		'BannersItemPID' => array('label'=>'ParentID','type'=>'hidden','position'=>'top','tab'=>0,
			'sqldef'=>'int(10) default \'0\''),
		'BannersItemTID' => array('label'=>'Typ/Style','type'=>'select','position'=>'left','tab'=>0,'shy'=>1,
			'sqldef'=>'int(3) default \'0\'',
			'options'=>array(array('value'=>1,'text'=>'Style 1'),array('value'=>2,'text'=>'Style 2'),array('value'=>3,'text'=>'Style 3'),array('value'=>4,'text'=>'Style 4'))),
		'BannersItemLID' => array('label'=>'Sprache','type'=>'radio','position'=>'top','tab'=>3,
			'sqldef'=>'int(3) default \'0\'',
			'select'=>array('module'=>'CMM','table'=>'cmm_cmm_languages','keyfield'=>'LanguageUID','labelfield'=>'LanguageName','sort'=>'LanguageUID')),
		'BannersItemCID' => array('label'=>'Kategorie(n)','type'=>'select','position'=>'left','tab'=>0,
			'sqldef'=>'varchar(100) collate utf8_unicode_ci default NULL',
			'select'=>array('module'=>'CMM_Banners','table'=>'cmm_banners_categories','keyfield'=>'BannersCategoryUID','labelfield'=>'BannersCategoryTitle','LID'=>'{$CURRENT["language"]}'),
			'join'=>array('module'=>'CMM_Banners','table'=>'cmm_banners_categories','keyfield'=>'BannersCategoryUID')),
		'BannersItemStatus' => array('label'=>'Status','type'=>'radio','position'=>'top','tab'=>9,
			'sqldef'=>'int(1) default \'0\'',
			'options'=>array(array('value'=>1,'text'=>'{LANG_CMM_ENABLED}'),array('value'=>'0','text'=>'{LANG_CMM_DISABLED}'))),
		'BannersItemDeleted' => array('label'=>'{LANG_CMM_FIELD_REMOVED}','type'=>'hidden','tab'=>3,
			'sqldef'=>'int(1) default \'0\''),
		'BannersItemSort' => array('label'=>'Sortierung','type'=>'hidden','position'=>'top','tab'=>3,
			'sqldef'=>'int(10) default \'0\''),
		'BannersItemStart' => array('label'=>'Start','type'=>'datetime','position'=>'left','tab'=>9,
			'sqldef'=>'datetime default NULL'),
		'BannersItemStop' => array('label'=>'Ende','type'=>'datetime','position'=>'right','tab'=>9,
			'sqldef'=>'datetime default NULL'),
		'BannersItemCustomergroupID' => array('label'=>'Anzeige für Benutzergruppen','type'=>'multiselect','attribs'=>array('multiple'=>1,'size'=>6),'position'=>'bottom','tab'=>9,
			'sqldef'=>'varchar(255) collate utf8_unicode_ci default NULL',
			'options'=>array('none'=>array('value'=>'0','text'=>'{LANG_CMM_IF_LOGGED_OUT}'),'all'=>array('value'=>'*','text'=>'{LANG_CMM_IF_LOGGED_IN}')),
			'select'=>array('module'=>'CMM','table'=>'cmm_cmm_customergroups','keyfield'=>'CustomergroupUID','labelfield'=>'CustomergroupUID,CustomergroupName','sort'=>'CustomergroupUID')),
		'BannersItemCustomer' => array('label'=>'Bannerkunde','type'=>'select','attribs'=>array('required'=>1),'position'=>'top','tab'=>0,
			'sqldef'=>'int(10) default \'0\'',
			'select'=>array('module'=>'CMM_Banners','table'=>'cmm_banners_customers','keyfield'=>'BannersCustomerUID','labelfield'=>'BannersCustomerName','sort'=>'BannersCustomerName'),
			'join'=>array('module'=>'CMM_Banners','table'=>'cmm_banners_customers','keyfield'=>'BannersCustomerUID')),
		'BannersItemTitle' => array('label'=>'Titel','type'=>'textfield','position'=>'top','tab'=>0,
			'sqldef'=>'varchar(100) collate utf8_unicode_ci default NULL'),
		'BannersItemTitleHide' => array('label'=>'Titel verbergen','type'=>'checkbox','position'=>'right','tab'=>0,'shy'=>1,
			'sqldef'=>'int(1) default \'0\'',
			'options'=>array(array('value'=>1,'text'=>'verbergen'))),
		'BannersItemSubtitle' => array('label'=>'Untertitel','type'=>'textfield','position'=>'top','tab'=>0,'shy'=>1,
			'sqldef'=>'varchar(100) collate utf8_unicode_ci default NULL'),
		'BannersItemText' => array('label'=>'Text','type'=>'rte','position'=>'bottom','attribs'=>array('rows'=>6),'tab'=>0,
			'sqldef'=>'text collate utf8_unicode_ci'),
		'BannersItemButton' => array('label'=>'Button-Text','type'=>'textfield','position'=>'bottom','tab'=>0,
			'sqldef'=>'varchar(100) collate utf8_unicode_ci default NULL'),
		'BannersItemLink' => array('label'=>'Link','type'=>'linkfield','position'=>'bottom','tab'=>0,
			'sqldef'=>'varchar(255) collate utf8_unicode_ci default NULL'),
		'BannersItemLinkDirect' => array('label'=>'Direkt verlinken','type'=>'checkbox','position'=>'left','tab'=>0,'shy'=>1,
			'sqldef'=>'int(1) default \'0\'',
			'options'=>array(array('value'=>'1','text'=>'{LANG_CMM_YES}'))),
		'BannersItemIcon' => array('label'=>'Icon','type'=>'iconfield','position'=>'right','tab'=>0,'shy'=>1,
			'sqldef'=>'varchar(100) collate utf8_unicode_ci default NULL'),
		'BannersItemBackground' => array('label'=>'Hintergrund-Farbe','type'=>'colorfield','position'=>'right','tab'=>0,'shy'=>1,
			'sqldef'=>'varchar(32) collate utf8_unicode_ci default NULL'),
		'BannersItemImages' => array('label'=>'Bilder','type'=>'imagelist','position'=>'top','number'=>1,'dir'=>'data/CMM_Banners/images/','position'=>'top','tab'=>1,
			'sqldef'=>'text collate utf8_unicode_ci'),
		'BannersItemCounter' => array('label'=>'Counter','type'=>'textfield','datatype'=>'int',/*'attribs'=>array('readonly'=>'readonly'),*/'position'=>'top','tab'=>3,'shy'=>1,
			'sqldef'=>'int(10) default \'0\''),
		'BannersItemPreview' => array('label'=>'Preview-Code','type'=>'textfield','position'=>'left','tab'=>3,
			'sqldef'=>'varchar(10) collate utf8_unicode_ci default NULL'),
		'BannersItemAddDate' => array('label'=>'Datum erstellt','type'=>'hidden','position'=>'left','tab'=>0,
			'sqldef'=>'datetime default \'0000-00-00 00:00:00\''),
		'BannersItemAddUser' => array('label'=>'Benutzer erstellt','type'=>'hidden','position'=>'left','tab'=>0,
			'sqldef'=>'varchar(32) collate utf8_unicode_ci default \'0\''),
		'BannersItemModDate' => array('label'=>'Datum geändert','type'=>'hidden','position'=>'left','tab'=>0,
			'sqldef'=>'datetime default \'0000-00-00 00:00:00\''),
		'BannersItemModUser' => array('label'=>'Benutzer geändert','type'=>'hidden','position'=>'left','tab'=>0,
			'sqldef'=>'varchar(32) collate utf8_unicode_ci default \'0\'')
		),
	'tableset' => array(
		'engine' => 'MyISAM',
		'primarykey' => 'UID',
		'charset' => 'utf8',
		'collation' => 'utf8_unicode_ci',
		'comment' => 'Banner'
		)
	);
	
// Datenstamm fuer Kunden
$CONFIG['CMM_Banners']['database']['cmm_banners_customers'] = array(
	'tabs' => array(0=>'Standard',1=>'Media',2=>'Plugins',3=>'Sonstiges',9=>'Anzeige'),
	'tablename' => 'cmm_banners_customers',
	'sort' => 'BannersCustomerUID DESC',
	'backup' => 1,
	'fieldprefix' => 'BannersCustomer',
	'fieldset' => array(
		'BannersCustomerUID' => array('label'=>'ID','type'=>'hidden','position'=>'top','tab'=>0,
			'sqldef'=>'int(10) default \'0\''),
		'BannersCustomerPID' => array('label'=>'ParentID','type'=>'hidden','position'=>'top','tab'=>0,
			'sqldef'=>'int(10) default \'0\''),
		'BannersCustomerTID' => array('label'=>'Typ/Kategorie','type'=>'hidden','position'=>'top','tab'=>3,
			'sqldef'=>'int(3) default \'0\''),
		'BannersCustomerLID' => array('label'=>'Sprache','type'=>'hidden','value'=>0,'position'=>'top','tab'=>3,
			'sqldef'=>'int(3) default \'0\''),
	//	'BannersCustomerLID' => array('label'=>'Sprache','type'=>'radio','position'=>'top','tab'=>3,
	//		'sqldef'=>'int(3) default \'0\'',
	//		'select'=>array('module'=>'CMM','table'=>'cmm_cmm_languages','keyfield'=>'LanguageUID','labelfield'=>'LanguageName','sort'=>'LanguageUID')),
		'BannersCustomerStatus' => array('label'=>'Status','type'=>'radio','position'=>'top','tab'=>9,
			'sqldef'=>'int(1) default \'0\'',
			'options'=>array(array('value'=>1,'text'=>'{LANG_CMM_ENABLED}'),array('value'=>'0','text'=>'{LANG_CMM_DISABLED}'))),
		'BannersCustomerDeleted' => array('label'=>'{LANG_CMM_FIELD_REMOVED}','type'=>'hidden','tab'=>3,
			'sqldef'=>'int(1) default \'0\''),
		'BannersCustomerSort' => array('label'=>'Sortierung','type'=>'hidden','position'=>'top','tab'=>3,
			'sqldef'=>'int(10) default \'0\''),
		'BannersCustomerName' => array('label'=>'Name','type'=>'textfield','position'=>'top','tab'=>0,
			'sqldef'=>'varchar(100) collate utf8_unicode_ci default NULL'),
		'BannersCustomerDescription' => array('label'=>'Beschreibung','type'=>'textarea','position'=>'top','tab'=>0,
			'sqldef'=>'text collate utf8_unicode_ci'),
		'BannersCustomerLogo' => array('label'=>'Logo','type'=>'imagelist','number'=>'1','position'=>'top','dir'=>'data/CMM_Banners/images/logos/','tab'=>1,
			'sqldef'=>'varchar(100) collate utf8_unicode_ci default NULL'),
		'BannersCustomerAddDate' => array('label'=>'Datum erstellt','type'=>'hidden','position'=>'left','tab'=>0,
			'sqldef'=>'datetime default \'0000-00-00 00:00:00\''),
		'BannersCustomerAddUser' => array('label'=>'Benutzer erstellt','type'=>'hidden','position'=>'left','tab'=>0,
			'sqldef'=>'varchar(32) collate utf8_unicode_ci default \'0\''),
		'BannersCustomerModDate' => array('label'=>'Datum geändert','type'=>'hidden','position'=>'left','tab'=>0,
			'sqldef'=>'datetime default \'0000-00-00 00:00:00\''),
		'BannersCustomerModUser' => array('label'=>'Benutzer geändert','type'=>'hidden','position'=>'left','tab'=>0,
			'sqldef'=>'varchar(32) collate utf8_unicode_ci default \'0\'')
		),
	'tableset' => array(
		'engine' => 'MyISAM',
		'primarykey' => 'UID',
		'charset' => 'utf8',
		'collation' => 'utf8_unicode_ci',
		'comment' => 'Kunden'
		)
	);

// Datenstamm fuer Kategorien
$CONFIG['CMM_Banners']['database']['cmm_banners_categories'] = array(
	'tabs' => array(0=>'Standard',1=>'Media',2=>'Plugins',3=>'Sonstiges',9=>'Anzeige'),
	'tablename' => 'cmm_banners_categories',
	'sort' => 'BannersCategoryUID DESC',
	'backup' => 1,
	'fieldprefix' => 'BannersCategory',
	'fieldset' => array(
		'BannersCategoryUID' => array('label'=>'ID','type'=>'hidden','position'=>'top','tab'=>0,
			'sqldef'=>'int(10) default \'0\''),
		'BannersCategoryPID' => array('label'=>'ParentID','type'=>'hidden','position'=>'top','tab'=>0,
			'sqldef'=>'int(10) default \'0\''),
		'BannersCategoryTID' => array('label'=>'Typ/Kategorie','type'=>'hidden','position'=>'top','tab'=>3,
			'sqldef'=>'int(3) default \'0\''),
		'BannersCategoryLID' => array('label'=>'Sprache','type'=>'radio',
			'sqldef'=>'int(3) default \'0\'','position'=>'top','tab'=>3,
			'select'=>array('module'=>'CMM','table'=>'cmm_cmm_languages','keyfield'=>'LanguageUID','labelfield'=>'LanguageName','sort'=>'LanguageUID')),
		'BannersCategoryStatus' => array('label'=>'Status','type'=>'radio','position'=>'top','tab'=>9,
			'sqldef'=>'int(1) default \'0\'',
			'options'=>array(array('value'=>1,'text'=>'{LANG_CMM_ENABLED}'),array('value'=>'0','text'=>'{LANG_CMM_DISABLED}'))),
		'BannersCategoryDeleted' => array('label'=>'{LANG_CMM_FIELD_REMOVED}','type'=>'hidden','tab'=>3,
			'sqldef'=>'int(1) default \'0\''),
		'BannersCategorySort' => array('label'=>'Sortierung','type'=>'hidden','position'=>'top','tab'=>3,
			'sqldef'=>'int(10) default \'0\''),
		'BannersCategoryTitle' => array('label'=>'Titel','type'=>'textfield','position'=>'top','tab'=>0,
			'sqldef'=>'varchar(100) collate utf8_unicode_ci default NULL'),
		'BannersCategoryDescription' => array('label'=>'Beschreibung','type'=>'textarea','position'=>'top','tab'=>0,
			'sqldef'=>'text collate utf8_unicode_ci'),
		'BannersCategoryIcon' => array('label'=>'Symbol','type'=>'imagelist','number'=>'1','position'=>'top','dir'=>'data/CMM_Banners/icons/','tab'=>1,
			'sqldef'=>'varchar(100) collate utf8_unicode_ci default NULL'),
		'BannersCategoryAddDate' => array('label'=>'Datum erstellt','type'=>'hidden','position'=>'left','tab'=>0,
			'sqldef'=>'datetime default \'0000-00-00 00:00:00\''),
		'BannersCategoryAddUser' => array('label'=>'Benutzer erstellt','type'=>'hidden','position'=>'left','tab'=>0,
			'sqldef'=>'varchar(32) collate utf8_unicode_ci default \'0\''),
		'BannersCategoryModDate' => array('label'=>'Datum geändert','type'=>'hidden','position'=>'left','tab'=>0,
			'sqldef'=>'datetime default \'0000-00-00 00:00:00\''),
		'BannersCategoryModUser' => array('label'=>'Benutzer geändert','type'=>'hidden','position'=>'left','tab'=>0,
			'sqldef'=>'varchar(32) collate utf8_unicode_ci default \'0\'')
		),
	'tableset' => array(
		'engine' => 'MyISAM',
		'primarykey' => 'UID',
		'charset' => 'utf8',
		'collation' => 'utf8_unicode_ci',
		'comment' => 'Kategorien'
		)
	);


////////////////////////////////////////////////////////////////////
// Sortier-Variablen (Administration)                             //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Banners']['sortVars'] = array();
$CONFIG['CMM_Banners']['sortVars']['cmm_banners_items'] = array('BannersItemUID','BannersItemSort','BannersItemStatus','BannersItemTitle','BannersItemSubtitle');
$CONFIG['CMM_Banners']['sortVars']['cmm_banners_customers'] = array('BannersCustomerUID','BannersCustomerSort','BannersCustomerStatus','BannersCustomerName');
$CONFIG['CMM_Banners']['sortVars']['cmm_banners_categories'] = array('BannersCategoryUID','BannersCategorySort','BannersCategoryStatus','BannersCategoryTitle');



////////////////////////////////////////////////////////////////////
// Filter-Variablen (Administration)                             //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Banners']['filterVars'] = array();
$CONFIG['CMM_Banners']['filterVars']['cmm_banners_items'] = array_keys($CONFIG['CMM_Banners']['database']['cmm_banners_items']['fieldset']);
$CONFIG['CMM_Banners']['filterVars']['cmm_banners_customers'] = array_keys($CONFIG['CMM_Banners']['database']['cmm_banners_customers']['fieldset']);
$CONFIG['CMM_Banners']['filterVars']['cmm_banners_categories'] = array_keys($CONFIG['CMM_Banners']['database']['cmm_banners_categories']['fieldset']);

$CONFIG['CMM_Banners']['filterVars']['cmm_banners_items'][] = 'OPTGROUP:Sonstige';
$CONFIG['CMM_Banners']['filterVars']['cmm_banners_items'][] = 'BannersCategoryTitle:Kategorie-Titel';
$CONFIG['CMM_Banners']['filterVars']['cmm_banners_items'][] = 'BannersCustomerName:Kunden-Name';

?>