<?PHP
/***************************************************************
*  Copyright notice
*
*  (c) 2009-2017 Nicolas Berg
*  All rights reserved
*
*  This script is part of the CMM3 Content-Management-System.
*  CMM3 is provided only under a commercial license until now.
*  Maybe we will add a free license in future.
*
*  This script is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
*
*  This copyright notice MUST APPEAR in all copies of the script!
***************************************************************/

////////////////////////////////////////////////////////////////////
// Modul-Einstellungen                                            //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Blog'] = array();
// Modulpraefix
$CONFIG['CMM_Blog']['key'] = 'CMM_Blog';
// Modulname
$CONFIG['CMM_Blog']['label'] = '{LANG_CMM_BLOG}';
// Modulbeschreibung
$CONFIG['CMM_Blog']['description'] = '{LANG_CMM_BLOG_DESC}';
// Module-languages
$CONFIG['CMM_Blog']['languages'] = 'at,de,ch,en';
// Modulicon
$CONFIG['CMM_Blog']['icon'] = 'CMM_Blog.svg';
// Modulversion
$CONFIG['CMM_Blog']['version'] = '1.3.6';
// Dependencies
$CONFIG['CMM_Blog']['depend'] = 'CMM:6.0';


////////////////////////////////////////////////////////////////////
// Set includes for administration                                //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Blog']['BE'] = array();
$CONFIG['CMM_Blog']['BE']['include'] = array();
// PHP
$CONFIG['CMM_Blog']['BE']['include']['PHP'] = array('CMM_Blog/structure.php');
// CSS
$CONFIG['CMM_Blog']['BE']['include']['CSS'] = array();
// JS
$CONFIG['CMM_Blog']['BE']['include']['JS'] = array();


////////////////////////////////////////////////////////////////////
// Set includes for website                                       //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Blog']['FE'] = array();
$CONFIG['CMM_Blog']['FE']['include'] = array();
// PHP - starting at CMM_ROOT_DIR
$CONFIG['CMM_Blog']['FE']['include']['PHP'] = array();
// CSS - starting at CMM_ROOT_DIR
$CONFIG['CMM_Blog']['FE']['include']['CSS'] = array('CMM_Blog/template/css/CMM_Blog.css');
// JS - starting at CMM_ROOT_DIR
$CONFIG['CMM_Blog']['FE']['include']['JS'] = array();


////////////////////////////////////////////////////////////////////
// Datenverzeichnisse erstellen                                   //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Blog']['dirs'] = array(
	'data/CMM_Blog/backup/',
	'data/CMM_Blog/images/',
	'data/CMM_Blog/videos/',
	'data/CMM_Blog/audios/',
	'data/CMM_Blog/files/',
	'data/CMM_Blog/authors/'
	);


////////////////////////////////////////////////////////////////////
// Plugins                                                        //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Blog']['plugins'] = array(
	'CMM_Blog_list.php',
	'CMM_Blog_list_archives.php',
	'CMM_Blog_list_authors.php',
	'CMM_Blog_list_categories.php',
	'CMM_Blog_list_tags.php',
	'CMM_Blog_short.php',
	'CMM_Blog_detail.php',
	'CMM_Blog_detail_author.php',
	'CMM_Blog_detail_comments.php',
	'CMM_Blog_list_xml.php'
	);


////////////////////////////////////////////////////////////////////
// Weitere Einstellungen                                          //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Blog']['config'] = array();

// Einfacher Modus - ohne Auswahl der Speicherseite
$CONFIG['CMM_Blog']['config']['simpleMode'] = 0;
// Anzeige der Detailansichten zaehlen?
$CONFIG['CMM_Blog']['config']['countImpressions'] = 1;
// Anzeige der Detailansichten zaehlen?
$CONFIG['CMM_Blog']['config']['disqusShortname'] = '';

// Meta-Felder
$CONFIG['CMM_Blog']['config']['metaTitleFields'] = array('BlogItemTitle');
$CONFIG['CMM_Blog']['config']['metaKeywordsFields'] = array('BlogItemTitle','BlogItemSubtitle','BlogItemShorttext','BlogItemText');
$CONFIG['CMM_Blog']['config']['metaDescriptionFields'] = array('BlogItemSubtitle','BlogItemShorttext','BlogItemText');

// Backup-Ansicht aktivieren
$CONFIG['CMM_Blog']['config']['enableBackup'] = 0;


////////////////////////////////////////////////////////////////////
// Felddefinitionen fuer Config                                   //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Blog']['configFields'] = array(
	'simpleMode' => array('label'=>'Einfacher Modus ohne Seitenbaum','type'=>'radio','options'=>array(array('value'=>'0','text'=>'{LANG_CMM_NO}'),array('value'=>'1','text'=>'{LANG_CMM_YES}')),'position'=>'left'),
	'countImpressions' => array('label'=>'Detailanzeige der Einträge zählen','type'=>'radio','options'=>array(array('value'=>'0','text'=>'{LANG_CMM_NO}'),array('value'=>'1','text'=>'{LANG_CMM_YES}')),'position'=>'left'),
	'disqusShortname' => array('label'=>'Disqus Kurzname (aktiviert Disqus-Kommentare)','type'=>'textfield','position'=>'right'),
	'enableBackup' => array('label'=>'Backup aktivieren','type'=>'radio','options'=>array(array('value'=>'0','text'=>'{LANG_CMM_NO}'),array('value'=>'1','text'=>'{LANG_CMM_YES}')),'position'=>'left')
	);


////////////////////////////////////////////////////////////////////
// Einstellungen fuer Suche                                       //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Blog']['config']['search'] = array(
	'label' => '{LANG_CMM_BLOG_LABEL}',
	'resultPIDparams' => ($CONFIG['CMM']['config']['seoUseSeoUrls']==true ? '/{$BlogItemTitle|substr:length=50:word=1:fill=|validatealias}.{$BlogItemUID}' : '?CMM_Blog[BlogItemUID]={$BlogItemUID}'),
	'resultPIDfilter' => '',
	'tablename' => 'cmm_blog_items',
	'fieldprefix' => 'BlogItem',
	'join' => array('cmm_blog_categories|BlogCategoryUID=BlogItemTID'), // Join-Table|Join-Table-Field=Table-Field|[Join-Table-Field=Value]
	'filter' => array(), // Zusatzfilter
	'titleFields' => array('BlogItemTitle'),
	'textFields' => array('BlogItemSubtitle','BlogItemShorttext','BlogItemText'),
	'searchFields' => array('BlogItemTitle','BlogItemSubtitle','BlogItemShorttext','BlogItemText','BlogItemTags','BlogCategoryTitle'),
	'extraFields' => array('BlogItemTitle'),
	'deletedField' => 'BlogItemDeleted'
	);

?>