<?PHP
/***************************************************************
*  Copyright notice
*
*  (c) 2009-2017 Nicolas Berg
*  All rights reserved
*
*  This script is part of the CMM3 Content-Management-System.
*  CMM3 is provided only under a commercial license until now.
*  Maybe we will add a free license in future.
*
*  This script is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
*
*  This copyright notice MUST APPEAR in all copies of the script!
***************************************************************/

///////////////////////////////////////////////////////////
// Plugin fuer Blog-Liste                                //
///////////////////////////////////////////////////////////
// V 1.0 First release
// V 1.0.2 Params for meta-data modified
// V 1.0.3 No-UID-fix
///////////////////////////////////////////////////////////
include_once(CMM_ROOT_DIR.'CMM_Blog/index.php');

/* PARAMS START - Marker-Comments required! */
$params = array(
	'templateFile'=>'CMM_Blog/template/html/CMM_Blog_detail_comments.html',
	'dataPID'=>'',
	'listPID'=>'',
	'detailPID'=>'',
	'UID'=>'',
	'UIDinPageAlias'=>1,
	'filter'=>'{array("BlogCommentPost"=>$_REQUEST["CMM_Blog"]["BlogItemUID"])}',
	'sort'=>'BlogCommentAddDate DESC',
	'limit'=>'1000',
	'start'=>'0',
	'cacheTimeout'=>0
	);
/* PARAMS END */

/* FIELDSET START - Marker-Comments required! */
$fieldset = array(
	'templateFile' => array('label'=>'HTML-Vorlagen-Datei','type'=>'textfield','datatype'=>'text','position'=>'bottom','shy'=>1),
	'dataPID' => array('label'=>'Seite: Datensätze (PID)','type'=>'linkfield','position'=>'left'),
	'listPID' => array('label'=>'Seite: Listen-Anzeige (PID)','type'=>'linkfield','position'=>'left'),
	'detailPID' => array('label'=>'Seite: Detail-Anzeige (PID)','type'=>'linkfield','position'=>'left'),
	'UID' => array('label'=>'Blog-Eintrag: nur Kommentare für diesen anzeigen (UID)','type'=>'textfield','datatype'=>'text','position'=>'left'),
	'UIDinPageAlias' => array('label'=>'Blog-Eintrag: UID aus SEO-URL ermitteln','type'=>'radio','options'=>array(array('value'=>'0','text'=>'{LANG_CMM_NO}'),array('value'=>'1','text'=>'{LANG_CMM_YES}')),'position'=>'left','shy'=>1),
	'filter' => array('label'=>'Filter: Einträge filtern','type'=>'textfield','datatype'=>'code','position'=>'bottom'),
	'sort' => array('label'=>'Sortierung: Einträge nach Feld(ern) sortieren','type'=>'textfield','datatype'=>'code','position'=>'bottom'),
	'limit' => array('label'=>'Einträge pro Seite: (Anzahl)','type'=>'textfield','datatype'=>'code','position'=>'right'),
	'start' => array('label'=>'Liste beginnen bei (Anzahl oder Variable)','type'=>'hidden','position'=>'right'),
	'cacheTimeout' => array('label'=>'{LANG_CMM_CACHE_TIMEOUT}','type'=>'textfield','datatype'=>'int','position'=>'bottom','shy'=>1)
	);
/* FIELDSET END */

// Set customer group
$params['CustomerCustomergroupID'] = isset($GLOBALS['CustomergroupUID']) ? $GLOBALS['CustomergroupUID'] : 0;
// Set language
$params['LID'] = isset($GLOBALS['LanguageUID']) ? $GLOBALS['LanguageUID'] : 1;

// Merge params and pluginParams
$params = CMM_mergePluginParams($params,$pluginParams);

// UID/CID aus Pagetail ermitteln
if($CONFIG['CMM']['config']['seoUseSeoUrls']==true)
	{
	// UID of Post
	$_REQUEST['CMM_Blog']['BlogItemUID'] = CMM_getPagetailParams($GLOBALS['PageTail'],'last');
	// UID of Comment
//	if(stristr($params['UID'],'{'))
//		{
		$tempUID = CMM_getPagetailParams($GLOBALS['PageTail'],'last');
		!empty($tempUID) ? $params['UID'] = $tempUID : '';
		}
	}

if(!empty($_REQUEST['CMM_Blog']['BlogItemUID']))
	{
	$extBlogDetailComments = new CMM_Blog;
	$pluginContent = $extBlogDetailComments->createComments($params);
	}
else
	{
	//$pluginContent = CMM_createMessage(LANG_CMM_ERROR_NO_UID,'error');
	//$pluginContent.= (!empty($params['listPID']) ? '<a href="'.CMM_createLink(array('href'=>$params['listPID'])).'" class="button">'.LANG_CMM_BACK.'</a>' : '');
	}

unset($params);
?>