<?PHP
/***************************************************************
*  Copyright notice
*
*  (c) 2009-2017 Nicolas Berg
*  All rights reserved
*
*  This script is part of the CMM3 Content-Management-System.
*  CMM3 is provided only under a commercial license until now.
*  Maybe we will add a free license in future.
*
*  This script is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
*
*  This copyright notice MUST APPEAR in all copies of the script!
***************************************************************/

///////////////////////////////////////////////////////////
// Plugin fuer Blog-Liste                                //
///////////////////////////////////////////////////////////
// V 1.0 First release
///////////////////////////////////////////////////////////
include_once(CMM_ROOT_DIR.'CMM_Blog/index.php');

/* PARAMS START - Marker-Comments required! */
$params = array(
	'templateFile'=>'CMM_Blog/template/html/CMM_Blog_list.html',
	'dataPID'=>'',
	'listPID'=>'',
	'detailPID'=>'',
	'UID'=>'',
	'UIDinPageAlias'=>1,
	'CID'=>'{$_REQUEST["CMM_Blog"]["BlogItemCID"]}',
	'CIDinPageAlias'=>1,
	'pagenaviShow'=>1,
	'pagenaviPages'=>'',
	'limit'=>'{$_REQUEST["CMM_Blog"]["limit"]}',
	'limitShow' => 1,
	'limitOptions'=>'{array(6,12,18,24,36)}',
	'filter'=>'{$_REQUEST["CMM_Blog"]["filter"]}',
	'sort'=>'{$_REQUEST["CMM_Blog"]["sort"]}',
	'start'=>'{$_REQUEST["CMM_Blog"]["start"]}',
	'group'=>'',
	'cacheTimeout'=>600
	);
/* PARAMS END */

/* FIELDSET START - Marker-Comments required! */
$fieldset = array(
	'templateFile' => array('label'=>'HTML-Vorlagen-Datei','type'=>'textfield','datatype'=>'text','position'=>'bottom'),
	'dataPID' => array('label'=>'Seite: Datensätze (PID)','type'=>'linkfield','position'=>'left'),
	'listPID' => array('label'=>'Seite: Listen-Anzeige (PID)','type'=>'linkfield','position'=>'left'),
	'detailPID' => array('label'=>'Seite: Detail-Anzeige (PID)','type'=>'linkfield','position'=>'left'),
	'UID' => array('label'=>'Eintrag: nur diesen anzeigen (UID)','type'=>'textfield','datatype'=>'text','position'=>'left','shy'=>1),
	'UIDinPageAlias' => array('label'=>'Eintrag: UID aus SEO-URL ermitteln','type'=>'radio','options'=>array(array('value'=>'0','text'=>'{LANG_CMM_NO}'),array('value'=>'1','text'=>'{LANG_CMM_YES}')),'position'=>'left','shy'=>1),
	'CID' => array('label'=>'Kategorie: nur diese anzeigen (CID)','type'=>'textfield','datatype'=>'text','position'=>'left'),
	'CIDinPageAlias' => array('label'=>'Kategorie: CID aus SEO-URL ermitteln','type'=>'radio','options'=>array(array('value'=>'0','text'=>'{LANG_CMM_NO}'),array('value'=>'1','text'=>'{LANG_CMM_YES}')),'position'=>'left','shy'=>1),
	'pagenaviShow' => array('label'=>'Seitennavigation: anzeigen','type'=>'radio','options'=>array(array('value'=>'0','text'=>'{LANG_CMM_NO}'),array('value'=>'1','text'=>'{LANG_CMM_YES}')),'position'=>'right'),
	'pagenaviPages' => array('label'=>'Seitennavigation: max. Seiten','type'=>'textfield','datatype'=>'code','position'=>'right'),
	'limit' => array('label'=>'Einträge pro Seite: (Anzahl oder Variable)','type'=>'textfield','datatype'=>'code','position'=>'right'),
	'limitShow' => array('label'=>'Einträge pro Seite: Auswahl anzeigen','type'=>'radio','options'=>array(array('value'=>'0','text'=>'{LANG_CMM_NO}'),array('value'=>'1','text'=>'{LANG_CMM_YES}')),'position'=>'right'),
	'limitOptions' => array('label'=>'Einträge pro Seite: Auswahlwerte','type'=>'textfield','datatype'=>'code','position'=>'right'),
	'filter' => array('label'=>'Filter: Einträge filtern','type'=>'textfield','datatype'=>'code','position'=>'bottom'),
	'sort' => array('label'=>'Sortierung: Einträge nach Feld(ern) sortieren','type'=>'textfield','datatype'=>'code','position'=>'bottom'),
	'sortbar' => array('label'=>'Sortierbalken: anzeigen','type'=>'radio','options'=>array(array('value'=>'0','text'=>'{LANG_CMM_NO}'),array('value'=>'1','text'=>'{LANG_CMM_YES}')),'position'=>'bottom'),
	'sortbarFields' => array('label'=>'Sortierbalken: Sortierkriterien (DB-Felder)','type'=>'textfield','datatype'=>'code','position'=>'bottom'),
	'sortbarLabels' => array('label'=>'Sortierbalken: Label für Sortierkriterien','type'=>'textfield','datatype'=>'code','position'=>'bottom'),
	'start' => array('label'=>'Liste beginnen bei (Anzahl oder Variable)','type'=>'hidden','position'=>'right'),
	'group' => array('label'=>'Einträge nach Feld gruppieren','type'=>'textfield','datatype'=>'text','position'=>'bottom'),
	'cacheTimeout' => array('label'=>'{LANG_CMM_CACHE_TIMEOUT}','type'=>'textfield','datatype'=>'int','position'=>'bottom','shy'=>1)
	);
/* FIELDSET END */

// Set customer group
$params['CustomerCustomergroupID'] = isset($GLOBALS['CustomergroupUID']) ? $GLOBALS['CustomergroupUID'] : 0;
// Set language
$params['LID'] = isset($GLOBALS['LanguageUID']) ? $GLOBALS['LanguageUID'] : 1;

// Merge params and pluginParams
$params = CMM_mergePluginParams($params,$pluginParams);

// UID/CID aus Pagetail ermitteln
if($CONFIG['CMM']['config']['seoUseSeoUrls']==true)
	{
//	if(mb_stristr($params['CID'],'{'))
//		{ $params['CID'] = CMM_getPagetailParams($GLOBALS['PageTail'],'first'); }
	if(mb_stristr($params['start'],'{'))
		{ $_REQUEST['CMM_Blog']['start'] = $params['start'] = CMM_getPagetailParams($GLOBALS['PageTail'],'start'); }
	if(mb_stristr($GLOBALS['PageTail'],'cat.'))
		{ $_REQUEST['CMM_Blog']['BlogItemCID'] = CMM_getPagetailParams($GLOBALS['PageTail'],'cat'); }

	if(mb_stristr($GLOBALS['PageTail'],'author.'))
		{ $_REQUEST['CMM_Blog']['filter']['BlogItemAuthorID'] = CMM_getPagetailParams($GLOBALS['PageTail'],'author'); }
	if(mb_stristr($GLOBALS['PageTail'],'archive.'))
		{ $_REQUEST['CMM_Blog']['filter']['BlogItemDate'] = CMM_getPagetailParams($GLOBALS['PageTail'],'archive').'*'; }
	if(mb_stristr($GLOBALS['PageTail'],'tag.'))
		{ $_REQUEST['CMM_Blog']['filter']['BlogItemTags'] = '*'.CMM_getPagetailParams($GLOBALS['PageTail'],'tag').'*'; }
	}

// Inhalt ausgeben
$extBlogList = new CMM_Blog;
$pluginContent = $extBlogList->createContent($params);
unset($params);
?>