<?PHP
/***************************************************************
*  Copyright notice
*
*  (c) 2009-2017 Nicolas Berg
*  All rights reserved
*
*  This script is part of the CMM3 Content-Management-System.
*  CMM3 is provided only under a commercial license until now.
*  Maybe we will add a free license in future.
*
*  This script is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
*
*  This copyright notice MUST APPEAR in all copies of the script!
***************************************************************/

// V 1.0 First release
// V 1.0.1 Verarbeitung von Config angepasst
// V 1.0.2 Backup-Einstellungen ergaenzt
// V 1.0.3 Delete-fields added
// V 1.0.4 PASTE-Action mod
// V 1.0.5 Added Field BlogItemPlugin
// V 1.0.6 Mod userLevels

////////////////////////////////////////////////////////////////////
// Modul-Anzeigen                                                 //
////////////////////////////////////////////////////////////////////
// - label: Bezeichnung des Feldes
// - table: Haupt-Datenbanktabelle
// - userLevel: Berechntigungsstufe fuer Datensaetze
// - navi: Anzeige in der Hauptnavigation
$CONFIG['CMM_Blog']['views'] = array(
	'INDEX' => array('label'=>'{LANG_CMM_BLOG_VIEW_INDEX}','userLevel'=>1),
	'ITEMS' => array('label'=>'{LANG_CMM_BLOG_VIEW_ITEMS}','table'=>'cmm_blog_items','userLevel'=>1,'inNavi'=>1),
	'CATEGORIES' => array('label'=>'{LANG_CMM_BLOG_VIEW_CATEGORIES}','table'=>'cmm_blog_categories','userLevel'=>1,'inNavi'=>1),
	'AUTHORS' => array('label'=>'{LANG_CMM_BLOG_VIEW_AUTHORS}','table'=>'cmm_blog_authors','userLevel'=>1,'inNavi'=>1),
	'COMMENTS' => array('label'=>'{LANG_CMM_BLOG_VIEW_COMMENTS}','table'=>'cmm_blog_comments','userLevel'=>1,'inNavi'=>1),
	'CONFIG' => array('label'=>'{LANG_CMM_BLOG_VIEW_CONFIG}','table'=>'cmm_cmm_config','userLevel'=>6,'inNavi'=>1),
	'BACKUP' => array('label'=>'{LANG_CMM_BLOG_VIEW_BACKUP}','userLevel'=>1,'inNavi'=>(!empty($GLOBALS['isBackend']) && !empty($CUSTOM['CMM_Blog']['config']['enableBackup']) ? 1 : 0)),
	'INSTALL' => array('label'=>'{LANG_CMM_BLOG_VIEW_INSTALL}','userLevel'=>3,'inNavi'=>0)
	);


////////////////////////////////////////////////////////////////////
// Modulfunktionen                                                //
////////////////////////////////////////////////////////////////////
// - label: Bezeichnung des Feldes
// - area: Anzeige-Bereich
// - userLevel: Berechntigungsstufe fuer Datensaetze
// - icon: Icon fuer Listenansicht
// - action: Aktion, die ausgefuehrt werden soll
// - clipboardAction: Aktion, die spaeter ausgefuehrt werden soll
// - message: Frage vor Ausfuerung der Funktion
// - condition: Bedingung pruefen (Datenbankfeld) item/_SESSION/_GET/_POST/_COOKIE/_ENV[keyvar]==value
// - file: Funktion in externer Datei ausfuehren
// - target: Zielfenster fuer Funktion

$CONFIG['CMM_Blog']['views']['ITEMS']['actions'] = array(
	'LIST' => array('label'=>'{LANG_CMM_ACTION_LIST}','userLevel'=>0),
	'NEW' => array('label'=>'{LANG_CMM_BLOG_ITEM} {LANG_CMM_ACTION_NEW}','area'=>'listhead','userLevel'=>1,'icon'=>'icon-action-new.svg'),
	'EDIT' => array('label'=>'{LANG_CMM_ACTION_EDIT}','area'=>'list,fe','userLevel'=>1,'icon'=>'icon-action-edit.svg'),
	'ENABLE' => array('label'=>'{LANG_CMM_ACTION_ENABLE}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-enable.svg','condition'=>'$item["BlogItemStatus"]==0'),
	'DISABLE' => array('label'=>'{LANG_CMM_ACTION_DISABLE}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-disable.svg','condition'=>'$item["BlogItemStatus"]==1'),
	'UP' => array('label'=>'{LANG_CMM_ACTION_UP}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-up.svg','condition'=>'$item["firstItem"]!=true && $CURRENT["sort"]=="BlogItemSort ASC"'),
	'DOWN' => array('label'=>'{LANG_CMM_ACTION_DOWN}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-down.svg','condition'=>'$item["lastItem"]!=true && $CURRENT["sort"]=="BlogItemSort ASC"'),
	'SAVE' => array('label'=>'{LANG_CMM_ACTION_SAVE}','area'=>'singlehead','userLevel'=>3,'icon'=>'icon-action-save.svg'),
	'SAVENEW' => array('label'=>'{LANG_CMM_ACTION_SAVENEW}','area'=>'singlehead','userLevel'=>3,'icon'=>'icon-action-save-and-new.svg'),
	'SAVECLOSE' => array('label'=>'{LANG_CMM_ACTION_SAVECLOSE}','area'=>'singlehead','userLevel'=>3,'icon'=>'icon-action-save-and-close.svg'),
	'CLOSE' => array('label'=>'{LANG_CMM_ACTION_CLOSE}','area'=>'singlehead','userLevel'=>1,'icon'=>'icon-action-close.svg'),
	'CUT' => array('label'=>'{LANG_CMM_ACTION_CUT}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-cut.svg'),
	'COPY' => array('label'=>'{LANG_CMM_ACTION_COPY}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-copy.svg'),
	'PASTE' => array('label'=>'{LANG_CMM_ACTION_PASTE}','area'=>'listhead','userLevel'=>3,'icon'=>'icon-action-paste.svg','UID'=>(!empty($GLOBALS['isBackend']) && isset($_SESSION[$CURRENT["module"]][$CURRENT["view"]]['clipboard']) ? $_SESSION[$CURRENT["module"]][$CURRENT["view"]]['clipboard']['id'] : ''),'condition'=>'!empty($_SESSION[$CURRENT["module"]][$CURRENT["view"]]["clipboard"])'),
	'REMOVE' => array('label'=>'{LANG_CMM_ACTION_REMOVE}','area'=>'list,singlehead','userLevel'=>3,'icon'=>'icon-action-remove.svg','condition'=>'$item["BlogItemUID"]>0','message'=>'{LANG_CMM_ACTION_REMOVE_CONFIRM}'),
	'CLIPBOARDCLEAR' => array('label'=>'{LANG_CMM_ACTION_CLIPBOARDCLEAR}','area'=>'listhead','userLevel'=>3,'icon'=>'icon-action-clipboard-clear.svg','condition'=>'isset($_SESSION[$CURRENT["module"]][$CURRENT["view"]]["clipboard"])')
	);

$CONFIG['CMM_Blog']['views']['CATEGORIES']['actions'] = array(
	'LIST' => array('label'=>'{LANG_CMM_ACTION_LIST}','userLevel'=>0),
	'NEW' => array('label'=>'{LANG_CMM_BLOG_CATEGORY} {LANG_CMM_ACTION_NEW}','area'=>'listhead','userLevel'=>1,'icon'=>'icon-action-new.svg'),
	'EDIT' => array('label'=>'{LANG_CMM_ACTION_EDIT}','area'=>'list','userLevel'=>1,'icon'=>'icon-action-edit.svg'),
	'ENABLE' => array('label'=>'{LANG_CMM_ACTION_ENABLE}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-enable.svg','condition'=>'$item["BlogCategoryStatus"]==0'),
	'DISABLE' => array('label'=>'{LANG_CMM_ACTION_DISABLE}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-disable.svg','condition'=>'$item["BlogCategoryStatus"]==1'),
	'UP' => array('label'=>'{LANG_CMM_ACTION_UP}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-up.svg','condition'=>'$item["firstItem"]!=true && $CURRENT["sort"]=="BlogCategorySort ASC"'),
	'DOWN' => array('label'=>'{LANG_CMM_ACTION_DOWN}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-down.svg','condition'=>'$item["lastItem"]!=true && $CURRENT["sort"]=="BlogCategorySort ASC"'),
	'SAVE' => array('label'=>'{LANG_CMM_ACTION_SAVE}','area'=>'singlehead','userLevel'=>3,'icon'=>'icon-action-save.svg'),
	'SAVENEW' => array('label'=>'{LANG_CMM_ACTION_SAVENEW}','area'=>'singlehead','userLevel'=>3,'icon'=>'icon-action-save-and-new.svg'),
	'SAVECLOSE' => array('label'=>'{LANG_CMM_ACTION_SAVECLOSE}','area'=>'singlehead','userLevel'=>3,'icon'=>'icon-action-save-and-close.svg'),
	'CLOSE' => array('label'=>'{LANG_CMM_ACTION_CLOSE}','area'=>'singlehead','userLevel'=>1,'icon'=>'icon-action-close.svg'),
	'CUT' => array('label'=>'{LANG_CMM_ACTION_CUT}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-cut.svg'),
	'COPY' => array('label'=>'{LANG_CMM_ACTION_COPY}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-copy.svg'),
	'PASTE' => array('label'=>'{LANG_CMM_ACTION_PASTE}','area'=>'listhead','userLevel'=>3,'icon'=>'icon-action-paste.svg','UID'=>(!empty($GLOBALS['isBackend']) && isset($_SESSION[$CURRENT["module"]][$CURRENT["view"]]['clipboard']) ? $_SESSION[$CURRENT["module"]][$CURRENT["view"]]['clipboard']['id'] : ''),'condition'=>'!empty($_SESSION[$CURRENT["module"]][$CURRENT["view"]]["clipboard"])'),
	'REMOVE' => array('label'=>'{LANG_CMM_ACTION_REMOVE}','area'=>'list,singlehead','userLevel'=>3,'icon'=>'icon-action-remove.svg','condition'=>'$item["BlogCategoryUID"]>0','message'=>'{LANG_CMM_ACTION_REMOVE_CONFIRM}'),
	'CLIPBOARDCLEAR' => array('label'=>'{LANG_CMM_ACTION_CLIPBOARDCLEAR}','area'=>'listhead','userLevel'=>3,'icon'=>'icon-action-clipboard-clear.svg','condition'=>'isset($_SESSION[$CURRENT["module"]][$CURRENT["view"]]["clipboard"])')
	);

$CONFIG['CMM_Blog']['views']['AUTHORS']['actions'] = array(
	'LIST' => array('label'=>'{LANG_CMM_ACTION_LIST}','userLevel'=>0),
	'NEW' => array('label'=>'{LANG_CMM_BLOG_AUTHOR} {LANG_CMM_ACTION_NEW}','area'=>'listhead','userLevel'=>1,'icon'=>'icon-action-new.svg'),
	'EDIT' => array('label'=>'{LANG_CMM_ACTION_EDIT}','area'=>'list','userLevel'=>1,'icon'=>'icon-action-edit.svg'),
	'ENABLE' => array('label'=>'{LANG_CMM_ACTION_ENABLE}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-enable.svg','condition'=>'$item["BlogAuthorStatus"]==0'),
	'DISABLE' => array('label'=>'{LANG_CMM_ACTION_DISABLE}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-disable.svg','condition'=>'$item["BlogAuthorStatus"]==1'),
	'UP' => array('label'=>'{LANG_CMM_ACTION_UP}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-up.svg','condition'=>'$item["firstItem"]!=true && $CURRENT["sort"]=="BlogAuthorSort ASC"'),
	'DOWN' => array('label'=>'{LANG_CMM_ACTION_DOWN}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-down.svg','condition'=>'$item["lastItem"]!=true && $CURRENT["sort"]=="BlogAuthorSort ASC"'),
	'SAVE' => array('label'=>'{LANG_CMM_ACTION_SAVE}','area'=>'singlehead','userLevel'=>3,'icon'=>'icon-action-save.svg'),
	'SAVENEW' => array('label'=>'{LANG_CMM_ACTION_SAVENEW}','area'=>'singlehead','userLevel'=>3,'icon'=>'icon-action-save-and-new.svg'),
	'SAVECLOSE' => array('label'=>'{LANG_CMM_ACTION_SAVECLOSE}','area'=>'singlehead','userLevel'=>3,'icon'=>'icon-action-save-and-close.svg'),
	'CLOSE' => array('label'=>'{LANG_CMM_ACTION_CLOSE}','area'=>'singlehead','userLevel'=>1,'icon'=>'icon-action-close.svg'),
	'CUT' => array('label'=>'{LANG_CMM_ACTION_CUT}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-cut.svg'),
	'COPY' => array('label'=>'{LANG_CMM_ACTION_COPY}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-copy.svg'),
	'PASTE' => array('label'=>'{LANG_CMM_ACTION_PASTE}','area'=>'listhead','userLevel'=>3,'icon'=>'icon-action-paste.svg','UID'=>(!empty($GLOBALS['isBackend']) && isset($_SESSION[$CURRENT["module"]][$CURRENT["view"]]['clipboard']) ? $_SESSION[$CURRENT["module"]][$CURRENT["view"]]['clipboard']['id'] : ''),'condition'=>'!empty($_SESSION[$CURRENT["module"]][$CURRENT["view"]]["clipboard"])'),
	'REMOVE' => array('label'=>'{LANG_CMM_ACTION_REMOVE}','area'=>'list,singlehead','userLevel'=>3,'icon'=>'icon-action-remove.svg','condition'=>'$item["BlogAuthorUID"]>0','message'=>'{LANG_CMM_ACTION_REMOVE_CONFIRM}'),
	'CLIPBOARDCLEAR' => array('label'=>'{LANG_CMM_ACTION_CLIPBOARDCLEAR}','area'=>'listhead','userLevel'=>3,'icon'=>'icon-action-clipboard-clear.svg','condition'=>'isset($_SESSION[$CURRENT["module"]][$CURRENT["view"]]["clipboard"])')
	);

$CONFIG['CMM_Blog']['views']['COMMENTS']['actions'] = array(
	'LIST' => array('label'=>'{LANG_CMM_ACTION_LIST}','userLevel'=>0),
	'NEW' => array('label'=>'{LANG_CMM_BLOG_COMMENT} {LANG_CMM_ACTION_NEW}','area'=>'listhead','userLevel'=>1,'icon'=>'icon-action-new.svg'),
	'EDIT' => array('label'=>'{LANG_CMM_ACTION_EDIT}','area'=>'list','userLevel'=>1,'icon'=>'icon-action-edit.svg'),
	'ENABLE' => array('label'=>'{LANG_CMM_ACTION_ENABLE}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-enable.svg','condition'=>'$item["BlogCommentStatus"]==0'),
	'DISABLE' => array('label'=>'{LANG_CMM_ACTION_DISABLE}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-disable.svg','condition'=>'$item["BlogCommentStatus"]==1'),
	'UP' => array('label'=>'{LANG_CMM_ACTION_UP}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-up.svg','condition'=>'$item["firstItem"]!=true && $CURRENT["sort"]=="BlogCommentSort ASC"'),
	'DOWN' => array('label'=>'{LANG_CMM_ACTION_DOWN}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-down.svg','condition'=>'$item["lastItem"]!=true && $CURRENT["sort"]=="BlogCommentSort ASC"'),
	'SAVE' => array('label'=>'{LANG_CMM_ACTION_SAVE}','area'=>'singlehead','userLevel'=>3,'icon'=>'icon-action-save.svg'),
	'SAVENEW' => array('label'=>'{LANG_CMM_ACTION_SAVENEW}','area'=>'singlehead','userLevel'=>3,'icon'=>'icon-action-save-and-new.svg'),
	'SAVECLOSE' => array('label'=>'{LANG_CMM_ACTION_SAVECLOSE}','area'=>'singlehead','userLevel'=>3,'icon'=>'icon-action-save-and-close.svg'),
	'CLOSE' => array('label'=>'{LANG_CMM_ACTION_CLOSE}','area'=>'singlehead','userLevel'=>1,'icon'=>'icon-action-close.svg'),
	'CUT' => array('label'=>'{LANG_CMM_ACTION_CUT}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-cut.svg'),
	'COPY' => array('label'=>'{LANG_CMM_ACTION_COPY}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-copy.svg'),
	'PASTE' => array('label'=>'{LANG_CMM_ACTION_PASTE}','area'=>'listhead','userLevel'=>3,'icon'=>'icon-action-paste.svg','UID'=>(!empty($GLOBALS['isBackend']) && isset($_SESSION[$CURRENT["module"]][$CURRENT["view"]]['clipboard']) ? $_SESSION[$CURRENT["module"]][$CURRENT["view"]]['clipboard']['id'] : ''),'condition'=>'!empty($_SESSION[$CURRENT["module"]][$CURRENT["view"]]["clipboard"])'),
	'REMOVE' => array('label'=>'{LANG_CMM_ACTION_REMOVE}','area'=>'list,singlehead','userLevel'=>3,'icon'=>'icon-action-remove.svg','condition'=>'$item["BlogCommentUID"]>0','message'=>'{LANG_CMM_ACTION_REMOVE_CONFIRM}'),
	'CLIPBOARDCLEAR' => array('label'=>'{LANG_CMM_ACTION_CLIPBOARDCLEAR}','area'=>'listhead','userLevel'=>3,'icon'=>'icon-action-clipboard-clear.svg','condition'=>'isset($_SESSION[$CURRENT["module"]][$CURRENT["view"]]["clipboard"])')
	);

$CONFIG['CMM_Blog']['views']['BACKUP']['actions'] = array(
	'BACKUP' => array('label'=>'Datensicherung','userLevel'=>1,'inNavi'=>1),
	'INSTALLDB' => array('label'=>'Datenbanktabellen konfigurieren','userLevel'=>6),
	'BACKUPMAKE' => array('label'=>'Sicherung erstellen','userLevel'=>6,'inNavi'=>0),
	'BACKUPRESTORE' => array('label'=>'Sicherung zurückschreiben','userLevel'=>6,'inNavi'=>0),
	'BACKUPREMOVE' => array('label'=>'Sicherung löschen','userLevel'=>6,'inNavi'=>0)
	);

$CONFIG['CMM_Blog']['views']['CONFIG']['actions'] = array(
	'CONFIG' => array('label'=>'Konfiguration','userLevel'=>1,'inNavi'=>1),
	'CONFIGSAVE' => array('label'=>'Konfiguration','area'=>'singlehead','userLevel'=>6,'icon'=>'icon-action-save.svg')
	);

$CONFIG['CMM_Blog']['views']['INSTALL']['actions'] = array(
	'INSTALL' => array('label'=>'Installation','userLevel'=>6,'inNavi'=>0)
	);


////////////////////////////////////////////////////////////////////
// Datenbank-Tabellen                                             //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Blog']['database'] = array();

// Datenstamm fuer Artikel
$CONFIG['CMM_Blog']['database']['cmm_blog_items'] = array(
	'tabs' => array(0=>'Standard',1=>'Media',2=>'Plugins',3=>'Sonstiges',4=>'Plugin',5=>'Meta',9=>'Anzeige'),
	'tablename' => 'cmm_blog_items',
	'sort' => 'BlogItemUID DESC',
	'backup' => 1,
	'fieldprefix' => 'BlogItem',
	'fieldset' => array(
		'BlogItemUID' => array('label'=>'ID','type'=>'hidden','position'=>'top','tab'=>0,
			'sqldef'=>'int(10) default \'0\''),
		'BlogItemPID' => array('label'=>'ParentID','type'=>'hidden','position'=>'top','tab'=>0,
			'sqldef'=>'int(10) default \'0\''),
		'BlogItemTID' => array('label'=>'Typ','type'=>'hidden','position'=>'left','tab'=>0,
			'sqldef'=>'int(3) default \'0\''),
		'BlogItemLID' => array('label'=>'Sprache','type'=>'radio','position'=>'top','tab'=>3,
			'sqldef'=>'int(3) default \'0\'',
			'select'=>array('module'=>'CMM','table'=>'cmm_cmm_languages','keyfield'=>'LanguageUID','labelfield'=>'LanguageName','sort'=>'LanguageUID')),
		'BlogItemCID' => array('label'=>'Kategorie(n)','type'=>'select',
			'sqldef'=>'varchar(100) default \'0\'','position'=>'left','tab'=>0,
			'select'=>array('table'=>'cmm_blog_categories','keyfield'=>'BlogCategoryUID','labelfield'=>'BlogCategoryTitle','LID'=>'{$CURRENT["language"]}'),
			'join'=>array('table'=>'cmm_blog_categories','keyfield'=>'BlogCategoryUID')),
		'BlogItemStatus' => array('label'=>'Status','type'=>'radio','position'=>'top','tab'=>9,
			'sqldef'=>'int(1) default \'0\'',
			'options'=>array(array('value'=>1,'text'=>'{LANG_CMM_ENABLED}'),array('value'=>'0','text'=>'{LANG_CMM_DISABLED}'))),
		'BlogItemDeleted' => array('label'=>'{LANG_CMM_FIELD_REMOVED}','type'=>'hidden','tab'=>3,
			'sqldef'=>'int(1) default \'0\''),
		'BlogItemSort' => array('label'=>'Sortierung','type'=>'hidden','position'=>'top','tab'=>3,
			'sqldef'=>'int(10) default \'0\''),
		'BlogItemStart' => array('label'=>'Start','type'=>'datetime','position'=>'left','tab'=>9,
			'sqldef'=>'datetime default NULL'),
		'BlogItemStop' => array('label'=>'Ende','type'=>'datetime','position'=>'right','tab'=>9,
			'sqldef'=>'datetime default NULL'),
		'BlogItemCustomergroupID' => array('label'=>'Anzeige für Benutzergruppen','type'=>'multiselect','attribs'=>array('multiple'=>1,'size'=>6),'position'=>'bottom','tab'=>9,
			'sqldef'=>'varchar(255) collate utf8_unicode_ci default NULL',
			'options'=>array('none'=>array('value'=>'0','text'=>'{LANG_CMM_IF_LOGGED_OUT}'),'all'=>array('value'=>'*','text'=>'{LANG_CMM_IF_LOGGED_IN}')),
			'select'=>array('module'=>'CMM','table'=>'cmm_cmm_customergroups','keyfield'=>'CustomergroupUID','labelfield'=>'CustomergroupUID,CustomergroupName','sort'=>'CustomergroupUID')),
		'BlogItemAuthorID' => array('label'=>'Autor','type'=>'select','position'=>'left','tab'=>0,
			'sqldef'=>'int(3) default \'0\'',
			'select'=>array('module'=>'CMM_Blog','table'=>'cmm_blog_authors','keyfield'=>'BlogAuthorUID','labelfield'=>'BlogAuthorFirstname,BlogAuthorLastname'),
			'join'=>array('module'=>'CMM_Blog','table'=>'cmm_blog_authors','keyfield'=>'BlogAuthorUID')),
		'BlogItemTitle' => array('label'=>'Titel / Überschrift','type'=>'textfield','attribs'=>array('required'=>1),'position'=>'top','tab'=>0,
			'sqldef'=>'varchar(255) collate utf8_unicode_ci default NULL'),
		'BlogItemSubtitle' => array('label'=>'Untertitel','type'=>'textfield','position'=>'top','tab'=>0,
			'sqldef'=>'varchar(255) collate utf8_unicode_ci default NULL'),
		'BlogItemDate' => array('label'=>'Datum','type'=>'datetime','attribs'=>array('required'=>1),'position'=>'right','tab'=>0,
			'sqldef'=>'datetime default \'0000-00-00 00:00:00\''),
		'BlogItemShorttext' => array('label'=>'Kurztext','type'=>'textarea',
			'sqldef'=>'text collate utf8_unicode_ci','position'=>'bottom','attribs'=>array('rows'=>5),'tab'=>0),
		'BlogItemText' => array('label'=>'Langtext','description'=>'Der Langtext des Eintrages wird in der Detailansicht angezeigt.<br>HINWEIS: Um Bilder des Beitrages nicht zentral, sondern verteilt im Text zu platzieren, verwenden Sie folgenden Short-Code:<br>[IMAGE:index=1:align=left]<br>index = Bildnummer (Zahl)<br>align = optionale Ausrichtung im Text (left/right)','type'=>'rte',
			'sqldef'=>'text collate utf8_unicode_ci','position'=>'bottom','attribs'=>array('rows'=>6),'tab'=>0),
		'BlogItemTags' => array('label'=>'Tags','type'=>'tagfield','position'=>'bottom','tab'=>0,
			'sqldef'=>'varchar(255) collate utf8_unicode_ci default NULL'),
		'BlogItemPlugin' => array('label'=>'Plugin','type'=>'pluginselect',
			'sqldef'=>'text collate utf8_unicode_ci','position'=>'top','number'=>1,'dir'=>'plugins/','tab'=>4), /* dyn. ergaenzt mit Template-Pfad */
		'BlogItemImages' => array('label'=>'Bilder','type'=>'imagelist',
			'sqldef'=>'text collate utf8_unicode_ci','position'=>'top','number'=>5,'dir'=>'data/CMM_Blog/images/','tab'=>1),
		'BlogItemVideos' => array('label'=>'Videos','type'=>'videolist',
			'sqldef'=>'text collate utf8_unicode_ci','position'=>'top','number'=>5,'dir'=>'data/CMM_Blog/videos/','tab'=>1),
		'BlogItemFiles' => array('label'=>'Dateien','type'=>'filelist',
			'sqldef'=>'text collate utf8_unicode_ci','position'=>'top','number'=>5,'dir'=>'data/CMM_Blog/files/','tab'=>1),
		'BlogItemLinks' => array('label'=>'Links','type'=>'linklist',
			'sqldef'=>'text collate utf8_unicode_ci','position'=>'top','number'=>5,'tab'=>1),
		'BlogItemTable' => array('label'=>'Tabelle','type'=>'tablearea',
			'sqldef'=>'text collate utf8_unicode_ci','dir'=>'data/CMM_Blog/files/','filetypes'=>array('txt','csv'),'position'=>'bottom','tab'=>1),
		'BlogItemHTML' => array('label'=>'HTML-Inhalt','type'=>'codearea',
			'sqldef'=>'text collate utf8_unicode_ci','position'=>'bottom','attribs'=>array('rows'=>10),'tab'=>1),
		'BlogItemMetaTitle' => array('label'=>'Meta-Titel','type'=>'textfield',
			'sqldef'=>'varchar(255) collate utf8_unicode_ci default NULL','position'=>'bottom','attribs'=>array('maxlength'=>255),'tab'=>5),
		'BlogItemMetaKeywords' => array('label'=>'Meta-Keywords','type'=>'textfield',
			'sqldef'=>'varchar(255) collate utf8_unicode_ci default NULL','position'=>'bottom','attribs'=>array('maxlength'=>255),'tab'=>5),
		'BlogItemMetaDescription' => array('label'=>'Meta-Description','type'=>'textfield',
			'sqldef'=>'varchar(255) collate utf8_unicode_ci default NULL','position'=>'bottom','attribs'=>array('maxlength'=>255),'tab'=>5),
		'BlogItemAddDate' => array('label'=>'Datum erstellt','type'=>'hidden','position'=>'left','tab'=>0,
			'sqldef'=>'datetime default \'0000-00-00 00:00:00\''),
		'BlogItemAddUser' => array('label'=>'Benutzer erstellt','type'=>'hidden','position'=>'left','tab'=>0,
			'sqldef'=>'varchar(32) collate utf8_unicode_ci default \'0\''),
		'BlogItemModDate' => array('label'=>'Datum geändert','type'=>'hidden','position'=>'left','tab'=>0,
			'sqldef'=>'datetime default \'0000-00-00 00:00:00\''),
		'BlogItemModUser' => array('label'=>'Benutzer geändert','type'=>'hidden','position'=>'left','tab'=>0,
			'sqldef'=>'varchar(32) collate utf8_unicode_ci default \'0\'')
		),
	'tableset' => array(
		'engine' => 'MyISAM',
		'primarykey' => 'UID',
		'charset' => 'utf8',
		'collation' => 'utf8_unicode_ci',
		'comment' => 'Artikel'
		)
	);
	
// Datenstamm fuer Kategorien
$CONFIG['CMM_Blog']['database']['cmm_blog_categories'] = array(
	'tabs' => array(0=>'Standard',1=>'Media',2=>'Plugins',3=>'Sonstiges',9=>'Anzeige'),
	'tablename' => 'cmm_blog_categories',
	'sort' => 'BlogCategoryUID DESC',
	'backup' => 1,
	'fieldprefix' => 'BlogCategory',
	'fieldset' => array(
		'BlogCategoryUID' => array('label'=>'ID','type'=>'hidden','position'=>'top','tab'=>0,
			'sqldef'=>'int(10) default \'0\''),
		'BlogCategoryPID' => array('label'=>'ParentID','type'=>'hidden','position'=>'top','tab'=>0,
			'sqldef'=>'int(10) default \'0\''),
		'BlogCategoryTID' => array('label'=>'Typ/Kategorie','type'=>'hidden','position'=>'top','tab'=>3,
			'sqldef'=>'int(3) default \'0\''),
		'BlogCategoryLID' => array('label'=>'Sprache','type'=>'radio','position'=>'top','tab'=>3,
			'sqldef'=>'int(3) default \'0\'',
			'select'=>array('module'=>'CMM','table'=>'cmm_cmm_languages','keyfield'=>'LanguageUID','labelfield'=>'LanguageName','sort'=>'LanguageUID')),
		'BlogCategoryStatus' => array('label'=>'Status','type'=>'radio','position'=>'top','tab'=>9,
			'sqldef'=>'int(1) default \'0\'',
			'options'=>array(array('value'=>1,'text'=>'{LANG_CMM_ENABLED}'),array('value'=>'0','text'=>'{LANG_CMM_DISABLED}'))),
		'BlogCategoryDeleted' => array('label'=>'{LANG_CMM_FIELD_REMOVED}','type'=>'hidden','tab'=>3,
			'sqldef'=>'int(1) default \'0\''),
		'BlogCategorySort' => array('label'=>'Sortierung','type'=>'hidden','position'=>'top','tab'=>3,
			'sqldef'=>'int(10) default \'0\''),
		'BlogCategoryTitle' => array('label'=>'Titel','type'=>'textfield','position'=>'top','tab'=>0,
			'sqldef'=>'varchar(100) collate utf8_unicode_ci default NULL'),
		'BlogCategoryDescription' => array('label'=>'Beschreibung','type'=>'textarea',
			'sqldef'=>'text collate utf8_unicode_ci','position'=>'top','tab'=>0),
		'BlogCategoryIcon' => array('label'=>'Symbol','type'=>'imagelist',
			'sqldef'=>'varchar(100) collate utf8_unicode_ci default NULL','number'=>'1','position'=>'top','dir'=>'data/CMM_Blog/images/','tab'=>1),
		'BlogCategoryAddDate' => array('label'=>'Datum erstellt','type'=>'hidden','position'=>'left','tab'=>0,
			'sqldef'=>'datetime default \'0000-00-00 00:00:00\''),
		'BlogCategoryAddUser' => array('label'=>'Benutzer erstellt','type'=>'hidden','position'=>'left','tab'=>0,
			'sqldef'=>'varchar(32) collate utf8_unicode_ci default \'0\''),
		'BlogCategoryModDate' => array('label'=>'Datum geändert','type'=>'hidden','position'=>'left','tab'=>0,
			'sqldef'=>'datetime default \'0000-00-00 00:00:00\''),
		'BlogCategoryModUser' => array('label'=>'Benutzer geändert','type'=>'hidden','position'=>'left','tab'=>0,
			'sqldef'=>'varchar(32) collate utf8_unicode_ci default \'0\'')
		),
	'tableset' => array(
		'engine' => 'MyISAM',
		'primarykey' => 'UID',
		'charset' => 'utf8',
		'collation' => 'utf8_unicode_ci',
		'comment' => 'Kategorien'
		)
	);

// Datenstamm fuer Autoren
$CONFIG['CMM_Blog']['database']['cmm_blog_authors'] = array(
	'tabs' => array(0=>'Standard',1=>'Media',2=>'Plugins',3=>'Sonstiges',9=>'Anzeige'),
	'tablename' => 'cmm_blog_authors',
	'sort' => 'BlogAuthorUID DESC',
	'backup' => 1,
	'fieldprefix' => 'BlogAuthor',
	'fieldset' => array(
		'BlogAuthorUID' => array('label'=>'ID','type'=>'hidden','position'=>'top','tab'=>0,
			'sqldef'=>'int(10) default \'0\''),
		'BlogAuthorPID' => array('label'=>'ParentID','type'=>'hidden','position'=>'top','tab'=>0,
			'sqldef'=>'int(10) default \'0\''),
		'BlogAuthorTID' => array('label'=>'Typ/Kategorie','type'=>'hidden','position'=>'top','tab'=>3,
			'sqldef'=>'int(3) default \'0\''),
		'BlogAuthorLID' => array('label'=>'Sprache','type'=>'radio','position'=>'top','tab'=>3,
			'sqldef'=>'int(3) default \'0\'',
			'select'=>array('module'=>'CMM','table'=>'cmm_cmm_languages','keyfield'=>'LanguageUID','labelfield'=>'LanguageName','sort'=>'LanguageUID')),
		'BlogAuthorStatus' => array('label'=>'Status','type'=>'radio','position'=>'top','tab'=>9,
			'sqldef'=>'int(1) default \'0\'',
			'options'=>array(array('value'=>1,'text'=>'{LANG_CMM_ENABLED}'),array('value'=>'0','text'=>'{LANG_CMM_DISABLED}'))),
		'BlogAuthorDeleted' => array('label'=>'{LANG_CMM_FIELD_REMOVED}','type'=>'hidden','tab'=>3,
			'sqldef'=>'int(1) default \'0\''),
		'BlogAuthorSort' => array('label'=>'Sortierung','type'=>'hidden','position'=>'top','tab'=>3,
			'sqldef'=>'int(10) default \'0\''),
		'BlogAuthorGender' => array('label'=>'Anrede','type'=>'radio','position'=>'left',
			'sqldef'=>'varchar(100) collate utf8_unicode_ci default NULL',
			'options'=>array(array('value'=>'F','text'=>'{LANG_CMM_MRS}'),array('value'=>'M','text'=>'{LANG_CMM_MR}'))),
		'BlogAuthorTitle' => array('label'=>'Titel','type'=>'textfield','position'=>'left','tab'=>0,
			'sqldef'=>'varchar(100) collate utf8_unicode_ci default NULL'),
		'BlogAuthorFirstname' => array('label'=>'Vorname','type'=>'textfield','position'=>'left',
			'sqldef'=>'varchar(100) collate utf8_unicode_ci default NULL'),
		'BlogAuthorLastname' => array('label'=>'Nachname','type'=>'textfield','attribs'=>array('required'=>1),'position'=>'left','tab'=>0,
			'sqldef'=>'varchar(100) collate utf8_unicode_ci default NULL'),
		'BlogAuthorCompany' => array('label'=>'Firma','type'=>'textfield','position'=>'right','tab'=>0,
			'sqldef'=>'varchar(100) collate utf8_unicode_ci default NULL'),
		'BlogAuthorPosition' => array('label'=>'Position / Funktion','type'=>'textfield','position'=>'right','tab'=>0,
			'sqldef'=>'varchar(100) collate utf8_unicode_ci default NULL'),
		'BlogAuthorEmail' => array('label'=>'E-Mail','type'=>'textfield','position'=>'right','tab'=>0,
			'sqldef'=>'varchar(100) collate utf8_unicode_ci default NULL'),
		'BlogAuthorWeb' => array('label'=>'Website','type'=>'textfield','position'=>'right','tab'=>0,
			'sqldef'=>'varchar(100) collate utf8_unicode_ci default NULL'),
		'BlogAuthorDescription' => array('label'=>'Beschreibung / Aufgaben','type'=>'textarea','attribs'=>array('rows'=>6),'position'=>'bottom','tab'=>0,
			'sqldef'=>'text collate utf8_unicode_ci'),
		'BlogAuthorImages' => array('label'=>'Bilder','type'=>'imagelist','number'=>5,'dir'=>'data/CMM_Blog/authors/','position'=>'top','tab'=>1,
			'sqldef'=>'text collate utf8_unicode_ci'),
		'BlogAuthorAddDate' => array('label'=>'Datum erstellt','type'=>'hidden','position'=>'left','tab'=>0,
			'sqldef'=>'datetime default \'0000-00-00 00:00:00\''),
		'BlogAuthorAddUser' => array('label'=>'Benutzer erstellt','type'=>'hidden','position'=>'left','tab'=>0,
			'sqldef'=>'varchar(32) collate utf8_unicode_ci default \'0\''),
		'BlogAuthorModDate' => array('label'=>'Datum geändert','type'=>'hidden','position'=>'left','tab'=>0,
			'sqldef'=>'datetime default \'0000-00-00 00:00:00\''),
		'BlogAuthorModUser' => array('label'=>'Benutzer geändert','type'=>'hidden','position'=>'left','tab'=>0,
			'sqldef'=>'varchar(32) collate utf8_unicode_ci default \'0\'')
		),
	'tableset' => array(
		'engine' => 'MyISAM',
		'primarykey' => 'UID',
		'charset' => 'utf8',
		'collation' => 'utf8_unicode_ci',
		'comment' => 'Autoren'
		)
	);

// Datenstamm fuer Kommentare
$CONFIG['CMM_Blog']['database']['cmm_blog_comments'] = array(
	'tabs' => array(0=>'Standard',1=>'Media',2=>'Plugins',3=>'Sonstiges',9=>'Anzeige'),
	'tablename' => 'cmm_blog_comments',
	'sort' => 'BlogCommentUID DESC',
	'backup' => 1,
	'fieldprefix' => 'BlogComment',
	'fieldset' => array(
		'BlogCommentUID' => array('label'=>'ID','type'=>'hidden','position'=>'top','tab'=>0,
			'sqldef'=>'int(10) default \'0\''),
		'BlogCommentPID' => array('label'=>'ParentID','type'=>'hidden','position'=>'top','tab'=>0,
			'sqldef'=>'int(10) default \'0\''),
		'BlogCommentTID' => array('label'=>'Typ/Kategorie','type'=>'hidden','position'=>'top','tab'=>3,
			'sqldef'=>'int(3) default \'0\''),
		'BlogCommentLID' => array('label'=>'Sprache','type'=>'radio','position'=>'top','tab'=>3,
			'sqldef'=>'int(3) default \'0\'',
			'select'=>array('module'=>'CMM','table'=>'cmm_cmm_languages','keyfield'=>'LanguageUID','labelfield'=>'LanguageName','sort'=>'LanguageUID')),
		'BlogCommentStatus' => array('label'=>'Status','type'=>'radio',
			'sqldef'=>'int(1) default \'0\'','position'=>'top','tab'=>9,
			'options'=>array(array('value'=>1,'text'=>'{LANG_CMM_ENABLED}'),array('value'=>'0','text'=>'{LANG_CMM_DISABLED}'))),
		'BlogCommentDeleted' => array('label'=>'{LANG_CMM_FIELD_REMOVED}','type'=>'hidden','tab'=>3,
			'sqldef'=>'int(1) default \'0\''),
		'BlogCommentSort' => array('label'=>'Sortierung','type'=>'hidden','position'=>'top','tab'=>3,
			'sqldef'=>'int(10) default \'0\''),
		'BlogCommentPost' => array('label'=>'ist Kommentar zu Blog-Eintrag (ID)','type'=>'select','datatype'=>'int','position'=>'top','tab'=>3,
			'sqldef'=>'int(10) default \'0\'',
			'select'=>array('module'=>'CMM_Blog','table'=>'cmm_blog_items','keyfield'=>'BlogItemUID','labelfield'=>'BlogItemDate,BlogItemTitle')),
		'BlogCommentParent' => array('label'=>'ist Kommentar zu Kommentar (ID)','type'=>'textfield','datatype'=>'int','position'=>'top','tab'=>3,
			'sqldef'=>'int(10) default \'0\''),
		'BlogCommentTitle' => array('label'=>'Titel','type'=>'textfield','position'=>'top','tab'=>0,
			'sqldef'=>'varchar(100) collate utf8_unicode_ci default NULL'),
		'BlogCommentText' => array('label'=>'Beschreibung','type'=>'textarea','attribs'=>array('required'=>1),'position'=>'top','tab'=>0,
			'sqldef'=>'text collate utf8_unicode_ci'),
		'BlogCommentName' => array('label'=>'Name (wenn kein Benutzerkonto)','type'=>'textfield','position'=>'right','tab'=>0,
			'sqldef'=>'varchar(100) collate utf8_unicode_ci default NULL'),
		'BlogCommentEmail' => array('label'=>'E-Mail (wenn kein Benutzerkonto)','type'=>'textfield','position'=>'right','tab'=>0,
			'sqldef'=>'varchar(100) collate utf8_unicode_ci default NULL'),
		'BlogCommentAddDate' => array('label'=>'Datum erstellt','type'=>'hidden','position'=>'left','tab'=>0,
			'sqldef'=>'datetime default \'0000-00-00 00:00:00\''),
		'BlogCommentAddUser' => array('label'=>'Benutzer erstellt','type'=>'select','position'=>'left','tab'=>0,
			'sqldef'=>'varchar(32) collate utf8_unicode_ci default \'0\'',
			'select'=>array('module'=>'CMM','table'=>'cmm_cmm_customers','keyfield'=>'CustomerUID','labelfield'=>'CustomerLastname,CustomerFirstname')),
		'BlogCommentModDate' => array('label'=>'Datum geändert','type'=>'hidden','position'=>'left','tab'=>0,
			'sqldef'=>'datetime default \'0000-00-00 00:00:00\''),
		'BlogCommentModUser' => array('label'=>'Benutzer geändert','type'=>'hidden','position'=>'left','tab'=>0,
			'sqldef'=>'varchar(32) collate utf8_unicode_ci default \'0\'')
		),
	'tableset' => array(
		'engine' => 'MyISAM',
		'primarykey' => 'UID',
		'charset' => 'utf8',
		'collation' => 'utf8_unicode_ci',
		'comment' => 'Kommentare'
		)
	);


////////////////////////////////////////////////////////////////////
// Sortier-Variablen (Administration)                             //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Blog']['sortVars'] = array();
$CONFIG['CMM_Blog']['sortVars']['cmm_blog_items'] = array('BlogItemUID','BlogItemSort','BlogItemStatus','BlogItemTitle','BlogItemAddDate','BlogItemModDate');
$CONFIG['CMM_Blog']['sortVars']['cmm_blog_categories'] = array('BlogCategoryUID','BlogCategorySort','BlogCategoryStatus','BlogCategoryTitle','BlogCategoryAddDate','BlogCategoryModDate');
$CONFIG['CMM_Blog']['sortVars']['cmm_blog_authors'] = array('BlogAuthorUID','BlogAuthorSort','BlogAuthorStatus','BlogAuthorTitle','BlogAuthorAddDate','BlogAuthorModDate');
$CONFIG['CMM_Blog']['sortVars']['cmm_blog_comments'] = array('BlogCommentUID','BlogCommentSort','BlogCommentStatus','BlogCommentTitle','BlogCommentAddDate','BlogCommentModDate');


////////////////////////////////////////////////////////////////////
// Filter-Variablen (Administration)                             //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Blog']['filterVars'] = array();
$CONFIG['CMM_Blog']['filterVars']['cmm_blog_items'] = array_keys($CONFIG['CMM_Blog']['database']['cmm_blog_items']['fieldset']);
$CONFIG['CMM_Blog']['filterVars']['cmm_blog_categories'] = array_keys($CONFIG['CMM_Blog']['database']['cmm_blog_categories']['fieldset']);
$CONFIG['CMM_Blog']['filterVars']['cmm_blog_authors'] = array_keys($CONFIG['CMM_Blog']['database']['cmm_blog_authors']['fieldset']);
$CONFIG['CMM_Blog']['filterVars']['cmm_blog_comments'] = array_keys($CONFIG['CMM_Blog']['database']['cmm_blog_comments']['fieldset']);

?>