<?PHP
/***************************************************************
*  Copyright notice
*
*  (c) 2009-2017 Nicolas Berg
*  All rights reserved
*
*  This script is part of the CMM3 Content-Management-System.
*  CMM3 is provided only under a commercial license until now.
*  Maybe we will add a free license in future.
*
*  This script is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
*
*  This copyright notice MUST APPEAR in all copies of the script!
***************************************************************/

////////////////////////////////////////////////////////////////////
// Modul-Einstellungen                                            //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Books'] = array();
// Modulpraefix
$CONFIG['CMM_Books']['key'] = 'CMM_Books';
// Modulname
$CONFIG['CMM_Books']['label'] = '{LANG_CMM_BOOKS}';
// Modulbeschreibung
$CONFIG['CMM_Books']['description'] = '{LANG_CMM_BOOKS_DESC}';
// Module-languages
$CONFIG['CMM_Books']['languages'] = 'at,de,ch,en';
// Modulicon
$CONFIG['CMM_Books']['icon'] = 'CMM_Books.svg';
// Modulversion
$CONFIG['CMM_Books']['version'] = '1.2.6';
// Dependencies
$CONFIG['CMM_Books']['depend'] = 'CMM:6.0';


////////////////////////////////////////////////////////////////////
// Set includes for administration                                //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Books']['BE'] = array();
$CONFIG['CMM_Books']['BE']['include'] = array();
// PHP
$CONFIG['CMM_Books']['BE']['include']['PHP'] = array('CMM_Books/structure.php');
// CSS
$CONFIG['CMM_Books']['BE']['include']['CSS'] = array();
// JS
$CONFIG['CMM_Books']['BE']['include']['JS'] = array();


////////////////////////////////////////////////////////////////////
// Set includes for website                                       //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Books']['FE'] = array();
$CONFIG['CMM_Books']['FE']['include'] = array();
// PHP - starting at CMM_ROOT_DIR
$CONFIG['CMM_Books']['FE']['include']['PHP'] = array();
// CSS - starting at CMM_ROOT_DIR
$CONFIG['CMM_Books']['FE']['include']['CSS'] = array('CMM_Books/template/css/CMM_Books.css');
// JS - starting at CMM_ROOT_DIR
$CONFIG['CMM_Books']['FE']['include']['JS'] = array();


////////////////////////////////////////////////////////////////////
// Datenverzeichnisse erstellen                                   //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Books']['dirs'] = array(
	'data/CMM_Books/backup/',
	'data/CMM_Books/images/',
	'data/CMM_Books/audios/',
	'data/CMM_Books/files/',
	'data/CMM_Books/icons/'
	);


////////////////////////////////////////////////////////////////////
// Plugins                                                        //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Books']['plugins'] = array(
	'CMM_Books_list.php',
	'CMM_Books_short.php',
	'CMM_Books_detail.php'
	);


////////////////////////////////////////////////////////////////////
// Weitere Einstellungen                                          //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Books']['config'] = array();

// Einfacher Modus - ohne Auswahl der Speicherseite
$CONFIG['CMM_Books']['config']['simpleMode'] = 0;
// Anzeige der Detailansichten zaehlen?
$CONFIG['CMM_Books']['config']['countImpressions'] = 1;
// Meta-Felder
$CONFIG['CMM_Books']['config']['metaTitleFields'] = array('BooksItemTitle');
$CONFIG['CMM_Books']['config']['metaKeywordsFields'] = array('BooksItemTitle','BooksItemSubtitle','BooksItemText');
$CONFIG['CMM_Books']['config']['metaDescriptionFields'] = array('BooksItemSubtitle','BooksItemText');

// Backup-Ansicht aktivieren
$CONFIG['CMM_Books']['config']['enableBackup'] = 0;


////////////////////////////////////////////////////////////////////
// Felddefinitionen fuer Config                                   //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Books']['configFields'] = array(
	'simpleMode' => array('label'=>'Einfacher Modus ohne Seitenbaum','type'=>'radio','options'=>array(array('value'=>'0','text'=>'{LANG_CMM_NO}'),array('value'=>'1','text'=>'{LANG_CMM_YES}')),'position'=>'left'),
	'countImpressions' => array('label'=>'Detailanzeige der Einträge zählen','type'=>'radio','options'=>array(array('value'=>'0','text'=>'{LANG_CMM_NO}'),array('value'=>'1','text'=>'{LANG_CMM_YES}')),'position'=>'left'),
	'enableBackup' => array('label'=>'Backup aktivieren','type'=>'radio','options'=>array(array('value'=>'0','text'=>'{LANG_CMM_NO}'),array('value'=>'1','text'=>'{LANG_CMM_YES}')),'position'=>'left')
	);


////////////////////////////////////////////////////////////////////
// Einstellungen fuer Suche                                       //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Books']['config']['search'] = array(
	'label' => '{LANG_CMM_BOOKS_LABEL}',
	'resultPIDparams' => ($CONFIG['CMM']['config']['seoUseSeoUrls']==true ? '/{$BooksItemTitle|validatealias}.{$BooksItemUID}' : '?CMM_Books[BooksItemUID]={$BooksItemUID}'),
	'resultPIDfilter' => '',
	'tablename' => 'cmm_books_items',
	'fieldprefix' => 'BooksItem',
	'join' => array('cmm_books_categories|BooksCategoryUID=BooksItemTID'), // Join-Table|Join-Table-Field=Table-Field|[Join-Table-Field=Value]
	'filter' => array(), // Zusatzfilter
	'titleFields' => array('BooksItemTitle','BooksItemWriter'),
	'textFields' => array('BooksItemSubtitle','BooksItemText','BooksItemContents'),
	'searchFields' => array('BooksItemTitle','BooksItemSubtitle','BooksItemText','BooksItemContents','BooksItemTags','BooksItemCollection','BooksItemWriter','BooksItemEditor','BooksItemPublisher'),
	'extraFields' => array('BooksItemTitle'),
	'deletedField' => 'BooksItemDeleted'
	);

?>