<?PHP
/***************************************************************
*  Copyright notice
*
*  (c) 2009-2017 Nicolas Berg
*  All rights reserved
*
*  This script is part of the CMM3 Content-Management-System.
*  CMM3 is provided only under a commercial license until now.
*  Maybe we will add a free license in future.
*
*  This script is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
*
*  This copyright notice MUST APPEAR in all copies of the script!
***************************************************************/

////////////////////////////////////////////////////////////////////
// Modul-Einstellungen                                            //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Cart'] = array();
// Modulpraefix
$CONFIG['CMM_Cart']['key'] = 'CMM_Cart';
// Modulname
$CONFIG['CMM_Cart']['label'] = '{LANG_CMM_CART}';
// Modulbeschreibung
$CONFIG['CMM_Cart']['description'] = '{LANG_CMM_CART_DESC}';
// Module-languages
$CONFIG['CMM_Cart']['languages'] = 'at,de,ch,en';
// Modulicon
$CONFIG['CMM_Cart']['icon'] = 'CMM_Cart.svg';
// Version
$CONFIG['CMM_Cart']['version'] = '1.6.1';
// Dependencies
$CONFIG['CMM_Cart']['depend'] = 'CMM:6.0';


////////////////////////////////////////////////////////////////////
// Set includes for administration                                //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Cart']['BE'] = array();
$CONFIG['CMM_Cart']['BE']['include'] = array();
// PHP
$CONFIG['CMM_Cart']['BE']['include']['PHP'] = array('CMM_Cart/structure.php');
// CSS
$CONFIG['CMM_Cart']['BE']['include']['CSS'] = array();
// JS
$CONFIG['CMM_Cart']['BE']['include']['JS'] = array();


////////////////////////////////////////////////////////////////////
// Set includes for website                                       //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Cart']['FE'] = array();
$CONFIG['CMM_Cart']['FE']['include'] = array();
// PHP - starting at CMM_ROOT_DIR
$CONFIG['CMM_Cart']['FE']['include']['PHP'] = array();
// CSS - starting at CMM_ROOT_DIR
$CONFIG['CMM_Cart']['FE']['include']['CSS'] = array('CMM_Cart/template/css/CMM_Cart.css');
// JS - starting at CMM_ROOT_DIR
$CONFIG['CMM_Cart']['FE']['include']['JS'] = array();


////////////////////////////////////////////////////////////////////
// Datenverzeichnisse erstellen                                   //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Cart']['dirs'] = array(
	'data/CMM_Cart/backup/'
	);


////////////////////////////////////////////////////////////////////
// Plugins                                                        //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Cart']['plugins'] = array(
	'CMM_Cart_default.php'
	);


////////////////////////////////////////////////////////////////////
// Weitere Einstellungen                                          //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Cart']['config'] = array();

// Einfacher Modus - ohne Auswahl der Speicherseite
$CONFIG['CMM_Cart']['config']['simpleMode'] = 0;

// Cart: Zweites Mengenfeld für Artikel aktivieren
$CONFIG['CMM_Cart']['config']['enableQuantity2'] = 0; // true oder false
// Cart: Indentische Produkte im Warenkorb zusammenfuehren
$CONFIG['CMM_Cart']['config']['combineEqualProducts'] = 0; // true oder false
// Kalkulation
$CONFIG['CMM_Cart']['config']['calculation'] = 'incl'; // incl= Preise werden brutto ein-/ausgegeben / excl= Preise werden netto ein-/ausgegeben

// Checkout: Adresseingabe ueberspringen
$CONFIG['CMM_Cart']['config']['skipAddress'] = 0; // true oder false
// Checkout: Versandart ueberspringen
$CONFIG['CMM_Cart']['config']['skipShipping'] = 0; // true oder false
// Checkout: Zahlungsart ueberspringen
$CONFIG['CMM_Cart']['config']['skipPayment'] = 0; // true oder false
// AGB akzeptieren
$CONFIG['CMM_Cart']['config']['checkConditions'] = 1; // true oder false
// Datenschutzbelehrung akzeptieren
$CONFIG['CMM_Cart']['config']['checkPrivacy'] = 1; // true oder false
// Rueckgabebelehrung akzeptieren
$CONFIG['CMM_Cart']['config']['checkReturn'] = 1; // true oder false


////////////////////////////////////////////////////////////////////
// Shop-Betreiber                                                 //
////////////////////////////////////////////////////////////////////
// Betreiber-Info
$CONFIG['CMM_Cart']['config']['shopCompany'] = ''; // Firma, Inhaber
$CONFIG['CMM_Cart']['config']['shopAddress'] = ''; // Musterstraße 12'."\r\n".'98765 Musterstadt
$CONFIG['CMM_Cart']['config']['shopContact'] = ''; // Tel.: 01234 56789-0'."\r\n".'Fax: 01234 56789-1'."\r\n".'E-Mail: email@domain.de
$CONFIG['CMM_Cart']['config']['shopAdditional'] = ''; // Handelsregister, Steuer-Nr., Finanzamt

$CONFIG['CMM_Cart']['config']['orderEmailAddress'] = 'email@domain.de'; // Absender und Ziel E-Mail fuer Bestellungen
$CONFIG['CMM_Cart']['config']['orderEmailName'] = 'Online-Shop'; // Absender-Name fuer Bestellungen
$CONFIG['CMM_Cart']['config']['emailFormat'] = 'html'; // Format der Bestell-E-Mails: 'html' oder 'Text'


////////////////////////////////////////////////////////////////////
// Shop-Versandarten                                              //
////////////////////////////////////////////////////////////////////
// @Code => eindeutige interne Bezeichnung 
// @Title => Bezeichnung
// @Text => Text in der Auswahl
// @Text2 => Text in der Bestaetigung
// @CostDriver => Kostentreiber (price oder weight)
// @Cost => Kosten (netto) - (xxx.xx:yyy.yy;xxx.xx:yyy.yy --> ab xxx.xx(Gesamt[netto]) kostet Versand yyy.yy) oder (nur yyy.yy Versand Pauschal)
// @TaxClass => Steuerklasse
// @CodCost => Nachnahmegebuehr: wenn leer, dann nicht moeglich
// @CodTaxClass => Steuerklasse fuer Nachnahme
$CONFIG['CMM_Cart']['config']['Shipping'] = array();
$CONFIG['CMM_Cart']['config']['Shipping']['pauschal'] = array(
	'Code'=>'pauschal',
	'Title'=>'Versandpauschale',
	'Text'=>'(nur innerhalb Deutschland)',
	'Text2'=>'(nur innerhalb Deutschland)',
	'CostDriver'=>'',
	'Cost'=>'3.90',
	'TaxClass'=>'0',
	'CodCost'=>'',
	'CodTaxClass'=>'0');

$CONFIG['CMM_Cart']['config']['Shipping']['ups'] = array(
	'Code'=>'ups',
	'Title'=>'UPS',
	'Text'=>'Versand mit dem Paketdinest UPS',
	'Text2'=>'Versand mit dem Paketdinest UPS',
	'CostDriver'=>'price',
	'Cost'=>'0:6.70;50:3;100:0',
	'TaxClass'=>'1',
	'CodCost'=>'5',
	'CodTaxClass'=>'1');

$CONFIG['CMM_Cart']['config']['Shipping']['spedition'] = array(
	'Code'=>'spedition',
	'Title'=>'Spedition',
	'Text'=>'innerhalb Deutschland (Festland)',
	'Text2'=>'innerhalb Deutschland (Festland)',
	'CostDriver'=>'weight',
	'Cost'=>'0:10.00;50:20.00;100:30.00;250:50.00',
	'TaxClass'=>'1',
	'CodCost'=>'',
	'CodTaxClass'=>'');

$CONFIG['CMM_Cart']['config']['Shipping']['selbst'] = array(
	'Code'=>'selbst',
	'Title'=>'Selbstabholung',
	'Text'=>'in unseren Geschäftsräumen:<br />Unternehmen &middot; Strasse Nr. &middot; PLZ Ort<br />24 Stunden nach der Bestellung',
	'Text2'=>'in unseren Geschäftsräumen:<br />Unternehmen &middot; Strasse Nr. &middot; PLZ Ort<br />24 Stunden nach der Bestellung',
	'CostDriver'=>'',
	'Cost'=>'0',
	'TaxClass'=>'',
	'CodCost'=>'',
	'CodTaxClass'=>'0');


////////////////////////////////////////////////////////////////////
// Shop-Zahlungsarten                                             //
////////////////////////////////////////////////////////////////////
// @Code => eindeutige interne Bezeichnung 
// @Title => Bezeichnung
// @Text => Text in der Auswahl
// @Text2 => Text in der Bestaetigung
// @Cost => Kosten (netto)
// @TaxClass => Steuerklasse
// @Fields => Zusatzabfragefelder (feld1|feld2|feld3|...)
$CONFIG['CMM_Cart']['config']['Payment'] = array();

$CONFIG['CMM_Cart']['config']['Payment']['debit'] = array(
	'Code'=>'debit',
	'Title'=>'SEPA-Lastschrift','Cost'=>'',
	'Text'=>'Bitte füllen sie dazu die folgenden Felder aus.<br /> Die Belastung Ihres Kontos erfolgt bei Versand der Ware, frühestens jedoch einen Tag nach dieser Bestellung.',
	'Text2'=>'In Kürze senden wir das für die Lastschrift erforderliche SEPA-Lastschriftmandat an die von Ihnen angegebene E-Mail-Adresse.<br /> Die Belastung Ihres Kontos erfolgt bei Versand der Ware, frühestens jedoch einen Tag nach dieser Bestellung.',
	'Cost'=>'',
	'TaxClass'=>'0',
	'Fields'=>'Kontoinhaber|Kreditinstitut|IBAN|BIC/SWIFT');

$CONFIG['CMM_Cart']['config']['Payment']['transfer'] = array(
	'Code'=>'transfer',
	'Title'=>'Überweisung (Vorkasse)',
	'Text'=>'Ihre Bestellung wird versendet, sobald der Rechnungs-Betrag bei uns eingegangen ist. Die Bankverbindung befindet sich am Ende der Bestellung sowie in der Bestätigungs-Nachricht.',
	'Text2'=>'Ihre Bestellung wird versendet, sobald der Rechnungs-Betrag auf unserem Konto eingegagen ist. <br /><br />Kontoinhaber: Max Mustermann<br />IBAN: DE12 3456 7890 1234 56<br />BIC: YXZ123ABC<br />Sparkasse Musterhausen<br /><br /> <b>Bitte geben Sie die Bestell-Nr. als Zahlungsgrund an.</b>',
	'Cost'=>'',
	'TaxClass'=>'0',
	'Fields'=>'');

$CONFIG['CMM_Cart']['config']['Payment']['cash'] = array(
	'Code'=>'cash',
	'Title'=>'Barzahlung bei Selbstabholung',
	'Text'=>'Wählen Sie bei Selbstabholung bitte diese Zahlungsweise.',
	'Text2'=>'',
	'Cost'=>'',
	'TaxClass'=>'0',
	'Fields'=>'');

$paypalMail = 'info@grafix21.de';
$CONFIG['CMM_Cart']['config']['Payment']['paypal'] = array(
	'Code'=>'paypal',
	'Title'=>'Zahlung mit PayPal',
	'Text'=>'Am Ende der Bestellung und in der Bestätigungs-Nachricht finden Sie einen Link zum Aufruf des PayPal-Zahlungsformulars.',
	'Text2'=>'Mit diesem Link können Sie das PayPal-Zahlungsformular aufrufen: <br><a target="_blank" href="https://www.paypal.com/cgi-bin/webscr?cmd=_xclick&business='.$paypalMail.'&item_name=Online-Shop+Bestellung+{$CartOrderUID|strpadleft:length=5:string=0}&item_number={$CartOrderUID}&amount={$Brutto|round:precision=2}&shipping=0&currency_code=EUR&return=&no_shipping=0&cbt=&cancel_return=&cpp_headerback_color=&cpp_headerborder_color=&cpp_payflow_color=&cpp_header_image=&cbt=&lc=DE"><big><b>Jetzt mit PayPal bezahlen.</b></big></a>',
	'Cost'=>'',
	'TaxClass'=>'0',
	'Fields'=>'');

$CONFIG['CMM_Cart']['config']['Payment']['invoice'] = array(
	'Code'=>'invoice',
	'Title'=>'Rechnung',
	'Text'=>'Die Rechnung wird Ihnen per Post zugesendet.',
	'Text2'=>'Die Rechnung wird Ihnen per Post zugesendet.',
	'Cost'=>'',
	'TaxClass'=>'0',
	'Fields'=>'');


// Backup-Ansicht aktivieren
$CONFIG['CMM_Cart']['config']['enableBackup'] = 0;


////////////////////////////////////////////////////////////////////
// Felddefinitionen fuer Config                                   //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Cart']['configFields'] = array(
	'shopCompany' => array('label'=>'Shop: Unternehmen, Inhaber','description'=>'Ausgabe in Bestellbestätigung und Druckansichten','type'=>'textfield','position'=>'top'),
	'shopAddress' => array('label'=>'Shop: Anschrift (Straße, PLZ, Ort)','description'=>'Ausgabe in Bestellbestätigung und Druckansichten','type'=>'textarea','rows'=>'3','position'=>'left'),
	'shopContact' => array('label'=>'Shop: Kontakt (Tel, Fax, Mail)','description'=>'Ausgabe in Bestellbestätigung und Druckansichten','type'=>'textarea','rows'=>'3','position'=>'left'),
	'shopAdditional' => array('label'=>'Shop: Zusatzangaben (Handelsreg., Steuer-Nr., ...)','description'=>'Ausgabe in Bestellbestätigung und Druckansichten','type'=>'textarea','rows'=>'3','position'=>'left'),
	'orderEmailAddress' => array('label'=>'E-Mail: Absender und Ziel-Emails für Bestellbestätigung (,)','description'=>'Angabe mehrerer E-Mail-Adressen als Komma-Liste möglich.<br> Erste Adresse wird als Absender der Mail an den Kunden verwendet.','type'=>'textfield','position'=>'right'),
	'orderEmailName' => array('label'=>'E-Mail: Absender-Name für Bestellbestätigung','type'=>'textfield','position'=>'right'),
	'emailFormat' => array('label'=>'E-Mail: Format','type'=>'radio','options'=>array(array('value'=>'text','text'=>'Text'),array('value'=>'html','text'=>'HTML')),'position'=>'right'),
	'simpleMode' => array('label'=>'Einfacher Modus ohne Seitenbaum','type'=>'radio','options'=>array(array('value'=>'0','text'=>'{LANG_CMM_NO}'),array('value'=>'1','text'=>'{LANG_CMM_YES}')),'position'=>'left2'),
	'enableQuantity2' => array('label'=>'Warenkorb: Zweites Mengenfeld für Artikel aktivieren','type'=>'radio','options'=>array(array('value'=>'0','text'=>'{LANG_CMM_NO}'),array('value'=>'1','text'=>'{LANG_CMM_YES}')),'position'=>'left2','default'=>'0'),
	'combineEqualProducts' => array('label'=>'Warenkorb: Indentische Produkte zusammenführen','type'=>'radio','options'=>array(array('value'=>'0','text'=>'{LANG_CMM_NO}'),array('value'=>'1','text'=>'{LANG_CMM_YES}')),'position'=>'left2'),
	'calculation' => array('label'=>'Warenkorb: Artikelpreise inkl./exkl. MwSt ausgeben','type'=>'radio','options'=>array(array('value'=>'incl','text'=>'inkl. MwSt.'),array('value'=>'excl','text'=>'exkl. MwSt.')),'position'=>'left2'),
	'skipAddress' => array('label'=>'Checkout: Adresseingabe überspringen','type'=>'radio','options'=>array(array('value'=>'0','text'=>'{LANG_CMM_NO}'),array('value'=>'1','text'=>'{LANG_CMM_YES}')),'position'=>'right2'),
	'skipShipping' => array('label'=>'Checkout: Versandart überspringen','type'=>'radio','options'=>array(array('value'=>'0','text'=>'{LANG_CMM_NO}'),array('value'=>'1','text'=>'{LANG_CMM_YES}')),'position'=>'right2'),
	'skipPayment' => array('label'=>'Checkout: Zahlungsart überspringen','type'=>'radio','options'=>array(array('value'=>'0','text'=>'{LANG_CMM_NO}'),array('value'=>'1','text'=>'{LANG_CMM_YES}')),'position'=>'right2'),
	'checkConditions' => array('label'=>'Checkout: AGB-Bestätigung erforderlich','type'=>'radio','options'=>array(array('value'=>'0','text'=>'{LANG_CMM_NO}'),array('value'=>'1','text'=>'{LANG_CMM_YES}')),'position'=>'right2'),
	'checkPrivacy' => array('label'=>'Checkout: Datenschutzbelehrung akzeptieren erforderlich','type'=>'radio','options'=>array(array('value'=>'0','text'=>'{LANG_CMM_NO}'),array('value'=>'1','text'=>'{LANG_CMM_YES}')),'position'=>'right2'),
	'checkReturn' => array('label'=>'Checkout: Rueckgabebelehrung akzeptieren erforderlich','type'=>'radio','options'=>array(array('value'=>'0','text'=>'{LANG_CMM_NO}'),array('value'=>'1','text'=>'{LANG_CMM_YES}')),'position'=>'right2'),
	'enableBackup' => array('label'=>'Backup aktivieren','type'=>'radio','options'=>array(array('value'=>'0','text'=>'{LANG_CMM_NO}'),array('value'=>'1','text'=>'{LANG_CMM_YES}')),'position'=>'left')
	);


////////////////////////////////////////////////////////////////////
// Einstellungen fuer Suche                                       //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Cart']['config']['search'] = array();

?>