<?PHP
/***************************************************************
*  Copyright notice
*
*  (c) 2009-2017 Nicolas Berg
*  All rights reserved
*
*  This script is part of the CMM3 Content-Management-System.
*  CMM3 is provided only under a commercial license until now.
*  Maybe we will add a free license in future.
*
*  This script is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
*
*  This copyright notice MUST APPEAR in all copies of the script!
***************************************************************/

///////////////////////////////////////////////////////////
// Plugin fuer kleinen Warenkorb                         //
///////////////////////////////////////////////////////////
// V 1.0 First release
// V 1.0.1 Konstanten fuer Default-PIDs entfernt
// V 1.0.2 Ausfuehrung nur, wenn nicht im metaMode
///////////////////////////////////////////////////////////

include_once(CMM_ROOT_DIR.'CMM_Cart/index.php');

/* PARAMS START - Marker-Comments required! */
$params = array(
	'templateFile'=>'CMM_Cart/template/html/CMM_Cart_default.html',
	'templateFileOrders'=>'CMM_Cart/template/html/CMM_Cart_orders.html',
	'templateFileMails'=>'CMM_Cart/template/mail/CMM_Cart_mails.html',
	'dataPID'=>'',
	'cartPID'=>'',
	'ordersPID'=>'',
	'printPID'=>'',
	'shippingInfoPID'=>'',
	'paymentInfoPID'=>'',
	'returnPID'=>'',
	'conditionsPID'=>'',
	'privacyPID'=>'',
	'action'=>'{$_REQUEST["CMM_Cart"]["action"]}',
	'view'=>'{$_REQUEST["CMM_Cart"]["view"]}',
	'pagenaviShow'=>1,
	'pagenaviPages'=>'',
	'limitShow' => 1,
	'limit'=>'{$_REQUEST["CMM_Cart"]["limit"]}',
	'limitOptions'=>'{array(12,24,36,48)}',
	'filter'=>'{$_REQUEST["CMM_Cart"]["filter"]}',
	'start'=>'{$_REQUEST["CMM_Cart"]["start"]}'
	);
/* PARAMS END */

/* FIELDSET START - Marker-Comments required! */
$fieldset = array(
	'templateFile' => array('label'=>'HTML-Vorlagen-Datei','type'=>'textfield','datatype'=>'text','position'=>'bottom','shy'=>1),
	'templateFileOrders' => array('label'=>'HTML-Vorlagen-Datei für Liste der Bestellungen','type'=>'textfield','datatype'=>'text','position'=>'bottom','shy'=>1),
	'templateFileMails' => array('label'=>'HTML-Vorlagen-Datei für E-Mails','type'=>'textfield','datatype'=>'text','position'=>'bottom','shy'=>1),
	'dataPID' => array('label'=>'Seite: Datensätze (PID)','type'=>'linkfield','position'=>'left'),
	'cartPID' => array('label'=>'Seite: Warenkorb (PID)','type'=>'linkfield','position'=>'left'),
	'ordersPID' => array('label'=>'Seite: Bestellhistorie (PID)','type'=>'linkfield','position'=>'left'),
	'printPID' => array('label'=>'Seite: Druckansicht (PID)','type'=>'linkfield','position'=>'left'),
	'shippingInfoPID' => array('label'=>'Seite: Versandkosten-Info (PID)','type'=>'linkfield','position'=>'left'),
	'paymentInfoPID' => array('label'=>'Seite: Zahlungsarten-Info (PID)','type'=>'linkfield','position'=>'left'),
	'returnPID' => array('label'=>'Seite: Widerrufsbelehrung (PID)','type'=>'linkfield','position'=>'left'),
	'conditionsPID' => array('label'=>'Seite: AGB (PID)','type'=>'linkfield','position'=>'left'),
	'privacyPID' => array('label'=>'Seite: Datenschutz (PID)','type'=>'linkfield','position'=>'left'),
	'action' => array('label'=>'Warenkorb-Aktion','type'=>'textfield','datatype'=>'code','position'=>'right'),
	'view' => array('label'=>'Warenkorb-Ansicht','type'=>'select','options'=>array(array('value'=>'mini','text'=>'Warenkorb: Mini-Info'),array('value'=>'box','text'=>'Warenkorb: Box'),array('value'=>'cart','text'=>'Warenkorb: normal (Standard)'),array('value'=>'address','text'=>'Checkout: Adressen'),array('value'=>'shipping','text'=>'Checkout: Versand'),array('value'=>'payment','text'=>'Checkout: Zahlung'),array('value'=>'confirmation','text'=>'Checkout: Bestätigen'),array('value'=>'success','text'=>'Checkout: Fertig'),array('value'=>'orders','text'=>'Liste der Bestellungen'),array('value'=>'print','text'=>'Druckansicht der Bestellung')),'position'=>'right'),
	'pagenaviShow' => array('label'=>'Seitennavigation: anzeigen','type'=>'radio','options'=>array(array('value'=>'0','text'=>'{LANG_CMM_NO}'),array('value'=>'1','text'=>'{LANG_CMM_YES}')),'position'=>'right'),
	'pagenaviPages' => array('label'=>'Seitennavigation: max. Seiten','type'=>'textfield','datatype'=>'code','position'=>'right'),
	'limitShow' => array('label'=>'Einträge pro Seite: Auswahl anzeigen','type'=>'radio','options'=>array(array('value'=>'0','text'=>'{LANG_CMM_NO}'),array('value'=>'1','text'=>'{LANG_CMM_YES}')),'position'=>'right'),
	'limit' => array('label'=>'Einträge pro Seite: (Anzahl oder Variable)','type'=>'textfield','datatype'=>'code','position'=>'right'),
	'limitOptions' => array('label'=>'Einträge pro Seite: Auswahlwerte','type'=>'textfield','datatype'=>'code','position'=>'right'),
	'filter' => array('label'=>'Filter','type'=>'textfield','position'=>'bottom','shy'=>1),
	'start' => array('label'=>'Liste beginnen bei (Anzahl oder Variable)','type'=>'hidden','position'=>'right')
	);
/* FIELDSET END */

// Set customer group
$params['CustomerCustomergroupID'] = isset($GLOBALS['CustomergroupUID']) ? $GLOBALS['CustomergroupUID'] : 0;
// Set language
$params['LID'] = isset($GLOBALS['LanguageUID']) ? $GLOBALS['LanguageUID'] : 1;

// Merge params and pluginParams
$params = CMM_mergePluginParams($params,$pluginParams);

// start aus Pagetail ermitteln
if($CONFIG['CMM']['config']['seoUseSeoUrls']==true)
	{
	if(isset($params['start']) && strstr($params['start'],'{') && !empty($GLOBALS['PageTail']))
		{
		$tempStart = CMM_getPagetailParams($GLOBALS['PageTail'],'start');
		!empty($tempStart) ? $params['start'] = $tempStart : '';
		}
	}

// Ausgabe
$shoppingCart = new CMM_Cart;
$pluginContent = $shoppingCart->createContent($params);

unset($params);

?>