<?PHP
/***************************************************************
*  Copyright notice
*
*  (c) 2009-2017 Nicolas Berg
*  All rights reserved
*
*  This script is part of the CMM3 Content-Management-System.
*  CMM3 is provided only under a commercial license until now.
*  Maybe we will add a free license in future.
*
*  This script is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
*
*  This copyright notice MUST APPEAR in all copies of the script!
***************************************************************/

// V 1.0 First release
// V 1.0.1 Verarbeitung von Config angepasst
// V 1.0.2 Backup-Einstellungen ergaenzt
// V 1.0.3 Delete-fields added
// V 1.0.4 PASTE-Action mod
// V 1.0.5 Mod userLevels

////////////////////////////////////////////////////////////////////
// Modul-Anzeigen                                                 //
////////////////////////////////////////////////////////////////////
// - label: Bezeichnung des Feldes
// - table: Haupt-Datenbanktabelle
// - userLevel: Berechntigungsstufe fuer Datensaetze
// - navi: Anzeige in der Hauptnavigation
$CONFIG['CMM_Cart']['views'] = array();
$CONFIG['CMM_Cart']['views']['INDEX'] = array('label'=>'{LANG_CMM_CART_VIEW_INDEX}','userLevel'=>1);
$CONFIG['CMM_Cart']['views']['ORDERS'] = array('label'=>'{LANG_CMM_CART_VIEW_ORDERS}','table'=>'cmm_cart_orders','userLevel'=>1,'inNavi'=>1);
$CONFIG['CMM_Cart']['views']['CONFIG'] = array('label'=>'{LANG_CMM_CART_VIEW_CONFIG}','table'=>'cmm_cmm_config','userLevel'=>6,'inNavi'=>1);
$CONFIG['CMM_Cart']['views']['BACKUP'] = array('label'=>'{LANG_CMM_CART_VIEW_BACKUP}','userLevel'=>1,'inNavi'=>(!empty($GLOBALS['isBackend']) && !empty($CUSTOM['CMM_Cart']['config']['enableBackup']) ? 1 : 0));
$CONFIG['CMM_Cart']['views']['INSTALL'] = array('label'=>'{LANG_CMM_CART_VIEW_INSTALL}','userLevel'=>3,'inNavi'=>0);
$CONFIG['CMM_Cart']['views']['DUMMY'] = array('label'=>'{LANG_CMM_CART_VIEW_DUMMY}','userLevel'=>1);


////////////////////////////////////////////////////////////////////
// Modulfunktionen                                                //
////////////////////////////////////////////////////////////////////
// - label: Bezeichnung des Feldes
// - area: Anzeige-Bereich
// - userLevel: Berechntigungsstufe fuer Datensaetze
// - icon: Icon fuer Listenansicht
// - action: Aktion, die ausgefuehrt werden soll
// - clipboardAction: Aktion, die spaeter ausgefuehrt werden soll
// - message: Frage vor Ausfuerung der Funktion
// - condition: Bedingung pruefen (Datenbankfeld) item/_SESSION/_GET/_POST/_COOKIE/_ENV[keyvar]==value
// - file: Funktion in externer Datei ausfuehren
// - target: Zielfenster fuer Funktion

$CONFIG['CMM_Cart']['views']['ORDERS']['actions'] = array(
	'LIST' => array('label'=>'{LANG_CMM_ACTION_LIST}','userLevel'=>0),
//	'NEW' => array('label'=>'{LANG_CMM_CART_ORDER} {LANG_CMM_ACTION_NEW}','area'=>'listhead','userLevel'=>1,'icon'=>'icon-action-new.svg'),
	'EDIT' => array('label'=>'{LANG_CMM_ACTION_EDIT}','area'=>'list','userLevel'=>1,'icon'=>'icon-action-edit.svg'),
	'ENABLE' => array('label'=>'{LANG_CMM_ACTION_ENABLE}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-enable.svg','condition'=>'$item["CartOrderStatus"]==0'),
	'DISABLE' => array('label'=>'{LANG_CMM_ACTION_DISABLE}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-disable.svg','condition'=>'$item["CartOrderStatus"]==1'),
//	'UP' => array('label'=>'{LANG_CMM_ACTION_UP}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-up.svg','condition'=>'$item["firstItem"]!=true && $CURRENT["sort"]=="CartOrderSort ASC"'),
//	'DOWN' => array('label'=>'{LANG_CMM_ACTION_DOWN}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-down.svg','condition'=>'$item["lastItem"]!=true && $CURRENT["sort"]=="CartOrderSort ASC"'),
	'SAVE' => array('label'=>'{LANG_CMM_ACTION_SAVE}','area'=>'singlehead','userLevel'=>3,'icon'=>'icon-action-save.svg'),
//	'SAVENEW' => array('label'=>'{LANG_CMM_ACTION_SAVENEW}','area'=>'singlehead','userLevel'=>3,'icon'=>'icon-action-save-and-new.svg'),
	'SAVECLOSE' => array('label'=>'{LANG_CMM_ACTION_SAVECLOSE}','area'=>'singlehead','userLevel'=>3,'icon'=>'icon-action-save-and-close.svg'),
	'CLOSE' => array('label'=>'{LANG_CMM_ACTION_CLOSE}','area'=>'singlehead','userLevel'=>1,'icon'=>'icon-action-close.svg'),
	'CUT' => array('label'=>'{LANG_CMM_ACTION_CUT}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-cut.svg'),
//	'COPY' => array('label'=>'{LANG_CMM_ACTION_COPY}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-copy.svg'),
	'PASTE' => array('label'=>'{LANG_CMM_ACTION_PASTE}','area'=>'listhead','userLevel'=>3,'icon'=>'icon-action-paste.svg','UID'=>(!empty($GLOBALS['isBackend']) && isset($_SESSION[$CURRENT["module"]][$CURRENT["view"]]['clipboard']) ? $_SESSION[$CURRENT["module"]][$CURRENT["view"]]['clipboard']['id'] : ''),'condition'=>'!empty($_SESSION[$CURRENT["module"]][$CURRENT["view"]]["clipboard"])'),
	'REMOVE' => array('label'=>'{LANG_CMM_ACTION_REMOVE}','area'=>'list,singlehead','userLevel'=>3,'icon'=>'icon-action-remove.svg','condition'=>'$item["CartOrderUID"]>0','message'=>'{LANG_CMM_ACTION_REMOVE_CONFIRM}'),
	'CLIPBOARDCLEAR' => array('label'=>'{LANG_CMM_ACTION_CLIPBOARDCLEAR}','area'=>'listhead','userLevel'=>3,'icon'=>'icon-action-clipboard-clear.svg','condition'=>'isset($_SESSION["CMM_Cart"][$CURRENT["view"]]["clipboard"])'),
	// Druckansichten
	'PRINT' => array('label'=>'{LANG_CMM_ACTION_PRINT_ITEM}','area'=>'list','userLevel'=>1,'icon'=>'icon-action-print.svg','file'=>'blank.php','target'=>'_blank'),
	'PRINTLIST' => array('label'=>'{LANG_CMM_ACTION_PRINT_LIST}','area'=>'listhead','userLevel'=>1,'icon'=>'icon-action-print.svg','file'=>'blank.php','target'=>'_blank')
	);

$CONFIG['CMM_Cart']['views']['BACKUP']['actions'] = array(
	'BACKUP' => array('label'=>'Datensicherung','userLevel'=>1,'inNavi'=>1),
	'INSTALLDB' => array('label'=>'Datenbanktabellen konfigurieren','userLevel'=>6),
	'BACKUPMAKE' => array('label'=>'Sicherung erstellen','userLevel'=>6,'inNavi'=>0),
	'BACKUPRESTORE' => array('label'=>'Sicherung zurückschreiben','userLevel'=>6,'inNavi'=>0),
	'BACKUPREMOVE' => array('label'=>'Sicherung löschen','userLevel'=>6,'inNavi'=>0)
	);

$CONFIG['CMM_Cart']['views']['CONFIG']['actions'] = array(
	'CONFIG' => array('label'=>'Konfiguration','userLevel'=>1,'inNavi'=>1),
	'CONFIGSAVE' => array('label'=>'Konfiguration','area'=>'singlehead','userLevel'=>6,'icon'=>'icon-action-save.svg')
	);

$CONFIG['CMM_Cart']['views']['INSTALL']['actions'] = array(
	'INSTALL' => array('label'=>'Installation','userLevel'=>6,'inNavi'=>0)
	);

$CONFIG['CMM_Cart']['views']['DUMMY']['actions'] = array(
	);


////////////////////////////////////////////////////////////////////
// Datenbank-Tabellen                                             //
////////////////////////////////////////////////////////////////////
// Werte fuer 'label': frei waehlbar (° am Ende = Standardwert fuer Filter)
// Werte fuer 'type': select, imagelist, filelist, linkfield, mapfield, textfield, textarea, rte, options, radio, checkbox, check, filefield, datetime, date, hidden
// Werte fuer 'position': top, left, right, bottom 
// Werte fuer 'datatype': [optional] int, double, date, string - erzwingt den Datentyp bei der Speicherung
// Werte fuer 'value': [optional] Wert (bei radio-buttons und mapfield auch array() moeglich)
// Werte fuer 'text': [optional] Text fuer Wert (bei radio-buttons und mapfield auch array() moeglich)
// Werte fuer 'valueselected': [optional] ausgewaehlter Wert

// Datenstamm fuer Objekte
$CONFIG['CMM_Cart']['database']['cmm_cart_orders'] = array(
	'tabs' => array(0=>'Bestellung',1=>'Kunde',2=>'Zahlung &amp; Versand',6=>'Sonstiges',9=>'Anzeige'),
	'tablename' => 'cmm_cart_orders',
	'sort' => 'CartOrderUID DESC',
	'backup' => 1,
	'fieldprefix' => 'CartOrder',
	'fieldset' => array(
		'CartOrderUID' => array('label'=>'ID','type'=>'hidden','tab'=>0,
			'sqldef'=>'int(10) default \'0\''),
		'CartOrderPID' => array('label'=>'Seite','type'=>'hidden','tab'=>0,
			'sqldef'=>'int(10) default \'0\''),
		'CartOrderTID' => array('label'=>'Typ','type'=>'hidden',
			'sqldef'=>'int(3) default \'0\'','position'=>'top','value'=>'','tab'=>6),
		'CartOrderLID' => array('label'=>'Sprache','type'=>'radio','position'=>'top','tab'=>6,
			'sqldef'=>'int(3) default \'0\'',
			'select'=>array('module'=>'CMM','table'=>'cmm_cmm_languages','keyfield'=>'LanguageUID','labelfield'=>'LanguageName','sort'=>'LanguageUID')),
		'CartOrderStatus' => array('label'=>'Status','type'=>'radio','position'=>'top','tab'=>0,
			'sqldef'=>'int(1) default \'0\'',
			'options'=>array(array('value'=>1,'text'=>'{LANG_CMM_ENABLED}'),array('value'=>'0','text'=>'{LANG_CMM_DISABLED}'))),
		'CartOrderDeleted' => array('label'=>'{LANG_CMM_FIELD_REMOVED}','type'=>'hidden','tab'=>3,
			'sqldef'=>'int(1) default \'0\''),
		'CartOrderSort' => array('label'=>'Sortierung','type'=>'hidden',
			'sqldef'=>'int(10) default \'0\'','position'=>'top','tab'=>9),
		'CartOrderStart' => array('label'=>'Start','type'=>'hidden','position'=>'left','tab'=>9,
			'sqldef'=>'datetime default NULL'),
		'CartOrderStop' => array('label'=>'Ende','type'=>'hidden','position'=>'right','tab'=>9,
			'sqldef'=>'datetime default NULL'),
		'CartOrderCustomergroupID' => array('label'=>'Anzeige für Benutzergruppen','type'=>'multiselect','attribs'=>array('multiple'=>1,'size'=>6,'position'=>'bottom','tab'=>9),
			'sqldef'=>'varchar(255) collate utf8_unicode_ci default NULL',
			'options'=>array('none'=>array('value'=>'0','text'=>'{LANG_CMM_IF_LOGGED_OUT}'),'all'=>array('value'=>'*','text'=>'{LANG_CMM_IF_LOGGED_IN}')),
			'select'=>array('module'=>'CMM','table'=>'cmm_cmm_customergroups','keyfield'=>'CustomergroupUID','labelfield'=>'CustomergroupUID,CustomergroupName','sort'=>'CustomergroupUID')),

		'CartOrderCustomerID' => array('label'=>'Kunde ID','type'=>'select','position'=>'top','tab'=>1,
			'sqldef'=>'int(10) default \'0\'',
			'select'=>array('module'=>'CMM','table'=>'cmm_cmm_customers','keyfield'=>'CustomerUID','labelfield'=>'CustomerFirstname,CustomerLastname,CustomerCompany'),
			'join'=>array('module'=>'CMM','table'=>'cmm_cmm_customers','keyfield'=>'CustomerUID')),
		'CartOrderItems' => array('label'=>'Artikel','type'=>'codearea','position'=>'bottom','attribs'=>array('rows'=>6),'tab'=>0,
			'sqldef'=>'text collate utf8_unicode_ci'),
		'CartOrderItemsPrice' => array('label'=>'Warenwert','type'=>'textfield','datatype'=>'price','position'=>'left','attribs'=>array('rows'=>6),'tab'=>0,
			'sqldef'=>'float(10,4) default \'0\''),
		'CartOrderFoot' => array('label'=>'Rechnungsfuß','type'=>'codearea','position'=>'bottom','attribs'=>array('rows'=>3),'tab'=>0,
			'sqldef'=>'text collate utf8_unicode_ci'),
		'CartOrderNetto' => array('label'=>'Summe (netto)','type'=>'textfield','datatype'=>'price','attribs'=>array('required'=>1),'position'=>'right','tab'=>0,
			'sqldef'=>'float(10,4) default \'0\''),
		'CartOrderBrutto' => array('label'=>'Summe (brutto)','type'=>'textfield','datatype'=>'price','position'=>'right','tab'=>0,
			'sqldef'=>'float(10,4) default \'0\''),
		'CartOrderWeight' => array('label'=>'Gewicht (kg)','type'=>'textfield','datatype'=>'float','position'=>'bottom','tab'=>2,
			'sqldef'=>'float(10,4) default \'0\''),
		'CartOrderComment' => array('label'=>'Kunden-Kommentar','type'=>'textarea','attribs'=>array('rows'=>5),'position'=>'bottom','tab'=>0,
			'sqldef'=>'text collate utf8_unicode_ci'),

		'CartOrderAddress1Gender' => array('label'=>'Anrede (Rechnungsadresse)','type'=>'select','position'=>'left','tab'=>1,
			'sqldef'=>'varchar(4) collate utf8_unicode_ci default NULL',
			'options'=>array(array('value'=>'F','text'=>'{LANG_CMM_MRS}'),array('value'=>'M','text'=>'{LANG_CMM_MR}'))),
		'CartOrderAddress1Title' => array('label'=>'Titel','type'=>'textfield','position'=>'left','tab'=>1,
			'sqldef'=>'varchar(16) collate utf8_unicode_ci default NULL'),
		'CartOrderAddress1Firstname' => array('label'=>'Vorname','type'=>'textfield','position'=>'left','tab'=>1,
			'sqldef'=>'varchar(64) collate utf8_unicode_ci default NULL'),
		'CartOrderAddress1Lastname' => array('label'=>'Nachname','type'=>'textfield','position'=>'left','tab'=>1,
			'sqldef'=>'varchar(64) collate utf8_unicode_ci default NULL'),
		'CartOrderAddress1Company' => array('label'=>'Firma','type'=>'textfield','position'=>'left','tab'=>1,
			'sqldef'=>'varchar(64) collate utf8_unicode_ci default NULL'),
		'CartOrderAddress1Phone' => array('label'=>'Telefon','type'=>'textfield','position'=>'left','tab'=>1,
			'sqldef'=>'varchar(64) collate utf8_unicode_ci default NULL'),
		'CartOrderAddress1Fax' => array('label'=>'Fax','type'=>'textfield','position'=>'left','tab'=>1,
			'sqldef'=>'varchar(64) collate utf8_unicode_ci default NULL'),
		'CartOrderAddress1Email' => array('label'=>'E-Mail-Adresse','type'=>'textfield','position'=>'left','attribs'=>array('rows'=>4),'tab'=>1,
			'sqldef'=>'varchar(64) collate utf8_unicode_ci default NULL'),
		'CartOrderAddress1Street' => array('label'=>'Straße','type'=>'textfield','position'=>'left','attribs'=>array('rows'=>4),'tab'=>1,
			'sqldef'=>'varchar(64) collate utf8_unicode_ci default NULL'),
		'CartOrderAddress1Zip' => array('label'=>'PLZ','type'=>'textfield','position'=>'left','tab'=>1,
			'sqldef'=>'varchar(16) collate utf8_unicode_ci default NULL'),
		'CartOrderAddress1City' => array('label'=>'Ort','type'=>'textfield','position'=>'left','tab'=>1,
			'sqldef'=>'varchar(64) collate utf8_unicode_ci default NULL'),
		'CartOrderAddress1Country' => array('label'=>'Land (ISO2-Code)','type'=>'select','position'=>'left','tab'=>1,
			'sqldef'=>'varchar(64) collate utf8_unicode_ci default NULL',
			'function'=>array('function'=>'CMM_getInputFieldCountryOptions','value'=>'iso2','text'=>'name')),

		'CartOrderAddress2Gender' => array('label'=>'Anrede (Lieferadresse)','type'=>'select','position'=>'right','tab'=>1,
			'sqldef'=>'varchar(4) collate utf8_unicode_ci default NULL',
			'options'=>array(array('value'=>'F','text'=>'{LANG_CMM_MRS}'),array('value'=>'M','text'=>'{LANG_CMM_MR}'))),
		'CartOrderAddress2Title' => array('label'=>'Titel','type'=>'textfield','position'=>'right','tab'=>1,
			'sqldef'=>'varchar(16) collate utf8_unicode_ci default NULL'),
		'CartOrderAddress2Firstname' => array('label'=>'Vorname','type'=>'textfield','position'=>'right','tab'=>1,
			'sqldef'=>'varchar(64) collate utf8_unicode_ci default NULL'),
		'CartOrderAddress2Lastname' => array('label'=>'Nachname','type'=>'textfield','position'=>'right','tab'=>1,
			'sqldef'=>'varchar(64) collate utf8_unicode_ci default NULL'),
		'CartOrderAddress2Company' => array('label'=>'Firma','type'=>'textfield','position'=>'right','tab'=>1,
			'sqldef'=>'varchar(64) collate utf8_unicode_ci default NULL'),
		'CartOrderAddress2Phone' => array('label'=>'Telefon','type'=>'textfield','position'=>'right','tab'=>1,
			'sqldef'=>'varchar(64) collate utf8_unicode_ci default NULL'),
		'CartOrderAddress2Fax' => array('label'=>'Fax','type'=>'textfield','position'=>'right','tab'=>1,
			'sqldef'=>'varchar(64) collate utf8_unicode_ci default NULL'),
		'CartOrderAddress2Email' => array('label'=>'E-Mail-Adresse','type'=>'textfield','position'=>'right','attribs'=>array('rows'=>4),'tab'=>1,
			'sqldef'=>'varchar(64) collate utf8_unicode_ci default NULL'),
		'CartOrderAddress2Street' => array('label'=>'Straße','type'=>'textfield','position'=>'right','attribs'=>array('rows'=>4),'tab'=>1,
			'sqldef'=>'varchar(64) collate utf8_unicode_ci default NULL'),
		'CartOrderAddress2Zip' => array('label'=>'PLZ','type'=>'textfield','position'=>'right','tab'=>1,
			'sqldef'=>'varchar(16) collate utf8_unicode_ci default NULL'),
		'CartOrderAddress2City' => array('label'=>'Ort','type'=>'textfield','position'=>'right','tab'=>1,
			'sqldef'=>'varchar(64) collate utf8_unicode_ci default NULL'),
		'CartOrderAddress2Country' => array('label'=>'Land (ISO2-Code)','type'=>'select','position'=>'right','tab'=>1,
			'sqldef'=>'varchar(64) collate utf8_unicode_ci default NULL',
			'function'=>array('function'=>'CMM_getInputFieldCountryOptions','value'=>'iso2','text'=>'name')),

		'CartOrderPaymentTitle' => array('label'=>'Zahlungs-Methode','type'=>'textfield','position'=>'left','tab'=>2,
			'sqldef'=>'varchar(64) collate utf8_unicode_ci default NULL'),
		'CartOrderPaymentText' => array('label'=>'Info-Text','type'=>'textarea','position'=>'left','tab'=>2,
			'sqldef'=>'text collate utf8_unicode_ci'),
		'CartOrderPaymentFields' => array('label'=>'Datenfelder','type'=>'codearea','attribs'=>array('rows'=>5),'position'=>'left','tab'=>2,
			'sqldef'=>'text collate utf8_unicode_ci'),
		'CartOrderPaymentStatus' => array('label'=>'Zahlungs-Status','type'=>'radio','position'=>'left','tab'=>2,
			'sqldef'=>'varchar(4) collate utf8_unicode_ci default NULL',
			'options'=>array(array('value'=>0,'text'=>'offen'),array('value'=>1,'text'=>'bezahlt'))),

		'CartOrderShippingTitle' => array('label'=>'Versand-Methode','type'=>'textfield','position'=>'right','tab'=>2,
			'sqldef'=>'varchar(64) collate utf8_unicode_ci default NULL'),
		'CartOrderShippingText' => array('label'=>'Info-Text','type'=>'textarea','position'=>'right','tab'=>2,
			'sqldef'=>'text collate utf8_unicode_ci'),
		'CartOrderShippingFields' => array('label'=>'Datenfelder','type'=>'codearea','attribs'=>array('rows'=>5),'position'=>'right','tab'=>2,
			'sqldef'=>'text collate utf8_unicode_ci'),
		'CartOrderShippingStatus' => array('label'=>'Versand-Status','type'=>'radio','position'=>'right','tab'=>2,
			'sqldef'=>'varchar(4) collate utf8_unicode_ci default NULL',
			'options'=>array(array('value'=>0,'text'=>'nicht versendet'),array('value'=>1,'text'=>'versendet'))),
		'CartOrderShippingTrackingCode' => array('label'=>'Tracking-Code','type'=>'textfield','position'=>'bottom','tab'=>2,
			'sqldef'=>'varchar(64) collate utf8_unicode_ci default NULL'),

		'CartOrderAddUser' => array('label'=>'Benutzer erstellt','type'=>'hidden','position'=>'bottom','tab'=>9,
			'sqldef'=>'varchar(32) collate utf8_unicode_ci default \'0\''),
		'CartOrderAddDate' => array('label'=>'Datum erstellt','type'=>'hidden','position'=>'bottom','tab'=>9,
			'sqldef'=>'datetime default \'0000-00-00 00:00:00\''),
		'CartOrderModUser' => array('label'=>'Benutzer geändert','type'=>'hidden','position'=>'bottom','tab'=>9,
			'sqldef'=>'varchar(32) collate utf8_unicode_ci default \'0\''),
		'CartOrderModDate' => array('label'=>'Datum geändert','type'=>'hidden','position'=>'bottom','tab'=>9,
			'sqldef'=>'datetime default \'0000-00-00 00:00:00\'')
		),
	'tableset' => array(
		'engine' => 'MyISAM',
		'primarykey' => 'UID',
		'charset' => 'utf8',
		'collation' => 'utf8_unicode_ci',
		'comment' => 'Bestellungen'
		)
	);


////////////////////////////////////////////////////////////////////
// Sortier-Variablen (Administration)                             //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Cart']['sortVars'] = array();
$CONFIG['CMM_Cart']['sortVars']['cmm_cart_orders'] = array('CartOrderUID','CartOrderStatus','CartOrderAddress1Lastname','CartOrderItemsPrice','CartOrderAddDate');


////////////////////////////////////////////////////////////////////
// Filter-Variablen (Administration)                             //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Cart']['filterVars'] = array();
$CONFIG['CMM_Cart']['filterVars']['cmm_cart_orders'] = array_keys($CONFIG['CMM_Cart']['database']['cmm_cart_orders']['fieldset']);

?>