<?PHP
/***************************************************************
*  Copyright notice
*
*  (c) 2009-2017 Nicolas Berg
*  All rights reserved
*
*  This script is part of the CMM3 Content-Management-System.
*  CMM3 is provided only under a commercial license until now.
*  Maybe we will add a free license in future.
*
*  This script is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
*
*  This copyright notice MUST APPEAR in all copies of the script!
***************************************************************/

////////////////////////////////////////////////////////////////////
// Modul-Einstellungen                                            //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Companies'] = array();
// Modulpraefix
$CONFIG['CMM_Companies']['key'] = 'CMM_Companies';
// Modulname
$CONFIG['CMM_Companies']['label'] = '{LANG_CMM_COMPANIES}';
// Modulbeschreibung
$CONFIG['CMM_Companies']['description'] = '{LANG_CMM_COMPANIES_DESC}';
// Module-languages
$CONFIG['CMM_Companies']['languages'] = 'at,de,ch,en';
// Modulicon
$CONFIG['CMM_Companies']['icon'] = 'CMM_Companies.svg';
// Modulversion
$CONFIG['CMM_Companies']['version'] = '1.4.7';
// Dependencies
$CONFIG['CMM_Companies']['depend'] = 'CMM:6.0';


////////////////////////////////////////////////////////////////////
// Set includes for administration                                //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Companies']['BE'] = array();
$CONFIG['CMM_Companies']['BE']['include'] = array();
// PHP
$CONFIG['CMM_Companies']['BE']['include']['PHP'] = array('CMM_Companies/structure.php');
// CSS
$CONFIG['CMM_Companies']['BE']['include']['CSS'] = array();
// JS
$CONFIG['CMM_Companies']['BE']['include']['JS'] = array();


////////////////////////////////////////////////////////////////////
// Set includes for website                                       //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Companies']['FE'] = array();
$CONFIG['CMM_Companies']['FE']['include'] = array();
// PHP - starting at CMM_ROOT_DIR
$CONFIG['CMM_Companies']['FE']['include']['PHP'] = array();
// CSS - starting at CMM_ROOT_DIR
$CONFIG['CMM_Companies']['FE']['include']['CSS'] = array('CMM_Companies/template/css/CMM_Companies.css');
// JS - starting at CMM_ROOT_DIR
$CONFIG['CMM_Companies']['FE']['include']['JS'] = array();


////////////////////////////////////////////////////////////////////
// Datenverzeichnisse erstellen                                   //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Companies']['dirs'] = array(
	'data/CMM_Companies/backup/',
	'data/CMM_Companies/images/',
	'data/CMM_Companies/videos/',
	'data/CMM_Companies/audios/',
	'data/CMM_Companies/files/'
	);


////////////////////////////////////////////////////////////////////
// Plugins                                                        //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Companies']['plugins'] = array(
	'CMM_Companies_navi.php',
	'CMM_Companies_letters.php',
	'CMM_Companies_list.php',
	'CMM_Companies_short.php',
	'CMM_Companies_detail.php',
	'CMM_Companies_filter.php',
	'CMM_Companies_GoogleMap.php',
	'CMM_Companies_list_xml.php'
	);


////////////////////////////////////////////////////////////////////
// Weitere Einstellungen                                          //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Companies']['config'] = array();

// Einfacher Modus - ohne Auswahl der Speicherseite
$CONFIG['CMM_Companies']['config']['simpleMode'] = 0;
// Anzeige der Detailansichten zaehlen?
$CONFIG['CMM_Companies']['config']['countImpressions'] = 1;

// Backup-Ansicht aktivieren
$CONFIG['CMM_Companies']['config']['enableBackup'] = 0;


////////////////////////////////////////////////////////////////////
// Felddefinitionen fuer Config                                   //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Companies']['configFields'] = array(
	'simpleMode' => array('label'=>'Einfacher Modus ohne Seitenbaum','type'=>'radio','options'=>array(array('value'=>'0','text'=>'{LANG_CMM_NO}'),array('value'=>'1','text'=>'{LANG_CMM_YES}')),'position'=>'left'),
	'countImpressions' => array('label'=>'Detailanzeige der Einträge zählen','type'=>'radio','options'=>array(array('value'=>'0','text'=>'{LANG_CMM_NO}'),array('value'=>'1','text'=>'{LANG_CMM_YES}')),'position'=>'left'),
	'enableBackup' => array('label'=>'Backup aktivieren','type'=>'radio','options'=>array(array('value'=>'0','text'=>'{LANG_CMM_NO}'),array('value'=>'1','text'=>'{LANG_CMM_YES}')),'position'=>'left')
	);


////////////////////////////////////////////////////////////////////
// Einstellungen fuer Suche                                       //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Companies']['config']['search'] = array(
	'label' => '{LANG_CMM_COMPANIES_LABEL}',
	'resultPIDparams' => ($CONFIG['CMM']['config']['seoUseSeoUrls']==true ? '/{$CompaniesItemCompany|validatealias}.{$CompaniesItemUID}' : '?CMM_Companies[CompaniesItemUID]={$CompaniesItemUID}'),
	'resultPIDfilter' => '',
	'tablename' => 'cmm_companies_items',
	'fieldprefix' => 'CompaniesItem',
	'join' => array('cmm_companies_categories|CompaniesCategoryUID=CompaniesItemTID'), // Join-Table|Join-Table-Field=Table-Field|[Join-Table-Field=Value]
	'filter' => array(), // Zusatzfilter
	'titleFields' => array('CompaniesItemCompany'),
	'textFields' => array('CompaniesItemText','CompaniesItemStreet','CompaniesItemZip','CompaniesItemCity'),
	'searchFields' => array('CompaniesItemCompany','CompaniesItemProducts','CompaniesItemText','CompaniesItemStreet','CompaniesItemZip','CompaniesItemCity','CompaniesItemContact','CompaniesItemPhone','CompaniesItemFax','CompaniesItemEmail','CompaniesItemWeb'),
	'extraFields' => array('CompaniesItemCompany'),
	'deletedField' => 'CompaniesItemDeleted'
	);

?>