<?PHP
/***************************************************************
*  Copyright notice
*
*  (c) 2009-2015 Nicolas Berg
*  All rights reserved
*
*  This script is part of the CMM3 Content-Management-System.
*  CMM3 is provided only under a commercial license until now.
*  Maybe we will add a free license in future.
*
*  This script is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
*
*  This copyright notice MUST APPEAR in all copies of the script!
***************************************************************/

////////////////////////////////////////////////////////////////////
// Modul-Einstellungen                                            //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Contents'] = array();
// Module-key
$CONFIG['CMM_Contents']['key'] = 'CMM_Contents';
// Module-label
$CONFIG['CMM_Contents']['label'] = '{LANG_CMM_CONTENTS}';
// Module-description
$CONFIG['CMM_Contents']['description'] = '{LANG_CMM_CONTENTS_DESC}';
// Module-languages
$CONFIG['CMM_Contents']['languages'] = 'at,de,ch,en,es,fr,nl,ru';
// Module-icon
$CONFIG['CMM_Contents']['icon'] = 'CMM_Contents.svg';
// Module-version
$CONFIG['CMM_Contents']['version'] = '2.9.8';
// Module-dependencies MOD1:Vmin(:Vmax),MOD2:Vmin(:Vmax),...
$CONFIG['CMM_Contents']['depend'] = 'CMM:6.0';


////////////////////////////////////////////////////////////////////
// Set includes for administration                                //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Contents']['BE'] = array();
$CONFIG['CMM_Contents']['BE']['include'] = array();
// PHP
$CONFIG['CMM_Contents']['BE']['include']['PHP'] = array('CMM_Contents/sql.php');
// CSS
$CONFIG['CMM_Contents']['BE']['include']['CSS'] = array();
// JS
$CONFIG['CMM_Contents']['BE']['include']['JS'] = array('CMM_Contents/js/CMM_Contents.js');


////////////////////////////////////////////////////////////////////
// Set includes for website                                       //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Contents']['FE'] = array();
$CONFIG['CMM_Contents']['FE']['include'] = array();
// PHP - starting at CMM_ROOT_DIR
$CONFIG['CMM_Contents']['FE']['include']['PHP'] = array();
// CSS - starting at CMM_ROOT_DIR
$CONFIG['CMM_Contents']['FE']['include']['CSS'] = array(500=>'CMM_Contents/template/css/CMM_Contents.css');
// JS - starting at CMM_ROOT_DIR
$CONFIG['CMM_Contents']['FE']['include']['JS'] = array(500=>'CMM_Contents/template/js/CMM_Contents.js');


////////////////////////////////////////////////////////////////////
// Datenverzeichnisse erstellen                                   //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Contents']['dirs'] = array(
	'data/CMM_Contents/backup/',
	'data/CMM_Contents/images/',
	'data/CMM_Contents/videos/',
	'data/CMM_Contents/audios/',
	'data/CMM_Contents/files/'
	);


////////////////////////////////////////////////////////////////////
// Plugins                                                        //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Contents']['plugins'] = array(
	'CMM_Contents_Contentindex.php',
	'CMM_Contents_content.php'
	);


////////////////////////////////////////////////////////////////////
// Weitere Einstellungen                                          //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Contents']['config'] = array();


// Content designs
$CONFIG['CMM_Contents']['config']['contentTID'] = array(
	10 => array('value'=>'xxx','text'=>'OPTGROUP:Hintergrund'),
	11 => array('value'=>11,'text'=>'Hintergrund 1 (11)','icon'=>'icon-content-type-background1.png'),
	12 => array('value'=>12,'text'=>'Hintergrund 2 (12)','icon'=>'icon-content-type-background2.png'),
	13 => array('value'=>13,'text'=>'Hintergrund 3 (13)','icon'=>'icon-content-type-background3.png'),
	14 => array('value'=>14,'text'=>'Hintergrund 4 (14)','icon'=>'icon-content-type-background4.png'),
	15 => array('value'=>15,'text'=>'Hintergrund 5 (15)','icon'=>'icon-content-type-background5.png'),

	20 => array('value'=>'xxx','text'=>'OPTGROUP:Rahmen'),
	21 => array('value'=>21,'text'=>'Rahmen (21)','icon'=>'icon-content-type-border.png'),
	22 => array('value'=>22,'text'=>'Rahmen oben (22)','icon'=>'icon-content-type-border-top.png'),
	23 => array('value'=>23,'text'=>'Rahmen rechts (23)','icon'=>'icon-content-type-border-right.png'),
	24 => array('value'=>24,'text'=>'Rahmen unten (24)','icon'=>'icon-content-type-border-bottom.png'),
	25 => array('value'=>25,'text'=>'Rahmen links (25)','icon'=>'icon-content-type-border-left.png'),
	26 => array('value'=>26,'text'=>'Blocklinien oben und unten (26)','icon'=>'icon-content-type-border-top-bottom.png'),

	30 => array('value'=>'xxx','text'=>'OPTGROUP:Schatten'),
	31 => array('value'=>31,'text'=>'Schatten außen (31)','icon'=>'icon-content-type-shadow.png'),
	32 => array('value'=>32,'text'=>'Schatten innen (32)','icon'=>'icon-content-type-shadow-inset.png'),

	40 => array('value'=>'xxx','text'=>'OPTGROUP:Text'),
	41 => array('value'=>41,'text'=>'Text klein (41)','icon'=>'icon-content-type-textsmall.png'),
	42 => array('value'=>42,'text'=>'Text groß (42)','icon'=>'icon-content-type-textbig.png'),
	43 => array('value'=>43,'text'=>'Text hell (43)','icon'=>'icon-content-type-textlight.png'),
	44 => array('value'=>44,'text'=>'Text dunkel (44)','icon'=>'icon-content-type-textdark.png'),

	50 => array('value'=>'xxx','text'=>'OPTGROUP:Text-Spalten'),
	51 => array('value'=>51,'text'=>'Text daynamisch in 2 Spalten (51)','icon'=>'icon-content-type-cols2.png'),
	52 => array('value'=>52,'text'=>'Text daynamisch in 3 Spalten (52)','icon'=>'icon-content-type-cols3.png'),
	53 => array('value'=>53,'text'=>'Text daynamisch in 4 Spalten (53)','icon'=>'icon-content-type-cols4.png'),

	60 => array('value'=>'xxx','text'=>'OPTGROUP:Zitat, Teaser, Plugin'),
	61 => array('value'=>61,'text'=>'Zitat (61)','icon'=>'icon-content-type-quote.png'),
	62 => array('value'=>62,'text'=>'Teaser (62)','icon'=>'icon-content-type-teaser.png'),
	63 => array('value'=>63,'text'=>'Plugin (63)','icon'=>'icon-content-type-plugin.png'),
	64 => array('value'=>64,'text'=>'Headline-CountUp-Block (64)','icon'=>'icon-content-type-countup.png'),
//	65 => array('value'=>65,'text'=>'NICHT BELEGT (65)','icon'=>'icon-content-type.png'),
	66 => array('value'=>66,'text'=>'Inhalt ohne Rahmen (66)','icon'=>'icon-content-type-blank.png'),
	67 => array('value'=>67,'text'=>'Preisbox (67)','icon'=>'icon-content-type-pricebox.png'),
	68 => array('value'=>68,'text'=>'Hero (68)','icon'=>'icon-content-type-hero.png'),

	70 => array('value'=>'xxx','text'=>'OPTGROUP:Icons'),
	71 => array('value'=>71,'text'=>'Icon oben (71)','icon'=>'icon-content-type-icon-t.png'),
	72 => array('value'=>72,'text'=>'Icon links (72)','icon'=>'icon-content-type-icon-l.png'),
	73 => array('value'=>73,'text'=>'Icon rechts (73)','icon'=>'icon-content-type-icon-r.png'),
	74 => array('value'=>74,'text'=>'Icon links neben Titel (74)','icon'=>'icon-content-type-icon-title-l.png'),
	75 => array('value'=>75,'text'=>'Icon rechts neben Titel (75)','icon'=>'icon-content-type-icon-title-r.png'),

	80 => array('value'=>'xxx','text'=>'OPTGROUP:Titel'),
	81 => array('value'=>81,'text'=>'Linie neben Titel (81)','icon'=>'icon-content-type-line-headline.png'),
	82 => array('value'=>82,'text'=>'Linie neben Untertitel (82)','icon'=>'icon-content-type-line-subtitle.png'),
	83 => array('value'=>83,'text'=>'Linie zwischen Titel und Untertitel (83)','icon'=>'icon-content-type-line-between.png'),
	84 => array('value'=>84,'text'=>'Linie unter Kopfbereich (84)','icon'=>'icon-content-type-line-below.png'),
	85 => array('value'=>85,'text'=>'Hintergrund 1 für Titel (85)','icon'=>'icon-content-type-title-bg1.png'),
	86 => array('value'=>86,'text'=>'Hintergrund 2 für Titel (86)','icon'=>'icon-content-type-title-bg2.png'),
	87 => array('value'=>87,'text'=>'Hintergrund 3 für Titel (87)','icon'=>'icon-content-type-title-bg3.png'),

	90 => array('value'=>'xxx','text'=>'OPTGROUP:PopUp'),
	91 => array('value'=>91,'text'=>'Popup (91)','icon'=>'icon-content-type-popup.png'),
	92 => array('value'=>92,'text'=>'Popup nur 1x pro Besuch (92)','icon'=>'icon-content-type-popup-single.png'),

	100 => array('value'=>'xxx','text'=>'OPTGROUP:Effekte'),
	101 => array('value'=>101,'text'=>'Tabs aus Inhalten (101)','icon'=>'icon-content-type-tabs.png'),
	102 => array('value'=>102,'text'=>'Akkordeon aus Inhalten (102)','icon'=>'icon-content-type-accordion.png'),
	103 => array('value'=>103,'text'=>'Akkordeon im Inhalt (103)','icon'=>'icon-content-type-accordionsmall.png'),
	104 => array('value'=>104,'text'=>'Aufklappblock (104)','icon'=>'icon-content-type-toggle.png'),
	105 => array('value'=>105,'text'=>'Slider (105)','icon'=>'icon-content-type-slider.png'),
	106 => array('value'=>106,'text'=>'Timeline aus Inhalten (106)','icon'=>'icon-content-type-timeline.png'),

	110 => array('value'=>'xxx','text'=>'OPTGROUP:Pos.'),
	111 => array('value'=>111,'text'=>'Sub-Contents zentrieren (111)','icon'=>'icon-content-type-sub-center.png'),
	112 => array('value'=>112,'text'=>'Sub-Contents linksbündig (112)','icon'=>'icon-content-type-sub-left.png'),
	113 => array('value'=>113,'text'=>'Sub-Contents rechtsbündig (113)','icon'=>'icon-content-type-sub-right.png')
	);


// Content sizes
$CONFIG['CMM_Contents']['config']['contentSizes'] = array(
	0 => array('value'=>'0','text'=>'{LANG_CMM_CONTENTS_WIDTH_FULL}'),

	10 => array('value'=>'xxx','text'=>'OPTGROUP:{LANG_CMM_CONTENTS_WIDTH_DYNAMIC}'),
	21 => array('value'=>21,'text'=>'1/2 {LANG_CMM_CONTENTS_WIDTH_PART}'),
	31 => array('value'=>31,'text'=>'1/3 {LANG_CMM_CONTENTS_WIDTH_PART}'),
	32 => array('value'=>32,'text'=>'2/3 {LANG_CMM_CONTENTS_WIDTH_PART}'),
	41 => array('value'=>41,'text'=>'1/4 {LANG_CMM_CONTENTS_WIDTH_PART}'),
	42 => array('value'=>42,'text'=>'2/4 {LANG_CMM_CONTENTS_WIDTH_PART}'),
	43 => array('value'=>43,'text'=>'3/4 {LANG_CMM_CONTENTS_WIDTH_PART}'),
	51 => array('value'=>51,'text'=>'1/5 {LANG_CMM_CONTENTS_WIDTH_PART}'),
	52 => array('value'=>52,'text'=>'2/5 {LANG_CMM_CONTENTS_WIDTH_PART}'),
	53 => array('value'=>53,'text'=>'3/5 {LANG_CMM_CONTENTS_WIDTH_PART}'),
	54 => array('value'=>54,'text'=>'4/5 {LANG_CMM_CONTENTS_WIDTH_PART}'),
	61 => array('value'=>61,'text'=>'1/6 {LANG_CMM_CONTENTS_WIDTH_PART}'),
	62 => array('value'=>62,'text'=>'2/6 {LANG_CMM_CONTENTS_WIDTH_PART}'),
	63 => array('value'=>63,'text'=>'3/6 {LANG_CMM_CONTENTS_WIDTH_PART}'),
	64 => array('value'=>64,'text'=>'4/6 {LANG_CMM_CONTENTS_WIDTH_PART}'),
	65 => array('value'=>65,'text'=>'5/6 {LANG_CMM_CONTENTS_WIDTH_PART}'),
	81 => array('value'=>81,'text'=>'1/8 {LANG_CMM_CONTENTS_WIDTH_PART}'),
	82 => array('value'=>82,'text'=>'2/8 {LANG_CMM_CONTENTS_WIDTH_PART}'),
	83 => array('value'=>83,'text'=>'3/8 {LANG_CMM_CONTENTS_WIDTH_PART}'),
	84 => array('value'=>84,'text'=>'4/8 {LANG_CMM_CONTENTS_WIDTH_PART}'),
	85 => array('value'=>85,'text'=>'5/8 {LANG_CMM_CONTENTS_WIDTH_PART}'),
	86 => array('value'=>86,'text'=>'6/8 {LANG_CMM_CONTENTS_WIDTH_PART}'),
	87 => array('value'=>87,'text'=>'7/8 {LANG_CMM_CONTENTS_WIDTH_PART}'),
	91 => array('value'=>91,'text'=>'1/9 {LANG_CMM_CONTENTS_WIDTH_PART}'),
	92 => array('value'=>92,'text'=>'2/9 {LANG_CMM_CONTENTS_WIDTH_PART}'),
	93 => array('value'=>93,'text'=>'3/9 {LANG_CMM_CONTENTS_WIDTH_PART}'),
	94 => array('value'=>94,'text'=>'4/9 {LANG_CMM_CONTENTS_WIDTH_PART}'),
	95 => array('value'=>95,'text'=>'5/9 {LANG_CMM_CONTENTS_WIDTH_PART}'),
	96 => array('value'=>96,'text'=>'6/9 {LANG_CMM_CONTENTS_WIDTH_PART}'),
	97 => array('value'=>97,'text'=>'7/9 {LANG_CMM_CONTENTS_WIDTH_PART}'),
	98 => array('value'=>98,'text'=>'8/9 {LANG_CMM_CONTENTS_WIDTH_PART}'),

	100 => array('value'=>'xxx','text'=>'OPTGROUP:{LANG_CMM_CONTENTS_WIDTH_STATIC}'),
	101 => array('value'=>1,'text'=>'1 {LANG_CMM_CONTENTS_WIDTH_COLUMN}'),
	102 => array('value'=>2,'text'=>'2 {LANG_CMM_CONTENTS_WIDTH_COLUMNS}'),
	103 => array('value'=>3,'text'=>'3 {LANG_CMM_CONTENTS_WIDTH_COLUMNS}'),
	104 => array('value'=>4,'text'=>'4 {LANG_CMM_CONTENTS_WIDTH_COLUMNS}'),
	105 => array('value'=>5,'text'=>'5 {LANG_CMM_CONTENTS_WIDTH_COLUMNS}'),
	106 => array('value'=>6,'text'=>'6 {LANG_CMM_CONTENTS_WIDTH_COLUMNS}'),
	107 => array('value'=>7,'text'=>'7 {LANG_CMM_CONTENTS_WIDTH_COLUMNS}'),
	108 => array('value'=>8,'text'=>'8 {LANG_CMM_CONTENTS_WIDTH_COLUMNS}'),
	109 => array('value'=>9,'text'=>'9 {LANG_CMM_CONTENTS_WIDTH_COLUMNS}'),
	110 => array('value'=>10,'text'=>'10 {LANG_CMM_CONTENTS_WIDTH_COLUMNS}'),
	111 => array('value'=>11,'text'=>'11 {LANG_CMM_CONTENTS_WIDTH_COLUMNS}'),
	112 => array('value'=>12,'text'=>'12 {LANG_CMM_CONTENTS_WIDTH_COLUMNS}'),
	113 => array('value'=>13,'text'=>'13 {LANG_CMM_CONTENTS_WIDTH_COLUMNS}'),
	114 => array('value'=>14,'text'=>'14 {LANG_CMM_CONTENTS_WIDTH_COLUMNS}'),
	115 => array('value'=>15,'text'=>'15 {LANG_CMM_CONTENTS_WIDTH_COLUMNS}'),
	116 => array('value'=>16,'text'=>'16 {LANG_CMM_CONTENTS_WIDTH_COLUMNS}')
	);


// Content animations
$CONFIG['CMM_Contents']['config']['contentAnimations'] = array(
//	0 =>array('value'=>'','text'=>''),
	10 => array('value'=>'xxx','text'=>'OPTGROUP:Favourites'),
	11 => array('value'=>'fadeIn','text'=>'fadeIn'),
	12 => array('value'=>'fadeInLeft','text'=>'fadeInLeft'),
	13 => array('value'=>'fadeInRight','text'=>'fadeInRight'),
	14 => array('value'=>'fadeInUp','text'=>'fadeInUp'),
	15 => array('value'=>'zoomIn','text'=>'zoomIn'),
	16 => array('value'=>'zoomInLeft','text'=>'zoomInLeft'),
	17 => array('value'=>'zoomInRight','text'=>'zoomInRight'),
	18 => array('value'=>'zoomInUp','text'=>'zoomInUp'),

	100 => array('value'=>'xxx','text'=>'OPTGROUP:Attention Seekers'),
	101 => array('value'=>'bounce','text'=>'bounce'),
	102 => array('value'=>'flash','text'=>'flash'),
	103 => array('value'=>'pulse','text'=>'pulse'),
	104 => array('value'=>'rubberBand','text'=>'rubberBand'),
	105 => array('value'=>'shake','text'=>'shake'),
	106 => array('value'=>'swing','text'=>'swing'),
	107 => array('value'=>'tada','text'=>'tada'),
	108 => array('value'=>'wobble','text'=>'wobble'),
	109 => array('value'=>'jello','text'=>'jello'),

	120 => array('value'=>'xxx','text'=>'OPTGROUP:Bouncing Entrances'),
	121 => array('value'=>'bounceIn','text'=>'bounceIn'),
	122 => array('value'=>'bounceInDown','text'=>'bounceInDown'),
	123 => array('value'=>'bounceInLeft','text'=>'bounceInLeft'),
	124 => array('value'=>'bounceInRight','text'=>'bounceInRight'),
	125 => array('value'=>'bounceInUp','text'=>'bounceInUp'),

	140 => array('value'=>'xxx','text'=>'OPTGROUP:Bouncing Exits'),
	141 => array('value'=>'bounceOut','text'=>'bounceOut'),
	142 => array('value'=>'bounceOutDown','text'=>'bounceOutDown'),
	143 => array('value'=>'bounceOutLeft','text'=>'bounceOutLeft'),
	144 => array('value'=>'bounceOutRight','text'=>'bounceOutRight'),
	145 => array('value'=>'bounceOutUp','text'=>'bounceOutUp'),

	160 => array('value'=>'xxx','text'=>'OPTGROUP:Fading Entrances'),
	161 => array('value'=>'fadeIn','text'=>'fadeIn'),
	162 => array('value'=>'fadeInDown','text'=>'fadeInDown'),
	163 => array('value'=>'fadeInDownBig','text'=>'fadeInDownBig'),
	164 => array('value'=>'fadeInLeft','text'=>'fadeInLeft'),
	165 => array('value'=>'fadeInLeftBig','text'=>'fadeInLeftBig'),
	166 => array('value'=>'fadeInRight','text'=>'fadeInRight'),
	167 => array('value'=>'fadeInRightBig','text'=>'fadeInRightBig'),
	168 => array('value'=>'fadeInUp','text'=>'fadeInUp'),
	169 => array('value'=>'fadeInUpBig','text'=>'fadeInUpBig'),

	180 => array('value'=>'xxx','text'=>'OPTGROUP:Fading Exits'),
	181 => array('value'=>'fadeOut','text'=>'fadeOut'),
	182 => array('value'=>'fadeOutDown','text'=>'fadeOutDown'),
	183 => array('value'=>'fadeOutDownBig','text'=>'fadeOutDownBig'),
	184 => array('value'=>'fadeOutLeft','text'=>'fadeOutLeft'),
	185 => array('value'=>'fadeOutLeftBig','text'=>'fadeOutLeftBig'),
	186 => array('value'=>'fadeOutRight','text'=>'fadeOutRight'),
	187 => array('value'=>'fadeOutRightBig','text'=>'fadeOutRightBig'),
	188 => array('value'=>'fadeOutUp','text'=>'fadeOutUp'),
	189 => array('value'=>'fadeOutUpBig','text'=>'fadeOutUpBig'),

	200 => array('value'=>'xxx','text'=>'OPTGROUP:Flippers'),
	201 => array('value'=>'flip','text'=>'flip'),
	202 => array('value'=>'flipInX','text'=>'flipInX'),
	203 => array('value'=>'flipInY','text'=>'flipInY'),
	204 => array('value'=>'flipOutX','text'=>'flipOutX'),
	205 => array('value'=>'flipOutY','text'=>'flipOutY'),

	220 => array('value'=>'xxx','text'=>'OPTGROUP:Lightspeed'),
	221 => array('value'=>'lightSpeedIn','text'=>'lightSpeedIn'),
	222 => array('value'=>'lightSpeedOut','text'=>'lightSpeedOut'),

	240 => array('value'=>'xxx','text'=>'OPTGROUP:Rotating Entrances'),
	241 => array('value'=>'rotateIn','text'=>'rotateIn'),
	242 => array('value'=>'rotateInDownLeft','text'=>'rotateInDownLeft'),
	243 => array('value'=>'rotateInDownRight','text'=>'rotateInDownRight'),
	244 => array('value'=>'rotateInUpLeft','text'=>'rotateInUpLeft'),
	245 => array('value'=>'rotateInUpRight','text'=>'rotateInUpRight'),

	260 => array('value'=>'xxx','text'=>'OPTGROUP:Rotating Exits'),
	261 => array('value'=>'rotateOut','text'=>'rotateOut'),
	262 => array('value'=>'rotateOutDownLeft','text'=>'rotateOutDownLeft'),
	263 => array('value'=>'rotateOutDownRight','text'=>'rotateOutDownRight'),
	264 => array('value'=>'rotateOutUpLeft','text'=>'rotateOutUpLeft'),
	265 => array('value'=>'rotateOutUpRight','text'=>'rotateOutUpRight'),

	280 => array('value'=>'xxx','text'=>'OPTGROUP:Sliding Entrances'),
	281 => array('value'=>'slideInUp','text'=>'slideInUp'),
	282 => array('value'=>'slideInDown','text'=>'slideInDown'),
	283 => array('value'=>'slideInLeft','text'=>'slideInLeft'),
	284 => array('value'=>'slideInRight','text'=>'slideInRight'),

	300 => array('value'=>'xxx','text'=>'OPTGROUP:Sliding Exits'),
	301 => array('value'=>'slideOutUp','text'=>'slideOutUp'),
	302 => array('value'=>'slideOutDown','text'=>'slideOutDown'),
	303 => array('value'=>'slideOutLeft','text'=>'slideOutLeft'),
	304 => array('value'=>'slideOutRight','text'=>'slideOutRight'),
          
	320 => array('value'=>'xxx','text'=>'OPTGROUP:Zoom Entrances'),
	321 => array('value'=>'zoomIn','text'=>'zoomIn'),
	322 => array('value'=>'zoomInDown','text'=>'zoomInDown'),
	323 => array('value'=>'zoomInLeft','text'=>'zoomInLeft'),
	324 => array('value'=>'zoomInRight','text'=>'zoomInRight'),
	325 => array('value'=>'zoomInUp','text'=>'zoomInUp'),
        
	340 => array('value'=>'xxx','text'=>'OPTGROUP:Zoom Exits'),
	341 => array('value'=>'zoomOut','text'=>'zoomOut'),
	342 => array('value'=>'zoomOutDown','text'=>'zoomOutDown'),
	343 => array('value'=>'zoomOutLeft','text'=>'zoomOutLeft'),
	344 => array('value'=>'zoomOutRight','text'=>'zoomOutRight'),
	345 => array('value'=>'zoomOutUp','text'=>'zoomOutUp'),

	360 => array('value'=>'xxx','text'=>'OPTGROUP:Specials'),
	361 => array('value'=>'hinge','text'=>'hinge'),
	362 => array('value'=>'rollIn','text'=>'rollIn'),
	363 => array('value'=>'rollOut','text'=>'rollOut')
	);


// Table positions
$CONFIG['CMM_Contents']['config']['contentTablePositions'] = array(
	0 => array('value'=>'xxx','text'=>'OPTGROUP:{LANG_CMM_CONTENTS_TABLEPOS_INTEXT}'),
	1 => array('value'=>'tableTop','text'=>'{LANG_CMM_CONTENTS_TABLEPOS_T}','icon'=>'icon-content-table-T.png'),
	2 => array('value'=>'tableBottom','text'=>'{LANG_CMM_CONTENTS_TABLEPOS_B}','icon'=>'icon-content-table-B.png')
	);


// Image positions
$CONFIG['CMM_Contents']['config']['contentImagesPositions'] = array(
	0 => array('value'=>'xxx','text'=>'OPTGROUP:{LANG_CMM_CONTENTS_IMAGEPOS_INTEXT})'),
	1 => array('value'=>'imagesTopLeft','text'=>'{LANG_CMM_CONTENTS_IMAGEPOS_TL}','icon'=>'icon-content-images-TL.png'),
	2 => array('value'=>'imagesTop','text'=>'{LANG_CMM_CONTENTS_IMAGEPOS_TC}','icon'=>'icon-content-images-TC.png'),
	3 => array('value'=>'imagesTopRight','text'=>'{LANG_CMM_CONTENTS_IMAGEPOS_TR}','icon'=>'icon-content-images-TR.png'),
	4 => array('value'=>'imagesLeft','text'=>'{LANG_CMM_CONTENTS_IMAGEPOS_L}','icon'=>'icon-content-images-L.png'),
	5 => array('value'=>'imagesLeft2','text'=>'{LANG_CMM_CONTENTS_IMAGEPOS_L2}','icon'=>'icon-content-images-L2.png'),
	6 => array('value'=>'imagesLeft3','text'=>'{LANG_CMM_CONTENTS_IMAGEPOS_L3}','icon'=>'icon-content-images-L3.png'),
	7 => array('value'=>'imagesRight3','text'=>'{LANG_CMM_CONTENTS_IMAGEPOS_R3}','icon'=>'icon-content-images-R3.png'),
	8 => array('value'=>'imagesRight2','text'=>'{LANG_CMM_CONTENTS_IMAGEPOS_R2}','icon'=>'icon-content-images-R2.png'),
	9 => array('value'=>'imagesRight','text'=>'{LANG_CMM_CONTENTS_IMAGEPOS_R}','icon'=>'icon-content-images-R.png'),
	10 => array('value'=>'imagesBottomLeft','text'=>'{LANG_CMM_CONTENTS_IMAGEPOS_BL}','icon'=>'icon-content-images-BL.png'),
	11 => array('value'=>'imagesBottom','text'=>'{LANG_CMM_CONTENTS_IMAGEPOS_BC}','icon'=>'icon-content-images-BC.png'),
	12 => array('value'=>'imagesBottomRight','text'=>'{LANG_CMM_CONTENTS_IMAGEPOS_BR}','icon'=>'icon-content-images-BR.png'),

	20 => array('value'=>'xxx','text'=>'OPTGROUP:{LANG_CMM_CONTENTS_IMAGEPOS_ROWS}'),
	21 => array('value'=>'images1col','text'=>'{LANG_CMM_CONTENTS_IMAGEPOS_ROWS1}','icon'=>'icon-content-images-1col.png'),
	22 => array('value'=>'images2col','text'=>'{LANG_CMM_CONTENTS_IMAGEPOS_ROWS2}','icon'=>'icon-content-images-2col.png'),
	23 => array('value'=>'images3col','text'=>'{LANG_CMM_CONTENTS_IMAGEPOS_ROWS3}','icon'=>'icon-content-images-3col.png'),
	24 => array('value'=>'images4col','text'=>'{LANG_CMM_CONTENTS_IMAGEPOS_ROWS4}','icon'=>'icon-content-images-4col.png'),
	25 => array('value'=>'images5col','text'=>'{LANG_CMM_CONTENTS_IMAGEPOS_ROWS5}','icon'=>'icon-content-images-5col.png'),

	30 => array('value'=>'xxx','text'=>'OPTGROUP:{LANG_CMM_CONTENTS_IMAGEPOS_OTHER}'),
	31 => array('value'=>'imagesTeaser','text'=>'{LANG_CMM_CONTENTS_IMAGEPOS_TEASER}','icon'=>'icon-content-images-TEASER.png'),
	32 => array('value'=>'imagesGallery','text'=>'{LANG_CMM_CONTENTS_IMAGEPOS_GALLERY}','icon'=>'icon-content-images-GALLERY.png'),
	33 => array('value'=>'imagesSlider','text'=>'{LANG_CMM_CONTENTS_IMAGEPOS_SLIDER}','icon'=>'icon-content-images-SLIDER.png'),
	34 => array('value'=>'imagesCaroussel','text'=>'{LANG_CMM_CONTENTS_IMAGEPOS_CAROUSSEL}','icon'=>'icon-content-images-CAROUSSEL.png'),
	35 => array('value'=>'imagesMasonry','text'=>'{LANG_CMM_CONTENTS_IMAGEPOS_MASONRY}','icon'=>'icon-content-images-MASONRY.png'),
	36 => array('value'=>'imagesBackground','text'=>'{LANG_CMM_CONTENTS_IMAGEPOS_COVER}','icon'=>'icon-content-images-BACKGROUND.png'),
	37 => array('value'=>'imagesBackground2','text'=>'{LANG_CMM_CONTENTS_IMAGEPOS_TILES}','icon'=>'icon-content-images-BACKGROUND2.png'),
	38 => array('value'=>'imagesParallax','text'=>'{LANG_CMM_CONTENTS_IMAGEPOS_PARALLAX}','icon'=>'icon-content-images-PARALLAX.png')
	);


// Video positions
$CONFIG['CMM_Contents']['config']['contentVideosPositions'] = array(
	0 => array('value'=>'xxx','text'=>'OPTGROUP:{LANG_CMM_CONTENTS_VIDEOPOS_INTEXT}'),
	1 => array('value'=>'videosTopLeft','text'=>'{LANG_CMM_CONTENTS_VIDEOPOS_TL}','icon'=>'icon-content-videos-TL.png'),
	2 => array('value'=>'videosTop','text'=>'{LANG_CMM_CONTENTS_VIDEOPOS_TC}','icon'=>'icon-content-videos-TC.png'),
	3 => array('value'=>'videosTopRight','text'=>'{LANG_CMM_CONTENTS_VIDEOPOS_TR}','icon'=>'icon-content-videos-TR.png'),
	4 => array('value'=>'videosBottomLeft','text'=>'{LANG_CMM_CONTENTS_VIDEOPOS_BL}','icon'=>'icon-content-videos-BL.png'),
	5 => array('value'=>'videosBottom','text'=>'{LANG_CMM_CONTENTS_VIDEOPOS_BC}','icon'=>'icon-content-videos-BC.png'),
	6 => array('value'=>'videosBottomRight','text'=>'{LANG_CMM_CONTENTS_VIDEOPOS_BR}','icon'=>'icon-content-videos-BR.png')
	);


// Cache times
$CONFIG['CMM_Contents']['config']['contentCacheValues'] = array(
	0 => array('value'=>'0','text'=>'{LANG_CMM_NO_CACHE}'),
	1 => array('value'=>'300','text'=>'5 {LANG_CMM_MINUTES}'),
	2 => array('value'=>'900','text'=>'15 {LANG_CMM_MINUTES}'),
	3 => array('value'=>'1800','text'=>'30 {LANG_CMM_MINUTES}'),
	4 => array('value'=>'3600','text'=>'1 {LANG_CMM_HOUR} (Standard)'),
	5 => array('value'=>'10800','text'=>'3 {LANG_CMM_HOURS}'),
	6 => array('value'=>'21600','text'=>'6 {LANG_CMM_HOURS}'),
	7 => array('value'=>'43200','text'=>'12 {LANG_CMM_HOURS}'),
	8 => array('value'=>'86400','text'=>'24 {LANG_CMM_HOURS}')
	);


// Enable backup-view in module
$CONFIG['CMM_Contents']['config']['enableBackup'] = 0;


////////////////////////////////////////////////////////////////////
// Felddefinitionen fuer Config                                   //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Contents']['configFields'] = array(
	'enableBackup' => array('label'=>'Backup aktivieren','type'=>'radio','options'=>array(array('value'=>'0','text'=>'{LANG_CMM_NO}'),array('value'=>'1','text'=>'{LANG_CMM_YES}')),'position'=>'left')
	);


////////////////////////////////////////////////////////////////////
// Einstellungen fuer Suche                                       //
////////////////////////////////////////////////////////////////////
!isset($GLOBALS['LanguageUID']) ? $GLOBALS['LanguageUID']=1 : ''; // Zusatz fuer CMM_Contents
$CONFIG['CMM_Contents']['config']['search'] = array(
	'label' => '{LANG_CMM_CONTENTS_LABEL}',
	'resultPID' => '{$ContentPID}',
	'resultPIDparams' => '#content_{$ContentUID}',
	'resultPIDfilter' => '',
	'tablename' => 'cmm_contents_contents',
	'fieldprefix' => 'Content',
	'join' => array('cmm_cmm_pages|ContentPID=PageUID','cmm_cmm_pages_lbc|PagePID_lbc=PageUID|PageLID_lbc='.$GLOBALS['LanguageUID']), // Join-Table|Join-Table-Field=Table-Field|[Join-Table-Field=Value]
	'filter' => array('ContentNoSearch'=>0,'PageNoSearch'=>0,'PageStatus_lbc'=>1), // Zusatzfilter
	'titleFields' => array('ContentTitle'),
	'textFields' => array('ContentSubtitle','ContentHTML','ContentText'),
	'searchFields' => array('ContentTitle','ContentSubtitle','ContentHTML','ContentText'),
	'extraFields' => array(),
	'deletedField' => 'ContentDeleted',
//	'fulltext' => array('Fulltext' => array('ContentTitle','ContentSubtitle','ContentHTML','ContentText'))
	);

?>