///////////////////////////////////////////////////////////////
// V 1.0.0 First Release
// V 1.1.0 CMM_showImageConfigDialog() and more added
// V 1.2.0 CMM_showContentConfigDialog() and more added
// V 1.2.1 Drag-N-Drop mod.
// V 1.2.2 Drag-N-Drop mod.
///////////////////////////////////////////////////////////////


// Administration: Show dialog with input fields for image-options
function CMM_showImageConfigDialog(fieldType,fieldConfig)
	{
	dialog = $('#dialog');
	dialogBox = $('#dialogBox');
	dialogBoxTitle = $('P','#dialogHead');
	dialogBoxContent = $('#dialogContent');

	dialogBoxTitle.html('Optionen auswählen');
	dialogBoxContent.html('');

	// Get image type and config
	imageType = fieldType.val();
	imageConfigString = fieldConfig.val();

	// Show dialog
	CMM_dialogBoxShow(800,500);

	// Set loader
	dialogBoxContent.addClass('loading');
	// Load wizard
	dialogBoxContent.load('../CMM_Contents/wizards/wizard-imageconfig.php?imageType='+imageType+'&imageConfigString='+imageConfigString, function() {
		// Remove loader
		dialogBoxContent.removeClass('loading');
		// Get dialog
		imageConfigDialog = $('#imageConfigDialog');

		// Shy fields - show if set or not empty
		setTimeout(function() {
			// Shy fields - show if set or not empty and add toggle
			$('.CMM_inputBoxShy',imageConfigDialog).each(function() {
				CMM_inputShyfieldsShow($(this));
				});
			$('.CMM_inputBoxShy',imageConfigDialog).each(function() {
				CMM_inputShyfieldsToggle($(this));
				});
			},250);

		// Set action on submit-button
		$('#imageConfigDialogButton').on('click',function() {
			// Collect data
			resultData = '';
			$('.CMM_inputBox SELECT,.CMM_inputBox INPUT',imageConfigDialog).each(function() {
				// Get field name
				itemName = $(this).attr('name');
				// Modify select name
				if($(this).is('SELECT'))
					{ itemName = itemName.replace('[select]',''); }
				// Collect value only if not empty
				if($(this).val() != '')
					{ resultData+= itemName+':'+$(this).val()+';'; }
				});
			// Send data to field
			fieldConfig.val(resultData);
			// Close and empty dialog
			$('#dialog').fadeOut();
			});
		});
	}


///////////////////////////////////////////////////////////////


// Administration: Show dialog with input fields for content-options
function CMM_showContentConfigDialog(fieldType,fieldConfig)
	{
	dialog = $('#dialog');
	dialogBox = $('#dialogBox');
	dialogBoxTitle = $('P','#dialogHead');
	dialogBoxContent = $('#dialogContent');

	dialogBoxTitle.html('Optionen auswählen');
	dialogBoxContent.html('');

	// Get content type and config
	contentType = fieldType.val();
	contentConfigString = fieldConfig.val();

	// Show dialog
	CMM_dialogBoxShow(800,500);

	// Set loader
	dialogBoxContent.addClass('loading');
	// Load wizard
	dialogBoxContent.load('../CMM_Contents/wizards/wizard-contentconfig.php?contentType='+contentType+'&contentConfigString='+contentConfigString, function() {
		// Remove loader
		dialogBoxContent.removeClass('loading');
		// Get dialog
		contentConfigDialog = $('#contentConfigDialog');
		// Shy fields - show if set or not empty
		setTimeout(function() {
			// Shy fields - show if set or not empty and add toggle
			$('.CMM_inputBoxShy',contentConfigDialog).each(function() {
				CMM_inputShyfieldsShow($(this));
				});
			$('.CMM_inputBoxShy',contentConfigDialog).each(function() {
				CMM_inputShyfieldsToggle($(this));
				});
			},250);
		// Set action on submit-button
		$('#contentConfigDialogButton').on('click',function() {
			// Collect data
			resultData = '';
			$('.CMM_inputBox SELECT,.CMM_inputBox INPUT',contentConfigDialog).each(function() {
				// Get field name
				itemName = $(this).attr('name');
				// Modify select name
				if($(this).is('SELECT'))
					{ itemName = itemName.replace('[select]',''); }
				// Collect value only if not empty
				if($(this).val() != '')
					{ resultData+= itemName+':'+$(this).val()+';'; }
				});
			// Send data to field
			fieldConfig.val(resultData);
			// Close and empty dialog
			$('#dialog').fadeOut();
			});
		});
	}


///////////////////////////////////////////////////////////////


// Send changed grid order
function reorderGrid(id,params)
	{
	gridForm = $('#CMM_gridForm');

	if(typeof params == 'undefined')
		{ console.log('No id defined!'); return false; }
	if(typeof id == 'undefined')
		{ console.log('No params defined!'); return false; }

	// Set action
	gridForm.find('[name="CMM_action"]').val('MOVEANDREORDER');
	// Set id
	gridForm.find('[name="CMM_id"]').val(id);
	// Set params
	gridForm.find('[name="CMM_params"]').val(params);

	// Show overlay
	$('#overlay').fadeIn('100');

	// Get current scroll position
	localStorage.setItem('playgroundScrollTop',$('.contentColumnPlayground .contentColumnContent').scrollTop());

	// Send form
	gridForm.submit();
	}


///////////////////////////////////////////////////////////////


// jQuery-Plugins starten
$(document).ready(function() {

	var gridDragElement = null;
	var gridDragChildIDs = [];
	var gridDragDummy = null;
	var gridDragSpeed = 250;
	var gridDragTimeout;
	var gridDragMouseX = 0;
	var gridDragMouseY = 0;


	// Scroll playground to prior scroll-position
	if($('.contentColumnPlayground .contentColumnContent').length > 0)
		{
		// Scroll to saved position
		playgroundScrollTop = localStorage.getItem('playgroundScrollTop');
		if(playgroundScrollTop !== null && playgroundScrollTop > 0)
			{
			$('.contentColumnPlayground .contentColumnContent').scrollTop(playgroundScrollTop);
			localStorage.removeItem('playgroundScrollTop');
			}
		}


	// Remove white-spaces
	$('.CMM_adminGrid, .CMM_adminGridItemFoot','.CMM_CMR_contentList').cleanWhitespace();


	// CLICK on handle
	$('.dragHandle').on('mousedown', function(e) {
	//	e.originalEvent.stopPropagation();
		gridDragHandle = $(this);
		// set and remove draggable propery
		$(this).closest('.CMM_adminGridItem').attr('draggable',true);
		});
	$('.dragHandle').on('mouseup', function(e) {
		window.setTimeout(function() {
			$('.CMM_adminGridItem').removeAttr('draggable');
			},500);
		});

	// DRAGSTART
	$('.CMM_adminGridItem','.CMM_CMR_contentList').on('dragstart', function(e) {
		e.originalEvent.stopPropagation();

		// Set target event type
		e.originalEvent.dataTransfer.effectAllowed = 'move';

		// Get the element to drag
		gridDragElement = $(e.originalEvent.target);
		setTimeout(function(){
			gridDragElement.addClass('moving');
			}, 100);

		// break if drag-element is not valid
		if(gridDragElement == null)
			{ return false; }
		else if(gridDragElement.length == 0)
			{ return false; }
		else if(!gridDragElement.hasClass('CMM_adminGridItem'))
			{ return false; }

		// Element ID
		e.originalEvent.dataTransfer.setData('text', e.originalEvent.target.id);

		// Get list of children to prevent recoursive nesting
		gridDragChildIDs = [];
		$('.CMM_adminGridItem',$(this)).each(function() {
			gridDragChildIDs.push($(this).attr('id'));
			});

		// Highlight drop-zones
	//	$('.CMM_adminGrid').addClass('CMM_adminGridSuggest');

		// Create gridDragDummy
		gridDragDummy = $('<div>').hide('fast');
		gridDragDummy.addClass($(e.originalEvent.target).attr('class'));
		gridDragDummy.removeClass('hover');
		gridDragDummy.addClass('CMM_adminGridDummy');
		gridDragDummy.css('display','inline-block');
		});


	// DRAGOVER
	$('.CMM_adminGrid','.CMM_CMR_contentList').on('dragover', function(e) {
		e.originalEvent.preventDefault();
		e.originalEvent.stopPropagation();

		// break if drag-element is not valid
		if(gridDragElement == null)
			{ return false; }
		else if(gridDragElement.length == 0)
			{ return false; }
		else if(!gridDragElement.hasClass('CMM_adminGridItem'))
			{ return false; }

		// Scroll frame up/down
		scrollFrame = $('.CMM_CMR_contentList').closest('.contentColumnContent');
		scrollFrameTop = scrollFrame.offset().top;
		scrollFrameBottom = scrollFrameTop + scrollFrame.height();
		scrollFrameStop = true;

		var scrollFrameBy = function(step) {
			var scrollY = scrollFrame.scrollTop();
			scrollFrame.scrollTop(scrollY + step);
			if(!scrollFrameStop) {
				setTimeout(function () { scrollFrameBy(step) }, 10);
				}
			}

        if(e.originalEvent.clientY - scrollFrameTop < 20) {
            scrollFrameStop = false;
            scrollFrameBy(-1)
	        }

        if(scrollFrameBottom - e.originalEvent.clientY < 20) {
            scrollFrameStop = false;
            scrollFrameBy(1)
    	    }

		// Get current hover-element
		var gridDragOverElement = $(e.originalEvent.target);
		//console.log(gridDragOverElement);

		// If Mouse still moves
		if(gridDragMouseX != e.originalEvent.clientX || gridDragMouseY != e.originalEvent.clientY)
			{
			gridDragMouseX = e.originalEvent.clientX;
			gridDragMouseY = e.originalEvent.clientY;
			
			// Clear timeout
			if(gridDragTimeout)
				{ window.clearTimeout(gridDragTimeout); }
			}
		// Else, if mouse has stopped
		else
			{
			var parentGridItem = null;
			var parentGrid = null;
			var currentGridItem = null;
	
			// Set timeout
			gridDragTimeout = window.setTimeout(function()
				{
				// TARGET = Dummy-Item
				if(gridDragOverElement.hasClass('CMM_adminGridDummy'))
					{
					//console.log('----------- DUMMY');
					parentGridItem = gridDragOverElement.parents('.CMM_adminGridItem:eq(0)').length > 0 ? gridDragOverElement.parents('.CMM_adminGridItem:eq(0)') : null;
					parentGrid = gridDragOverElement.parents('.CMM_adminGrid:eq(0)');
					currentGridItem = gridDragOverElement.next('.CMM_adminGridItem').length > 0 ? gridDragOverElement.next('.CMM_adminGridItem') : null;
					gridDragDummy.addClass('CMM_adminGridDummyHover');
					}
				// TARGET = Outer Grid
				else if(gridDragOverElement.hasClass('CMM_adminGrid'))
					{
					//console.log('----------- GRID');
					parentGridItem = gridDragOverElement.parents('.CMM_adminGridItem:eq(0)').length > 0 ? gridDragOverElement.parents('.CMM_adminGridItem:eq(0)') : null;
					parentGrid = gridDragOverElement;
					currentGridItem = null;
					gridDragDummy.removeClass('CMM_adminGridDummyHover');
					}
				// TARGET = Regular Grid-Item
				else if(gridDragOverElement.hasClass('CMM_adminGridItem'))
					{
					//console.log('----------- ITEM');
					parentGridItem = gridDragOverElement.parents('.CMM_adminGridItem:eq(0)').length > 0 ? gridDragOverElement.parents('.CMM_adminGridItem:eq(0)') : null;
					parentGrid = gridDragOverElement.parents('.CMM_adminGrid:eq(0)');
					currentGridItem = gridDragOverElement;
					gridDragDummy.removeClass('CMM_adminGridDummyHover');
					}
				// TARGET = Grid-Item-Child
				else /*if($(e.originalEvent.target).closest('CMM_adminGridItem'))*/
					{
					//console.log('----------- ITEM-CHILD');
					parentGridItem = gridDragOverElement.parents('.CMM_adminGridItem:eq(1)').length > 0 ? gridDragOverElement.parents('.CMM_adminGridItem:eq(1)') : null;
					parentGrid = gridDragOverElement.parents('.CMM_adminGrid:eq(0)');
					currentGridItem = gridDragOverElement.parents('.CMM_adminGridItem:eq(0)').length > 0 ? gridDragOverElement.parents('.CMM_adminGridItem:eq(0)') : null;
					gridDragDummy.removeClass('CMM_adminGridDummyHover');
					}
	
				// Mark grid
				if(parentGrid != null)
					{
					$('.CMM_adminGrid').removeClass('CMM_adminGridHover');
					parentGrid.addClass('CMM_adminGridHover');
					// Mark dropzone inside nested items
					$('.CMM_adminGrid',parentGrid).addClass('CMM_adminGridHover');
					}
	
				// Show dummy before item
				if(currentGridItem != null)
					{
					// Mark dropzone inside current item
					if(!currentGridItem.hasClass('CMM_adminGridDummy'))
						{ $('.CMM_adminGrid',currentGridItem).addClass('CMM_adminGridHover'); }
					// Insert dummy before item, if the dummy is not there
					if(!currentGridItem.prev().hasClass('CMM_adminGridDummy'))
						{ currentGridItem.before(gridDragDummy); }
					}
				// Show dummy as last item
				else if(parentGrid != null)
					{
					// Insert dummy as last item
					if(!parentGrid.children().last().hasClass('CMM_adminGridDummy'))
						{ parentGrid.append(gridDragDummy); }
					// Set dummy height
					}
	
				// Resize dummy
				gridDragDummyHeight = gridDragElement.height();
				gridDragDummyHeight > 200 ? gridDragDummyHeight = 200 : '';
				gridDragDummy.innerHeight(gridDragDummyHeight);
				},gridDragSpeed);

			// Hover dummy
			if(gridDragOverElement.hasClass('CMM_adminGridDummy'))
				{ gridDragDummy.addClass('CMM_adminGridDummyHover'); }
			else
				{ gridDragDummy.removeClass('CMM_adminGridDummyHover'); }

			}

		return false;
		});


	// DRAGEND - if no valid drop
	$('.CMM_adminGrid','.CMM_CMR_contentList').on('dragend', function(e) {
		e.originalEvent.preventDefault();
		e.originalEvent.stopPropagation();

		gridDragElement = $(e.originalEvent.target);
		gridDragElement.removeClass('moving');

		// Remove dummy if still exists
		window.setTimeout(function()
			{
			// Remove dummy, do nothing
			if(typeof gridDragDummy != 'undefined')
				{ gridDragDummy.remove(); }

			// Remove hover class
			$('.CMM_adminGrid').each(function() { $(this).removeClass('CMM_adminGridHover'); });
			// Remove highlight drop-zones
			$('.CMM_adminGrid').each(function() { $(this).removeClass('CMM_adminGridSuggest'); });
			},gridDragSpeed+50); // 50ms later than dragover to prevent loop

		// break if drag-element is not valid
		if(gridDragElement == null)
			{ return false; }
		else if(gridDragElement.length == 0)
			{ return false; }
		else if(!gridDragElement.hasClass('CMM_adminGridItem'))
			{ return false; }

		return false;
		});


	// DROP
	$('.CMM_adminGrid','.CMM_CMR_contentList').on('drop', function(e) {
		e.originalEvent.preventDefault();
		e.originalEvent.stopPropagation();

		// break if drag-element is not valid
		if(gridDragElement == null)
			{ return false; }
		else if(gridDragElement.length == 0)
			{ return false; }
		else if(!gridDragElement.hasClass('CMM_adminGridItem'))
			{ return false; }

		var gridDropElement = $(e.originalEvent.target);
		gridDragElement.removeClass('moving');

		var	grindDropError = false;
	
		var parentGridItem = null;
		var parentGrid = null;
		var currentGridItem = null;

		// Clear timeout for drogover-event to prevent flickering
		window.clearTimeout(gridDragTimeout);

		// TARGET = Dummy-Item
		if(gridDropElement.hasClass('CMM_adminGridDummy'))
			{
			//console.log('----------- DUMMY');
			gridColumnElement = gridDropElement.parents('.CMM_adminGridColumn:eq(0)').length > 0 ? gridDropElement.parents('.CMM_adminGridColumn:eq(0)') : null;
			parentGridItem = gridDropElement.parents('.CMM_adminGridItem:eq(0)').length > 0 ? gridDropElement.parents('.CMM_adminGridItem:eq(0)') : null;
			parentGrid = gridDropElement.parents('.CMM_adminGrid:eq(0)');
			currentGridItem = gridDropElement.next('.CMM_adminGridItem').length > 0 ? gridDropElement.next('.CMM_adminGridItem') : null;
			}
		// TARGET = Grid
		else if(gridDropElement.hasClass('CMM_adminGrid'))
			{
			//console.log('----------- GRID');
			gridColumnElement = gridDropElement.parents('.CMM_adminGridColumn:eq(0)').length > 0 ? gridDropElement.parents('.CMM_adminGridColumn:eq(0)') : null;
			parentGridItem = gridDropElement.parents('.CMM_adminGridItem:eq(0)').length > 0 ? gridDropElement.parents('.CMM_adminGridItem:eq(0)') : null;
			parentGrid = gridDropElement;
			currentGridItem = null;
			}
		// TARGET = Regular Grid-Item
		else if(gridDropElement.hasClass('CMM_adminGridItem'))
			{
			//console.log('----------- ITEM');
			gridColumnElement = gridDropElement.parents('.CMM_adminGridColumn:eq(0)').length > 0 ? gridDropElement.parents('.CMM_adminGridColumn:eq(0)') : null;
			parentGridItem = gridDropElement.parents('.CMM_adminGridItem:eq(0)').length > 0 ? gridDropElement.parents('.CMM_adminGridItem:eq(0)') : null;
			parentGrid = gridDropElement.parents('.CMM_adminGrid:eq(0)');
			currentGridItem = gridDropElement;
			}
		// TARGET = Grid-Item-Child
		else /*if($(e.originalEvent.target).closest('CMM_adminGridItem'))*/
			{
			//console.log('----------- ITEM-CHILD');
			gridColumnElement = gridDropElement.parents('.CMM_adminGridColumn:eq(0)').length > 0 ? gridDropElement.parents('.CMM_adminGridColumn:eq(0)') : null;
			parentGridItem = gridDropElement.parents('.CMM_adminGridItem:eq(1)').length > 0 ? gridDropElement.parents('.CMM_adminGridItem:eq(1)') : null;
			parentGrid = gridDropElement.parents('.CMM_adminGrid:eq(0)');
			currentGridItem = gridDropElement.parents('.CMM_adminGridItem:eq(0)').length > 0 ? gridDropElement.parents('.CMM_adminGridItem:eq(0)') : null;
			}

		// Break if target is not inside a grid
		if(parentGrid == null)
			{
			alert('Element kann hier nicht platziert werden!');
			grindDropError = true;
			}
		// Break if try to place inside itself
		if(parentGridItem != null && $(gridDragElement).attr('id') == $(parentGridItem).attr('id'))
			{
			alert('Element kann nicht in sich selbst verschoben werden!');
			grindDropError = true;
			}
		// Break if try to place parent inside child
		if(parentGridItem != null && $.inArray($(parentGridItem).attr('id'),gridDragChildIDs) > -1)
			{
			alert('Element kann nicht in untergeordnetes Element verschoben!');
			grindDropError = true;
			}

		// Drop if target is dummy
		if(gridDropElement.hasClass('CMM_adminGridDummy') && grindDropError == false)
			{
			// Replace dummy by drag item
			gridDragDummy.replaceWith(gridDragElement);

			// Finally remove lost dummies
			$('.CMM_adminGridDummy').each(function() { $(this).remove(); });

			// Remove white-spaces
			$(parentGrid).cleanWhitespace();

			// Get current column
			var columnID = gridColumnElement != null ? $(gridColumnElement).attr('id') : 0;
			columnID != 0 ? columnID = columnID.substr(columnID.lastIndexOf('_')+1) : '';

			// Get current id
			var dragID = gridDragElement != null ? $(gridDragElement).attr('id') : 0;
			dragID != 0 ? dragID = dragID.substr(dragID.lastIndexOf('_')+1) : '';
		
			// Get parent id
			var parentID = parentGridItem != null ? $(parentGridItem).attr('id') : 0;
			parentID != 0 ? parentID = parentID.substr(parentID.lastIndexOf('_')+1) : '';

			// Get new sort order and console-message
			var order = [];
			if(parentGrid != null)
				{
				$('> .CMM_adminGridItem',parentGrid).each(function(index) {
					currentID = $(this).attr('id');
					currentID = currentID.substr(currentID.lastIndexOf('_')+1);
					//console.log(currentID + ':' + (index+1));
					order.push(currentID + ':' + (index+1));
					});
				// Info message
				console.log(dragID+' in '+parentID+' platziert');
				}

			// Console-message
			var params = {'id':dragID,'parent':parentID,'column':columnID,'order':order};
			paramsJSON = JSON.stringify(params);

			// Send changes
			//console.log(params);
			console.log(paramsJSON);

			// Call reorder function
			reorderGrid(dragID,paramsJSON);
			}
		else
			{
			// Remove dummy, do nothing
			gridDragDummy.remove();
			}

		// Clear drag-element
		gridDragElement = null;
		// Remove hover class
		$('.CMM_adminGrid').each(function() { $(this).removeClass('CMM_adminGridHover'); });
		// Remove highlight drop-zones
		$('.CMM_adminGrid').each(function() { $(this).removeClass('CMM_adminGridSuggest'); });

		return false;
		});


	//////////// IMAGE-TYPE SPECIFIC OPTIONS /////////////


	// List of image types
	if($('#datafield_ContentImagesPosition_select').length > 0)
		{
		imageConfigTypes = ['imagesSlider','imagesCaroussel','imagesMasonry','imagesParallax'];

		// Get image-type-field
		imageTypeField = $('#datafield_ContentImagesPosition_select');
		imageType = imageTypeField.val();
		// Get image-data-field
		imageConfigField = $('#datafield_ContentImagesConfig');
		imageConfig = imageConfigField.val();
		imageConfigFieldContainer = imageConfigField.closest('.CMM_inputBox');
		// Add parent class
		imageConfigField.closest('.CMM_inputBoxFieldInput').addClass('CMM_inputBoxFieldInputWithButton');
		// Insert dialog-button
		imageConfigFieldButton = $('<span class="fieldButton settingsbutton"><i class="icon"></i></span>');
		imageConfigFieldButton.on('click',function() {
			CMM_showImageConfigDialog(imageTypeField,imageConfigField);
			});
		imageConfigField.after(imageConfigFieldButton);

		// Check if image-data field is required
		if($.inArray(imageType,imageConfigTypes) > -1)
			{ imageConfigFieldContainer.show(); }
		else
			{ imageConfigFieldContainer.hide(); }

		// Listener for change of the imagetype
		imageTypeField.on('change',function() {
			// Get new image-type
			imageType = $(this).val();
			// Check if image-data field is required
			if($.inArray(imageType,imageConfigTypes) > -1)
				{ imageConfigFieldContainer.slideDown(); }
			else
				{
				imageConfigField.val('');
				imageConfigFieldContainer.slideUp();
				}
			});
		}


	//////////// CONTENT-TYPE SPECIFIC OPTIONS /////////////


	// List of image types
	if($('#datafield_ContentDesign_select').length > 0)
		{
		contentConfigTypes = ['100','101','102','103','105','106'];

		// Get content-type-field
		contentTypeField = $('#datafield_ContentDesign_select');
		contentType = contentTypeField.val();
		// Get content-data-field
		contentConfigField = $('#datafield_ContentConfig');
		contentConfig = contentConfigField.val();
		contentConfigFieldContainer = contentConfigField.closest('.CMM_inputBox');
		// Add parent class
		contentConfigField.closest('.CMM_inputBoxFieldInput').addClass('CMM_inputBoxFieldInputWithButton');
		// Insert dialog-button
		contentConfigFieldButton = $('<span class="fieldButton settingsbutton"><i class="icon"></i></span>');
		contentConfigFieldButton.on('click',function() {
			CMM_showContentConfigDialog(contentTypeField,contentConfigField);
			});
		contentConfigField.after(contentConfigFieldButton);

		// Loop selected content-types
		showConfigField = false;
		if(contentType != null)
			{
			contentType.map(function(element,index) {
				if($.inArray(element.toString(),contentConfigTypes) > -1)
					{ showConfigField = true; }
				});
			}

		// Check if content-data field is required
		if(showConfigField)
			{ contentConfigFieldContainer.show(); }
		else
			{ contentConfigFieldContainer.hide(); }

		// Listener for change of the contenttype
		contentTypeField.on('change',function() {
			// Get new content-type
			contentType = $(this).val();
			// Loop selected content-types
			showConfigField = false;
			contentType.map(function(element,index) {
				if($.inArray(element.toString(),contentConfigTypes) > -1)
					{ showConfigField = true; }
				});
		
			// Check if content-data field is required
			if(showConfigField)
				{ contentConfigFieldContainer.slideDown(); }
			else
				{
				contentConfigField.val('');
				contentConfigFieldContainer.slideUp();
				}
			});
		}

	});