<?PHP
/***************************************************************
*  Copyright notice
*
*  (c) 2009-2017 Nicolas Berg
*  All rights reserved
*
*  This script is part of the CMM3 Content-Management-System.
*  CMM3 is provided only under a commercial license until now.
*  Maybe we will add a free license in future.
*
*  This script is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
*
*  This copyright notice MUST APPEAR in all copies of the script!
***************************************************************/

///////////////////////////////////////////////////////////
// Plugin fuer Index der Content-Bloecke                 //
///////////////////////////////////////////////////////////
// V 1.0 First release
// V 1.1.0 Added Parameter "Show Sub-contents"
///////////////////////////////////////////////////////////
include_once(CMM_ROOT_DIR.'CMM_Contents/index.php');

/* PARAMS START - Marker-Comments required! */
$params = array(
	'templateFile'=>'CMM_Contents/template/html/CMM_Contents_Contentindex.html',
	'pageUID'=>'',
	'columnUID'=>'',
	'showSubcontents' => '0',
	'titleLength' => '36', // Max-Laenge des Seitentitels
	'cacheTimeout'=>86400
	);
/* PARAMS END */

/* FIELDSET START - Marker-Comments required! */
$fieldset = array(
	'templateFile' => array('label'=>'HTML-Template-Datei','type'=>'textfield','datatype'=>'text','position'=>'bottom','shy'=>1),
	'pageUID' => array('label'=>'Seite (ID)','type'=>'linkfield','position'=>'left'),
	'columnUID' => array('label'=>'Spalte (ID)','type'=>'textfield','datatype'=>'int','position'=>'left'),
	'showSubcontents' => array('label'=>'Inhalte anzeigen','type'=>'radio','options'=>array(array('value'=>0,'text'=>'nur Hauptinhalte'),array('value'=>1,'text'=>'Haupt- und Subinhalte')),'position'=>'right'),
	'titleLength' => array('label'=>'Max-Länge des Titels (Zeichen)','type'=>'textfield','datatype'=>'int','position'=>'right'),
	'cacheTimeout' => array('label'=>'Cache-Dauer (Sekunden)','description'=>'Nur Standardwert, Einstellung im Content-Block ist dominant.','type'=>'textfield','datatype'=>'int','position'=>'bottom','shy'=>1)
	);
/* FIELDSET END */


// Set customer group
$params['CustomerCustomergroupID'] = isset($GLOBALS['CustomergroupUID']) ? $GLOBALS['CustomergroupUID'] : 0;
// Set language
$params['LID'] = isset($GLOBALS['LanguageUID']) ? $GLOBALS['LanguageUID'] : 1;

// Merge params and pluginParams
$params = CMM_mergePluginParams($params,$pluginParams);

// Inhalt ausgeben
$extContents = new CMM_Contents;

// Create output
$pluginContent = $extContents->createContentIndex($params);

unset($params);
?>
