<?PHP
/***************************************************************
*  Copyright notice
*
*  (c) 2009-2017 Nicolas Berg
*  All rights reserved
*
*  This script is part of the CMM3 Content-Management-System.
*  CMM3 is provided only under a commercial license until now.
*  Maybe we will add a free license in future.
*
*  This script is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
*
*  This copyright notice MUST APPEAR in all copies of the script!
***************************************************************/

///////////////////////////////////////////////////////////
// Plugin fuer Content-Bloecke                           //
///////////////////////////////////////////////////////////
// V 1.0 First release
// V 1.0.1 Erweiterung auf Mehrsprachigkeit
// V 1.0.2 Bugfix Erkennung der aktuellen Seite per $GLOBALS
// V 1.0.3 Standardtemplate entfernt - wird nun ich index-Datei definiert
// V 1.0.4 Feld-Definitionen eingefuegt
// V 1.0.5 Funktion zum Lesen und Verarbeiten der Inhalte getrennt definiert
// V 1.0.6 Changed behaviour for nested contents
// V 1.0.7 Some param mods
///////////////////////////////////////////////////////////
include_once(CMM_ROOT_DIR.'CMM_Contents/index.php');

/* PARAMS START - Marker-Comments required! */
$params = array(
	'templateFile'=>'CMM_Contents/template/html/CMM_Contents_content_default.html',
	'pageUID'=>'',
	'columnUID'=>'',
	'parentUID'=>'',
	'UID'=>'',
	'sort'=>'ContentColumn ASC, ContentSort ASC',
	'wrapAll'=>'',
	'wrapAllNotEmpty'=>'',
	'wrapAllEmpty'=>'',
	'postRenderFunction'=>'',
	'cacheTimeout'=>86400
	);
/* PARAMS END */

/* FIELDSET START - Marker-Comments required! */
$fieldset = array(
	'templateFile' => array('label'=>'HTML-Template-Datei','type'=>'textfield','datatype'=>'text','position'=>'bottom','shy'=>1),
	'pageUID' => array('label'=>'Seite (ID)','type'=>'linkfield','position'=>'left'),
	'columnUID' => array('label'=>'Spalte (ID)','type'=>'textfield','datatype'=>'int','position'=>'left'),
	'parentUID' => array('label'=>'Elterninhalt (ID)','type'=>'textfield','datatype'=>'int','position'=>'left'),
	'UID' => array('label'=>'Inhalt (ID)','type'=>'textfield','datatype'=>'int','position'=>'left','shy'=>1),
	'sort' => array('label'=>'Sortierparameter (Feld [asc/desc], Feld [asc/desc])','type'=>'textfield','datatype'=>'text','position'=>'right','shy'=>1),
	'wrapAll' => array('label'=>'HTML-Container um Inhalt (HTML*HTML)','type'=>'textfield','datatype'=>'text','position'=>'bottom','shy'=>1),
	'wrapAllNotEmpty' => array('label'=>'HTML-Container um Inhalt, wenn Inhalt <u>nicht</u> leer (HTML*HTML)','type'=>'textfield','datatype'=>'text','position'=>'bottom','shy'=>1),
	'wrapAllEmpty' => array('label'=>'HTML-Container um Inhalt, wenn Inhalt leer (HTML*HTML)','type'=>'textfield','datatype'=>'text','position'=>'bottom','shy'=>1),
	'postRenderFunction' => array('label'=>'Zusatz-Render-Funktion für Inhalt (Datei:Klasse:Funktion:Parameter)','type'=>'textfield','datatype'=>'text','position'=>'bottom','shy'=>1),
	'cacheTimeout' => array('label'=>'Cache-Dauer (Sekunden)','description'=>'Nur Standardwert, Einstellung im Content-Block ist dominant.','type'=>'textfield','datatype'=>'int','position'=>'bottom','shy'=>1)
	);
/* FIELDSET END */


// Set customer group
$params['CustomerCustomergroupID'] = isset($GLOBALS['CustomergroupUID']) ? $GLOBALS['CustomergroupUID'] : 0;
// Set language
$params['LID'] = isset($GLOBALS['LanguageUID']) ? $GLOBALS['LanguageUID'] : 1;

// Merge params and pluginParams
$params = CMM_mergePluginParams($params,$pluginParams);

// Inhalte lesen und ausgeben
$extContents = new CMM_Contents;
$pluginContent = $extContents->createContent($params);

// Wrap
if(!empty($params['wrapAll']))
	{ $pluginContent = str_replace('*',$pluginContent,$params['wrapAll']); }
if(!empty($params['wrapAllNotEmpty']) && !empty($pluginContent))
	{ $pluginContent = str_replace('*',$pluginContent,$params['wrapAllNotEmpty']); }
if(!empty($params['wrapAllEmpty']) && empty($pluginContent))
	{ $pluginContent = str_replace('*',$pluginContent,$params['wrapAllEmpty']); }
// alt
if(!empty($params['wrapNotEmptyBefore']) && !empty($pluginContent))
	{ $pluginContent = $params['wrapNotEmptyBefore'].$pluginContent; }
if(!empty($params['wrapNotEmptyAfter']) && !empty($pluginContent))
	{ $pluginContent = $pluginContent.$params['wrapNotEmptyAfter']; }

unset($params);
?>
