<?PHP
/***************************************************************
*  Copyright notice
*
*  (c) 2009-2017 Nicolas Berg
*  All rights reserved
*
*  This script is part of the CMM3 Content-Management-System.
*  CMM3 is provided only under a commercial license until now.
*  Maybe we will add a free license in future.
*
*  This script is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
*
*  This copyright notice MUST APPEAR in all copies of the script!
***************************************************************/

// V 1.0 First release
// V 1.0.1 marginale Aenderungen
// V 1.0.2 Feld TitleConfig durch TitleType und TitleAlign ersetzt
// V 1.0.3 Felder fuer Breite und Hoehe des Blockes hinzugefuegt
// V 1.0.4 Feld fuer Bildposition umbenannt und Feld fuer Template reaktiviert
// V 1.0.5 Kategorien fuer Contents eingefuehrt
// V 1.0.6 Feld fuer Blockgroesse eingefuehrt
// V 1.0.7 Definitionen fuer Block-Typ und Bild-Position angepasst
// V 1.0.8 Verarbeitung von Config angepasst
// V 1.1.0 Tabelle/View fuer Spalten hinzugefuegt
// V 1.1.1 Erweiterung um Block-Icon
// V 1.1.2 Auswahl fuer Block-Design geaendert
// V 1.1.3 Backup-Einstellungen ergaenzt
// V 1.1.4 Feldpositionen angepasst
// V 1.1.5 Delete-fields added
// V 1.1.6 PASTE-Action mod
// V 1.1.7 Added Action MOVEANDREORDER
// V 1.1.8 Mod userLevels

////////////////////////////////////////////////////////////////////
// Modul-Anzeigen                                                 //
////////////////////////////////////////////////////////////////////
// - label: Bezeichnung des Feldes
// - table: Haupt-Datenbanktabelle
// - userLevel: Berechntigungsstufe fuer Datensaetze
// - navi: Anzeige in der Hauptnavigation
$CONFIG['CMM_Contents']['views'] = array(
	'INDEX' => array('label'=>'{LANG_CMM_CONTENTS_VIEW_INDEX}','userLevel'=>1),
	'CONTENTS' => array('label'=>'{LANG_CMM_CONTENTS_VIEW_CONTENTS}','table'=>'cmm_contents_contents','userLevel'=>1,'inNavi'=>1),
	'CATEGORIES' => array('label'=>'{LANG_CMM_CONTENTS_VIEW_CATEGORIES}','table'=>'cmm_contents_categories','userLevel'=>1,'inNavi'=>1),
	'COLUMNS' => array('label'=>'{LANG_CMM_CONTENTS_VIEW_COLUMNS}','table'=>'cmm_contents_columns','userLevel'=>6,'inNavi'=>1),
	'CONFIG' => array('label'=>'{LANG_CMM_CONTENTS_VIEW_CONFIG}','userLevel'=>6,'inNavi'=>1),
	'BACKUP' => array('label'=>'{LANG_CMM_CONTENTS_VIEW_BACKUP}','userLevel'=>1,'inNavi'=>(!empty($GLOBALS['isBackend']) && !empty($CUSTOM['CMM_Contents']['config']['enableBackup']) ? 1 : 0)),
	'INSTALL' => array('label'=>'{LANG_CMM_CONTENTS_VIEW_INSTALL}','userLevel'=>3,'inNavi'=>0)
	);


////////////////////////////////////////////////////////////////////
// Modulfunktionen                                                //
////////////////////////////////////////////////////////////////////
// - label: Bezeichnung des Feldes
// - area: Anzeige-Bereich
// - userLevel: Berechntigungsstufe fuer Datensaetze
// - icon: Icon fuer Listenansicht
// - action: Aktion, die ausgefuehrt werden soll
// - clipboardAction: Aktion, die spaeter ausgefuehrt werden soll
// - message: Frage vor Ausfuerung der Funktion
// - condition: Bedingung pruefen (Datenbankfeld) item/_SESSION/_GET/_POST/_COOKIE/_ENV[keyvar]==value
// - file: Funktion in externer Datei ausfuehren
// - target: Zielfenster fuer Funktion

$CONFIG['CMM_Contents']['views']['CONTENTS']['actions'] = array(
	'LIST' => array('label'=>'{LANG_CMM_ACTION_LIST}','userLevel'=>0),
	'NEW' => array('label'=>'{LANG_CMM_ITEM} {LANG_CMM_ACTION_NEW}','area'=>'listhead,columnhead','userLevel'=>1,'icon'=>'icon-action-new.svg'),
	'EDIT' => array('label'=>'{LANG_CMM_ITEM} {LANG_CMM_ACTION_EDIT}','area'=>'list,fe','userLevel'=>1,'icon'=>'icon-action-edit.svg'),
	'ENABLE' => array('label'=>'{LANG_CMM_ITEM} {LANG_CMM_ACTION_ENABLE}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-enable.svg','condition'=>'!isset($item["ContentStatus"]) || $item["ContentStatus"]==0'),
	'DISABLE' => array('label'=>'{LANG_CMM_ITEM} {LANG_CMM_ACTION_DISABLE}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-disable.svg','condition'=>'isset($item["ContentStatus"]) && $item["ContentStatus"]==1'),
	'UP' => array('label'=>'{LANG_CMM_ITEM} {LANG_CMM_ACTION_UP}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-up.svg','condition'=>'$item["firstItem"]!=true'),
	'DOWN' => array('label'=>'{LANG_CMM_ITEM} {LANG_CMM_ACTION_DOWN}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-down.svg','condition'=>'$item["lastItem"]!=true'),
	'SAVE' => array('label'=>'{LANG_CMM_ITEM} {LANG_CMM_ACTION_SAVE}','area'=>'singlehead','userLevel'=>3,'icon'=>'icon-action-save.svg'),
	'SAVENEW' => array('label'=>'{LANG_CMM_ITEM} {LANG_CMM_ACTION_SAVENEW}','area'=>'singlehead','userLevel'=>3,'icon'=>'icon-action-save-and-new.svg'),
	'SAVECLOSE' => array('label'=>'{LANG_CMM_ITEM} {LANG_CMM_ACTION_SAVECLOSE}','area'=>'singlehead','userLevel'=>3,'icon'=>'icon-action-save-and-close.svg'),
	'CLOSE' => array('label'=>'{LANG_CMM_ITEM} {LANG_CMM_ACTION_CLOSE}','area'=>'singlehead','userLevel'=>1,'icon'=>'icon-action-close.svg'),
	'CUT' => array('label'=>'{LANG_CMM_ITEM} {LANG_CMM_ACTION_CUT}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-cut.svg','condition'=>'empty($item["ContentSub"])'),
	'COPY' => array('label'=>'{LANG_CMM_ITEM} {LANG_CMM_ACTION_COPY}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-copy.svg','condition'=>''),
	'PASTE' => array('label'=>'{LANG_CMM_ITEM} {LANG_CMM_ACTION_PASTE}','area'=>'listhead','userLevel'=>3,'icon'=>'icon-action-paste.svg','UID'=>(!empty($GLOBALS['isBackend']) && isset($_SESSION[$CURRENT["module"]][$CURRENT["view"]]['clipboard']) ? $_SESSION[$CURRENT["module"]][$CURRENT["view"]]['clipboard']['id'] : ''),'condition'=>'!empty($_SESSION[$CURRENT["module"]][$CURRENT["view"]]["clipboard"])'),
	'REMOVE' => array('label'=>'{LANG_CMM_ITEM} {LANG_CMM_ACTION_REMOVE}','area'=>'list,singlehead','userLevel'=>3,'icon'=>'icon-action-remove.svg','condition'=>'isset($item["ContentUID"]) && $item["ContentUID"]>0 && empty($item["ContentSub"])','message'=>'{LANG_CMM_ACTION_REMOVE_CONFIRM}'),
	'CLIPBOARDCLEAR' => array('label'=>'{LANG_CMM_ACTION_CLIPBOARDCLEAR}','area'=>'listhead','userLevel'=>3,'icon'=>'icon-action-clipboard-clear.svg','condition'=>'isset($_SESSION["CMM_Contents"]["CONTENTS"]["clipboard"])'),
	'MOVEANDREORDER' => array('label'=>'{LANG_CMM_ITEM} {LANG_CMM_ACTION_MOVEANDREORDER}','area'=>'','userLevel'=>3,'icon'=>''),
	'COPYTRANSLATION' => array('label'=>'{LANG_CMM_ACTION_COPYTRANSLATION}','area'=>'','userLevel'=>3,'message'=>'{LANG_CMM_ACTION_COPYTRANSLATION_CONFIRM}')
	);

$CONFIG['CMM_Contents']['views']['CATEGORIES']['actions'] = array(
	'LIST' => array('label'=>'{LANG_CMM_ACTION_LIST}','userLevel'=>0),
	'NEW' => array('label'=>'{LANG_CMM_CONTENTS_CATEGORY} {LANG_CMM_ACTION_NEW}','area'=>'listhead','userLevel'=>1,'icon'=>'icon-action-new.svg'),
	'EDIT' => array('label'=>'{LANG_CMM_CONTENTS_CATEGORY} {LANG_CMM_ACTION_EDIT}','area'=>'list','userLevel'=>1,'icon'=>'icon-action-edit.svg'),
	'SAVE' => array('label'=>'{LANG_CMM_CONTENTS_CATEGORY} {LANG_CMM_ACTION_SAVE}','area'=>'singlehead','userLevel'=>3,'icon'=>'icon-action-save.svg'),
	'SAVENEW' => array('label'=>'{LANG_CMM_CONTENTS_CATEGORY} {LANG_CMM_ACTION_SAVENEW}','area'=>'singlehead','userLevel'=>3,'icon'=>'icon-action-save-and-new.svg'),
	'SAVECLOSE' => array('label'=>'{LANG_CMM_CONTENTS_CATEGORY} {LANG_CMM_ACTION_SAVECLOSE}','area'=>'singlehead','userLevel'=>3,'icon'=>'icon-action-save-and-close.svg'),
	'CLOSE' => array('label'=>'{LANG_CMM_CONTENTS_CATEGORY} {LANG_CMM_ACTION_CLOSE}','area'=>'singlehead','userLevel'=>1,'icon'=>'icon-action-close.svg'),
	'REMOVE' => array('label'=>'{LANG_CMM_CONTENTS_CATEGORY} {LANG_CMM_ACTION_REMOVE}','area'=>'list,singlehead','userLevel'=>3,'icon'=>'icon-action-remove.svg','condition'=>'$item["ContentCategoryUID"]>0','message'=>'{LANG_CMM_ACTION_REMOVE_CONFIRM}'),
	'COPYTRANSLATION' => array('label'=>'{LANG_CMM_ACTION_COPYTRANSLATION}','area'=>'','userLevel'=>3,'message'=>'{LANG_CMM_ACTION_COPYTRANSLATION_CONFIRM}')
	);

$CONFIG['CMM_Contents']['views']['COLUMNS']['actions'] = array(
	'LIST' => array('label'=>'{LANG_CMM_ACTION_LIST}','userLevel'=>0),
	'NEW' => array('label'=>'{LANG_CMM_CONTENTS_COLUMN} {LANG_CMM_ACTION_NEW}','area'=>'listhead','userLevel'=>1,'icon'=>'icon-action-new.svg'),
	'EDIT' => array('label'=>'{LANG_CMM_CONTENTS_COLUMN} {LANG_CMM_ACTION_EDIT}','area'=>'list','userLevel'=>1,'icon'=>'icon-action-edit.svg'),
	'UP' => array('label'=>'{LANG_CMM_ITEM} {LANG_CMM_ACTION_UP}','area'=>'list','userLevel'=>6,'icon'=>'icon-action-up.svg','condition'=>'$item["firstItem"]!=true'),
	'DOWN' => array('label'=>'{LANG_CMM_ITEM} {LANG_CMM_ACTION_DOWN}','area'=>'list','userLevel'=>6,'icon'=>'icon-action-down.svg','condition'=>'$item["lastItem"]!=true'),
	'SAVE' => array('label'=>'{LANG_CMM_CONTENTS_COLUMN} {LANG_CMM_ACTION_SAVE}','area'=>'singlehead','userLevel'=>6,'icon'=>'icon-action-save.svg'),
	'SAVENEW' => array('label'=>'{LANG_CMM_CONTENTS_COLUMN} {LANG_CMM_ACTION_SAVENEW}','area'=>'singlehead','userLevel'=>6,'icon'=>'icon-action-save-and-new.svg'),
	'SAVECLOSE' => array('label'=>'{LANG_CMM_CONTENTS_COLUMN} {LANG_CMM_ACTION_SAVECLOSE}','area'=>'singlehead','userLevel'=>6,'icon'=>'icon-action-save-and-close.svg'),
	'CLOSE' => array('label'=>'{LANG_CMM_CONTENTS_COLUMN} {LANG_CMM_ACTION_CLOSE}','area'=>'singlehead','userLevel'=>1,'icon'=>'icon-action-close.svg'),
	'REMOVE' => array('label'=>'{LANG_CMM_CONTENTS_COLUMN} {LANG_CMM_ACTION_REMOVE}','area'=>'list,singlehead','userLevel'=>6,'icon'=>'icon-action-remove.svg','condition'=>'$item["ContentColumnUID"]>0','message'=>'{LANG_CMM_ACTION_REMOVE_CONFIRM}'),
	);

$CONFIG['CMM_Contents']['views']['BACKUP']['actions'] = array(
	'BACKUP' => array('label'=>'Datensicherung','userLevel'=>1,'inNavi'=>1),
	'INSTALLDB' => array('label'=>'Datenbanktabellen konfigurieren','userLevel'=>6),
	'BACKUPMAKE' => array('label'=>'Sicherung erstellen','userLevel'=>6,'inNavi'=>0),
	'BACKUPRESTORE' => array('label'=>'Sicherung zurückschreiben','userLevel'=>6,'inNavi'=>0),
	'BACKUPREMOVE' => array('label'=>'Sicherung löschen','userLevel'=>6,'inNavi'=>0)
	);

$CONFIG['CMM_Contents']['views']['CONFIG']['actions'] = array(
	'CONFIG' => array('label'=>'Konfiguration','userLevel'=>1,'inNavi'=>1),
	'CONFIGSAVE' => array('label'=>'Konfiguration','area'=>'singlehead','userLevel'=>6,'icon'=>'icon-action-save.svg')
	);

$CONFIG['CMM_Contents']['views']['INSTALL']['actions'] = array(
	'INSTALL' => array('label'=>'Installation','userLevel'=>6,'inNavi'=>0)
	);


////////////////////////////////////////////////////////////////////
// Datenbank-Tabellen                                             //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Contents']['database'] = array();

// Datenstamm fuer Inhalte
$CONFIG['CMM_Contents']['database']['cmm_contents_contents'] = array(
	'tabs' => array(0=>'Standard',1=>'Tabelle',2=>'Media',3=>'Formular',5=>'Plugin',6=>'Sonstiges',9=>'Anzeige'),
	'tablename' => 'cmm_contents_contents',
	'sort' => 'ContentSort ASC',
	'backup' => 1,
	'fieldprefix' => 'Content',
	'fieldset' => array(
		'ContentUID' => array('label'=>'{LANG_CMM_FIELD_UID}','description'=>'{LANG_CMM_FIELD_UID_DESC}','type'=>'hidden','tab'=>0,
			'sqldef'=>'int(10) default \'0\''),
		'ContentPID' => array('label'=>'{LANG_CMM_FIELD_PID}','description'=>'{LANG_CMM_FIELD_PID_DESC}','type'=>'hidden','tab'=>0,
			'sqldef'=>'int(10) default \'0\''),
		'ContentTID' => array('label'=>'{LANG_CMM_FIELD_TID}','description'=>'{LANG_CMM_FIELD_TID_DESC}','type'=>'hidden','value'=>0,'position'=>'top','tab'=>0,
			'sqldef'=>'int(3) default \'0\''),
		'ContentLID' => array('label'=>'{LANG_CMM_FIELD_LID}','description'=>'{LANG_CMM_FIELD_LID_DESC}','type'=>'radio','position'=>'top','tab'=>6,
			'sqldef'=>'int(3) default \'0\'',
			'select'=>array('module'=>'CMM','table'=>'cmm_cmm_languages','keyfield'=>'LanguageUID','labelfield'=>'LanguageName','sort'=>'LanguageUID'),
			'join'=>array('module'=>'CMM','table'=>'cmm_cmm_languages','keyfield'=>'LanguageUID')),
		'ContentCID' => array('label'=>'{LANG_CMM_FIELD_CID}','description'=>'{LANG_CMM_FIELD_CID_DESC}','type'=>'select','position'=>'right2','tab'=>0,'shy'=>1,
			'sqldef'=>'int(3) default \'0\'',
			'select'=>array('module'=>'CMM_Contents','table'=>'cmm_contents_categories','keyfield'=>'ContentCategoryUID','labelfield'=>'ContentCategoryTitle','LID'=>'{$CURRENT["language"]}'),
			'join'=>array('module'=>'CMM_Contents','table'=>'cmm_contents_categories','keyfield'=>'ContentCategoryUID')),
		'ContentOID' => array('label'=>'{LANG_CMM_FIELD_OID}','description'=>'{LANG_CMM_FIELD_OID_DESC}','type'=>(isset($CURRENT['language']) && isset($CURRENT['languageDefault']) && $CURRENT['language']==$CURRENT['languageDefault'] ? 'hidden' : 'select'),'position'=>'top','tab'=>6,
			'sqldef'=>'int(10) default \'0\'',
			'function'=>array('function'=>'CMM_getInputFieldOptionsOID','module'=>'CMM_Contents','table'=>'cmm_contents_contents','keyfield'=>'ContentUID','labelfield'=>'ContentTitle','sort'=>'ContentColumn ASC, ContentParentContent ASC, ContentSort ASC')),
		'ContentStatus' => array('label'=>'{LANG_CMM_FIELD_STATUS}','type'=>'radio','default'=>'1','position'=>'top','tab'=>9,
			'sqldef'=>'int(1) default \'0\'',
			'options'=>array(array('value'=>1,'text'=>'{LANG_CMM_ENABLED}'),array('value'=>'0','text'=>'{LANG_CMM_DISABLED}'))),
		'ContentDeleted' => array('label'=>'{LANG_CMM_FIELD_REMOVED}','type'=>'hidden','tab'=>3,
			'sqldef'=>'int(1) default \'0\''),
		'ContentSort' => array('label'=>'{LANG_CMM_FIELD_SORT}','description'=>'{LANG_CMM_FIELD_SORT_DESC}','type'=>'hidden','tab'=>6,
			'sqldef'=>'int(10) default \'0\''),
		'ContentStart' => array('label'=>'{LANG_CMM_FIELD_START}','description'=>'{LANG_CMM_FIELD_START_DESC}','type'=>'datetime','position'=>'left','tab'=>9,
			'sqldef'=>'datetime default NULL'),
		'ContentStop' => array('label'=>'{LANG_CMM_FIELD_STOP}','description'=>'{LANG_CMM_FIELD_STOP_DESC}','type'=>'datetime','position'=>'right','tab'=>9,
			'sqldef'=>'datetime default NULL'),
		'ContentColumn' => array('label'=>'{LANG_CMM_CONTENTS_FIELD_ITEMCOLUMN}','description'=>'{LANG_CMM_CONTENTS_FIELD_ITEMCOLUMN_DESC}','type'=>'select','disablenone'=>1,'position'=>'left','tab'=>0,
			'sqldef'=>'int(10) default \'0\'',
			'select'=>array('module'=>'CMM_Contents','table'=>'cmm_contents_columns','keyfield'=>'ContentColumnUID','labelfield'=>'ContentColumnUID,ContentColumnTitle','sort'=>'ContentColumnUID'),
			'join'=>array('module'=>'CMM_Contents','table'=>'cmm_contents_columns','keyfield'=>'ContentColumnUID'),
			'script'=>'<script type="text/javascript">$(document).ready(function() { if($(\'#datafield_ContentParentContent_select\').val() != \'\') { $(\'OPTION:not(:selected)\',\'#datafield_ContentColumn_select\').attr(\'disabled\',true); } });</script>'),
		'ContentParentContent' => array('label'=>'{LANG_CMM_CONTENTS_FIELD_ITEMPARENTCONTENT}','description'=>'{LANG_CMM_CONTENTS_FIELD_ITEMPARENTCONTENT_DESC}','type'=>'select','position'=>'right','tab'=>0,
			'sqldef'=>'int(10) default \'0\'',
			'function'=>array('function'=>'getParentContents','class'=>'CMM_Contents')),
		'ContentSize' => array('label'=>'{LANG_CMM_CONTENTS_FIELD_ITEMSIZE}','description'=>'{LANG_CMM_CONTENTS_FIELD_ITEMSIZE_DESC}','type'=>'select','position'=>'right2','tab'=>0,
			'sqldef'=>'int(10) default \'0\'',
			'options'=>$CONFIG['CMM_Contents']['config']['contentSizes']),
		'ContentIcon' => array('label'=>'{LANG_CMM_CONTENTS_FIELD_ITEMICON}','description'=>'{LANG_CMM_CONTENTS_FIELD_ITEMICON_DESC}','type'=>'iconfield','position'=>'right2','tab'=>0,'shy'=>1,
			'sqldef'=>'varchar(100) collate utf8_unicode_ci default NULL'),
		'ContentCustomergroupID' => array('label'=>'{LANG_CMM_CONTENTS_FIELD_ITEMCUSTOMERGROUPID}','description'=>'{LANG_CMM_CONTENTS_FIELD_ITEMCUSTOMERGROUPID_DESC}','type'=>'multiselect','attribs'=>array('multiple'=>1,'size'=>6),'position'=>'bottom','tab'=>9,
			'sqldef'=>'varchar(255) collate utf8_unicode_ci default NULL',
			'options'=>array('none'=>array('value'=>'0','text'=>'{LANG_CMM_IF_LOGGED_OUT}'),'all'=>array('value'=>'*','text'=>'{LANG_CMM_IF_LOGGED_IN}')),
			'select'=>array('module'=>'CMM','table'=>'cmm_cmm_customergroups','keyfield'=>'CustomergroupUID','labelfield'=>'CustomergroupUID,CustomergroupName','sort'=>'CustomergroupUID')),
		'ContentTemplate' => array('label'=>'{LANG_CMM_CONTENTS_FIELD_ITEMTEMPLATE}','description'=>'{LANG_CMM_CONTENTS_FIELD_ITEMTEMPLATE_DESC}','type'=>'select','position'=>'top','tab'=>6,'shy'=>1,
			'sqldef'=>'varchar(100) collate utf8_unicode_ci default NULL',
			'function'=>array('function'=>'getContentTemplates','class'=>'CMM_Contents')),
		'ContentNoSearch' => array('label'=>'{LANG_CMM_CONTENTS_FIELD_ITEMNOSEARCH}','description'=>'{LANG_CMM_CONTENTS_FIELD_ITEMNOSEARCH_DESC}','type'=>'checkbox','position'=>'left','tab'=>6,
			'sqldef'=>'int(1) default \'0\'',
			'options'=>array(array('value'=>1,'text'=>'nicht suchen'))),
		'ContentNotInMenu' => array('label'=>'{LANG_CMM_CONTENTS_FIELD_ITEMNOTINMENU}','description'=>'{LANG_CMM_CONTENTS_FIELD_ITEMNOTINMENU_DESC}','type'=>'checkbox','position'=>'left','tab'=>6,
			'sqldef'=>'int(1) default \'0\'',
			'options'=>array(array('value'=>1,'text'=>'nicht anzeigen'))),
		'ContentSpaceBefore' => array('label'=>'{LANG_CMM_CONTENTS_FIELD_ITEMSPACEBEFORE}','description'=>'{LANG_CMM_CONTENTS_FIELD_ITEMSPACEBEFORE_DESC}','type'=>'textfield','datatype'=>'int','position'=>'right','tab'=>6,'shy'=>1,
			'sqldef'=>'varchar(10) collate utf8_unicode_ci default NULL'),
		'ContentSpaceAfter' => array('label'=>'{LANG_CMM_CONTENTS_FIELD_ITEMSPACEAFTER}','description'=>'{LANG_CMM_CONTENTS_FIELD_ITEMSPACEAFTER_DESC}','type'=>'textfield','datatype'=>'int','position'=>'right','tab'=>6,'shy'=>1,
			'sqldef'=>'varchar(10) collate utf8_unicode_ci default NULL'),
		'ContentWidth' => array('label'=>'{LANG_CMM_CONTENTS_FIELD_ITEMWIDTH}','description'=>'{LANG_CMM_CONTENTS_FIELD_ITEMWIDTH_DESC}','type'=>'textfield','datatype'=>'int','position'=>'right','tab'=>6,'shy'=>1,
			'sqldef'=>'varchar(10) collate utf8_unicode_ci default NULL'),
		'ContentHeight' => array('label'=>'{LANG_CMM_CONTENTS_FIELD_ITEMHEIGHT}','description'=>'{LANG_CMM_CONTENTS_FIELD_ITEMHEIGHT_DESC}','type'=>'textfield','datatype'=>'int','position'=>'right','tab'=>6,'shy'=>1,
			'sqldef'=>'varchar(10) collate utf8_unicode_ci default NULL'),
		'ContentClass' => array('label'=>'{LANG_CMM_CONTENTS_FIELD_ITEMCLASS}','description'=>'{LANG_CMM_CONTENTS_FIELD_ITEMCLASS_DESC}','type'=>'textfield','datatype'=>'text','position'=>'right','tab'=>6,'shy'=>1,
			'sqldef'=>'varchar(255) collate utf8_unicode_ci default NULL'),
		'ContentBackground' => array('label'=>'{LANG_CMM_CONTENTS_FIELD_ITEMBACKGROUND}','description'=>'{LANG_CMM_CONTENTS_FIELD_ITEMBACKGROUND_DESC}','type'=>'colorfield','position'=>'right','tab'=>6,'shy'=>1,
			'sqldef'=>'varchar(32) collate utf8_unicode_ci default NULL'),
		'ContentToplink' => array('label'=>'{LANG_CMM_CONTENTS_FIELD_ITEMTOPLINK}','description'=>'{LANG_CMM_CONTENTS_FIELD_ITEMTOPLINK_DESC}','type'=>'checkbox','position'=>'left','tab'=>6,'shy'=>1,
			'sqldef'=>'int(1) default \'0\'',
			'options'=>array(array('value'=>1,'text'=>'anzeigen'))),
		'ContentDate' => array('label'=>'{LANG_CMM_CONTENTS_FIELD_ITEMDATE}','description'=>'{LANG_CMM_CONTENTS_FIELD_ITEMDATE_DESC}','type'=>'datetime','position'=>'left','tab'=>6,'shy'=>1,
			'sqldef'=>'datetime default \'0000-00-00 00:00:00\''),
		'ContentCache' => array('label'=>'{LANG_CMM_CONTENTS_FIELD_ITEMCACHE}','description'=>'{LANG_CMM_CONTENTS_FIELD_ITEMCACHE_DESC}','type'=>'select','position'=>'left','tab'=>6,'shy'=>1,
			'sqldef'=>'varchar(10) collate utf8_unicode_ci default NULL',
			'options'=>$CONFIG['CMM_Contents']['config']['contentCacheValues']),
		'ContentTitle' => array('label'=>'{LANG_CMM_CONTENTS_FIELD_ITEMTITLE}','description'=>'{LANG_CMM_CONTENTS_FIELD_ITEMTITLE_DESC}','type'=>'textfield','datatype'=>'text','attribs'=>array('maxlength'=>255,'required'=>1),'position'=>'center','tab'=>0,
			'sqldef'=>'varchar(255) collate utf8_unicode_ci default NULL',
			'script'=>'<script type="text/javascript">CMM_inputCreateWordCounter(\'#datafield_ContentTitle\');</script>'),
		'ContentSubtitle' => array('label'=>'{LANG_CMM_CONTENTS_FIELD_ITEMSUBTITLE}','description'=>'{LANG_CMM_CONTENTS_FIELD_ITEMSUBTITLE_DESC}','type'=>'textfield','datatype'=>'text','attribs'=>array('maxlength'=>255),'position'=>'center','tab'=>0,'shy'=>1,
			'sqldef'=>'varchar(255) collate utf8_unicode_ci default NULL',
			'script'=>'<script type="text/javascript">CMM_inputCreateWordCounter(\'#datafield_ContentSubtitle\');</script>'),
		'ContentTitleType' => array('label'=>'{LANG_CMM_CONTENTS_FIELD_ITEMTITLETYPE}','description'=>'{LANG_CMM_CONTENTS_FIELD_ITEMTITLETYPE_DESC}','type'=>'radio','default'=>'h1','position'=>'left2','tab'=>0,
			'sqldef'=>'varchar(255) collate utf8_unicode_ci default NULL',
			'options'=>array(array('value'=>'h1','text'=>'H1'),array('value'=>'h2','text'=>'H2'),array('value'=>'h3','text'=>'H3'),array('value'=>'h4','text'=>'H4'),array('value'=>'h5','text'=>'H5'),array('value'=>'h6','text'=>'H6'),array('value'=>'hidden','text'=>'{LANG_CMM_HIDDEN}'))),
		'ContentTitleAlign' => array('label'=>'{LANG_CMM_CONTENTS_FIELD_ITEMTITLEALIGN}','description'=>'{LANG_CMM_CONTENTS_FIELD_ITEMTITLEALIGN_DESC}','type'=>'radio','default'=>'','position'=>'left2','tab'=>0,'shy'=>1,
			'sqldef'=>'varchar(255) collate utf8_unicode_ci default NULL',
			'options'=>array(array('value'=>'','text'=>'{LANG_CMM_DEFAULT}'),array('value'=>'left','text'=>'{LANG_CMM_LEFT}'),array('value'=>'center','text'=>'{LANG_CMM_CENTER}'),array('value'=>'right','text'=>'{LANG_CMM_RIGHT}'))),
		'ContentText' => array('label'=>'{LANG_CMM_CONTENTS_FIELD_ITEMTEXT}','description'=>'{LANG_CMM_CONTENTS_FIELD_ITEMTEXT_DESC}','type'=>'rte','position'=>'bottom','tab'=>0,
			'sqldef'=>'text collate utf8_unicode_ci'),
		'ContentFoot' => array('label'=>'{LANG_CMM_CONTENTS_FIELD_ITEMFOOT}','description'=>'{LANG_CMM_CONTENTS_FIELD_ITEMFOOT_DESC}','type'=>'rte','position'=>'bottom','tab'=>0,'shy'=>1,
			'sqldef'=>'text collate utf8_unicode_ci'),
		'ContentTablePosition' => array('label'=>'{LANG_CMM_CONTENTS_FIELD_ITEMTABLEPOSITION}','description'=>'{LANG_CMM_CONTENTS_FIELD_ITEMTABLEPOSITION_DESC}','type'=>'select','top'=>'bottom','tab'=>1,'shy'=>1,
			'sqldef'=>'varchar(100) collate utf8_unicode_ci default NULL',
			'options'=>$CONFIG['CMM_Contents']['config']['contentTablePositions']),
		'ContentTable' => array('label'=>'{LANG_CMM_CONTENTS_FIELD_ITEMTABLE}','description'=>'{LANG_CMM_CONTENTS_FIELD_ITEMTABLE_DESC}','type'=>'tablearea','dir'=>'data/CMM_Contents/files/','filetypes'=>array('txt','csv'),'position'=>'bottom','tab'=>1,
			'sqldef'=>'text collate utf8_unicode_ci'),
		'ContentHTML' => array('label'=>'{LANG_CMM_CONTENTS_FIELD_ITEMHTML}','description'=>'{LANG_CMM_CONTENTS_FIELD_ITEMHTML_DESC}','type'=>'codearea','position'=>'bottom','attribs'=>array('rows'=>10),'tab'=>2,
			'sqldef'=>'text collate utf8_unicode_ci'),
		'ContentDesign' => array('label'=>'{LANG_CMM_CONTENTS_FIELD_ITEMDESIGN}','description'=>'{LANG_CMM_CONTENTS_FIELD_ITEMDESIGN_DESC}','type'=>'select','attribs'=>array('multiple'=>'1'),'position'=>'bottom','tab'=>0,
			'sqldef'=>'varchar(255) collate utf8_unicode_ci default NULL',
			'options'=>$CONFIG['CMM_Contents']['config']['contentTID']),
		'ContentAnimation' => array('label'=>'{LANG_CMM_CONTENTS_FIELD_ITEMANIMATION}','description'=>'{LANG_CMM_CONTENTS_FIELD_ITEMANIMATION_DESC}','type'=>'animationfield','datatype'=>'text','position'=>'right2','tab'=>0,'shy'=>1,
			'sqldef'=>'varchar(255) collate utf8_unicode_ci default NULL'),
		'ContentConfig' => array('label'=>'{LANG_CMM_CONTENTS_FIELD_ITEMCONFIG}','description'=>'{LANG_CMM_CONTENTS_FIELD_ITEMCONFIG_DESC}','type'=>'textfield','datatype'=>'text','position'=>'bottom','tab'=>0,
			'sqldef'=>'text collate utf8_unicode_ci'),
		'ContentForm' => array('label'=>'{LANG_CMM_CONTENTS_FIELD_ITEMFORM}','description'=>'{LANG_CMM_CONTENTS_FIELD_ITEMFORM_DESC}','type'=>'formselect','position'=>'top','number'=>1,'dir'=>'forms/','tab'=>3,
			'sqldef'=>'text collate utf8_unicode_ci'), // dyn. ergaenzt mit Template-Pfad
		'ContentModule' => array('label'=>'{LANG_CMM_CONTENTS_FIELD_ITEMMODULE}','description'=>'{LANG_CMM_CONTENTS_FIELD_ITEMMODULE_DESC}','type'=>'pluginselect','position'=>'top','number'=>1,'dir'=>'plugins/','tab'=>5,
			'sqldef'=>'text collate utf8_unicode_ci'), // dyn. ergaenzt mit Template-Pfad
		'ContentImagesPosition' => array('label'=>'{LANG_CMM_CONTENTS_FIELD_ITEMIMAGESPOSITION}','description'=>'{LANG_CMM_CONTENTS_FIELD_ITEMIMAGESPOSITION_DESC}','type'=>'select','top'=>'bottom','tab'=>2,
			'sqldef'=>'varchar(100) collate utf8_unicode_ci default NULL',
			'options'=>$CONFIG['CMM_Contents']['config']['contentImagesPositions']),
		'ContentImagesConfig' => array('label'=>'{LANG_CMM_CONTENTS_FIELD_ITEMIMAGESDATA}','description'=>'{LANG_CMM_CONTENTS_FIELD_ITEMIMAGESDATA_DESC}','type'=>'textfield','position'=>'top','tab'=>2,
			'sqldef'=>'text collate utf8_unicode_ci'),
		'ContentImages' => array('label'=>'{LANG_CMM_CONTENTS_FIELD_ITEMIMAGES}','description'=>'{LANG_CMM_CONTENTS_FIELD_ITEMIMAGES_DESC}','type'=>'imagelist','position'=>'top','dir'=>'data/CMM_Contents/images/','filetypes'=>'gif,jpg,png','tab'=>2,
			'sqldef'=>'text collate utf8_unicode_ci'),
		'ContentVideosPosition' => array('label'=>'{LANG_CMM_CONTENTS_FIELD_ITEMVIDEOSPOSITION}','description'=>'{LANG_CMM_CONTENTS_FIELD_ITEMVIDEOSPOSITION_DESC}','type'=>'select','top'=>'bottom','tab'=>2,'shy'=>1,
			'sqldef'=>'varchar(100) collate utf8_unicode_ci default NULL',
			'options'=>$CONFIG['CMM_Contents']['config']['contentVideosPositions']),
		'ContentVideos' => array('label'=>'{LANG_CMM_CONTENTS_FIELD_ITEMVIDEOS}','description'=>'{LANG_CMM_CONTENTS_FIELD_ITEMVIDEOS_DESC}','type'=>'videolist','position'=>'top','dir'=>'data/CMM_Contents/videos/','filetypes'=>'flv,mp4,ogv,webm','tab'=>2,
			'sqldef'=>'text collate utf8_unicode_ci'),
		'ContentAudios' => array('label'=>'{LANG_CMM_CONTENTS_FIELD_ITEMAUDIOS}','description'=>'{LANG_CMM_CONTENTS_FIELD_ITEMAUDIOS_DESC}','type'=>'audiolist','position'=>'top','dir'=>'data/CMM_Contents/audios/','filetypes'=>'mp3,m4a,mp4,ogg,oga','tab'=>2,
			'sqldef'=>'text collate utf8_unicode_ci'),
		'ContentFiles' => array('label'=>'{LANG_CMM_CONTENTS_FIELD_ITEMFILES}','description'=>'{LANG_CMM_CONTENTS_FIELD_ITEMFILES_DESC}','type'=>'filelist','position'=>'top','dir'=>'data/CMM_Contents/files/','tab'=>2,
			'sqldef'=>'text collate utf8_unicode_ci'),
		'ContentLinks' => array('label'=>'{LANG_CMM_CONTENTS_FIELD_ITEMLINKS}','description'=>'{LANG_CMM_CONTENTS_FIELD_ITEMLINKS_DESC}','type'=>'linklist','position'=>'top','tab'=>2,
			'sqldef'=>'text collate utf8_unicode_ci'),
		'ContentAddUser' => array('label'=>'{LANG_CMM_FIELD_ADDUSER}','description'=>'{LANG_CMM_FIELD_ADDUSER_DESC}','type'=>'hidden','tab'=>0,
			'sqldef'=>'varchar(32) collate utf8_unicode_ci default \'0\''),
		'ContentAddDate' => array('label'=>'{LANG_CMM_FIELD_ADDDATE}','description'=>'{LANG_CMM_FIELD_ADDDATE_DESC}','type'=>'hidden','tab'=>0,
			'sqldef'=>'datetime default \'0000-00-00 00:00:00\''),
		'ContentModUser' => array('label'=>'{LANG_CMM_FIELD_MODUSER}','description'=>'{LANG_CMM_FIELD_MODUSER_DESC}','type'=>'hidden','tab'=>0,
			'sqldef'=>'varchar(32) collate utf8_unicode_ci default \'0\''),
		'ContentModDate' => array('label'=>'{LANG_CMM_FIELD_MODDATE}','description'=>'{LANG_CMM_FIELD_MODDATE_DESC}','type'=>'hidden','tab'=>0,
			'sqldef'=>'datetime default \'0000-00-00 00:00:00\'')
		),
	'tableset' => array(
		'engine' => 'MyISAM',
		'primarykey' => 'UID',
		'charset' => 'utf8',
		'collation' => 'utf8_unicode_ci',
		'comment' => 'Inhalte',
	//	'fulltext' => array('Fulltext' => array('ContentTitle','ContentSubtitle','ContentHTML','ContentText'))
		)
	);

// Datenstamm fuer Kategorien
$CONFIG['CMM_Contents']['database']['cmm_contents_categories'] = array(
	'tabs' => array(0=>'Standard',1=>'Media',2=>'Plugins',3=>'Sonstiges',9=>'Anzeige'),
	'tablename' => 'cmm_contents_categories',
	'sort' => 'ContentCategorySort ASC',
	'backup' => 1,
	'fieldprefix' => 'ContentCategory',
	'fieldset' => array(
		'ContentCategoryUID' => array('label'=>'{LANG_CMM_FIELD_UID}','description'=>'{LANG_CMM_FIELD_UID_DESC}','type'=>'hidden','position'=>'top','tab'=>0,
			'sqldef'=>'int(10) default \'0\''),
		'ContentCategoryPID' => array('label'=>'{LANG_CMM_FIELD_PID}','description'=>'{LANG_CMM_FIELD_PID_DESC}','type'=>'hidden','position'=>'top','tab'=>0,
			'sqldef'=>'int(10) default \'0\''),
		'ContentCategoryTID' => array('label'=>'{LANG_CMM_FIELD_TID}','description'=>'{LANG_CMM_FIELD_TID_DESC}','type'=>'hidden','position'=>'top','tab'=>3,
			'sqldef'=>'int(3) default \'0\''),
		'ContentCategoryLID' => array('label'=>'{LANG_CMM_FIELD_LID}','description'=>'{LANG_CMM_FIELD_LID_DESC}','type'=>'radio','position'=>'top','tab'=>3,
			'sqldef'=>'int(3) default \'0\'',
			'select'=>array('module'=>'CMM','table'=>'cmm_cmm_languages','keyfield'=>'LanguageUID','labelfield'=>'LanguageName','sort'=>'LanguageUID')),
		'ContentCategoryOID' => array('label'=>'{LANG_CMM_FIELD_OID}','description'=>'{LANG_CMM_FIELD_OID_DESC}','type'=>(isset($CURRENT) && !empty($CURRENT['language']) && !empty($CURRENT['languageDefault']) && $CURRENT['language']==$CURRENT['languageDefault'] ? 'hidden' : 'select'),'position'=>'top','tab'=>3,
			'sqldef'=>'int(10) default \'0\'',
			'function'=>array('function'=>'CMM_getInputFieldOptionsOID','module'=>'CMM_Contents','table'=>'cmm_contents_categories','keyfield'=>'ContentCategoryUID','labelfield'=>'ContentCategoryTitle','sort'=>'ContentCategorySort ASC')),
		'ContentCategoryStatus' => array('label'=>'{LANG_CMM_FIELD_STATUS}','type'=>'hidden','value'=>'1','position'=>'top','tab'=>9,
			'sqldef'=>'int(1) default \'0\''),
		'ContentCategoryDeleted' => array('label'=>'{LANG_CMM_FIELD_REMOVED}','type'=>'hidden','tab'=>3,
			'sqldef'=>'int(1) default \'0\''),
		'ContentCategorySort' => array('label'=>'{LANG_CMM_FIELD_SORT}','description'=>'{LANG_CMM_FIELD_SORT_DESC}','type'=>'hidden','position'=>'top','tab'=>3,
			'sqldef'=>'int(10) default \'0\''),
		'ContentCategoryTitle' => array('label'=>'{LANG_CMM_CONTENTS_FIELD_CATEGORYTITLE}','description'=>'{LANG_CMM_CONTENTS_FIELD_CATEGORYTITLE_DESC}','type'=>'textfield','attribs'=>array('required'=>1),'position'=>'top','tab'=>0,
			'sqldef'=>'varchar(100) collate utf8_unicode_ci default NULL'),
		'ContentCategoryDescription' => array('label'=>'{LANG_CMM_CONTENTS_FIELD_CATEGORYDESCRIPTION}','description'=>'{LANG_CMM_CONTENTS_FIELD_CATEGORYDESCRIPTION_DESC}','type'=>'textarea','position'=>'top','tab'=>0,
			'sqldef'=>'text collate utf8_unicode_ci'),
		'ContentCategoryIcon' => array('label'=>'{LANG_CMM_CONTENTS_FIELD_CATEGORYICON}','description'=>'{LANG_CMM_CONTENTS_FIELD_CATEGORYICON_DESC}','type'=>'imagelist','number'=>'1','position'=>'top','dir'=>'data/CMM_Contents/images/','tab'=>1,
			'sqldef'=>'varchar(100) collate utf8_unicode_ci default NULL'),
		'ContentCategoryAddUser' => array('label'=>'{LANG_CMM_FIELD_ADDUSER}','description'=>'{LANG_CMM_FIELD_ADDUSER_DESC}','type'=>'hidden','position'=>'left','tab'=>0,
			'sqldef'=>'varchar(32) collate utf8_unicode_ci default \'0\''),
		'ContentCategoryAddDate' => array('label'=>'{LANG_CMM_FIELD_ADDDATE}','description'=>'{LANG_CMM_FIELD_ADDDATE_DESC}','type'=>'hidden','position'=>'left','tab'=>0,
			'sqldef'=>'datetime default \'0000-00-00 00:00:00\''),
		'ContentCategoryModUser' => array('label'=>'{LANG_CMM_FIELD_MODUSER}','description'=>'{LANG_CMM_FIELD_MODUSER_DESC}','type'=>'hidden','position'=>'left','tab'=>0,
			'sqldef'=>'varchar(32) collate utf8_unicode_ci default \'0\''),
		'ContentCategoryModDate' => array('label'=>'{LANG_CMM_FIELD_MODDATE}','description'=>'{LANG_CMM_FIELD_MODDATE_DESC}','type'=>'hidden','position'=>'left','tab'=>0,
			'sqldef'=>'datetime default \'0000-00-00 00:00:00\'')
		),
	'tableset' => array(
		'engine' => 'MyISAM',
		'primarykey' => 'UID',
		'charset' => 'utf8',
		'collation' => 'utf8_unicode_ci',
		'comment' => 'Kategorien'
		)
	);

// Datenstamm fuer Kategorien
$CONFIG['CMM_Contents']['database']['cmm_contents_columns'] = array(
	'tabs' => array(0=>'Standard',1=>'Media',2=>'Plugins',3=>'Sonstiges',9=>'Anzeige'),
	'tablename' => 'cmm_contents_columns',
	'sort' => 'ContentColumnSort ASC',
	'backup' => 1,
	'fieldprefix' => 'ContentColumn',
	'fieldset' => array(
		'ContentColumnUID' => array('label'=>'{LANG_CMM_FIELD_UID}','description'=>'{LANG_CMM_FIELD_UID_DESC}','type'=>'hidden','position'=>'top','tab'=>0,
			'sqldef'=>'int(10) default \'0\''),
		'ContentColumnPID' => array('label'=>'{LANG_CMM_FIELD_PID}','description'=>'{LANG_CMM_FIELD_PID_DESC}','type'=>'hidden','position'=>'top','tab'=>0,
			'sqldef'=>'int(10) default \'0\''),
		'ContentColumnTID' => array('label'=>'{LANG_CMM_FIELD_TID}','description'=>'{LANG_CMM_FIELD_TID_DESC}','type'=>'hidden','position'=>'top','tab'=>3,
			'sqldef'=>'int(3) default \'0\''),
		'ContentColumnLID' => array('label'=>'{LANG_CMM_FIELD_LID}','description'=>'{LANG_CMM_FIELD_LID_DESC}','type'=>'hidden','value'=>'0','position'=>'top','tab'=>3,
			'sqldef'=>'int(3) default \'0\''),
		'ContentColumnStatus' => array('label'=>'{LANG_CMM_FIELD_STATUS}','type'=>'hidden','position'=>'top','tab'=>9,
			'sqldef'=>'int(1) default \'0\'','value'=>'1'),
		'ContentColumnDeleted' => array('label'=>'{LANG_CMM_FIELD_REMOVED}','type'=>'hidden','tab'=>3,
			'sqldef'=>'int(1) default \'0\''),
		'ContentColumnSort' => array('label'=>'{LANG_CMM_FIELD_SORT}','description'=>'{LANG_CMM_FIELD_SORT_DESC}','type'=>'hidden','position'=>'top','tab'=>3,
			'sqldef'=>'int(10) default \'0\''),
		'ContentColumnTitle' => array('label'=>'{LANG_CMM_CONTENTS_FIELD_COLUMNTITLE}','description'=>'{LANG_CMM_CONTENTS_FIELD_COLUMNTITLE_DESC}','type'=>'textfield','attribs'=>array('required'=>1),'position'=>'top','tab'=>0,
			'sqldef'=>'varchar(100) collate utf8_unicode_ci default NULL'),
		'ContentColumnDescription' => array('label'=>'{LANG_CMM_CONTENTS_FIELD_COLUMNDESCRIPTION}','description'=>'{LANG_CMM_CONTENTS_FIELD_COLUMNDESCRIPTION_DESC}','type'=>'textarea','position'=>'top','tab'=>0,
			'sqldef'=>'text collate utf8_unicode_ci'),
		'ContentColumnAddUser' => array('label'=>'{LANG_CMM_FIELD_ADDUSER}','description'=>'{LANG_CMM_FIELD_ADDUSER_DESC}','type'=>'hidden','position'=>'left','tab'=>0,
			'sqldef'=>'varchar(32) collate utf8_unicode_ci default \'0\''),
		'ContentColumnAddDate' => array('label'=>'{LANG_CMM_FIELD_ADDDATE}','description'=>'{LANG_CMM_FIELD_ADDDATE_DESC}','type'=>'hidden','position'=>'left','tab'=>0,
			'sqldef'=>'datetime default \'0000-00-00 00:00:00\''),
		'ContentColumnModUser' => array('label'=>'{LANG_CMM_FIELD_MODUSER}','description'=>'{LANG_CMM_FIELD_MODUSER_DESC}','type'=>'hidden','position'=>'left','tab'=>0,
			'sqldef'=>'varchar(32) collate utf8_unicode_ci default \'0\''),
		'ContentColumnModDate' => array('label'=>'{LANG_CMM_FIELD_MODDATE}','description'=>'{LANG_CMM_FIELD_MODDATE_DESC}','type'=>'hidden','position'=>'left','tab'=>0,
			'sqldef'=>'datetime default \'0000-00-00 00:00:00\'')
		),
	'tableset' => array(
		'engine' => 'MyISAM',
		'primarykey' => 'UID',
		'charset' => 'utf8',
		'collation' => 'utf8_unicode_ci',
		'comment' => 'Spalten'
		)
	);


////////////////////////////////////////////////////////////////////
// Sortier-Variablen (Administration)                             //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Contents']['sortVars'] = array();
$CONFIG['CMM_Contents']['sortVars']['cmm_contents_contents'] = array('ContentUID','ContentSort','ContentStatus','ContentTitle','ContentAddDate','ContentModDate');
$CONFIG['CMM_Contents']['sortVars']['cmm_contents_categories'] = array('ContentCategoryUID','ContentCategorySort','ContentCategoryStatus','ContentCategoryTitle','ContentCategoryAddDate','ContentCategoryModDate');
$CONFIG['CMM_Contents']['sortVars']['cmm_contents_columns'] = array('ContentColumnUID','ContentColumnSort','ContentColumnStatus','ContentColumnTitle','ContentColumnAddDate','ContentColumnModDate');

?>