/* CMM_Contents - Script-Calls */
////////////////////////////////////////////////////////////////
// V 1.0 First relaese
// V 1.0.1 Added call for animations
////////////////////////////////////////////////////////////////


// BEGIN CMM
$(document).ready(function()
	{
	// Element-Animations using waypoints.js
	if(jQuery().waypoint)
		{
		// Animate group of elements
		if($('.animationGroup').length > 0)
			{
			// Separate call for each group
			$('.animationGroup').each(function() {
				CMM_initScrollAnimation($('.animation',this),$(this));
				});
			}
		// Animate single element (not part of a goup)
		if($('.animation').length > 0)
			{
			// Filter elements
			var $animationItems = $('.animation').filter(function() { return $(this).parents('.animationGroup').length < 1; });
			// Call animation trigger
			CMM_initScrollAnimation($animationItems);
			}
		}


	// Lightbox contents
	if(jQuery().colorbox)
		{
		// Content in Lightbox
		$('.CMM_Contents_Type91').each(function() {
			// Set default params
			var defaultParams = {
				href: $(this),
				inline:true,
				maxWidth:'95%',
				maxHeight:'95%',
				close:'&#xf00d;',
				current:''
				};
			// Call plugin
			window.setTimeout(function() {
				$.colorbox(defaultParams);
				}, 1500);
			});

		// Content in Lightbox - show only one time (based on session cookie)
		$('.CMM_Contents_Type92').each(function() {
			// If cookie is not set
			if($.cookie($(this).attr('id')) != 'shown')
				{
				// Set default params
				var defaultParams = {
					href: $(this),
					inline:true,
					maxWidth:'95%',
					maxHeight:'95%',
					close:'&#xf00d;',
					current:''
					};
				// Call plugin and set cookie
				window.setTimeout(function() {
					$.colorbox(defaultParams);
					$.cookie($(this).attr('id'),'shown', {path:'/'});
					}, 1500);
				}
			});
		}


	// Gallery in content-block
	if(jQuery().cmm3gallery)
		{
		$('.CMM_Contents_imagesGallery UL').each(function() {
			// Set default params
			var defaultParams = {
				classImageLoader: 'galleryImageLoader fa fa-spinner fa-spin',
				onChangeComplete: function(gallery,thumb) {
					// Reset lightbox
					var bigImageLink = $('.galleryImage A',gallery);
					if(jQuery().colorbox)
						{ bigImageLink.colorbox({maxWidth:'95%', maxHeight:'95%', previous:'&#xf053;' ,next:'&#xf054;' ,close:'&#xf00d;', current:''}); }
					}
				}
			// Get and merge user-params
			var currentConfig = $(this).closest('.CMM_Contents_images').data('config');
			var currentParams = CMM_configStringToObject(currentConfig);
			defaultParams = $.extend(defaultParams,currentParams);
			// Call plugin
			$(this).cmm3gallery(defaultParams);
			});
		}


	// Parallax background in content-block
	if(jQuery().cmm3parallax)
		{
		$('.imagesParallax').each(function() {
			// Set default params
			var defaultParams = {
				classContainer: 'imagesParallax',
				speedFactor: 0.5,
				backgroundPosX: 'center'
				}
			// Get and merge user-params
			var currentConfig = $(this).data('config');
			var currentParams = CMM_configStringToObject(currentConfig);
			defaultParams = $.extend(defaultParams,currentParams);
			// Call plugin
			$(this).cmm3parallax(defaultParams);
			});
		}


	// Scroll to content
	$(".CMM_Contentindex A").on('click',function(e) { 
		// Get content-link parts
		contentLinkRaw = $(this).attr('href');
		contentLinkHashPos = contentLinkRaw.indexOf("#");
		contentLinkUrl = contentLinkHashPos != -1 ? contentLinkRaw.substring(0,contentLinkHashPos) : contentLinkRaw;
		contentLinkHash = contentLinkHashPos != -1 ? contentLinkRaw.substring(contentLinkHashPos+1) : '';
		// Check if data-linkthispage="1"
		contentLinkThisPage = $(this).data('linkthispage');
		// If Link into current page -> scroll to block
		if(contentLinkThisPage == 1)
			{
		    e.preventDefault();
			// Calc sroll-distance and speed
			scrollDistance = Math.abs($(this).offset().top - $("#"+contentLinkHash).offset().top);
			scrollTime = Math.round(Math.log(scrollDistance / 2) * 100);
	      	// Call the scroll function
		  	$('html,body').animate({scrollTop: $("#"+contentLinkHash).offset().top},scrollTime,'easeOutCubic');
			}
		});


	// Collector array for slider references
	if(typeof bxSliders === 'undefined')
		{ bxSliders = []; }


	// nur wenn nicht Druckansicht
	if(!$('.pagePrint').length)
		{
		// Toggle-Block
		if(jQuery().cmm3showhide)
			{
			$('.CMM_Contents_Type100 > .CMM_Contents_contentBlock_Outer > .CMM_Contents_contentBlock_Inner').each(function() {
				// Set default params
				var defaultParams = {
					defaultOpen: false,
					useCookie: false,
					cookieName: $(this).closest('.CMM_Contents_contentBlock').attr('id').replace('#','')+'_showhide',
					selectorToggle: '> .CMM_Contents_contentBlock_Head',
					selectorPanel: "next()",
					classContainer: 'showhide',
					classToggle: 'showhideToggle',
					classPanel: 'showhideContent',
					classSelected: 'act'
					};
				// Get and merge user-params
				var currentConfig = $(this).closest('.CMM_Contents_contentBlock').data('config');
				var currentParams = CMM_configStringToObject(currentConfig);
				defaultParams = $.extend(defaultParams,currentParams);
				// Call plugin
				$(this).cmm3showhide(defaultParams);
				});
			}


		// Tabs - aus Inhalten konstruieren
		if(jQuery().cmm3tabs)
			{
			$('.CMM_Contents_Type101 > .CMM_Contents_contentBlock_Outer > .CMM_Contents_contentBlock_Inner > .CMM_Contents_contentBlock_Subcontents').each(function() {
				// Set default params
				var defaultParams = {
					classContainer: 'tabs',
					classToggleSet: 'tabsToggles',
					classToggle: 'tabsToggle',
					classContentSet: 'tabsContents',
					classContent: 'tabsContent',
					classSelected: 'act'
					};
				// Get and merge user-params
				var currentConfig = $(this).closest('.CMM_Contents_contentBlock').data('config');
				var currentParams = CMM_configStringToObject(currentConfig);
				defaultParams = $.extend(defaultParams,currentParams);
				// Create toggles from headlines
				var tabsHead = $('<ul class="'+defaultParams.classToggleSet+'">');
				$('> .CMM_Contents_contentBlock',$(this)).each(function() {
					var tabId = $(this).attr('id');
					var tabTitle = $(' > .CMM_Contents_contentBlock_Outer > .CMM_Contents_contentBlock_Inner > .CMM_Contents_contentBlock_Head',this).text();
					tabsHead.append('<li><a href="#'+tabId+'" title="">'+tabTitle+'</a></li>');
					});
				$(this).wrapInner('<div class="'+defaultParams.classContentSet+'">');
				$(this).prepend(tabsHead);
				tabsHead.cleanWhitespace();
				// Call plugin
				$(this).cmm3tabs(defaultParams); 
				});
			}


		// Accordion aus Subinhalten
		if(jQuery().cmm3accordion)
			{
			$('.CMM_Contents_Type102 > .CMM_Contents_contentBlock_Outer > .CMM_Contents_contentBlock_Inner > .CMM_Contents_contentBlock_Subcontents').each(function() {
				// Set default params
				var defaultParams = {
					defaultOpen: false,
					selectorToggle: '> .CMM_Contents_contentBlock > .CMM_Contents_contentBlock_Outer > .CMM_Contents_contentBlock_Inner > .CMM_Contents_contentBlock_Head',
					selectorContent: 'next()',
					classSelected: 'act'
					};
				// Get and merge user-params
				var currentConfig = $(this).closest('.CMM_Contents_contentBlock').data('config');
				var currentParams = CMM_configStringToObject(currentConfig);
				defaultParams = $.extend(defaultParams,currentParams);
				// Call plugin
				$(this).cmm3accordion(defaultParams);
				});
			}


		// Accordion im Inhalt
		if(jQuery().cmm3accordion)
			{
			$('.CMM_Contents_Type103 > .CMM_Contents_contentBlock_Outer > .CMM_Contents_contentBlock_Inner > .CMM_Contents_contentBlock_Content').each(function() {
				// Set default params
				var defaultParams = {
					selectorToggle: 'H3,H4',
					classSelected: 'act'
					};
				// Get and merge user-params
				var currentConfig = $(this).closest('.CMM_Contents_contentBlock').data('config');
				var currentParams = CMM_configStringToObject(currentConfig);
				defaultParams = $.extend(defaultParams,currentParams);
				// Wrap contents before creating the accordion
				$(defaultParams.selectorToggle,this).each(function() {
					$(this).nextUntil(defaultParams.selectorToggle).wrapAll('<div></div>');
					});
				// Call plugin
				$(this).cmm3accordion(defaultParams);
				});
			}


		// Content-Slider aus Inhalten
		if(jQuery().bxSlider)
			{
			$('.CMM_Contents_Type105 > .CMM_Contents_contentBlock_Outer > .CMM_Contents_contentBlock_Inner > .CMM_Contents_contentBlock_Subcontents').each(function() {
				var currentContentID = $(this).closest('.CMM_Contents_contentBlock').attr('id');
				// Set default params
				var defaultParams = {
					auto: false,
					pager: true,
					controls: true,
					mode: 'fade',
					infiniteLoop: true,
					speed: 1000,
					pause: 6000,
				//	minSlides: 1,
				//	maxSlides: 10,
				//	moveSlides: 1,
					tickerHover: true,
					touchEnabled: false,
					prevText: '&#xf053;',
					nextText: '&#xf054;'
					};
				// Get and merge user-params
				var currentConfig = $(this).closest('.CMM_Contents_contentBlock').data('config');
				var currentParams = CMM_configStringToObject(currentConfig);
				defaultParams = $.extend(defaultParams,currentParams);
				// Start slider
				bxSliders[currentContentID] = $(this).bxSlider(defaultParams);
				});
			}


		// Timeline - aus Inhalten konstriueren und Plugin
		if(jQuery().cmm3tabs)
			{
			$('.CMM_Contents_Type106 > .CMM_Contents_contentBlock_Outer > .CMM_Contents_contentBlock_Inner > .CMM_Contents_contentBlock_Subcontents').each(function() {
				// Set default params
				var defaultParams = {
					selectorToggleSet: '> UL',
					selectorToggle: 'LI',
					selectorContentSet: '> DIV',
					selectorContent: '> DIV',
					classContainer: 'timeline',
					classToggleSet: 'timelineToggles',
					classToggle: 'timelineToggle',
					classContentSet: 'timelineContents',
					classContent: 'timelineContent',
					classSelected: 'act'
					};
				// Get and merge user-params
				var currentConfig = $(this).closest('.CMM_Contents_contentBlock').data('config');
				var currentParams = CMM_configStringToObject(currentConfig);
				defaultParams = $.extend(defaultParams,currentParams);
				// Create toggles from headlines
				var tabsHead = $('<ul class="'+defaultParams.classToggleSet+'">');
				$('> .CMM_Contents_contentBlock',$(this)).each(function() {
					var tabId = $(this).attr('id');
					var tabTitle = $(' > .CMM_Contents_contentBlock_Outer > .CMM_Contents_contentBlock_Inner > .CMM_Contents_contentBlock_Head',this).text();
					tabsHead.append('<li><a href="#'+tabId+'" title="">'+tabTitle+'</a></li> '); // trailing white-space required for display as inline-block
					});
				$(this).wrapInner('<div class="'+defaultParams.classContentSet+'">');
				$(this).prepend(tabsHead);
				// Call plugin
				$(this).cmm3tabs(defaultParams); 
				});
			}
		}


	// Image-Slider in content-block
	if(jQuery().bxSlider)
		{
		$('.CMM_Contents_imagesSlider UL').each(function() {
			var currentContent = $(this).closest('.CMM_Contents_contentBlock');
			var	currentContentID = currentContent.attr('id');
			var currentSlider = $(this);
			// Set default params
			var defaultParams = {
				auto: true,
				pager: true,
				controls: true,
				mode: 'horizontal',
				infiniteLoop: true,
				speed: 1000,
				pause: 6000,
			//	minSlides: 1,
			//	maxSlides: 10,
			//	moveSlides: 1,
				tickerHover: true,
				touchEnabled: true,
				prevText: '&#xf053;',
				nextText: '&#xf054;'
				};
			// Get and merge user-params
			var currentConfig = $(this).closest('.CMM_Contents_images').data('config');
			var currentParams = CMM_configStringToObject(currentConfig);
			defaultParams = $.extend(defaultParams,currentParams);
			// Start Slider
			currentSlider.imagesLoaded(function(){
				// Disable auto, if only one image
				$('LI',currentSlider).length <= 1 ? defaultParams['auto']=false : '';
				bxSliders[currentContentID] = currentSlider.bxSlider(defaultParams);
				});
			});
		}


	// Image-Caroussel im Content
	if(jQuery().bxSlider)
		{
		$('.CMM_Contents_imagesCaroussel UL').each(function() {
			var currentSlider = $(this);
			var currentContent = $(this).closest('.CMM_Contents_contentBlock');
			var	currentContentID = currentContent.attr('id');
			// Append dummy-margin-element
			var slideMarginDummy = $('<div class="slideMargin" />').appendTo(currentSlider.parent());
			// Set default params
			var defaultParams = {
				auto: false,
				pager: true,
				controls: true,
				mode: 'horizontal',
				infiniteLoop: false,
				speed: 1000,
				pause: 6000,
				minSlides: 1,
				maxSlides: 10,
				moveSlides: 1,
				tickerHover: true,
				touchEnabled: true,
				prevText: '&#xf053;',
				nextText: '&#xf054;'
				};
			// Get and merge user-params
			var currentConfig = $(this).closest('.CMM_Contents_images').data('config');
			var currentParams = CMM_configStringToObject(currentConfig);
			defaultParams = $.extend(defaultParams,currentParams);
			// Start Slider
			currentSlider.imagesLoaded(function(){
				defaultParams['slideWidth'] = $('LI',currentSlider).first().width();
				defaultParams['slideMargin'] = slideMarginDummy.width();
				bxSliders[currentContentID] = currentSlider.bxSlider(defaultParams);
				}); 
			}); 
		$(window).bind("resize", function(){
			$('.CMM_Contents_imagesCaroussel UL').each(function() {
				currentSlider = $(this);
				currentContent = $(this).closest('.CMM_Contents_contentBlock');
				currentContentID = currentContent.attr('id');
				// Get margin dummy
				var slideMarginDummy = currentContent.find('.slideMargin');
				// Set default params
				var defaultParams = {
					auto: false,
					pager: true,
					controls: true,
					mode: 'horizontal',
					infiniteLoop: false,
					speed: 1000,
					pause: 6000,
					minSlides: 1,
					maxSlides: 10,
					moveSlides: 1,
					tickerHover: true,
					touchEnabled: true,
					prevText: '&#xf053;',
					nextText: '&#xf054;'
					};
				// Get and merge user-params
				var currentConfig = $(this).closest('.CMM_Contents_images').data('config');
				var currentParams = CMM_configStringToObject(currentConfig);
				defaultParams = $.extend(defaultParams,currentParams);
				// Start Slider
				defaultParams['slideMargin'] = slideMarginDummy.width();
				defaultParams['slideWidth'] = $('LI',currentSlider).first().width();
				bxSliders[currentContentID].reloadSlider(defaultParams);
				});
			}); 
		}


	// Image-Masonry
	if(jQuery().isotope)
		{
		$('.imagesMasonry UL').each(function(index, element) {
			var $imageMasonryContainer = $(this);
			// Set default params
			var defaultParams = {
				itemSelector: '.CMM_image',
				layoutMode: 'packery' // masonry/packery
				};
			// Get and merge user-params
			var currentConfig = $(this).closest('.CMM_Contents_images').data('config');
			var currentParams = CMM_configStringToObject(currentConfig);
			defaultParams = $.extend(defaultParams,currentParams);
			// Call plugin
			$('.imagesMasonry').imagesLoaded(function(){
				$imageMasonryContainer.isotope(defaultParams);
				});
			$(window).bind("resize", function(){
				$imageMasonryContainer.isotope(defaultParams);
				});
			});
		}


	// Hero - min-height equal to content
	$('.CMM_Contents_contentBlock_Hero').each(function(i,element) {
		var tempHeroHeight = $(this).height();
		$(this).closest('.CMM_Contents_contentBlock_Inner').css('min-height',tempHeroHeight+'px');
		});


	// Text-Spalten
	if(jQuery().columnize)
		{
		$('.CMM_Contents_Type51 > .CMM_Contents_contentBlock_Outer > .CMM_Contents_contentBlock_Inner > .CMM_Contents_contentBlock_Content').columnize({columns:2, lastNeverTallest:true});
		$('.CMM_Contents_Type52 > .CMM_Contents_contentBlock_Outer > .CMM_Contents_contentBlock_Inner > .CMM_Contents_contentBlock_Content').columnize({columns:3, lastNeverTallest:true});
		$('.CMM_Contents_Type53 > .CMM_Contents_contentBlock_Outer > .CMM_Contents_contentBlock_Inner > .CMM_Contents_contentBlock_Content').columnize({columns:4, lastNeverTallest:true});
		}


	// Count-Up - requires counter-plugin from functions-CMM3.js and easing-plugin
	if(jQuery().counter)
		{
		countUpElem = new Array();
		$('.CMM_Contents_Type64 .CMM_Contents_contentBlock_Head H1, .CMM_Contents_Type64 .CMM_Contents_contentBlock_Head H2, .CMM_Contents_Type64 .CMM_Contents_contentBlock_Head H3, .countUp').each(function(index) {
			viewportHeight = (window.innerHeight || document.documentElement.clientHeight);
			countUpElem[index] = $(this);
			countUpElem[index].data('countUp',countUpElem[index].text()).text('0');
			countUpElem[index].counter({ autoStart:false, duration:2500, countFrom:0, countTo:countUpElem[index].data('countUp'), placeholder:0, easing:"easeOutCubic", onComplete:function() { countUpElem[index].addClass('counted'); } });
			if(countUpElem[index].offset().top <= $(window).scrollTop()+viewportHeight * 1)
				{ countUpElem[index].counter('start'); }
			// CountUp if scrolled into viewport
			$(document).on('scroll',function() {
				if(countUpElem[index].offset().top < $(window).scrollTop()+viewportHeight-50 && !countUpElem[index].hasClass('counted'))
					{ countUpElem[index].counter('start'); }
				else if(countUpElem[index].offset().top > $(window).scrollTop()+viewportHeight+100 && countUpElem[index].hasClass('counted'))
					{ countUpElem[index].removeClass('counted').text('0');
					}
				});
			});
		}


	// Set min-height and bottom padding to content-inner-container for bottom-positioned footer in teaser and pricebox
	$('.CMM_Contents_Type62, .CMM_Contents_Type67').each(function() {
		// Proccess only if foot is present
		if($('.CMM_Contents_contentBlock_Foot',this).length > 0)
			{
			var currentContentBlock = $(this);
			var currentContentOuter = $('.CMM_Contents_contentBlock_Outer',this);
			var currentContentInner = $('.CMM_Contents_contentBlock_Inner',this);
			var currentContentFoot = $('.CMM_Contents_contentBlock_Foot',this);
			currentContentInner.css({'padding-bottom':currentContentFoot.outerHeight(),'min-height':currentContentOuter.height()});
			currentContentFoot.css({'position':'absolute'});
			}
		});


	// Set equal height to content-block with same offsetTop and same parentElement
	if(jQuery().imagesLoaded)
		{
		// Get all columns
		var contentColumns = $('SECTION.CMM_Contents_contentBlock').parent();
		// Regular call
		contentColumns.each(function(i, element) {
			$(this).imagesLoaded(function(){ CMM_equalizeContentBlockHeight('#'+element.id); });
			});
		// Call after window resize
		$(window).bind("resize", function(){
			contentColumns.each(function(i, element) {
				$(this).imagesLoaded(function(){ CMM_equalizeContentBlockHeight('#'+element.id); });
				});
		});
		}

	}); 
// END CMM_Contents