<?PHP
/***************************************************************
*  Copyright notice
*
*  (c) 2009-2017 Nicolas Berg
*  All rights reserved
*
*  This script is part of the CMM3 Content-Management-System.
*  CMM3 is provided only under a commercial license until now.
*  Maybe we will add a free license in future.
*
*  This script is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
*
*  This copyright notice MUST APPEAR in all copies of the script!
***************************************************************/

////////////////////////////////////////////////////////////////////
// Modul-Einstellungen                                            //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Displays'] = array();
// Modulpraefix
$CONFIG['CMM_Displays']['key'] = 'CMM_Displays';
// Modulname
$CONFIG['CMM_Displays']['label'] = '{LANG_CMM_DISPLAYS}';
// Modulbeschreibung
$CONFIG['CMM_Displays']['description'] = '{LANG_CMM_DISPLAYS_DESC}';
// Module-languages
$CONFIG['CMM_Displays']['languages'] = 'at,de,ch,en';
// Modulicon
$CONFIG['CMM_Displays']['icon'] = 'CMM_Displays.svg';
// Modulversion
$CONFIG['CMM_Displays']['version'] = '1.1.5';
// Dependencies
$CONFIG['CMM_Displays']['depend'] = 'CMM:6.0';


////////////////////////////////////////////////////////////////////
// Set includes for administration                                //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Displays']['BE'] = array();
$CONFIG['CMM_Displays']['BE']['include'] = array();
// PHP
$CONFIG['CMM_Displays']['BE']['include']['PHP'] = array('CMM_Displays/structure.php');
// CSS
$CONFIG['CMM_Displays']['BE']['include']['CSS'] = array();
// JS
$CONFIG['CMM_Displays']['BE']['include']['JS'] = array();


////////////////////////////////////////////////////////////////////
// Set includes for website                                       //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Displays']['FE'] = array();
$CONFIG['CMM_Displays']['FE']['include'] = array();
// PHP - starting at CMM_ROOT_DIR
$CONFIG['CMM_Displays']['FE']['include']['PHP'] = array();
// CSS - starting at CMM_ROOT_DIR
$CONFIG['CMM_Displays']['FE']['include']['CSS'] = array('CMM_Displays/template/css/CMM_Displays.css');
// JS - starting at CMM_ROOT_DIR
$CONFIG['CMM_Displays']['FE']['include']['JS'] = array();


////////////////////////////////////////////////////////////////////
// Datenverzeichnisse erstellen                                   //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Displays']['dirs'] = array(
	'data/CMM_Displays/backup/',
	'data/CMM_Displays/images/',
	'data/CMM_Displays/videos/'
	);


////////////////////////////////////////////////////////////////////
// Plugins                                                        //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Displays']['plugins'] = array(
	'CMM_Displays_list.php'
	);


////////////////////////////////////////////////////////////////////
// Weitere Einstellungen                                          //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Displays']['config'] = array();

// Einfacher Modus - ohne Auswahl der Speicherseite
$CONFIG['CMM_Displays']['config']['simpleMode'] = 0;

// Meta-Felder
$CONFIG['CMM_Displays']['config']['metaTitleFields'] = array('DisplaysScreenTitle','DisplaysScreenSubtitle');
$CONFIG['CMM_Displays']['config']['metaKeywordsFields'] = array('DisplaysScreenTitle','DisplaysScreenSubtitle','DisplaysScreenDescription','DisplaysScreenButton');
$CONFIG['CMM_Displays']['config']['metaDescriptionFields'] = array('DisplaysScreenTitle','DisplaysScreenSubtitle','DisplaysScreenDescription','DisplaysScreenButton');

// Backup-Ansicht aktivieren
$CONFIG['CMM_Displays']['config']['enableBackup'] = 0;


////////////////////////////////////////////////////////////////////
// Felddefinitionen fuer Config                                   //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Displays']['configFields'] = array(
	'simpleMode' => array('label'=>'Einfacher Modus ohne Seitenbaum','type'=>'radio','options'=>array(array('value'=>'0','text'=>'{LANG_CMM_NO}'),array('value'=>'1','text'=>'{LANG_CMM_YES}')),'position'=>'left'),
	'enableBackup' => array('label'=>'Backup aktivieren','type'=>'radio','options'=>array(array('value'=>'0','text'=>'{LANG_CMM_NO}'),array('value'=>'1','text'=>'{LANG_CMM_YES}')),'position'=>'left')
	);


////////////////////////////////////////////////////////////////////
// Einstellungen fuer Suche                                       //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Displays']['config']['search'] = array(
	'label' => '{LANG_CMM_DISPLAYS_LABEL}',
	'resultPIDparams' => ($CONFIG['CMM']['config']['seoUseSeoUrls']==true ? '/{$DisplaysScreenTitle|substr:length=50:word=1:fill=|validatealias}.{$DisplaysScreenUID}' : '?CMM_Displays[DisplaysScreenUID]={$DisplaysScreenUID}'),
	'resultPIDfilter' => '',
	'tablename' => 'cmm_displays_screens',
	'fieldprefix' => 'DisplaysScreen',
	'join' => array('cmm_displays_channels|DisplaysChannelUID=DisplaysScreenChannels'), // Join-Table|Join-Table-Field=Table-Field|[Join-Table-Field=Value]
	'filter' => array(), // Zusatzfilter
	'titleFields' => array('DisplaysScreenTitle'),
	'textFields' => array('DisplaysScreenSubtitle','DisplaysScreenDescription'),
	'searchFields' => array('DisplaysScreenTitle','DisplaysScreenSubtitle','DisplaysScreenDescription'),
	'extraFields' => array('DisplaysScreenTitle'),
	'deletedField' => 'DisplaysScreenDeleted'
	);

?>