<?PHP
/***************************************************************
*  Copyright notice
*
*  (c) 2009-2017 Nicolas Berg
*  All rights reserved
*
*  This script is part of the CMM3 Content-Management-System.
*  CMM3 is provided only under a commercial license until now.
*  Maybe we will add a free license in future.
*
*  This script is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
*
*  This copyright notice MUST APPEAR in all copies of the script!
***************************************************************/

////////////////////////////////////////////////////////////////////
// Modul-Einstellungen                                            //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Events'] = array();
// Modulpraefix
$CONFIG['CMM_Events']['key'] = 'CMM_Events';
// Modulname
$CONFIG['CMM_Events']['label'] = 'Termine';
// Modulbeschreibung
$CONFIG['CMM_Events']['description'] = 'Verwaltung des Veranstaltungskalenders mit Terminen, Orten und Zielgruppen';
// Module-languages
$CONFIG['CMM_Events']['languages'] = 'at,de,ch,en';
// Modulicon
$CONFIG['CMM_Events']['icon'] = 'CMM_Events.svg';
// Modulversion
$CONFIG['CMM_Events']['version'] = '1.4.5';
// Dependencies
$CONFIG['CMM_Events']['depend'] = 'CMM:6.0';


////////////////////////////////////////////////////////////////////
// Set includes for administration                                //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Events']['BE'] = array();
$CONFIG['CMM_Events']['BE']['include'] = array();
// PHP
$CONFIG['CMM_Events']['BE']['include']['PHP'] = array('CMM_Events/structure.php');
// CSS
$CONFIG['CMM_Events']['BE']['include']['CSS'] = array();
// JS
$CONFIG['CMM_Events']['BE']['include']['JS'] = array();


////////////////////////////////////////////////////////////////////
// Set includes for website                                       //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Events']['FE'] = array();
$CONFIG['CMM_Events']['FE']['include'] = array();
// PHP - starting at CMM_ROOT_DIR
$CONFIG['CMM_Events']['FE']['include']['PHP'] = array();
// CSS - starting at CMM_ROOT_DIR
$CONFIG['CMM_Events']['FE']['include']['CSS'] = array('CMM_Events/template/css/CMM_Events.css');
// JS - starting at CMM_ROOT_DIR
$CONFIG['CMM_Events']['FE']['include']['JS'] = array();


////////////////////////////////////////////////////////////////////
// Datenverzeichnisse erstellen                                   //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Events']['dirs'] = array(
	'data/CMM_Events/backup/',
	'data/CMM_Events/images/',
	'data/CMM_Events/videos/',
	'data/CMM_Events/audios/',
	'data/CMM_Events/files/',
	);


////////////////////////////////////////////////////////////////////
// Plugins                                                        //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Events']['plugins'] = array(
	'CMM_Events_calendar.php',
	'CMM_Events_list.php',
	'CMM_Events_month.php',
	'CMM_Events_week.php',
	'CMM_Events_short.php',
	'CMM_Events_detail.php',
	'CMM_Events_list_xml.php'
	);


////////////////////////////////////////////////////////////////////
// Weitere Einstellungen                                          //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Events']['config'] = array();

// Einfacher Modus - ohne Auswahl der Speicherseite
$CONFIG['CMM_Events']['config']['simpleMode'] = 0;

// Normale Anzeigeperiode in Tagen (1,7,14,31,91,183,365)
$CONFIG['CMM_Events']['config']['defaultPeriod'] = 91;
// Werte fuer Auswahlfeld im Kalender
$CONFIG['CMM_Events']['config']['termsValues'] = array(1,7,14,30,91,183,365);
$CONFIG['CMM_Events']['config']['termsTexts'] = array("1 Tag","1 Woche","2 Wochen","1 Monat","1 Quartal","1 Halbjahr","1 Jahr");
// Meta-Felder
$CONFIG['CMM_Events']['config']['metaTitleFields'] = array('EventsItemTitle');
$CONFIG['CMM_Events']['config']['metaKeywordsFields'] = array('EventsItemTitle','EventsItemShorttext','EventsItemText');
$CONFIG['CMM_Events']['config']['metaDescriptionFields'] = array('EventsItemShorttext','EventsItemText');

// Backup-Ansicht aktivieren
$CONFIG['CMM_Events']['config']['enableBackup'] = 0;


////////////////////////////////////////////////////////////////////
// Felddefinitionen fuer Config                                   //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Events']['configFields'] = array(
	'simpleMode' => array('label'=>'Einfacher Modus ohne Seitenbaum','type'=>'radio','options'=>array(array('value'=>'0','text'=>'{LANG_CMM_NO}'),array('value'=>'1','text'=>'{LANG_CMM_YES}')),'position'=>'left'),
	'enableBackup' => array('label'=>'Backup aktivieren','type'=>'radio','options'=>array(array('value'=>'0','text'=>'{LANG_CMM_NO}'),array('value'=>'1','text'=>'{LANG_CMM_YES}')),'position'=>'left')
	);


////////////////////////////////////////////////////////////////////
// Einstellungen fuer Suche                                       //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Events']['config']['search'] = array(
	'label' => '{LANG_CMM_EVENTS_LABEL}',
	'resultPIDparams' => ($CONFIG['CMM']['config']['seoUseSeoUrls']==true ? '/{$EventsItemTitle|validatealias}.{$EventsItemUID}' : '?CMM_Events[EventsItemUID]={$EventsItemUID}'),
	'resultPIDfilter' => '',
	'tablename' => 'cmm_events_items',
	'fieldprefix' => 'EventsItem',
	'join' => array('cmm_events_categories|EventsCategoryUID=EventsItemCID','cmm_events_locations|EventsLocationUID=EventsItemLocationID'), // Join-Table|Join-Table-Field=Table-Field|[Join-Table-Field=Value]
	'filter' => array(), // Zusatzfilter
	'titleFields' => array('EventsItemTitle'),
	'textFields' => array('EventsItemSpeaker','EventsLocationTitle','EventsItemTags','EventsItemShorttext','EventsItemText'),
	'searchFields' => array('EventsItemTitle','EventsItemSpeaker','EventsItemTags','EventsCategoryTitle','EventsLocationTitle','EventsItemShorttext','EventsItemText'),
	'extraFields' => array('EventsItemTitle'),
	'deletedField' => 'EventsItemDeleted'
	);

?>