<?PHP
/***************************************************************
*  Copyright notice
*
*  (c) 2009-2017 Nicolas Berg
*  All rights reserved
*
*  This script is part of the CMM3 Content-Management-System.
*  CMM3 is provided only under a commercial license until now.
*  Maybe we will add a free license in future.
*
*  This script is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
*
*  This copyright notice MUST APPEAR in all copies of the script!
***************************************************************/

///////////////////////////////////////////////////////////
// Plugin fuer Kalender-Box                              //
///////////////////////////////////////////////////////////
// V 1.0 First release fuer CMM3
// V 1.0.1 Feld-Definitionen eingefuegt
// V 1.0.2 defaultBegin angepasst
///////////////////////////////////////////////////////////
include_once(CMM_ROOT_DIR.'CMM_Events/index.php');

/* PARAMS START - Marker-Comments required! */
$params = array(
	'templateFile'=>'CMM_Events/template/html/CMM_Events_calendar.html',
	'dataPID'=>'',
	'listPID'=>'',
	'detailPID'=>'',
	'showPeriodSelect'=>'1',
	'showCategorySelect'=>'1',
	'showTargetgroupSelect'=>'1',
	'showLocationSelect'=>'1',
	'filter'=>'{$_REQUEST["CMM_Events"]["filter"]}',
	'defaultBegin'=>'M',
	'begin'=>'{$_REQUEST["CMM_Events"]["begin"]}',
	'defaultPeriod'=>'Q',
	'period'=>'{$_REQUEST["CMM_Events"]["period"]}',
	'cacheTimeout'=>600
	);
/* PARAMS END */

/* FIELDSET START - Marker-Comments required! */
$fieldset = array(
	'templateFile' => array('label'=>'HTML-Vorlagen-Datei','type'=>'textfield','datatype'=>'text','position'=>'bottom','shy'=>1),
	'dataPID' => array('label'=>'Seite: Datensätze (PID)','type'=>'linkfield','position'=>'left'),
	'listPID' => array('label'=>'Seite: Listen-Anzeige (PID)','type'=>'linkfield','position'=>'left'),
	'detailPID' => array('label'=>'Seite: Detail-Anzeige (PID)','type'=>'linkfield','position'=>'left'),
	'showPeriodSelect' => array('label'=>'Auswahlfeld Anzeigeperiode anzeigen','type'=>'radio','options'=>array(array('value'=>'0','text'=>'{LANG_CMM_NO}'),array('value'=>'1','text'=>'{LANG_CMM_YES}')),'position'=>'right'),
	'showCategorySelect' => array('label'=>'Auswahlfeld Kategorie anzeigen','type'=>'radio','options'=>array(array('value'=>'0','text'=>'{LANG_CMM_NO}'),array('value'=>'1','text'=>'{LANG_CMM_YES}')),'position'=>'right'),
	'showTargetgroupSelect' => array('label'=>'Auswahlfeld Zielgruppe anzeigen','type'=>'radio','options'=>array(array('value'=>'0','text'=>'{LANG_CMM_NO}'),array('value'=>'1','text'=>'{LANG_CMM_YES}')),'position'=>'right'),
	'showLocationSelect' => array('label'=>'Auswahlfeld Ort anzeigen','type'=>'radio','options'=>array(array('value'=>'0','text'=>'{LANG_CMM_NO}'),array('value'=>'1','text'=>'{LANG_CMM_YES}')),'position'=>'right'),
	'filter' => array('label'=>'Filter: Einträge filtern','type'=>'textfield','datatype'=>'code','position'=>'right2','shy'=>1),
	'defaultBegin' => array('label'=>'Anzeigebeginn (Standardwert)','type'=>'select','disablenone'=>1,'value'=>array('D','W','M','Y'),'text'=>array('aktueller Tag','aktuelle Woche','aktueller  Monat','aktuelles Jahr'),'position'=>'right'),
	'begin' => array('label'=>'Anzeigebeginn','type'=>'textfield','datatype'=>'code','position'=>'right2','shy'=>1),
	'defaultPeriod' => array('label'=>'Anzeigeperiode (Standardwert)','type'=>'select','disablenone'=>1,'value'=>array('D','D2','D3','W','W2','W3','M','M2','M3','Q','Q2','Q3','Y','Y2','Y3'),'text'=>array('1 Tag','2 Tage','3 Tage','1 Woche','2 Wochen','3 Wochen','1 Monat','2 Monate','3 Monate','1 Quartal','2 Quartale','3 Quartale','1 Jahr','2 Jahre','3 Jahre'),'datatype'=>'code','position'=>'right'),
	'period' => array('label'=>'Anzeigeperiode','type'=>'textfield','datatype'=>'code','position'=>'right2','shy'=>1),
	'cacheTimeout' => array('label'=>'{LANG_CMM_CACHE_TIMEOUT}','type'=>'textfield','datatype'=>'int','position'=>'bottom','shy'=>1)
	);
/* FIELDSET END */

// Set customer group
$params['CustomerCustomergroupID'] = isset($GLOBALS['CustomergroupUID']) ? $GLOBALS['CustomergroupUID'] : 0;
// Set language
$params['LID'] = isset($GLOBALS['LanguageUID']) ? $GLOBALS['LanguageUID'] : 1;

// Merge params and pluginParams
$params = CMM_mergePluginParams($params,$pluginParams);

// Inhalt ausgeben
$extEventsCalendar = new CMM_Events;
$pluginContent = $extEventsCalendar->createCalendar($params);

unset($params);
?>