<?PHP
/***************************************************************
*  Copyright notice
*
*  (c) 2009-2017 Nicolas Berg
*  All rights reserved
*
*  This script is part of the CMM3 Content-Management-System.
*  CMM3 is provided only under a commercial license until now.
*  Maybe we will add a free license in future.
*
*  This script is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
*
*  This copyright notice MUST APPEAR in all copies of the script!
***************************************************************/

///////////////////////////////////////////////////////////
// Plugin fuer Events-Liste                              //
///////////////////////////////////////////////////////////
// V 1.0 First release basieren auf List-View 1.0.4
///////////////////////////////////////////////////////////
include_once(CMM_ROOT_DIR.'CMM_Events/index.php');

/* PARAMS START - Marker-Comments required! */
$params = array(
	'templateFile'=>'CMM_Events/template/html/CMM_Events_week.html',
	'dataPID'=>'',
	'listPID'=>'',
	'detailPID'=>'',
	'UID'=>'',
	'UIDinPageAlias'=>1,
	'CID'=>'{$_REQUEST["CMM_Events"]["EventsItemCID"]}',
	'CIDinPageAlias'=>1,
	'filter'=>'{$_REQUEST["CMM_Events"]["filter"]}',
	'sort'=>'EventsItemDateStart ASC',
	'pagenaviShow'=>'1',
	'defaultBegin'=>'W',
	'begin'=>'{$_REQUEST["CMM_Events"]["begin"]}',
	'defaultPeriod'=>'W',
	'period'=>'{$_REQUEST["CMM_Events"]["period"]}',
	'cacheTimeout'=>86400
	);
/* PARAMS END */

/* FIELDSET START - Marker-Comments required! */
$fieldset = array(
	'templateFile' => array('label'=>'HTML-Vorlagen-Datei','type'=>'textfield','datatype'=>'text','position'=>'bottom'),
	'dataPID' => array('label'=>'Seite: Datensätze (PID)','type'=>'linkfield','position'=>'left'),
	'listPID' => array('label'=>'Seite: Listen-Anzeige (PID)','type'=>'linkfield','position'=>'left'),
	'detailPID' => array('label'=>'Seite: Detail-Anzeige (PID)','type'=>'linkfield','position'=>'left'),
	'UID' => array('label'=>'Eintrag: nur diesen anzeigen (UID)','type'=>'textfield','datatype'=>'text','position'=>'left','shy'=>1),
	'UIDinPageAlias' => array('label'=>'Eintrag: UID aus SEO-URL ermitteln','type'=>'radio','options'=>array(array('value'=>'0','text'=>'{LANG_CMM_NO}'),array('value'=>'1','text'=>'{LANG_CMM_YES}')),'position'=>'left2','shy'=>1),
	'CID' => array('label'=>'Kategorie: nur diese anzeigen (CID)','type'=>'textfield','datatype'=>'text','position'=>'left'),
	'CIDinPageAlias' => array('label'=>'Kategorie: CID aus SEO-URL ermitteln','type'=>'radio','options'=>array(array('value'=>'0','text'=>'{LANG_CMM_NO}'),array('value'=>'1','text'=>'{LANG_CMM_YES}')),'position'=>'left2','shy'=>1),
	'filter' => array('label'=>'Filter: Einträge filtern','type'=>'textfield','datatype'=>'code','position'=>'right2','shy'=>1),
	'sort' => array('label'=>'Sortierung: Einträge nach Feld(ern) sortieren','type'=>'textfield','datatype'=>'code','position'=>'left2','shy'=>1),
	'pagenaviShow' => array('label'=>'Seitennavigation: anzeigen','type'=>'radio','options'=>array(array('value'=>'0','text'=>'{LANG_CMM_NO}'),array('value'=>'1','text'=>'{LANG_CMM_YES}')),'position'=>'right'),
	'defaultBegin' => array('label'=>'Anzeigebeginn (Standardwert)','type'=>'select','disablenone'=>1,'value'=>array('W'),'text'=>array('aktuelle Woche'),'position'=>'right'),
	'begin' => array('label'=>'Anzeigebeginn','type'=>'textfield','datatype'=>'code','position'=>'right2','shy'=>1),
	'defaultPeriod' => array('label'=>'Anzeigeperiode (Standardwert)','type'=>'select','disablenone'=>1,'value'=>array('W'),'text'=>array('1 Woche'),'position'=>'right'),
	'period' => array('label'=>'Anzeigeperiode','type'=>'textfield','datatype'=>'code','position'=>'right2','shy'=>1),
	'cacheTimeout' => array('label'=>'{LANG_CMM_CACHE_TIMEOUT}','type'=>'textfield','datatype'=>'int','position'=>'bottom','shy'=>1)
	);
/* FIELDSET END */

// Set customer group
$params['CustomerCustomergroupID'] = isset($GLOBALS['CustomergroupUID']) ? $GLOBALS['CustomergroupUID'] : 0;
// Set language
$params['LID'] = isset($GLOBALS['LanguageUID']) ? $GLOBALS['LanguageUID'] : 1;

// Merge params and pluginParams
$params = CMM_mergePluginParams($params,$pluginParams);

// UID/CID aus Pagetail ermitteln
if($CONFIG['CMM']['config']['seoUseSeoUrls']==true)
	{
	if(isset($params['CID']) && stristr($params['CID'],'{') && !empty($GLOBALS['PageTail']))
		{ $params['CID'] = CMM_getPagetailParams($GLOBALS['PageTail'],'first'); }
	if(isset($params['start']) && strstr($params['start'],'{') && !empty($GLOBALS['PageTail']))
		{
		$tempStart = CMM_getPagetailParams($GLOBALS['PageTail'],'start');
		!empty($tempStart) ? $params['start'] = $tempStart : '';
		}
	}

// Inhalt ausgeben
$extEventsList = new CMM_Events;
$pluginContent = $extEventsList->createWeek($params);

unset($params);
?>