<?PHP
/***************************************************************
*  Copyright notice
*
*  (c) 2009-2017 Nicolas Berg
*  All rights reserved
*
*  This script is part of the CMM3 Content-Management-System.
*  CMM3 is provided only under a commercial license until now.
*  Maybe we will add a free license in future.
*
*  This script is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
*
*  This copyright notice MUST APPEAR in all copies of the script!
***************************************************************/

////////////////////////////////////////////////////////////////////
// Modul-Einstellungen                                            //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Exhibitions'] = array();
// Modulpraefix
$CONFIG['CMM_Exhibitions']['key'] = 'CMM_Exhibitions';
// Modulname
$CONFIG['CMM_Exhibitions']['label'] = 'Messen';
// Modulbeschreibung
$CONFIG['CMM_Exhibitions']['description'] = 'Verwaltung von Messen und Austellungen mit Terminen und weiteren Infos';
// Module-languages
$CONFIG['CMM_Exhibitions']['languages'] = 'at,de,ch,en';
// Modulicon
$CONFIG['CMM_Exhibitions']['icon'] = 'CMM_Exhibitions.svg';
// Modulversion
$CONFIG['CMM_Exhibitions']['version'] = '1.2.5';
// Dependencies
$CONFIG['CMM_Exhibitions']['depend'] = 'CMM:6.0';


////////////////////////////////////////////////////////////////////
// Set includes for administration                                //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Exhibitions']['BE'] = array();
$CONFIG['CMM_Exhibitions']['BE']['include'] = array();
// PHP
$CONFIG['CMM_Exhibitions']['BE']['include']['PHP'] = array('CMM_Exhibitions/structure.php');
// CSS
$CONFIG['CMM_Exhibitions']['BE']['include']['CSS'] = array();
// JS
$CONFIG['CMM_Exhibitions']['BE']['include']['JS'] = array();


////////////////////////////////////////////////////////////////////
// Set includes for website                                       //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Exhibitions']['FE'] = array();
$CONFIG['CMM_Exhibitions']['FE']['include'] = array();
// PHP - starting at CMM_ROOT_DIR
$CONFIG['CMM_Exhibitions']['FE']['include']['PHP'] = array();
// CSS - starting at CMM_ROOT_DIR
$CONFIG['CMM_Exhibitions']['FE']['include']['CSS'] = array('CMM_Exhibitions/template/css/CMM_Exhibitions.css');
// JS - starting at CMM_ROOT_DIR
$CONFIG['CMM_Exhibitions']['FE']['include']['JS'] = array();


////////////////////////////////////////////////////////////////////
// Datenverzeichnisse erstellen                                   //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Exhibitions']['dirs'] = array(
	'data/CMM_Exhibitions/backup/',
	'data/CMM_Exhibitions/images/',
	'data/CMM_Exhibitions/videos/',
	'data/CMM_Exhibitions/audios/',
	'data/CMM_Exhibitions/files/'
	);


////////////////////////////////////////////////////////////////////
// Plugins                                                        //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Exhibitions']['plugins'] = array(
	'CMM_Exhibitions_list.php',
	'CMM_Exhibitions_short.php',
	'CMM_Exhibitions_detail.php'
	);


////////////////////////////////////////////////////////////////////
// Weitere Einstellungen                                          //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Exhibitions']['config'] = array();

// Einfacher Modus - ohne Auswahl der Speicherseite
$CONFIG['CMM_Exhibitions']['config']['simpleMode'] = 0;

// Normale Anzeigeperiode in Tagen (1,7,14,31,91,183,365)
$CONFIG['CMM_Exhibitions']['config']['defaultPeriod'] = 91;
// Werte fuer Auswahlfeld im Kalender
$CONFIG['CMM_Exhibitions']['config']['termsValues'] = array(1,7,14,30,91,183,365);
$CONFIG['CMM_Exhibitions']['config']['termsTexts'] = array("1 Tag","1 Woche","2 Wochen","1 Monat","1 Quartal","1 Halbjahr","1 Jahr");

$EHB_dataHierarchyTitle = array();
$EHB_dataHierarchyTitle['category'] = 'Kategorie';
$EHB_dataHierarchyTitle['city'] = 'Ort';

// Backup-Ansicht aktivieren
$CONFIG['CMM_Exhibitions']['config']['enableBackup'] = 0;


////////////////////////////////////////////////////////////////////
// Felddefinitionen fuer Config                                   //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Exhibitions']['configFields'] = array(
	'simpleMode' => array('label'=>'Einfacher Modus ohne Seitenbaum','type'=>'radio','options'=>array(array('value'=>'0','text'=>'{LANG_CMM_NO}'),array('value'=>'1','text'=>'{LANG_CMM_YES}')),'position'=>'left'),
	'enableBackup' => array('label'=>'Backup aktivieren','type'=>'radio','options'=>array(array('value'=>'0','text'=>'{LANG_CMM_NO}'),array('value'=>'1','text'=>'{LANG_CMM_YES}')),'position'=>'left')
	);


////////////////////////////////////////////////////////////////////
// Einstellungen fuer Suche                                       //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Exhibitions']['config']['search'] = array(
	'label' => '{LANG_CMM_EXHIBITIONS_LABEL}',
	'resultPIDparams' => ($CONFIG['CMM']['config']['seoUseSeoUrls']==true ? '/{$ExhibitionsItemTitle|validatealias}.{$ExhibitionsItemUID}' : '?CMM_Exhibitions[ExhibitionsItemUID]={$ExhibitionsItemUID}'),
	'resultPIDfilter' => '',
	'tablename' => 'cmm_exhibitions_items',
	'fieldprefix' => 'ExhibitionsItem',
	'join' => array('cmm_exhibitions_categories|ExhibitionsCategoryUID=ExhibitionsItemCID'), // Join-Table|Join-Table-Field=Table-Field|[Join-Table-Field=Value]
	'filter' => array(), // Zusatzfilter
	'titleFields' => array('ExhibitionsItemTitle'),
	'textFields' => array('ExhibitionsItemShorttext','ExhibitionsItemText'),
	'searchFields' => array('ExhibitionsItemTitle','ExhibitionsItemShorttext','ExhibitionsItemText'),
	'extraFields' => array('ExhibitionsItemTitle'),
	'deletedField' => 'ExhibitionsItemDeleted'
	);

?>