<?PHP
/***************************************************************
*  Copyright notice
*
*  (c) 2009-2017 Nicolas Berg
*  All rights reserved
*
*  This script is part of the CMM3 Content-Management-System.
*  CMM3 is provided only under a commercial license until now.
*  Maybe we will add a free license in future.
*
*  This script is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
*
*  This copyright notice MUST APPEAR in all copies of the script!
***************************************************************/

// V 1.0 First release
// V 1.0.1 Verarbeitung von Config angepasst
// V 1.0.2 Backup-Einstellungen ergaenzt
// V 1.0.3 Delete-fields added
// V 1.0.4 PASTE-Action mod
// V 1.0.5 Mod userLevels

////////////////////////////////////////////////////////////////////
// Modul-Anzeigen                                                 //
////////////////////////////////////////////////////////////////////
// - label: Bezeichnung des Feldes
// - table: Haupt-Datenbanktabelle
// - userLevel: Berechntigungsstufe fuer Datensaetze
// - navi: Anzeige in der Hauptnavigation
$CONFIG['CMM_Exhibitions']['views'] = array();
$CONFIG['CMM_Exhibitions']['views']['INDEX'] = array('label'=>'{LANG_CMM_EXHIBITIONS_VIEW_INDEX}','userLevel'=>1);
$CONFIG['CMM_Exhibitions']['views']['ITEMS'] = array('label'=>'{LANG_CMM_EXHIBITIONS_VIEW_ITEMS}','table'=>'cmm_exhibitions_items','userLevel'=>1,'inNavi'=>1);
$CONFIG['CMM_Exhibitions']['views']['CATEGORIES'] = array('label'=>'{LANG_CMM_EXHIBITIONS_VIEW_CATEGORIES}','table'=>'cmm_exhibitions_categories','userLevel'=>1,'inNavi'=>1);
$CONFIG['CMM_Exhibitions']['views']['CONFIG'] = array('label'=>'{LANG_CMM_EXHIBITIONS_VIEW_CONFIG}','table'=>'cmm_cmm_config','userLevel'=>6,'inNavi'=>1);
$CONFIG['CMM_Exhibitions']['views']['BACKUP'] = array('label'=>'{LANG_CMM_EXHIBITIONS_VIEW_BACKUP}','userLevel'=>1,'inNavi'=>(!empty($GLOBALS['isBackend']) && !empty($CUSTOM['CMM_Exhibitions']['config']['enableBackup']) ? 1 : 0));
$CONFIG['CMM_Exhibitions']['views']['INSTALL'] = array('label'=>'{LANG_CMM_EXHIBITIONS_VIEW_INSTALL}','userLevel'=>3,'inNavi'=>0);


////////////////////////////////////////////////////////////////////
// Modulfunktionen                                                //
////////////////////////////////////////////////////////////////////
// - label: Bezeichnung des Feldes
// - area: Anzeige-Bereich
// - userLevel: Berechntigungsstufe fuer Datensaetze
// - icon: Icon fuer Listenansicht
// - action: Aktion, die ausgefuehrt werden soll
// - clipboardAction: Aktion, die spaeter ausgefuehrt werden soll
// - message: Frage vor Ausfuerung der Funktion
// - condition: Bedingung pruefen (Datenbankfeld) item/_SESSION/_GET/_POST/_COOKIE/_ENV[keyvar]==value
// - file: Funktion in externer Datei ausfuehren
// - target: Zielfenster fuer Funktion

$CONFIG['CMM_Exhibitions']['views']['ITEMS']['actions'] = array(
	'LIST' => array('label'=>'{LANG_CMM_ACTION_LIST}','userLevel'=>0),
	'NEW' => array('label'=>'{LANG_CMM_EXHIBITIONS_ITEM} - {LANG_CMM_ACTION_NEW}','area'=>'listhead','userLevel'=>1,'icon'=>'icon-action-new.svg'),
	'EDIT' => array('label'=>'{LANG_CMM_ACTION_EDIT}','area'=>'list','userLevel'=>1,'icon'=>'icon-action-edit.svg'),
	'ENABLE' => array('label'=>'{LANG_CMM_ACTION_ENABLE}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-enable.svg','condition'=>'$item["ExhibitionsItemStatus"]==0'),
	'DISABLE' => array('label'=>'{LANG_CMM_ACTION_DISABLE}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-disable.svg','condition'=>'$item["ExhibitionsItemStatus"]==1'),
	'UP' => array('label'=>'{LANG_CMM_ACTION_UP}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-up.svg','condition'=>'$item["firstItem"]!=true && $CURRENT["sort"]=="ExhibitionsItemSort ASC"'),
	'DOWN' => array('label'=>'{LANG_CMM_ACTION_DOWN}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-down.svg','condition'=>'$item["lastItem"]!=true && $CURRENT["sort"]=="ExhibitionsItemSort ASC"'),
	'SAVE' => array('label'=>'{LANG_CMM_ACTION_SAVE}','area'=>'singlehead','userLevel'=>3,'icon'=>'icon-action-save.svg'),
	'SAVENEW' => array('label'=>'{LANG_CMM_ACTION_SAVENEW}','area'=>'singlehead','userLevel'=>3,'icon'=>'icon-action-save-and-new.svg'),
	'SAVECLOSE' => array('label'=>'{LANG_CMM_ACTION_SAVECLOSE}','area'=>'singlehead','userLevel'=>3,'icon'=>'icon-action-save-and-close.svg'),
	'CLOSE' => array('label'=>'{LANG_CMM_ACTION_CLOSE}','area'=>'singlehead','userLevel'=>1,'icon'=>'icon-action-close.svg'),
	'CUT' => array('label'=>'{LANG_CMM_ACTION_CUT}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-cut.svg'),
	'COPY' => array('label'=>'{LANG_CMM_ACTION_COPY}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-copy.svg'),
	'PASTE' => array('label'=>'{LANG_CMM_ACTION_PASTE}','area'=>'listhead','userLevel'=>3,'icon'=>'icon-action-paste.svg','UID'=>(!empty($GLOBALS['isBackend']) && isset($_SESSION[$CURRENT["module"]][$CURRENT["view"]]['clipboard']) ? $_SESSION[$CURRENT["module"]][$CURRENT["view"]]['clipboard']['id'] : ''),'condition'=>'!empty($_SESSION[$CURRENT["module"]][$CURRENT["view"]]["clipboard"])'),
	'REMOVE' => array('label'=>'{LANG_CMM_ACTION_REMOVE}','area'=>'list,singlehead','userLevel'=>3,'icon'=>'icon-action-remove.svg','condition'=>'$item["ExhibitionsItemUID"]>0','message'=>'{LANG_CMM_ACTION_REMOVE_CONFIRM}'),
	'CLIPBOARDCLEAR' => array('label'=>'{LANG_CMM_ACTION_CLIPBOARDCLEAR}','area'=>'listhead','userLevel'=>3,'icon'=>'icon-action-clipboard-clear.svg','condition'=>'isset($_SESSION[$CURRENT["module"]][$CURRENT["view"]]["clipboard"])')
	);

$CONFIG['CMM_Exhibitions']['views']['CATEGORIES']['actions'] = array(
	'LIST' => array('label'=>'{LANG_CMM_ACTION_LIST}','userLevel'=>0),
	'NEW' => array('label'=>'{LANG_CMM_EXHIBITIONS_CATEGORY} - {LANG_CMM_ACTION_NEW}','area'=>'listhead','userLevel'=>1,'icon'=>'icon-action-new.svg'),
	'EDIT' => array('label'=>'{LANG_CMM_ACTION_EDIT}','area'=>'list','userLevel'=>1,'icon'=>'icon-action-edit.svg'),
	'ENABLE' => array('label'=>'{LANG_CMM_ACTION_ENABLE}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-enable.svg','condition'=>'$item["ExhibitionsCategoryStatus"]==0'),
	'DISABLE' => array('label'=>'{LANG_CMM_ACTION_DISABLE}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-disable.svg','condition'=>'$item["ExhibitionsCategoryStatus"]==1'),
	'UP' => array('label'=>'{LANG_CMM_ACTION_UP}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-up.svg','condition'=>'$item["firstItem"]!=true && $CURRENT["sort"]=="ExhibitionsCategorySort ASC"'),
	'DOWN' => array('label'=>'{LANG_CMM_ACTION_DOWN}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-down.svg','condition'=>'$item["lastItem"]!=true && $CURRENT["sort"]=="ExhibitionsCategorySort ASC"'),
	'SAVE' => array('label'=>'{LANG_CMM_ACTION_SAVE}','area'=>'singlehead','userLevel'=>3,'icon'=>'icon-action-save.svg'),
	'SAVENEW' => array('label'=>'{LANG_CMM_ACTION_SAVENEW}','area'=>'singlehead','userLevel'=>3,'icon'=>'icon-action-save-and-new.svg'),
	'SAVECLOSE' => array('label'=>'{LANG_CMM_ACTION_SAVECLOSE}','area'=>'singlehead','userLevel'=>3,'icon'=>'icon-action-save-and-close.svg'),
	'CLOSE' => array('label'=>'{LANG_CMM_ACTION_CLOSE}','area'=>'singlehead','userLevel'=>1,'icon'=>'icon-action-close.svg'),
	'CUT' => array('label'=>'{LANG_CMM_ACTION_CUT}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-cut.svg'),
	'COPY' => array('label'=>'{LANG_CMM_ACTION_COPY}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-copy.svg'),
	'PASTE' => array('label'=>'{LANG_CMM_ACTION_PASTE}','area'=>'listhead','userLevel'=>3,'icon'=>'icon-action-paste.svg','UID'=>(!empty($GLOBALS['isBackend']) && isset($_SESSION[$CURRENT["module"]][$CURRENT["view"]]['clipboard']) ? $_SESSION[$CURRENT["module"]][$CURRENT["view"]]['clipboard']['id'] : ''),'condition'=>'!empty($_SESSION[$CURRENT["module"]][$CURRENT["view"]]["clipboard"])'),
	'REMOVE' => array('label'=>'{LANG_CMM_ACTION_REMOVE}','area'=>'list,singlehead','userLevel'=>3,'icon'=>'icon-action-remove.svg','condition'=>'$item["ExhibitionsCategoryUID"]>0','message'=>'{LANG_CMM_ACTION_REMOVE_CONFIRM}'),
	'CLIPBOARDCLEAR' => array('label'=>'{LANG_CMM_ACTION_CLIPBOARDCLEAR}','area'=>'listhead','userLevel'=>3,'icon'=>'icon-action-clipboard-clear.svg','condition'=>'isset($_SESSION[$CURRENT["module"]][$CURRENT["view"]]["clipboard"])')
	);

$CONFIG['CMM_Exhibitions']['views']['BACKUP']['actions'] = array(
	'BACKUP' => array('label'=>'Datensicherung','userLevel'=>1,'inNavi'=>1),
	'INSTALLDB' => array('label'=>'Datenbanktabellen konfigurieren','userLevel'=>6),
	'BACKUPMAKE' => array('label'=>'Sicherung erstellen','userLevel'=>6,'inNavi'=>0),
	'BACKUPRESTORE' => array('label'=>'Sicherung zurückschreiben','userLevel'=>6,'inNavi'=>0),
	'BACKUPREMOVE' => array('label'=>'Sicherung löschen','userLevel'=>6,'inNavi'=>0)
	);

$CONFIG['CMM_Exhibitions']['views']['CONFIG']['actions'] = array(
	'CONFIG' => array('label'=>'Konfiguration','userLevel'=>1,'inNavi'=>1),
	'CONFIGSAVE' => array('label'=>'Konfiguration','area'=>'singlehead','userLevel'=>6,'icon'=>'icon-action-save.svg')
	);

$CONFIG['CMM_Exhibitions']['views']['INSTALL']['actions'] = array(
	'INSTALL' => array('label'=>'Installation','userLevel'=>6,'inNavi'=>0)
	);


////////////////////////////////////////////////////////////////////
// Datenbank-Tabellen                                             //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Exhibitions']['database'] = array();

// Datenstamm fuer Firmen
$CONFIG['CMM_Exhibitions']['database']['cmm_exhibitions_items'] = array(
	'tabs' => array(0=>'Standard',1=>'Media',2=>'Plugins',3=>'Sonstiges',9=>'Anzeige'),
	'tablename' => 'cmm_exhibitions_items',
	'sort' => 'ExhibitionsItemUID DESC',
	'backup' => 1,
	'fieldprefix' => 'ExhibitionsItem',
	'fieldset' => array(
		'ExhibitionsItemUID' => array('label'=>'ID','type'=>'hidden','position'=>'top','tab'=>0,
			'sqldef'=>'int(10) default \'0\''),
		'ExhibitionsItemPID' => array('label'=>'ParentID','type'=>'hidden','position'=>'top','tab'=>0,
			'sqldef'=>'int(10) default \'0\''),
		'ExhibitionsItemTID' => array('label'=>'TypID','type'=>'hidden','position'=>'left','tab'=>0,
			'sqldef'=>'int(3) default \'0\''),
		'ExhibitionsItemLID' => array('label'=>'Sprache','type'=>'radio','position'=>'top','tab'=>3,
			'sqldef'=>'int(3) default \'0\'',
			'select'=>array('module'=>'CMM','table'=>'cmm_cmm_languages','keyfield'=>'LanguageUID','labelfield'=>'LanguageName','sort'=>'LanguageUID')),
		'ExhibitionsItemCID' => array('label'=>'Kategorie','type'=>'select','attribs'=>array('size'=>1),'position'=>'top','tab'=>0,
			'sqldef'=>'varchar(100) collate utf8_unicode_ci default NULL',
			'select'=>array('module'=>'CMM_Exhibitions','table'=>'cmm_exhibitions_categories','keyfield'=>'ExhibitionsCategoryUID','labelfield'=>'ExhibitionsCategoryTitle','LID'=>'{$CURRENT["language"]}'),
			'join'=>array('module'=>'CMM_Exhibitions','table'=>'cmm_exhibitions_categories','keyfield'=>'ExhibitionsCategoryUID')),
		'ExhibitionsItemStatus' => array('label'=>'Status','type'=>'hidden','position'=>'top','tab'=>0,
			'sqldef'=>'int(1) default \'0\''),
		'ExhibitionsItemDeleted' => array('label'=>'{LANG_CMM_FIELD_REMOVED}','type'=>'hidden','tab'=>3,
			'sqldef'=>'int(1) default \'0\''),
		'ExhibitionsItemSort' => array('label'=>'Sortierung','type'=>'hidden','position'=>'top','tab'=>3,
			'sqldef'=>'int(10) default \'0\''),
		'ExhibitionsItemStart' => array('label'=>'Start','type'=>'datetime','position'=>'left','tab'=>9,
			'sqldef'=>'datetime default NULL'),
		'ExhibitionsItemStop' => array('label'=>'Ende','type'=>'datetime','position'=>'right','tab'=>9,
			'sqldef'=>'datetime default NULL'),
		'ExhibitionsItemCustomergroupID' => array('label'=>'Anzeige für Benutzergruppen','type'=>'multiselect','attribs'=>array('multiple'=>1,'size'=>6),'position'=>'bottom','tab'=>9,
			'sqldef'=>'varchar(255) collate utf8_unicode_ci default NULL',
			'options'=>array('none'=>array('value'=>'0','text'=>'{LANG_CMM_IF_LOGGED_OUT}'),'all'=>array('value'=>'*','text'=>'{LANG_CMM_IF_LOGGED_IN}')),
			'select'=>array('module'=>'CMM','table'=>'cmm_cmm_customergroups','keyfield'=>'CustomergroupUID','labelfield'=>'CustomergroupUID,CustomergroupName','sort'=>'CustomergroupUID')),
		'ExhibitionsItemDateStart' => array('label'=>'Datum Beginn','type'=>'datetime','attribs'=>array('required'=>1),'position'=>'left','tab'=>0,
			'sqldef'=>'datetime default \'0000-00-00 00:00:00\''),
		'ExhibitionsItemDateEnd' => array('label'=>'Datum Ende','type'=>'datetime','position'=>'right','tab'=>0,
			'sqldef'=>'datetime default \'0000-00-00 00:00:00\''),
		'ExhibitionsItemTitle' => array('label'=>'Titel / Überschrift','type'=>'textfield','attribs'=>array('required'=>1),'position'=>'top','tab'=>0,
			'sqldef'=>'varchar(255) collate utf8_unicode_ci default NULL'),
		'ExhibitionsItemShorttext' => array('label'=>'Kurztext','type'=>'textarea','position'=>'bottom','attribs'=>array('rows'=>5),'tab'=>0,
			'sqldef'=>'text collate utf8_unicode_ci'),
		'ExhibitionsItemText' => array('label'=>'Langtext','type'=>'rte','position'=>'bottom','attribs'=>array('rows'=>6),'tab'=>0,
			'sqldef'=>'text collate utf8_unicode_ci'),
		'ExhibitionsItemLocation' => array('label'=>'Veranstaltungsort','type'=>'textfield','position'=>'bottom','tab'=>0,
			'sqldef'=>'varchar(255) collate utf8_unicode_ci default NULL'),
		'ExhibitionsItemLocationInfo' => array('label'=>'Veranstaltungsort Info','type'=>'textarea','attribs'=>array('rows'=>4),'position'=>'bottom','tab'=>0,
			'sqldef'=>'text collate utf8_unicode_ci'),
		'ExhibitionsItemOrganizer' => array('label'=>'Veranstalter','type'=>'textfield','position'=>'bottom','tab'=>0,
			'sqldef'=>'varchar(255) collate utf8_unicode_ci default NULL'),
		'ExhibitionsItemOrganizerInfo' => array('label'=>'Veranstalter Info','type'=>'textarea','attribs'=>array('rows'=>4),'position'=>'bottom','tab'=>0,
			'sqldef'=>'text collate utf8_unicode_ci'),
		'ExhibitionsItemImages' => array('label'=>'Bilder','type'=>'imagelist','position'=>'top','number'=>5,'dir'=>'data/CMM_Exhibitions/images/','tab'=>1,
			'sqldef'=>'text collate utf8_unicode_ci'),
		'ExhibitionsItemVideos' => array('label'=>'Videos','type'=>'videolist','position'=>'top','number'=>5,'dir'=>'data/CMM_Exhibitions/videos/','tab'=>1,
			'sqldef'=>'text collate utf8_unicode_ci'),
		'ExhibitionsItemFiles' => array('label'=>'Dateien','type'=>'filelist','position'=>'top','number'=>5,'dir'=>'data/CMM_Exhibitions/files/','tab'=>1,
			'sqldef'=>'text collate utf8_unicode_ci'),
		'ExhibitionsItemLinks' => array('label'=>'Links','type'=>'linklist','position'=>'top','number'=>5,'tab'=>1,
			'sqldef'=>'text collate utf8_unicode_ci'),
		'ExhibitionsItemAddDate' => array('label'=>'Datum erstellt','type'=>'hidden','position'=>'left','tab'=>0,
			'sqldef'=>'datetime default \'0000-00-00 00:00:00\''),
		'ExhibitionsItemAddUser' => array('label'=>'Benutzer erstellt','type'=>'hidden','position'=>'left','tab'=>0,
			'sqldef'=>'varchar(32) collate utf8_unicode_ci default \'0\''),
		'ExhibitionsItemModDate' => array('label'=>'Datum geändert','type'=>'hidden','position'=>'left','tab'=>0,
			'sqldef'=>'datetime default \'0000-00-00 00:00:00\''),
		'ExhibitionsItemModUser' => array('label'=>'Benutzer geändert','type'=>'hidden','position'=>'left','tab'=>0,
			'sqldef'=>'varchar(32) collate utf8_unicode_ci default \'0\'')
		),
	'tableset' => array(
		'engine' => 'MyISAM',
		'primarykey' => 'UID',
		'charset' => 'utf8',
		'collation' => 'utf8_unicode_ci',
		'comment' => 'Termine'
		)
	);
	
// Datenstamm fuer Kategorien
$CONFIG['CMM_Exhibitions']['database']['cmm_exhibitions_categories'] = array(
	'tabs' => array(0=>'Standard',1=>'Media',2=>'Plugins',3=>'Sonstiges',9=>'Anzeige'),
	'tablename' => 'cmm_exhibitions_categories',
	'sort' => 'ExhibitionsCategoryUID DESC',
	'backup' => 1,
	'fieldprefix' => 'ExhibitionsCategory',
	'fieldset' => array(
		'ExhibitionsCategoryUID' => array('label'=>'ID','type'=>'hidden','position'=>'top','tab'=>0,
			'sqldef'=>'int(10) default \'0\''),
		'ExhibitionsCategoryPID' => array('label'=>'ParentID','type'=>'hidden','position'=>'top','tab'=>0,
			'sqldef'=>'int(10) default \'0\''),
		'ExhibitionsCategoryTID' => array('label'=>'Typ/Kategorie','type'=>'hidden','position'=>'top','tab'=>3,
			'sqldef'=>'int(3) default \'0\''),
		'ExhibitionsCategoryLID' => array('label'=>'Sprache','type'=>'radio','position'=>'top','tab'=>3,
			'sqldef'=>'int(3) default \'0\'',
			'select'=>array('module'=>'CMM','table'=>'cmm_cmm_languages','keyfield'=>'LanguageUID','labelfield'=>'LanguageName','sort'=>'LanguageUID')),
		'ExhibitionsCategoryStatus' => array('label'=>'Status','type'=>'hidden','position'=>'top','tab'=>0,
			'sqldef'=>'int(1) default \'0\''),
		'ExhibitionsCategoryDeleted' => array('label'=>'{LANG_CMM_FIELD_REMOVED}','type'=>'hidden','tab'=>3,
			'sqldef'=>'int(1) default \'0\''),
		'ExhibitionsCategorySort' => array('label'=>'Sortierung','type'=>'hidden','position'=>'top','tab'=>3,
			'sqldef'=>'int(10) default \'0\''),
		'ExhibitionsCategoryTitle' => array('label'=>'Titel','type'=>'textfield','position'=>'top','tab'=>0,
			'sqldef'=>'varchar(100) collate utf8_unicode_ci default NULL'),
		'ExhibitionsCategoryDescription' => array('label'=>'Beschreibung','type'=>'textarea','position'=>'top','tab'=>0,
			'sqldef'=>'text collate utf8_unicode_ci'),
		'ExhibitionsCategoryIcon' => array('label'=>'Symbol','type'=>'imagelist','number'=>'1','position'=>'top','dir'=>'data/CMM_Exhibitions/images/','tab'=>1,
			'sqldef'=>'varchar(100) collate utf8_unicode_ci default NULL'),
		'ExhibitionsCategoryAddDate' => array('label'=>'Datum erstellt','type'=>'hidden','position'=>'left','tab'=>0,
			'sqldef'=>'datetime default \'0000-00-00 00:00:00\''),
		'ExhibitionsCategoryAddUser' => array('label'=>'Benutzer erstellt','type'=>'hidden','position'=>'left','tab'=>0,
			'sqldef'=>'varchar(32) collate utf8_unicode_ci default \'0\''),
		'ExhibitionsCategoryModDate' => array('label'=>'Datum geändert','type'=>'hidden','position'=>'left','tab'=>0,
			'sqldef'=>'datetime default \'0000-00-00 00:00:00\''),
		'ExhibitionsCategoryModUser' => array('label'=>'Benutzer geändert','type'=>'hidden','position'=>'left','tab'=>0,
			'sqldef'=>'varchar(32) collate utf8_unicode_ci default \'0\'')
		),
	'tableset' => array(
		'engine' => 'MyISAM',
		'primarykey' => 'UID',
		'charset' => 'utf8',
		'collation' => 'utf8_unicode_ci',
		'comment' => 'Kategorien'
		)
	);


////////////////////////////////////////////////////////////////////
// Sortier-Variablen (Administration)                             //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Exhibitions']['sortVars'] = array();
$CONFIG['CMM_Exhibitions']['sortVars']['cmm_exhibitions_items'] = array('ExhibitionsItemUID','ExhibitionsItemSort','ExhibitionsItemStatus','ExhibitionsItemTitle','ExhibitionsItemModDate');
$CONFIG['CMM_Exhibitions']['sortVars']['cmm_exhibitions_categories'] = array('ExhibitionsCategoryUID','ExhibitionsCategorySort','ExhibitionsCategoryStatus','ExhibitionsCategoryTitle','ExhibitionsCategoryModDate');


////////////////////////////////////////////////////////////////////
// Filter-Variablen (Administration)                             //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Exhibitions']['filterVars'] = array();
$CONFIG['CMM_Exhibitions']['filterVars']['cmm_exhibitions_items'] = array_keys($CONFIG['CMM_Exhibitions']['database']['cmm_exhibitions_items']['fieldset']);
$CONFIG['CMM_Exhibitions']['filterVars']['cmm_exhibitions_categories'] = array_keys($CONFIG['CMM_Exhibitions']['database']['cmm_exhibitions_categories']['fieldset']);

?>