<?PHP
/***************************************************************
*  Copyright notice
*
*  (c) 2009-2017 Nicolas Berg
*  All rights reserved
*
*  This script is part of the CMM3 Content-Management-System.
*  CMM3 is provided only under a commercial license until now.
*  Maybe we will add a free license in future.
*
*  This script is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
*
*  This copyright notice MUST APPEAR in all copies of the script!
***************************************************************/

////////////////////////////////////////////////////////////////////
// Modul-Einstellungen                                            //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Feeds'] = array();
// Modulpraefix
$CONFIG['CMM_Feeds']['key'] = 'CMM_Feeds';
// Modulname
$CONFIG['CMM_Feeds']['label'] = 'Feed-Import';
// Modulbeschreibung
$CONFIG['CMM_Feeds']['description'] = 'Modul zum Auslesen der Inhalte externer Websites (Facebook, Twitter, RSS-Feeds)';
// Module-languages
$CONFIG['CMM_Feeds']['languages'] = 'at,de,ch,en';
// Modulicon
$CONFIG['CMM_Feeds']['icon'] = 'CMM_Feeds.svg';
// Modulversion
$CONFIG['CMM_Feeds']['version'] = '1.5.6';
// Dependencies
$CONFIG['CMM_Feeds']['depend'] = 'CMM:6.0';


////////////////////////////////////////////////////////////////////
// Set includes for administration                                //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Feeds']['BE'] = array();
$CONFIG['CMM_Feeds']['BE']['include'] = array();
// PHP
$CONFIG['CMM_Feeds']['BE']['include']['PHP'] = array('CMM_Feeds/structure.php');
// CSS
$CONFIG['CMM_Feeds']['BE']['include']['CSS'] = array();
// JS
$CONFIG['CMM_Feeds']['BE']['include']['JS'] = array();


////////////////////////////////////////////////////////////////////
// Set includes for website                                       //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Feeds']['FE'] = array();
$CONFIG['CMM_Feeds']['FE']['include'] = array();
// PHP - starting at CMM_ROOT_DIR
$CONFIG['CMM_Feeds']['FE']['include']['PHP'] = array();
// CSS - starting at CMM_ROOT_DIR
$CONFIG['CMM_Feeds']['FE']['include']['CSS'] = array('CMM_Feeds/template/css/CMM_Feeds.css');
// JS - starting at CMM_ROOT_DIR
$CONFIG['CMM_Feeds']['FE']['include']['JS'] = array();


////////////////////////////////////////////////////////////////////
// Datenverzeichnisse erstellen                                   //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Feeds']['dirs'] = array(
	'data/CMM_Feeds/backup/',
	'data/CMM_Feeds/images/'
	);


////////////////////////////////////////////////////////////////////
// Plugins                                                        //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Feeds']['plugins'] = array(
	'CMM_Feeds_fbfeed.php',
	'CMM_Feeds_fbpost.php',
	'CMM_Feeds_fbgallery.php',
	'CMM_Feeds_rssfeed.php',
	'CMM_Feeds_rssfeed_detail.php',
	'CMM_Feeds_twitterfeed.php'
	);


////////////////////////////////////////////////////////////////////
// Weitere Einstellungen                                          //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Feeds']['config'] = array();

// Einfacher Modus - ohne Auswahl der Speicherseite
//$CONFIG['CMM_Feeds']['config']['simpleMode'] = 0;
// Meta-Felder
$CONFIG['CMM_Feeds']['config']['metaTitleFields'] = array('FeedsItemTitle');
$CONFIG['CMM_Feeds']['config']['metaKeywordsFields'] = array('FeedsItemTitle','FeedsItemData');
$CONFIG['CMM_Feeds']['config']['metaDescriptionFields'] = array('FeedsItemData');

// Backup-Ansicht aktivieren
//$CONFIG['CMM_Feeds']['config']['enableBackup'] = 0;


////////////////////////////////////////////////////////////////////
// Felddefinitionen fuer Config                                   //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Feeds']['configFields'] = array(
//	'simpleMode' => array('label'=>'Einfacher Modus ohne Seitenbaum','type'=>'radio','options'=>array(array('value'=>'0','text'=>'{LANG_CMM_NO}'),array('value'=>'1','text'=>'{LANG_CMM_YES}')),'position'=>'left'),
//	'enableBackup' => array('label'=>'Backup aktivieren','type'=>'radio','options'=>array(array('value'=>'0','text'=>'{LANG_CMM_NO}'),array('value'=>'1','text'=>'{LANG_CMM_YES}')),'position'=>'left')
	);


////////////////////////////////////////////////////////////////////
// Einstellungen fuer Suche                                       //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Feeds']['config']['search'] = array();

?>