<?PHP
/***************************************************************
*  Copyright notice
*
*  (c) 2009-2017 Nicolas Berg
*  All rights reserved
*
*  This script is part of the CMM3 Content-Management-System.
*  CMM3 is provided only under a commercial license until now.
*  Maybe we will add a free license in future.
*
*  This script is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
*
*  This copyright notice MUST APPEAR in all copies of the script!
***************************************************************/

///////////////////////////////////////////////////////////
// Plugin fuer Feeds-Liste                               //
///////////////////////////////////////////////////////////
// V 1.0 First release
// V 1.2.0 included import-function CMM_getFeedData()
// V 1.3.0 Full recoded
// V 1.4.0 Full recoded for new object-logic
///////////////////////////////////////////////////////////

include_once(CMM_ROOT_DIR.'CMM_Feeds/index.php');

/* PARAMS START - Marker-Comments required! */
$params = array(
	'templateFile'=>'CMM_Feeds/template/html/CMM_Feeds_fbpost.html',
	'feedUrl' => '', //108657762554404',
	'fbAppID' => '383565075166710',
	'fbSecret' => '198de48e46840bdb20925abb06344b78',
	'fbTypes' => 'link,photo,video,offer,event',
	'fbFields' => 'id,message,picture,link,name,description,type,icon,created_time,from,object_id,comments.limit(1).summary(true),likes.limit(1).summary(true)',
	'pagenaviShow'=>0,
	'limitShow' => 0,
	'agent' => 'Mozilla/4.0 (compatible; MSIE 10.0; Windows NT 5.1; SV1; .NET CLR 1.0.3705; .NET CLR 1.1.4322)',
	'cacheTimeout' => 3600,
	'cacheHashItems' => 'feedUrl',
	'cacheStorage' => 'db'
	);
/* PARAMS END */

/* FIELDSET START - Marker-Comments required! */
$fieldset = array(
	'templateFile' => array('label'=>'HTML-Vorlagen-Datei','type'=>'textfield','datatype'=>'text','position'=>'bottom','shy'=>1),
	'feedUrl' => array('label'=>'Facebook: Seiten-ID','type'=>'textfield','datatype'=>'text','position'=>'left'),
	'fbAppID' => array('label'=>'Facebook: App-ID','type'=>'textfield','datatype'=>'text','position'=>'left'),
	'fbSecret' => array('label'=>'Facebook: Secret-Key','type'=>'textfield','datatype'=>'text','position'=>'left'),
	'fbTypes' => array('label'=>'Facebook: erlaubte Post-Typen','type'=>'textfield','datatype'=>'text','position'=>'left'),
	'fbFields' => array('label'=>'Facebook: abzufragende Felder','type'=>'textfield','datatype'=>'text','position'=>'left'),
	'pagenaviShow' => array('label'=>'Seitennavigation: anzeigen','type'=>'hidden','position'=>'right'),
	'limitShow' => array('label'=>'Einträge pro Seite: Auswahl anzeigen','type'=>'hidden','position'=>'right'),
	'agent' => array('label'=>'simulierter Browser: (User-Agent-String)','type'=>'textfield','datatype'=>'text','position'=>'bottom','shy'=>1),
	'cacheTimeout' => array('label'=>'Cache: Dauer','type'=>'textfield','datatype'=>'int','position'=>'bottom','shy'=>1),
	'cacheHashItems' => array('label'=>'Cache: Elemente zur Indentifikation des Datensatzes','type'=>'textfield','datatype'=>'text','position'=>'bottom','shy'=>1),
	'cacheStorage' => array('label'=>'Cache: Speicher (file/db)','type'=>'textfield','datatype'=>'text','position'=>'bottom','shy'=>1)
	);
/* FIELDSET END */

///////////////////////////////////////////////////////////


// Merge global plugin-params with params of this instance
$params = CMM_mergePluginParams($params,$pluginParams);

// CID und Start aus Pagetail ermitteln
if($CONFIG['CMM']['config']['seoUseSeoUrls']==true)
	{
	if(isset($params['CID']) && strstr($params['CID'],'{') && substr_count($GLOBALS['PageTail'],'/') > 1)
		{
		$tempCID = CMM_getPagetailParams($GLOBALS['PageTail'],'first');
		!empty($tempCID) ? $params['CID'] = $tempCID : '';
		}
	if(isset($params['start']) && strstr($params['start'],'{') && !empty($GLOBALS['PageTail']))
		{
		$tempStart = CMM_getPagetailParams($GLOBALS['PageTail'],'start');
		!empty($tempStart) ? $params['start'] = $tempStart : '';
		}
	}


///////////////////////////////////////////////////////////


// Init new object
$extFeedsList = new CMM_Feeds;

// Merge params with object-properties
$extFeedsList->params = CMM_mergePluginParams($extFeedsList->params,$params);

// Get cached content
$extFeedsList->getCache();


///////////////////////////////////////////////////////////


// If cache is empty or obsolete
if(empty($extFeedsList->items))
	{
	}


///////////////////////////////////////////////////////////


// Create content
$pluginContent = $extFeedsList->createContent();

// TEMP WARNING
$pluginContent.= '<big>FB-POST-IMPORT is currently not available because still UNDER CONSTRUCTION!</big>';

// Error, if config-missing data
if(empty($extFeedsList->params['feedUrl']))
	{ $pluginContent.= CMM_createMessage('Please be sure to set all requiered data: feedUrl(Facebook-Post-URL)','error'); }

// Unset plugin-params
unset($params);
?>