<?PHP
/***************************************************************
*  Copyright notice
*
*  (c) 2009-2017 Nicolas Berg
*  All rights reserved
*
*  This script is part of the CMM3 Content-Management-System.
*  CMM3 is provided only under a commercial license until now.
*  Maybe we will add a free license in future.
*
*  This script is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
*
*  This copyright notice MUST APPEAR in all copies of the script!
***************************************************************/

// V 1.0 First release
// V 1.0.1 Status-Feld fuer Kategorien in Formular eingebaut
// V 1.0.2 Verarbeitung von Config angepasst
// V 1.0.3 Backup-Einstellungen ergaenzt
// V 1.0.3 Delete-fields added
// V 1.0.4 PASTE-Action mod
// V 1.0.5 Mod userLevels

////////////////////////////////////////////////////////////////////
// Modul-Anzeigen                                                 //
////////////////////////////////////////////////////////////////////
// - label: Bezeichnung des Feldes
// - table: Haupt-Datenbanktabelle
// - userLevel: Berechntigungsstufe fuer Datensaetze
// - navi: Anzeige in der Hauptnavigation
$CONFIG['CMM_Feeds']['views'] = array(
	'INDEX' => array('label'=>'{LANG_CMM_FEEDS_VIEW_INDEX}','userLevel'=>1),
	'ITEMS' => array('label'=>'{LANG_CMM_FEEDS_VIEW_ITEMS}','table'=>'cmm_feeds_items','userLevel'=>1,'inNavi'=>1),
	'CONFIG' => array('label'=>'{LANG_CMM_FEEDS_VIEW_CONFIG}','table'=>'cmm_cmm_config','userLevel'=>6,'inNavi'=>1),
//	'BACKUP' => array('label'=>'{LANG_CMM_FEEDS_VIEW_BACKUP}','userLevel'=>1,'inNavi'=>(!empty($GLOBALS['isBackend']) && !empty($CUSTOM['CMM_Feeds']['config']['enableBackup']) ? 1 : 0)),
	'INSTALL' => array('label'=>'{LANG_CMM_FEEDS_VIEW_INSTALL}','userLevel'=>3,'inNavi'=>0)
	);


////////////////////////////////////////////////////////////////////
// Modulfunktionen                                                //
////////////////////////////////////////////////////////////////////
// - label: Bezeichnung des Feldes
// - area: Anzeige-Bereich
// - userLevel: Berechntigungsstufe fuer Datensaetze
// - icon: Icon fuer Listenansicht
// - action: Aktion, die ausgefuehrt werden soll
// - clipboardAction: Aktion, die spaeter ausgefuehrt werden soll
// - message: Frage vor Ausfuerung der Funktion
// - condition: Bedingung pruefen (Datenbankfeld) item/_SESSION/_GET/_POST/_COOKIE/_ENV[keyvar]==value
// - file: Funktion in externer Datei ausfuehren
// - target: Zielfenster fuer Funktion
/*
$CONFIG['CMM_Feeds']['views']['ITEMS']['actions'] = array(
	'LIST' => array('label'=>'{LANG_CMM_ACTION_LIST}','userLevel'=>0),
	'NEW' => array('label'=>'{LANG_CMM_FEEDS_ITEM} {LANG_CMM_ACTION_NEW}','area'=>'listhead','userLevel'=>1,'icon'=>'icon-action-new.svg'),
	'EDIT' => array('label'=>'{LANG_CMM_ACTION_EDIT}','area'=>'list','userLevel'=>1,'icon'=>'icon-action-edit.svg'),
	'ENABLE' => array('label'=>'{LANG_CMM_ACTION_ENABLE}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-enable.svg','condition'=>'$item["FeedsItemStatus"]==0'),
	'DISABLE' => array('label'=>'{LANG_CMM_ACTION_DISABLE}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-disable.svg','condition'=>'$item["FeedsItemStatus"]==1'),
	'UP' => array('label'=>'{LANG_CMM_ACTION_UP}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-up.svg','condition'=>'$item["firstItem"]!=true && $CURRENT["sort"]=="FeedsItemSort ASC"'),
	'DOWN' => array('label'=>'{LANG_CMM_ACTION_DOWN}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-down.svg','condition'=>'$item["lastItem"]!=true && $CURRENT["sort"]=="FeedsItemSort ASC"'),
	'SAVE' => array('label'=>'{LANG_CMM_ACTION_SAVE}','area'=>'singlehead','userLevel'=>3,'icon'=>'icon-action-save.svg'),
	'SAVENEW' => array('label'=>'{LANG_CMM_ACTION_SAVENEW}','area'=>'singlehead','userLevel'=>3,'icon'=>'icon-action-save-and-new.svg'),
	'SAVECLOSE' => array('label'=>'{LANG_CMM_ACTION_SAVECLOSE}','area'=>'singlehead','userLevel'=>3,'icon'=>'icon-action-save-and-close.svg'),
	'CLOSE' => array('label'=>'{LANG_CMM_ACTION_CLOSE}','area'=>'singlehead','userLevel'=>1,'icon'=>'icon-action-close.svg'),
	'CUT' => array('label'=>'{LANG_CMM_ACTION_CUT}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-cut.svg'),
	'COPY' => array('label'=>'{LANG_CMM_ACTION_COPY}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-copy.svg'),
	'PASTE' => array('label'=>'{LANG_CMM_ACTION_PASTE}','area'=>'listhead','userLevel'=>3,'icon'=>'icon-action-paste.svg','UID'=>(!empty($GLOBALS['isBackend']) && isset($_SESSION[$CURRENT["module"]][$CURRENT["view"]]['clipboard']) ? $_SESSION[$CURRENT["module"]][$CURRENT["view"]]['clipboard']['id'] : ''),'condition'=>'!empty($_SESSION[$CURRENT["module"]][$CURRENT["view"]]["clipboard"])'),
	'REMOVE' => array('label'=>'{LANG_CMM_ACTION_REMOVE}','area'=>'list,singlehead','userLevel'=>3,'icon'=>'icon-action-remove.svg','condition'=>'$item["FeedsItemUID"]>0','message'=>'{LANG_CMM_ACTION_REMOVE_CONFIRM}'),
	'CLIPBOARDCLEAR' => array('label'=>'{LANG_CMM_ACTION_CLIPBOARDCLEAR}','area'=>'listhead','userLevel'=>3,'icon'=>'icon-action-clipboard-clear.svg','condition'=>'isset($_SESSION[$CURRENT["module"]][$CURRENT["view"]]["clipboard"])')
	);
*/
/*
$CONFIG['CMM_Feeds']['views']['BACKUP']['actions'] = array(
	'BACKUP' => array('label'=>'Datensicherung','userLevel'=>1,'inNavi'=>1),
	'INSTALLDB' => array('label'=>'Datenbanktabellen konfigurieren','userLevel'=>6),
	'BACKUPMAKE' => array('label'=>'Sicherung erstellen','userLevel'=>6,'inNavi'=>0),
	'BACKUPRESTORE' => array('label'=>'Sicherung zurückschreiben','userLevel'=>6,'inNavi'=>0),
	'BACKUPREMOVE' => array('label'=>'Sicherung löschen','userLevel'=>6,'inNavi'=>0)
	);
*/
$CONFIG['CMM_Feeds']['views']['CONFIG']['actions'] = array(
	'CONFIG' => array('label'=>'Konfiguration','userLevel'=>1,'inNavi'=>1),
	'CONFIGSAVE' => array('label'=>'Konfiguration','area'=>'singlehead','userLevel'=>6,'icon'=>'icon-action-save.svg')
	);

$CONFIG['CMM_Feeds']['views']['INSTALL']['actions'] = array(
	'INSTALL' => array('label'=>'Installation','userLevel'=>6,'inNavi'=>0)
	);


////////////////////////////////////////////////////////////////////
// Datenbank-Tabellen                                             //
////////////////////////////////////////////////////////////////////
/*
$CONFIG['CMM_Feeds']['database'] = array();

// Datenstamm fuer Artikel
$CONFIG['CMM_Feeds']['database']['cmm_feeds_items'] = array(
	'tabs' => array(0=>'Standard',3=>'Sonstiges',9=>'Anzeige'),
	'tablename' => 'cmm_feeds_items',
	'sort' => 'FeedsItemUID DESC',
	'backup' => 1,
	'fieldprefix' => 'FeedsItem',
	'fieldset' => array(
		'FeedsItemUID' => array('label'=>'ID','type'=>'hidden','position'=>'top','tab'=>0,
			'sqldef'=>'int(10) default \'0\''),
		'FeedsItemPID' => array('label'=>'ParentID','type'=>'hidden','position'=>'top','tab'=>0,
			'sqldef'=>'int(10) default \'0\''),
		'FeedsItemTID' => array('label'=>'Typ','type'=>'hidden',
			'sqldef'=>'int(3) default \'0\'','value'=>'','position'=>'left','tab'=>0),
		'FeedsItemLID' => array('label'=>'Sprache','type'=>'radio','position'=>'top','tab'=>3,
			'sqldef'=>'int(3) default \'0\'',
			'select'=>array('module'=>'CMM','table'=>'cmm_cmm_languages','keyfield'=>'LanguageUID','labelfield'=>'LanguageName','sort'=>'LanguageUID')),
		'FeedsItemStatus' => array('label'=>'Status','type'=>'radio',
			'sqldef'=>'int(1) default \'0\'','position'=>'top','tab'=>9,
			'options'=>array(array('value'=>1,'text'=>'{LANG_CMM_ENABLED}'),array('value'=>'0','text'=>'{LANG_CMM_DISABLED}'))),
		'FeedsItemSort' => array('label'=>'Sortierung','type'=>'hidden','position'=>'top','tab'=>3,
			'sqldef'=>'int(10) default \'0\''),
		'FeedsItemStart' => array('label'=>'Start','type'=>'datetime','position'=>'left','tab'=>9,
			'sqldef'=>'datetime default NULL'),
		'FeedsItemStop' => array('label'=>'Ende','type'=>'datetime','position'=>'right','tab'=>9,
			'sqldef'=>'datetime default NULL'),
		'FeedsItemCustomergroupID' => array('label'=>'Anzeige für Benutzergruppen','type'=>'multiselect','attribs'=>array('multiple'=>1,'size'=>6),'position'=>'bottom','tab'=>9,
			'sqldef'=>'varchar(255) collate utf8_unicode_ci default NULL',
			'options'=>array('none'=>array('value'=>'0','text'=>'{LANG_CMM_IF_LOGGED_OUT}'),'all'=>array('value'=>'*','text'=>'{LANG_CMM_IF_LOGGED_IN}')),
			'select'=>array('module'=>'CMM','table'=>'cmm_cmm_customergroups','keyfield'=>'CustomergroupUID','labelfield'=>'CustomergroupUID,CustomergroupName','sort'=>'CustomergroupUID')),
		'FeedsItemType' => array('label'=>'Typ','type'=>'select','position'=>'left','tab'=>0,
			'sqldef'=>'varchar(255) collate utf8_unicode_ci default NULL',
			'options'=>array(array('value'=>'fbfeed','text'=>'Facebook-Timeline'),array('value'=>'fbgallery','text'=>'Facebook-Galerie'),array('value'=>'twitterfeed','text'=>'Twitter-Feed'),array('value'=>'rssfeed','text'=>'RSS-Feed'))),
		'FeedsItemTitle' => array('label'=>'Titel / Überschrift','type'=>'textfield','attribs'=>array('required'=>1),'position'=>'top','tab'=>0,
			'sqldef'=>'varchar(255) collate utf8_unicode_ci default NULL'),
		'FeedsItemUrl' => array('label'=>'URL der Datenquelle','type'=>'textfield','attribs'=>array('required'=>1),'position'=>'top','tab'=>0,
			'sqldef'=>'varchar(255) collate utf8_unicode_ci default NULL'),
		'FeedsItemData' => array('label'=>'Daten','type'=>'codearea','position'=>'bottom','attribs'=>array('rows'=>5),'tab'=>0,
			'sqldef'=>'text collate utf8_unicode_ci'),
		'FeedsItemCache' => array('label'=>'Cache-Dauer (Sekunden)','type'=>'textfield','datatype'=>'int','position'=>'right','tab'=>0,
			'sqldef'=>'int(10) default \'0\''),
		'FeedsItemAddDate' => array('label'=>'Datum erstellt','type'=>'hidden','position'=>'left','tab'=>0,
			'sqldef'=>'datetime default \'0000-00-00 00:00:00\''),
		'FeedsItemAddUser' => array('label'=>'Benutzer erstellt','type'=>'hidden','position'=>'left','tab'=>0,
			'sqldef'=>'varchar(32) collate utf8_unicode_ci default \'0\''),
		'FeedsItemModDate' => array('label'=>'Datum geändert','type'=>'hidden','position'=>'left','tab'=>0,
			'sqldef'=>'datetime default \'0000-00-00 00:00:00\''),
		'FeedsItemModUser' => array('label'=>'Benutzer geändert','type'=>'hidden','position'=>'left','tab'=>0,
			'sqldef'=>'varchar(32) collate utf8_unicode_ci default \'0\'')
		),
	'tableset' => array(
		'engine' => 'MyISAM',
		'primarykey' => 'UID',
		'charset' => 'utf8',
		'collation' => 'utf8_unicode_ci',
		'comment' => 'Datenquellen'
		)
	);
*/


////////////////////////////////////////////////////////////////////
// Sortier-Variablen (Administration)                             //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Feeds']['sortVars'] = array();
/*
$CONFIG['CMM_Feeds']['sortVars']['cmm_feeds_items'] = array('FeedsItemUID','FeedsItemSort','FeedsItemStatus','FeedsItemTitle','FeedsItemAddDate','FeedsItemModDate');
*/

////////////////////////////////////////////////////////////////////
// Filter-Variablen (Administration)                             //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Feeds']['filterVars'] = array();
/*
$CONFIG['CMM_Feeds']['filterVars']['cmm_feeds_items'] = array_keys($CONFIG['CMM_Feeds']['database']['cmm_feeds_items']['fieldset']);
*/
?>