<?PHP
/***************************************************************
*  Copyright notice
*
*  (c) 2009-2017 Nicolas Berg
*  All rights reserved
*
*  This script is part of the CMM3 Content-Management-System.
*  CMM3 is provided only under a commercial license until now.
*  Maybe we will add a free license in future.
*
*  This script is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
*
*  This copyright notice MUST APPEAR in all copies of the script!
***************************************************************/

////////////////////////////////////////////////////////////////////
// Modul-Einstellungen                                            //
////////////////////////////////////////////////////////////////////

$CONFIG['CMM_Filemanager'] = array();
// Module-key
$CONFIG['CMM_Filemanager']['key'] = 'CMM_Filemanager';
// Module-label
$CONFIG['CMM_Filemanager']['label'] = '{LANG_CMM_FILEMANAGER}';
// Module-description
$CONFIG['CMM_Filemanager']['description'] = '{LANG_CMM_FILEMANAGER_DESC}';
// Module-languages
$CONFIG['CMM_Filemanager']['languages'] = 'de,en';
// Module-version
$CONFIG['CMM_Filemanager']['version'] = '1.6.5';
// Module-dependencies MOD1:Vmin(:Vmax),MOD2:Vmin(:Vmax),...
$CONFIG['CMM_Filemanager']['depend'] = 'CMM:6.0.5';
// Module-icon
$CONFIG['CMM_Filemanager']['icon'] = 'CMM_Filemanager.svg';


////////////////////////////////////////////////////////////////////
// Set includes for administration                                //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Filemanager']['BE'] = array();
$CONFIG['CMM_Filemanager']['BE']['include'] = array();
// PHP - relativ ab CMM_ROOT_DIR
$CONFIG['CMM_Filemanager']['BE']['include']['PHP'] = array();
// CSS - relativ ab CMM_ROOT_DIR/CMM/ - Skin-Platzhalter:{CMM_SKIN}
$CONFIG['CMM_Filemanager']['BE']['include']['CSS'] = array();
// JS - relativ ab CMM_ROOT_DIR/CMM/
$CONFIG['CMM_Filemanager']['BE']['include']['JS'] = array('CMM_Filemanager/js/CMM_Filemanager.js');


////////////////////////////////////////////////////////////////////
// Set includes for website                                       //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Filemanager']['FE'] = array();
$CONFIG['CMM_Filemanager']['FE']['include'] = array();


////////////////////////////////////////////////////////////////////
// Datenverzeichnisse erstellen                                   //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Filemanager']['dirs'] = array();


////////////////////////////////////////////////////////////////////
// Plugins                                                        //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Filemanager']['plugins'] = array();


////////////////////////////////////////////////////////////////////
// Weitere Einstellungen                                          //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Filemanager']['config'] = array();

// max. Anzahl der Dateien pro Uploadvorgang
$CONFIG['CMM_Filemanager']['config']['uploadFormMode'] = 'html5'; // html / html5
// Alternativen Dateimanager anzeigen
$CONFIG['CMM_Filemanager']['config']['enableAltMode'] = 0; // 0/1
// Anzahl der angezeigten Uploadfelder
$CONFIG['CMM_Filemanager']['config']['maxUploadFields'] = 10;
// Maximale Upload-Dateigroesse in Bytes
$CONFIG['CMM_Filemanager']['config']['filesizeMax'] = 10485760; // 10 MB
// Bildkonvertierung Status (aktiv / inaktiv)
$CONFIG['CMM_Filemanager']['config']['convertStatus'] = 0;
// Sortierung der Dateien in Dateilisten
$CONFIG['CMM_Filemanager']['config']['fileSort'] = 'ASC';
// Maximalgroessen
$CONFIG['CMM_Filemanager']['config']['widthMax'] = 1920;
$CONFIG['CMM_Filemanager']['config']['heightMax'] = 1280;
$CONFIG['CMM_Filemanager']['config']['largestMax'] = 1920;
$CONFIG['CMM_Filemanager']['config']['squareMax'] = 1280;
// Voreinstellung fuer Bildgroessen
$CONFIG['CMM_Filemanager']['config']['widthDefault'] = '';
$CONFIG['CMM_Filemanager']['config']['heightDefault'] = '';
$CONFIG['CMM_Filemanager']['config']['largestDefault'] = 1024;
$CONFIG['CMM_Filemanager']['config']['squareDefault'] = '';


////////////////////////////////////////////////////////////////////
// Felddefinitionen fuer Config                                   //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Filemanager']['configFields'] = array(
	'uploadFormMode' => array('label'=>'Upload-Modus','type'=>'radio','options'=>array(array('value'=>'html5','text'=>'HTML5 Multifile Upload'),array('value'=>'html','text'=>'HTML Standard Upload')),'position'=>'left'),
	'enableAltMode' => array('label'=>'Alternative Ansicht aktivieren','type'=>'radio','options'=>array(array('value'=>'0','text'=>'{LANG_CMM_NO}'),array('value'=>'1','text'=>'{LANG_CMM_YES}')),'position'=>'left'),
	'maxUploadFields' => array('label'=>'Max. Anzahl Upload-Felder','type'=>'textfield','datatype'=>'int','position'=>'right'),
	'filesizeMax' => array('label'=>'Upload Maximum Dateigröße (Bytes)','type'=>'textfield','datatype'=>'int','position'=>'left'),
	'convertStatus' => array('label'=>'Bild-Konvertierung im Upload-Dialog einblenden','type'=>'radio','options'=>array(array('value'=>'0','text'=>'{LANG_CMM_NO}'),array('value'=>'1','text'=>'{LANG_CMM_YES}')),'position'=>'right'),
	'fileSort' => array('label'=>'Dateilisten-Sortierung','type'=>'radio','options'=>array(array('value'=>'ASC','text'=>'{LANG_CMM_SORT_ASC}'),array('value'=>'DESC','text'=>'{LANG_CMM_SORT_DESC}')),'position'=>'right'),
	'widthMax' => array('label'=>'Upload-Maximum Bildbreite (px)','type'=>'textfield','datatype'=>'int','position'=>'left2'),
	'heightMax' => array('label'=>'Upload-Maximum Bildhöhe (px)','type'=>'textfield','datatype'=>'int','position'=>'left2'),
	'largestMax' => array('label'=>'Upload-Maximum Bild größere Seite (px)','type'=>'textfield','datatype'=>'int','position'=>'left2'),
	'squareMax' => array('label'=>'Upload-Maximum Bild quadratisch (px)','type'=>'textfield','datatype'=>'int','position'=>'left2'),
	'widthDefault' => array('label'=>'Upload-Standard Bildbreite (px)','type'=>'textfield','datatype'=>'int','position'=>'right2'),
	'heightDefault' => array('label'=>'Upload-Standard Bildhöhe (px)','type'=>'textfield','datatype'=>'int','position'=>'right2'),
	'largestDefault' => array('label'=>'Upload-Standard Bild größere Seite (px)','type'=>'textfield','datatype'=>'int','position'=>'right2'),
	'squareDefault' => array('label'=>'Upload-Standard Bild quadratisch (px)','type'=>'textfield','datatype'=>'int','position'=>'right2')
	);

?>