<?PHP
/***************************************************************
*  Copyright notice
*
*  (c) 2009-2017 Nicolas Berg
*  All rights reserved
*
*  This script is part of the CMM3 Content-Management-System.
*  CMM3 is provided only under a commercial license until now.
*  Maybe we will add a free license in future.
*
*  This script is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
*
*  This copyright notice MUST APPEAR in all copies of the script!
***************************************************************/

// V 1.0 First release
// V 1.0.1 Verarbeitung von Config angepasst
// V 1.0.2 Delete-fields added
// V 1.0.3 PASTE-Action mod
// V 1.0.4 Mod userLevels

////////////////////////////////////////////////////////////////////
// Modul-Anzeigen                                                 //
////////////////////////////////////////////////////////////////////
// - label: Bezeichnung des Feldes
// - table: Haupt-Datenbanktabelle
// - userLevel: Berechntigungsstufe fuer Datensaetze
// - navi: Anzeige in der Hauptnavigation
$CONFIG['CMM_Filemanager']['views'] = array();
$CONFIG['CMM_Filemanager']['views']['INDEX'] = array('label'=>'{LANG_CMM_FILEMANAGER_VIEW_INDEX}','userLevel'=>1);
$CONFIG['CMM_Filemanager']['views']['FILES'] = array('label'=>'{LANG_CMM_FILEMANAGER_VIEW_FILES}','userLevel'=>1,'inNavi'=>1);
$CONFIG['CMM_Filemanager']['views']['FILESALT'] = array('label'=>'{LANG_CMM_FILEMANAGER_VIEW_FILESALT}','userLevel'=>1,'inNavi'=>(!empty($GLOBALS['isBackend']) && !empty($CUSTOM['CMM_Filemanager']['config']['enableAltMode']) ? 1 : 0));
$CONFIG['CMM_Filemanager']['views']['EDIT'] = array('label'=>'{LANG_CMM_FILEMANAGER_VIEW_EDIT}','userLevel'=>3);
$CONFIG['CMM_Filemanager']['views']['UPLOAD'] = array('label'=>'{LANG_CMM_FILEMANAGER_VIEW_UPLOAD}','userLevel'=>3);
$CONFIG['CMM_Filemanager']['views']['DIALOG'] = array('label'=>'{LANG_CMM_FILEMANAGER_VIEW_DIALOG}','userLevel'=>1);
$CONFIG['CMM_Filemanager']['views']['CONFIG'] = array('label'=>'{LANG_CMM_FILEMANAGER_VIEW_CONFIG}','userLevel'=>6,'inNavi'=>1);
$CONFIG['CMM_Filemanager']['views']['INSTALL'] = array('label'=>'{LANG_CMM_FILEMANAGER_VIEW_INSTALL}','userLevel'=>3);
$CONFIG['CMM_Filemanager']['views']['DUMMY'] = array('label'=>'{LANG_CMM_FILEMANAGER_VIEW_DUMMY}','userLevel'=>1);


////////////////////////////////////////////////////////////////////
// Modulfunktionen                                                //
////////////////////////////////////////////////////////////////////
// Attribute
// - clipboardAction: nechste Aktion
// - cancelaction: Aktion nach Abbruch
// - table: Datenbank-Tabelle
// - label: Bezeichnung des Feldes
// - userLevel: Berechntigungsstufe fuer Datensaetze
// - navi: Anzeige in der Hauptnavigation
// - list: Anzeige in der Listenansicht
// - icon: Icon fuer Listenansicht
// - message: Frage vor Ausfuerung der Funktion
// - condition: Bedingung pruefen (Datenbankfeld) item/_SESSION/_GET/_POST/_COOKIE/_ENV[keyvar]==value
// - file: Funktion in externer Datei ausfuehren
// - target: Zielfenster fuer Funktion

$CONFIG['CMM_Filemanager']['views']['FILES']['actions'] = array(
	'FILEINFO' => array('label'=>'{LANG_CMM_ACTION_INFO}','userLevel'=>1),
	'FILECREATEFORM' => array('label'=>'{LANG_CMM_FILE} {LANG_CMM_ACTION_CREATE}','area'=>'listhead','userLevel'=>1,'icon'=>'icon-action-new-file.svg'),
	'FILECREATE' => array('label'=>'{LANG_CMM_FILE} {LANG_CMM_ACTION_CREATE}','userLevel'=>3),
	'FILECREATEFORMFILE' => array('label'=>'{LANG_CMM_FILE} {LANG_CMM_ACTION_CREATE}','area'=>'listhead','userLevel'=>1,'icon'=>'icon-action-new-file.svg'),
	'FILECREATEFILE' => array('label'=>'{LANG_CMM_FILE} {LANG_CMM_ACTION_CREATEFILE}','userLevel'=>3),
	'FILECREATEFORMDIR' => array('label'=>'{LANG_CMM_DIR} {LANG_CMM_ACTION_CREATE}','area'=>'listhead','userLevel'=>1,'icon'=>'icon-action-new-dir.svg'),
	'FILECREATEDIR' => array('label'=>'{LANG_CMM_DIR} {LANG_CMM_ACTION_CREATEDIR}','userLevel'=>3),
	'FILEUPLOADFORM' => array('label'=>'{LANG_CMM_FILES} {LANG_CMM_ACTION_UPLOAD}','area'=>'listhead','userLevel'=>1,'icon'=>'icon-action-upload.svg'),
	'FILEUPLOAD' => array('label'=>'{LANG_CMM_FILES} {LANG_CMM_ACTION_UPLOAD}','userLevel'=>3),
	'FILECUT' => array('label'=>'{LANG_CMM_FILE} {LANG_CMM_ACTION_CUT}','userLevel'=>3,'icon'=>'icon-action-cut.svg'),
	'FILECOPY' => array('label'=>'{LANG_CMM_FILE} {LANG_CMM_ACTION_COPY}','userLevel'=>3,'icon'=>'icon-action-copy.svg'),
	'FILEPASTE' => array('label'=>'{LANG_CMM_FILE} {LANG_CMM_ACTION_PASTECUT}','userLevel'=>3,'icon'=>'icon-action-paste.svg'),
	'FILEREMOVE' => array('label'=>'{LANG_CMM_FILE} {LANG_CMM_ACTION_REMOVE}','userLevel'=>3),
	'FILERENAMEFORM' => array('label'=>'{LANG_CMM_FILE} {LANG_CMM_ACTION_RENAME}','userLevel'=>1,'icon'=>'icon-action-rename.svg'),
	'FILERENAME' => array('label'=>'{LANG_CMM_FILE} {LANG_CMM_ACTION_RENAME}','userLevel'=>3),
	'FILEIMAGINEFORM' => array('label'=>'{LANG_CMM_FILE} {LANG_CMM_ACTION_IMAGINE}','userLevel'=>1,'icon'=>'icon-action-imagine.svg'),
	'FILEIMAGINE' => array('label'=>'{LANG_CMM_FILE} {LANG_CMM_ACTION_IMAGINE}','userLevel'=>3),
	'FILECHMODFORM' => array('label'=>'{LANG_CMM_FILE} {LANG_CMM_ACTION_CHMOD}','userLevel'=>1,'icon'=>'icon-action-chmod.svg'),
	'FILECHMOD' => array('label'=>'{LANG_CMM_FILE} {LANG_CMM_ACTION_CHMOD}','userLevel'=>6),
	'FILEEDITFORM' => array('label'=>'{LANG_CMM_FILE} {LANG_CMM_ACTION_EDIT}','userLevel'=>1,'icon'=>'icon-action-edit.svg'),
	'FILEEDIT' => array('label'=>'{LANG_CMM_FILE} {LANG_CMM_ACTION_EDIT}','userLevel'=>3),
	'FILESAVECLOSE' => array('label'=>'{LANG_CMM_FILE} {LANG_CMM_ACTION_SAVE}','userLevel'=>3,'icon'=>'icon-action-save-and-close.svg'),
	'FILECLOSE' => array('label'=>'{LANG_CMM_FILE} {LANG_CMM_ACTION_CANCEL}','area'=>'singlehead','userLevel'=>1,'icon'=>'icon-action-close.svg'),
	'CLIPBOARDCLEAR' => array('label'=>'{LANG_CMM_ACTION_CLIPBOARDCLEAR}','area'=>'listhead','userLevel'=>3,'icon'=>'icon-action-clipboard-clear.svg','condition'=>'isset($_SESSION[$CURRENT["module"]][$CURRENT["view"]]["clipboard"])')
	);

$CONFIG['CMM_Filemanager']['views']['FILESALT']['actions'] = array(
	'FILEINFO' => array('label'=>'{LANG_CMM_FILE} {LANG_CMM_ACTION_INFO}','userLevel'=>1),
	'FILECREATEFORM' => array('label'=>'{LANG_CMM_FILE} {LANG_CMM_ACTION_CREATE}','area'=>'listhead','userLevel'=>1,'icon'=>'icon-action-new-file.svg'),
	'FILECREATE' => array('label'=>'{LANG_CMM_FILE} {LANG_CMM_ACTION_CREATE}','userLevel'=>3),
	'FILECREATEFORMFILE' => array('label'=>'{LANG_CMM_FILE} {LANG_CMM_ACTION_CREATE}','area'=>'listhead','userLevel'=>1,'icon'=>'icon-action-new-file.svg'),
	'FILECREATEFILE' => array('label'=>'{LANG_CMM_FILE} {LANG_CMM_ACTION_CREATEFILE}','userLevel'=>3),
	'FILECREATEFORMDIR' => array('label'=>'{LANG_CMM_DIR} {LANG_CMM_ACTION_CREATE}','area'=>'listhead','userLevel'=>1,'icon'=>'icon-action-new-dir.svg'),
	'FILECREATEDIR' => array('label'=>'{LANG_CMM_DIR} {LANG_CMM_ACTION_CREATEDIR}','userLevel'=>3),
	'FILEUPLOADFORM' => array('label'=>'{LANG_CMM_FILES} {LANG_CMM_ACTION_UPLOAD}','area'=>'listhead','userLevel'=>1,'icon'=>'icon-action-upload.svg'),
	'FILEUPLOAD' => array('label'=>'{LANG_CMM_FILES} {LANG_CMM_ACTION_UPLOAD}','userLevel'=>3),
	'FILECUT' => array('label'=>'{LANG_CMM_FILE} {LANG_CMM_ACTION_CUT}','userLevel'=>3,'CMM_action'=>'FILEPASTECUT','icon'=>'icon-action-cut.svg'),
	'FILECOPY' => array('label'=>'{LANG_CMM_FILE} {LANG_CMM_ACTION_COPY}','userLevel'=>3,'CMM_action'=>'FILEPASTECOPY','icon'=>'icon-action-copy.svg'),
	'FILEPASTE' => array('label'=>'{LANG_CMM_FILE} {LANG_CMM_ACTION_PASTECUT}','userLevel'=>3,'icon'=>'icon-action-paste.svg'),
	'FILEREMOVE' => array('label'=>'{LANG_CMM_FILE} {LANG_CMM_ACTION_REMOVE}','userLevel'=>3),
	'FILERENAMEFORM' => array('label'=>'{LANG_CMM_FILE} {LANG_CMM_ACTION_RENAME}','userLevel'=>1,'icon'=>'icon-action-rename.svg'),
	'FILERENAME' => array('label'=>'{LANG_CMM_FILE} {LANG_CMM_ACTION_RENAME}','userLevel'=>3),
	'FILEIMAGINEFORM' => array('label'=>'{LANG_CMM_FILE} {LANG_CMM_ACTION_IMAGINE}','userLevel'=>1,'icon'=>'icon-action-imagine.svg'),
	'FILEIMAGINE' => array('label'=>'{LANG_CMM_FILE} {LANG_CMM_ACTION_IMAGINE}','userLevel'=>3),
	'FILECHMODFORM' => array('label'=>'{LANG_CMM_FILE} {LANG_CMM_ACTION_CHMOD}','userLevel'=>1,'icon'=>'icon-action-chmod.svg'),
	'FILECHMOD' => array('label'=>'{LANG_CMM_FILE} {LANG_CMM_ACTION_CHMOD}','userLevel'=>6),
	'FILEEDITFORM' => array('label'=>'{LANG_CMM_FILE} {LANG_CMM_ACTION_EDIT}','userLevel'=>1,'icon'=>'icon-action-edit.svg'),
	'FILEEDIT' => array('label'=>'{LANG_CMM_FILE} {LANG_CMM_ACTION_EDIT}','userLevel'=>3),
	'FILESAVECLOSE' => array('label'=>'{LANG_CMM_FILE} {LANG_CMM_ACTION_SAVE}','userLevel'=>3,'icon'=>'icon-action-save-and-close.svg'),
	'FILECLOSE' => array('label'=>'{LANG_CMM_FILE} {LANG_CMM_ACTION_CANCEL}','area'=>'singlehead','userLevel'=>1,'icon'=>'icon-action-close.svg'),
	'CLIPBOARDCLEAR' => array('label'=>'{LANG_CMM_ACTION_CLIPBOARDCLEAR}','area'=>'listhead','userLevel'=>3,'icon'=>'icon-action-clipboard-clear.svg','condition'=>'isset($_SESSION[$CURRENT["module"]][$CURRENT["view"]]["clipboard"])')
	);

$CONFIG['CMM_Filemanager']['views']['DIALOG']['actions'] = array(
	'FILEINFO' => array('label'=>'{LANG_CMM_ACTION_INFO}','userLevel'=>1),
	'FILECREATEFORM' => array('label'=>'{LANG_CMM_FILE} {LANG_CMM_ACTION_CREATE}','area'=>'listhead','userLevel'=>1,'icon'=>'icon-action-new-file.svg'),
	'FILECREATE' => array('label'=>'{LANG_CMM_FILE} {LANG_CMM_ACTION_CREATE}','userLevel'=>3),
	'FILECREATEFORMFILE' => array('label'=>'{LANG_CMM_FILE} {LANG_CMM_ACTION_CREATE}','area'=>'listhead','userLevel'=>1,'icon'=>'icon-action-new-file.svg'),
	'FILECREATEFILE' => array('label'=>'{LANG_CMM_FILE} {LANG_CMM_ACTION_CREATEFILE}','userLevel'=>3),
	'FILECREATEFORMDIR' => array('label'=>'{LANG_CMM_DIR} {LANG_CMM_ACTION_CREATE}','area'=>'listhead','userLevel'=>1,'icon'=>'icon-action-new-dir.svg'),
	'FILECREATEDIR' => array('label'=>'{LANG_CMM_DIR} {LANG_CMM_ACTION_CREATEDIR}','userLevel'=>3),
	'FILEUPLOADFORM' => array('label'=>'{LANG_CMM_FILES} {LANG_CMM_ACTION_UPLOAD}','area'=>'listhead','userLevel'=>1,'icon'=>'icon-action-upload.svg'),
	'FILEUPLOAD' => array('label'=>'{LANG_CMM_FILES} {LANG_CMM_ACTION_UPLOAD}','userLevel'=>3),
	'FILECUT' => array('label'=>'{LANG_CMM_FILE} {LANG_CMM_ACTION_CUT}','userLevel'=>3,'icon'=>'icon-action-cut.svg'),
	'FILECOPY' => array('label'=>'{LANG_CMM_FILE} {LANG_CMM_ACTION_COPY}','userLevel'=>3,'icon'=>'icon-action-copy.svg'),
	'FILEPASTECUT' => array('label'=>'{LANG_CMM_FILE} {LANG_CMM_ACTION_PASTECUT}','userLevel'=>3,'icon'=>'icon-action-paste.svg'),
	'FILEPASTECOPY' => array('label'=>'{LANG_CMM_FILE} {LANG_CMM_ACTION_PASTECOPY}','userLevel'=>3,'icon'=>'icon-action-paste.svg'),
	'FILEREMOVE' => array('label'=>'{LANG_CMM_FILE} {LANG_CMM_ACTION_REMOVE}','userLevel'=>3),
	'FILERENAMEFORM' => array('label'=>'{LANG_CMM_FILE} {LANG_CMM_ACTION_RENAME}','userLevel'=>1,'icon'=>'icon-action-rename.svg'),
	'FILERENAME' => array('label'=>'{LANG_CMM_FILE} {LANG_CMM_ACTION_RENAME}','userLevel'=>3),
	'FILEIMAGINEFORM' => array('label'=>'{LANG_CMM_FILE} {LANG_CMM_ACTION_IMAGINE}','userLevel'=>1,'icon'=>'icon-action-imagine.svg'),
	'FILEIMAGINE' => array('label'=>'{LANG_CMM_FILE} {LANG_CMM_ACTION_IMAGINE}','userLevel'=>3),
	'FILECHMODFORM' => array('label'=>'{LANG_CMM_FILE} {LANG_CMM_ACTION_CHMOD}','userLevel'=>1,'icon'=>'icon-action-chmod.svg'),
	'FILECHMOD' => array('label'=>'{LANG_CMM_FILE} {LANG_CMM_ACTION_CHMOD}','userLevel'=>6),
	'FILEEDITFORM' => array('label'=>'{LANG_CMM_FILE} {LANG_CMM_ACTION_EDIT}','userLevel'=>1,'icon'=>'icon-action-edit.svg'),
	'FILEEDIT' => array('label'=>'{LANG_CMM_FILE} {LANG_CMM_ACTION_EDIT}','userLevel'=>3),
	'FILESAVECLOSE' => array('label'=>'{LANG_CMM_FILE} {LANG_CMM_ACTION_SAVE}','userLevel'=>3,'icon'=>'icon-action-save-and-close.svg'),
	'FILECLOSE' => array('label'=>'{LANG_CMM_FILE} {LANG_CMM_ACTION_CANCEL}','area'=>'singlehead','userLevel'=>1,'icon'=>'icon-action-close.svg'),
	);

$CONFIG['CMM_Filemanager']['views']['DUMMY']['actions'] = array(
	'FILEINFO' => array('label'=>'{LANG_CMM_FILE} {LANG_CMM_ACTION_INFO}','userLevel'=>1),
	'FILEUPLOAD' => array('label'=>'{LANG_CMM_FILE} {LANG_CMM_ACTION_UPLOAD}','userLevel'=>3),
	'FILEIMAGINEFORM' => array('label'=>'{LANG_CMM_FILE} {LANG_CMM_ACTION_IMAGINE}','userLevel'=>1,'dummy'=>1),
	'FILEIMAGINE' => array('label'=>'{LANG_CMM_FILE} {LANG_CMM_ACTION_IMAGINE}','userLevel'=>3),
	);

$CONFIG['CMM_Filemanager']['views']['CONFIG']['actions'] = array(
	'CONFIG' => array('label'=>'{LANG_CMM_ACTION_CONFIG}','userLevel'=>1,'inNavi'=>1),
	'CONFIGSAVE' => array('label'=>'{LANG_CMM_ACTION_SAVE}','area'=>'singlehead','userLevel'=>6,'icon'=>'icon-action-save.svg')
	);

$CONFIG['CMM_Filemanager']['views']['INSTALL']['actions'] = array(
	'INSTALL' => array('label'=>'{LANG_CMM_ACTION_INSTALL}','userLevel'=>6,'inNavi'=>0)
	);

?>