<?PHP
/***************************************************************
*  Copyright notice
*
*  (c) 2009-2017 Nicolas Berg
*  All rights reserved
*
*  This script is part of the CMM3 Content-Management-System.
*  CMM3 is provided only under a commercial license until now.
*  Maybe we will add a free license in future.
*
*  This script is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
*
*  This copyright notice MUST APPEAR in all copies of the script!
***************************************************************/

////////////////////////////////////////////////////////////////////
// Modul-Einstellungen                                            //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Gallery'] = array();
// Modulpraefix
$CONFIG['CMM_Gallery']['key'] = 'CMM_Gallery';
// Modulname
$CONFIG['CMM_Gallery']['label'] = 'Galerien';
// Modulbeschreibung
$CONFIG['CMM_Gallery']['description'] = 'Modul zur Verwaltung von umfangreichen Fotogalerien, optional mit Shop-Funktion';
// Module-languages
$CONFIG['CMM_Gallery']['languages'] = 'at,de,ch,en';
// Modulicon
$CONFIG['CMM_Gallery']['icon'] = 'CMM_Gallery.svg';
// Version
$CONFIG['CMM_Gallery']['version'] = '1.2.8';
// Dependencies
$CONFIG['CMM_Gallery']['depend'] = 'CMM:6.0';


////////////////////////////////////////////////////////////////////
// Set includes for administration                                //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Gallery']['BE'] = array();
$CONFIG['CMM_Gallery']['BE']['include'] = array();
// PHP
$CONFIG['CMM_Gallery']['BE']['include']['PHP'] = array('CMM_Gallery/structure.php');
// CSS
$CONFIG['CMM_Gallery']['BE']['include']['CSS'] = array();
// JS
$CONFIG['CMM_Gallery']['BE']['include']['JS'] = array();


////////////////////////////////////////////////////////////////////
// Set includes for website                                       //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Gallery']['FE'] = array();
$CONFIG['CMM_Gallery']['FE']['include'] = array();
// PHP - starting at CMM_ROOT_DIR
$CONFIG['CMM_Gallery']['FE']['include']['PHP'] = array();
// CSS - starting at CMM_ROOT_DIR
$CONFIG['CMM_Gallery']['FE']['include']['CSS'] = array('CMM_Gallery/template/css/CMM_Gallery.css');
// JS - starting at CMM_ROOT_DIR
$CONFIG['CMM_Gallery']['FE']['include']['JS'] = array();


////////////////////////////////////////////////////////////////////
// Datenverzeichnisse erstellen                                   //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Gallery']['dirs'] = array(
	'data/CMM_Gallery/backup/',
	'data/CMM_Gallery/galleries/',
	'data/CMM_Gallery/icons/'
	);


////////////////////////////////////////////////////////////////////
// Plugins                                                        //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Gallery']['plugins'] = array(
	'CMM_Gallery_index.php',
	'CMM_Gallery_subindex.php',
	'CMM_Gallery_archiv.php',
	'CMM_Gallery_list.php',
	'CMM_Gallery_detail.php',
	'CMM_Gallery_photobook.php',
	'createSelectOptions.php'
	);


////////////////////////////////////////////////////////////////////
// Weitere Einstellungen                                          //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Gallery']['config'] = array();

// Einfacher Modus - ohne Auswahl der Speicherseite
$CONFIG['CMM_Gallery']['config']['simpleMode'] = 0;
// Anzeige der Detailansichten zaehlen?
$CONFIG['CMM_Gallery']['config']['countImpressions'] = 1;
// automatisch zuletzt aktualisiertes Bild, als Vorschaubild verwenden (0/1)
$CONFIG['CMM_Gallery']['config']['showIndexLastUpdated'] = 1;
// Betreiber-Info
$CONFIG['CMM_Gallery']['config']['galleryContact'] = 'Ihre Firma \r\nMusterstraße 12\r\n99999 Musterhausen\r\nTel.: 01234-567890\r\nE-Mail: info@ihre-domain.de';
// Standard Thumbnail-Breite in Galerie/Shop
$CONFIG['CMM_Gallery']['config']['defaultThumbWidth'] = '120';
$CONFIG['CMM_Gallery']['config']['defaultThumbHeight'] = '120';
// Standard Thumbnail-Breite in Galerie/Shop
$CONFIG['CMM_Gallery']['config']['defaultIndexThumbWidth'] = '100';
$CONFIG['CMM_Gallery']['config']['defaultIndexThumbHeight'] = '100';
// Logo und Wasserzeichen
$CONFIG['CMM_Gallery']['config']['imageZoomIcon'] = 'CMM_Gallery/template/pix/gallery-logo.png';
$CONFIG['CMM_Gallery']['config']['imageZoomWatermark'] = 'CMM_Gallery/template/pix/gallery-copyright.png';

// Backup-Ansicht aktivieren
$CONFIG['CMM_Gallery']['config']['enableBackup'] = 0;


////////////////////////////////////////////////////////////////////
// Felddefinitionen fuer Config                                   //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Gallery']['configFields'] = array(
	'simpleMode' => array('label'=>'Einfacher Modus ohne Seitenbaum','type'=>'radio','options'=>array(array('value'=>'0','text'=>'{LANG_CMM_NO}'),array('value'=>'1','text'=>'{LANG_CMM_YES}')),'position'=>'left'),
	'countImpressions' => array('label'=>'Detailanzeige der Einträge zählen','type'=>'radio','options'=>array(array('value'=>'0','text'=>'{LANG_CMM_NO}'),array('value'=>'1','text'=>'{LANG_CMM_YES}')),'position'=>'left'),
	'showIndexLastUpdated' => array('label'=>'neuestes Bild der Galerie als Index-Bild','type'=>'radio','options'=>array(array('value'=>'0','text'=>'{LANG_CMM_NO}'),array('value'=>'1','text'=>'{LANG_CMM_YES}')),'position'=>'left'),
	'galleryContact' => array('label'=>'Kontaktdaten für Passwortanfrage','type'=>'textarea','position'=>'left'),
	'defaultThumbWidth' => array('label'=>'Listenbilder: Standard-Breite (px)','type'=>'textfield','datatype'=>'int','position'=>'right'),
	'defaultThumbHeight' => array('label'=>'Listenbilder: Standard-Höhe (px)','type'=>'textfield','datatype'=>'int','position'=>'right'),
	'defaultIndexThumbWidth' => array('label'=>'Indexbilder: Standard-Breite (px)','type'=>'textfield','datatype'=>'int','position'=>'right'),
	'defaultIndexThumbheight' => array('label'=>'Indexbilder: Standard-Höhe (px)','type'=>'textfield','datatype'=>'int','position'=>'right'),
	'imageZoomIcon' => array('label'=>'Bilder: Pfad zum Logo','type'=>'textfield','position'=>'bottom'),
	'imageZoomWatermark' => array('label'=>'Bilder: Pfad zum Wasserzeichen','type'=>'textfield','position'=>'bottom'),
	'enableBackup' => array('label'=>'Backup aktivieren','type'=>'radio','options'=>array(array('value'=>'0','text'=>'{LANG_CMM_NO}'),array('value'=>'1','text'=>'{LANG_CMM_YES}')),'position'=>'left')
	);


////////////////////////////////////////////////////////////////////
// Einstellungen fuer Suche                                       //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Gallery']['config']['search'] = array(
	'label' => '{LANG_CMM_GALLERY_LABEL}',
	'resultPIDparams' => ($CONFIG['CMM']['config']['seoUseSeoUrls']==true ? '/{$GalleryItemTitle|validatealias}.{$GalleryItemUID}' : '?CMM_Gallery[GalleryItemUID]={$GalleryItemUID}'),
	'resultPIDfilter' => '',
	'tablename' => 'cmm_gallery_items',
	'fieldprefix' => 'GalleryItem',
	'join' => array('cmm_gallery_categories|GalleryCategoryUID=GalleryItemTID'), // Join-Table|Join-Table-Field=Table-Field|[Join-Table-Field=Value]
	'filter' => array(), // Zusatzfilter
	'titleFields' => array('GalleryItemTitle'),
	'textFields' => array('GalleryItemSubtitle','GalleryItemText'),
	'searchFields' => array('GalleryItemTitle','GalleryItemSubtitle','GalleryItemText'),
	'extraFields' => array('GalleryItemTitle'),
	'deletedField' => 'GalleryItemDeleted'
	);

?>