<?PHP
/***************************************************************
*  Copyright notice
*
*  (c) 2009-2017 Nicolas Berg
*  All rights reserved
*
*  This script is part of the CMM3 Content-Management-System.
*  CMM3 is provided only under a commercial license until now.
*  Maybe we will add a free license in future.
*
*  This script is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
*
*  This copyright notice MUST APPEAR in all copies of the script!
***************************************************************/

///////////////////////////////////////////////////////////
// Plugin fuer Galerie-Listenansicht                     //
///////////////////////////////////////////////////////////
// V 1.0 First release fuer CMM2
// V 1.1.0 Umstellung auf CMM3
// V 1.1.1 start in SEO-URL angepasst
///////////////////////////////////////////////////////////
include_once(CMM_ROOT_DIR.'CMM_Gallery/index.php');

/* PARAMS START - Marker-Comments required! */
$params = array(
	'templateFile'=>'CMM_Gallery/template/html/CMM_Gallery_list.html',
	'dataPID'=>'',
	'indexPID'=>'',
	'subindexPID'=>'',
	'listPID'=>'',
	'detailPID'=>'',
	'cartPID'=>'',
	'UID'=>'{$_REQUEST["CMM_Gallery"]["GalleryItemUID"]}',
	'UIDinPageAlias'=>1,
	'pagenaviShow'=>1,
	'pagenaviPages'=>'',
	'mode' => '', // '','free','pass'
	'start'=>'{$_REQUEST["CMM_Gallery"]["start"]}'
	);
/* PARAMS END */

/* FIELDSET START - Marker-Comments required! */
$fieldset = array(
	'templateFile' => array('label'=>'HTML-Vorlagen-Datei','type'=>'textfield','datatype'=>'text','position'=>'bottom'),
	'dataPID' => array('label'=>'Seite: Datensätze (PID)','type'=>'linkfield','position'=>'left'),
	'indexPID' => array('label'=>'Seite: Index-Anzeige (PID)','type'=>'linkfield','position'=>'left'),
	'subindexPID' => array('label'=>'Seite: SubIndex-Anzeige (PID)','type'=>'linkfield','position'=>'left'),
	'listPID' => array('label'=>'Seite: Listen-Anzeige (PID)','type'=>'linkfield','position'=>'left'),
	'detailPID' => array('label'=>'Seite: Detail-Anzeige (PID)','type'=>'linkfield','position'=>'left'),
	'cartPID' => array('label'=>'Seite: Warenorb-Anzeige (PID)','type'=>'linkfield','position'=>'left'),
	'UID' => array('label'=>'Eintrag: nur diesen anzeigen (UID)','type'=>'textfield','datatype'=>'text','position'=>'left'),
	'UIDinPageAlias' => array('label'=>'Eintrag: UID aus SEO-URL ermitteln','type'=>'radio','options'=>array(array('value'=>'0','text'=>'{LANG_CMM_NO}'),array('value'=>'1','text'=>'{LANG_CMM_YES}')),'position'=>'left'),
	'pagenaviShow' => array('label'=>'Seitennavigation: anzeigen','type'=>'radio','options'=>array(array('value'=>'0','text'=>'{LANG_CMM_NO}'),array('value'=>'1','text'=>'{LANG_CMM_YES}')),'position'=>'right'),
	'pagenaviPages' => array('label'=>'Seitennavigation: max. Seiten','type'=>'textfield','datatype'=>'code','position'=>'right'),
	'mode' => array('label'=>'Filter: Anzeige-Modus (UID)','type'=>'select','options'=>array(array('value'=>'','text'=>'Alle Galerien'),array('value'=>'free','text'=>'Öffentliche Galerien'),array('value'=>'pass','text'=>'Geschützte Galerien')),'position'=>'left'),
	'start' => array('label'=>'Liste beginnen bei (Anzahl oder Variable)','type'=>'hidden','position'=>'right')
	);
/* FIELDSET END */

// Set customer group
$params['CustomerCustomergroupID'] = isset($GLOBALS['CustomergroupUID']) ? $GLOBALS['CustomergroupUID'] : 0;
// Set language
$params['LID'] = isset($GLOBALS['LanguageUID']) ? $GLOBALS['LanguageUID'] : 1;

// Merge params and pluginParams
$params = CMM_mergePluginParams($params,$pluginParams);

// start/CID aus Pagetail ermitteln
if($CONFIG['CMM']['config']['seoUseSeoUrls']==true)
	{
	if(isset($params['start']) && strstr($params['start'],'{') && !empty($GLOBALS['PageTail']))
		{
		$tempStart = CMM_getPagetailParams($GLOBALS['PageTail'],'start');
		!empty($tempStart) ? $params['start'] = $tempStart : '';
		}
	}

// Inhalt ausgeben
$extGuestbookList = new CMM_Gallery;
$pluginContent = $extGuestbookList->createList($params);
unset($params);
?>
