<?PHP
/***************************************************************
*  Copyright notice
*
*  (c) 2009-2017 Nicolas Berg
*  All rights reserved
*
*  This script is part of the CMM3 Content-Management-System.
*  CMM3 is provided only under a commercial license until now.
*  Maybe we will add a free license in future.
*
*  This script is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
*
*  This copyright notice MUST APPEAR in all copies of the script!
***************************************************************/

// V 1.0 First release
// V 1.0.1 Verarbeitung von Config angepasst
// V 1.0.2 Backup-Einstellungen ergaenzt
// V 1.0.3 Delete-fields added
// V 1.0.4 PASTE-Action mod
// V 1.0.5 Mod userLevels

////////////////////////////////////////////////////////////////////
// Modul-Anzeigen                                                 //
////////////////////////////////////////////////////////////////////
// - label: Bezeichnung des Feldes
// - table: Haupt-Datenbanktabelle
// - userLevel: Berechntigungsstufe fuer Datensaetze
// - navi: Anzeige in der Hauptnavigation
$CONFIG['CMM_Gallery']['views'] = array();
$CONFIG['CMM_Gallery']['views']['INDEX'] = array('label'=>'{LANG_CMM_GALLERY_VIEW_INDEX}','userLevel'=>1);
$CONFIG['CMM_Gallery']['views']['ITEMS'] = array('label'=>'{LANG_CMM_GALLERY_VIEW_ITEMS}','table'=>'cmm_gallery_items','userLevel'=>1,'inNavi'=>1);
$CONFIG['CMM_Gallery']['views']['CATEGORIES'] = array('label'=>'{LANG_CMM_GALLERY_VIEW_CATEGORIES}','table'=>'cmm_gallery_categories','userLevel'=>1,'inNavi'=>1);
$CONFIG['CMM_Gallery']['views']['STATS'] = array('label'=>'{LANG_CMM_GALLERY_VIEW_STATS}','table'=>'cmm_gallery_items','userLevel'=>1,'inNavi'=>1);
$CONFIG['CMM_Gallery']['views']['CONFIG'] = array('label'=>'{LANG_CMM_GALLERY_VIEW_CONFIG}','table'=>'cmm_cmm_config','userLevel'=>6,'inNavi'=>1);
$CONFIG['CMM_Gallery']['views']['BACKUP'] = array('label'=>'{LANG_CMM_GALLERY_VIEW_BACKUP}','userLevel'=>1,'inNavi'=>(!empty($GLOBALS['isBackend']) && !empty($CUSTOM['CMM_Gallery']['config']['enableBackup']) ? 1 : 0));
$CONFIG['CMM_Gallery']['views']['INSTALL'] = array('label'=>'{LANG_CMM_GALLERY_VIEW_INSTALL}','userLevel'=>3);


////////////////////////////////////////////////////////////////////
// Modulfunktionen                                                //
////////////////////////////////////////////////////////////////////
// - label: Bezeichnung des Feldes
// - area: Anzeige-Bereich
// - userLevel: Berechntigungsstufe fuer Datensaetze
// - icon: Icon fuer Listenansicht
// - action: Aktion, die ausgefuehrt werden soll
// - clipboardAction: Aktion, die spaeter ausgefuehrt werden soll
// - message: Frage vor Ausfuerung der Funktion
// - condition: Bedingung pruefen (Datenbankfeld) item/_SESSION/_GET/_POST/_COOKIE/_ENV[keyvar]==value
// - file: Funktion in externer Datei ausfuehren
// - target: Zielfenster fuer Funktion

$CONFIG['CMM_Gallery']['views']['ITEMS']['actions'] = array(
	'LIST' => array('label'=>'{LANG_CMM_ACTION_LIST}','userLevel'=>0),
	'NEW' => array('label'=>'{LANG_CMM_GALLERY_ITEM} - {LANG_CMM_ACTION_NEW}','area'=>'listhead','userLevel'=>1,'icon'=>'icon-action-new.svg'),
	'EDIT' => array('label'=>'{LANG_CMM_ACTION_EDIT}','area'=>'list','userLevel'=>1,'icon'=>'icon-action-edit.svg'),
	'ENABLE' => array('label'=>'{LANG_CMM_ACTION_ENABLE}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-enable.svg','condition'=>'$item["GalleryItemStatus"]==0'),
	'DISABLE' => array('label'=>'{LANG_CMM_ACTION_DISABLE}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-disable.svg','condition'=>'$item["GalleryItemStatus"]==1'),
	'UP' => array('label'=>'{LANG_CMM_ACTION_UP}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-up.svg','condition'=>'$item["firstItem"]!=true && $CURRENT["sort"]=="GalleryItemSort ASC"'),
	'DOWN' => array('label'=>'{LANG_CMM_ACTION_DOWN}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-down.svg','condition'=>'$item["lastItem"]!=true && $CURRENT["sort"]=="GalleryItemSort ASC"'),
	'SAVE' => array('label'=>'{LANG_CMM_ACTION_SAVE}','area'=>'singlehead','userLevel'=>3,'icon'=>'icon-action-save.svg'),
	'SAVENEW' => array('label'=>'{LANG_CMM_ACTION_SAVENEW}','area'=>'singlehead','userLevel'=>3,'icon'=>'icon-action-save-and-new.svg'),
	'SAVECLOSE' => array('label'=>'{LANG_CMM_ACTION_SAVECLOSE}','area'=>'singlehead','userLevel'=>3,'icon'=>'icon-action-save-and-close.svg'),
	'CLOSE' => array('label'=>'{LANG_CMM_ACTION_CLOSE}','area'=>'singlehead','userLevel'=>1,'icon'=>'icon-action-close.svg'),
	'CUT' => array('label'=>'{LANG_CMM_ACTION_CUT}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-cut.svg'),
	'COPY' => array('label'=>'{LANG_CMM_ACTION_COPY}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-copy.svg'),
	'PASTE' => array('label'=>'{LANG_CMM_ACTION_PASTE}','area'=>'listhead','userLevel'=>3,'icon'=>'icon-action-paste.svg','UID'=>(!empty($GLOBALS['isBackend']) && isset($_SESSION[$CURRENT["module"]][$CURRENT["view"]]['clipboard']) ? $_SESSION[$CURRENT["module"]][$CURRENT["view"]]['clipboard']['id'] : ''),'condition'=>'!empty($_SESSION[$CURRENT["module"]][$CURRENT["view"]]["clipboard"])'),
	'REPAIR' => array('label'=>'{LANG_CMM_GALLERY_ACTION_REPAIR_DIR}','area'=>'','userLevel'=>3,'icon'=>'icon-action-repair.svg'),
	'UPLOAD' => array('label'=>'{LANG_CMM_GALLERY_ACTION_UPLOAD_HTTP}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-upload.svg'),
	'REMOVE' => array('label'=>'{LANG_CMM_ACTION_REMOVE}','area'=>'list,singlehead','userLevel'=>3,'icon'=>'icon-action-remove.svg','condition'=>'$item["GalleryItemUID"]>0','message'=>'{LANG_CMM_ACTION_REMOVE_CONFIRM}'),
	'CLIPBOARDCLEAR' => array('label'=>'{LANG_CMM_ACTION_CLIPBOARDCLEAR}','area'=>'listhead','userLevel'=>3,'icon'=>'icon-action-clipboard-clear.svg','condition'=>'isset($_SESSION[$CURRENT["module"]][$CURRENT["view"]]["clipboard"])')
	);

$CONFIG['CMM_Gallery']['views']['STATS']['actions'] = array(
	'STATSREMOVE' => array('label'=>'{LANG_CMM_GALLERY_STAT} - {LANG_CMM_ACTION_REMOVE}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-remove.svg','message'=>'Statistik - {LANG_CMM_ACTION_REMOVE_CONFIRM}'),
	'STATSREMOVEALL' => array('label'=>'{LANG_CMM_GALLERY_STATS} - {LANG_CMM_ACTION_REMOVEALL}','area'=>'listhead','userLevel'=>3,'icon'=>'icon-action-remove.svg','message'=>'Statistik - {LANG_CMM_ACTION_REMOVE_CONFIRM}')
	);
	
$CONFIG['CMM_Gallery']['views']['CATEGORIES']['actions'] = array(
	'LIST' => array('label'=>'{LANG_CMM_ACTION_LIST}','userLevel'=>0),
	'NEW' => array('label'=>'{LANG_CMM_GALLERY_CATEGORY} - {LANG_CMM_ACTION_NEW}','area'=>'listhead','userLevel'=>1,'icon'=>'icon-action-new.svg'),
	'EDIT' => array('label'=>'{LANG_CMM_ACTION_EDIT}','area'=>'list','userLevel'=>1,'icon'=>'icon-action-edit.svg'),
	'ENABLE' => array('label'=>'{LANG_CMM_ACTION_ENABLE}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-enable.svg','condition'=>'$item["GalleryCategoryStatus"]==0'),
	'DISABLE' => array('label'=>'{LANG_CMM_ACTION_DISABLE}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-disable.svg','condition'=>'$item["GalleryCategoryStatus"]==1'),
	'UP' => array('label'=>'{LANG_CMM_ACTION_UP}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-up.svg','condition'=>'$item["firstItem"]!=true && $CURRENT["sort"]=="GalleryCategorySort ASC"'),
	'DOWN' => array('label'=>'{LANG_CMM_ACTION_DOWN}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-down.svg','condition'=>'$item["lastItem"]!=true && $CURRENT["sort"]=="GalleryCategorySort ASC"'),
	'SAVE' => array('label'=>'{LANG_CMM_ACTION_SAVE}','area'=>'singlehead','userLevel'=>3,'icon'=>'icon-action-save.svg'),
	'SAVENEW' => array('label'=>'{LANG_CMM_ACTION_SAVENEW}','area'=>'singlehead','userLevel'=>3,'icon'=>'icon-action-save-and-new.svg'),
	'SAVECLOSE' => array('label'=>'{LANG_CMM_ACTION_SAVECLOSE}','area'=>'singlehead','userLevel'=>3,'icon'=>'icon-action-save-and-close.svg'),
	'CLOSE' => array('label'=>'{LANG_CMM_ACTION_CLOSE}','area'=>'singlehead','userLevel'=>1,'icon'=>'icon-action-close.svg'),
	'CUT' => array('label'=>'{LANG_CMM_ACTION_CUT}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-cut.svg'),
	'COPY' => array('label'=>'{LANG_CMM_ACTION_COPY}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-copy.svg'),
	'PASTE' => array('label'=>'{LANG_CMM_ACTION_PASTE}','area'=>'listhead','userLevel'=>3,'icon'=>'icon-action-paste.svg','UID'=>(!empty($GLOBALS['isBackend']) && isset($_SESSION[$CURRENT["module"]][$CURRENT["view"]]['clipboard']) ? $_SESSION[$CURRENT["module"]][$CURRENT["view"]]['clipboard']['id'] : ''),'condition'=>'!empty($_SESSION[$CURRENT["module"]][$CURRENT["view"]]["clipboard"])'),
	'REMOVE' => array('label'=>'{LANG_CMM_ACTION_REMOVE}','area'=>'list,singlehead','userLevel'=>3,'icon'=>'icon-action-remove.svg','condition'=>'$item["GalleryCategoryUID"]>0','message'=>'{LANG_CMM_ACTION_REMOVE_CONFIRM}'),
	'CLIPBOARDCLEAR' => array('label'=>'{LANG_CMM_ACTION_CLIPBOARDCLEAR}','area'=>'listhead','userLevel'=>3,'icon'=>'icon-action-clipboard-clear.svg','condition'=>'isset($_SESSION[$CURRENT["module"]][$CURRENT["view"]]["clipboard"])')
	);

$CONFIG['CMM_Gallery']['views']['BACKUP']['actions'] = array(
	'BACKUP' => array('label'=>'Datensicherung','userLevel'=>1,'inNavi'=>1),
	'INSTALLDB' => array('label'=>'Datenbanktabellen konfigurieren','userLevel'=>6),
	'BACKUPMAKE' => array('label'=>'Sicherung erstellen','userLevel'=>6,'inNavi'=>0),
	'BACKUPRESTORE' => array('label'=>'Sicherung zurückschreiben','userLevel'=>6,'inNavi'=>0),
	'BACKUPREMOVE' => array('label'=>'Sicherung löschen','userLevel'=>6,'inNavi'=>0)
	);

$CONFIG['CMM_Gallery']['views']['CONFIG']['actions'] = array(
	'CONFIG' => array('label'=>'Konfiguration','userLevel'=>1,'inNavi'=>1),
	'CONFIGSAVE' => array('label'=>'Konfiguration','area'=>'singlehead','userLevel'=>6,'icon'=>'icon-action-save.svg')
	);

$CONFIG['CMM_Gallery']['views']['INSTALL']['actions'] = array(
	'INSTALL' => array('label'=>'Installation','userLevel'=>6,'inNavi'=>0)
	);


////////////////////////////////////////////////////////////////////
// Datenbank-Tabellen                                             //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Gallery']['database'] = array();

// Datenstamm fuer Firmen
$CONFIG['CMM_Gallery']['database']['cmm_gallery_items'] = array(
	'tabs' => array(0=>'Standard',1=>'Media',3=>'Sonstiges',9=>'Anzeige'),
	'tablename' => 'cmm_gallery_items',
	'sort' => 'GalleryItemUID DESC',
	'backup' => 1,
	'fieldprefix' => 'GalleryItem',
	'fieldset' => array(
		'GalleryItemUID' => array('label'=>'ID','type'=>'hidden','position'=>'top','tab'=>0,
			'sqldef'=>'int(10) default \'0\''),
		'GalleryItemPID' => array('label'=>'ParentID','type'=>'hidden','position'=>'top','tab'=>0,
			'sqldef'=>'int(10) default \'0\''),
		'GalleryItemTID' => array('label'=>'Typ','type'=>'hidden','position'=>'top','value'=>'','tab'=>0,
			'sqldef'=>'int(3) default \'0\''),
		'GalleryItemLID' => array('label'=>'Sprache','type'=>'radio','position'=>'top','tab'=>3,
			'sqldef'=>'int(3) default \'0\'',
			'select'=>array('module'=>'CMM','table'=>'cmm_cmm_languages','keyfield'=>'LanguageUID','labelfield'=>'LanguageName','sort'=>'LanguageUID')),
		'GalleryItemCID' => array('label'=>'Galerie-Kategorie(n)','type'=>'select','position'=>'top','tab'=>0,
			'sqldef'=>'int(3) default \'0\'',
			'function'=>array('module'=>'CMM_Gallery','class'=>'CMM_Gallery','function'=>'getItemCidOptions'),
	//		'select'=>array('module'=>'CMM_Gallery','table'=>'cmm_gallery_categories','keyfield'=>'GalleryCategoryUID','labelfield'=>'GalleryCategoryTitle','LID'=>'{$CURRENT["language"]}'),
			'join'=>array('module'=>'CMM_Gallery','table'=>'cmm_gallery_categories','keyfield'=>'GalleryCategoryUID')),
		'GalleryItemStatus' => array('label'=>'Status','type'=>'radio','default'=>'1','position'=>'top','tab'=>9,
			'sqldef'=>'int(1) default \'0\'',
			'options'=>array(array('value'=>1,'text'=>'{LANG_CMM_ENABLED}'),array('value'=>'0','text'=>'{LANG_CMM_DISABLED}'))),
		'GalleryItemDeleted' => array('label'=>'{LANG_CMM_FIELD_REMOVED}','type'=>'hidden','tab'=>3,
			'sqldef'=>'int(1) default \'0\''),
		'GalleryItemSort' => array('label'=>'Sortierung','type'=>'hidden','position'=>'top','tab'=>3,
			'sqldef'=>'int(10) default \'0\''),
		'GalleryItemStart' => array('label'=>'Start','type'=>'datetime','position'=>'left','tab'=>9,
			'sqldef'=>'datetime default NULL'),
		'GalleryItemStop' => array('label'=>'Ende','type'=>'datetime','position'=>'right','tab'=>9,
			'sqldef'=>'datetime default NULL'),
		'GalleryItemCustomergroupID' => array('label'=>'Anzeige für Benutzergruppen','type'=>'multiselect','attribs'=>array('multiple'=>1,'size'=>6),'position'=>'bottom','tab'=>9,
			'sqldef'=>'varchar(255) collate utf8_unicode_ci default NULL',
			'options'=>array('none'=>array('value'=>'0','text'=>'{LANG_CMM_IF_LOGGED_OUT}'),'all'=>array('value'=>'*','text'=>'{LANG_CMM_IF_LOGGED_IN}')),
			'select'=>array('module'=>'CMM','table'=>'cmm_cmm_customergroups','keyfield'=>'CustomergroupUID','labelfield'=>'CustomergroupUID,CustomergroupName','sort'=>'CustomergroupUID')),
		'GalleryItemTitle' => array('label'=>'Titel / Überschrift','type'=>'textfield','attribs'=>array('required'=>1),'position'=>'top','tab'=>0,
			'sqldef'=>'varchar(255) collate utf8_unicode_ci default NULL'),
		'GalleryItemSubtitle' => array('label'=>'Untertitel','type'=>'textfield','position'=>'top','tab'=>0,
			'sqldef'=>'varchar(255) collate utf8_unicode_ci default NULL'),
		'GalleryItemText' => array('label'=>'Text','type'=>'rte','position'=>'bottom','attribs'=>array('rows'=>6),'tab'=>0,
			'sqldef'=>'text collate utf8_unicode_ci'),
		'GalleryItemConfig' => array('label'=>'Bild-Konfiguration (Dateiname|Beschriftung|Deaktivieren=1)','type'=>'textarea','attribs'=>array('rows'=>10),'position'=>'bottom','tab'=>1,
			'sqldef'=>'text collate utf8_unicode_ci'),
		'GalleryItemComment' => array('label'=>'Kommentare (intern)','type'=>'textarea','attribs'=>array('rows'=>3),'position'=>'bottom','tab'=>0,
			'sqldef'=>'text collate utf8_unicode_ci'),

		'GalleryItemMaxpage' => array('label'=>'Bilder pro Seite','type'=>'textfield','datatype'=>'int','attribs'=>array('maxlength'=>5),'position'=>'left','tab'=>1,
			'sqldef'=>'varchar(5) collate utf8_unicode_ci default NULL'),
		'GalleryItemThumbwidth' => array('label'=>'Breite der Vorschaubilder (px)','type'=>'textfield','datatype'=>'int','attribs'=>array('maxlength'=>5),'position'=>'left','tab'=>1,
			'sqldef'=>'varchar(5) collate utf8_unicode_ci default NULL'),
		'GalleryItemThumbheight' => array('label'=>'Höhe der Vorschaubilder (px) (optional)','type'=>'textfield','datatype'=>'int','attribs'=>array('maxlength'=>5),'position'=>'left','tab'=>1,
			'sqldef'=>'varchar(5) collate utf8_unicode_ci default NULL'),
		'GalleryItemPass1' => array('label'=>'Passwort (Gast)','type'=>'textfield','position'=>'right','tab'=>0,
			'sqldef'=>'varchar(32) collate utf8_unicode_ci default NULL'),
		'GalleryItemPass2' => array('label'=>'Passwort (Veranstalter)','type'=>'hidden','position'=>'right','tab'=>0,
			'sqldef'=>'varchar(32) collate utf8_unicode_ci default NULL'),
		'GalleryItemDownload' => array('label'=>'Download-Button anzeigen','type'=>'radio','position'=>'left','tab'=>0,
			'sqldef'=>'int(3) default \'0\'',
			'options'=>array(array('value'=>'1','text'=>'{LANG_CMM_YES}'),array('value'=>'0','text'=>'{LANG_CMM_NO}'))),
		'GalleryItemLogo' => array('label'=>'Logo am Bildrand','type'=>'radio','position'=>'right','tab'=>1,
			'sqldef'=>'int(3) default \'0\'',
			'options'=>array(array('value'=>'1','text'=>'{LANG_CMM_YES}'),array('value'=>'0','text'=>'{LANG_CMM_NO}'))),
		'GalleryItemCopyright' => array('label'=>'Copyright Wasserzeichen','type'=>'radio','position'=>'right','tab'=>1,
			'sqldef'=>'int(3) default \'0\'',
			'options'=>array(array('value'=>'1','text'=>'{LANG_CMM_YES}'),array('value'=>'0','text'=>'{LANG_CMM_NO}'))),
		'GalleryItemPrice' => array('label'=>'Formate:Preise (Text:0,00)','type'=>'textarea','attribs'=>array('rows'=>5),'position'=>'right','tab'=>0,
			'sqldef'=>'text collate utf8_unicode_ci'),
		'GalleryItemPagenavi' => array('label'=>'Seitennavigation','type'=>'radio','position'=>'left','tab'=>0,
			'sqldef'=>'int(3) default \'0\'',
			'options'=>array(array('value'=>0,'text'=>'keine'),array('value'=>1,'text'=>'oben'),array('value'=>2,'text'=>'unten'),array('value'=>3,'text'=>'beide'))),
		'GalleryItemPreview' => array('label'=>'Vorschaubild (für Indexseite)','type'=>'imagelist','dir'=>'data/CMM_Gallery/galleries/'.(!empty($CURRENT['id']) ? $CURRENT['id'].'/images/' : ''),'position'=>'top','tab'=>1,
			'sqldef'=>'text collate utf8_unicode_ci'),
		'GalleryItemVideos' => array('label'=>'Video(s)','type'=>'videolist','dir'=>'data/CMM_Gallery/galleries/'.(!empty($CURRENT['id']) ? $CURRENT['id'].'/images/' : ''),'position'=>'top','tab'=>1,
			'sqldef'=>'text collate utf8_unicode_ci'),
	//	'GalleryItemTaxClass' => array('label'=>'Steuerklasse','type'=>'radio','position'=>'right','tab'=>0,
	//		'sqldef'=>'int(3) default \'0\'',
	//		'options'=>array(array('value'=>'','text'=>'keine'),array('value'=>1,'text'=>'normal'),array('value'=>2,'text'=>'vermindert'))),
		'GalleryItemTaxClass' => array('label'=>'Steuerklasse','type'=>'hidden','value'=>'1','position'=>'right','tab'=>0,
			'sqldef'=>'int(3) default \'0\''),
		'GalleryItemShowFilenames' => array('label'=>'Dateinamen anzeigen','type'=>'radio','position'=>'left','tab'=>0,
			'sqldef'=>'int(1) default \'0\'',
			'options'=>array(array('value'=>'1','text'=>'{LANG_CMM_YES}'),array('value'=>'0','text'=>'{LANG_CMM_NO}'))),
		'GalleryItemCounter' => array('label'=>'Anzeige-Counter','type'=>'textfield','datatype'=>'int','position'=>'bottom','tab'=>3,
			'sqldef'=>'int(10) default \'0\''),

		'GalleryItemAddDate' => array('label'=>'Datum erstellt','type'=>'hidden','position'=>'left','tab'=>0,
			'sqldef'=>'datetime default \'0000-00-00 00:00:00\''),
		'GalleryItemAddUser' => array('label'=>'Benutzer erstellt','type'=>'hidden','position'=>'left','tab'=>0,
			'sqldef'=>'varchar(32) collate utf8_unicode_ci default \'0\''),
		'GalleryItemModDate' => array('label'=>'Datum geändert','type'=>'hidden','position'=>'left','tab'=>0,
			'sqldef'=>'datetime default \'0000-00-00 00:00:00\''),
		'GalleryItemModUser' => array('label'=>'Benutzer geändert','type'=>'hidden','position'=>'left','tab'=>0,
			'sqldef'=>'varchar(32) collate utf8_unicode_ci default \'0\'')
		),
	'tableset' => array(
		'engine' => 'MyISAM',
		'primarykey' => 'UID',
		'charset' => 'utf8',
		'collation' => 'utf8_unicode_ci',
		'comment' => 'Galerien'
		)
	);

// Datenstamm fuer Kategorien
$CONFIG['CMM_Gallery']['database']['cmm_gallery_categories'] = array(
	'tabs' => array(0=>'Standard',1=>'Media',2=>'Plugins',3=>'Sonstiges',9=>'Anzeige'),
	'tablename' => 'cmm_gallery_categories',
	'sort' => 'GalleryCategoryUID DESC',
	'backup' => 1,
	'fieldprefix' => 'GalleryCategory',
	'fieldset' => array(
		'GalleryCategoryUID' => array('label'=>'ID','type'=>'hidden','position'=>'top','tab'=>0,
			'sqldef'=>'int(10) default \'0\''),
		'GalleryCategoryPID' => array('label'=>'ParentID','type'=>'hidden','position'=>'top','tab'=>0,
			'sqldef'=>'int(10) default \'0\''),
		'GalleryCategoryTID' => array('label'=>'Typ/Kategorie','type'=>'hidden','position'=>'top','tab'=>3,
			'sqldef'=>'int(3) default \'0\''),
		'GalleryCategoryLID' => array('label'=>'Sprache','type'=>'radio','position'=>'top','tab'=>3,
			'sqldef'=>'int(3) default \'0\'',
			'select'=>array('module'=>'CMM','table'=>'cmm_cmm_languages','keyfield'=>'LanguageUID','labelfield'=>'LanguageName','sort'=>'LanguageUID')),
		'GalleryCategoryStatus' => array('label'=>'Status','type'=>'radio','default'=>'1','position'=>'top','tab'=>9,
			'sqldef'=>'int(1) default \'0\'',
			'options'=>array(array('value'=>1,'text'=>'{LANG_CMM_ENABLED}'),array('value'=>'0','text'=>'{LANG_CMM_DISABLED}'))),
		'GalleryCategoryDeleted' => array('label'=>'{LANG_CMM_FIELD_REMOVED}','type'=>'hidden','tab'=>3,
			'sqldef'=>'int(1) default \'0\''),
		'GalleryCategorySort' => array('label'=>'Sortierung','type'=>'hidden','position'=>'top','tab'=>3,
			'sqldef'=>'int(10) default \'0\''),
		'GalleryCategoryParent' => array('label'=>'Eltern-Kategorie','type'=>'select','position'=>'top','tab'=>0,
			'sqldef'=>'varchar(32) collate utf8_unicode_ci default NULL',
			'function'=>array('module'=>'CMM_Gallery','class'=>'CMM_Gallery','function'=>'getItemCidOptions','excludeSelf'=>1,'limitToPage'=>1)
			),
		'GalleryCategoryTitle' => array('label'=>'Titel','type'=>'textfield','position'=>'top','tab'=>0,
			'sqldef'=>'varchar(100) collate utf8_unicode_ci default NULL'),
		'GalleryCategoryDescription' => array('label'=>'Beschreibung','type'=>'textarea','position'=>'top','tab'=>0,
			'sqldef'=>'text collate utf8_unicode_ci'),
		'GalleryCategoryIcon' => array('label'=>'Symbol','type'=>'imagelist','number'=>'1','position'=>'top','dir'=>'data/CMM_Gallery/icons/','tab'=>1,
			'sqldef'=>'varchar(100) collate utf8_unicode_ci default NULL'),
		'GalleryCategoryAddDate' => array('label'=>'Datum erstellt','type'=>'hidden','position'=>'left','tab'=>0,
			'sqldef'=>'datetime default \'0000-00-00 00:00:00\''),
		'GalleryCategoryAddUser' => array('label'=>'Benutzer erstellt','type'=>'hidden','position'=>'left','tab'=>0,
			'sqldef'=>'varchar(32) collate utf8_unicode_ci default \'0\''),
		'GalleryCategoryModDate' => array('label'=>'Datum geändert','type'=>'hidden','position'=>'left','tab'=>0,
			'sqldef'=>'datetime default \'0000-00-00 00:00:00\''),
		'GalleryCategoryModUser' => array('label'=>'Benutzer geändert','type'=>'hidden','position'=>'left','tab'=>0,
			'sqldef'=>'varchar(32) collate utf8_unicode_ci default \'0\'')
		),
	'tableset' => array(
		'engine' => 'MyISAM',
		'primarykey' => 'UID',
		'charset' => 'utf8',
		'collation' => 'utf8_unicode_ci',
		'comment' => 'Kategorien'
		)
	);


////////////////////////////////////////////////////////////////////
// Sortier-Variablen (Administration)                             //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Gallery']['sortVars'] = array();
$CONFIG['CMM_Gallery']['sortVars']['cmm_gallery_items'] = array('GalleryItemUID','GalleryItemSort','GalleryItemStatus','GalleryItemTitle','GalleryItemAddDate','GalleryItemModDate');
$CONFIG['CMM_Gallery']['sortVars']['cmm_gallery_categories'] = array('GalleryCategoryUID','GalleryCategorySort','GalleryCategoryStatus','GalleryCategoryTitle','GalleryCategoryAddDate','GalleryCategoryModDate');


////////////////////////////////////////////////////////////////////
// Filter-Variablen (Administration)                             //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Gallery']['filterVars'] = array();
$CONFIG['CMM_Gallery']['filterVars']['cmm_gallery_items'] = array_keys($CONFIG['CMM_Gallery']['database']['cmm_gallery_items']['fieldset']);
$CONFIG['CMM_Gallery']['filterVars']['cmm_gallery_categories'] = array_keys($CONFIG['CMM_Gallery']['database']['cmm_gallery_categories']['fieldset']);

?>