<?PHP
/***************************************************************
*  Copyright notice
*
*  (c) 2009-2017 Nicolas Berg
*  All rights reserved
*
*  This script is part of the CMM3 Content-Management-System.
*  CMM3 is provided only under a commercial license until now.
*  Maybe we will add a free license in future.
*
*  This script is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
*
*  This copyright notice MUST APPEAR in all copies of the script!
***************************************************************/

////////////////////////////////////////////////////////////////////
// Modul-Einstellungen                                            //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Glossary'] = array();
// Module-key
$CONFIG['CMM_Glossary']['key'] = 'CMM_Glossary';
// Module-label
$CONFIG['CMM_Glossary']['label'] = 'Glossar';
// Module-description
$CONFIG['CMM_Glossary']['description'] = 'Modul zur Bereitstellung eines Glossars für Fachbegriffe mit Text-Markierung';
// Module-languages
$CONFIG['CMM_Glossary']['languages'] = 'at,de,ch,en';
// Module-icon
$CONFIG['CMM_Glossary']['icon'] = 'CMM_Glossary.svg';
// Module-version
$CONFIG['CMM_Glossary']['version'] = '1.3.6';
// Module-dependencies MOD1:Vmin(:Vmax),MOD2:Vmin(:Vmax),...
$CONFIG['CMM_Glossary']['depend'] = 'CMM:6.0';


////////////////////////////////////////////////////////////////////
// Set includes for administration                                //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Glossary']['BE'] = array();
$CONFIG['CMM_Glossary']['BE']['include'] = array();
// PHP
$CONFIG['CMM_Glossary']['BE']['include']['PHP'] = array('CMM_Glossary/structure.php');
// CSS
$CONFIG['CMM_Glossary']['BE']['include']['CSS'] = array();
// JS
$CONFIG['CMM_Glossary']['BE']['include']['JS'] = array();


////////////////////////////////////////////////////////////////////
// Set includes for website                                       //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Glossary']['FE'] = array();
$CONFIG['CMM_Glossary']['FE']['include'] = array();
// PHP - starting at CMM_ROOT_DIR
$CONFIG['CMM_Glossary']['FE']['include']['PHP'] = array();
// CSS - starting at CMM_ROOT_DIR
$CONFIG['CMM_Glossary']['FE']['include']['CSS'] = array('CMM_Glossary/template/css/CMM_Glossary.css');
// JS - starting at CMM_ROOT_DIR
$CONFIG['CMM_Glossary']['FE']['include']['JS'] = array();


////////////////////////////////////////////////////////////////////
// Datenverzeichnisse erstellen                                   //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Glossary']['dirs'] = array(
	'data/CMM_Glossary/backup/',
	'data/CMM_Glossary/images/',
	'data/CMM_Glossary/videos/',
	'data/CMM_Glossary/audios/',
	'data/CMM_Glossary/files/'
	);


////////////////////////////////////////////////////////////////////
// Plugins                                                        //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Glossary']['plugins'] = array(
	'CMM_Glossary_letters.php',
	'CMM_Glossary_list.php',
	'CMM_Glossary_detail.php',
	'CMM_Glossary_markContent.php'
	);


////////////////////////////////////////////////////////////////////
// Weitere Einstellungen                                          //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Glossary']['config'] = array();

// Einfacher Modus - ohne Auswahl der Speicherseite
$CONFIG['CMM_Glossary']['config']['simpleMode'] = 0;
// Begriffe nicht in Ueberschriften markieren
$CONFIG['CMM_Glossary']['config']['markExcludeHeader'] = 1;
// Meta-Felder
$CONFIG['CMM_Glossary']['config']['metaTitleFields'] = array('GlossaryItemWord');
$CONFIG['CMM_Glossary']['config']['metaKeywordsFields'] = array('GlossaryItemWord','GlossaryItemWordAlt','GlossaryItemShorttext','GlossaryItemText');
$CONFIG['CMM_Glossary']['config']['metaDescriptionFields'] = array('GlossaryItemShorttext','GlossaryItemText');

// Backup-Ansicht aktivieren
$CONFIG['CMM_Glossary']['config']['enableBackup'] = 0;


////////////////////////////////////////////////////////////////////
// Felddefinitionen fuer Config                                   //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Glossary']['configFields'] = array(
	'simpleMode' => array('label'=>'Einfacher Modus ohne Seitenbaum','type'=>'radio','options'=>array(array('value'=>'0','text'=>'{LANG_CMM_NO}'),array('value'=>'1','text'=>'{LANG_CMM_YES}')),'position'=>'left'),
	'markExcludeHeader' => array('label'=>'Begriffserkennung in Überschriften ausschließen','type'=>'radio','options'=>array(array('value'=>'0','text'=>'{LANG_CMM_NO}'),array('value'=>'1','text'=>'{LANG_CMM_YES}')),'position'=>'right'),
	'enableBackup' => array('label'=>'Backup aktivieren','type'=>'radio','options'=>array(array('value'=>'0','text'=>'{LANG_CMM_NO}'),array('value'=>'1','text'=>'{LANG_CMM_YES}')),'position'=>'left')
	);


////////////////////////////////////////////////////////////////////
// Einstellungen fuer Suche                                       //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Glossary']['config']['search'] = array(
	'label' => '{LANG_CMM_GLOSSARY_LABEL}',
	'resultPIDparams' => ($CONFIG['CMM']['config']['seoUseSeoUrls']==true ? '/{$GlossaryItemWord|validatealias}.{$GlossaryItemUID}' : '?CMM_Glossary[GlossaryItemUID]={$GlossaryItemUID}'),
	'resultPIDfilter' => '',
	'tablename' => 'cmm_glossary_items',
	'fieldprefix' => 'GlossaryItem',
	'join' => array('cmm_glossary_categories|GlossaryCategoryUID=GlossaryItemTID'), // Join-Table|Join-Table-Field=Table-Field|[Join-Table-Field=Value]
	'filter' => array(), // Zusatzfilter
	'titleFields' => array('GlossaryItemWord'),
	'textFields' => array('GlossaryItemWordAlt','GlossaryItemShorttext','GlossaryItemText'),
	'searchFields' => array('GlossaryItemWord','GlossaryItemWordAlt','GlossaryItemShorttext','GlossaryItemText'),
	'extraFields' => array('GlossaryItemWord'),
	'deletedField' => 'GlossaryItemDeleted'
	);

?>