<?PHP
/***************************************************************
*  Copyright notice
*
*  (c) 2009-2017 Nicolas Berg
*  All rights reserved
*
*  This script is part of the CMM3 Content-Management-System.
*  CMM3 is provided only under a commercial license until now.
*  Maybe we will add a free license in future.
*
*  This script is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
*
*  This copyright notice MUST APPEAR in all copies of the script!
***************************************************************/

///////////////////////////////////////////////////////////
// Plugin fuer Glossar-Inhalts-Markierung                //
///////////////////////////////////////////////////////////
// V 1.0 First release
// V 1.0.1 Erweiterung auf Mehrsprachigkeit
// V 1.0.2 Erweiterung fuer ID aus PageAlias
// V 1.0.3 Feld-Definitionen eingefuegt
///////////////////////////////////////////////////////////
include_once(CMM_ROOT_DIR.'CMM_Glossary/index.php');

/* PARAMS START - Marker-Comments required! */
$params = array(
	'dataPID'=>'',
	'listPID'=>'',
	'detailPID'=>'',
	'columnID'=>''
	);
/* PARAMS END */

/* FIELDSET START - Marker-Comments required! */
$fieldset = array(
	'dataPID' => array('label'=>'Seite: Datensätze (PID)','type'=>'linkfield','position'=>'left'),
	'listPID' => array('label'=>'Seite: Listen-Anzeige (PID)','type'=>'linkfield','position'=>'left'),
	'detailPID' => array('label'=>'Seite: Detail-Anzeige (PID)','type'=>'linkfield','position'=>'left'),
	'columnID' => array('label'=>'Spalte: Content-Spalte (UID)','type'=>'textfield','datatype'=>'int','position'=>'left')
	);
/* FIELDSET END */

// Set customer group
$params['CustomerCustomergroupID'] = isset($GLOBALS['CustomergroupUID']) ? $GLOBALS['CustomergroupUID'] : 0;
// Set language
$params['LID'] = isset($GLOBALS['LanguageUID']) ? $GLOBALS['LanguageUID'] : 1;

// Merge params and pluginParams
$params = CMM_mergePluginParams($params,$pluginParams);

// Aufruf des Inhaltsmoduls fuer Template-Engine preparieren
$tempContentOutput = '{plugin:CMM_Contents/plugins/CMM_Contents_content.php}'."\r\n";
foreach($params as $paramsKey => $paramsValue)
	{ $tempContentOutput.= $paramsKey.' = '.$paramsValue."\r\n"; }
$tempContentOutput.= '{/plugin}'."\r\n";

// Modul-Inhalt durch Template-Engine generieren
$extGlossary = new CMM_Glossary;
$extGlossary->templateString = $tempContentOutput;
$moduleTempContent = $extGlossary->createContent($params);

// Inhalt mit Glossar-Funktion verarbeiten
$pluginContent = $extGlossary->markContent($moduleTempContent,$params);

unset($params);
?>
