<?PHP
/***************************************************************
*  Copyright notice
*
*  (c) 2009-2017 Nicolas Berg
*  All rights reserved
*
*  This script is part of the CMM3 Content-Management-System.
*  CMM3 is provided only under a commercial license until now.
*  Maybe we will add a free license in future.
*
*  This script is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
*
*  This copyright notice MUST APPEAR in all copies of the script!
***************************************************************/

////////////////////////////////////////////////////////////////////
// Modul-Einstellungen                                            //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Guestbook'] = array();
// Modulpraefix
$CONFIG['CMM_Guestbook']['key'] = 'CMM_Guestbook';
// Modulname
$CONFIG['CMM_Guestbook']['label'] = 'Gästebuch';
// Modulbeschreibung
$CONFIG['CMM_Guestbook']['description'] = 'Modul zur Bereitstellung und Verwaltung eines Gästebuches';
// Module-languages
$CONFIG['CMM_Guestbook']['languages'] = 'at,de,ch,en';
// Modulicon
$CONFIG['CMM_Guestbook']['icon'] = 'CMM_Guestbook.svg';
// Modulversion
$CONFIG['CMM_Guestbook']['version'] = '3.8.4';
// Dependencies
$CONFIG['CMM_Guestbook']['depend'] = 'CMM:6.0';


////////////////////////////////////////////////////////////////////
// Set includes for administration                                //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Guestbook']['BE'] = array();
$CONFIG['CMM_Guestbook']['BE']['include'] = array();
// PHP
$CONFIG['CMM_Guestbook']['BE']['include']['PHP'] = array('CMM_Guestbook/structure.php');
// CSS
$CONFIG['CMM_Guestbook']['BE']['include']['CSS'] = array();
// JS
$CONFIG['CMM_Guestbook']['BE']['include']['JS'] = array();


////////////////////////////////////////////////////////////////////
// Set includes for website                                       //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Guestbook']['FE'] = array();
$CONFIG['CMM_Guestbook']['FE']['include'] = array();
// PHP - starting at CMM_ROOT_DIR
$CONFIG['CMM_Guestbook']['FE']['include']['PHP'] = array();
// CSS - starting at CMM_ROOT_DIR
$CONFIG['CMM_Guestbook']['FE']['include']['CSS'] = array('CMM_Guestbook/template/css/CMM_Guestbook.css');
// JS - starting at CMM_ROOT_DIR
$CONFIG['CMM_Guestbook']['FE']['include']['JS'] = array();


////////////////////////////////////////////////////////////////////
// Datenverzeichnisse erstellen                                   //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Guestbook']['dirs'] = array(
	'data/CMM_Guestbook/backup/',
	'data/CMM_Guestbook/images/'
	);


////////////////////////////////////////////////////////////////////
// Plugins                                                        //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Guestbook']['plugins'] = array(
	'CMM_Guestbook_form.php',
	'CMM_Guestbook_list.php',
	'CMM_Guestbook_short.php',
	'CMM_Guestbook_detail.php',
	'CMM_Guestbook_list_xml.php'
	);


////////////////////////////////////////////////////////////////////
// Weitere Einstellungen                                          //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Guestbook']['config'] = array();

// Einfacher Modus - ohne Auswahl der Speicherseite
$CONFIG['CMM_Guestbook']['config']['simpleMode'] = 0;
// Anzeige der Detailansichten zaehlen?
$CONFIG['CMM_Guestbook']['config']['countImpressions'] = 1;
// Meta-Felder
$CONFIG['CMM_Guestbook']['config']['metaTitleFields'] = array();
$CONFIG['CMM_Guestbook']['config']['metaKeywordsFields'] = array('GuestbookItemText');
$CONFIG['CMM_Guestbook']['config']['metaDescriptionFields'] = array('GuestbookItemText');


////////////////////////////////////////////////////////////////////
// DATA-Handling                                                  //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Guestbook']['config']['catchIP'] = 1; // IP-Adresse aufzeichnen [0/1]
$CONFIG['CMM_Guestbook']['config']['newItemEnable'] = 0; // Neue Eintraege sofort online [0/1]
$CONFIG['CMM_Guestbook']['config']['sendNotification'] = 1; // Nachricht an Admin bei neuen Eintraegen [0/1]
$CONFIG['CMM_Guestbook']['config']['adminMail'] = ''; // e-Mail-Adresse für Benachrichtigung [e-Mail-Adresse] - wenn leer, dann Admin-E-Mail

$CONFIG['CMM_Guestbook']['config']['uploadFilesizeLimit'] = 2097152; // Max. upload filesize [Bytes]
$CONFIG['CMM_Guestbook']['config']['smilies'] = 1; // Smilies aktivieren [0/1]
$CONFIG['CMM_Guestbook']['config']['ubbc'] = 1; // UBB-Code aktivieren [0/1]
$CONFIG['CMM_Guestbook']['config']['html'] = 0; // HTML erlauben [0/1]
$CONFIG['CMM_Guestbook']['config']['xssProtect'] = 1; // XSS-Schutz aktivieren [0/1]
// gesperrte Woerter
$CONFIG['CMM_Guestbook']['config']['badword'] = 1; // Badword-Filter aktivieren [0/1]
$CONFIG['CMM_Guestbook']['config']['badwords'] = 'scheiß,idiot,order,cheap, discount,valium,cialis,tramadol,fioricet, levitra,ultram,viagra,diazepam,vicodin, adipex,soma,meridia,zoloft,lortab, ephedrine,ativan,phentermine,hydrocodone,xanax';
$CONFIG['CMM_Guestbook']['config']['badwordreplace'] = '*zensiert*';

// Backup-Ansicht aktivieren
$CONFIG['CMM_Guestbook']['config']['enableBackup'] = 0;


////////////////////////////////////////////////////////////////////
// Felddefinitionen fuer Config                                   //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Guestbook']['configTabs'] = array(0=>'Standard',1=>'Neue Beiträge',2=>'Mail',3=>'Image',5=>'Sonstige');
$CONFIG['CMM_Guestbook']['configFields'] = array(
	'simpleMode' => array('label'=>'Einfacher Modus ohne Seitenbaum','type'=>'radio','options'=>array(array('value'=>'0','text'=>'{LANG_CMM_NO}'),array('value'=>'1','text'=>'{LANG_CMM_YES}')),'position'=>'left','tab'=>0),
	'countImpressions' => array('label'=>'Detailanzeige der Einträge zählen','type'=>'radio','options'=>array(array('value'=>'0','text'=>'{LANG_CMM_NO}'),array('value'=>'1','text'=>'{LANG_CMM_YES}')),'position'=>'left','tab'=>0),
	'catchIP' => array('label'=>'IP-Adresse im Eintrag aufzeichnen','type'=>'radio','options'=>array(array('value'=>'0','text'=>'{LANG_CMM_NO}'),array('value'=>'1','text'=>'{LANG_CMM_YES}')),'position'=>'left','tab'=>1),
	'newItemEnable' => array('label'=>'Neue Einträge sofort (ohne Prüfung) anzeigen','type'=>'radio','options'=>array(array('value'=>'0','text'=>'{LANG_CMM_NO}'),array('value'=>'1','text'=>'{LANG_CMM_YES}')),'position'=>'left','tab'=>1),
	'sendNotification' => array('label'=>'Benachrichtigung: aktivieren','type'=>'radio','options'=>array(array('value'=>'0','text'=>'{LANG_CMM_NO}'),array('value'=>'1','text'=>'{LANG_CMM_YES}')),'position'=>'left','tab'=>2),
	'adminMail' => array('label'=>'Benachrichtigung: E-Mail-Adresse','type'=>'textfield','position'=>'left','tab'=>2),
	'uploadFilesizeLimit' => array('label'=>'Max. Dateigröße für Uploads (Bytes)','type'=>'textfield','datatype'=>'int','position'=>'left','tab'=>3),
	'smilies' => array('label'=>'Smilies aktivieren','type'=>'radio','options'=>array(array('value'=>'0','text'=>'{LANG_CMM_NO}'),array('value'=>'1','text'=>'{LANG_CMM_YES}')),'position'=>'right','tab'=>1),
	'ubbc' => array('label'=>'UBBC-Code zulassen','type'=>'radio','options'=>array(array('value'=>'0','text'=>'{LANG_CMM_NO}'),array('value'=>'1','text'=>'{LANG_CMM_YES}')),'position'=>'right','tab'=>1),
	'html' => array('label'=>'HTML-Code zulassen (Sicherheitsrisiko!)','type'=>'radio','options'=>array(array('value'=>'0','text'=>'{LANG_CMM_NO}'),array('value'=>'1','text'=>'{LANG_CMM_YES}')),'position'=>'right','tab'=>1),
	'xssProtect' => array('label'=>'XSS-Schutz aktivieren','type'=>'radio','options'=>array(array('value'=>'0','text'=>'{LANG_CMM_NO}'),array('value'=>'1','text'=>'{LANG_CMM_YES}')),'position'=>'right','tab'=>1),
	'badword' => array('label'=>'Sperrwörter: aktivieren','type'=>'radio','options'=>array(array('value'=>'0','text'=>'{LANG_CMM_NO}'),array('value'=>'1','text'=>'{LANG_CMM_YES}')),'position'=>'right','tab'=>1),
	'badwords' => array('label'=>'Sperrwörter: Wortliste (,)','type'=>'textfield','position'=>'bottom','tab'=>1),
	'badwordreplace' => array('label'=>'Sperrwörter: Ersatz-String','type'=>'textfield','position'=>'right','tab'=>1),
	'enableBackup' => array('label'=>'Backup aktivieren','type'=>'radio','options'=>array(array('value'=>'0','text'=>'{LANG_CMM_NO}'),array('value'=>'1','text'=>'{LANG_CMM_YES}')),'position'=>'left'),
	'license' => array('label'=>'Lizenz: Lizenz-Code','type'=>'textarea','position'=>'bottom','tab'=>0)
	);


////////////////////////////////////////////////////////////////////
// Einstellungen fuer Suche                                       //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Guestbook']['config']['search'] = array(
	'label' => '{LANG_CMM_GUESTBOOK_LABEL}',
	'resultPIDparams' => ($CONFIG['CMM']['config']['seoUseSeoUrls']==true ? '/{LANG_CMM_ITEM}.{$GuestbookItemUID}' : '?CMM_Guestbook[GuestbookItemUID]={$GuestbookItemUID}'),
	'resultPIDfilter' => '',
	'tablename' => 'cmm_guestbook_items',
	'fieldprefix' => 'GuestbookItem',
	'join' => array(), // Join-Table|Join-Table-Field=Table-Field|[Join-Table-Field=Value]
	'filter' => array(), // Zusatzfilter
	'titleFields' => array('GuestbookItemName'),
	'textFields' => array('GuestbookItemText','GuestbookItemComment'),
	'searchFields' => array('GuestbookItemName','GuestbookItemText','GuestbookItemComment'),
	'extraFields' => array('GuestbookItemName'),
	'deletedField' => 'GuestbookItemDeleted'
	);

?>