<?PHP
/***************************************************************
*  Copyright notice
*
*  (c) 2009-2017 Nicolas Berg
*  All rights reserved
*
*  This script is part of the CMM3 Content-Management-System.
*  CMM3 is provided only under a commercial license until now.
*  Maybe we will add a free license in future.
*
*  This script is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
*
*  This copyright notice MUST APPEAR in all copies of the script!
***************************************************************/

///////////////////////////////////////////////////////////
// Plugin fuer Eintrags-Formular                         //
///////////////////////////////////////////////////////////
// V 1.0 First release
// V 1.0.1 Erkennung metaMode -> keine Ausfuehrung
// V 1.0.2 Feld-Definitionen eingefuegt
// V 1.0.5 Attribs showFields, useImages, useCaptcha added
///////////////////////////////////////////////////////////
include_once(CMM_ROOT_DIR.'CMM_Guestbook/index.php');

/* PARAMS START - Marker-Comments required! */
$params = array(
	'templateFile'=>'CMM_Guestbook/template/html/CMM_Guestbook_form.html',
	'templateFileMail'=>'CMM_Guestbook/template/mail/CMM_Guestbook_mail.html',
	'dataPID'=>'',
	'listPID'=>'',
	'detailPID'=>'',
	'formPID'=>'',
	'conditionsPID'=>'',
	'privacyPID'=>'',

	'showFields'=>'GuestbookItemCity,GuestbookItemWebsite,GuestbookItemEmail',
	'requiredFields'=>'GuestbookItemCity,GuestbookItemEmail',
	'useImages'=>3,
	'useCaptcha'=>1,
	'useConditions'=>1,
	'field1label'=>'',
	'field2label'=>'',
	'field3label'=>'',
	'cacheTimeout'=>0
	);
/* PARAMS END */

/* FIELDSET START - Marker-Comments required! */
$fieldset = array(
	'templateFile' => array('label'=>'HTML-Vorlage Formular','type'=>'textfield','datatype'=>'text','position'=>'bottom','shy'=>1),
	'templateFileMail' => array('label'=>'HTML-Vorlage E-Mail','type'=>'textfield','datatype'=>'text','position'=>'bottom','shy'=>1),
	'dataPID' => array('label'=>'Seite: Datensätze (PID)','type'=>'linkfield','position'=>'left'),
	'listPID' => array('label'=>'Seite: Listen-Anzeige (PID)','type'=>'linkfield','position'=>'left'),
	'detailPID' => array('label'=>'Seite: Detail-Anzeige (PID)','type'=>'linkfield','position'=>'left'),
	'formPID' => array('label'=>'Seite: Neuer Eintrag (PID)','type'=>'linkfield','position'=>'left'),
	'conditionsPID' => array('label'=>'Seite: AGB (PID)','type'=>'linkfield','position'=>'left'),
	'privacyPID' => array('label'=>'Seite: Datenschutz (PID)','type'=>'linkfield','position'=>'left'),

	'showFields'=> array('label'=>'Formular: optionale Felder','type'=>'multiselect','options'=>array(array('value'=>'GuestbookItemCity','text'=>'Ort'),array('value'=>'GuestbookItemWebsite','text'=>'Website'),array('value'=>'GuestbookItemEmail','text'=>'E-Mail'),array('value'=>'GuestbookItemImages','text'=>'Bilder'),array('value'=>'GuestbookItemField1','text'=>'Zusatzfeld 1'),array('value'=>'GuestbookItemField2','text'=>'Zusatzfeld 2'),array('value'=>'GuestbookItemField3','text'=>'Zusatzfeld 3')),'position'=>'right'),
	'requiredFields'=> array('label'=>'Formular: optionale Pflicht-Felder','type'=>'multiselect','options'=>array(array('value'=>'GuestbookItemCity','text'=>'Ort'),array('value'=>'GuestbookItemWebsite','text'=>'Website'),array('value'=>'GuestbookItemEmail','text'=>'E-Mail'),array('value'=>'GuestbookItemImages','text'=>'Bilder'),array('value'=>'GuestbookItemField1','text'=>'Zusatzfeld 1'),array('value'=>'GuestbookItemField2','text'=>'Zusatzfeld 2'),array('value'=>'GuestbookItemField3','text'=>'Zusatzfeld 3')),'position'=>'right'),
	'useImages' => array('label'=>'Formular: Anzahl Dateifelder','type'=>'select','options'=>array(array('value'=>0,'text'=>'0'),array('value'=>1,'text'=>'1'),array('value'=>2,'text'=>'2'),array('value'=>3,'text'=>'3'),array('value'=>4,'text'=>'4'),array('value'=>5,'text'=>'5'),array('value'=>6,'text'=>'6')),'position'=>'right'),
	'useCaptcha' => array('label'=>'Formular: Catpcha-Feld verwenden','type'=>'radio','options'=>array(array('value'=>'0','text'=>'{LANG_CMM_NO}'),array('value'=>'1','text'=>'{LANG_CMM_YES}')),'position'=>'right'),
	'useConditions' => array('label'=>'Formular: Nutzungsedingungen bestätigen','type'=>'radio','options'=>array(array('value'=>'0','text'=>'{LANG_CMM_NO}'),array('value'=>'1','text'=>'{LANG_CMM_YES}')),'position'=>'right'),
	'field1label' => array('label'=>'Formular: Titel Zusatzfeld 1','type'=>'textfield','datatype'=>'text','position'=>'right','shy'=>1),
	'field2label' => array('label'=>'Formular: Titel Zusatzfeld 2','type'=>'textfield','datatype'=>'text','position'=>'right','shy'=>1),
	'field3label' => array('label'=>'Formular: Titel Zusatzfeld 3','type'=>'textfield','datatype'=>'text','position'=>'right','shy'=>1),
	'cacheTimeout' => array('label'=>'{LANG_CMM_CACHE_TIMEOUT}','type'=>'textfield','datatype'=>'int','position'=>'bottom','shy'=>1)
	);
/* FIELDSET END */

// Set customer group
$params['CustomerCustomergroupID'] = isset($GLOBALS['CustomergroupUID']) ? $GLOBALS['CustomergroupUID'] : 0;
// Set language
$params['LID'] = isset($GLOBALS['LanguageUID']) ? $GLOBALS['LanguageUID'] : 1;

// Merge params and pluginParams
$params = CMM_mergePluginParams($params,$pluginParams);

// Inhalt ausgeben, wenn nicht im metaMode 
if(empty($params['metaMode']))
	{
	$extGuestbookForm = new CMM_Guestbook;
	$pluginContent = $extGuestbookForm->createForm($params);
	}
unset($params);
?>
