<?PHP
/***************************************************************
*  Copyright notice
*
*  (c) 2009-2017 Nicolas Berg
*  All rights reserved
*
*  This script is part of the CMM3 Content-Management-System.
*  CMM3 is provided only under a commercial license until now.
*  Maybe we will add a free license in future.
*
*  This script is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
*
*  This copyright notice MUST APPEAR in all copies of the script!
***************************************************************/

// V 1.0 First release
// V 1.0.1 Verarbeitung von Config angepasst
// V 1.0.2 Backup-Einstellungen ergaenzt
// V 1.0.3 Delete-fields added
// V 1.0.4 PASTE-Action mod
// V 1.0.5 Mod userLevels

////////////////////////////////////////////////////////////////////
// Modul-Anzeigen                                                 //
////////////////////////////////////////////////////////////////////
// - label: Bezeichnung des Feldes
// - table: Haupt-Datenbanktabelle
// - userLevel: Berechntigungsstufe fuer Datensaetze
// - navi: Anzeige in der Hauptnavigation
$CONFIG['CMM_Guestbook']['views'] = array();
$CONFIG['CMM_Guestbook']['views']['INDEX'] = array('label'=>'{LANG_CMM_GUESTBOOK_VIEW_INDEX}','userLevel'=>1);
$CONFIG['CMM_Guestbook']['views']['ITEMS'] = array('label'=>'{LANG_CMM_GUESTBOOK_VIEW_ITEMS}','table'=>'cmm_guestbook_items','userLevel'=>1,'inNavi'=>1);
$CONFIG['CMM_Guestbook']['views']['CONFIG'] = array('label'=>'{LANG_CMM_GUESTBOOK_VIEW_CONFIG}','table'=>'cmm_cmm_config','userLevel'=>6,'inNavi'=>1);
$CONFIG['CMM_Guestbook']['views']['BACKUP'] = array('label'=>'{LANG_CMM_GUESTBOOK_VIEW_BACKUP}','userLevel'=>1,'inNavi'=>(!empty($GLOBALS['isBackend']) && !empty($CUSTOM['CMM_Guestbook']['config']['enableBackup']) ? 1 : 0));
$CONFIG['CMM_Guestbook']['views']['INSTALL'] = array('label'=>'{LANG_CMM_GUESTBOOK_VIEW_INSTALL}','userLevel'=>3);


////////////////////////////////////////////////////////////////////
// Modulfunktionen                                                //
////////////////////////////////////////////////////////////////////
// - label: Bezeichnung des Feldes
// - area: Anzeige-Bereich
// - userLevel: Berechntigungsstufe fuer Datensaetze
// - icon: Icon fuer Listenansicht
// - action: Aktion, die ausgefuehrt werden soll
// - clipboardAction: Aktion, die spaeter ausgefuehrt werden soll
// - message: Frage vor Ausfuerung der Funktion
// - condition: Bedingung pruefen (Datenbankfeld) item/_SESSION/_GET/_POST/_COOKIE/_ENV[keyvar]==value
// - file: Funktion in externer Datei ausfuehren
// - target: Zielfenster fuer Funktion

$CONFIG['CMM_Guestbook']['views']['ITEMS']['actions'] = array(
	'LIST' => array('label'=>'{LANG_CMM_ACTION_LIST}','userLevel'=>0),
	'NEW' => array('label'=>'{LANG_CMM_GUESTBOOK_ITEM} {LANG_CMM_ACTION_NEW}','area'=>'listhead','userLevel'=>1,'icon'=>'icon-action-new.svg'),
	'EDIT' => array('label'=>'{LANG_CMM_ACTION_EDIT}','area'=>'list','userLevel'=>1,'icon'=>'icon-action-edit.svg'),
	'ENABLE' => array('label'=>'{LANG_CMM_ACTION_ENABLE}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-enable.svg','condition'=>'$item["GuestbookItemStatus"]==0'),
	'DISABLE' => array('label'=>'{LANG_CMM_ACTION_DISABLE}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-disable.svg','condition'=>'$item["GuestbookItemStatus"]==1'),
	'UP' => array('label'=>'{LANG_CMM_ACTION_UP}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-up.svg','condition'=>'$item["firstItem"]!=true && $CURRENT["sort"]=="GuestbookItemSort ASC"'),
	'DOWN' => array('label'=>'{LANG_CMM_ACTION_DOWN}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-down.svg','condition'=>'$item["lastItem"]!=true && $CURRENT["sort"]=="GuestbookItemSort ASC"'),
	'SAVE' => array('label'=>'{LANG_CMM_ACTION_SAVE}','area'=>'singlehead','userLevel'=>3,'icon'=>'icon-action-save.svg'),
	'SAVENEW' => array('label'=>'{LANG_CMM_ACTION_SAVENEW}','area'=>'singlehead','userLevel'=>3,'icon'=>'icon-action-save-and-new.svg'),
	'SAVECLOSE' => array('label'=>'{LANG_CMM_ACTION_SAVECLOSE}','area'=>'singlehead','userLevel'=>3,'icon'=>'icon-action-save-and-close.svg'),
	'CLOSE' => array('label'=>'{LANG_CMM_ACTION_CLOSE}','area'=>'singlehead','userLevel'=>1,'icon'=>'icon-action-close.svg'),
	'CUT' => array('label'=>'{LANG_CMM_ACTION_CUT}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-cut.svg'),
	'COPY' => array('label'=>'{LANG_CMM_ACTION_COPY}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-copy.svg'),
	'PASTE' => array('label'=>'{LANG_CMM_ACTION_PASTE}','area'=>'listhead','userLevel'=>3,'icon'=>'icon-action-paste.svg','UID'=>(!empty($GLOBALS['isBackend']) && isset($_SESSION[$CURRENT["module"]][$CURRENT["view"]]['clipboard']) ? $_SESSION[$CURRENT["module"]][$CURRENT["view"]]['clipboard']['id'] : ''),'condition'=>'!empty($_SESSION[$CURRENT["module"]][$CURRENT["view"]]["clipboard"])'),
	'REMOVE' => array('label'=>'{LANG_CMM_ACTION_REMOVE}','area'=>'list,singlehead','userLevel'=>3,'icon'=>'icon-action-remove.svg','condition'=>'$item["GuestbookItemUID"]>0','message'=>'{LANG_CMM_ACTION_REMOVE_CONFIRM}'),
	'CLIPBOARDCLEAR' => array('label'=>'{LANG_CMM_ACTION_CLIPBOARDCLEAR}','area'=>'listhead','userLevel'=>3,'icon'=>'icon-action-clipboard-clear.svg','condition'=>'isset($_SESSION[$CURRENT["module"]][$CURRENT["view"]]["clipboard"])')
	);

$CONFIG['CMM_Guestbook']['views']['BACKUP']['actions'] = array(
	'BACKUP' => array('label'=>'Datensicherung','userLevel'=>1,'inNavi'=>1),
	'INSTALLDB' => array('label'=>'Datenbanktabellen konfigurieren','userLevel'=>6),
	'BACKUPMAKE' => array('label'=>'Sicherung erstellen','userLevel'=>6,'inNavi'=>0),
	'BACKUPRESTORE' => array('label'=>'Sicherung zurückschreiben','userLevel'=>6,'inNavi'=>0),
	'BACKUPREMOVE' => array('label'=>'Sicherung löschen','userLevel'=>6,'inNavi'=>0)
	);

$CONFIG['CMM_Guestbook']['views']['CONFIG']['actions'] = array(
	'CONFIG' => array('label'=>'Konfiguration','userLevel'=>1,'inNavi'=>1),
	'CONFIGSAVE' => array('label'=>'Konfiguration','area'=>'singlehead','userLevel'=>6,'icon'=>'icon-action-save.svg')
	);

$CONFIG['CMM_Guestbook']['views']['INSTALL']['actions'] = array(
	'INSTALL' => array('label'=>'Installation','userLevel'=>6,'inNavi'=>0)
	);


////////////////////////////////////////////////////////////////////
// Datenbank-Tabellen                                             //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Guestbook']['database'] = array();

// Datenstamm fuer Eintraege
$CONFIG['CMM_Guestbook']['database']['cmm_guestbook_items'] = array(
	'tabs' => array(0=>'Standard',3=>'Media',6=>'Sonstiges',9=>'Anzeige'),
	'tablename' => 'cmm_guestbook_items',
	'sort' => 'GuestbookItemUID DESC',
	'backup' => 1,
	'fieldprefix' => 'GuestbookItem',
	'fieldset' => array(
		'GuestbookItemUID' => array('label'=>'ID','type'=>'hidden','position'=>'top','tab'=>0,
			'sqldef'=>'int(10) default \'0\''),
		'GuestbookItemPID' => array('label'=>'ParentID','type'=>'hidden','position'=>'top','tab'=>0,
			'sqldef'=>'int(10) default \'0\''),
		'GuestbookItemTID' => array('label'=>'Guestbook-Kategorie(n)','type'=>'hidden','position'=>'left','tab'=>0,
			'sqldef'=>'int(3) default \'0\''),
		'GuestbookItemLID' => array('label'=>'Sprache','type'=>'radio','position'=>'top','tab'=>6,
			'sqldef'=>'int(3) default \'0\'',
			'select'=>array('module'=>'CMM','table'=>'cmm_cmm_languages','keyfield'=>'LanguageUID','labelfield'=>'LanguageName','sort'=>'LanguageUID')),
		'GuestbookItemStatus' => array('label'=>'Status','type'=>'radio','position'=>'top','tab'=>9,
			'sqldef'=>'int(1) default \'0\'',
			'options'=>array(array('value'=>1,'text'=>'{LANG_CMM_ENABLED}'),array('value'=>'0','text'=>'{LANG_CMM_DISABLED}'))),
		'GuestbookItemDeleted' => array('label'=>'{LANG_CMM_FIELD_REMOVED}','type'=>'hidden','position'=>'top','tab'=>6,
			'sqldef'=>'int(1) default \'0\''),
		'GuestbookItemSort' => array('label'=>'Sortierung','type'=>'hidden','position'=>'top','tab'=>6,
			'sqldef'=>'int(10) default \'0\''),
		'GuestbookItemStart' => array('label'=>'Start','type'=>'datetime','position'=>'left','tab'=>9,
			'sqldef'=>'datetime default NULL'),
		'GuestbookItemStop' => array('label'=>'Ende','type'=>'datetime','position'=>'right','tab'=>9,
			'sqldef'=>'datetime default NULL'),
		'GuestbookItemCustomergroupID' => array('label'=>'Anzeige für Benutzergruppen','type'=>'multiselect','attribs'=>array('multiple'=>1,'size'=>6),'position'=>'bottom','tab'=>9,
			'sqldef'=>'varchar(255) collate utf8_unicode_ci default NULL',
			'options'=>array('none'=>array('value'=>'0','text'=>'{LANG_CMM_IF_LOGGED_OUT}'),'all'=>array('value'=>'*','text'=>'{LANG_CMM_IF_LOGGED_IN}')),
			'select'=>array('module'=>'CMM','table'=>'cmm_cmm_customergroups','keyfield'=>'CustomergroupUID','labelfield'=>'CustomergroupUID,CustomergroupName','sort'=>'CustomergroupUID')),
		'GuestbookItemDate' => array('label'=>'Datum','type'=>'datetime','position'=>'left','tab'=>0,
			'sqldef'=>'datetime default \'0000-00-00 00:00:00\''),
		'GuestbookItemName' => array('label'=>'Name','type'=>'textfield','attribs'=>array('required'=>1),'position'=>'top','tab'=>0,
			'sqldef'=>'varchar(255) collate utf8_unicode_ci default NULL'),
		'GuestbookItemCity' => array('label'=>'Ort','type'=>'textfield','position'=>'left','tab'=>0,
			'sqldef'=>'varchar(255) collate utf8_unicode_ci default NULL'),
		'GuestbookItemEmail' => array('label'=>'E-Mail','type'=>'textfield','position'=>'right','tab'=>0,
			'sqldef'=>'varchar(255) collate utf8_unicode_ci default NULL'),
		'GuestbookItemEmailVisible' => array('label'=>'E-Mail sichtbar?','type'=>'checkbox','position'=>'right','tab'=>0,'shy'=>1,
			'sqldef'=>'int(1) default \'0\'',
			'options'=>array(array('value'=>'1','text'=>'{LANG_CMM_YES}'))),
		'GuestbookItemWebsite' => array('label'=>'Website','type'=>'textfield','position'=>'left','tab'=>0,
			'sqldef'=>'varchar(255) collate utf8_unicode_ci default NULL'),
		'GuestbookItemText' => array('label'=>'Gästebuch-Text','type'=>'textarea','description'=>'','attribs'=>array('rows'=>12,'required'=>1),'position'=>'bottom','tab'=>0,
			'sqldef'=>'text collate utf8_unicode_ci',
			'tools'=>(!empty($GLOBALS['isBackend']) ? CMM_createSmileyButtons('datafield_GuestbookItemText',$CONFIG['CMM']['config']['smilies']).' &nbsp; &nbsp; '.CMM_createUbbcButtons('datafield_GuestbookItemText',$CONFIG['CMM']['config']['ubbc']) : '')),
		'GuestbookItemComment' => array('label'=>'Kommentar','type'=>'rte','position'=>'bottom','attribs'=>array('rows'=>6),'tab'=>0,'shy'=>1,
			'sqldef'=>'text collate utf8_unicode_ci'),
		'GuestbookItemField1' => array('label'=>'Zusatzfeld 1','type'=>'textfield','position'=>'right','tab'=>0,'shy'=>1,
			'sqldef'=>'varchar(255) collate utf8_unicode_ci default NULL'),
		'GuestbookItemField2' => array('label'=>'Zusatzfeld 2','type'=>'textfield','position'=>'right','tab'=>0,'shy'=>1,
			'sqldef'=>'varchar(255) collate utf8_unicode_ci default NULL'),
		'GuestbookItemField3' => array('label'=>'Zusatzfeld 3','type'=>'textfield','position'=>'right','tab'=>0,'shy'=>1,
			'sqldef'=>'varchar(255) collate utf8_unicode_ci default NULL'),
		'GuestbookItemImages' => array('label'=>'Bilder','type'=>'imagelist','position'=>'top','number'=>5,'dir'=>'data/CMM_Guestbook/images/','tab'=>3,
			'sqldef'=>'text collate utf8_unicode_ci'),
		'GuestbookItemIP' => array('label'=>'IP des Autors','type'=>'textfield','position'=>'bottom','tab'=>6,'shy'=>1,
			'sqldef'=>'varchar(255) collate utf8_unicode_ci default NULL'),
		'GuestbookItemHash' => array('label'=>'Hashwert','type'=>'textfield','position'=>'bottom','tab'=>6,'shy'=>1,
			'sqldef'=>'varchar(32) collate utf8_unicode_ci default NULL'),
		'GuestbookItemAddDate' => array('label'=>'Datum erstellt','type'=>'hidden','position'=>'left','tab'=>0,
			'sqldef'=>'datetime default \'0000-00-00 00:00:00\''),
		'GuestbookItemAddUser' => array('label'=>'Benutzer erstellt','type'=>'hidden','position'=>'left','tab'=>0,
			'sqldef'=>'varchar(32) collate utf8_unicode_ci default \'0\''),
		'GuestbookItemModDate' => array('label'=>'Datum geändert','type'=>'hidden','position'=>'left','tab'=>0,
			'sqldef'=>'datetime default \'0000-00-00 00:00:00\''),
		'GuestbookItemModUser' => array('label'=>'Benutzer geändert','type'=>'hidden','position'=>'left','tab'=>0,
			'sqldef'=>'varchar(32) collate utf8_unicode_ci default \'0\'')
		),
	'tableset' => array(
		'engine' => 'MyISAM',
		'primarykey' => 'UID',
		'charset' => 'utf8',
		'collation' => 'utf8_unicode_ci',
		'comment' => 'Einträge'
		)
	);
	

////////////////////////////////////////////////////////////////////
// Sortier-Variablen (Administration)                             //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Guestbook']['sortVars'] = array();
$CONFIG['CMM_Guestbook']['sortVars']['cmm_guestbook_items'] = array('GuestbookItemUID','GuestbookItemSort','GuestbookItemStatus','GuestbookItemName','GuestbookItemModDate');


////////////////////////////////////////////////////////////////////
// Filter-Variablen (Administration)                             //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Guestbook']['filterVars'] = array();
$CONFIG['CMM_Guestbook']['filterVars']['cmm_guestbook_items'] = array_keys($CONFIG['CMM_Guestbook']['database']['cmm_guestbook_items']['fieldset']);

?>