<?PHP
/***************************************************************
*  Copyright notice
*
*  (c) 2009-2017 Nicolas Berg
*  All rights reserved
*
*  This script is part of the CMM3 Content-Management-System.
*  CMM3 is provided only under a commercial license until now.
*  Maybe we will add a free license in future.
*
*  This script is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
*
*  This copyright notice MUST APPEAR in all copies of the script!
***************************************************************/

////////////////////////////////////////////////////////////////////
// Modul-Einstellungen                                            //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Immo'] = array();
// Modulpraefix
$CONFIG['CMM_Immo']['key'] = 'CMM_Immo';
// Modulname
$CONFIG['CMM_Immo']['label'] = 'Immobilien';
// Modulbeschreibung
$CONFIG['CMM_Immo']['description'] = 'Modul zur Anzeige von Immobilien mit Kategorien, Orten und Kontakten';
// Module-languages
$CONFIG['CMM_Immo']['languages'] = 'at,de,ch,en';
// Modulicon
$CONFIG['CMM_Immo']['icon'] = 'CMM_Immo.svg';
// Modulversion
$CONFIG['CMM_Immo']['version'] = '2.0';
// Dependencies
$CONFIG['CMM_Immo']['depend'] = 'CMM:6.0';


////////////////////////////////////////////////////////////////////
// Set includes for administration                                //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Immo']['BE'] = array();
$CONFIG['CMM_Immo']['BE']['include'] = array();
// PHP
$CONFIG['CMM_Immo']['BE']['include']['PHP'] = array('CMM_Immo/structure.php','CMM_Immo/import.php');
// CSS
$CONFIG['CMM_Immo']['BE']['include']['CSS'] = array();
// JS
$CONFIG['CMM_Immo']['BE']['include']['JS'] = array();


////////////////////////////////////////////////////////////////////
// Set includes for website                                       //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Immo']['FE'] = array();
$CONFIG['CMM_Immo']['FE']['include'] = array();
// PHP - starting at CMM_ROOT_DIR
$CONFIG['CMM_Immo']['FE']['include']['PHP'] = array();
// CSS - starting at CMM_ROOT_DIR
$CONFIG['CMM_Immo']['FE']['include']['CSS'] = array('CMM_Immo/template/css/CMM_Immo.css');
// JS - starting at CMM_ROOT_DIR
$CONFIG['CMM_Immo']['FE']['include']['JS'] = array();


////////////////////////////////////////////////////////////////////
// Datenverzeichnisse erstellen                                   //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Immo']['dirs'] = array(
	'data/CMM_Immo/backup/',
	'data/CMM_Immo/images/',
	'data/CMM_Immo/videos/',
	'data/CMM_Immo/audios/',
	'data/CMM_Immo/files/',
	'data/CMM_Immo/import/'
	);


////////////////////////////////////////////////////////////////////
// Plugins                                                        //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Immo']['plugins'] = array(
	'CMM_Immo_navi.php',
	'CMM_Immo_navi_kauf.php',
	'CMM_Immo_navi_miete.php',
	'CMM_Immo_navi_neubau.php',
	'CMM_Immo_filter.php',
	'CMM_Immo_exposelect.php',
	'CMM_Immo_list.php',
	'CMM_Immo_listmap.php',
	'CMM_Immo_short.php',
	'CMM_Immo_random.php',
	'CMM_Immo_detail.php',
	'CMM_Immo_list_xml.php',
	'customerLog.php',
	'finanzierung.php'
	);


////////////////////////////////////////////////////////////////////
// Weitere Einstellungen                                          //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Immo']['config'] = array();

// Einfacher Modus - ohne Auswahl der Speicherseite
$CONFIG['CMM_Immo']['config']['simpleMode'] = 0;
// Anzahl der Eintraege pro Kategorie in der Navigation anzeigen?
$CONFIG['CMM_Immo']['config']['dispayCategoryCounter'] = 1;
// Import-Funktion aktivieren
$CONFIG['CMM_Immo']['config']['enableImport'] = 0;
// Abieter-Kennzeichnung
$CONFIG['CMM_Immo']['config']['anid'] = '';
// Expose-Fusszeile
$CONFIG['CMM_Immo']['config']['exposeFooter'] = '<b><big>Weitere Informationen unter: www.mustermann-immobilien.de</big></b><br>Mustermann Immobilien &bull; Musterstraße 12 &bull; 98765 Musterhausen';

// Meta-Felder
$CONFIG['CMM_Immo']['config']['metaTitleFields'] = array('ImmoTypeTitle','ImmoCityTitle');
$CONFIG['CMM_Immo']['config']['metaKeywordsFields'] = array('ImmoTypeTitle','ImmoCityTitle','ImmoObjectTitle','ImmoObjectLabel','ImmoObjectEquipment');
$CONFIG['CMM_Immo']['config']['metaDescriptionFields'] = array('ImmoObjectDescription');


// statische Kategorien
$CONFIG['CMM_Immo']['config']['categories'] = array('1'=>'{LANG_CMM_IMMO_CATEGORY_1}','2'=>'{LANG_CMM_IMMO_CATEGORY_2}','3'=>'{LANG_CMM_IMMO_CATEGORY_3}','4'=>'{LANG_CMM_IMMO_CATEGORY_4}','5'=>'{LANG_CMM_IMMO_CATEGORY_5}');

// Art derr Miete
$CONFIG['CMM_Immo']['config']['rentTypes'] = array('0'=>'keine','1'=>'Kaltmiete','2'=>'Warmmiete','3'=>'Pacht','4'=>'Erbbauzins');

// Backup-Ansicht aktivieren
$CONFIG['CMM_Immo']['config']['enableBackup'] = 0;


////////////////////////////////////////////////////////////////////
// Felddefinitionen fuer Config                                   //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Immo']['configFields'] = array(
	'simpleMode' => array('label'=>'Einfacher Modus ohne Seitenbaum','type'=>'radio','options'=>array(array('value'=>'0','text'=>'{LANG_CMM_NO}'),array('value'=>'1','text'=>'{LANG_CMM_YES}')),'position'=>'left'),
	'dispayCategoryCounter' => array('label'=>'Objektanzahl in Navigation anzeigen','type'=>'radio','options'=>array(array('value'=>'0','text'=>'{LANG_CMM_NO}'),array('value'=>'1','text'=>'{LANG_CMM_YES}')),'position'=>'left'),
	'enableImport' => array('label'=>'Import-Modul aktivieren','type'=>'radio','options'=>array(array('value'=>'0','text'=>'{LANG_CMM_NO}'),array('value'=>'1','text'=>'{LANG_CMM_YES}')),'position'=>'left'),
	'anid' => array('label'=>'OpenImmo ANID (Anbieter)','type'=>'textfield','position'=>'right'),
	'exposeFooter' => array('label'=>'Exposé: Fußzeile','type'=>'textfield','position'=>'right'),
	'enableBackup' => array('label'=>'Backup aktivieren','type'=>'radio','options'=>array(array('value'=>'0','text'=>'{LANG_CMM_NO}'),array('value'=>'1','text'=>'{LANG_CMM_YES}')),'position'=>'left')
	);


////////////////////////////////////////////////////////////////////
// Einstellungen fuer Suche                                       //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Immo']['config']['search'] = array(
	'label' => '{LANG_CMM_IMMO_LABEL}',
	'resultPIDparams' => ($CONFIG['CMM']['config']['seoUseSeoUrls']==true ? '/{LANG_CMM_IMMO_ITEM}.{$ImmoObjectUID}' : '?CMM_Immo[ImmoObjectUID]={$ImmoObjectUID}'),
	'resultPIDfilter' => '',
	'tablename' => 'cmm_immo_objects',
	'fieldprefix' => 'ImmoObject',
	'join' => array(/*'cmm_immo_categories|ImmoCategoryUID=ImmoObjectCategoryID',*/'cmm_immo_types|ImmoTypeUID=ImmoObjectTypeID','cmm_immo_cities|ImmoCityUID=ImmoObjectCityID'), // Join-Table|Join-Table-Field=Table-Field|[Join-Table-Field=Value]
	'filter' => array(), // Zusatzfilter
	'titleFields' => array(/*'ImmoCategoryTitle',*/'ImmoTypeTitle','ImmoCityTitle'),
	'textFields' => array('ImmoObjectTitle','ImmoObjectDescription'),
	'searchFields' => array(/*'ImmoCategoryTitle',*/'ImmoTypeTitle','ImmoCityTitle','ImmoObjectTitle','ImmoObjectExpose','ImmoObjectDescription','ImmoObjectEquipment'),
	'extraFields' => array('ImmoTypeTitle','ImmoCityTitle'),
	'deletedField' => 'ImmoObjectDeleted'
	);

?>