<?PHP
/***************************************************************
*  Copyright notice
*
*  (c) 2009-2017 Nicolas Berg
*  All rights reserved
*
*  This script is part of the CMM3 Content-Management-System.
*  CMM3 is provided only under a commercial license until now.
*  Maybe we will add a free license in future.
*
*  This script is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
*
*  This copyright notice MUST APPEAR in all copies of the script!
***************************************************************/

///////////////////////////////////////////////////////////
// Plugin fuer Immobilien-Filter                         //
///////////////////////////////////////////////////////////
// V 1.0 First release
// V 1.2.0 recoded filter logic and criterias
///////////////////////////////////////////////////////////
include_once(CMM_ROOT_DIR.'CMM_Immo/index.php');

/* PARAMS START - Marker-Comments required! */
$params = array(
	'templateFile'=>'CMM_Immo/template/html/CMM_Immo_filter.html',
	'dataPID'=>'',
	'listPID'=>'',
	'showFilters' => 'ImmoObjectCategoryID,ImmoObjectTypeID,ImmoObjectCityID',
	'filter' => '{$_REQUEST["CMM_Immo"]["filter"]}',
	'filterDefault'=>'',
	'filterInPageTail'=>1,
	'wrapItem' => '',
	'wrapItemAndSub' => '',
	'wrapLevel' => '',
	'wrapLevel0' => '',
	'wrapAll' => '',
	'cacheTimeout'=>600
	);
/* PARAMS END */

/* FIELDSET START - Marker-Comments required! */
$fieldset = array(
	'templateFile' => array('label'=>'HTML-Vorlagen-Datei','type'=>'textfield','datatype'=>'text','position'=>'bottom'),
	'dataPID' => array('label'=>'Seite: Datensätze (PID)','type'=>'linkfield','position'=>'left'),
	'listPID' => array('label'=>'Seite: Listen-Anzeige (PID)','type'=>'linkfield','position'=>'left'),
	'showFilters' => array('label'=>'Anzeige: Filterfelder anzeigen','type'=>'checkbox','options'=>array(array('value'=>'ImmoObjectCategoryID','text'=>'Kategorie'),array('value'=>'ImmoObjectTypeID','text'=>'Objektart'),array('value'=>'ImmoObjectCityID','text'=>'Ort'),array('value'=>'ImmoObjectCostsRent','text'=>'Mietpreis'),array('value'=>'ImmoObjectCostsBuy','text'=>'Kaufpreis'),array('value'=>'ImmoObjectAreaLiving','text'=>'Wohnfläche'),array('value'=>'ImmoObjectAreaFunctional','text'=>'Nutzfläche'),array('value'=>'ImmoObjectAreaLand','text'=>'Grundstück'),array('value'=>'ImmoObjectRooms','text'=>'Anzahl Räume')),'datatype'=>'code','position'=>'bottom'),
	'filter' => array('label'=>'Filter: dynamischer Filter','type'=>'textfield','datatype'=>'code','position'=>'bottom'),
	'filterDefault' => array('label'=>'Filter: statischer Zusatz-Filter','type'=>'textfield','datatype'=>'code','position'=>'bottom'),
	'filterInPageTail' => array('label'=>'Filter: dynamischen Filter aus SEO-URL ermitteln','type'=>'radio','options'=>array(array('value'=>'0','text'=>'{LANG_CMM_NO}'),array('value'=>'1','text'=>'{LANG_CMM_YES}')),'position'=>'bottom'),
	'wrapItem' => array('label'=>'HTML-Wrap um Navigationspunkt','type'=>'textfield','datatype'=>'code','position'=>'bottom'),
	'wrapItemAndSub' => array('label'=>'HTML-Wrap um Navigationspunkt mit Unterpunkten','type'=>'textfield','datatype'=>'code','position'=>'bottom'),
	'wrapLevel' => array('label'=>'HTML-Wrap um alle Ebene','type'=>'textfield','datatype'=>'code','position'=>'bottom'),
	'wrapLevel0' => array('label'=>'HTML-Wrap um Ebene (nur erste)','type'=>'textfield','datatype'=>'code','position'=>'bottom'),
	'wrapAll' => array('label'=>'HTML-Wrap um gesamte Navi','type'=>'textfield','datatype'=>'code','position'=>'bottom'),
	'cacheTimeout' => array('label'=>'{LANG_CMM_CACHE_TIMEOUT}','type'=>'textfield','datatype'=>'int','position'=>'bottom','shy'=>1)
	);
/* FIELDSET END */

// Set customer group
$params['CustomerCustomergroupID'] = isset($GLOBALS['CustomergroupUID']) ? $GLOBALS['CustomergroupUID'] : 0;
// Set language
$params['LID'] = isset($GLOBALS['LanguageUID']) ? $GLOBALS['LanguageUID'] : 1;

// Merge params and pluginParams
$params = CMM_mergePluginParams($params,$pluginParams);

//var_dump($params['filter']);

// Inhalt ausgeben
$extImmoFilter = new CMM_Immo;
$pluginContent = $extImmoFilter->createFilter($params);

unset($params);
?>