<?PHP
/***************************************************************
*  Copyright notice
*
*  (c) 2009-2017 Nicolas Berg
*  All rights reserved
*
*  This script is part of the CMM3 Content-Management-System.
*  CMM3 is provided only under a commercial license until now.
*  Maybe we will add a free license in future.
*
*  This script is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
*
*  This copyright notice MUST APPEAR in all copies of the script!
***************************************************************/

///////////////////////////////////////////////////////////
// Plugin fuer Mitarbeiter-Liste                         //
///////////////////////////////////////////////////////////
// V 1.0 First release
// V 1.0.1 Erweiterung auf Mehrsprachigkeit
// V 1.0.2 Div. Mods fuer CMM3 RC2
// V 1.0.3 Erweiterung fuer ID aus PageAlias
// V 1.0.4 Feld-Definitionen eingefuegt
// V 1.0.5 Parameter fuer Listentypauswahl eingefuegt
// V 1.0.6 Ermittlung der Filter-Parameter angepasst
///////////////////////////////////////////////////////////
include_once(CMM_ROOT_DIR.'CMM_Immo/index.php');

/* PARAMS START - Marker-Comments required! */
$params = array(
	'templateFile'=>'CMM_Immo/template/html/CMM_Immo_list.html',
	'dataPID'=>'',
	'listPID'=>'',
	'detailPID'=>'',
	'UID'=>'',
	'UIDinPageAlias'=>1,
	'pagenaviShow'=>1,
	'pagenaviPages'=>'',
	'limitShow' => 1,
	'limit'=>'{$_REQUEST["CMM_Immo"]["limit"]}',
	'limitOptions'=>'{array(12,18,24,36)}',
	'filter'=>'{$_REQUEST["CMM_Immo"]["filter"]}',
	'filterInPageTail'=>1,
	'filterFields' => 'ImmoObjectCategoryID,ImmoObjectTypeID,ImmoObjectCityID',
	'filterDefault'=>'',
	'sort'=>'{$_REQUEST["CMM_Immo"]["sort"]}',
	'sortbar'=>1,
	'sortbarFields'=>'{array("ImmoObjectCategoryID", "ImmoTypeTitle", "ImmoCityTitle", "ImmoObjectZip", "ImmoObjectAreaLiving", "ImmoObjectCostsBuy")}',
	'sortbarLabels'=>'{array("Kategorie", "Objektart", "Ort", "PLZ", "Wohnfläche", "Kaufpreis")}',
	'start'=>'{$_REQUEST["CMM_Immo"]["start"]}',
	'listtypebar'=>1,
	'cacheTimeout'=>86400
	);
/* PARAMS END */

/* FIELDSET START - Marker-Comments required! */
$fieldset = array(
	'templateFile' => array('label'=>'HTML-Vorlagen-Datei','type'=>'textfield','datatype'=>'text','position'=>'bottom'),
	'dataPID' => array('label'=>'Seite: Datensätze (PID)','type'=>'linkfield','position'=>'left'),
	'listPID' => array('label'=>'Seite: Listen-Anzeige (PID)','type'=>'linkfield','position'=>'left'),
	'detailPID' => array('label'=>'Seite: Detail-Anzeige (PID)','type'=>'linkfield','position'=>'left'),
	'UID' => array('label'=>'Eintrag: nur diesen anzeigen (UID)','type'=>'textfield','datatype'=>'text','position'=>'left'),
	'UIDinPageAlias' => array('label'=>'Eintrag: UID aus SEO-URL ermitteln','type'=>'radio','options'=>array(array('value'=>'0','text'=>'{LANG_CMM_NO}'),array('value'=>'1','text'=>'{LANG_CMM_YES}')),'position'=>'left'),
	'pagenaviShow' => array('label'=>'Seitennavigation: anzeigen','type'=>'radio','options'=>array(array('value'=>'0','text'=>'{LANG_CMM_NO}'),array('value'=>'1','text'=>'{LANG_CMM_YES}')),'position'=>'right'),
	'pagenaviPages' => array('label'=>'Seitennavigation: max. Seiten','type'=>'textfield','datatype'=>'text','position'=>'right'),
	'limitShow' => array('label'=>'Einträge pro Seite: Auswahl anzeigen','type'=>'radio','options'=>array(array('value'=>'0','text'=>'{LANG_CMM_NO}'),array('value'=>'1','text'=>'{LANG_CMM_YES}')),'position'=>'right'),
	'limit' => array('label'=>'Einträge pro Seite: (Anzahl oder Variable)','type'=>'textfield','datatype'=>'code','position'=>'right'),
	'limitOptions' => array('label'=>'Einträge pro Seite: Auswahlwerte','type'=>'textfield','datatype'=>'code','position'=>'right'),
	'filter' => array('label'=>'Filter: dynamischer Filter','type'=>'textfield','datatype'=>'code','position'=>'bottom'),
	'filterInPageTail' => array('label'=>'Filter: dynamischen Filter aus SEO-URL ermitteln','type'=>'radio','options'=>array(array('value'=>'0','text'=>'{LANG_CMM_NO}'),array('value'=>'1','text'=>'{LANG_CMM_YES}')),'position'=>'bottom'),
	'filterFields' => array('label'=>'Filter: Filterfelder in SEO-URL','type'=>'textfield','datatype'=>'code','position'=>'bottom'),
	'filterDefault' => array('label'=>'Filter: statisch (Feld=Wert,Feld=Wert)','type'=>'textfield','datatype'=>'code','position'=>'bottom'),
	'sort' => array('label'=>'Sortierung: Einträge nach Feld(ern) sortieren','type'=>'textfield','datatype'=>'code','description'=>'ImmoCategoryTitle, ImmoTypeTitle, ImmoCityTitle, ImmoObjectZip, ImmoObjectExpose, ImmoObjectSpecial, ImmoObjectTitle, ImmoObjectAreaLiving, ImmoObjectAreaLand, ImmoObjectRooms, ImmoObjectCostsBuy, ImmoObjectCostsBuild, ImmoObjectCostsRent, ImmoObjectAddDate, ImmoObjectModDate','position'=>'bottom'),
	'sortbar' => array('label'=>'Sortierbalken: anzeigen','type'=>'radio','options'=>array(array('value'=>'0','text'=>'{LANG_CMM_NO}'),array('value'=>'1','text'=>'{LANG_CMM_YES}')),'position'=>'bottom'),
	'sortbarFields' => array('label'=>'Sortierbalken: Sortierkriterien (DB-Felder)','type'=>'textfield','datatype'=>'code','position'=>'bottom'),
	'sortbarLabels' => array('label'=>'Sortierbalken: Label für Sortierkriterien','type'=>'textfield','datatype'=>'code','position'=>'bottom'),
	'start' => array('label'=>'Liste beginnen bei (Anzahl oder Variable)','type'=>'hidden','position'=>'right'),
	'listtypebar' => array('label'=>'Liste: Listentyp-Auswahl anzeigen','type'=>'radio','options'=>array(array('value'=>'0','text'=>'{LANG_CMM_NO}'),array('value'=>'1','text'=>'{LANG_CMM_YES}')),'position'=>'right'),
	'cacheTimeout' => array('label'=>'{LANG_CMM_CACHE_TIMEOUT}','type'=>'textfield','datatype'=>'int','position'=>'bottom','shy'=>1)
	);
/* FIELDSET END */

// Set customer group
$params['CustomerCustomergroupID'] = isset($GLOBALS['CustomergroupUID']) ? $GLOBALS['CustomergroupUID'] : 0;
// Set language
$params['LID'] = isset($GLOBALS['LanguageUID']) ? $GLOBALS['LanguageUID'] : 1;

// Merge params and pluginParams
$params = CMM_mergePluginParams($params,$pluginParams);

// Parameter aus SEO-URL ermitteln
if($CONFIG['CMM']['config']['seoUseSeoUrls']==true)
	{
/*
	if(strstr($params['CID'],'{') && substr_count($GLOBALS['PageTail'],'/') > 1)
		{
		$tempCID = CMM_getPagetailParams($GLOBALS['PageTail'],'first');
		!empty($tempCID) ? $params['CID'] = $tempCID : '';
		}
*/
	if(strstr($params['start'],'{'))
		{
		$tempStart = CMM_getPagetailParams($GLOBALS['PageTail'],'start');
		!empty($tempStart) ? $params['start'] = $tempStart : '';
		}

	// Filter aus Seitenalias ermitteln
	if($params['filterInPageTail']==true && !empty($GLOBALS['PageTail']))
		{
		// Template-Parameter mit realen Variablen ersetzen
		$params['filter'] = CMM_replaceParamsVars($params['filter']);
	
		// Set filter fields
		if(!empty($params['filterFields']) && !is_array($params['filterFields']))
			{ $params['filterFields'] = explode(',',$params['filterFields']); }
	
		// Get filter values
		$tempFilter = array();
		empty($params['filter']) ? $params['filter']=array() : '';
		foreach($params['filterFields'] as $nf => $naviField)
			{
			$tempFilterValue = CMM_getPagetailParams($GLOBALS['PageTail'],$nf);
			!empty($tempFilterValue) ? $tempFilter[$naviField]=$tempFilterValue : '';
			}

		if(!empty($tempFilter))
			{ $params['filter'] = array_merge_recursive($tempFilter,$params['filter']); }
		}
	}

// Inhalt ausgeben
$extImmoList = new CMM_Immo;
$pluginContent = $extImmoList->createContent($params);
unset($params);
?>