<?PHP
/***************************************************************
*  Copyright notice
*
*  (c) 2009-2017 Nicolas Berg
*  All rights reserved
*
*  This script is part of the CMM3 Content-Management-System.
*  CMM3 is provided only under a commercial license until now.
*  Maybe we will add a free license in future.
*
*  This script is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
*
*  This copyright notice MUST APPEAR in all copies of the script!
***************************************************************/

///////////////////////////////////////////////////////////
// Plugin fuer Mitarbeiter-Liste                         //
///////////////////////////////////////////////////////////
// V 1.0 First release
// V 1.0.1 Added global var googleMapsApi for api inclusion
///////////////////////////////////////////////////////////
include_once(CMM_ROOT_DIR.'CMM_Immo/index.php');

/* PARAMS START - Marker-Comments required! */
$params = array(
	'templateFile'=>'CMM_Immo/template/html/CMM_Immo_listmap.html',
	'dataPID'=>'',
	'listPID'=>'',
	'detailPID'=>'',
	'UID'=>'',
	'UIDinPageAlias'=>1,
	'limit'=>'{$_REQUEST["CMM_Immo"]["limit"]}',
	'limitOptions'=>'{array(12,18,24,36)}',
	'filter'=>'{$_REQUEST["CMM_Immo"]["filter"]}',
	'filterInPageTail'=>1,
	'filterFields' => 'ImmoObjectCategoryID,ImmoObjectTypeID,ImmoObjectCityID',
	'filterDefault'=>'',
	'sort'=>'{$_REQUEST["CMM_Immo"]["sort"]}',
	'start'=>'{$_REQUEST["CMM_Immo"]["start"]}',
	'width'=>'100%',
	'height'=>'350',
	'zoom'=>'10',
	'maptype'=>'ROADMAP',
	'monochrome'=>'0',
	'hue'=>'',
	'scrollwheel'=>'1',
	'cacheTimeout'=>86400
	);
/* PARAMS END */

/* FIELDSET START - Marker-Comments required! */
$fieldset = array(
	'templateFile' => array('label'=>'HTML-Vorlagen-Datei','type'=>'textfield','datatype'=>'text','position'=>'bottom','shy'=>1),
	'dataPID' => array('label'=>'Seite: Datensätze (PID)','type'=>'linkfield','position'=>'left'),
	'listPID' => array('label'=>'Seite: Listen-Anzeige (PID)','type'=>'linkfield','position'=>'left'),
	'detailPID' => array('label'=>'Seite: Detail-Anzeige (PID)','type'=>'linkfield','position'=>'left'),
	'UID' => array('label'=>'Eintrag: nur diesen anzeigen (UID)','type'=>'textfield','datatype'=>'text','position'=>'left','shy'=>1),
	'UIDinPageAlias' => array('label'=>'Eintrag: UID aus SEO-URL ermitteln','type'=>'radio','options'=>array(array('value'=>'0','text'=>'{LANG_CMM_NO}'),array('value'=>'1','text'=>'{LANG_CMM_YES}')),'position'=>'left','shy'=>1),
	'limit' => array('label'=>'Einträge pro Seite: (Anzahl oder Variable)','type'=>'textfield','datatype'=>'code','position'=>'right','shy'=>1),
	'limitOptions' => array('label'=>'Einträge pro Seite: Auswahlwerte','type'=>'textfield','datatype'=>'code','position'=>'right','shy'=>1),
	'filter' => array('label'=>'Filter: dynamischer Filter','type'=>'textfield','datatype'=>'code','position'=>'bottom','shy'=>1),
	'filterInPageTail' => array('label'=>'Filter: dynamischen Filter aus SEO-URL ermitteln','type'=>'radio','options'=>array(array('value'=>'0','text'=>'{LANG_CMM_NO}'),array('value'=>'1','text'=>'{LANG_CMM_YES}')),'position'=>'bottom','shy'=>1),
	'filterFields' => array('label'=>'Filter: Filterfelder in SEO-URL','type'=>'textfield','datatype'=>'code','position'=>'bottom','shy'=>1),
	'filterDefault' => array('label'=>'Filter: statisch (Feld=Wert,Feld=Wert)','type'=>'textfield','datatype'=>'code','position'=>'bottom','shy'=>1),
	'sort' => array('label'=>'Sortierung: Einträge nach Feld(ern) sortieren','type'=>'textfield','datatype'=>'code','description'=>'ImmoCategoryTitle, ImmoTypeTitle, ImmoCityTitle, ImmoObjectZip, ImmoObjectExpose, ImmoObjectSpecial, ImmoObjectTitle, ImmoObjectAreaLiving, ImmoObjectAreaLand, ImmoObjectRooms, ImmoObjectCostsBuy, ImmoObjectCostsBuild, ImmoObjectCostsRent, ImmoObjectAddDate, ImmoObjectModDate','position'=>'bottom','shy'=>1),
	'start' => array('label'=>'Liste beginnen bei (Anzahl oder Variable)','type'=>'hidden','position'=>'right','shy'=>1),
	'width' => array('label'=>'Breite (px oder %)','type'=>'textfield','datatype'=>'text','position'=>'left2'),
	'height' => array('label'=>'Höhe (px oder %)','type'=>'textfield','datatype'=>'text','position'=>'left2'),
	'zoom' => array('label'=>'Zoomfaktor (1-20)','type'=>'textfield','datatype'=>'int','position'=>'right2'),
	'maptype' => array('label'=>'Kartentyp','type'=>'select','disablenone'=>1,'value'=>array('ROADMAP','SATELLITE','HYBRID','TERRAIN'),'text'=>array('Straßenkarte','Satellit','Hybrid','Terrain'),'position'=>'right2'),
	'monochrome' => array('label'=>'nur in Graustufen','type'=>'radio','options'=>array(array('value'=>'0','text'=>'{LANG_CMM_NO}'),array('value'=>'1','text'=>'{LANG_CMM_YES}')),'position'=>'left2'),
	'hue' => array('label'=>'Karte einfärben (#hex)','type'=>'colorfield','position'=>'left2'),
	'scrollwheel' => array('label'=>'Maus-Scolling','type'=>'radio','options'=>array(array('value'=>'0','text'=>'{LANG_CMM_NO}'),array('value'=>'1','text'=>'{LANG_CMM_YES}')),'position'=>'right2'),
	'cacheTimeout' => array('label'=>'{LANG_CMM_CACHE_TIMEOUT}','type'=>'textfield','datatype'=>'int','position'=>'bottom','shy'=>1)
	);
/* FIELDSET END */

// Set customer group
$params['CustomerCustomergroupID'] = isset($GLOBALS['CustomergroupUID']) ? $GLOBALS['CustomergroupUID'] : 0;
// Set language
$params['LID'] = isset($GLOBALS['LanguageUID']) ? $GLOBALS['LanguageUID'] : 1;

// Merge params and pluginParams
$params = CMM_mergePluginParams($params,$pluginParams);

// Set global var to require maps api
$GLOBALS['googleMapsApi'] = true;

// Parameter aus SEO-URL ermitteln
if($CONFIG['CMM']['config']['seoUseSeoUrls']==true)
	{
/*
	if(strstr($params['CID'],'{') && substr_count($GLOBALS['PageTail'],'/') > 1)
		{
		$tempCID = CMM_getPagetailParams($GLOBALS['PageTail'],'first');
		!empty($tempCID) ? $params['CID'] = $tempCID : '';
		}
*/
	if(strstr($params['start'],'{'))
		{
		$tempStart = CMM_getPagetailParams($GLOBALS['PageTail'],'start');
		!empty($tempStart) ? $params['start'] = $tempStart : '';
		}

	// Filter aus Seitenalias ermitteln
	if($params['filterInPageTail']==true && !empty($GLOBALS['PageTail']))
		{
		// Template-Parameter mit realen Variablen ersetzen
		$params['filter'] = CMM_replaceParamsVars($params['filter']);
	
		// Set filter fields
		if(!empty($params['filterFields']) && !is_array($params['filterFields']))
			{ $params['filterFields'] = explode(',',$params['filterFields']); }
	
		// Get filter values
		$tempFilter = array();
		empty($params['filter']) ? $params['filter']=array() : '';
		foreach($params['filterFields'] as $nf => $naviField)
			{
			$tempFilterValue = CMM_getPagetailParams($GLOBALS['PageTail'],$nf);
			!empty($tempFilterValue) ? $tempFilter[$naviField]=$tempFilterValue : '';
			}

		if(!empty($tempFilter))
			{ $params['filter'] = array_merge_recursive($tempFilter,$params['filter']); }
		}
	}

// Inhalt ausgeben
$extImmoList = new CMM_Immo;
$pluginContent = $extImmoList->createContent($params);
unset($params);
?>