<?PHP
/***************************************************************
*  Copyright notice
*
*  (c) 2009-2017 Nicolas Berg
*  All rights reserved
*
*  This script is part of the CMM3 Content-Management-System.
*  CMM3 is provided only under a commercial license until now.
*  Maybe we will add a free license in future.
*
*  This script is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
*
*  This copyright notice MUST APPEAR in all copies of the script!
***************************************************************/

///////////////////////////////////////////////////////////
// Plugin fuer Immobilien-Navigation                     //
///////////////////////////////////////////////////////////
// V 1.0 First release
// V 1.0.1 Erweiterung auf Mehrsprachigkeit
// V 1.0.2 Div. Mods fuer CMM3 RC2
// V 1.0.3 Feld-Definitionen eingefuegt
// V 1.1 Mod filter-detection
///////////////////////////////////////////////////////////
include_once(CMM_ROOT_DIR.'CMM_Immo/index.php');

/* PARAMS START - Marker-Comments required! */
$params = array(
	'dataPID'=>'',
	'listPID'=>'',
	'filterFields' => 'ImmoObjectCategoryID,ImmoObjectTypeID,ImmoObjectCityID',
	'filterFieldsLabels' => 'ImmoCategoryTitle,ImmoTypeTitle,ImmoCityTitle',
	'filterLabels' => 'LANG_CMM_IMMO_FILTER_CATEGORY,LANG_CMM_IMMO_FILTER_TYPE,LANG_CMM_IMMO_FILTER_CITY',
	'filter' => '{$_REQUEST["CMM_Immo"]["filter"]}',
	'filterDefault'=>'',
	'filterInPageTail'=>1,
	'type'=>'tree',
	'startLevel'=>'0',
	'expAll'=>'0',
	'counter'=>'1',
	'wrapItem' => '',
	'wrapItemAndSub' => '',
	'wrapLevel' => '',
	'wrapLevel0' => '<ul class="CMM_Immo_navi">*</ul>',
	'wrapAll' => '',
	'cacheTimeout'=>600
	);
/* PARAMS END */

/* FIELDSET START - Marker-Comments required! */
$fieldset = array(
	'dataPID' => array('label'=>'Seite: Datensätze (PID)','type'=>'linkfield','position'=>'left'),
	'listPID' => array('label'=>'Seite: Listen-Anzeige (PID)','type'=>'linkfield','position'=>'left'),
	'filterFields' => array('label'=>'Navigation: Navigationsfelder','type'=>'textfield','datatype'=>'code','position'=>'bottom'),
	'filterFieldsLabels' => array('label'=>'Navigation: Label für Navigationsfelder','type'=>'textfield','datatype'=>'code','position'=>'bottom'),
	'filterLabels' => array('label'=>'Navigation: Label für Navigationsebenen','type'=>'textfield','datatype'=>'code','position'=>'bottom'),
	'filterDefault' => array('label'=>'Filter: statischer Zusatz-Filter','type'=>'textfield','datatype'=>'code','position'=>'bottom'),
	'filter' => array('label'=>'Filter: dynamischer Filter','type'=>'textfield','datatype'=>'code','position'=>'bottom'),
	'filterInPageTail' => array('label'=>'Filter: dynamischen Filter aus SEO-URL ermitteln','type'=>'radio','options'=>array(array('value'=>'0','text'=>'{LANG_CMM_NO}'),array('value'=>'1','text'=>'{LANG_CMM_YES}')),'position'=>'bottom'),
	'type' => array('label'=>'Art der Navigation','type'=>'select','disablenone'=>1,'options'=>array(array('value'=>'tree','text'=>'Baum'),array('value'=>'table','text'=>'Tabelle'),array('value'=>'select','text'=>'Select'))),
	'startLevel' => array('label'=>'Start-Ebene der Navigation','type'=>'select','disablenone'=>1,'options'=>array(array('value'=>'0','text'=>'0'),array('value'=>'1','text'=>'1'),array('value'=>'2','text'=>'2'),array('value'=>'3','text'=>'3'),array('value'=>'4','text'=>'4'),array('value'=>'5','text'=>'5'),array('value'=>'6','text'=>'6'),array('value'=>'7','text'=>'7'),array('value'=>'8','text'=>'8'),array('value'=>'9','text'=>'9')),'position'=>'right'),
	'expAll' => array('label'=>'Alle Ebenen öffnen (für Baum)','type'=>'radio','options'=>array(array('value'=>'0','text'=>'{LANG_CMM_NO}'),array('value'=>'1','text'=>'{LANG_CMM_YES}')),'position'=>'right'),
	'counter' => array('label'=>'Kategorie-Counter anzeigen','type'=>'radio','options'=>array(array('value'=>'0','text'=>'{LANG_CMM_NO}'),array('value'=>'1','text'=>'{LANG_CMM_YES}')),'position'=>'right'),
	'wrapItem' => array('label'=>'HTML-Wrap um Navigationspunkt','type'=>'textfield','datatype'=>'code','position'=>'bottom'),
	'wrapItemAndSub' => array('label'=>'HTML-Wrap um Navigationspunkt mit Unterpunkten','type'=>'textfield','datatype'=>'code','position'=>'bottom'),
	'wrapLevel' => array('label'=>'HTML-Wrap um alle Ebene','type'=>'textfield','datatype'=>'code','position'=>'bottom'),
	'wrapLevel0' => array('label'=>'HTML-Wrap um Ebene (nur erste)','type'=>'textfield','datatype'=>'code','position'=>'bottom'),
	'wrapAll' => array('label'=>'HTML-Wrap um gesamte Navi','type'=>'textfield','datatype'=>'code','position'=>'bottom'),
	'cacheTimeout' => array('label'=>'{LANG_CMM_CACHE_TIMEOUT}','type'=>'textfield','datatype'=>'int','position'=>'bottom','shy'=>1)
	);
/* FIELDSET END */

// Set customer group
$params['CustomerCustomergroupID'] = isset($GLOBALS['CustomergroupUID']) ? $GLOBALS['CustomergroupUID'] : 0;
// Set language
$params['LID'] = isset($GLOBALS['LanguageUID']) ? $GLOBALS['LanguageUID'] : 1;

// Merge params and pluginParams
$params = CMM_mergePluginParams($params,$pluginParams);

// Parameter aus SEO-URL ermitteln
if($CONFIG['CMM']['config']['seoUseSeoUrls']==true)
	{
	// Filter aus Seitenalias ermitteln
	if($params['filterInPageTail']==true && !empty($GLOBALS['PageTail']))
		{
		// Template-Parameter mit realen Variablen ersetzen
		$params['filter'] = CMM_replaceParamsVars($params['filter']);
	
		// Set filter fields
		if(!empty($params['filterFields']) && !is_array($params['filterFields']))
			{ $params['filterFields'] = explode(',',$params['filterFields']); }
	
		// Get filter values
		$tempFilter = array();
		empty($params['filter']) ? $params['filter']=array() : '';
		foreach($params['filterFields'] as $nf => $naviField)
			{
			$tempFilterValue = CMM_getPagetailParams($GLOBALS['PageTail'],$nf);
			!empty($tempFilterValue) ? $tempFilter[$naviField]=$tempFilterValue : '';
			}

		if(!empty($tempFilter))
			{ $params['filter'] = array_merge_recursive($tempFilter,$params['filter']); }
		}
	}

// Inhalt ausgeben
$extImmoNaviSelect = new CMM_Immo;
switch($params['type'])
	{
	case 'tree':
		$pluginContent = $extImmoNaviSelect->createNaviTree($params);
		break;
	case 'table':
		$pluginContent = $extImmoNaviSelect->createNaviTable($params);
		break;
	case 'select':
		$pluginContent = $extImmoNaviSelect->createNaviSelect($params);
		break;
	}

unset($params);
?>