<?PHP
/***************************************************************
*  Copyright notice
*
*  (c) 2009-2017 Nicolas Berg
*  All rights reserved
*
*  This script is part of the CMM3 Content-Management-System.
*  CMM3 is provided only under a commercial license until now.
*  Maybe we will add a free license in future.
*
*  This script is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
*
*  This copyright notice MUST APPEAR in all copies of the script!
***************************************************************/

///////////////////////////////////////////////////////////
// Plugin fuer Mitarbeiter-Liste                         //
///////////////////////////////////////////////////////////
// V 1.0 First release
// V 1.0.1 Erweiterung auf Mehrsprachigkeit
// V 1.0.2 Div. Mods fuer CMM3 RC2
// V 1.0.3 Erweiterung fuer ID aus PageAlias
// V 1.0.4 Feld-Definitionen eingefuegt
///////////////////////////////////////////////////////////
include_once(CMM_ROOT_DIR.'CMM_Immo/index.php');

/* PARAMS START - Marker-Comments required! */
$params = array(
	'dataPID'=>'',
	'UID'=>'{$_REQUEST["CMM_Immo"]["ImmoObjectUID"]}',
	'UIDinPageAlias'=>1
	);
/* PARAMS END */

/* FIELDSET START - Marker-Comments required! */
$fieldset = array(
	'dataPID' => array('label'=>'Seite: Datensätze (PID)','type'=>'linkfield','position'=>'left'),
	'UID' => array('label'=>'Eintrag: nur diesen anzeigen (UID)','type'=>'textfield','datatype'=>'text','position'=>'left'),
	'UIDinPageAlias' => array('label'=>'Eintrag: UID aus SEO-URL ermitteln','type'=>'radio','options'=>array(array('value'=>'0','text'=>'{LANG_CMM_NO}'),array('value'=>'1','text'=>'{LANG_CMM_YES}')),'position'=>'left')
	);
/* FIELDSET END */

// UID aus Seitenalias ermitteln
if($params['UIDinPageAlias']==true && $CONFIG['CMM']['config']['seoUseSeoUrls']==true && !empty($GLOBALS['PageTail']))
	{
	// Wenn Kategorien angegeben, dann letzen Teil isolieren
	if(stristr($GLOBALS['PageTail'],'/'))
		{ $tailSegmentWithUID = array_pop(explode('/',$GLOBALS['PageTail'])); }
	else
		{ $tailSegmentWithUID = $GLOBALS['PageTail']; }
	// UID ermitteln
	$tailUID = array_pop(explode('.',$tailSegmentWithUID));
	!empty($tailUID) ? $params['UID']=intval($tailUID) : '';
	}

// Set customer group
$params['CustomerCustomergroupID'] = isset($GLOBALS['CustomergroupUID']) ? $GLOBALS['CustomergroupUID'] : 0;
// Set language
$params['LID'] = isset($GLOBALS['LanguageUID']) ? $GLOBALS['LanguageUID'] : 1;

// Merge params and pluginParams
$params = CMM_mergePluginParams($params,$pluginParams);
// Inhalt ausgeben
$extImmoList = new CMM_Immo;
$pluginContent = $extImmoList->customerLog($params);
unset($params);
?>