<?PHP
///////////////////////////////////////////////////////////
// Plugin fuer Mitarbeiter-Liste                         //
///////////////////////////////////////////////////////////
// V 1.0 First release
// V 1.0.1 Erweiterung auf Mehrsprachigkeit
// V 1.0.2 Div. Mods fuer CMM3 RC2
// V 1.0.3 Anpassung fuer HTML5
// V 1.0.4 Erweitert um Courtage
///////////////////////////////////////////////////////////

/* PARAMS START - Marker-Comments required! */
$params = array(
	'UID'=>'',
	'type'=>'',
	'cost'=>'',
	'commission'=>''
	);
/* PARAMS END */

// Set customer group
$params['CustomerCustomergroupID'] = isset($GLOBALS['CustomergroupUID']) ? $GLOBALS['CustomergroupUID'] : 0;
// Set language
$params['LID'] = isset($GLOBALS['LanguageUID']) ? $GLOBALS['LanguageUID'] : 0;

// Merge params and pluginParams
if(is_array($pluginParams) && sizeof($pluginParams) > 0)
	{
	foreach($pluginParams as $pluginParamsKey => $pluginParamsValue)
		{
		if(is_array($params[$pluginParamsKey]) && is_array($pluginParams[$pluginParamsKey]))
			{ $params[$pluginParamsKey] = array_merge($params[$pluginParamsKey],$pluginParams[$pluginParamsKey]); }
		else
			{ $params[$pluginParamsKey] = $pluginParams[$pluginParamsKey]; }
		}	
	}


//////////////////////////////////////////////////


// Define funtions
if(!function_exists('g21_calculateFinanceOption'))
	{
	function g21_calculateFinanceOption($UID=0,$cost=0,$commission=0)
		{
		// Kosten
		$kaufpreis = $cost;
		$nebenkosten = $cost * 0.06; // 6% des Kaufpreises
	
		// Courtage aus Text ermitteln
		$courtageString = '0';
		$courtage = '0';
		// Prozent des Kaufpreises
		if(preg_match('|([0-9\,\. ]+[\%]+)|si',$commission,$commissionMatch))
			{
			$courtageString = $commissionMatch[1];
			$courtage = floatval(str_replace(',','.',str_replace('.','',$courtageString)));
			$courtage = $cost * ($courtage/100);
			}
		// Fester Wert
		else if(preg_match('|([0-9\,\.\- €]+)|si',$commission,$commissionMatch))
			{
			$courtageString = $commissionMatch[1];
			$courtage = floatval(str_replace(',','.',str_replace('.','',$courtageString)));
			}
	
	//	$courtage = $kaufpreis * 0.0476; // 4,76% des Kaufpreises
		$gesamtkosten = $kaufpreis + $nebenkosten + $courtage; // Summe aller Kosten
	
		// Finanzierung
		$ekAnteil = 30; // Prozent
		$kfwAnteil = 33.33333333; // Prozent
		$kfwMax = 50000; // Max. Euro
		$eigenkapital = ($kaufpreis * ($ekAnteil/100)) + $nebenkosten + $courtage; // 30% des Kaufpreises + Nebenkosten und Courtage
		$finanzierungKFW = ($gesamtkosten * ($kfwAnteil/100)); // 1/3 der Gesamtkosten inkl. Nebenkosten und Courtage
		if($finanzierungKFW > $kfwMax) { $finanzierungKFW=$kfwMax; }
		$finanzierungBank = $gesamtkosten - $eigenkapital - $finanzierungKFW; // Finanzierungsluecke -> Gesamtkosten-EK-KFW
	
		// Raten
		$zinsKFW = 1.76; // Prozent
		$tilgungKFW = 1.2; // Prozent
		$zinsBank = 2.5; // Prozent
		$tilgungBank = 1.0; // Prozent
		$rateKFW = $finanzierungKFW * (($zinsKFW/100) + ($tilgungKFW/100)) / 12;
		$rateBank = $finanzierungBank * (($zinsBank/100) + ($zinsBank/100)) / 12;
		$rateGesamt = $rateKFW + $rateBank; // Gesamtrate
	
		$output = '
			<a href="#CMM_Immo_financeInfo_'.$UID.'" class="inline">finanzieren ab <br />'.number_format($rateGesamt,2,',','.').'&nbsp;&euro; im Monat&nbsp;*</a>
			  <!-- INFO-LAYER -->
			  <div style="display:none;">
				<div class="CMM_Immo_financeInfo" id="CMM_Immo_financeInfo_'.$UID.'">
				<!--  <div class="CMM_Immo_financeInfoHead" onmousedown="startdrag(this, event);"><a href="javascript:toggleFinanceInfo(\'CMM_Immo_financeInfo_'.$UID.'\');">schließen <b>[x]</b></a></div> -->
				  <p style="font-size:12px; text-align:center;">* Die mögliche <b>monatliche Rate von '.number_format($rateGesamt,2,',','.').'&nbsp;&euro;</b><br /> wurde in der Beispielrechnung wie folgt berechnet:</p>
				  <table style="width:100%;">
					<tr>
					  <th style="width:120px;">Finanzbedarf (Kosten):</th><th>&nbsp;</th><th>&nbsp;</th>
					</tr>
					<tr>
					  <td>Kaufpreis</td><td>'.number_format($kaufpreis,2,',','.').'&nbsp;&euro;</td><td>&nbsp;</td>
					</tr>
					<tr>
					  <td>Kaufnebenkosten <sup>1</sup></td><td>'.number_format($nebenkosten,2,',','.').'&nbsp;&euro;</td><td>&nbsp;</td>
					</tr>
					<tr>
					  <td>Makler-Courtage <sup>2</sup></td><td>'.number_format($courtage,2,',','.').'&nbsp;&euro;</td><td>&nbsp;</td>
					</tr>
					<tr>
					  <td><b>gesamt:</b></td><td><b>'.number_format($gesamtkosten,2,',','.').'&nbsp;&euro;</b></td><td>&nbsp;</td>
					</tr>
					<tr>
					  <th>Finanzierung:</th><th>&nbsp;</th><th>Rate:</th>
					</tr>
					<tr>
					  <td>Eigenkapital <sup>3</sup></td><td>'.number_format($eigenkapital,2,',','.').'&nbsp;&euro;</td><td>&nbsp;-&nbsp;</td>
					</tr>
					<tr>
					  <td>KfW Programm 124 <sup>4</sup></td><td>'.number_format($finanzierungKFW,2,',','.').'&nbsp;&euro;</td><td>'.number_format($rateKFW,2,',','.').'&nbsp;&euro;</td>
					</tr>
					<tr>
					  <td>Bankdarlehen <sup>5</sup></td><td>'.number_format($finanzierungBank,2,',','.').'&nbsp;&euro;</td><td>'.number_format($rateBank,2,',','.').'&nbsp;&euro;</td>
					</tr>
					<tr>
					  <td>&nbsp;</td><td><b>monatl.:</b></td><td><b>'.number_format($rateGesamt,2,',','.').'&nbsp;&euro;</b></td>
					</tr>
				  </table>
				  <ul>
					<li><sup>1</sup> Kaufnebenkosten - geschätzt auf 6% des Kaufpreises (für Grunderwerbsteuer, Notar, etc.)</li>
					<li><sup>2</sup> Maklercourtage - in dieser Beispielrechnung mit '.(stristr($courtageString,'%') ? $courtageString.' des Kaufpreises' : $courtageString).' berücksichtigt</li>
					<li><sup>3</sup> Eigenkapital - zur Deckung von '.number_format($ekAnteil,2,',','.').'% des Kaufpreises sowie der Kaufnebenkosten und Makler-Courtage.</li>
					<li><sup>4</sup> KfW Wohneigentumsprogramm 124 - für '.number_format($kfwAnteil,2,',','.').'% der Gesamtkosten (Kaufpreis + Kaufnebenkosten + Courtage) max. '.number_format($kfwMax,2,',','.').'&nbsp;&euro; - 5 Jahre fest, '.number_format($zinsKFW,2,',','.').'% Zins nominal, 3 Jahre tilgungsfrei danach '.number_format($tilgungKFW,2,',','.').'% anfängliche Tilgung, 20 Jahre Gesamtlaufzeit</li>
					<li><sup>5</sup> Bankdarlehen -  für den Restbetrag - 10 Jahre fest, '.number_format($zinsBank,2,',','.').'% Zins nominal, '.number_format($tilgungBank,2,',','.').'% anfängliche Tilgung</li>
				  </ul>
				  <div class="CMM_Immo_financeInfoFoot"><a href="http://baufiplattform.com/index.php?gp=100322" target="blank">eigene Finanzierung berechnen</a></div>
				  <p><small>Die Kreditgewährung sowie die Kondition des Bankdarlehens hängen von der Einkommens- 
					und Vermögenssituation des Antragstellers ab und kann hier nicht garantiert werden. 
					Jegliche Haftungen unsererseits für die Angaben in der Beispielrechnung schließen wir daher aus. 
					Der Kreditvertrag muss zwischen Antragsteller und Bank verhandelt und geschlossen werden.</small></p>
				</div>
			  </div>
			  <!-- /INFO-LAYER -->
			';
	
		return $output;
		}
	
	function g21_calculateFinanceOptionPrint($UID=0,$cost=0,$commission=0)
		{
		// Kosten
		$kaufpreis = $cost;
		$nebenkosten = $cost * 0.06; // 6% des Kaufpreises
	
		// Courtage aus Text ermitteln
		$courtageString = '0';
		$courtage = '0';
		// Prozent des Kaufpreises
		if(preg_match('|([0-9\,\. ]+[\%]+)|si',$commission,$commissionMatch))
			{
			$courtageString = $commissionMatch[1];
			$courtage = floatval(str_replace(',','.',str_replace('.','',$courtageString)));
			$courtage = $cost * ($courtage/100);
			}
		// Fester Wert
		else if(preg_match('|([0-9\,\.\- €]+)|si',$commission,$commissionMatch))
			{
			$courtageString = $commissionMatch[1];
			$courtage = floatval(str_replace(',','.',str_replace('.','',$courtageString)));
			}
	
	//	$courtage = $kaufpreis * 0.0476; // 4,76% des Kaufpreises
		$gesamtkosten = $kaufpreis + $nebenkosten + $courtage; // Summe aller Kosten
	
		// Finanzierung
		$ekAnteil = 30; // Prozent
		$kfwAnteil = 33.33333333; // Prozent
		$kfwMax = 50000; // Max. Euro
		$eigenkapital = ($kaufpreis * ($ekAnteil/100)) + $nebenkosten + $courtage; // 30% des Kaufpreises + Nebenkosten und Courtage
		$finanzierungKFW = ($gesamtkosten * ($kfwAnteil/100)); // 1/3 der Gesamtkosten inkl. Nebenkosten und Courtage
		if($finanzierungKFW > $kfwMax) { $finanzierungKFW=$kfwMax; }
		$finanzierungBank = $gesamtkosten - $eigenkapital - $finanzierungKFW; // Finanzierungsluecke -> Gesamtkosten-EK-KFW
	
		// Raten
		$zinsKFW = 1.76; // Prozent
		$tilgungKFW = 1.2; // Prozent
		$zinsBank = 2.5; // Prozent
		$tilgungBank = 1.0; // Prozent
		$rateKFW = $finanzierungKFW * (($zinsKFW/100) + ($tilgungKFW/100)) / 12;
		$rateBank = $finanzierungBank * (($zinsBank/100) + ($zinsBank/100)) / 12;
		$rateGesamt = $rateKFW + $rateBank; // Gesamtrate
	
		$output = '
		<h2>Finanzierung <small>(Beispielrechnung)</small></h2>
		  <p>* Die m&ouml;gliche <b>monatliche Rate von '.number_format($rateGesamt,2,',','.').'&nbsp;&euro;</b> wurde in der Beispielrechnung wie folgt berechnet:</p>
		  <table border="0" cellspacing="1" cellpadding="0" width="100%">
			<tr>
			  <td width="48%" valign="top">
			  <table style="width:100%; border-collapse:collapse;">
				<tr>
				  <th style="width:120px; text-align:left; color:#000000;">Finanzbedarf:</th><th>&nbsp;</th><th>&nbsp;</th>
				</tr>
				<tr>
				  <td>Kaufpreis <sup>&nbsp;</sup></td><td>'.number_format($kaufpreis,2,',','.').'&nbsp;&euro;</td><td>&nbsp;</td>
				</tr>
				<tr>
				  <td>Kaufnebenkosten <sup>1</sup></td><td>'.number_format($nebenkosten,2,',','.').'&nbsp;&euro;</td><td>&nbsp;</td>
				</tr>
				<tr>
				  <td>Makler-Courtage <sup>2</sup></td><td>'.number_format($courtage,2,',','.').'&nbsp;&euro;</td><td>&nbsp;</td>
				</tr>
				<tr>
				  <td><b>gesamt:</b></td><td><b>'.number_format($gesamtkosten,2,',','.').'&nbsp;&euro;</b></td><td>&nbsp;</td>
				</tr>
			  </table>
			</td>
			<td>&nbsp;</td>
			<td style="width:48%; vertical-align:top;">
			  <table style="width:100%; border-collapse:collapse;">
				<tr>
				  <th align="left" style="color:#000000;">Finanzierung:</th><th align="left" style="color:#000000;">gesamt:</th><th align="left" style="color:#000000;">monatl.:</th>
				</tr>
				<tr>
				  <td>Eigenkapital <sup>3</sup></td><td>'.number_format($eigenkapital,2,',','.').'&nbsp;&euro;</td><td>&nbsp;-&nbsp;</td>
				</tr>
				<tr>
				  <td>KfW Programm 124 <sup>4</sup></td><td>'.number_format($finanzierungKFW,2,',','.').'&nbsp;&euro;</td><td>'.number_format($rateKFW,2,',','.').'&nbsp;&euro;</td>
				</tr>
				<tr>
				  <td>Bankdarlehen <sup>5</sup></td><td>'.number_format($finanzierungBank,2,',','.').'&nbsp;&euro;</td><td>'.number_format($rateBank,2,',','.').'&nbsp;&euro;</td>
				</tr>
				<tr>
				  <td>&nbsp;</td><td></td><td><b>'.number_format($rateGesamt,2,',','.').'&nbsp;&euro;</b></td>
				</tr>
			  </table>
			  </td>
			</tr>
		  </table>
		  <ul style="margin-left:0; padding-left:0; font-size:10px;">
			<li style="margin-left:0; padding-left:0; list-style-type:none;"><sup>1</sup> Kaufnebenkosten - geschätzt auf 6% des Kaufpreises (für Grunderwerbsteuer, Notar, etc.)</li>
			<li style="margin-left:0; padding-left:0; list-style-type:none;"><sup>2</sup> Maklercourtage - in dieser Beispielrechnung mit '.(stristr($courtageString,'%') ? $courtageString.' des Kaufpreises' : $courtageString).' berücksichtigt</li>
			<li style="margin-left:0; padding-left:0; list-style-type:none;"><sup>3</sup> Eigenkapital - zur Deckung von '.number_format($ekAnteil,2,',','.').'% des Kaufpreises sowie der Kaufnebenkosten und Makler-Courtage.</li>
			<li style="margin-left:0; padding-left:0; list-style-type:none;"><sup>4</sup> KfW Wohneigentumsprogramm 124 - für '.number_format($kfwAnteil,2,',','.').'% der Gesamtkosten (Kaufpreis + Kaufnebenkosten + Courtage) max. '.number_format($kfwMax,2,',','.').'&nbsp;&euro; - 5 Jahre fest, '.number_format($zinsKFW,2,',','.').'% Zins nominal, 3 Jahre tilgungsfrei danach '.number_format($tilgungKFW,2,',','.').'% anfängliche Tilgung, 20 Jahre Gesamtlaufzeit</li>
			<li style="margin-left:0; padding-left:0; list-style-type:none;"><sup>5</sup> Bankdarlehen -  für den Restbetrag - 10 Jahre fest, '.number_format($zinsBank,2,',','.').'% Zins nominal, '.number_format($tilgungBank,2,',','.').'% anfängliche Tilgung</li>
		  </ul>
		  <small>Die Kreditgewährung sowie die Kondition des Bankdarlehens hängen von der Einkommens- 
			und Vermögenssituation des Antragstellers ab und kann hier nicht garantiert werden. 
			Jegliche Haftungen unsererseits für die Angaben in der Beispielrechnung schließen wir daher aus. 
			Der Kreditvertrag muss zwischen Antragsteller und Bank verhandelt und geschlossen werden.</small>
			';
	
		return $output;
		}
	}

//////////////////////////////////////////////////


// Inhalt ausgeben
if(!empty($params['cost']) && $params['cost']>0)
	{
	if($params['type']=='print')
		{ $pluginContent = g21_calculateFinanceOptionPrint($params['UID'],$params['cost'],$params['commission']); }
	else
		{ $pluginContent = g21_calculateFinanceOption($params['UID'],$params['cost'],$params['commission']); }
	}

unset($params);
?>