<?PHP
/***************************************************************
*  Copyright notice
*
*  (c) 2009-2017 Nicolas Berg
*  All rights reserved
*
*  This script is part of the CMM3 Content-Management-System.
*  CMM3 is provided only under a commercial license until now.
*  Maybe we will add a free license in future.
*
*  This script is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
*
*  This copyright notice MUST APPEAR in all copies of the script!
***************************************************************/

// V 1.0 First release
// V 1.0.1 div. Felder geaendert
// V 1.0.2 Feld fuer Besichtigung hinzugefuegt
// V 1.0.3 Verarbeitung von Config angepasst
// V 1.0.4 Backup-Einstellungen ergaenzt
// V 1.1.0 Categories table disabled -> set as array
// V 1.1.1 Delete-fields added
// V 1.1.2 PASTE-Action mod
// V 1.1.3 Mod userLevels
// V 1.1.4 Replaced view-name OBJECTS->ITEMS

////////////////////////////////////////////////////////////////////
// Modul-Anzeigen                                                 //
////////////////////////////////////////////////////////////////////
// - label: Bezeichnung des Feldes
// - table: Haupt-Datenbanktabelle
// - userLevel: Berechntigungsstufe fuer Datensaetze
// - navi: Anzeige in der Hauptnavigation
$CONFIG['CMM_Immo']['views'] = array();
$CONFIG['CMM_Immo']['views']['INDEX'] = array('label'=>'{LANG_CMM_IMMO_VIEW_INDEX}','userLevel'=>1);
$CONFIG['CMM_Immo']['views']['ITEMS'] = array('label'=>'{LANG_CMM_IMMO_VIEW_ITEMS}','table'=>'cmm_immo_objects','userLevel'=>1,'inNavi'=>1);
//$CONFIG['CMM_Immo']['views']['CATEGORIES'] = array('label'=>'{LANG_CMM_IMMO_VIEW_CATEGORIES}','table'=>'cmm_immo_categories','userLevel'=>1,'inNavi'=>1);
$CONFIG['CMM_Immo']['views']['TYPES'] = array('label'=>'{LANG_CMM_IMMO_VIEW_TYPES}','table'=>'cmm_immo_types','userLevel'=>1,'inNavi'=>1);
$CONFIG['CMM_Immo']['views']['CITIES'] = array('label'=>'{LANG_CMM_IMMO_VIEW_CITIES}','table'=>'cmm_immo_cities','userLevel'=>1,'inNavi'=>1);
$CONFIG['CMM_Immo']['views']['CONTACTS'] = array('label'=>'{LANG_CMM_IMMO_VIEW_CONTACTS}','table'=>'cmm_immo_contacts','userLevel'=>1,'inNavi'=>1);
$CONFIG['CMM_Immo']['views']['STATS'] = array('label'=>'{LANG_CMM_IMMO_VIEW_STATS}','table'=>'cmm_immo_objects','userLevel'=>1,'inNavi'=>1);
$CONFIG['CMM_Immo']['views']['IMPORT'] = array('label'=>'{LANG_CMM_IMMO_VIEW_IMPORT}','table'=>'cmm_immo_objects','userLevel'=>1,'inNavi'=>1);
$CONFIG['CMM_Immo']['views']['CONFIG'] = array('label'=>'{LANG_CMM_IMMO_VIEW_CONFIG}','table'=>'cmm_cmm_config','userLevel'=>6,'inNavi'=>1);
$CONFIG['CMM_Immo']['views']['BACKUP'] = array('label'=>'{LANG_CMM_IMMO_VIEW_BACKUP}','userLevel'=>1,'inNavi'=>(!empty($GLOBALS['isBackend']) && !empty($CUSTOM['CMM_Immo']['config']['enableBackup']) ? 1 : 0));
$CONFIG['CMM_Immo']['views']['INSTALL'] = array('label'=>'{LANG_CMM_IMMO_VIEW_INSTALL}','userLevel'=>3);
$CONFIG['CMM_Immo']['views']['DUMMY'] = array('label'=>'{LANG_CMM_IMMO_VIEW_DUMMY}','userLevel'=>1);


////////////////////////////////////////////////////////////////////
// Modulfunktionen                                                //
////////////////////////////////////////////////////////////////////
// - label: Bezeichnung des Feldes
// - area: Anzeige-Bereich
// - userLevel: Berechntigungsstufe fuer Datensaetze
// - icon: Icon fuer Listenansicht
// - action: Aktion, die ausgefuehrt werden soll
// - clipboardAction: Aktion, die spaeter ausgefuehrt werden soll
// - message: Frage vor Ausfuerung der Funktion
// - condition: Bedingung pruefen (Datenbankfeld) item/_SESSION/_GET/_POST/_COOKIE/_ENV[keyvar]==value
// - file: Funktion in externer Datei ausfuehren
// - target: Zielfenster fuer Funktion

$CONFIG['CMM_Immo']['views']['ITEMS']['actions'] = array(
	'LIST' => array('label'=>'{LANG_CMM_ACTION_LIST}','userLevel'=>0),
	'NEW' => array('label'=>'{LANG_CMM_IMMO_ITEM} {LANG_CMM_ACTION_NEW}','area'=>'listhead','userLevel'=>1,'icon'=>'icon-action-new.svg'),
	'EDIT' => array('label'=>'{LANG_CMM_ACTION_EDIT}','area'=>'list','userLevel'=>1,'icon'=>'icon-action-edit.svg'),
	'ENABLE' => array('label'=>'{LANG_CMM_ACTION_ENABLE}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-enable.svg','condition'=>'$item["ImmoObjectStatus"]==0'),
	'DISABLE' => array('label'=>'{LANG_CMM_ACTION_DISABLE}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-disable.svg','condition'=>'$item["ImmoObjectStatus"]==1'),
	'UP' => array('label'=>'{LANG_CMM_ACTION_UP}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-up.svg','condition'=>'$item["firstItem"]!=true && $CURRENT["sort"]=="ImmoObjectSort ASC"'),
	'DOWN' => array('label'=>'{LANG_CMM_ACTION_DOWN}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-down.svg','condition'=>'$item["lastItem"]!=true && $CURRENT["sort"]=="ImmoObjectSort ASC"'),
	'SAVE' => array('label'=>'{LANG_CMM_ACTION_SAVE}','area'=>'singlehead','userLevel'=>3,'icon'=>'icon-action-save.svg'),
	'SAVENEW' => array('label'=>'{LANG_CMM_ACTION_SAVENEW}','area'=>'singlehead','userLevel'=>3,'icon'=>'icon-action-save-and-new.svg'),
	'SAVECLOSE' => array('label'=>'{LANG_CMM_ACTION_SAVECLOSE}','area'=>'singlehead','userLevel'=>3,'icon'=>'icon-action-save-and-close.svg'),
	'CLOSE' => array('label'=>'{LANG_CMM_ACTION_CLOSE}','area'=>'singlehead','userLevel'=>1,'icon'=>'icon-action-close.svg'),
	'CUT' => array('label'=>'{LANG_CMM_ACTION_CUT}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-cut.svg'),
	'COPY' => array('label'=>'{LANG_CMM_ACTION_COPY}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-copy.svg'),
	'PASTE' => array('label'=>'{LANG_CMM_ACTION_PASTE}','area'=>'listhead','userLevel'=>3,'icon'=>'icon-action-paste.svg','UID'=>(!empty($GLOBALS['isBackend']) && isset($_SESSION[$CURRENT["module"]][$CURRENT["view"]]['clipboard']) ? $_SESSION[$CURRENT["module"]][$CURRENT["view"]]['clipboard']['id'] : ''),'condition'=>'!empty($_SESSION[$CURRENT["module"]][$CURRENT["view"]]["clipboard"])'),
	'REMOVE' => array('label'=>'{LANG_CMM_ACTION_REMOVE}','area'=>'list,singlehead','userLevel'=>3,'icon'=>'icon-action-remove.svg','condition'=>'$item["ImmoObjectUID"]>0','message'=>'{LANG_CMM_ACTION_REMOVE_CONFIRM}'),
	'CLIPBOARDCLEAR' => array('label'=>'{LANG_CMM_ACTION_CLIPBOARDCLEAR}','area'=>'listhead','userLevel'=>3,'icon'=>'icon-action-clipboard-clear.svg','condition'=>'isset($_SESSION[$CURRENT["module"]][$CURRENT["view"]]["clipboard"])'),
	// Druckansichten
	'PRINT' => array('label'=>'{LANG_CMM_IMMO_PRINTVIEW1} {LANG_CMM_ACTION_PRINT_ITEM}','area'=>'list','userLevel'=>1,'icon'=>'icon-action-print.svg','file'=>'blank.php','target'=>'_blank'),
	'PRINT2' => array('label'=>'{LANG_CMM_IMMO_PRINTVIEW2} {LANG_CMM_ACTION_PRINT_ITEM}','area'=>'list','userLevel'=>1,'icon'=>'icon-action-print.svg','file'=>'blank.php','target'=>'_blank'),
	'PRINT3' => array('label'=>'{LANG_CMM_IMMO_PRINTVIEW3} {LANG_CMM_ACTION_PRINT_ITEM}','area'=>'list','userLevel'=>1,'icon'=>'icon-action-print.svg','file'=>'blank.php','target'=>'_blank'),
	'PRINTLIST' => array('label'=>'{LANG_CMM_ACTION_PRINT_LIST}','area'=>'listhead','userLevel'=>1,'icon'=>'icon-action-print.svg','file'=>'blank.php','target'=>'_blank')
	);

$CONFIG['CMM_Immo']['views']['STATS']['actions'] = array(
	'STATSREMOVE' => array('label'=>'Statistik {LANG_CMM_ACTION_REMOVE}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-remove.svg','message'=>'{LANG_CMM_ACTION_REMOVE_CONFIRM}'),
	'STATSREMOVEALL' => array('label'=>'Statistik - {LANG_CMM_ACTION_REMOVEALL}','area'=>'listhead','userLevel'=>3,'icon'=>'icon-action-remove.svg','message'=>'{LANG_CMM_ACTION_REMOVEALL_CONFIRM}')
	);

$CONFIG['CMM_Immo']['views']['DUMMY']['actions'] = array(
	);
/*
$CONFIG['CMM_Immo']['views']['CATEGORIES']['actions'] = array(
	'LIST' => array('label'=>'{LANG_CMM_ACTION_LIST}','userLevel'=>0),
	'NEW' => array('label'=>'{LANG_CMM_IMMO_CATEGORY} {LANG_CMM_ACTION_NEW}','area'=>'listhead','userLevel'=>1,'icon'=>'icon-action-new.svg'),
	'EDIT' => array('label'=>'{LANG_CMM_ACTION_EDIT}','area'=>'list','userLevel'=>1,'icon'=>'icon-action-edit.svg'),
	'ENABLE' => array('label'=>'{LANG_CMM_ACTION_ENABLE}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-enable.svg','condition'=>'$item["ImmoCategoryStatus"]==0'),
	'DISABLE' => array('label'=>'{LANG_CMM_ACTION_DISABLE}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-disable.svg','condition'=>'$item["ImmoCategoryStatus"]==1'),
	'UP' => array('label'=>'{LANG_CMM_ACTION_UP}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-up.svg','condition'=>'$item["firstItem"]!=true && $CURRENT["sort"]=="ImmoCategorySort ASC"'),
	'DOWN' => array('label'=>'{LANG_CMM_ACTION_DOWN}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-down.svg','condition'=>'$item["lastItem"]!=true && $CURRENT["sort"]=="ImmoCategorySort ASC"'),
	'SAVE' => array('label'=>'{LANG_CMM_ACTION_SAVE}','area'=>'singlehead','userLevel'=>3,'icon'=>'icon-action-save.svg'),
	'SAVENEW' => array('label'=>'{LANG_CMM_ACTION_SAVENEW}','area'=>'singlehead','userLevel'=>3,'icon'=>'icon-action-save-and-new.svg'),
	'SAVECLOSE' => array('label'=>'{LANG_CMM_ACTION_SAVECLOSE}','area'=>'singlehead','userLevel'=>3,'icon'=>'icon-action-save-and-close.svg'),
	'CLOSE' => array('label'=>'{LANG_CMM_ACTION_CLOSE}','area'=>'singlehead','userLevel'=>1,'icon'=>'icon-action-close.svg'),
	'CUT' => array('label'=>'{LANG_CMM_ACTION_CUT}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-cut.svg'),
	'COPY' => array('label'=>'{LANG_CMM_ACTION_COPY}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-copy.svg'),
	'PASTE' => array('label'=>'{LANG_CMM_ACTION_PASTE}','area'=>'listhead','userLevel'=>3,'icon'=>'icon-action-paste.svg','UID'=>(!empty($GLOBALS['isBackend']) && isset($_SESSION[$CURRENT["module"]][$CURRENT["view"]]['clipboard']) ? $_SESSION[$CURRENT["module"]][$CURRENT["view"]]['clipboard']['id'] : ''),'condition'=>'!empty($_SESSION[$CURRENT["module"]][$CURRENT["view"]]["clipboard"])'),
	'REMOVE' => array('label'=>'{LANG_CMM_ACTION_REMOVE}','area'=>'list,singlehead','userLevel'=>3,'icon'=>'icon-action-remove.svg','condition'=>'$item["ImmoCategoryUID"]>0','message'=>'{LANG_CMM_ACTION_REMOVE_CONFIRM}'),
	'CLIPBOARDCLEAR' => array('label'=>'{LANG_CMM_ACTION_CLIPBOARDCLEAR}','area'=>'listhead','userLevel'=>3,'icon'=>'icon-action-clipboard-clear.svg','condition'=>'isset($_SESSION[$CURRENT["module"]][$CURRENT["view"]]["clipboard"])')
	);
*/
$CONFIG['CMM_Immo']['views']['TYPES']['actions'] = array(
	'LIST' => array('label'=>'{LANG_CMM_ACTION_LIST}','userLevel'=>0),
	'NEW' => array('label'=>'{LANG_CMM_IMMO_TYPE} {LANG_CMM_ACTION_NEW}','area'=>'listhead','userLevel'=>1,'icon'=>'icon-action-new.svg'),
	'EDIT' => array('label'=>'{LANG_CMM_ACTION_EDIT}','area'=>'list','userLevel'=>1,'icon'=>'icon-action-edit.svg'),
	'ENABLE' => array('label'=>'{LANG_CMM_ACTION_ENABLE}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-enable.svg','condition'=>'$item["ImmoTypeStatus"]==0'),
	'DISABLE' => array('label'=>'{LANG_CMM_ACTION_DISABLE}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-disable.svg','condition'=>'$item["ImmoTypeStatus"]==1'),
	'UP' => array('label'=>'{LANG_CMM_ACTION_UP}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-up.svg','condition'=>'$item["firstItem"]!=true && $CURRENT["sort"]=="ImmoTypeSort ASC"'),
	'DOWN' => array('label'=>'{LANG_CMM_ACTION_DOWN}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-down.svg','condition'=>'$item["lastItem"]!=true && $CURRENT["sort"]=="ImmoTypeSort ASC"'),
	'SAVE' => array('label'=>'{LANG_CMM_ACTION_SAVE}','area'=>'singlehead','userLevel'=>3,'icon'=>'icon-action-save.svg'),
	'SAVENEW' => array('label'=>'{LANG_CMM_ACTION_SAVENEW}','area'=>'singlehead','userLevel'=>3,'icon'=>'icon-action-save-and-new.svg'),
	'SAVECLOSE' => array('label'=>'{LANG_CMM_ACTION_SAVECLOSE}','area'=>'singlehead','userLevel'=>3,'icon'=>'icon-action-save-and-close.svg'),
	'CLOSE' => array('label'=>'{LANG_CMM_ACTION_CLOSE}','area'=>'singlehead','userLevel'=>1,'icon'=>'icon-action-close.svg'),
	'CUT' => array('label'=>'{LANG_CMM_ACTION_CUT}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-cut.svg'),
	'COPY' => array('label'=>'{LANG_CMM_ACTION_COPY}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-copy.svg'),
	'PASTE' => array('label'=>'{LANG_CMM_ACTION_PASTE}','area'=>'listhead','userLevel'=>3,'icon'=>'icon-action-paste.svg','UID'=>(!empty($GLOBALS['isBackend']) && isset($_SESSION[$CURRENT["module"]][$CURRENT["view"]]['clipboard']) ? $_SESSION[$CURRENT["module"]][$CURRENT["view"]]['clipboard']['id'] : ''),'condition'=>'!empty($_SESSION[$CURRENT["module"]][$CURRENT["view"]]["clipboard"])'),
	'REMOVE' => array('label'=>'{LANG_CMM_ACTION_REMOVE}','area'=>'list,singlehead','userLevel'=>3,'icon'=>'icon-action-remove.svg','condition'=>'$item["ImmoTypeUID"]>0','message'=>'{LANG_CMM_ACTION_REMOVE_CONFIRM}'),
	'CLIPBOARDCLEAR' => array('label'=>'{LANG_CMM_ACTION_CLIPBOARDCLEAR}','area'=>'listhead','userLevel'=>3,'icon'=>'icon-action-clipboard-clear.svg','condition'=>'isset($_SESSION[$CURRENT["module"]][$CURRENT["view"]]["clipboard"])')
	);

$CONFIG['CMM_Immo']['views']['CITIES']['actions'] = array(
	'LIST' => array('label'=>'{LANG_CMM_ACTION_LIST}','userLevel'=>0),
	'NEW' => array('label'=>'{LANG_CMM_IMMO_CITY} {LANG_CMM_ACTION_NEW}','area'=>'listhead','userLevel'=>1,'icon'=>'icon-action-new.svg'),
	'EDIT' => array('label'=>'{LANG_CMM_ACTION_EDIT}','area'=>'list','userLevel'=>1,'icon'=>'icon-action-edit.svg'),
	'ENABLE' => array('label'=>'{LANG_CMM_ACTION_ENABLE}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-enable.svg','condition'=>'$item["ImmoCityStatus"]==0'),
	'DISABLE' => array('label'=>'{LANG_CMM_ACTION_DISABLE}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-disable.svg','condition'=>'$item["ImmoCityStatus"]==1'),
	'UP' => array('label'=>'{LANG_CMM_ACTION_UP}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-up.svg','condition'=>'$item["firstItem"]!=true && $CURRENT["sort"]=="ImmoCitySort ASC"'),
	'DOWN' => array('label'=>'{LANG_CMM_ACTION_DOWN}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-down.svg','condition'=>'$item["lastItem"]!=true && $CURRENT["sort"]=="ImmoCitySort ASC"'),
	'SAVE' => array('label'=>'{LANG_CMM_ACTION_SAVE}','area'=>'singlehead','userLevel'=>3,'icon'=>'icon-action-save.svg'),
	'SAVENEW' => array('label'=>'{LANG_CMM_ACTION_SAVENEW}','area'=>'singlehead','userLevel'=>3,'icon'=>'icon-action-save-and-new.svg'),
	'SAVECLOSE' => array('label'=>'{LANG_CMM_ACTION_SAVECLOSE}','area'=>'singlehead','userLevel'=>3,'icon'=>'icon-action-save-and-close.svg'),
	'CLOSE' => array('label'=>'{LANG_CMM_ACTION_CLOSE}','area'=>'singlehead','userLevel'=>1,'icon'=>'icon-action-close.svg'),
	'CUT' => array('label'=>'{LANG_CMM_ACTION_CUT}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-cut.svg'),
	'COPY' => array('label'=>'{LANG_CMM_ACTION_COPY}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-copy.svg'),
	'PASTE' => array('label'=>'{LANG_CMM_ACTION_PASTE}','area'=>'listhead','userLevel'=>3,'icon'=>'icon-action-paste.svg','UID'=>(!empty($GLOBALS['isBackend']) && isset($_SESSION[$CURRENT["module"]][$CURRENT["view"]]['clipboard']) ? $_SESSION[$CURRENT["module"]][$CURRENT["view"]]['clipboard']['id'] : ''),'condition'=>'!empty($_SESSION[$CURRENT["module"]][$CURRENT["view"]]["clipboard"])'),
	'REMOVE' => array('label'=>'{LANG_CMM_ACTION_REMOVE}','area'=>'list,singlehead','userLevel'=>3,'icon'=>'icon-action-remove.svg','condition'=>'$item["ImmoCityUID"]>0','message'=>'{LANG_CMM_ACTION_REMOVE_CONFIRM}'),
	'CLIPBOARDCLEAR' => array('label'=>'{LANG_CMM_ACTION_CLIPBOARDCLEAR}','area'=>'listhead','userLevel'=>3,'icon'=>'icon-action-clipboard-clear.svg','condition'=>'isset($_SESSION[$CURRENT["module"]][$CURRENT["view"]]["clipboard"])')
	);

$CONFIG['CMM_Immo']['views']['CONTACTS']['actions'] = array(
	'LIST' => array('label'=>'{LANG_CMM_ACTION_LIST}','userLevel'=>0),
	'NEW' => array('label'=>'{LANG_CMM_IMMO_CONTACT} {LANG_CMM_ACTION_NEW}','area'=>'listhead','userLevel'=>1,'icon'=>'icon-action-new.svg'),
	'EDIT' => array('label'=>'{LANG_CMM_ACTION_EDIT}','area'=>'list','userLevel'=>1,'icon'=>'icon-action-edit.svg'),
	'ENABLE' => array('label'=>'{LANG_CMM_ACTION_ENABLE}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-enable.svg','condition'=>'$item["ImmoContactStatus"]==0'),
	'DISABLE' => array('label'=>'{LANG_CMM_ACTION_DISABLE}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-disable.svg','condition'=>'$item["ImmoContactStatus"]==1'),
	'UP' => array('label'=>'{LANG_CMM_ACTION_UP}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-up.svg','condition'=>'$item["firstItem"]!=true && $CURRENT["sort"]=="ImmoContactSort ASC"'),
	'DOWN' => array('label'=>'{LANG_CMM_ACTION_DOWN}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-down.svg','condition'=>'$item["lastItem"]!=true && $CURRENT["sort"]=="ImmoContactSort ASC"'),
	'SAVE' => array('label'=>'{LANG_CMM_ACTION_SAVE}','area'=>'singlehead','userLevel'=>3,'icon'=>'icon-action-save.svg'),
	'SAVENEW' => array('label'=>'{LANG_CMM_ACTION_SAVENEW}','area'=>'singlehead','userLevel'=>3,'icon'=>'icon-action-save-and-new.svg'),
	'SAVECLOSE' => array('label'=>'{LANG_CMM_ACTION_SAVECLOSE}','area'=>'singlehead','userLevel'=>3,'icon'=>'icon-action-save-and-close.svg'),
	'CLOSE' => array('label'=>'{LANG_CMM_ACTION_CLOSE}','area'=>'singlehead','userLevel'=>1,'icon'=>'icon-action-close.svg'),
	'CUT' => array('label'=>'{LANG_CMM_ACTION_CUT}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-cut.svg'),
	'COPY' => array('label'=>'{LANG_CMM_ACTION_COPY}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-copy.svg'),
	'PASTE' => array('label'=>'{LANG_CMM_ACTION_PASTE}','area'=>'listhead','userLevel'=>3,'icon'=>'icon-action-paste.svg','UID'=>(!empty($GLOBALS['isBackend']) && isset($_SESSION[$CURRENT["module"]][$CURRENT["view"]]['clipboard']) ? $_SESSION[$CURRENT["module"]][$CURRENT["view"]]['clipboard']['id'] : ''),'condition'=>'!empty($_SESSION[$CURRENT["module"]][$CURRENT["view"]]["clipboard"])'),
	'REMOVE' => array('label'=>'{LANG_CMM_ACTION_REMOVE}','area'=>'list,singlehead','userLevel'=>3,'icon'=>'icon-action-remove.svg','condition'=>'$item["ImmoContactUID"]>0','message'=>'{LANG_CMM_ACTION_REMOVE_CONFIRM}'),
	'CLIPBOARDCLEAR' => array('label'=>'{LANG_CMM_ACTION_CLIPBOARDCLEAR}','area'=>'listhead','userLevel'=>3,'icon'=>'icon-action-clipboard-clear.svg','condition'=>'isset($_SESSION[$CURRENT["module"]][$CURRENT["view"]]["clipboard"])')
	);

$CONFIG['CMM_Immo']['views']['IMPORT']['actions'] = array(
	'IMPORTLIST' => array('label'=>'{LANG_CMM_IMMO_ITEM} {LANG_CMM_IMMO_IMPORT_LIST}','userLevel'=>0),
	'IMPORTINSERT' => array('label'=>'{LANG_CMM_IMMO_IMPORT_NEW}','area'=>'list','userLevel'=>3,'condition'=>'$item["exists"]==0','icon'=>'icon-action-new.svg'),
	'IMPORTUPDATE' => array('label'=>'{LANG_CMM_IMMO_IMPORT_EDIT}','area'=>'list','userLevel'=>3,'condition'=>'$item["exists"]==1','icon'=>'icon-action-refresh.svg'),
	'IMPORTREMOVE' => array('label'=>'{LANG_CMM_IMMO_IMPORT_REMOVE}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-remove.svg','message'=>'{LANG_CMM_ACTION_REMOVE_CONFIRM}'),
	'IMPORTSAVE' => array('label'=>'{LANG_CMM_IMMO_IMPORT_SAVE}','area'=>'singlehead','userLevel'=>3,'icon'=>'icon-action-save-and-close.svg'),
	'IMPORTCLOSE' => array('label'=>'{LANG_CMM_IMMO_IMPORT_CLOSE}','area'=>'singlehead','userLevel'=>1,'icon'=>'icon-action-close.svg'),
	);

$CONFIG['CMM_Immo']['views']['BACKUP']['actions'] = array(
	'BACKUP' => array('label'=>'Datensicherung','userLevel'=>1,'inNavi'=>1),
	'INSTALLDB' => array('label'=>'Datenbanktabellen konfigurieren','userLevel'=>6),
	'BACKUPMAKE' => array('label'=>'Sicherung erstellen','userLevel'=>6,'inNavi'=>0),
	'BACKUPRESTORE' => array('label'=>'Sicherung zurückschreiben','userLevel'=>6,'inNavi'=>0),
	'BACKUPREMOVE' => array('label'=>'Sicherung löschen','userLevel'=>6,'inNavi'=>0)
	);

$CONFIG['CMM_Immo']['views']['CONFIG']['actions'] = array(
	'CONFIG' => array('label'=>'Konfiguration','userLevel'=>1,'inNavi'=>1),
	'CONFIGSAVE' => array('label'=>'Konfiguration','area'=>'singlehead','userLevel'=>6,'icon'=>'icon-action-save.svg')
	);

$CONFIG['CMM_Immo']['views']['INSTALL']['actions'] = array(
	'INSTALL' => array('label'=>'Installation','userLevel'=>6,'inNavi'=>0)
	);


////////////////////////////////////////////////////////////////////
// Datenbank-Tabellen                                             //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Immo']['database'] = array();

// Datenstamm fuer Objekte
$CONFIG['CMM_Immo']['database']['cmm_immo_objects'] = array(
	'tabs' => array(0=>'Text',1=>'Lage',2=>'Daten',3=>'Kosten',4=>'Media',5=>'Energie',6=>'Sonstiges',9=>'Anzeige'),
	'tablename' => 'cmm_immo_objects',
	'sort' => 'ImmoObjectUID DESC',
	'backup' => 1,
	'fieldprefix' => 'ImmoObject',
	'fieldset' => array(
		'ImmoObjectUID' => array('label'=>'ID','type'=>'hidden','tab'=>0,
			'sqldef'=>'int(10) default \'0\''),
		'ImmoObjectPID' => array('label'=>'Seite','type'=>'hidden','tab'=>0,
			'sqldef'=>'int(10) default \'0\''),
		'ImmoObjectTID' => array('label'=>'Typ','type'=>'select','position'=>'bottom','tab'=>6,'shy'=>1,
			'sqldef'=>'int(3) default \'0\'',
			'options'=>array(array('value'=>1,'text'=>'Typ 1'),array('value'=>2,'text'=>'Typ 2'))),
		'ImmoObjectLID' => array('label'=>'Sprache','type'=>'radio','position'=>'bottom','tab'=>6,'shy'=>1,
			'sqldef'=>'int(3) default \'0\'',
			'select'=>array('module'=>'CMM','table'=>'cmm_cmm_languages','keyfield'=>'LanguageUID','labelfield'=>'LanguageName','sort'=>'LanguageUID')),
		'ImmoObjectStatus' => array('label'=>'Status','type'=>'hidden','position'=>'top','tab'=>9,
			'sqldef'=>'int(1) default \'0\''),
		'ImmoObjectDeleted' => array('label'=>'{LANG_CMM_FIELD_REMOVED}','type'=>'hidden','tab'=>3,
			'sqldef'=>'int(1) default \'0\''),
		'ImmoObjectSort' => array('label'=>'Sortierung','type'=>'hidden','position'=>'top','tab'=>9,
			'sqldef'=>'int(10) default \'0\''),
		'ImmoObjectStart' => array('label'=>'Start','type'=>'datetime','position'=>'left','tab'=>9,
			'sqldef'=>'datetime default NULL'),
		'ImmoObjectStop' => array('label'=>'Ende','type'=>'datetime','position'=>'right','tab'=>9,
			'sqldef'=>'datetime default NULL'),
		'ImmoObjectCustomergroupID' => array('label'=>'Anzeige für Benutzergruppen','type'=>'multiselect','attribs'=>array('multiple'=>1,'size'=>6),'position'=>'bottom','tab'=>9,
			'sqldef'=>'varchar(255) collate utf8_unicode_ci default NULL',
			'options'=>array('none'=>array('value'=>'0','text'=>'{LANG_CMM_IF_LOGGED_OUT}'),'all'=>array('value'=>'*','text'=>'{LANG_CMM_IF_LOGGED_IN}')),
			'select'=>array('module'=>'CMM','table'=>'cmm_cmm_customergroups','keyfield'=>'CustomergroupUID','labelfield'=>'CustomergroupUID,CustomergroupName','sort'=>'CustomergroupUID')),
		'ImmoObjectCustomerList' => array('label'=>'Kunden mit Berechtigung für erweiterte Anzeige','type'=>'multiselect','attribs'=>array('multiple'=>1,'size'=>10),'position'=>'bottom','tab'=>9,
			'sqldef'=>'text collate utf8_unicode_ci',
			'options'=>array('all'=>array('value'=>'*','text'=>'alle')),
			'select'=>array('module'=>'CMM','table'=>'cmm_cmm_customers','keyfield'=>'CustomerUID','labelfield'=>'CustomerLastname,CustomerFirstname')),
		'ImmoObjectCustomerLog' => array('label'=>'Log von Kunden mit erweiterter Anzeige','type'=>'hidden','position'=>'bottom','tab'=>9,
			'sqldef'=>'text collate utf8_unicode_ci'),
		'ImmoObjectExpose' => array('label'=>'Expos&eacute;°','type'=>'textfield','position'=>'right','tab'=>0,
			'sqldef'=>'varchar(32) collate utf8_unicode_ci default NULL'),
		'ImmoObjectSpecial' => array('label'=>'Eintrag hervorheben','type'=>'checkbox','position'=>'right','tab'=>0,
			'sqldef'=>'varchar(255) collate utf8_unicode_ci default NULL',
			'options'=>array(array('value'=>'1','text'=>'{LANG_CMM_YES}'))),
		'ImmoObjectCategoryID' => array('label'=>'Kategorie','type'=>'select','position'=>'left','attribs'=>array('required'=>1),'tab'=>0,
			'sqldef'=>'varchar(32) collate utf8_unicode_ci default NULL',
			'function'=>array('module'=>'CMM_Immo','class'=>'CMM_Immo','function'=>'getObjectCategoryOptions')),
		'ImmoObjectTypeID' => array('label'=>'Objekt-Art','type'=>'select','position'=>'left','tab'=>0,
			'sqldef'=>'varchar(32) collate utf8_unicode_ci default NULL',
			'select'=>array('module'=>'CMM_Immo','table'=>'cmm_immo_types','keyfield'=>'ImmoTypeUID','labelfield'=>'ImmoTypeTitle'),
			'join'=>array('module'=>'CMM_Immo','table'=>'cmm_immo_types','keyfield'=>'ImmoTypeUID')),
		'ImmoObjectTitle' => array('label'=>'Titel','type'=>'textfield','position'=>'bottom','tab'=>0,
			'sqldef'=>'varchar(255) collate utf8_unicode_ci default NULL'),
		'ImmoObjectLabel' => array('label'=>'Label','type'=>'select','new'=>1,'position'=>'bottom','tab'=>0,'shy'=>1,
			'sqldef'=>'varchar(255) collate utf8_unicode_ci default NULL',
			'select'=>'self'),
		'ImmoObjectTags' => array('label'=>'Tags, Stichworte','type'=>'tagfield','position'=>'bottom','tab'=>0,'shy'=>1,
			'sqldef'=>'varchar(255) collate utf8_unicode_ci default NULL'),
		'ImmoObjectDescription' => array('label'=>'Beschreibung','type'=>'rte','attribs'=>array('rows'=>10),'position'=>'bottom','tab'=>0,
			'sqldef'=>'text collate utf8_unicode_ci'),
		'ImmoObjectEquipment' => array('label'=>'Ausstattung','type'=>'textarea','attribs'=>array('rows'=>5),'position'=>'bottom','tab'=>0,
			'sqldef'=>'text collate utf8_unicode_ci'),
		'ImmoObjectLocation' => array('label'=>'Lagebeschreibung','type'=>'textarea','attribs'=>array('rows'=>5),'position'=>'bottom','tab'=>0,
			'sqldef'=>'text collate utf8_unicode_ci'),
		'ImmoObjectVisit' => array('label'=>'Besichtigung','type'=>'datetime','position'=>'top','tab'=>6,
			'sqldef'=>'datetime default NULL'),
		'ImmoObjectComment' => array('label'=>'Kommentar (intern)','type'=>'textarea','attribs'=>array('rows'=>5),'position'=>'bottom','tab'=>6,
			'sqldef'=>'text collate utf8_unicode_ci'),
		'ImmoObjectCityID' => array('label'=>'Ort','type'=>'select','position'=>'left','tab'=>1,
			'sqldef'=>'varchar(32) collate utf8_unicode_ci default NULL',
			'select'=>array('module'=>'CMM_Immo','table'=>'cmm_immo_cities','keyfield'=>'ImmoCityUID','labelfield'=>'ImmoCityTitle'),
			'join'=>array('module'=>'CMM_Immo','table'=>'cmm_immo_cities','keyfield'=>'ImmoCityUID')),
		'ImmoObjectZip' => array('label'=>'PLZ','type'=>'textfield','position'=>'left','tab'=>1,
			'sqldef'=>'varchar(10) collate utf8_unicode_ci default NULL'),
		'ImmoObjectProvince' => array('label'=>'Bundesland/Kanton/Bezirk','type'=>'textfield','position'=>'left','tab'=>1,
			'sqldef'=>'varchar(32) collate utf8_unicode_ci default NULL'),
		'ImmoObjectCountry' => array('label'=>'Land','type'=>'select','default'=>'DEU','position'=>'left','tab'=>1,
			'sqldef'=>'varchar(32) collate utf8_unicode_ci default NULL',
			'function'=>array('function'=>'CMM_getInputFieldCountryOptions','value'=>'iso3','text'=>'name')),
		'ImmoObjectAddress' => array('label'=>'genaue Anschrift','type'=>'textarea','position'=>'right','attribs'=>array('rows'=>4),'tab'=>1,
			'sqldef'=>'varchar(255) collate utf8_unicode_ci default NULL'),
		'ImmoObjectAddressShow' => array('label'=>'Anschrift öffentlich anzeigen','type'=>'checkbox','position'=>'right','tab'=>1,
			'sqldef'=>'int(1) default \'0\'',
			'options'=>array(array('value'=>'1','text'=>'{LANG_CMM_YES}'))),
		'ImmoObjectGeoLat' => array('label'=>'GEO Breitengrad','type'=>'geo','attribs'=>array('data-geo-fields'=>'ImmoObjectGeoLat,ImmoObjectGeoLng','data-address-fields'=>'ImmoObjectCityID_select,ImmoObjectZip,ImmoObjectProvince,ImmoObjectCountry_select,ImmoObjectAddress'),'width'=>'50%','position'=>'left','tab'=>1,
			'sqldef'=>'varchar(32) collate utf8_unicode_ci default NULL'),
		'ImmoObjectGeoLng' => array('label'=>'GEO Längengrad','type'=>'geo','attribs'=>array('data-geo-fields'=>'ImmoObjectGeoLat,ImmoObjectGeoLng','data-address-fields'=>'ImmoObjectCityID_select,ImmoObjectZip,ImmoObjectProvince,ImmoObjectCountry_select,ImmoObjectAddress'),'width'=>'50%','position'=>'left','tab'=>1,
			'sqldef'=>'varchar(32) collate utf8_unicode_ci default NULL'),
		'ImmoObjectAreaLiving' => array('label'=>'Wohnfläche (ohne m²)','type'=>'textfield','datatype'=>'float','position'=>'left','tab'=>2,
			'sqldef'=>'float(10,2) default \'0\''),
		'ImmoObjectAreaFunctional' => array('label'=>'Nutzfläche (ohne m²)','type'=>'textfield','datatype'=>'float','position'=>'left','tab'=>2,
			'sqldef'=>'float(10,2) default \'0\''),
		'ImmoObjectAreaBusiness' => array('label'=>'Gewerbefläche (ohne m²)','type'=>'textfield','datatype'=>'float','position'=>'left','tab'=>2,
			'sqldef'=>'float(10,2) default \'0\''),
		'ImmoObjectAreaLand' => array('label'=>'Grundstück (ohne m²)','type'=>'textfield','datatype'=>'float','position'=>'left','tab'=>2,
			'sqldef'=>'float(10,2) default \'0\''),
		'ImmoObjectAreaOther' => array('label'=>'sonstige Flächen','type'=>'textarea','attribs'=>array('rows'=>5),'position'=>'left','tab'=>2,'shy'=>1,
			'sqldef'=>'varchar(255) collate utf8_unicode_ci default NULL'),
		'ImmoObjectRooms' => array('label'=>'Zimmer','type'=>'textfield','datatype'=>'float','step'=>'0.5','position'=>'left','tab'=>2,
			'sqldef'=>'float(10,2) default \'0\''),
		'ImmoObjectFloors' => array('label'=>'Etagen','type'=>'textfield','datatype'=>'int','position'=>'left','tab'=>2,
			'sqldef'=>'int(3) default \'0\''),
		'ImmoObjectInFloor' => array('label'=>'Lage in Etage','type'=>'textfield','datatype'=>'int','position'=>'right','tab'=>1,
			'sqldef'=>'varchar(3) default \'0\''),
		'ImmoObjectYear' => array('label'=>'Baujahr','type'=>'textfield','datatype'=>'int','position'=>'right','tab'=>2,
			'sqldef'=>'int(10) default \'0\''),
		'ImmoObjectSituation' => array('label'=>'Zustand','type'=>'select','new'=>1,'position'=>'right','tab'=>2,
			'sqldef'=>'varchar(255) collate utf8_unicode_ci default NULL',
			'select'=>'self'),
		'ImmoObjectAvailability' => array('label'=>'Verfügbarkeit','type'=>'select','new'=>1,'position'=>'right','tab'=>2,
			'sqldef'=>'varchar(255) collate utf8_unicode_ci default NULL',
			'select'=>'self'),
		'ImmoObjectCostsBuy' => array('label'=>'Kaufpreis (ohne &euro;)','type'=>'textfield','datatype'=>'float','position'=>'left','tab'=>3,
			'sqldef'=>'float(10,2) default \'0\''),
		'ImmoObjectCostsBuild' => array('label'=>'(Neubau)Preis ab (ohne &euro;)','type'=>'textfield','datatype'=>'float','position'=>'left','tab'=>3,
			'sqldef'=>'double(14,2) default \'0\''),
		'ImmoObjectCostsRelative' => array('label'=>'Preis pro/m² (ohne &euro;)','type'=>'textfield','datatype'=>'float','position'=>'left','tab'=>3,
			'sqldef'=>'double(14,2) default \'0\''),
		'ImmoObjectCostsRent' => array('label'=>'Miete/Pacht/Erbpacht (ohne &euro;)','type'=>'textfield','datatype'=>'float','position'=>'left','tab'=>3,
			'sqldef'=>'double(14,2) default \'0\''),
		'ImmoObjectRentType' => array('label'=>'Art der Miete','type'=>'radio','position'=>'left','tab'=>3,
			'sqldef'=>'varchar(32) collate utf8_unicode_ci default NULL',
			'function'=>array('module'=>'CMM_immo','class'=>'CMM_immo','function'=>'getItemRentTypeOptions')),
		'ImmoObjectCostsAdditional' => array('label'=>'Nebenkosten (max. 250 Zeichen)','type'=>'textarea','position'=>'right','tab'=>3,
			'sqldef'=>'varchar(255) collate utf8_unicode_ci default NULL'),
		'ImmoObjectDeposit' => array('label'=>'Kaution','type'=>'textfield','position'=>'right','tab'=>3,
			'sqldef'=>'varchar(255) collate utf8_unicode_ci default NULL'),
		'ImmoObjectCommission' => array('label'=>'Courtage','type'=>'select','new'=>1,'position'=>'right','tab'=>3,
			'sqldef'=>'varchar(255) collate utf8_unicode_ci default NULL',
			'select'=>'self'),
		'ImmoObjectContactID' => array('label'=>'Kontakt ID','type'=>'select','position'=>'top','tab'=>6,
			'sqldef'=>'varchar(32) collate utf8_unicode_ci default NULL',
			'select'=>array('module'=>'CMM_Immo','table'=>'cmm_immo_contacts','keyfield'=>'ImmoContactUID','labelfield'=>'ImmoContactTitle,ImmoContactFirstname,ImmoContactLastname'),
			'join'=>array('module'=>'CMM_Immo','table'=>'cmm_immo_contacts','keyfield'=>'ImmoContactUID')),
		'ImmoObjectOBID' => array('label'=>'OpenImmo OBID (Objekt)','type'=>'textfield','position'=>'top','tab'=>6,'shy'=>1,
			'sqldef'=>'varchar(32) collate utf8_unicode_ci default NULL'),
		'ImmoObjectHeating' => array('label'=>'Heizungsart','type'=>'multiselect','attribs'=>array('multiple'=>1,'size'=>5),'position'=>'right','tab'=>5,
			'sqldef'=>'varchar(255) collate utf8_unicode_ci default NULL',
			'options'=>array(
				array('value'=>'ETAGE','text'=>'Etagenheizung'),
				array('value'=>'FERN','text'=>'Fernheizung'),
				array('value'=>'FUSSBODEN','text'=>'Fußboden'),
				array('value'=>'OFEN','text'=>'Ofen'),
				array('value'=>'ZENTRAL','text'=>'Zentralheizung')
				)),
		'ImmoObjectEnergySource' => array('label'=>'Energieträger','type'=>'multiselect','attribs'=>array('multiple'=>1,'size'=>5),'position'=>'right','tab'=>5,
			'sqldef'=>'varchar(255) collate utf8_unicode_ci default NULL',
			'options'=>array(
				array('value'=>'OEL','text'=>'Öl'),
				array('value'=>'GAS','text'=>'Gas'),
				array('value'=>'ELEKTRO','text'=>'Elektro'),
				array('value'=>'ALTERNATIV','text'=>'Alternativ'),
				array('value'=>'SOLAR','text'=>'Solar'),
				array('value'=>'ERDWAERME','text'=>'Erdwärme'),
				array('value'=>'LUFTWP','text'=>'Luft-Wärmepumpe'),
				array('value'=>'FERN','text'=>'Fernheizung'),
				array('value'=>'BLOCK','text'=>'Blockheizkraftwerk'),
				array('value'=>'WASSER-ELEKTRO','text'=>'Wasser zus. elektrisch'),
				array('value'=>'PELLET','text'=>'Pellet'),
				array('value'=>'KOHLE','text'=>'Kohle'),
				array('value'=>'HOLZ','text'=>'Holz'),
				array('value'=>'FLUESSIGGAS','text'=>'Flüssiggas')
				)),
		'ImmoObjectAirconditioner' => array('label'=>'Klimaanlage','type'=>'select','position'=>'right','tab'=>5,
			'sqldef'=>'int(1) default \'0\'',
			'options'=>array(array('value'=>'1','text'=>'{LANG_CMM_YES}'),array('value'=>'0','text'=>'{LANG_CMM_NO}'))),
		'ImmoObjectEpArt' => array('label'=>'Energiepass-Art','type'=>'select','position'=>'left','tab'=>5,
			'sqldef'=>'varchar(32) collate utf8_unicode_ci default NULL',
			'options'=>array(array('value'=>'BEDARF','text'=>'Bedarf'),array('value'=>'VERBRAUCH','text'=>'Verbrauch'))),
		'ImmoObjectEpGueltig' => array('label'=>'Energiepass gültig bis','type'=>'textfield','position'=>'left','tab'=>5,
			'sqldef'=>'varchar(32) collate utf8_unicode_ci default NULL'),
		'ImmoObjectEpEndenergieverbauch' => array('label'=>'Energieverbrauch kWh/(m²a)','description'=>'Nur angeben, wenn Energie<u>verauchs</u>ausweis','type'=>'textfield','datatype'=>'float','position'=>'left','tab'=>5,
			'sqldef'=>'varchar(32) collate utf8_unicode_ci default NULL'),
		'ImmoObjectEpEndenergiebedarf' => array('label'=>'Endenergiebedarf kWh/(m²a)','description'=>'Nur angeben, wenn Energie<u>bedarfs</u>ausweis','type'=>'textfield','datatype'=>'float','position'=>'left','tab'=>5,
			'sqldef'=>'varchar(32) collate utf8_unicode_ci default NULL'),
		'ImmoObjectEpWaermewert' => array('label'=>'Wärmewert kWh/(m²a)','description'=>'Bei Gewerbeobjekten anzugeben','type'=>'textfield','datatype'=>'float','position'=>'left','tab'=>5,
			'sqldef'=>'varchar(32) collate utf8_unicode_ci default NULL'),
		'ImmoObjectEpStromwert' => array('label'=>'Stromwert kWh/(m²a)','description'=>'Bei Gewerbeobjekten anzugeben','type'=>'textfield','datatype'=>'float','position'=>'left','tab'=>5,
			'sqldef'=>'varchar(32) collate utf8_unicode_ci default NULL'),
		'ImmoObjectEpMitwarmwasser' => array('label'=>'Verbrauch enthält Warmwasser?','type'=>'checkbox','position'=>'left','tab'=>5,
			'sqldef'=>'int(1) default \'0\'',
			'options'=>array(array('value'=>'1','text'=>'{LANG_CMM_YES}'))),
		'ImmoObjectEpEffizienzklasse' => array('label'=>'Effizienzklasse','type'=>'select','position'=>'left','tab'=>5,
			'sqldef'=>'varchar(32) collate utf8_unicode_ci default NULL',
			'options'=>array(array('value'=>'A+','text'=>'A+'),array('value'=>'A','text'=>'A'),array('value'=>'B','text'=>'B'),array('value'=>'C','text'=>'C'),array('value'=>'D','text'=>'D'),array('value'=>'E','text'=>'E'),array('value'=>'F','text'=>'F'),array('value'=>'G','text'=>'G'),array('value'=>'H','text'=>'H'))),
		'ImmoObjectEpBaujahr' => array('label'=>'Baujahr','type'=>'textfield','datatype'=>'int','position'=>'left','attribs'=>array('maxlength'=>4),'tab'=>5,
			'sqldef'=>'varchar(4) collate utf8_unicode_ci default NULL'),
		'ImmoObjectImages' => array('label'=>'Bilder','type'=>'imagelist','dir'=>'data/CMM_Immo/images/','number'=>'10','position'=>'top','tab'=>4,
			'sqldef'=>'text collate utf8_unicode_ci'),
		'ImmoObjectImages2' => array('label'=>'Zusatz-Bilder','type'=>'imagelist','dir'=>'data/CMM_Immo/images/','number'=>'10','position'=>'top','tab'=>4,
			'sqldef'=>'text collate utf8_unicode_ci'),
		'ImmoObjectVideos' => array('label'=>'Videos','type'=>'videolist','dir'=>'data/CMM_Immo/videos/','number'=>'3','position'=>'top','tab'=>4,
			'sqldef'=>'text collate utf8_unicode_ci'),
		'ImmoObjectFiles' => array('label'=>'Dateien','type'=>'filelist','dir'=>'data/CMM_Immo/files/','number'=>'3','position'=>'top','tab'=>4,
			'sqldef'=>'text collate utf8_unicode_ci'),
		'ImmoObjectLinks' => array('label'=>'Links','type'=>'linklist','number'=>'10','position'=>'top','tab'=>4,
			'sqldef'=>'text collate utf8_unicode_ci'),
		'ImmoObjectCounter' => array('label'=>'Anzeige-Counter','type'=>'textfield','position'=>'top','tab'=>6,
			'sqldef'=>'int(10) default \'0\''),
		'ImmoObjectAddUser' => array('label'=>'Benutzer erstellt','type'=>'hidden','position'=>'bottom','tab'=>9,
			'sqldef'=>'varchar(32) collate utf8_unicode_ci default \'0\''),
		'ImmoObjectAddDate' => array('label'=>'Datum erstellt','type'=>'hidden','position'=>'bottom','tab'=>9,
			'sqldef'=>'datetime default \'0000-00-00 00:00:00\''),
		'ImmoObjectModUser' => array('label'=>'Benutzer geändert','type'=>'hidden','position'=>'bottom','tab'=>9,
			'sqldef'=>'varchar(32) collate utf8_unicode_ci default \'0\''),
		'ImmoObjectModDate' => array('label'=>'Datum geändert','type'=>'hidden','position'=>'bottom','tab'=>9,
			'sqldef'=>'datetime default \'0000-00-00 00:00:00\'')
		),
	'tableset' => array(
		'engine' => 'MyISAM',
		'primarykey' => 'UID',
		'charset' => 'utf8',
		'collation' => 'utf8_unicode_ci',
		'comment' => 'Objekte'
		)
	);
/*
// Datenstamm fuer Kategorien
$CONFIG['CMM_Immo']['database']['cmm_immo_categories'] = array(
	'tabs' => array(0=>'Text',1=>'Media',3=>'Sonstiges'),
	'tablename' => 'cmm_immo_categories',
	'sort' => 'ImmoCategoryUID DESC',
	'backup' => 1,
	'fieldprefix' => 'ImmoCategory',
	'fieldset' => array(
		'ImmoCategoryUID' => array('label'=>'ID','type'=>'hidden','tab'=>0,
			'sqldef'=>'int(10) default \'0\''),
		'ImmoCategoryPID' => array('label'=>'Seite','type'=>'hidden','tab'=>0,
			'sqldef'=>'int(10) default \'0\''),
		'ImmoCategoryTID' => array('label'=>'Typ','type'=>'hidden','position'=>'top','value'=>'','tab'=>3,
			'sqldef'=>'int(3) default \'0\''),
		'ImmoCategoryLID' => array('label'=>'Sprache','type'=>'radio','position'=>'top','tab'=>3,
			'sqldef'=>'int(3) default \'0\'',
			'select'=>array('module'=>'CMM','table'=>'cmm_cmm_languages','keyfield'=>'LanguageUID','labelfield'=>'LanguageName','sort'=>'LanguageUID')),
		'ImmoCategoryStatus' => array('label'=>'Status','type'=>'radio','position'=>'top','tab'=>3,
			'sqldef'=>'int(1) default \'0\'',
			'options'=>array(array('value'=>1,'text'=>'{LANG_CMM_ENABLED}'),array('value'=>'0','text'=>'{LANG_CMM_DISABLED}'))),
		'ImmoCategoryDeleted' => array('label'=>'{LANG_CMM_FIELD_REMOVED}','type'=>'hidden','tab'=>3,
			'sqldef'=>'int(1) default \'0\''),
		'ImmoCategorySort' => array('label'=>'Sortierung','type'=>'hidden','position'=>'top','tab'=>0,
			'sqldef'=>'int(10) default \'0\''),
		'ImmoCategoryTitle' => array('label'=>'Titel','type'=>'textfield','attribs'=>array('required'=>1),'position'=>'top','tab'=>0,
			'sqldef'=>'varchar(255) collate utf8_unicode_ci default NULL'),
		'ImmoCategoryDescription' => array('label'=>'Beschreibung','type'=>'rte','position'=>'top','tab'=>0,
			'sqldef'=>'text collate utf8_unicode_ci'),
		'ImmoCategoryIcon' => array('label'=>'Symbol','type'=>'imagelist','number'=>'1','position'=>'top','dir'=>'data/CMM_Immo/images/','tab'=>1,
			'sqldef'=>'text collate utf8_unicode_ci'),
		'ImmoCategoryAddUser' => array('label'=>'Benutzer erstellt','type'=>'hidden','position'=>'left','tab'=>0,
			'sqldef'=>'varchar(32) collate utf8_unicode_ci default \'0\''),
		'ImmoCategoryAddDate' => array('label'=>'Datum erstellt','type'=>'hidden','position'=>'left','tab'=>0,
			'sqldef'=>'datetime default \'0000-00-00 00:00:00\''),
		'ImmoCategoryModUser' => array('label'=>'Benutzer geändert','type'=>'hidden','position'=>'left','tab'=>0,
			'sqldef'=>'varchar(32) collate utf8_unicode_ci default \'0\''),
		'ImmoCategoryModDate' => array('label'=>'Datum geändert','type'=>'hidden','position'=>'left','tab'=>0,
			'sqldef'=>'datetime default \'0000-00-00 00:00:00\'')
		),
	'tableset' => array(
		'engine' => 'MyISAM',
		'primarykey' => 'UID',
		'charset' => 'utf8',
		'collation' => 'utf8_unicode_ci',
		'comment' => 'Kategorien'
		)
	);
*/
// Datenstamm fuer Objektarten
$CONFIG['CMM_Immo']['database']['cmm_immo_types'] = array(
	'tabs' => array(0=>'Text',1=>'Media',3=>'Sonstiges'),
	'tablename' => 'cmm_immo_types',
	'sort' => 'ImmoTypeUID DESC',
	'backup' => 1,
	'fieldprefix' => 'ImmoType',
	'fieldset' => array(
		'ImmoTypeUID' => array('label'=>'ID','type'=>'hidden','tab'=>0,
			'sqldef'=>'int(10) default \'0\''),
		'ImmoTypePID' => array('label'=>'Seite','type'=>'hidden','tab'=>0,
			'sqldef'=>'int(10) default \'0\''),
		'ImmoTypeTID' => array('label'=>'Typ','type'=>'hidden','position'=>'top','value'=>'','tab'=>3,
			'sqldef'=>'int(3) default \'0\''),
		'ImmoTypeLID' => array('label'=>'Sprache','type'=>'radio','position'=>'top','tab'=>3,
			'sqldef'=>'int(3) default \'0\'',
			'select'=>array('module'=>'CMM','table'=>'cmm_cmm_languages','keyfield'=>'LanguageUID','labelfield'=>'LanguageName','sort'=>'LanguageUID')),
		'ImmoTypeStatus' => array('label'=>'Status','type'=>'radio','position'=>'top','tab'=>3,
			'sqldef'=>'int(1) default \'0\'',
			'options'=>array(array('value'=>1,'text'=>'{LANG_CMM_ENABLED}'),array('value'=>'0','text'=>'{LANG_CMM_DISABLED}'))),
		'ImmoTypeDeleted' => array('label'=>'{LANG_CMM_FIELD_REMOVED}','type'=>'hidden','tab'=>3,
			'sqldef'=>'int(1) default \'0\''),
		'ImmoTypeSort' => array('label'=>'Sortierung','type'=>'hidden','datatype'=>'int','position'=>'top','tab'=>0,
			'sqldef'=>'int(10) default \'0\''),
		'ImmoTypeTitle' => array('label'=>'Titel','type'=>'textfield','attribs'=>array('required'=>1),'position'=>'top','tab'=>0,
			'sqldef'=>'varchar(255) collate utf8_unicode_ci default NULL'),
		'ImmoTypeDescription' => array('label'=>'Beschreibung','type'=>'rte','position'=>'top','tab'=>0,
			'sqldef'=>'text collate utf8_unicode_ci'),
		'ImmoTypeIcon' => array('label'=>'Symbol','type'=>'hidden','position'=>'top','tab'=>1,
			'sqldef'=>'text collate utf8_unicode_ci'),
	//	'ImmoTypeIcon' => array('label'=>'Symbol','type'=>'imagelist','number'=>'1','dir'=>'data/CMM_Immo/images/','position'=>'top','tab'=>1,
	//		'sqldef'=>'text collate utf8_unicode_ci'),
		'ImmoTypeAddUser' => array('label'=>'Benutzer erstellt','type'=>'hidden','position'=>'left','tab'=>0,
			'sqldef'=>'varchar(32) collate utf8_unicode_ci default \'0\''),
		'ImmoTypeAddDate' => array('label'=>'Datum erstellt','type'=>'hidden','position'=>'left','tab'=>0,
			'sqldef'=>'datetime default \'0000-00-00 00:00:00\''),
		'ImmoTypeModUser' => array('label'=>'Benutzer geändert','type'=>'hidden','position'=>'left','tab'=>0,
			'sqldef'=>'varchar(32) collate utf8_unicode_ci default \'0\''),
		'ImmoTypeModDate' => array('label'=>'Datum geändert','type'=>'hidden','position'=>'left','tab'=>0,
			'sqldef'=>'datetime default \'0000-00-00 00:00:00\'')
		),
	'tableset' => array(
		'engine' => 'MyISAM',
		'primarykey' => 'UID',
		'charset' => 'utf8',
		'collation' => 'utf8_unicode_ci',
		'comment' => 'Objektarten'
		)
	);

// Datenstamm fuer Orte
$CONFIG['CMM_Immo']['database']['cmm_immo_cities'] = array(
	'tabs' => array(0=>'Text',1=>'Media',3=>'Sonstiges'),
	'tablename' => 'cmm_immo_cities',
	'sort' => 'ImmoCityUID DESC',
	'backup' => 1,
	'fieldprefix' => 'ImmoCity',
	'fieldset' => array(
		'ImmoCityUID' => array('label'=>'ID','type'=>'hidden','tab'=>0,
			'sqldef'=>'int(10) default \'0\''),
		'ImmoCityPID' => array('label'=>'Seite','type'=>'hidden','tab'=>0,
			'sqldef'=>'int(10) default \'0\''),
		'ImmoCityTID' => array('label'=>'Typ','type'=>'hidden','position'=>'top','value'=>'','tab'=>3,
			'sqldef'=>'int(3) default \'0\''),
		'ImmoCityLID' => array('label'=>'Sprache','type'=>'radio','position'=>'top','tab'=>3,
			'sqldef'=>'int(3) default \'0\'',
			'select'=>array('module'=>'CMM','table'=>'cmm_cmm_languages','keyfield'=>'LanguageUID','labelfield'=>'LanguageName','sort'=>'LanguageUID')),
		'ImmoCityStatus' => array('label'=>'Status','type'=>'radio','position'=>'top','tab'=>3,
			'sqldef'=>'int(1) default \'0\'',
			'options'=>array(array('value'=>1,'text'=>'{LANG_CMM_ENABLED}'),array('value'=>'0','text'=>'{LANG_CMM_DISABLED}'))),
		'ImmoCityDeleted' => array('label'=>'{LANG_CMM_FIELD_REMOVED}','type'=>'hidden','tab'=>3,
			'sqldef'=>'int(1) default \'0\''),
		'ImmoCitySort' => array('label'=>'Sortierung','type'=>'hidden','datatype'=>'int','position'=>'top','tab'=>0,
			'sqldef'=>'int(10) default \'0\''),
		'ImmoCityTitle' => array('label'=>'Titel','type'=>'textfield','attribs'=>array('required'=>1),'position'=>'top','tab'=>0,
			'sqldef'=>'varchar(255) collate utf8_unicode_ci default NULL'),
		'ImmoCityDescription' => array('label'=>'Beschreibung','type'=>'rte','position'=>'top','tab'=>0,
			'sqldef'=>'text collate utf8_unicode_ci'),
		'ImmoCityImages' => array('label'=>'Symbol','type'=>'imagelist','number'=>'1','dir'=>'data/CMM_Immo/images/','position'=>'top','tab'=>1,
			'sqldef'=>'text collate utf8_unicode_ci'),
		'ImmoCityAddUser' => array('label'=>'Benutzer erstellt','type'=>'hidden','position'=>'left','tab'=>0,
			'sqldef'=>'varchar(32) collate utf8_unicode_ci default \'0\''),
		'ImmoCityAddDate' => array('label'=>'Datum erstellt','type'=>'hidden','position'=>'left','tab'=>0,
			'sqldef'=>'datetime default \'0000-00-00 00:00:00\''),
		'ImmoCityModUser' => array('label'=>'Benutzer geändert','type'=>'hidden','position'=>'left','tab'=>0,
			'sqldef'=>'varchar(32) collate utf8_unicode_ci default \'0\''),
		'ImmoCityModDate' => array('label'=>'Datum geändert','type'=>'hidden','position'=>'left','tab'=>0,
			'sqldef'=>'datetime default \'0000-00-00 00:00:00\'')
		),
	'tableset' => array(
		'engine' => 'MyISAM',
		'primarykey' => 'UID',
		'charset' => 'utf8',
		'collation' => 'utf8_unicode_ci',
		'comment' => 'Orte'
		)
	);

// Datenstamm fuer Kontakte
$CONFIG['CMM_Immo']['database']['cmm_immo_contacts'] = array(
	'tabs' => array(0=>'Text',1=>'Media',3=>'Sonstiges'),
	'tablename' => 'cmm_immo_contacts',
	'sort' => 'ImmoContactUID DESC',
	'backup' => 1,
	'fieldprefix' => 'ImmoContact',
	'fieldset' => array(
		'ImmoContactUID' => array('label'=>'ID','type'=>'hidden','tab'=>0,
			'sqldef'=>'int(10) default \'0\''),
		'ImmoContactPID' => array('label'=>'Seite','type'=>'hidden','tab'=>0,
			'sqldef'=>'int(10) default \'0\''),
		'ImmoContactTID' => array('label'=>'Typ','type'=>'hidden',
			'sqldef'=>'int(3) default \'0\'','position'=>'top','value'=>'','tab'=>3),
		'ImmoContactLID' => array('label'=>'Sprache','type'=>'radio','position'=>'top','tab'=>3,
			'sqldef'=>'int(3) default \'0\'',
			'select'=>array('module'=>'CMM','table'=>'cmm_cmm_languages','keyfield'=>'LanguageUID','labelfield'=>'LanguageName','sort'=>'LanguageUID')),
		'ImmoContactStatus' => array('label'=>'Status','type'=>'radio','position'=>'top','tab'=>3,
			'sqldef'=>'int(1) default \'0\'',
			'options'=>array(array('value'=>1,'text'=>'{LANG_CMM_ENABLED}'),array('value'=>'0','text'=>'{LANG_CMM_DISABLED}'))),
		'ImmoContactDeleted' => array('label'=>'{LANG_CMM_FIELD_REMOVED}','type'=>'hidden','tab'=>3,
			'sqldef'=>'int(1) default \'0\''),
		'ImmoContactSort' => array('label'=>'Sortierung','type'=>'hidden','datatype'=>'int','position'=>'top','tab'=>0,
			'sqldef'=>'int(10) default \'0\''),
		'ImmoContactANID' => array('label'=>'OpenImmo ANID (Anbieter)','type'=>'textfield','position'=>'left','tab'=>3,
			'sqldef'=>'varchar(32) collate utf8_unicode_ci default NULL'),
		'ImmoContactGender' => array('label'=>'Anrede','type'=>'radio','position'=>'left','tab'=>0,
			'sqldef'=>'varchar(10) collate utf8_unicode_ci default NULL',
			'options'=>array(array('value'=>'F','text'=>'{LANG_CMM_MRS}'),array('value'=>'M','text'=>'{LANG_CMM_MR}'))),
		'ImmoContactTitle' => array('label'=>'Titel','type'=>'textfield','position'=>'left','tab'=>0,'shy'=>1,
			'sqldef'=>'varchar(32) collate utf8_unicode_ci default NULL'),
		'ImmoContactFirstname' => array('label'=>'Vorname','type'=>'textfield','position'=>'left','tab'=>0,
			'sqldef'=>'varchar(100) collate utf8_unicode_ci default NULL'),
		'ImmoContactLastname' => array('label'=>'Nachname','type'=>'textfield','position'=>'left','tab'=>0,
			'sqldef'=>'varchar(100) collate utf8_unicode_ci default NULL'),
		'ImmoContactCompany' => array('label'=>'Firma','type'=>'textfield','position'=>'left','tab'=>0,
			'sqldef'=>'varchar(100) collate utf8_unicode_ci default NULL'),
		'ImmoContactFunction' => array('label'=>'Funktion / Position','type'=>'textfield','position'=>'left','tab'=>0,
			'sqldef'=>'varchar(100) collate utf8_unicode_ci default NULL'),
		'ImmoContactStreet' => array('label'=>'Straße + Nr.','type'=>'textfield','position'=>'right','tab'=>0,
			'sqldef'=>'varchar(100) collate utf8_unicode_ci default NULL'),
		'ImmoContactCity' => array('label'=>'Ort','type'=>'textfield','position'=>'right','tab'=>0,
			'sqldef'=>'varchar(100) collate utf8_unicode_ci default NULL'),
		'ImmoContactZip' => array('label'=>'PLZ','type'=>'textfield','position'=>'right','tab'=>0,
			'sqldef'=>'varchar(10) collate utf8_unicode_ci default NULL'),
		'ImmoContactProvince' => array('label'=>'Bundesland/Kanton/Bezirk','type'=>'textfield','position'=>'right','tab'=>0,
			'sqldef'=>'varchar(100) collate utf8_unicode_ci default NULL'),
		'ImmoContactCountry' => array('label'=>'Land','type'=>'select',/*default'=>'DE',*/'position'=>'right','tab'=>0,
			'sqldef'=>'varchar(100) collate utf8_unicode_ci default NULL',
			'function'=>array('function'=>'CMM_getInputFieldCountryOptions','value'=>'iso2','text'=>'name')),
		'ImmoContactPhone' => array('label'=>'Telefon','type'=>'textfield','position'=>'right','tab'=>0,
			'sqldef'=>'varchar(32) collate utf8_unicode_ci default NULL'),
		'ImmoContactFax' => array('label'=>'Fax','type'=>'textfield','position'=>'right','tab'=>0,
			'sqldef'=>'varchar(32) collate utf8_unicode_ci default NULL'),
		'ImmoContactEmail' => array('label'=>'E-Mail-Adresse','type'=>'textfield','position'=>'right','tab'=>0,
			'sqldef'=>'varchar(100) collate utf8_unicode_ci default NULL'),
		'ImmoContactWeb' => array('label'=>'Website','type'=>'textfield','position'=>'right','tab'=>0,
			'sqldef'=>'varchar(100) collate utf8_unicode_ci default NULL'),
		'ImmoContactImages' => array('label'=>'Bild','type'=>'imagelist','number'=>'1','dir'=>'data/CMM_Immo/images/','position'=>'top','tab'=>1,
			'sqldef'=>'text collate utf8_unicode_ci'),
		'ImmoContactAddUser' => array('label'=>'Benutzer erstellt','type'=>'hidden','position'=>'left','tab'=>0,
			'sqldef'=>'varchar(32) collate utf8_unicode_ci default \'0\''),
		'ImmoContactAddDate' => array('label'=>'Datum erstellt','type'=>'hidden','position'=>'left','tab'=>0,
			'sqldef'=>'datetime default \'0000-00-00 00:00:00\''),
		'ImmoContactModUser' => array('label'=>'Benutzer geändert','type'=>'hidden','position'=>'left','tab'=>0,
			'sqldef'=>'varchar(32) collate utf8_unicode_ci default \'0\''),
		'ImmoContactModDate' => array('label'=>'Datum geändert','type'=>'hidden','position'=>'left','tab'=>0,
			'sqldef'=>'datetime default \'0000-00-00 00:00:00\'')
		),
	'tableset' => array(
		'engine' => 'MyISAM',
		'primarykey' => 'UID',
		'charset' => 'utf8',
		'collation' => 'utf8_unicode_ci',
		'comment' => 'Kontakte'
		)
	);


////////////////////////////////////////////////////////////////////
// Sortier-Variablen (Administration)                             //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Immo']['sortVars'] = array();
$CONFIG['CMM_Immo']['sortVars']['cmm_immo_objects'] = array('ImmoObjectUID','ImmoObjectSort','ImmoObjectStatus','ImmoObjectTitle','ImmoCategoryTitle:Kategorie','ImmoTypeTitle:Immobilienart','ImmoCityTitle:Ort','ImmoObjectModDate');
//$CONFIG['CMM_Immo']['sortVars']['cmm_immo_categories'] = array('ImmoCategoryUID','ImmoCategorySort','ImmoCategoryStatus','ImmoCategoryTitle','ImmoCategoryModDate');
$CONFIG['CMM_Immo']['sortVars']['cmm_immo_types'] = array('ImmoTypeUID','ImmoTypeSort','ImmoTypeStatus','ImmoTypeTitle','ImmoTypeModDate');
$CONFIG['CMM_Immo']['sortVars']['cmm_immo_cities'] = array('ImmoCityUID','ImmoCitySort','ImmoCityStatus','ImmoCityTitle','ImmoCityModDate');
$CONFIG['CMM_Immo']['sortVars']['cmm_immo_contacts'] = array('ImmoContactUID','ImmoContactSort','ImmoContactStatus','ImmoContactFirstname','ImmoContactLastname','ImmoContactModDate');


////////////////////////////////////////////////////////////////////
// Filter-Variablen (Administration)                              //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Immo']['filterVars'] = array();
$CONFIG['CMM_Immo']['filterVars']['cmm_immo_objects'] = array_keys($CONFIG['CMM_Immo']['database']['cmm_immo_objects']['fieldset']);
//$CONFIG['CMM_Immo']['filterVars']['cmm_immo_categories'] = array_keys($CONFIG['CMM_Immo']['database']['cmm_immo_categories']['fieldset']);
$CONFIG['CMM_Immo']['filterVars']['cmm_immo_types'] = array_keys($CONFIG['CMM_Immo']['database']['cmm_immo_types']['fieldset']);
$CONFIG['CMM_Immo']['filterVars']['cmm_immo_cities'] = array_keys($CONFIG['CMM_Immo']['database']['cmm_immo_cities']['fieldset']);
$CONFIG['CMM_Immo']['filterVars']['cmm_immo_contacts'] = array_keys($CONFIG['CMM_Immo']['database']['cmm_immo_contacts']['fieldset']);

// Additional filter fields
$CONFIG['CMM_Immo']['filterVars']['cmm_immo_objects'][] = 'OPTGROUP:Sonstige';
//$CONFIG['CMM_Immo']['filterVars']['cmm_immo_objects'][] = 'ImmoObjectCategoryID:Kategorie-Titel';
$CONFIG['CMM_Immo']['filterVars']['cmm_immo_objects'][] = 'ImmoTypeTitle:Immobilienart';
$CONFIG['CMM_Immo']['filterVars']['cmm_immo_objects'][] = 'ImmoCityTitle:Ortsname';
$CONFIG['CMM_Immo']['filterVars']['cmm_immo_objects'][] = 'ImmoContactLastname:Kontakt Nachname';

?>