<?PHP
/***************************************************************
*  Copyright notice
*
*  (c) 2009-2017 Nicolas Berg
*  All rights reserved
*
*  This script is part of the CMM3 Content-Management-System.
*  CMM3 is provided only under a commercial license until now.
*  Maybe we will add a free license in future.
*
*  This script is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
*
*  This copyright notice MUST APPEAR in all copies of the script!
***************************************************************/

////////////////////////////////////////////////////////////////////
// Modul-Einstellungen                                            //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Jobs'] = array();
// Modulpraefix
$CONFIG['CMM_Jobs']['key'] = 'CMM_Jobs';
// Modulname
$CONFIG['CMM_Jobs']['label'] = 'Jobs';
// Modulbeschreibung
$CONFIG['CMM_Jobs']['description'] = 'Verwaltung von Stellenangeboten mit Kategorien und Arbeitgebern';
// Module-languages
$CONFIG['CMM_Jobs']['languages'] = 'at,de,ch,en,es,fr,nl,ru';
// Modulicon
$CONFIG['CMM_Jobs']['icon'] = 'CMM_Jobs.svg';
// Modulversion
$CONFIG['CMM_Jobs']['version'] = '1.6.6';
// Dependencies
$CONFIG['CMM_Jobs']['depend'] = 'CMM:6.0';


////////////////////////////////////////////////////////////////////
// Set includes for administration                                //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Jobs']['BE'] = array();
$CONFIG['CMM_Jobs']['BE']['include'] = array();
// PHP
$CONFIG['CMM_Jobs']['BE']['include']['PHP'] = array('CMM_Jobs/structure.php');
// CSS
$CONFIG['CMM_Jobs']['BE']['include']['CSS'] = array();
// JS
$CONFIG['CMM_Jobs']['BE']['include']['JS'] = array();


////////////////////////////////////////////////////////////////////
// Set includes for website                                       //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Jobs']['FE'] = array();
$CONFIG['CMM_Jobs']['FE']['include'] = array();
// PHP - starting at CMM_ROOT_DIR
$CONFIG['CMM_Jobs']['FE']['include']['PHP'] = array();
// CSS - starting at CMM_ROOT_DIR
$CONFIG['CMM_Jobs']['FE']['include']['CSS'] = array('CMM_Jobs/template/css/CMM_Jobs.css');
// JS - starting at CMM_ROOT_DIR
$CONFIG['CMM_Jobs']['FE']['include']['JS'] = array();


////////////////////////////////////////////////////////////////////
// Datenverzeichnisse erstellen                                   //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Jobs']['dirs'] = array(
	'data/CMM_Jobs/backup/',
	'data/CMM_Jobs/images/',
	'data/CMM_Jobs/videos/',
	'data/CMM_Jobs/audios/',
	'data/CMM_Jobs/files/'
	);


////////////////////////////////////////////////////////////////////
// Plugins                                                        //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Jobs']['plugins'] = array(
	'CMM_Jobs_list.php',
	'CMM_Jobs_short.php',
	'CMM_Jobs_random.php',
	'CMM_Jobs_detail.php',
	'CMM_Jobs_filter.php',
	'CMM_Jobs_GoogleMap.php',
	'CMM_Jobs_list_xml.php'
	);


////////////////////////////////////////////////////////////////////
// Weitere Einstellungen                                          //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Jobs']['config'] = array();

// Einfacher Modus - ohne Auswahl der Speicherseite
$CONFIG['CMM_Jobs']['config']['simpleMode'] = 0;

// Meta-Felder
$CONFIG['CMM_Jobs']['config']['metaTitleFields'] = array('JobsItemTitle','JobsItemLocation','JobsItemIdent');
$CONFIG['CMM_Jobs']['config']['metaKeywordsFields'] = array('JobsItemTitle','JobsItemLocation','JobsItemIdent','JobsItemDescription','JobsItemBenefits','JobsItemRequirements');
$CONFIG['CMM_Jobs']['config']['metaDescriptionFields'] = array('JobsItemDescription','JobsItemBenefits','JobsItemRequirements');

// Enable backup-view in module
$CONFIG['CMM_Jobs']['config']['enableBackup'] = 0;


////////////////////////////////////////////////////////////////////
// Felddefinitionen fuer Config                                   //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Jobs']['configFields'] = array(
	'simpleMode' => array('label'=>'Einfacher Modus ohne Seitenbaum','type'=>'radio','options'=>array(array('value'=>'0','text'=>'{LANG_CMM_NO}'),array('value'=>'1','text'=>'{LANG_CMM_YES}')),'position'=>'left'),
	'enableBackup' => array('label'=>'Backup aktivieren','type'=>'radio','options'=>array(array('value'=>'0','text'=>'{LANG_CMM_NO}'),array('value'=>'1','text'=>'{LANG_CMM_YES}')),'position'=>'left')
	);


////////////////////////////////////////////////////////////////////
// Einstellungen fuer Suche                                       //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Jobs']['config']['search'] = array(
	'label' => '{LANG_CMM_JOBS_LABEL}',
	'resultPIDparams' => ($CONFIG['CMM']['config']['seoUseSeoUrls']==true ? '/{$JobsItemTitle|validatealias}.{$JobsItemUID}' : '?CMM_Jobs[JobsItemUID]={$JobsItemUID}'),
	'resultPIDfilter' => '',
	'tablename' => 'cmm_jobs_items',
	'fieldprefix' => 'JobsItem',
	'join' => array('cmm_jobs_categories|JobsCategoryUID=JobsItemCID'), // Join-Table|Join-Table-Field=Table-Field|[Join-Table-Field=Value]
	'filter' => array(), // Zusatzfilter
	'titleFields' => array('JobsItemTitle'),
	'textFields' => array('JobsItemDescriptionShort','JobsItemDescription','JobsItemBenefits','JobsItemRequirements'),
	'searchFields' => array('JobsItemTitle','JobsItemDescriptionShort','JobsItemDescription','JobsItemBenefits','JobsItemRequirements'),
	'extraFields' => array('JobsItemTitle'),
	'deletedField' => 'JobsItemDeleted',
//	'fulltext' => array('Fulltext' => array('JobsItemTitle','JobsItemDescriptionShort','JobsItemDescription','JobsItemBenefits','JobsItemRequirements'))
	);

?>