<?PHP
/***************************************************************
*  Copyright notice
*
*  (c) 2009-2017 Nicolas Berg
*  All rights reserved
*
*  This script is part of the CMM3 Content-Management-System.
*  CMM3 is provided only under a commercial license until now.
*  Maybe we will add a free license in future.
*
*  This script is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
*
*  This copyright notice MUST APPEAR in all copies of the script!
***************************************************************/

///////////////////////////////////////////////////////////
// Plugin fuer Filter                                    //
///////////////////////////////////////////////////////////
// V 1.0 First release
///////////////////////////////////////////////////////////
include_once(CMM_ROOT_DIR.'CMM_Jobs/index.php');

/* PARAMS START - Marker-Comments required! */
$params = array(
	'templateFile'=>'CMM_Jobs/template/html/CMM_Jobs_filter.html',
	'dataPID'=>'',
	'listPID'=>'',
	'CID'=>'',
	'CIDinPageAlias'=>1,

	'showFulltext'=>1,
	'showLocation'=>1,
	'showCID'=>1,
	'showTID'=>1,
	'showTime'=>1,
	'showShift'=>1,
	'cacheTimeout'=>600
	);
/* PARAMS END */

/* FIELDSET START - Marker-Comments required! */
$fieldset = array(
	'templateFile' => array('label'=>'HTML-Vorlagen-Datei','type'=>'textfield','datatype'=>'text','position'=>'bottom'),
	'dataPID' => array('label'=>'Seite: Datensätze (PID)','type'=>'linkfield','position'=>'left'),
	'listPID' => array('label'=>'Seite: Listen-Anzeige (PID)','type'=>'linkfield','position'=>'left'),
	'CID' => array('label'=>'Kategorie: nur diese anzeigen (CID)','type'=>'textfield','datatype'=>'text','position'=>'left'),
	'CIDinPageAlias' => array('label'=>'Kategorie: CID aus SEO-URL ermitteln','type'=>'radio','options'=>array(array('value'=>'0','text'=>'{LANG_CMM_NO}'),array('value'=>'1','text'=>'{LANG_CMM_YES}')),'position'=>'left','shy'=>1),

	'showFulltext' => array('label'=>'Filter: Feld &quot;Suchbegriff&quot; anzeigen','type'=>'radio','options'=>array(array('value'=>'0','text'=>'{LANG_CMM_NO}'),array('value'=>'1','text'=>'{LANG_CMM_YES}')),'position'=>'right'),
	'showLocation' => array('label'=>'Filter: Feld &quot;Arbeitsort&quot; anzeigen','type'=>'radio','options'=>array(array('value'=>'0','text'=>'{LANG_CMM_NO}'),array('value'=>1,'text'=>'nur Ort'),array('value'=>2,'text'=>'Umkreissuche')),'position'=>'right'),
	'showCID' => array('label'=>'Filter: Feld &quot;Kategorie&quot; anzeigen','type'=>'radio','options'=>array(array('value'=>'0','text'=>'{LANG_CMM_NO}'),array('value'=>'1','text'=>'{LANG_CMM_YES}')),'position'=>'right'),
	'showTID' => array('label'=>'Filter: Feld &quot;Stellen-Typ&quot; anzeigen','type'=>'radio','options'=>array(array('value'=>'0','text'=>'{LANG_CMM_NO}'),array('value'=>'1','text'=>'{LANG_CMM_YES}')),'position'=>'right'),
	'showTime' => array('label'=>'Filter: Feld &quot;Arbeitszeit&quot; anzeigen','type'=>'radio','options'=>array(array('value'=>'0','text'=>'{LANG_CMM_NO}'),array('value'=>'1','text'=>'{LANG_CMM_YES}')),'position'=>'right'),
	'showShift' => array('label'=>'Filter: Feld &quot;Schichten&quot; anzeigen','type'=>'radio','options'=>array(array('value'=>'0','text'=>'{LANG_CMM_NO}'),array('value'=>'1','text'=>'{LANG_CMM_YES}')),'position'=>'right'),
	'cacheTimeout' => array('label'=>'{LANG_CMM_CACHE_TIMEOUT}','type'=>'textfield','datatype'=>'int','position'=>'bottom','shy'=>1)
	);
/* FIELDSET END */

// Set customer group
$params['CustomerCustomergroupID'] = isset($GLOBALS['CustomergroupUID']) ? $GLOBALS['CustomergroupUID'] : 0;
// Set language
$params['LID'] = isset($GLOBALS['LanguageUID']) ? $GLOBALS['LanguageUID'] : 1;

// Merge params and pluginParams
$params = CMM_mergePluginParams($params,$pluginParams);

// Set global var to require maps api
if($params['showLocation'] == 2)
	 { $GLOBALS['googleMapsApi'] = true; }

// UID/CID aus Pagetail ermitteln
if($CONFIG['CMM']['config']['seoUseSeoUrls']==true)
	{
	if(isset($params['CID']) && stristr($params['CID'],'{') && !empty($GLOBALS['PageTail']))
		{ $params['CID'] = CMM_getPagetailParams($GLOBALS['PageTail'],'first'); }
	}

// Inhalt ausgeben
$extJobsList = new CMM_Jobs;
$pluginContent = $extJobsList->createFilter($params);

unset($params);
?>
