<?PHP
/***************************************************************
*  Copyright notice
*
*  (c) 2009-2017 Nicolas Berg
*  All rights reserved
*
*  This script is part of the CMM3 Content-Management-System.
*  CMM3 is provided only under a commercial license until now.
*  Maybe we will add a free license in future.
*
*  This script is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
*
*  This copyright notice MUST APPEAR in all copies of the script!
***************************************************************/

// V 1.0 First release
// V 1.0.1 Verarbeitung von Config angepasst
// V 1.0.2 Backup-Einstellungen ergaenzt
// V 1.0.3 Delete-fields added
// V 1.0.4 PASTE-Action mod
// V 1.0.5 Meta-fields added
// V 1.0.6 Mod userLevels

////////////////////////////////////////////////////////////////////
// Modul-Anzeigen                                                 //
////////////////////////////////////////////////////////////////////
// - label: Bezeichnung des Feldes
// - table: Haupt-Datenbanktabelle
// - userLevel: Berechntigungsstufe fuer Datensaetze
// - navi: Anzeige in der Hauptnavigation
$CONFIG['CMM_Jobs']['views'] = array();
$CONFIG['CMM_Jobs']['views']['INDEX'] = array('label'=>'{LANG_CMM_JOBS_VIEW_INDEX}','userLevel'=>1);
$CONFIG['CMM_Jobs']['views']['ITEMS'] = array('label'=>'{LANG_CMM_JOBS_VIEW_ITEMS}','table'=>'cmm_jobs_items','userLevel'=>1,'inNavi'=>1);
$CONFIG['CMM_Jobs']['views']['CATEGORIES'] = array('label'=>'{LANG_CMM_JOBS_VIEW_CATEGORIES}','table'=>'cmm_jobs_categories','userLevel'=>1,'inNavi'=>1);
$CONFIG['CMM_Jobs']['views']['EMPLOYERS'] = array('label'=>'{LANG_CMM_JOBS_VIEW_EMPLOYERS}','table'=>'cmm_jobs_employers','userLevel'=>1,'inNavi'=>1);
$CONFIG['CMM_Jobs']['views']['CONFIG'] = array('label'=>'{LANG_CMM_JOBS_VIEW_CONFIG}','table'=>'cmm_cmm_config','userLevel'=>6,'inNavi'=>1);
$CONFIG['CMM_Jobs']['views']['BACKUP'] = array('label'=>'{LANG_CMM_JOBS_VIEW_BACKUP}','userLevel'=>1,'inNavi'=>(!empty($GLOBALS['isBackend']) && !empty($CUSTOM['CMM_Jobs']['config']['enableBackup']) ? 1 : 0));
$CONFIG['CMM_Jobs']['views']['INSTALL'] = array('label'=>'{LANG_CMM_JOBS_VIEW_INSTALL}','userLevel'=>3);


////////////////////////////////////////////////////////////////////
// Modulfunktionen                                                //
////////////////////////////////////////////////////////////////////
// - label: Bezeichnung des Feldes
// - area: Anzeige-Bereich
// - userLevel: Berechntigungsstufe fuer Datensaetze
// - icon: Icon fuer Listenansicht
// - action: Aktion, die ausgefuehrt werden soll
// - clipboardAction: Aktion, die spaeter ausgefuehrt werden soll
// - message: Frage vor Ausfuerung der Funktion
// - condition: Bedingung pruefen (Datenbankfeld) item/_SESSION/_GET/_POST/_COOKIE/_ENV[keyvar]==value
// - file: Funktion in externer Datei ausfuehren
// - target: Zielfenster fuer Funktion

$CONFIG['CMM_Jobs']['views']['ITEMS']['actions'] = array(
	'LIST' => array('label'=>'{LANG_CMM_ACTION_LIST}','userLevel'=>0),
	'NEW' => array('label'=>'{LANG_CMM_JOBS_ITEM} - {LANG_CMM_ACTION_NEW}','area'=>'listhead','userLevel'=>1,'icon'=>'icon-action-new.svg'),
	'EDIT' => array('label'=>'{LANG_CMM_ACTION_EDIT}','area'=>'list','userLevel'=>1,'icon'=>'icon-action-edit.svg'),
	'ENABLE' => array('label'=>'{LANG_CMM_ACTION_ENABLE}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-enable.svg','condition'=>'$item["JobsItemStatus"]==0'),
	'DISABLE' => array('label'=>'{LANG_CMM_ACTION_DISABLE}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-disable.svg','condition'=>'$item["JobsItemStatus"]==1'),
	'UP' => array('label'=>'{LANG_CMM_ACTION_UP}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-up.svg','condition'=>'$item["firstItem"]!=true && $CURRENT["sort"]=="JobsItemSort ASC"'),
	'DOWN' => array('label'=>'{LANG_CMM_ACTION_DOWN}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-down.svg','condition'=>'$item["lastItem"]!=true && $CURRENT["sort"]=="JobsItemSort ASC"'),
	'SAVE' => array('label'=>'{LANG_CMM_ACTION_SAVE}','area'=>'singlehead','userLevel'=>3,'icon'=>'icon-action-save.svg'),
	'SAVENEW' => array('label'=>'{LANG_CMM_ACTION_SAVENEW}','area'=>'singlehead','userLevel'=>3,'icon'=>'icon-action-save-and-new.svg'),
	'SAVECLOSE' => array('label'=>'{LANG_CMM_ACTION_SAVECLOSE}','area'=>'singlehead','userLevel'=>3,'icon'=>'icon-action-save-and-close.svg'),
	'CLOSE' => array('label'=>'{LANG_CMM_ACTION_CLOSE}','area'=>'singlehead','userLevel'=>1,'icon'=>'icon-action-close.svg'),
	'CUT' => array('label'=>'{LANG_CMM_ACTION_CUT}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-cut.svg'),
	'COPY' => array('label'=>'{LANG_CMM_ACTION_COPY}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-copy.svg'),
	'PASTE' => array('label'=>'{LANG_CMM_ACTION_PASTE}','area'=>'listhead','userLevel'=>3,'icon'=>'icon-action-paste.svg','UID'=>(!empty($GLOBALS['isBackend']) && isset($_SESSION[$CURRENT["module"]][$CURRENT["view"]]['clipboard']) ? $_SESSION[$CURRENT["module"]][$CURRENT["view"]]['clipboard']['id'] : ''),'condition'=>'!empty($_SESSION[$CURRENT["module"]][$CURRENT["view"]]["clipboard"])'),
	'REMOVE' => array('label'=>'{LANG_CMM_ACTION_REMOVE}','area'=>'list,singlehead','userLevel'=>3,'icon'=>'icon-action-remove.svg','condition'=>'$item["JobsItemUID"]>0','message'=>'{LANG_CMM_ACTION_REMOVE_CONFIRM}'),
	'CLIPBOARDCLEAR' => array('label'=>'{LANG_CMM_ACTION_CLIPBOARDCLEAR}','area'=>'listhead','userLevel'=>3,'icon'=>'icon-action-clipboard-clear.svg','condition'=>'isset($_SESSION[$CURRENT["module"]][$CURRENT["view"]]["clipboard"])')
	);

$CONFIG['CMM_Jobs']['views']['CATEGORIES']['actions'] = array(
	'LIST' => array('label'=>'{LANG_CMM_ACTION_LIST}','userLevel'=>0),
	'NEW' => array('label'=>'{LANG_CMM_JOBS_CATEGORY} - {LANG_CMM_ACTION_NEW}','area'=>'listhead','userLevel'=>1,'icon'=>'icon-action-new.svg'),
	'EDIT' => array('label'=>'{LANG_CMM_ACTION_EDIT}','area'=>'list','userLevel'=>1,'icon'=>'icon-action-edit.svg'),
	'ENABLE' => array('label'=>'{LANG_CMM_ACTION_ENABLE}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-enable.svg','condition'=>'$item["JobsCategoryStatus"]==0'),
	'DISABLE' => array('label'=>'{LANG_CMM_ACTION_DISABLE}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-disable.svg','condition'=>'$item["JobsCategoryStatus"]==1'),
	'UP' => array('label'=>'{LANG_CMM_ACTION_UP}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-up.svg','condition'=>'$item["firstItem"]!=true && $CURRENT["sort"]=="JobsCategorySort ASC"'),
	'DOWN' => array('label'=>'{LANG_CMM_ACTION_DOWN}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-down.svg','condition'=>'$item["lastItem"]!=true && $CURRENT["sort"]=="JobsCategorySort ASC"'),
	'SAVE' => array('label'=>'{LANG_CMM_ACTION_SAVE}','area'=>'singlehead','userLevel'=>3,'icon'=>'icon-action-save.svg'),
	'SAVENEW' => array('label'=>'{LANG_CMM_ACTION_SAVENEW}','area'=>'singlehead','userLevel'=>3,'icon'=>'icon-action-save-and-new.svg'),
	'SAVECLOSE' => array('label'=>'{LANG_CMM_ACTION_SAVECLOSE}','area'=>'singlehead','userLevel'=>3,'icon'=>'icon-action-save-and-close.svg'),
	'CLOSE' => array('label'=>'{LANG_CMM_ACTION_CLOSE}','area'=>'singlehead','userLevel'=>1,'icon'=>'icon-action-close.svg'),
	'CUT' => array('label'=>'{LANG_CMM_ACTION_CUT}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-cut.svg'),
	'COPY' => array('label'=>'{LANG_CMM_ACTION_COPY}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-copy.svg'),
	'PASTE' => array('label'=>'{LANG_CMM_ACTION_PASTE}','area'=>'listhead','userLevel'=>3,'icon'=>'icon-action-paste.svg','UID'=>(!empty($GLOBALS['isBackend']) && isset($_SESSION[$CURRENT["module"]][$CURRENT["view"]]['clipboard']) ? $_SESSION[$CURRENT["module"]][$CURRENT["view"]]['clipboard']['id'] : ''),'condition'=>'!empty($_SESSION[$CURRENT["module"]][$CURRENT["view"]]["clipboard"])'),
	'REMOVE' => array('label'=>'{LANG_CMM_ACTION_REMOVE}','area'=>'list,singlehead','userLevel'=>3,'icon'=>'icon-action-remove.svg','condition'=>'$item["JobsCategoryUID"]>0','message'=>'{LANG_CMM_ACTION_REMOVE_CONFIRM}'),
	'CLIPBOARDCLEAR' => array('label'=>'{LANG_CMM_ACTION_CLIPBOARDCLEAR}','area'=>'listhead','userLevel'=>3,'icon'=>'icon-action-clipboard-clear.svg','condition'=>'isset($_SESSION[$CURRENT["module"]][$CURRENT["view"]]["clipboard"])')
	);

$CONFIG['CMM_Jobs']['views']['EMPLOYERS']['actions'] = array(
	'LIST' => array('label'=>'{LANG_CMM_ACTION_LIST}','userLevel'=>0),
	'NEW' => array('label'=>'{LANG_CMM_JOBS_EMPLOYER} - {LANG_CMM_ACTION_NEW}','area'=>'listhead','userLevel'=>1,'icon'=>'icon-action-new.svg'),
	'EDIT' => array('label'=>'{LANG_CMM_ACTION_EDIT}','area'=>'list','userLevel'=>1,'icon'=>'icon-action-edit.svg'),
	'ENABLE' => array('label'=>'{LANG_CMM_ACTION_ENABLE}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-enable.svg','condition'=>'$item["JobsEmployerStatus"]==0'),
	'DISABLE' => array('label'=>'{LANG_CMM_ACTION_DISABLE}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-disable.svg','condition'=>'$item["JobsEmployerStatus"]==1'),
	'UP' => array('label'=>'{LANG_CMM_ACTION_UP}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-up.svg','condition'=>'$item["firstItem"]!=true && $CURRENT["sort"]=="JobsEmployerSort ASC"'),
	'DOWN' => array('label'=>'{LANG_CMM_ACTION_DOWN}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-down.svg','condition'=>'$item["lastItem"]!=true && $CURRENT["sort"]=="JobsEmployerSort ASC"'),
	'SAVE' => array('label'=>'{LANG_CMM_ACTION_SAVE}','area'=>'singlehead','userLevel'=>3,'icon'=>'icon-action-save.svg'),
	'SAVENEW' => array('label'=>'{LANG_CMM_ACTION_SAVENEW}','area'=>'singlehead','userLevel'=>3,'icon'=>'icon-action-save-and-new.svg'),
	'SAVECLOSE' => array('label'=>'{LANG_CMM_ACTION_SAVECLOSE}','area'=>'singlehead','userLevel'=>3,'icon'=>'icon-action-save-and-close.svg'),
	'CLOSE' => array('label'=>'{LANG_CMM_ACTION_CLOSE}','area'=>'singlehead','userLevel'=>1,'icon'=>'icon-action-close.svg'),
	'CUT' => array('label'=>'{LANG_CMM_ACTION_CUT}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-cut.svg'),
	'COPY' => array('label'=>'{LANG_CMM_ACTION_COPY}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-copy.svg'),
	'PASTE' => array('label'=>'{LANG_CMM_ACTION_PASTE}','area'=>'listhead','userLevel'=>3,'icon'=>'icon-action-paste.svg','UID'=>(!empty($GLOBALS['isBackend']) && isset($_SESSION[$CURRENT["module"]][$CURRENT["view"]]['clipboard']) ? $_SESSION[$CURRENT["module"]][$CURRENT["view"]]['clipboard']['id'] : ''),'condition'=>'!empty($_SESSION[$CURRENT["module"]][$CURRENT["view"]]["clipboard"])'),
	'REMOVE' => array('label'=>'{LANG_CMM_ACTION_REMOVE}','area'=>'list,singlehead','userLevel'=>3,'icon'=>'icon-action-remove.svg','condition'=>'$item["JobsEmployerUID"]>0','message'=>'{LANG_CMM_ACTION_REMOVE_CONFIRM}'),
	'CLIPBOARDCLEAR' => array('label'=>'{LANG_CMM_ACTION_CLIPBOARDCLEAR}','area'=>'listhead','userLevel'=>3,'icon'=>'icon-action-clipboard-clear.svg','condition'=>'isset($_SESSION[$CURRENT["module"]][$CURRENT["view"]]["clipboard"])')
	);

$CONFIG['CMM_Jobs']['views']['BACKUP']['actions'] = array(
	'BACKUP' => array('label'=>'Datensicherung','userLevel'=>1,'inNavi'=>1),
	'INSTALLDB' => array('label'=>'Datenbanktabellen konfigurieren','userLevel'=>6),
	'BACKUPMAKE' => array('label'=>'Sicherung erstellen','userLevel'=>6,'inNavi'=>0),
	'BACKUPRESTORE' => array('label'=>'Sicherung zurückschreiben','userLevel'=>6,'inNavi'=>0),
	'BACKUPREMOVE' => array('label'=>'Sicherung löschen','userLevel'=>6,'inNavi'=>0)
	);

$CONFIG['CMM_Jobs']['views']['CONFIG']['actions'] = array(
	'CONFIG' => array('label'=>'Konfiguration','userLevel'=>1,'inNavi'=>1),
	'CONFIGSAVE' => array('label'=>'Konfiguration','area'=>'singlehead','userLevel'=>6,'icon'=>'icon-action-save.svg')
	);

$CONFIG['CMM_Jobs']['views']['INSTALL']['actions'] = array(
	'INSTALL' => array('label'=>'Installation','userLevel'=>6,'inNavi'=>0)
	);


////////////////////////////////////////////////////////////////////
// Datenbank-Tabellen                                             //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Jobs']['database'] = array();

// Datenstamm fuer Stellen
$CONFIG['CMM_Jobs']['database']['cmm_jobs_items'] = array(
	'tabs' => array(0=>'Standard',1=>'Media',2=>'Plugins',3=>'Sonstiges',5=>'Meta',9=>'Anzeige'),
	'tablename' => 'cmm_jobs_items',
	'sort' => 'JobsItemUID DESC',
	'backup' => 1,
	'fieldprefix' => 'JobsItem',
	'fieldset' => array(
		'JobsItemUID' => array('label'=>'ID','type'=>'hidden','position'=>'top','tab'=>0,
			'sqldef'=>'int(10) default \'0\''),
		'JobsItemPID' => array('label'=>'ParentID','type'=>'hidden','position'=>'top','tab'=>0,
			'sqldef'=>'int(10) default \'0\''),
		'JobsItemTID' => array('label'=>'Art der Stelle','type'=>'radio','position'=>'left','tab'=>0,
			'sqldef'=>'varchar(255) collate utf8_unicode_ci default NULL',
			'options'=>array(0=>array('value'=>1,'text'=>'Stellenangebot'),1=>array('value'=>2,'text'=>'Ausbildung'),2=>array('value'=>3,'text'=>'Praktikum'))),
		'JobsItemLID' => array('label'=>'Sprache','type'=>'radio','position'=>'top','tab'=>3,
			'sqldef'=>'int(3) default \'0\'',
			'select'=>array('module'=>'CMM','table'=>'cmm_cmm_languages','keyfield'=>'LanguageUID','labelfield'=>'LanguageName','sort'=>'LanguageUID')),
		'JobsItemCID' => array('label'=>'Kategorie','type'=>'select','attribs'=>array('size'=>1),'position'=>'left','tab'=>0,
			'sqldef'=>'varchar(100) collate utf8_unicode_ci default NULL',
			'select'=>array('module'=>'CMM_Jobs','table'=>'cmm_jobs_categories','keyfield'=>'JobsCategoryUID','labelfield'=>'JobsCategoryTitle','LID'=>'{$CURRENT["language"]}'),
			'join'=>array('module'=>'CMM_Jobs','table'=>'cmm_jobs_categories','keyfield'=>'JobsCategoryUID')),
		'JobsItemStatus' => array('label'=>'Status','type'=>'radio','position'=>'top','tab'=>9,
			'sqldef'=>'int(1) default \'0\'',
			'options'=>array(array('value'=>1,'text'=>'{LANG_CMM_ENABLED}'),array('value'=>'0','text'=>'{LANG_CMM_DISABLED}'))),
		'JobsItemDeleted' => array('label'=>'{LANG_CMM_FIELD_REMOVED}','type'=>'hidden','tab'=>3,
			'sqldef'=>'int(1) default \'0\''),
		'JobsItemSort' => array('label'=>'Sortierung','type'=>'hidden','position'=>'top','tab'=>3,
			'sqldef'=>'int(10) default \'0\''),
		'JobsItemStart' => array('label'=>'Start','type'=>'datetime','position'=>'left','tab'=>9,
			'sqldef'=>'datetime default NULL'),
		'JobsItemStop' => array('label'=>'Ende','type'=>'datetime','position'=>'right','tab'=>9,
			'sqldef'=>'datetime default NULL'),
		'JobsItemCustomergroupID' => array('label'=>'Anzeige für Benutzergruppen','type'=>'multiselect','attribs'=>array('multiple'=>1,'size'=>6),'position'=>'bottom','tab'=>9,
			'sqldef'=>'varchar(255) collate utf8_unicode_ci default NULL',
			'options'=>array('none'=>array('value'=>'0','text'=>'{LANG_CMM_IF_LOGGED_OUT}'),'all'=>array('value'=>'*','text'=>'{LANG_CMM_IF_LOGGED_IN}')),
			'select'=>array('module'=>'CMM','table'=>'cmm_cmm_customergroups','keyfield'=>'CustomergroupUID','labelfield'=>'CustomergroupUID,CustomergroupName','sort'=>'CustomergroupUID')),
		'JobsItemDateStart' => array('label'=>'Datum Beginn','type'=>'datetime','position'=>'right','tab'=>0,
			'sqldef'=>'datetime default \'0000-00-00 00:00:00\''),
		'JobsItemDateEnd' => array('label'=>'Datum Ende','type'=>'datetime','position'=>'right','tab'=>0,
			'sqldef'=>'datetime default \'0000-00-00 00:00:00\''),
		'JobsItemSpecial' => array('label'=>'Eintrag hervorheben','type'=>'checkbox','position'=>'right','tab'=>0,'shy'=>1,
			'sqldef'=>'int(3) default \'0\'',
			'options'=>array(array('value'=>'1','text'=>'{LANG_CMM_YES}'))),
		'JobsItemTitle' => array('label'=>'Titel / Überschrift','type'=>'textfield','attribs'=>array('required'=>1),'position'=>'top','tab'=>0,
			'sqldef'=>'varchar(255) collate utf8_unicode_ci default NULL'),
		'JobsItemIdent' => array('label'=>'Stellen-ID','type'=>'textfield','position'=>'left','tab'=>0,
			'sqldef'=>'varchar(255) collate utf8_unicode_ci default NULL'),
		'JobsItemDescriptionShort' => array('label'=>'Beschreibung kurz','type'=>'textarea','position'=>'bottom','attribs'=>array('rows'=>5),'tab'=>0,
			'sqldef'=>'text collate utf8_unicode_ci'),
		'JobsItemDescription' => array('label'=>'Beschreibung lang','type'=>'rte','attribs'=>array('rows'=>6),'position'=>'bottom','tab'=>0,
			'sqldef'=>'text collate utf8_unicode_ci'),
		'JobsItemBenefits' => array('label'=>'Vorteile / Leistungen','type'=>'rte','attribs'=>array('rows'=>6),'position'=>'bottom','tab'=>0,'shy'=>1,
			'sqldef'=>'text collate utf8_unicode_ci'),
		'JobsItemRequirements' => array('label'=>'Voraussetzungen','type'=>'rte','attribs'=>array('rows'=>6),'position'=>'bottom','tab'=>0,'shy'=>1,
			'sqldef'=>'text collate utf8_unicode_ci'),
		'JobsItemLocation' => array('label'=>'Einsatzort','type'=>'textfield','position'=>'right','tab'=>0,
			'sqldef'=>'varchar(255) collate utf8_unicode_ci default NULL'),
		'JobsItemGeoLat' => array('label'=>'GEO-Breitengrad','type'=>'geo','attribs'=>array('data-geo-fields'=>'JobsItemGeoLat,JobsItemGeoLng','data-address-fields'=>'JobsItemLocation'),'width'=>'50%','position'=>'right','tab'=>0,
			'sqldef'=>'varchar(32) collate utf8_unicode_ci default NULL'),
		'JobsItemGeoLng' => array('label'=>'GEO-Längengrad','type'=>'geo','attribs'=>array('data-geo-fields'=>'JobsItemGeoLat,JobsItemGeoLng','data-address-fields'=>'JobsItemLocation'),'width'=>'50%','position'=>'right','tab'=>0,
			'sqldef'=>'varchar(32) collate utf8_unicode_ci default NULL'),
		'JobsItemTime' => array('label'=>'Arbeitszeit der Stelle','type'=>'radio','position'=>'left','tab'=>0,
			'sqldef'=>'varchar(255) collate utf8_unicode_ci default NULL',
			'options'=>array(array('value'=>1,'text'=>'Vollzeit'),array('value'=>2,'text'=>'Teilzeit'),array('value'=>3,'text'=>'Mini-Job'),array('value'=>'','text'=>'{LANG_CMM_NONE}'))),
		'JobsItemShift' => array('label'=>'Schichtdienst','type'=>'radio','position'=>'left','tab'=>0,
			'sqldef'=>'varchar(255) collate utf8_unicode_ci default NULL',
			'options'=>array(array('value'=>1,'text'=>'Schichten'),array('value'=>2,'text'=>'keine Schichten'),array('value'=>'','text'=>'{LANG_CMM_NONE}'))),
		'JobsItemLimitation' => array('label'=>'Dauer der Stelle','type'=>'radio','position'=>'left','tab'=>0,
			'sqldef'=>'varchar(255) collate utf8_unicode_ci default NULL',
			'options'=>array(array('value'=>1,'text'=>'befristet'),array('value'=>1,'text'=>'unbefristet'),array('value'=>'','text'=>'{LANG_CMM_NONE}'))),
		'JobsItemEmployerID' => array('label'=>'Arbeitgeber','type'=>'select','attribs'=>array('size'=>1),'position'=>'right','tab'=>0,
			'sqldef'=>'varchar(32) collate utf8_unicode_ci default NULL',
			'select'=>array('module'=>'CMM_Jobs','table'=>'cmm_jobs_employers','keyfield'=>'JobsEmployerUID','labelfield'=>'JobsEmployerName'),
			'join'=>array('module'=>'CMM_Jobs','table'=>'cmm_jobs_employers','keyfield'=>'JobsEmployerUID')),
		'JobsItemImages' => array('label'=>'Bilder','type'=>'imagelist','number'=>5,'dir'=>'data/CMM_Jobs/images/','position'=>'top','tab'=>1,
			'sqldef'=>'text collate utf8_unicode_ci'),
		'JobsItemVideos' => array('label'=>'Videos','type'=>'videolist','number'=>5,'dir'=>'data/CMM_Jobs/videos/','position'=>'top','tab'=>1,
			'sqldef'=>'text collate utf8_unicode_ci'),
		'JobsItemFiles' => array('label'=>'Dateien','type'=>'filelist','number'=>5,'dir'=>'data/CMM_Jobs/files/','position'=>'top','tab'=>1,
			'sqldef'=>'text collate utf8_unicode_ci'),
		'JobsItemLinks' => array('label'=>'Links','type'=>'linklist','position'=>'top','number'=>5,'tab'=>1,
			'sqldef'=>'text collate utf8_unicode_ci'),
		'JobsItemMetaTitle' => array('label'=>'Meta-Titel','type'=>'textfield','position'=>'bottom','tab'=>5,
			'sqldef'=>'varchar(255) collate utf8_unicode_ci default NULL'),
		'JobsItemMetaKeywords' => array('label'=>'Meta-Keywords','type'=>'textfield','position'=>'bottom','tab'=>5,
			'sqldef'=>'varchar(255) collate utf8_unicode_ci default NULL'),
		'JobsItemMetaDescription' => array('label'=>'Meta-Description','type'=>'textfield','position'=>'bottom','tab'=>5,
			'sqldef'=>'varchar(255) collate utf8_unicode_ci default NULL'),
		'JobsItemAddDate' => array('label'=>'Datum erstellt','type'=>'hidden','position'=>'left','tab'=>0,
			'sqldef'=>'datetime default \'0000-00-00 00:00:00\''),
		'JobsItemAddUser' => array('label'=>'Benutzer erstellt','type'=>'hidden','position'=>'left','tab'=>0,
			'sqldef'=>'varchar(32) collate utf8_unicode_ci default \'0\''),
		'JobsItemModDate' => array('label'=>'Datum geändert','type'=>'hidden','position'=>'left','tab'=>0,
			'sqldef'=>'datetime default \'0000-00-00 00:00:00\''),
		'JobsItemModUser' => array('label'=>'Benutzer geändert','type'=>'hidden','position'=>'left','tab'=>0,
			'sqldef'=>'varchar(32) collate utf8_unicode_ci default \'0\'')
		),
	'tableset' => array(
		'engine' => 'MyISAM',
		'primarykey' => 'UID',
		'charset' => 'utf8',
		'collation' => 'utf8_unicode_ci',
		'comment' => 'Stellen',
		'fulltext' => array('Fulltext' => array('JobsItemTitle','JobsItemDescriptionShort','JobsItemDescription','JobsItemBenefits','JobsItemRequirements'))
		)
	);
	
// Datenstamm fuer Kategorien
$CONFIG['CMM_Jobs']['database']['cmm_jobs_categories'] = array(
	'tabs' => array(0=>'Standard',1=>'Media',2=>'Plugins',3=>'Sonstiges',9=>'Anzeige'),
	'tablename' => 'cmm_jobs_categories',
	'sort' => 'JobsCategoryUID DESC',
	'backup' => 1,
	'fieldprefix' => 'JobsCategory',
	'fieldset' => array(
		'JobsCategoryUID' => array('label'=>'ID','type'=>'hidden','position'=>'top','tab'=>0,
			'sqldef'=>'int(10) default \'0\''),
		'JobsCategoryPID' => array('label'=>'ParentID','type'=>'hidden','position'=>'top','tab'=>0,
			'sqldef'=>'int(10) default \'0\''),
		'JobsCategoryTID' => array('label'=>'Typ/Kategorie','type'=>'hidden','position'=>'top','tab'=>3,
			'sqldef'=>'int(3) default \'0\''),
		'JobsCategoryLID' => array('label'=>'Sprache','type'=>'radio','position'=>'top','tab'=>3,
			'sqldef'=>'int(3) default \'0\'',
			'select'=>array('module'=>'CMM','table'=>'cmm_cmm_languages','keyfield'=>'LanguageUID','labelfield'=>'LanguageName','sort'=>'LanguageUID')),
		'JobsCategoryStatus' => array('label'=>'Status','type'=>'radio','position'=>'top','tab'=>9,
			'sqldef'=>'int(1) default \'0\'',
			'options'=>array(array('value'=>1,'text'=>'{LANG_CMM_ENABLED}'),array('value'=>'0','text'=>'{LANG_CMM_DISABLED}'))),
		'JobsCategoryDeleted' => array('label'=>'{LANG_CMM_FIELD_REMOVED}','type'=>'hidden','tab'=>3,
			'sqldef'=>'int(1) default \'0\''),
		'JobsCategorySort' => array('label'=>'Sortierung','type'=>'hidden','position'=>'top','tab'=>3,
			'sqldef'=>'int(10) default \'0\''),
		'JobsCategoryTitle' => array('label'=>'Titel','type'=>'textfield','position'=>'top','tab'=>0,
			'sqldef'=>'varchar(100) collate utf8_unicode_ci default NULL'),
		'JobsCategoryDescription' => array('label'=>'Beschreibung','type'=>'textarea','position'=>'top','tab'=>0,
			'sqldef'=>'text collate utf8_unicode_ci'),
		'JobsCategoryIcon' => array('label'=>'Symbol','type'=>'imagelist','number'=>'1','dir'=>'data/CMM_Jobs/images/','position'=>'top','tab'=>1,
			'sqldef'=>'varchar(100) collate utf8_unicode_ci default NULL'),
		'JobsCategoryAddDate' => array('label'=>'Datum erstellt','type'=>'hidden','position'=>'left','tab'=>0,
			'sqldef'=>'datetime default \'0000-00-00 00:00:00\''),
		'JobsCategoryAddUser' => array('label'=>'Benutzer erstellt','type'=>'hidden','position'=>'left','tab'=>0,
			'sqldef'=>'varchar(32) collate utf8_unicode_ci default \'0\''),
		'JobsCategoryModDate' => array('label'=>'Datum geändert','type'=>'hidden','position'=>'left','tab'=>0,
			'sqldef'=>'datetime default \'0000-00-00 00:00:00\''),
		'JobsCategoryModUser' => array('label'=>'Benutzer geändert','type'=>'hidden','position'=>'left','tab'=>0,
			'sqldef'=>'varchar(32) collate utf8_unicode_ci default \'0\'')
		),
	'tableset' => array(
		'engine' => 'MyISAM',
		'primarykey' => 'UID',
		'charset' => 'utf8',
		'collation' => 'utf8_unicode_ci',
		'comment' => 'Kategorien'
		)
	);


// Datenstamm fuer Veranstalter
$CONFIG['CMM_Jobs']['database']['cmm_jobs_employers'] = array(
	'tabs' => array(0=>'Standard',1=>'Media',3=>'Sonstiges',9=>'Anzeige'),
	'tablename' => 'cmm_jobs_employers',
	'sort' => 'JobsEmployerUID DESC',
	'backup' => 1,
	'fieldprefix' => 'JobsEmployer',
	'fieldset' => array(
		'JobsEmployerUID' => array('label'=>'ID','type'=>'hidden','position'=>'top','tab'=>0,
			'sqldef'=>'int(10) default \'0\''),
		'JobsEmployerPID' => array('label'=>'ParentID','type'=>'hidden','position'=>'top','tab'=>0,
			'sqldef'=>'int(10) default \'0\''),
		'JobsEmployerTID' => array('label'=>'Typ/Kategorie','type'=>'hidden','position'=>'top','tab'=>3,
			'sqldef'=>'int(3) default \'0\''),
		'JobsEmployerLID' => array('label'=>'Sprache','type'=>'radio','position'=>'top','tab'=>3,
			'sqldef'=>'int(3) default \'0\'',
			'select'=>array('module'=>'CMM','table'=>'cmm_cmm_languages','keyfield'=>'LanguageUID','labelfield'=>'LanguageName','sort'=>'LanguageUID')),
		'JobsEmployerStatus' => array('label'=>'Status','type'=>'radio','position'=>'top','tab'=>9,
			'sqldef'=>'int(1) default \'0\'',
			'options'=>array(array('value'=>1,'text'=>'{LANG_CMM_ENABLED}'),array('value'=>'0','text'=>'{LANG_CMM_DISABLED}'))),
		'JobsEmployerDeleted' => array('label'=>'{LANG_CMM_FIELD_REMOVED}','type'=>'hidden','tab'=>3,
			'sqldef'=>'int(1) default \'0\''),
		'JobsEmployerSort' => array('label'=>'Sortierung','type'=>'hidden','position'=>'top','tab'=>3,
			'sqldef'=>'int(10) default \'0\''),
		'JobsEmployerName' => array('label'=>'Name des Arbeitgebers','type'=>'textfield','position'=>'top','tab'=>0,
			'sqldef'=>'varchar(100) collate utf8_unicode_ci default NULL'),
		'JobsEmployerDescription' => array('label'=>'Beschreibung','type'=>'rte','attribs'=>array('rows'=>6),'position'=>'bottom','tab'=>0,
			'sqldef'=>'text collate utf8_unicode_ci'),
		'JobsEmployerContact' => array('label'=>'Ansprechpartner','type'=>'textfield','position'=>'right','tab'=>0,
			'sqldef'=>'varchar(100) collate utf8_unicode_ci default NULL'),
		'JobsEmployerStreet' => array('label'=>'Straße','type'=>'textfield','position'=>'left','tab'=>0,
			'sqldef'=>'varchar(100) collate utf8_unicode_ci default NULL'),
		'JobsEmployerZIP' => array('label'=>'PLZ','type'=>'textfield','position'=>'left','tab'=>0,
			'sqldef'=>'varchar(100) collate utf8_unicode_ci default NULL'),
		'JobsEmployerCity' => array('label'=>'Ort','type'=>'textfield','position'=>'left','tab'=>0,
			'sqldef'=>'varchar(100) collate utf8_unicode_ci default NULL'),
		'JobsEmployerCounty' => array('label'=>'Bundesland','type'=>'textfield','position'=>'left','tab'=>0,
			'sqldef'=>'varchar(100) collate utf8_unicode_ci default NULL'),
		'JobsEmployerCountry' => array('label'=>'Land','type'=>'select',
			'sqldef'=>'varchar(100) collate utf8_unicode_ci default NULL','position'=>'left','default'=>'DE','tab'=>0,
			'function'=>array('function'=>'CMM_getInputFieldCountryOptions','value'=>'iso2','text'=>'name')),
		'JobsEmployerPhone' => array('label'=>'Telefon','type'=>'textfield','position'=>'right','tab'=>0,
			'sqldef'=>'varchar(100) collate utf8_unicode_ci default NULL'),
		'JobsEmployerFax' => array('label'=>'Fax','type'=>'textfield','position'=>'right','tab'=>0,
			'sqldef'=>'varchar(100) collate utf8_unicode_ci default NULL'),
		'JobsEmployerWebsite' => array('label'=>'Website','type'=>'textfield','position'=>'right','tab'=>0,
			'sqldef'=>'varchar(100) collate utf8_unicode_ci default NULL'),
		'JobsEmployerEmail' => array('label'=>'E-Mail-Adresse','type'=>'textfield','position'=>'right','tab'=>0,
			'sqldef'=>'varchar(100) collate utf8_unicode_ci default NULL'),
		'JobsEmployerImages' => array('label'=>'Bilder','type'=>'imagelist','number'=>'1','dir'=>'data/CMM_Jobs/images/','position'=>'top','tab'=>1,
			'sqldef'=>'text collate utf8_unicode_ci'),
		'JobsEmployerAddDate' => array('label'=>'Datum erstellt','type'=>'hidden','position'=>'left','tab'=>0,
			'sqldef'=>'datetime default \'0000-00-00 00:00:00\''),
		'JobsEmployerAddUser' => array('label'=>'Benutzer erstellt','type'=>'hidden','position'=>'left','tab'=>0,
			'sqldef'=>'varchar(32) collate utf8_unicode_ci default \'0\''),
		'JobsEmployerModDate' => array('label'=>'Datum geändert','type'=>'hidden','position'=>'left','tab'=>0,
			'sqldef'=>'datetime default \'0000-00-00 00:00:00\''),
		'JobsEmployerModUser' => array('label'=>'Benutzer geändert','type'=>'hidden','position'=>'left','tab'=>0,
			'sqldef'=>'varchar(32) collate utf8_unicode_ci default \'0\'')
		),
	'tableset' => array(
		'engine' => 'MyISAM',
		'primarykey' => 'UID',
		'charset' => 'utf8',
		'collation' => 'utf8_unicode_ci',
		'comment' => 'Arbeitgeber'
		)
	);


////////////////////////////////////////////////////////////////////
// Sortier-Variablen (Administration)                             //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Jobs']['sortVars'] = array();
$CONFIG['CMM_Jobs']['sortVars']['cmm_jobs_items'] = array('JobsItemUID','JobsItemSort','JobsItemStatus','JobsItemTitle','JobsItemAddDate','JobsItemModDate');
$CONFIG['CMM_Jobs']['sortVars']['cmm_jobs_categories'] = array('JobsCategoryUID','JobsCategorySort','JobsCategoryStatus','JobsCategoryTitle','JobsCategoryModDate');
$CONFIG['CMM_Jobs']['sortVars']['cmm_jobs_employers'] = array('JobsEmployerUID','JobsEmployerSort','JobsEmployerStatus','JobsEmployerName','JobsEmployerModDate');


////////////////////////////////////////////////////////////////////
// Filter-Variablen (Administration)                             //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Jobs']['filterVars'] = array();
$CONFIG['CMM_Jobs']['filterVars']['cmm_jobs_items'] = array_keys($CONFIG['CMM_Jobs']['database']['cmm_jobs_items']['fieldset']);
$CONFIG['CMM_Jobs']['filterVars']['cmm_jobs_categories'] = array_keys($CONFIG['CMM_Jobs']['database']['cmm_jobs_categories']['fieldset']);
$CONFIG['CMM_Jobs']['filterVars']['cmm_jobs_employers'] = array_keys($CONFIG['CMM_Jobs']['database']['cmm_jobs_employers']['fieldset']);

// Additional filter fields
$CONFIG['CMM_Jobs']['filterVars']['cmm_jobs_items'][] = 'OPTGROUP:Sonstige';
$CONFIG['CMM_Jobs']['filterVars']['cmm_jobs_items'][] = 'JobsCategoryTitle:Kategorie-Titel';
$CONFIG['CMM_Jobs']['filterVars']['cmm_jobs_items'][] = 'JobsEmployerName:Arbeitgeber-Name';

?>