<?PHP
/***************************************************************
*  Copyright notice
*
*  (c) 2009-2017 Nicolas Berg
*  All rights reserved
*
*  This script is part of the CMM3 Content-Management-System.
*  CMM3 is provided only under a commercial license until now.
*  Maybe we will add a free license in future.
*
*  This script is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
*
*  This copyright notice MUST APPEAR in all copies of the script!
***************************************************************/

////////////////////////////////////////////////////////////////////
// Modul-Einstellungen                                            //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Links'] = array();
// Modulpraefix
$CONFIG['CMM_Links']['key'] = 'CMM_Links';
// Modulname
$CONFIG['CMM_Links']['label'] = 'Links';
// Modulbeschreibung
$CONFIG['CMM_Links']['description'] = 'Modul zur Verwaltung von Links mit Kategorien';
// Module-languages
$CONFIG['CMM_Links']['languages'] = 'at,de,ch,en';
// Modulicon
$CONFIG['CMM_Links']['icon'] = 'CMM_Links.svg';
// Modulversion
$CONFIG['CMM_Links']['version'] = '1.3.5';
// Dependencies
$CONFIG['CMM_Links']['depend'] = 'CMM:6.0';


////////////////////////////////////////////////////////////////////
// Set includes for administration                                //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Links']['BE'] = array();
$CONFIG['CMM_Links']['BE']['include'] = array();
// PHP
$CONFIG['CMM_Links']['BE']['include']['PHP'] = array('CMM_Links/structure.php');
// CSS
$CONFIG['CMM_Links']['BE']['include']['CSS'] = array();
// JS
$CONFIG['CMM_Links']['BE']['include']['JS'] = array();


////////////////////////////////////////////////////////////////////
// Set includes for website                                       //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Links']['FE'] = array();
$CONFIG['CMM_Links']['FE']['include'] = array();
// PHP - starting at CMM_ROOT_DIR
$CONFIG['CMM_Links']['FE']['include']['PHP'] = array();
// CSS - starting at CMM_ROOT_DIR
$CONFIG['CMM_Links']['FE']['include']['CSS'] = array('CMM_Links/template/css/CMM_Links.css');
// JS - starting at CMM_ROOT_DIR
$CONFIG['CMM_Links']['FE']['include']['JS'] = array();


////////////////////////////////////////////////////////////////////
// Datenverzeichnisse erstellen                                   //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Links']['dirs'] = array(
	'data/CMM_Links/backup/',
	'data/CMM_Links/images/'
	);


////////////////////////////////////////////////////////////////////
// Plugins                                                        //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Links']['plugins'] = array(
	'CMM_Links_navi.php',
	'CMM_Links_category.php',
	'CMM_Links_list.php',
	'CMM_Links_detail.php'
	);


////////////////////////////////////////////////////////////////////
// Weitere Einstellungen                                          //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Links']['config'] = array();

// Einfacher Modus - ohne Auswahl der Speicherseite
$CONFIG['CMM_Links']['config']['simpleMode'] = 0;
// Anzahl der Eintraege pro Kategorie in der Navigation anzeigen?
$CONFIG['CMM_Links']['config']['dispayCategoryCounter'] = 1;
// Anzeige der Detailansichten zaehlen?
$CONFIG['CMM_Links']['config']['countImpressions'] = 1;

// Meta-Felder
$CONFIG['CMM_Links']['config']['metaTitleFields'] = array('LinkItemTitle','LinkCategoryTitle');
$CONFIG['CMM_Links']['config']['metaKeywordsFields'] = array('LinkItemTitle','LinkItemDescription','LinkCategoryTitle','LinkCategoryDescription');
$CONFIG['CMM_Links']['config']['metaDescriptionFields'] = array('LinkItemDescription','LinkCategoryDescription');

// Backup-Ansicht aktivieren
$CONFIG['CMM_Links']['config']['enableBackup'] = 0;


////////////////////////////////////////////////////////////////////
// Felddefinitionen fuer Config                                   //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Links']['configFields'] = array(
	'simpleMode' => array('label'=>'Einfacher Modus ohne Seitenbaum','type'=>'radio','options'=>array(array('value'=>'0','text'=>'{LANG_CMM_NO}'),array('value'=>'1','text'=>'{LANG_CMM_YES}')),'position'=>'left'),
	'dispayCategoryCounter' => array('label'=>'Anzahl der Einträge in Navigation anzeigen','type'=>'radio','options'=>array(array('value'=>'0','text'=>'{LANG_CMM_NO}'),array('value'=>'1','text'=>'{LANG_CMM_YES}')),'position'=>'left'),
	'countImpressions' => array('label'=>'Detailanzeige der Einträge zählen','type'=>'radio','options'=>array(array('value'=>'0','text'=>'{LANG_CMM_NO}'),array('value'=>'1','text'=>'{LANG_CMM_YES}')),'position'=>'left'),
	'enableBackup' => array('label'=>'Backup aktivieren','type'=>'radio','options'=>array(array('value'=>'0','text'=>'{LANG_CMM_NO}'),array('value'=>'1','text'=>'{LANG_CMM_YES}')),'position'=>'left')
	);


////////////////////////////////////////////////////////////////////
// Einstellungen fuer Suche                                       //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Links']['config']['search'] = array(
	'label' => '{LANG_CMM_LINKS_LABEL}',
	'resultPIDparams' => ($CONFIG['CMM']['config']['seoUseSeoUrls']==true ? '/{$LinkItemTitle|validatealias}.{$LinkItemUID}' : '?CMM_Links[LinkItemUID]={$LinkItemUID}'),
	'resultPIDfilter' => '',
	'tablename' => 'cmm_links_items',
	'fieldprefix' => 'LinkItem',
	'join' => array('cmm_links_categories|LinkCategoryUID=LinkItemTID'), // Join-Table|Join-Table-Field=Table-Field|[Join-Table-Field=Value]
	'filter' => array(), // Zusatzfilter
	'titleFields' => array('LinkItemTitle','LinkCategoryTitle'),
	'textFields' => array('LinkItemLabel','LinkItemShorttext','LinkItemDescription','LinkItemHighlights'),
	'searchFields' => array('LinkItemTitle','LinkItemLabel','LinkItemShorttext','LinkItemDescription','LinkItemHighlights','LinkItemModel'),
	'extraFields' => array('LinkItemTitle'),
	'deletedField' => 'LinkItemDeleted'
	);

?>