<?PHP
/***************************************************************
*  Copyright notice
*
*  (c) 2009-2017 Nicolas Berg
*  All rights reserved
*
*  This script is part of the CMM3 Content-Management-System.
*  CMM3 is provided only under a commercial license until now.
*  Maybe we will add a free license in future.
*
*  This script is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
*
*  This copyright notice MUST APPEAR in all copies of the script!
***************************************************************/

// V 1.0 First release
// V 1.0.1 Backup-Einstellungen ergaenzt
// V 1.0.2 Delete-fields added
// V 1.0.3 PASTE-Action mod
// V 1.0.4 Mod userLevels

////////////////////////////////////////////////////////////////////
// Modul-Anzeigen                                                 //
////////////////////////////////////////////////////////////////////
// - label: Bezeichnung des Feldes
// - table: Haupt-Datenbanktabelle
// - userLevel: Berechntigungsstufe fuer Datensaetze
// - navi: Anzeige in der Hauptnavigation
$CONFIG['CMM_Links']['views'] = array();
$CONFIG['CMM_Links']['views']['INDEX'] = array('label'=>'{LANG_CMM_LINKS_VIEW_INDEX}','userLevel'=>1);
$CONFIG['CMM_Links']['views']['ITEMS'] = array('label'=>'{LANG_CMM_LINKS_VIEW_ITEMS}','table'=>'cmm_links_items','userLevel'=>1,'inNavi'=>1);
$CONFIG['CMM_Links']['views']['CATEGORIES'] = array('label'=>'{LANG_CMM_LINKS_VIEW_CATEGORIES}','table'=>'cmm_links_categories','userLevel'=>1,'inNavi'=>1);
$CONFIG['CMM_Links']['views']['CONFIG'] = array('label'=>'{LANG_CMM_LINKS_VIEW_CONFIG}','table'=>'cmm_cmm_config','userLevel'=>6,'inNavi'=>1);
$CONFIG['CMM_Links']['views']['BACKUP'] = array('label'=>'{LANG_CMM_LINKS_VIEW_BACKUP}','userLevel'=>1,'inNavi'=>(!empty($GLOBALS['isBackend']) && !empty($CUSTOM['CMM_Links']['config']['enableBackup']) ? 1 : 0));
$CONFIG['CMM_Links']['views']['INSTALL'] = array('label'=>'{LANG_CMM_LINKS_VIEW_INSTALL}','userLevel'=>3);
$CONFIG['CMM_Links']['views']['DUMMY'] = array('label'=>'{LANG_CMM_LINKS_VIEW_DUMMY}','userLevel'=>1);


////////////////////////////////////////////////////////////////////
// Modulfunktionen                                                //
////////////////////////////////////////////////////////////////////
// - label: Bezeichnung des Feldes
// - area: Anzeige-Bereich
// - userLevel: Berechntigungsstufe fuer Datensaetze
// - icon: Icon fuer Listenansicht
// - action: Aktion, die ausgefuehrt werden soll
// - clipboardAction: Aktion, die spaeter ausgefuehrt werden soll
// - message: Frage vor Ausfuerung der Funktion
// - condition: Bedingung pruefen (Datenbankfeld) item/_SESSION/_GET/_POST/_COOKIE/_ENV[keyvar]==value
// - file: Funktion in externer Datei ausfuehren
// - target: Zielfenster fuer Funktion

$CONFIG['CMM_Links']['views']['ITEMS']['actions'] = array(
	'LIST' => array('label'=>'{LANG_CMM_ACTION_LIST}','userLevel'=>0),
	'NEW' => array('label'=>'{LANG_CMM_LINKS_ITEM} {LANG_CMM_ACTION_NEW}','area'=>'listhead','userLevel'=>1,'icon'=>'icon-action-new.svg'),
	'EDIT' => array('label'=>'{LANG_CMM_ACTION_EDIT}','area'=>'list','userLevel'=>1,'icon'=>'icon-action-edit.svg'),
	'ENABLE' => array('label'=>'{LANG_CMM_ACTION_ENABLE}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-enable.svg','condition'=>'$item["LinkItemStatus"]==0'),
	'DISABLE' => array('label'=>'{LANG_CMM_ACTION_DISABLE}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-disable.svg','condition'=>'$item["LinkItemStatus"]==1'),
	'UP' => array('label'=>'{LANG_CMM_ACTION_UP}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-up.svg','condition'=>'$item["firstItem"]!=true && $CURRENT["sort"]=="LinkItemSort ASC"'),
	'DOWN' => array('label'=>'{LANG_CMM_ACTION_DOWN}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-down.svg','condition'=>'$item["lastItem"]!=true && $CURRENT["sort"]=="LinkItemSort ASC"'),
	'SAVE' => array('label'=>'{LANG_CMM_ACTION_SAVE}','area'=>'singlehead','userLevel'=>3,'icon'=>'icon-action-save.svg'),
	'SAVENEW' => array('label'=>'{LANG_CMM_ACTION_SAVENEW}','area'=>'singlehead','userLevel'=>3,'icon'=>'icon-action-save-and-new.svg'),
	'SAVECLOSE' => array('label'=>'{LANG_CMM_ACTION_SAVECLOSE}','area'=>'singlehead','userLevel'=>3,'icon'=>'icon-action-save-and-close.svg'),
	'CLOSE' => array('label'=>'{LANG_CMM_ACTION_CLOSE}','area'=>'singlehead','userLevel'=>1,'icon'=>'icon-action-close.svg'),
	'CUT' => array('label'=>'{LANG_CMM_ACTION_CUT}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-cut.svg'),
	'COPY' => array('label'=>'{LANG_CMM_ACTION_COPY}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-copy.svg'),
	'PASTE' => array('label'=>'{LANG_CMM_ACTION_PASTE}','area'=>'listhead','userLevel'=>3,'icon'=>'icon-action-paste.svg','UID'=>(!empty($GLOBALS['isBackend']) && isset($_SESSION[$CURRENT["module"]][$CURRENT["view"]]['clipboard']) ? $_SESSION[$CURRENT["module"]][$CURRENT["view"]]['clipboard']['id'] : ''),'condition'=>'!empty($_SESSION[$CURRENT["module"]][$CURRENT["view"]]["clipboard"])'),
	'REMOVE' => array('label'=>'{LANG_CMM_ACTION_REMOVE}','area'=>'list,singlehead','userLevel'=>3,'icon'=>'icon-action-remove.svg','condition'=>'$item["LinkItemUID"]>0','message'=>'{LANG_CMM_ACTION_REMOVE_CONFIRM}'),
	'CLIPBOARDCLEAR' => array('label'=>'{LANG_CMM_ACTION_CLIPBOARDCLEAR}','area'=>'listhead','userLevel'=>3,'icon'=>'icon-action-clipboard-clear.svg','condition'=>'isset($_SESSION[$CURRENT["module"]][$CURRENT["view"]]["clipboard"])'),
	// Besucherstatistik
	'STATSREMOVE' => array('label'=>'Statistik {LANG_CMM_ACTION_REMOVE}','area'=>'statlist,statlisthead','userLevel'=>3,'icon'=>'icon-action-remove.svg')
	);

$CONFIG['CMM_Links']['views']['CATEGORIES']['actions'] = array(
	'LIST' => array('label'=>'{LANG_CMM_ACTION_LIST}','userLevel'=>0),
	'NEW' => array('label'=>'{LANG_CMM_LINKS_CATEGORY} {LANG_CMM_ACTION_NEW}','area'=>'listhead','userLevel'=>1,'icon'=>'icon-action-new.svg'),
	'EDIT' => array('label'=>'{LANG_CMM_ACTION_EDIT}','area'=>'list','userLevel'=>1,'icon'=>'icon-action-edit.svg'),
	'ENABLE' => array('label'=>'{LANG_CMM_ACTION_ENABLE}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-enable.svg','condition'=>'$item["LinkCategoryStatus"]==0'),
	'DISABLE' => array('label'=>'{LANG_CMM_ACTION_DISABLE}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-disable.svg','condition'=>'$item["LinkCategoryStatus"]==1'),
	'UP' => array('label'=>'{LANG_CMM_ACTION_UP}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-up.svg','condition'=>'$item["firstItem"]!=true && $CURRENT["sort"]=="LinkCategorySort ASC"'),
	'DOWN' => array('label'=>'{LANG_CMM_ACTION_DOWN}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-down.svg','condition'=>'$item["lastItem"]!=true && $CURRENT["sort"]=="LinkCategorySort ASC"'),
	'SAVE' => array('label'=>'{LANG_CMM_ACTION_SAVE}','area'=>'singlehead','userLevel'=>3,'icon'=>'icon-action-save.svg'),
	'SAVENEW' => array('label'=>'{LANG_CMM_ACTION_SAVENEW}','area'=>'singlehead','userLevel'=>3,'icon'=>'icon-action-save-and-new.svg'),
	'SAVECLOSE' => array('label'=>'{LANG_CMM_ACTION_SAVECLOSE}','area'=>'singlehead','userLevel'=>3,'icon'=>'icon-action-save-and-close.svg'),
	'CLOSE' => array('label'=>'{LANG_CMM_ACTION_CLOSE}','area'=>'singlehead','userLevel'=>1,'icon'=>'icon-action-close.svg'),
	'CUT' => array('label'=>'{LANG_CMM_ACTION_CUT}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-cut.svg','condition'=>'empty($item["hasChildren"])'), // $item["hasChildren"] added by category-list-funtion)
	'COPY' => array('label'=>'{LANG_CMM_ACTION_COPY}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-copy.svg'),
	'PASTE' => array('label'=>'{LANG_CMM_ACTION_PASTE}','area'=>'listhead','userLevel'=>3,'icon'=>'icon-action-paste.svg','UID'=>(!empty($GLOBALS['isBackend']) && isset($_SESSION[$CURRENT["module"]][$CURRENT["view"]]['clipboard']) ? $_SESSION[$CURRENT["module"]][$CURRENT["view"]]['clipboard']['id'] : ''),'condition'=>'!empty($_SESSION[$CURRENT["module"]][$CURRENT["view"]]["clipboard"])'),
	'REMOVE' => array('label'=>'{LANG_CMM_ACTION_REMOVE}','area'=>'list,singlehead','userLevel'=>3,'icon'=>'icon-action-remove.svg','condition'=>'$item["LinkCategoryUID"]>0','message'=>'{LANG_CMM_ACTION_REMOVE_CONFIRM}'),
	'CLIPBOARDCLEAR' => array('label'=>'{LANG_CMM_ACTION_CLIPBOARDCLEAR}','area'=>'listhead','userLevel'=>3,'icon'=>'icon-action-clipboard-clear.svg','condition'=>'isset($_SESSION[$CURRENT["module"]][$CURRENT["view"]]["clipboard"])')
	);

$CONFIG['CMM_Links']['views']['BACKUP']['actions'] = array(
	'BACKUP' => array('label'=>'Datensicherung','userLevel'=>1,'inNavi'=>1),
	'INSTALLDB' => array('label'=>'Datenbanktabellen konfigurieren','userLevel'=>6),
	'BACKUPMAKE' => array('label'=>'Sicherung erstellen','userLevel'=>6,'inNavi'=>0),
	'BACKUPRESTORE' => array('label'=>'Sicherung zurückschreiben','userLevel'=>6,'inNavi'=>0),
	'BACKUPREMOVE' => array('label'=>'Sicherung löschen','userLevel'=>6,'inNavi'=>0)
	);

$CONFIG['CMM_Links']['views']['CONFIG']['actions'] = array(
	'CONFIG' => array('label'=>'Konfiguration','userLevel'=>1,'inNavi'=>1),
	'CONFIGSAVE' => array('label'=>'Konfiguration','area'=>'singlehead','userLevel'=>6,'icon'=>'icon-action-save.svg')
	);

$CONFIG['CMM_Links']['views']['INSTALL']['actions'] = array(
	'INSTALL' => array('label'=>'Installation','userLevel'=>6,'inNavi'=>0)
	);


////////////////////////////////////////////////////////////////////
// Datenbank-Tabellen                                             //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Links']['database'] = array();

// Datenstamm fuer Objekte
$CONFIG['CMM_Links']['database']['cmm_links_items'] = array(
	'tabs' => array(0=>'Allgemein',4=>'Media',5=>'Meta',6=>'Sonstiges',9=>'Anzeige'),
	'tablename' => 'cmm_links_items',
	'sort' => 'LinkItemUID DESC',
	'backup' => 1,
	'fieldprefix' => 'LinkItem',
	'fieldset' => array(
		'LinkItemUID' => array('label'=>'ID','type'=>'hidden','tab'=>0,
			'sqldef'=>'int(10) default \'0\''),
		'LinkItemPID' => array('label'=>'Seite','type'=>'hidden','tab'=>0,
			'sqldef'=>'int(10) default \'0\''),
		'LinkItemTID' => array('label'=>'Typ','type'=>'hidden','position'=>'top','value'=>'0','tab'=>6,
			'sqldef'=>'int(3) default \'0\''),
		'LinkItemLID' => array('label'=>'Sprache','type'=>'radio','position'=>'top','tab'=>6,
			'sqldef'=>'int(3) default \'0\'',
			'select'=>array('module'=>'CMM','table'=>'cmm_cmm_languages','keyfield'=>'LanguageUID','labelfield'=>'LanguageName','sort'=>'LanguageUID')),
		'LinkItemCID' => array('label'=>'Kategorie','type'=>'select','position'=>'top','tab'=>0,
			'sqldef'=>'varchar(100) collate utf8_unicode_ci default NULL',
			'function'=>array('module'=>'CMM_Links','class'=>'CMM_Links','function'=>'getItemCidOptions'),
			'join'=>array('module'=>'CMM_Links','table'=>'cmm_links_categories','keyfield'=>'LinkCategoryUID')),
		'LinkItemStatus' => array('label'=>'Status','type'=>'radio','position'=>'top','tab'=>9,
			'sqldef'=>'int(1) default \'0\'',
			'options'=>array(array('value'=>1,'text'=>'{LANG_CMM_ENABLED}'),array('value'=>'0','text'=>'{LANG_CMM_DISABLED}'))),
		'LinkItemDeleted' => array('label'=>'{LANG_CMM_FIELD_REMOVED}','type'=>'hidden','tab'=>3,
			'sqldef'=>'int(1) default \'0\''),
		'LinkItemSort' => array('label'=>'Sortierung','type'=>'hidden','position'=>'top','tab'=>9,
			'sqldef'=>'int(10) default \'0\''),
		'LinkItemStart' => array('label'=>'Start','type'=>'datetime','position'=>'left','tab'=>9,
			'sqldef'=>'datetime default NULL'),
		'LinkItemStop' => array('label'=>'Ende','type'=>'datetime','position'=>'right','tab'=>9,
			'sqldef'=>'datetime default NULL'),
		'LinkItemCustomergroupID' => array('label'=>'Anzeige für Benutzergruppen','type'=>'multiselect','attribs'=>array('multiple'=>1,'size'=>6),'position'=>'bottom','tab'=>9,
			'sqldef'=>'varchar(255) collate utf8_unicode_ci default NULL',
			'options'=>array('none'=>array('value'=>'0','text'=>'{LANG_CMM_IF_LOGGED_OUT}'),'all'=>array('value'=>'*','text'=>'{LANG_CMM_IF_LOGGED_IN}')),
			'select'=>array('module'=>'CMM','table'=>'cmm_cmm_customergroups','keyfield'=>'CustomergroupUID','labelfield'=>'CustomergroupUID,CustomergroupName','sort'=>'CustomergroupUID')),
		'LinkItemTitle' => array('label'=>'Titel','type'=>'textfield','attribs'=>array('required'=>1),'position'=>'bottom','tab'=>0,
			'sqldef'=>'varchar(255) collate utf8_unicode_ci default NULL'),
		'LinkItemDescription' => array('label'=>'Beschreibung','type'=>'rte','attribs'=>array('rows'=>10),'position'=>'bottom','tab'=>0,
			'sqldef'=>'text collate utf8_unicode_ci'),
		'LinkItemTags' => array('label'=>'Tags','type'=>'tagfield','position'=>'bottom','tab'=>0,'shy'=>1,
			'sqldef'=>'varchar(255) collate utf8_unicode_ci default NULL'),
		'LinkItemImages' => array('label'=>'Bilder','type'=>'imagelist','dir'=>'data/CMM_Links/images/','number'=>'10','position'=>'top','tab'=>4,
			'sqldef'=>'text collate utf8_unicode_ci'),
		'LinkItemLinks' => array('label'=>'Link','type'=>'linklist','number'=>'10','position'=>'top','tab'=>4,
			'sqldef'=>'text collate utf8_unicode_ci'),
		'LinkItemMetaTitle' => array('label'=>'Meta-Titel','type'=>'textfield','position'=>'bottom','tab'=>5,
			'sqldef'=>'varchar(255) collate utf8_unicode_ci default NULL'),
		'LinkItemMetaKeywords' => array('label'=>'Meta-Keywords','type'=>'textfield','position'=>'bottom','tab'=>5,
			'sqldef'=>'varchar(255) collate utf8_unicode_ci default NULL'),
		'LinkItemMetaDescription' => array('label'=>'Meta-Description','type'=>'textfield','position'=>'bottom','tab'=>5,
			'sqldef'=>'varchar(255) collate utf8_unicode_ci default NULL'),
		'LinkItemAddUser' => array('label'=>'Benutzer erstellt','type'=>'hidden','position'=>'bottom','tab'=>9,
			'sqldef'=>'varchar(32) collate utf8_unicode_ci default \'0\''),
		'LinkItemAddDate' => array('label'=>'Datum erstellt','type'=>'hidden','position'=>'bottom','tab'=>9,
			'sqldef'=>'datetime default \'0000-00-00 00:00:00\''),
		'LinkItemModUser' => array('label'=>'Benutzer geändert','type'=>'hidden','position'=>'bottom','tab'=>9,
			'sqldef'=>'varchar(32) collate utf8_unicode_ci default \'0\''),
		'LinkItemModDate' => array('label'=>'Datum geändert','type'=>'hidden','position'=>'bottom','tab'=>9,
			'sqldef'=>'datetime default \'0000-00-00 00:00:00\'')
		),
	'tableset' => array(
		'engine' => 'MyISAM',
		'primarykey' => 'UID',
		'charset' => 'utf8',
		'collation' => 'utf8_unicode_ci',
		'comment' => 'Links'
		)
	);

// Datenstamm fuer Kategorien
$CONFIG['CMM_Links']['database']['cmm_links_categories'] = array(
	'tabs' => array(0=>'Text',1=>'Media',5=>'Meta',6=>'Sonstiges',9=>'Anzeige'),
	'tablename' => 'cmm_links_categories',
	'sort' => 'LinkCategorySort ASC',
	'backup' => 1,
	'fieldprefix' => 'LinkCategory',
	'fieldset' => array(
		'LinkCategoryUID' => array('label'=>'ID','type'=>'hidden','tab'=>0,
			'sqldef'=>'int(10) default \'0\''),
		'LinkCategoryPID' => array('label'=>'Seite','type'=>'hidden','tab'=>0,
			'sqldef'=>'int(10) default \'0\''),
		'LinkCategoryTID' => array('label'=>'Typ','type'=>'hidden','position'=>'top','value'=>'','tab'=>6,
			'sqldef'=>'int(3) default \'0\''),
		'LinkCategoryLID' => array('label'=>'Sprache','type'=>'radio','position'=>'top','tab'=>6,
			'sqldef'=>'int(3) default \'0\'',
			'select'=>array('module'=>'CMM','table'=>'cmm_cmm_languages','keyfield'=>'LanguageUID','labelfield'=>'LanguageName','sort'=>'LanguageUID')),
		'LinkCategoryStatus' => array('label'=>'Status','type'=>'radio','position'=>'top','tab'=>9,
			'sqldef'=>'int(1) default \'0\'',
			'options'=>array(array('value'=>1,'text'=>'{LANG_CMM_ENABLED}'),array('value'=>'0','text'=>'{LANG_CMM_DISABLED}'))),
		'LinkCategoryDeleted' => array('label'=>'{LANG_CMM_FIELD_REMOVED}','type'=>'hidden','tab'=>3,
			'sqldef'=>'int(1) default \'0\''),
		'LinkCategorySort' => array('label'=>'Sortierung','type'=>'hidden','position'=>'top','tab'=>0,
			'sqldef'=>'int(10) default \'0\''),
		'LinkCategoryStart' => array('label'=>'Start','type'=>'hidden','position'=>'left','tab'=>9,
			'sqldef'=>'datetime default NULL'),
		'LinkCategoryStop' => array('label'=>'Ende','type'=>'hidden','position'=>'right','tab'=>9,
			'sqldef'=>'datetime default NULL'),
		'LinkCategoryCustomergroupID' => array('label'=>'Anzeige für Benutzergruppen','type'=>'multiselect','attribs'=>array('multiple'=>1,'size'=>6),'position'=>'bottom','tab'=>9,
			'sqldef'=>'varchar(255) collate utf8_unicode_ci default NULL',
			'options'=>array('none'=>array('value'=>'0','text'=>'{LANG_CMM_IF_LOGGED_OUT}'),'all'=>array('value'=>'*','text'=>'{LANG_CMM_IF_LOGGED_IN}')),
			'select'=>array('module'=>'CMM','table'=>'cmm_cmm_customergroups','keyfield'=>'CustomergroupUID','labelfield'=>'CustomergroupUID,CustomergroupName','sort'=>'CustomergroupUID')),
		'LinkCategoryParent' => array('label'=>'Eltern-Kategorie','type'=>'select','position'=>'top','tab'=>0,
			'sqldef'=>'varchar(32) collate utf8_unicode_ci default NULL',
			'function'=>array('module'=>'CMM_Links','class'=>'CMM_Links','function'=>'getItemCidOptions','excludeSelf'=>1,'limitToPage'=>1)),
		'LinkCategoryTitle' => array('label'=>'Titel','type'=>'textfield','attribs'=>array('required'=>1),'position'=>'top','tab'=>0,
			'sqldef'=>'varchar(255) collate utf8_unicode_ci default NULL'),
		'LinkCategoryDescription' => array('label'=>'Beschreibung','type'=>'rte','position'=>'top','tab'=>0,
			'sqldef'=>'text collate utf8_unicode_ci'),
		'LinkCategoryIcon' => array('label'=>'Symbol','type'=>'imagelist','number'=>'1','dir'=>'data/CMM_Links/images/','position'=>'top','tab'=>1,
			'sqldef'=>'text collate utf8_unicode_ci'),
		'LinkCategoryMetaTitle' => array('label'=>'Meta-Titel','type'=>'textfield','position'=>'bottom','tab'=>5,
			'sqldef'=>'varchar(255) collate utf8_unicode_ci default NULL'),
		'LinkCategoryMetaKeywords' => array('label'=>'Meta-Keywords','type'=>'textfield','position'=>'bottom','tab'=>5,
			'sqldef'=>'varchar(255) collate utf8_unicode_ci default NULL'),
		'LinkCategoryMetaDescription' => array('label'=>'Meta-Description','type'=>'textfield','position'=>'bottom','tab'=>5,
			'sqldef'=>'varchar(255) collate utf8_unicode_ci default NULL'),
		'LinkCategoryAddUser' => array('label'=>'Benutzer erstellt','type'=>'hidden','position'=>'left','tab'=>0,
			'sqldef'=>'varchar(32) collate utf8_unicode_ci default \'0\''),
		'LinkCategoryAddDate' => array('label'=>'Datum erstellt','type'=>'hidden','position'=>'left','tab'=>0,
			'sqldef'=>'datetime default \'0000-00-00 00:00:00\''),
		'LinkCategoryModUser' => array('label'=>'Benutzer geändert','type'=>'hidden','position'=>'left','tab'=>0,
			'sqldef'=>'varchar(32) collate utf8_unicode_ci default \'0\''),
		'LinkCategoryModDate' => array('label'=>'Datum geändert','type'=>'hidden','position'=>'left','tab'=>0,
			'sqldef'=>'datetime default \'0000-00-00 00:00:00\''),
		),
	'tableset' => array(
		'engine' => 'MyISAM',
		'primarykey' => 'UID',
		'charset' => 'utf8',
		'collation' => 'utf8_unicode_ci',
		'comment' => 'Kategorien'
		)
	);


////////////////////////////////////////////////////////////////////
// Sortier-Variablen (Administration)                             //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Links']['sortVars'] = array();
$CONFIG['CMM_Links']['sortVars']['cmm_links_items'] = array('LinkItemUID','LinkItemSort','LinkItemStatus','LinkItemTitle','LinkCategoryTitle:Kategorie','LinkItemModDate');
$CONFIG['CMM_Links']['sortVars']['cmm_links_categories'] = array('LinkCategoryUID','LinkCategorySort','LinkCategoryStatus','LinkCategoryTitle','LinkCategoryModDate');


////////////////////////////////////////////////////////////////////
// Filter-Variablen (Administration)                              //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Links']['filterVars'] = array();
$CONFIG['CMM_Links']['filterVars']['cmm_links_items'] = array_keys($CONFIG['CMM_Links']['database']['cmm_links_items']['fieldset']);
$tempCategoryField = array_search('LinkItemCategoryID',$CONFIG['CMM_Links']['filterVars']['cmm_links_items']); 
$CONFIG['CMM_Links']['filterVars']['cmm_links_items'][$tempCategoryField] = 'LinkCategoryTitle:Kategorie';
$CONFIG['CMM_Links']['filterVars']['cmm_links_categories'] = array_keys($CONFIG['CMM_Links']['database']['cmm_links_categories']['fieldset']);

?>