<?PHP
/***************************************************************
*  Copyright notice
*
*  (c) 2009-2017 Nicolas Berg
*  All rights reserved
*
*  This script is part of the CMM3 Content-Management-System.
*  CMM3 is provided only under a commercial license until now.
*  Maybe we will add a free license in future.
*
*  This script is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
*
*  This copyright notice MUST APPEAR in all copies of the script!
***************************************************************/

////////////////////////////////////////////////////////////////////
// Modul-Einstellungen                                            //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_News'] = array();
// Module-key
$CONFIG['CMM_News']['key'] = 'CMM_News';
// Module-label
$CONFIG['CMM_News']['label'] = 'News';
// Module-description
$CONFIG['CMM_News']['description'] = 'Modul zur Verwaltung von News-Meldungen und News-Kategorien';
// Module-languages
$CONFIG['CMM_News']['languages'] = 'at,de,ch,en,es,fr,nl,ru';
// Module-icon
$CONFIG['CMM_News']['icon'] = 'CMM_News.svg';
// Module-version
$CONFIG['CMM_News']['version'] = '1.5.6';
// Module-dependencies MOD1:Vmin(:Vmax),MOD2:Vmin(:Vmax),...
$CONFIG['CMM_News']['depend'] = 'CMM:6.0';


////////////////////////////////////////////////////////////////////
// Set includes for administration                                //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_News']['BE'] = array();
$CONFIG['CMM_News']['BE']['include'] = array();
// PHP
$CONFIG['CMM_News']['BE']['include']['PHP'] = array('CMM_News/structure.php');
// CSS
$CONFIG['CMM_News']['BE']['include']['CSS'] = array();
// JS
$CONFIG['CMM_News']['BE']['include']['JS'] = array();


////////////////////////////////////////////////////////////////////
// Set includes for website                                       //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_News']['FE'] = array();
$CONFIG['CMM_News']['FE']['include'] = array();
// PHP - starting at CMM_ROOT_DIR
$CONFIG['CMM_News']['FE']['include']['PHP'] = array();
// CSS - starting at CMM_ROOT_DIR
$CONFIG['CMM_News']['FE']['include']['CSS'] = array('CMM_News/template/css/CMM_News.css');
// JS - starting at CMM_ROOT_DIR
$CONFIG['CMM_News']['FE']['include']['JS'] = array();


////////////////////////////////////////////////////////////////////
// Datenverzeichnisse erstellen                                   //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_News']['dirs'] = array(
	'data/CMM_News/backup/',
	'data/CMM_News/images/',
	'data/CMM_News/videos/',
	'data/CMM_News/audios/',
	'data/CMM_News/files/'
	);


////////////////////////////////////////////////////////////////////
// Plugins                                                        //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_News']['plugins'] = array(
	'CMM_News_list.php',
	'CMM_News_short.php',
	'CMM_News_detail.php',
	'CMM_News_list_xml.php'
	);


////////////////////////////////////////////////////////////////////
// Weitere Einstellungen                                          //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_News']['config'] = array();

// Einfacher Modus - ohne Auswahl der Speicherseite
$CONFIG['CMM_News']['config']['simpleMode'] = 0;
// Anzeige der Detailansichten zaehlen?
$CONFIG['CMM_News']['config']['countImpressions'] = 1;

// Meta-Felder
$CONFIG['CMM_News']['config']['metaTitleFields'] = array('NewsItemTitle');
$CONFIG['CMM_News']['config']['metaKeywordsFields'] = array('NewsItemTitle','NewsItemSubtitle','NewsItemShorttext','NewsItemText');
$CONFIG['CMM_News']['config']['metaDescriptionFields'] = array('NewsItemSubtitle','NewsItemShorttext','NewsItemText');

// Enable backup-view in module
$CONFIG['CMM_News']['config']['enableBackup'] = 0;


////////////////////////////////////////////////////////////////////
// Felddefinitionen fuer Config                                   //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_News']['configFields'] = array(
	'simpleMode' => array('label'=>'Einfacher Modus ohne Seitenbaum','type'=>'radio','options'=>array(array('value'=>'0','text'=>'{LANG_CMM_NO}'),array('value'=>'1','text'=>'{LANG_CMM_YES}')),'position'=>'left'),
	'countImpressions' => array('label'=>'Detailanzeige der Einträge zählen','type'=>'radio','options'=>array(array('value'=>'0','text'=>'{LANG_CMM_NO}'),array('value'=>'1','text'=>'{LANG_CMM_YES}')),'position'=>'left'),
	'enableBackup' => array('label'=>'Backup aktivieren','type'=>'radio','options'=>array(array('value'=>'0','text'=>'{LANG_CMM_NO}'),array('value'=>'1','text'=>'{LANG_CMM_YES}')),'position'=>'left')
	);


////////////////////////////////////////////////////////////////////
// Einstellungen fuer Suche                                       //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_News']['config']['search'] = array(
	'label' => '{LANG_CMM_NEWS_LABEL}',
	'resultPIDparams' => ($CONFIG['CMM']['config']['seoUseSeoUrls']==true ? '/{$NewsItemTitle|substr:length=50:word=1:fill=|validatealias}.{$NewsItemUID}' : '?CMM_News[NewsItemUID]={$NewsItemUID}'),
	'resultPIDfilter' => '',
	'tablename' => 'cmm_news_items',
	'fieldprefix' => 'NewsItem',
	'join' => array('cmm_news_categories|NewsCategoryUID=NewsItemTID'), // Join-Table|Join-Table-Field=Table-Field|[Join-Table-Field=Value]
	'filter' => array(), // Zusatzfilter
	'titleFields' => array('NewsItemTitle'),
	'textFields' => array('NewsItemSubtitle','NewsItemShorttext','NewsItemText'),
	'searchFields' => array('NewsItemTitle','NewsItemSubtitle','NewsItemShorttext','NewsItemText'),
	'extraFields' => array('NewsItemTitle'),
	'deletedField' => 'NewsItemDeleted'
	);

?>