<?PHP
/***************************************************************
*  Copyright notice
*
*  (c) 2009-2017 Nicolas Berg
*  All rights reserved
*
*  This script is part of the CMM3 Content-Management-System.
*  CMM3 is provided only under a commercial license until now.
*  Maybe we will add a free license in future.
*
*  This script is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
*
*  This copyright notice MUST APPEAR in all copies of the script!
***************************************************************/

// V 1.0 First release
// V 1.0.1 Status-Feld fuer Kategorien in Formular eingebaut
// V 1.0.2 Verarbeitung von Config angepasst
// V 1.0.3 Backup-Einstellungen ergaenzt
// V 1.0.4 Delete-fields added
// V 1.0.5 PASTE-Action mod
// V 1.0.6 Added field BlogItemPlugin
// V 1.0.7 Mod userLevels

////////////////////////////////////////////////////////////////////
// Modul-Anzeigen                                                 //
////////////////////////////////////////////////////////////////////
// - label: Bezeichnung des Feldes
// - table: Haupt-Datenbanktabelle
// - userLevel: Berechntigungsstufe fuer Datensaetze
// - navi: Anzeige in der Hauptnavigation
$CONFIG['CMM_News']['views'] = array(
	'INDEX' => array('label'=>'{LANG_CMM_NEWS_VIEW_INDEX}','userLevel'=>1),
	'ITEMS' => array('label'=>'{LANG_CMM_NEWS_VIEW_ITEMS}','table'=>'cmm_news_items','userLevel'=>1,'inNavi'=>1),
	'CATEGORIES' => array('label'=>'{LANG_CMM_NEWS_VIEW_CATEGORIES}','table'=>'cmm_news_categories','userLevel'=>1,'inNavi'=>1),
	'CONFIG' => array('label'=>'{LANG_CMM_NEWS_VIEW_CONFIG}','table'=>'cmm_cmm_config','userLevel'=>6,'inNavi'=>1),
	'BACKUP' => array('label'=>'{LANG_CMM_NEWS_VIEW_BACKUP}','userLevel'=>1,'inNavi'=>(!empty($GLOBALS['isBackend']) && !empty($CUSTOM['CMM_News']['config']['enableBackup']) ? 1 : 0)),
	'INSTALL' => array('label'=>'{LANG_CMM_NEWS_VIEW_INSTALL}','userLevel'=>3)
	);


////////////////////////////////////////////////////////////////////
// Modulfunktionen                                                //
////////////////////////////////////////////////////////////////////
// - label: Bezeichnung des Feldes
// - area: Anzeige-Bereich
// - userLevel: Berechntigungsstufe fuer Datensaetze
// - icon: Icon fuer Listenansicht
// - action: Aktion, die ausgefuehrt werden soll
// - clipboardAction: Aktion, die spaeter ausgefuehrt werden soll
// - message: Frage vor Ausfuerung der Funktion
// - condition: Bedingung pruefen (Datenbankfeld) item/_SESSION/_GET/_POST/_COOKIE/_ENV[keyvar]==value
// - file: Funktion in externer Datei ausfuehren
// - target: Zielfenster fuer Funktion

$CONFIG['CMM_News']['views']['ITEMS']['actions'] = array(
	'LIST' => array('label'=>'{LANG_CMM_ACTION_LIST}','userLevel'=>0),
	'NEW' => array('label'=>'{LANG_CMM_NEWS_ITEM} - {LANG_CMM_ACTION_NEW}','area'=>'listhead','userLevel'=>1,'icon'=>'icon-action-new.svg'),
	'EDIT' => array('label'=>'{LANG_CMM_ACTION_EDIT}','area'=>'list','userLevel'=>1,'icon'=>'icon-action-edit.svg'),
	'ENABLE' => array('label'=>'{LANG_CMM_ACTION_ENABLE}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-enable.svg','condition'=>'$item["NewsItemStatus"]==0'),
	'DISABLE' => array('label'=>'{LANG_CMM_ACTION_DISABLE}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-disable.svg','condition'=>'$item["NewsItemStatus"]==1'),
	'UP' => array('label'=>'{LANG_CMM_ACTION_UP}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-up.svg','condition'=>'$item["firstItem"]!=true && $CURRENT["sort"]=="NewsItemSort ASC"'),
	'DOWN' => array('label'=>'{LANG_CMM_ACTION_DOWN}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-down.svg','condition'=>'$item["lastItem"]!=true && $CURRENT["sort"]=="NewsItemSort ASC"'),
	'SAVE' => array('label'=>'{LANG_CMM_ACTION_SAVE}','area'=>'singlehead','userLevel'=>3,'icon'=>'icon-action-save.svg'),
	'SAVENEW' => array('label'=>'{LANG_CMM_ACTION_SAVENEW}','area'=>'singlehead','userLevel'=>3,'icon'=>'icon-action-save-and-new.svg'),
	'SAVECLOSE' => array('label'=>'{LANG_CMM_ACTION_SAVECLOSE}','area'=>'singlehead','userLevel'=>3,'icon'=>'icon-action-save-and-close.svg'),
	'CLOSE' => array('label'=>'{LANG_CMM_ACTION_CLOSE}','area'=>'singlehead','userLevel'=>1,'icon'=>'icon-action-close.svg'),
	'CUT' => array('label'=>'{LANG_CMM_ACTION_CUT}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-cut.svg'),
	'COPY' => array('label'=>'{LANG_CMM_ACTION_COPY}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-copy.svg'),
	'PASTE' => array('label'=>'{LANG_CMM_ACTION_PASTE}','area'=>'listhead','userLevel'=>3,'icon'=>'icon-action-paste.svg','UID'=>(!empty($GLOBALS['isBackend']) && isset($_SESSION[$CURRENT["module"]][$CURRENT["view"]]['clipboard']) ? $_SESSION[$CURRENT["module"]][$CURRENT["view"]]['clipboard']['id'] : ''),'condition'=>'!empty($_SESSION[$CURRENT["module"]][$CURRENT["view"]]["clipboard"])'),
	'REMOVE' => array('label'=>'{LANG_CMM_ACTION_REMOVE}','area'=>'list,singlehead','userLevel'=>3,'icon'=>'icon-action-remove.svg','condition'=>'$item["NewsItemUID"]>0','message'=>'{LANG_CMM_ACTION_REMOVE_CONFIRM}'),
	'CLIPBOARDCLEAR' => array('label'=>'{LANG_CMM_ACTION_CLIPBOARDCLEAR}','area'=>'listhead','userLevel'=>3,'icon'=>'icon-action-clipboard-clear.svg','condition'=>'isset($_SESSION[$CURRENT["module"]][$CURRENT["view"]]["clipboard"])'),
	'COPYTRANSLATION' => array('label'=>'{LANG_CMM_ACTION_COPYTRANSLATION}','area'=>'','userLevel'=>3,'message'=>'{LANG_CMM_ACTION_COPYTRANSLATION_CONFIRM}')
	);

$CONFIG['CMM_News']['views']['CATEGORIES']['actions'] = array(
	'LIST' => array('label'=>'{LANG_CMM_ACTION_LIST}','userLevel'=>0),
	'NEW' => array('label'=>'{LANG_CMM_NEWS_CATEGORY} - {LANG_CMM_ACTION_NEW}','area'=>'listhead','userLevel'=>1,'icon'=>'icon-action-new.svg'),
	'EDIT' => array('label'=>'{LANG_CMM_ACTION_EDIT}','area'=>'list','userLevel'=>1,'icon'=>'icon-action-edit.svg'),
	'ENABLE' => array('label'=>'{LANG_CMM_ACTION_ENABLE}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-enable.svg','condition'=>'$item["NewsCategoryStatus"]==0'),
	'DISABLE' => array('label'=>'{LANG_CMM_ACTION_DISABLE}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-disable.svg','condition'=>'$item["NewsCategoryStatus"]==1'),
	'UP' => array('label'=>'{LANG_CMM_ACTION_UP}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-up.svg','condition'=>'$item["firstItem"]!=true && $CURRENT["sort"]=="NewsCategorySort ASC"'),
	'DOWN' => array('label'=>'{LANG_CMM_ACTION_DOWN}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-down.svg','condition'=>'$item["lastItem"]!=true && $CURRENT["sort"]=="NewsCategorySort ASC"'),
	'SAVE' => array('label'=>'{LANG_CMM_ACTION_SAVE}','area'=>'singlehead','userLevel'=>3,'icon'=>'icon-action-save.svg'),
	'SAVENEW' => array('label'=>'{LANG_CMM_ACTION_SAVENEW}','area'=>'singlehead','userLevel'=>3,'icon'=>'icon-action-save-and-new.svg'),
	'SAVECLOSE' => array('label'=>'{LANG_CMM_ACTION_SAVECLOSE}','area'=>'singlehead','userLevel'=>3,'icon'=>'icon-action-save-and-close.svg'),
	'CLOSE' => array('label'=>'{LANG_CMM_ACTION_CLOSE}','area'=>'singlehead','userLevel'=>1,'icon'=>'icon-action-close.svg'),
	'CUT' => array('label'=>'{LANG_CMM_ACTION_CUT}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-cut.svg'),
	'COPY' => array('label'=>'{LANG_CMM_ACTION_COPY}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-copy.svg'),
	'PASTE' => array('label'=>'{LANG_CMM_ACTION_PASTE}','area'=>'listhead','userLevel'=>3,'icon'=>'icon-action-paste.svg','UID'=>(!empty($GLOBALS['isBackend']) && isset($_SESSION[$CURRENT["module"]][$CURRENT["view"]]['clipboard']) ? $_SESSION[$CURRENT["module"]][$CURRENT["view"]]['clipboard']['id'] : ''),'condition'=>'!empty($_SESSION[$CURRENT["module"]][$CURRENT["view"]]["clipboard"])'),
	'REMOVE' => array('label'=>'{LANG_CMM_ACTION_REMOVE}','area'=>'list,singlehead','userLevel'=>3,'icon'=>'icon-action-remove.svg','condition'=>'$item["NewsCategoryUID"]>0','message'=>'{LANG_CMM_ACTION_REMOVE_CONFIRM}'),
	'CLIPBOARDCLEAR' => array('label'=>'{LANG_CMM_ACTION_CLIPBOARDCLEAR}','area'=>'listhead','userLevel'=>3,'icon'=>'icon-action-clipboard-clear.svg','condition'=>'isset($_SESSION[$CURRENT["module"]][$CURRENT["view"]]["clipboard"])'),
	'COPYTRANSLATION' => array('label'=>'{LANG_CMM_ACTION_COPYTRANSLATION}','area'=>'','userLevel'=>3,'message'=>'{LANG_CMM_ACTION_COPYTRANSLATION_CONFIRM}')
	);

$CONFIG['CMM_News']['views']['BACKUP']['actions'] = array(
	'BACKUP' => array('label'=>'Datensicherung','userLevel'=>1,'inNavi'=>1),
	'INSTALLDB' => array('label'=>'Datenbanktabellen konfigurieren','userLevel'=>6),
	'BACKUPMAKE' => array('label'=>'Sicherung erstellen','userLevel'=>6,'inNavi'=>0),
	'BACKUPRESTORE' => array('label'=>'Sicherung zurückschreiben','userLevel'=>6,'inNavi'=>0),
	'BACKUPREMOVE' => array('label'=>'Sicherung löschen','userLevel'=>6,'inNavi'=>0)
	);

$CONFIG['CMM_News']['views']['CONFIG']['actions'] = array(
	'CONFIG' => array('label'=>'Konfiguration','userLevel'=>1,'inNavi'=>1),
	'CONFIGSAVE' => array('label'=>'Konfiguration','area'=>'singlehead','userLevel'=>6,'icon'=>'icon-action-save.svg')
	);

$CONFIG['CMM_News']['views']['INSTALL']['actions'] = array(
	'INSTALL' => array('label'=>'Installation','userLevel'=>6,'inNavi'=>0)
	);


////////////////////////////////////////////////////////////////////
// Datenbank-Tabellen                                             //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_News']['database'] = array();

// Datenstamm fuer Artikel
$CONFIG['CMM_News']['database']['cmm_news_items'] = array(
	'tabs' => array(0=>'Standard',1=>'Media',2=>'Plugins',3=>'Sonstiges',4=>'Plugin',5=>'Meta',9=>'Anzeige'),
	'tablename' => 'cmm_news_items',
	'sort' => 'NewsItemUID DESC',
	'backup' => 1,
	'fieldprefix' => 'NewsItem',
	'fieldset' => array(
		'NewsItemUID' => array('label'=>'ID','type'=>'hidden','position'=>'top','tab'=>0,
			'sqldef'=>'int(10) default \'0\''),
		'NewsItemPID' => array('label'=>'ParentID','type'=>'hidden','position'=>'top','tab'=>0,
			'sqldef'=>'int(10) default \'0\''),
		'NewsItemTID' => array('label'=>'Typ','type'=>'hidden','position'=>'left','tab'=>0,
			'sqldef'=>'int(3) default \'0\''),
		'NewsItemLID' => array('label'=>'Sprache','type'=>'radio','position'=>'top','tab'=>3,
			'sqldef'=>'int(3) default \'0\'',
			'select'=>array('module'=>'CMM','table'=>'cmm_cmm_languages','keyfield'=>'LanguageUID','labelfield'=>'LanguageName','sort'=>'LanguageUID')),
		'NewsItemCID' => array('label'=>'Kategorie(n)','type'=>'select','position'=>'left','tab'=>0,
			'sqldef'=>'varchar(100) collate utf8_unicode_ci default NULL',
			'select'=>array('module'=>'CMM_News','table'=>'cmm_news_categories','keyfield'=>'NewsCategoryUID','labelfield'=>'NewsCategoryTitle','LID'=>'{$CURRENT["language"]}'),
			'join'=>array('module'=>'CMM_News','table'=>'cmm_news_categories','keyfield'=>'NewsCategoryUID')),
		'NewsItemOID' => array('label'=>'{LANG_CMM_FIELD_OID}','description'=>'{LANG_CMM_FIELD_OID_DESC}','type'=>(isset($CURRENT['language']) && isset($CURRENT['languageDefault']) && $CURRENT['language']==$CURRENT['languageDefault'] ? 'hidden' : 'select'),'position'=>'top','tab'=>3,
			'sqldef'=>'int(10) default \'0\'',
			'function'=>array('function'=>'CMM_getInputFieldOptionsOID','module'=>'CMM_News','table'=>'cmm_news_items','keyfield'=>'NewsItemUID','labelfield'=>'NewsItemTitle','sort'=>'NewsItemSort ASC')),
		'NewsItemStatus' => array('label'=>'Status','type'=>'radio','position'=>'top','tab'=>9,
			'sqldef'=>'int(1) default \'0\'',
			'options'=>array(array('value'=>1,'text'=>'{LANG_CMM_ENABLED}'),array('value'=>'0','text'=>'{LANG_CMM_DISABLED}'))),
		'NewsItemDeleted' => array('label'=>'{LANG_CMM_FIELD_REMOVED}','type'=>'hidden','tab'=>3,
			'sqldef'=>'int(1) default \'0\''),
		'NewsItemSort' => array('label'=>'Sortierung','type'=>'hidden','position'=>'top','tab'=>3,
			'sqldef'=>'int(10) default \'0\''),
		'NewsItemStart' => array('label'=>'Start','type'=>'datetime','position'=>'left','tab'=>9,
			'sqldef'=>'datetime default NULL'),
		'NewsItemStop' => array('label'=>'Ende','type'=>'datetime','position'=>'right','tab'=>9,
			'sqldef'=>'datetime default NULL'),
		'NewsItemCustomergroupID' => array('label'=>'Anzeige für Benutzergruppen','type'=>'multiselect','attribs'=>array('multiple'=>1,'size'=>6),'position'=>'bottom','tab'=>9,
			'sqldef'=>'varchar(255) collate utf8_unicode_ci default NULL',
			'options'=>array('none'=>array('value'=>'0','text'=>'{LANG_CMM_IF_LOGGED_OUT}'),'all'=>array('value'=>'*','text'=>'{LANG_CMM_IF_LOGGED_IN}')),
			'select'=>array('module'=>'CMM','table'=>'cmm_cmm_customergroups','keyfield'=>'CustomergroupUID','labelfield'=>'CustomergroupUID,CustomergroupName','sort'=>'CustomergroupUID')),
		'NewsItemTitle' => array('label'=>'Titel / Überschrift','type'=>'textfield','attribs'=>array('required'=>1),'position'=>'top','tab'=>0,
			'sqldef'=>'varchar(255) collate utf8_unicode_ci default NULL'),
		'NewsItemSubtitle' => array('label'=>'Untertitel','type'=>'textfield','position'=>'top','tab'=>0,'shy'=>1,
			'sqldef'=>'varchar(255) collate utf8_unicode_ci default NULL'),
		'NewsItemDate' => array('label'=>'Datum','type'=>'datetime','attribs'=>array('required'=>1),'position'=>'right','tab'=>0,
			'sqldef'=>'datetime default \'0000-00-00 00:00:00\''),
		'NewsItemSource' => array('label'=>'Quelle','type'=>'textfield','position'=>'left','tab'=>0,'shy'=>1,
			'sqldef'=>'varchar(255) collate utf8_unicode_ci default NULL'),
		'NewsItemSpecial' => array('label'=>'Eintrag hervorheben','type'=>'checkbox','position'=>'right','tab'=>0,'shy'=>1,
			'sqldef'=>'int(3) default \'0\'',
			'options'=>array(array('value'=>'1','text'=>'{LANG_CMM_YES}'))),
		'NewsItemShorttext' => array('label'=>'Kurztext','type'=>'textarea','position'=>'bottom','attribs'=>array('rows'=>5),'tab'=>0,
			'sqldef'=>'text collate utf8_unicode_ci'),
		'NewsItemText' => array('label'=>'Langtext','type'=>'rte','position'=>'bottom','attribs'=>array('rows'=>6),'tab'=>0,
			'sqldef'=>'text collate utf8_unicode_ci'),
		'NewsItemTags' => array('label'=>'Tags','type'=>'tagfield','position'=>'bottom','tab'=>0,
			'sqldef'=>'varchar(255) collate utf8_unicode_ci default NULL'),
		'NewsItemPlugin' => array('label'=>'Plugin','type'=>'pluginselect','number'=>1,'dir'=>'plugins/','position'=>'top','tab'=>4, // Pfad wird dyn. mit Template-Pfad ergaenzt
			'sqldef'=>'text collate utf8_unicode_ci'),
		'NewsItemImages' => array('label'=>'Bilder','type'=>'imagelist','number'=>5,'dir'=>'data/CMM_News/images/','position'=>'top','tab'=>1,
			'sqldef'=>'text collate utf8_unicode_ci'),
		'NewsItemVideos' => array('label'=>'Videos','type'=>'videolist','number'=>5,'dir'=>'data/CMM_News/videos/','position'=>'top','tab'=>1,
			'sqldef'=>'text collate utf8_unicode_ci'),
		'NewsItemFiles' => array('label'=>'Dateien','type'=>'filelist','number'=>5,'dir'=>'data/CMM_News/files/','position'=>'top','tab'=>1,
			'sqldef'=>'text collate utf8_unicode_ci'),
		'NewsItemLinks' => array('label'=>'Links','type'=>'linklist','number'=>5,'position'=>'top','tab'=>1,
			'sqldef'=>'text collate utf8_unicode_ci'),
		'NewsItemHTML' => array('label'=>'HTML-Inhalt','type'=>'codearea','attribs'=>array('rows'=>10),'position'=>'bottom','tab'=>1,
			'sqldef'=>'text collate utf8_unicode_ci'),
		'NewsItemMetaTitle' => array('label'=>'Meta-Titel','type'=>'textfield','attribs'=>array('maxlength'=>255),'position'=>'bottom','tab'=>5,
			'sqldef'=>'varchar(255) collate utf8_unicode_ci default NULL'),
		'NewsItemMetaKeywords' => array('label'=>'Meta-Keywords','type'=>'textfield','attribs'=>array('maxlength'=>255),'position'=>'bottom','tab'=>5,
			'sqldef'=>'varchar(255) collate utf8_unicode_ci default NULL'),
		'NewsItemMetaDescription' => array('label'=>'Meta-Description','type'=>'textfield','attribs'=>array('maxlength'=>255),'position'=>'bottom','tab'=>5,
			'sqldef'=>'varchar(255) collate utf8_unicode_ci default NULL'),
		'NewsItemAddDate' => array('label'=>'Datum erstellt','type'=>'hidden','position'=>'left','tab'=>0,
			'sqldef'=>'datetime default \'0000-00-00 00:00:00\''),
		'NewsItemAddUser' => array('label'=>'Benutzer erstellt','type'=>'hidden','position'=>'left','tab'=>0,
			'sqldef'=>'varchar(32) collate utf8_unicode_ci default \'0\''),
		'NewsItemModDate' => array('label'=>'Datum geändert','type'=>'hidden','position'=>'left','tab'=>0,
			'sqldef'=>'datetime default \'0000-00-00 00:00:00\''),
		'NewsItemModUser' => array('label'=>'Benutzer geändert','type'=>'hidden','position'=>'left','tab'=>0,
			'sqldef'=>'varchar(32) collate utf8_unicode_ci default \'0\'')
		),
	'tableset' => array(
		'engine' => 'MyISAM',
		'primarykey' => 'UID',
		'charset' => 'utf8',
		'collation' => 'utf8_unicode_ci',
		'comment' => 'Artikel'
		)
	);
	
// Datenstamm fuer Kategorien
$CONFIG['CMM_News']['database']['cmm_news_categories'] = array(
	'tabs' => array(0=>'Standard',1=>'Media',2=>'Plugins',3=>'Sonstiges',9=>'Anzeige'),
	'tablename' => 'cmm_news_categories',
	'sort' => 'NewsCategoryUID DESC',
	'backup' => 1,
	'fieldprefix' => 'NewsCategory',
	'fieldset' => array(
		'NewsCategoryUID' => array('label'=>'ID','type'=>'hidden','position'=>'top','tab'=>0,
			'sqldef'=>'int(10) default \'0\''),
		'NewsCategoryPID' => array('label'=>'ParentID','type'=>'hidden','position'=>'top','tab'=>0,
			'sqldef'=>'int(10) default \'0\''),
		'NewsCategoryTID' => array('label'=>'Typ/Kategorie','type'=>'hidden','position'=>'top','tab'=>3,
			'sqldef'=>'int(3) default \'0\''),
		'NewsCategoryLID' => array('label'=>'Sprache','type'=>'radio','position'=>'top','tab'=>3,
			'sqldef'=>'int(3) default \'0\'',
			'select'=>array('module'=>'CMM','table'=>'cmm_cmm_languages','keyfield'=>'LanguageUID','labelfield'=>'LanguageName','sort'=>'LanguageUID')),
		'NewsCategoryOID' => array('label'=>'{LANG_CMM_FIELD_OID}','description'=>'{LANG_CMM_FIELD_OID_DESC}','type'=>(isset($CURRENT['language']) && isset($CURRENT['languageDefault']) && $CURRENT['language']==$CURRENT['languageDefault'] ? 'hidden' : 'select'),'position'=>'top','tab'=>3,
			'sqldef'=>'int(10) default \'0\'',
			'function'=>'CMM_getInputFieldOptionsOID','module'=>'CMM_News','table'=>'cmm_news_categories','keyfield'=>'NewsCategoryUID','labelfield'=>'NewsCategoryTitle','sort'=>'NewsCategorySort ASC'),
		'NewsCategoryStatus' => array('label'=>'Status','type'=>'radio','position'=>'top','tab'=>9,
			'sqldef'=>'int(1) default \'0\'',
			'options'=>array(array('value'=>1,'text'=>'{LANG_CMM_ENABLED}'),array('value'=>'0','text'=>'{LANG_CMM_DISABLED}'))),
		'NewsCategoryDeleted' => array('label'=>'{LANG_CMM_FIELD_REMOVED}','type'=>'hidden','tab'=>3,
			'sqldef'=>'int(1) default \'0\''),
		'NewsCategorySort' => array('label'=>'Sortierung','type'=>'hidden','position'=>'top','tab'=>3,
			'sqldef'=>'int(10) default \'0\''),
		'NewsCategoryTitle' => array('label'=>'Titel','type'=>'textfield','position'=>'top','tab'=>0,
			'sqldef'=>'varchar(100) collate utf8_unicode_ci default NULL'),
		'NewsCategoryDescription' => array('label'=>'Beschreibung','type'=>'textarea','position'=>'top','tab'=>0,
			'sqldef'=>'text collate utf8_unicode_ci'),
		'NewsCategoryIcon' => array('label'=>'Symbol','type'=>'imagelist','number'=>'1','dir'=>'data/CMM_News/images/','position'=>'top','tab'=>1,
			'sqldef'=>'varchar(100) collate utf8_unicode_ci default NULL'),
		'NewsCategoryAddDate' => array('label'=>'Datum erstellt','type'=>'hidden','position'=>'left','tab'=>0,
			'sqldef'=>'datetime default \'0000-00-00 00:00:00\''),
		'NewsCategoryAddUser' => array('label'=>'Benutzer erstellt','type'=>'hidden','position'=>'left','tab'=>0,
			'sqldef'=>'varchar(32) collate utf8_unicode_ci default \'0\''),
		'NewsCategoryModDate' => array('label'=>'Datum geändert','type'=>'hidden','position'=>'left','tab'=>0,
			'sqldef'=>'datetime default \'0000-00-00 00:00:00\''),
		'NewsCategoryModUser' => array('label'=>'Benutzer geändert','type'=>'hidden','position'=>'left','tab'=>0,
			'sqldef'=>'varchar(32) collate utf8_unicode_ci default \'0\'')
		),
	'tableset' => array(
		'engine' => 'MyISAM',
		'primarykey' => 'UID',
		'charset' => 'utf8',
		'collation' => 'utf8_unicode_ci',
		'comment' => 'Kategorien'
		)
	);


////////////////////////////////////////////////////////////////////
// Sortier-Variablen (Administration)                             //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_News']['sortVars'] = array();
$CONFIG['CMM_News']['sortVars']['cmm_news_items'] = array('NewsItemUID','NewsItemSort','NewsItemStatus','NewsItemTitle','NewsItemAddDate','NewsItemModDate');
$CONFIG['CMM_News']['sortVars']['cmm_news_categories'] = array('NewsCategoryUID','NewsCategorySort','NewsCategoryStatus','NewsCategoryTitle','NewsCategoryAddDate','NewsCategoryModDate');


////////////////////////////////////////////////////////////////////
// Filter-Variablen (Administration)                             //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_News']['filterVars'] = array();
$CONFIG['CMM_News']['filterVars']['cmm_news_items'] = array_keys($CONFIG['CMM_News']['database']['cmm_news_items']['fieldset']);
$CONFIG['CMM_News']['filterVars']['cmm_news_categories'] = array_keys($CONFIG['CMM_News']['database']['cmm_news_categories']['fieldset']);

// Additional filter fields
$CONFIG['CMM_News']['filterVars']['cmm_news_items'][] = 'OPTGROUP:Sonstige';
$CONFIG['CMM_News']['filterVars']['cmm_news_items'][] = 'NewsCategoryTitle:Kategorie-Titel';

?>