<?PHP
/***************************************************************
*  Copyright notice
*
*  (c) 2009-2017 Nicolas Berg
*  All rights reserved
*
*  This script is part of the CMM3 Content-Management-System.
*  CMM3 is provided only under a commercial license until now.
*  Maybe we will add a free license in future.
*
*  This script is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
*
*  This copyright notice MUST APPEAR in all copies of the script!
***************************************************************/

////////////////////////////////////////////////////////////////////
// Modul-Einstellungen                                            //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Newsletter'] = array();
// Modulpraefix
$CONFIG['CMM_Newsletter']['key'] = 'CMM_Newsletter';
// Modulname
$CONFIG['CMM_Newsletter']['label'] = 'Newsletter';
// Modulbeschreibung
$CONFIG['CMM_Newsletter']['description'] = 'Modul zur Verwaltung von Newslettern, Kategorien und Abonnenten';
// Module-languages
$CONFIG['CMM_Newsletter']['languages'] = 'at,de,ch,en';
// Modulicon
$CONFIG['CMM_Newsletter']['icon'] = 'CMM_Newsletter.svg';
// Modulversion
$CONFIG['CMM_Newsletter']['version'] = '0.8.7';
// Dependencies
$CONFIG['CMM_Newsletter']['depend'] = 'CMM:6.0';


////////////////////////////////////////////////////////////////////
// Set includes for administration                                //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Newsletter']['BE'] = array();
$CONFIG['CMM_Newsletter']['BE']['include'] = array();
// PHP
$CONFIG['CMM_Newsletter']['BE']['include']['PHP'] = array('CMM_Newsletter/structure.php');
// CSS
$CONFIG['CMM_Newsletter']['BE']['include']['CSS'] = array();
// JS
$CONFIG['CMM_Newsletter']['BE']['include']['JS'] = array();


////////////////////////////////////////////////////////////////////
// Set includes for website                                       //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Newsletter']['FE'] = array();
$CONFIG['CMM_Newsletter']['FE']['include'] = array();
// PHP - starting at CMM_ROOT_DIR
$CONFIG['CMM_Newsletter']['FE']['include']['PHP'] = array();
// CSS - starting at CMM_ROOT_DIR
$CONFIG['CMM_Newsletter']['FE']['include']['CSS'] = array('CMM_Newsletter/template/css/CMM_Newsletter.css');
// JS - starting at CMM_ROOT_DIR
$CONFIG['CMM_Newsletter']['FE']['include']['JS'] = array();


////////////////////////////////////////////////////////////////////
// Datenverzeichnisse erstellen                                   //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Newsletter']['dirs'] = array(
	'data/CMM_Newsletter/backup/',
	'data/CMM_Newsletter/images/',
	'data/CMM_Newsletter/files/'
	);


////////////////////////////////////////////////////////////////////
// Plugins                                                        //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Newsletter']['plugins'] = array(
	'CMM_Newsletter_form.php',
	'CMM_Newsletter_list.php',
	'CMM_Newsletter_short.php',
	'CMM_Newsletter_detail.php'
	);


////////////////////////////////////////////////////////////////////
// Weitere Einstellungen                                          //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Newsletter']['config'] = array();

// Einfacher Modus - ohne Auswahl der Speicherseite
$CONFIG['CMM_Newsletter']['config']['catchIP'] = 1;
$CONFIG['CMM_Newsletter']['config']['simpleMode'] = 0;

// Meta-Felder
$CONFIG['CMM_Newsletter']['config']['metaTitleFields'] = array('NewsletterItemTitle');
$CONFIG['CMM_Newsletter']['config']['metaKeywordsFields'] = array('NewsletterItemTitle','NewsletterItemSubtitle','NewsletterItemShorttext','NewsletterItemText');
$CONFIG['CMM_Newsletter']['config']['metaDescriptionFields'] = array('NewsletterItemSubtitle','NewsletterItemShorttext','NewsletterItemText');

// Enable backup-view in module
$CONFIG['CMM_Newsletter']['config']['enableBackup'] = 0;

// Email
$CONFIG['CMM_Newsletter']['config']['emailAdminAddress'] = '';
$CONFIG['CMM_Newsletter']['config']['emailAdminName'] = '';


////////////////////////////////////////////////////////////////////
// Felddefinitionen fuer Config                                   //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Newsletter']['configTabs'] = array(0=>'Standard',2=>'Mail');
$CONFIG['CMM_Newsletter']['configFields'] = array(
	'catchIP' => array('label'=>'IP bei Abonnement-Bestätigung speichern','type'=>'radio','options'=>array(array('value'=>'0','text'=>'{LANG_CMM_NO}'),array('value'=>'1','text'=>'{LANG_CMM_YES}')),'position'=>'right'),
	'simpleMode' => array('label'=>'Einfacher Modus ohne Seitenbaum','type'=>'radio','options'=>array(array('value'=>'0','text'=>'{LANG_CMM_NO}'),array('value'=>'1','text'=>'{LANG_CMM_YES}')),'position'=>'left'),
	'enableBackup' => array('label'=>'Backup aktivieren','type'=>'radio','options'=>array(array('value'=>'0','text'=>'{LANG_CMM_NO}'),array('value'=>'1','text'=>'{LANG_CMM_YES}')),'position'=>'left'),
	'emailAdminAddress' => array('label'=>'E-Mail: Admin E-Mail-Adresse','description'=>'Absender-Adresse zum Versand der Newsletter und der Anmeldebestätigung. Wenn leer, wird der Wert &quot;Admin E-Mail-Adresse&quot; aus der Konfiguration des Basismoduls verwendet.','type'=>'textfield','position'=>'left','tab'=>2),
	'emailAdminName' => array('label'=>'E-Mail: Admin Name','description'=>'Adresse-Name zum Versand der Newsletter und der Anmeldebestätigung. Wenn leer, wird der Wert &quot;Admin Name&quot; aus der Konfiguration des Basismoduls verwendet.','type'=>'textfield','position'=>'left','tab'=>2)
	);


////////////////////////////////////////////////////////////////////
// Einstellungen fuer Suche                                       //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Newsletter']['config']['search'] = array(
	'label' => '{LANG_CMM_NEWSLETTER_LABEL}',
	'resultPIDparams' => ($CONFIG['CMM']['config']['seoUseSeoUrls']==true ? '/{$NewsletterItemTitle|substr:length=50:word=1:fill=|validatealias}.{$NewsletterItemUID}' : '?CMM_Newsletter[NewsletterItemUID]={$NewsletterItemUID}'),
	'resultPIDfilter' => '',
	'tablename' => 'cmm_newsletter_items',
	'fieldprefix' => 'NewsletterItem',
	'join' => array('cmm_newsletter_categories|NewsletterCategoryUID=NewsleterItemCID'), // Join-Table|Join-Table-Field=Table-Field|[Join-Table-Field=Value]
	'filter' => array(), // Zusatzfilter
	'titleFields' => array('NewsletterItemTitle'),
	'textFields' => array('NewsletterItemSubtitle','NewsletterItemShorttext','NewsletterItemText'),
	'searchFields' => array('NewsletterItemTitle','NewsletterItemSubtitle','NewsletterItemShorttext','NewsletterItemText'),
	'extraFields' => array('NewsletterItemTitle'),
	'deletedField' => 'NewsletterItemDeleted'
	);

?>