<?PHP
/***************************************************************
*  Copyright notice
*
*  (c) 2009-2017 Nicolas Berg
*  All rights reserved
*
*  This script is part of the CMM3 Content-Management-System.
*  CMM3 is provided only under a commercial license until now.
*  Maybe we will add a free license in future.
*
*  This script is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
*
*  This copyright notice MUST APPEAR in all copies of the script!
***************************************************************/

///////////////////////////////////////////////////////////
// Plugin fuer Newsletter-Registrierung                  //
///////////////////////////////////////////////////////////
// V 1.0 First release
///////////////////////////////////////////////////////////
include_once(CMM_ROOT_DIR.'CMM_Newsletter/index.php');

/* PARAMS START - Marker-Comments required! */
$params = array(
	'templateFile' => 'CMM_Newsletter/template/html/CMM_Newsletter_form.html',
	'templateFileMail' => 'CMM_Newsletter/template/mail/CMM_Newsletter_mail.html',
	'dataPID' => '{$GLOBALS["PageUID"]}',
	'formPID' => '{$GLOBALS["PageUID"]}',
	'privacyPID' => '',
	'newsletterEnableMode' => 'message', // confirm / admin / instant
	'showCategories' => '',
	'showFields' => '',
	'requiredFields' => '',
	'showCaptcha' => ''
	);
/* PARAMS END */

/* FIELDSET START - Marker-Comments required! */
$fieldset = array(
	'templateFile' => array('label'=>LANG_CMM_TEMPLATE_FILE.' Formular','type'=>'textfield','datatype'=>'text','position'=>'bottom'),
	'templateFileMail' => array('label'=>LANG_CMM_TEMPLATE_FILE.' Mails','type'=>'textfield','datatype'=>'text','position'=>'bottom'),
	'dataPID' => array('label'=>LANG_CMM_PAGE.' Daten','type'=>'linkfield','position'=>'left'),
	'formPID' => array('label'=>LANG_CMM_PAGE.' Formular','type'=>'linkfield','position'=>'left'),
	'privacyPID' => array('label'=>LANG_CMM_PAGE.' Datenschutz','type'=>'linkfield','position'=>'left'),
	'newsletterEnableMode' => array('label'=>'Freischaltung des Abonnenten','type'=>'select','disablenone'=>1,'default'=>'admin','value'=>array('message','admin','instant'),'text'=>array('Per Link in E-Mail freischalten','Durch Admin freischalten','Sofort freischalten'),'position'=>'right'),
	'showCategories' => array('label'=>'angezeigte Kanäle','type'=>'multiselect','size'=>'5','multiple'=>'1','select'=>array('module'=>'CMM_Newsletter','table'=>'cmm_newsletter_categories','keyfield'=>'NewsletterCategoryUID','labelfield'=>'NewsletterCategoryUID,NewsletterCategoryTitle','LID'=>'{$CURRENT["language"]}'),'position'=>'center'),
	'showFields' => array('label'=>'zusätzliche Felder anzeigen','type'=>'checkbox','options'=>array(array('value'=>'NewsletterSubscriberGender','text'=>'Anrede'),array('value'=>'NewsletterSubscriberName','text'=>'Name'),array('value'=>'NewsletterSubscriberCID','text'=>'Kanäle')),'position'=>'right'),
	'requiredFields' => array('label'=>'zusätzliche Pflichtfelder','type'=>'checkbox','options'=>array(array('value'=>'NewsletterSubscriberGender','text'=>'Anrede'),array('value'=>'NewsletterSubscriberName','text'=>'Name'),array('value'=>'NewsletterSubscriberCID','text'=>'Kanäle')),'position'=>'right'),
	'showCaptcha' => array('label'=>'Captcha-Feld verwenden','type'=>'radio','options'=>array(array('value'=>'0','text'=>'{LANG_CMM_NO}'),array('value'=>'1','text'=>'{LANG_CMM_YES}')),'position'=>'right')
	);
/* FIELDSET END */


// Set customer group
$params['CustomerCustomergroupID'] = isset($GLOBALS['CustomergroupUID']) ? $GLOBALS['CustomergroupUID'] : 0;
// Set language
$params['LID'] = isset($GLOBALS['LanguageUID']) ? $GLOBALS['LanguageUID'] : 1;

// Merge params and pluginParams
$params = CMM_mergePluginParams($params,$pluginParams);

// Create Object and call Function to create form
$extNewsletterForm = new CMM_Newsletter;
$pluginContent = $extNewsletterForm->createForm($params);

unset($params);
?>