<?PHP
/***************************************************************
*  Copyright notice
*
*  (c) 2009-2017 Nicolas Berg
*  All rights reserved
*
*  This script is part of the CMM3 Content-Management-System.
*  CMM3 is provided only under a commercial license until now.
*  Maybe we will add a free license in future.
*
*  This script is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
*
*  This copyright notice MUST APPEAR in all copies of the script!
***************************************************************/

////////////////////////////////////////////////////////////////////
// Modul-Einstellungen                                            //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Pinboard'] = array();
// Modulpraefix
$CONFIG['CMM_Pinboard']['key'] = 'CMM_Pinboard';
// Modulname
$CONFIG['CMM_Pinboard']['label'] = 'Pinnwand';
// Modulbeschreibung
$CONFIG['CMM_Pinboard']['description'] = 'Modul zur Verwaltung einer Pinnwand mit Eintragsfunktion auf der Website';
// Module-languages
$CONFIG['CMM_Pinboard']['languages'] = 'at,de,ch,en';
// Modulicon
$CONFIG['CMM_Pinboard']['icon'] = 'CMM_Pinboard.svg';
// Modulversion
$CONFIG['CMM_Pinboard']['version'] = '1.3.3';
// Dependencies
$CONFIG['CMM_Pinboard']['depend'] = 'CMM:6.0';


////////////////////////////////////////////////////////////////////
// Set includes for administration                                //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Pinboard']['BE'] = array();
$CONFIG['CMM_Pinboard']['BE']['include'] = array();
// PHP
$CONFIG['CMM_Pinboard']['BE']['include']['PHP'] = array('CMM_Pinboard/structure.php');
// CSS
$CONFIG['CMM_Pinboard']['BE']['include']['CSS'] = array();
// JS
$CONFIG['CMM_Pinboard']['BE']['include']['JS'] = array();


////////////////////////////////////////////////////////////////////
// Set includes for website                                       //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Pinboard']['FE'] = array();
$CONFIG['CMM_Pinboard']['FE']['include'] = array();
// PHP - starting at CMM_ROOT_DIR
$CONFIG['CMM_Pinboard']['FE']['include']['PHP'] = array();
// CSS - starting at CMM_ROOT_DIR
$CONFIG['CMM_Pinboard']['FE']['include']['CSS'] = array('CMM_Pinboard/template/css/CMM_Pinboard.css');
// JS - starting at CMM_ROOT_DIR
$CONFIG['CMM_Pinboard']['FE']['include']['JS'] = array();


////////////////////////////////////////////////////////////////////
// Datenverzeichnisse erstellen                                   //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Pinboard']['dirs'] = array(
	'data/CMM_Pinboard/backup/',
	'data/CMM_Pinboard/images/'
	);


////////////////////////////////////////////////////////////////////
// Plugins                                                        //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Pinboard']['plugins'] = array(
	'CMM_Pinboard_navi.php',
	'CMM_Pinboard_category.php',
	'CMM_Pinboard_form.php',
	'CMM_Pinboard_short.php',
	'CMM_Pinboard_random.php',
	'CMM_Pinboard_list.php',
	'CMM_Pinboard_detail.php'
	);


////////////////////////////////////////////////////////////////////
// Weitere Einstellungen                                          //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Pinboard']['config'] = array();

// Einfacher Modus - ohne Auswahl der Speicherseite
$CONFIG['CMM_Pinboard']['config']['simpleMode'] = 0;
// Anzeige der Detailansichten zaehlen?
$CONFIG['CMM_Pinboard']['config']['countImpressions'] = 1;
// Meta-Felder
$CONFIG['CMM_Pinboard']['config']['metaTitleFields'] = array('PinboardItemTitle');
$CONFIG['CMM_Pinboard']['config']['metaKeywordsFields'] = array('PinboardItemText');
$CONFIG['CMM_Pinboard']['config']['metaDescriptionFields'] = array('PinboardItemText');


////////////////////////////////////////////////////////////////////
// DATA-Handling                                                  //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Pinboard']['config']['catchIP'] = 1; // IP-Adresse aufzeichnen [0/1]
$CONFIG['CMM_Pinboard']['config']['newItemEnable'] = 0; // Neue Eintraege sofort online [0/1]
$CONFIG['CMM_Pinboard']['config']['sendNotification'] = 1; // Nachricht an Admin bei neuen Eintraegen [0/1]
$CONFIG['CMM_Pinboard']['config']['adminMail'] = ''; // e-Mail-Adresse für Benachrichtigung [e-Mail-Adresse] - wenn leer, dann Admin-E-Mail

$CONFIG['CMM_Pinboard']['config']['enablePeriod'] = 30; // Days
$CONFIG['CMM_Pinboard']['config']['uploadFilesizeLimit'] = 2097152; // Max. upload filesize [Bytes]
$CONFIG['CMM_Pinboard']['config']['ubbc'] = 1; // UBB-Code aktivieren [0/1]
$CONFIG['CMM_Pinboard']['config']['html'] = 0; // HTML erlauben [0/1]
$CONFIG['CMM_Pinboard']['config']['xssProtect'] = 1; // XSS-Schutz aktivieren [0/1]
// gesperrte Woerter
$CONFIG['CMM_Pinboard']['config']['badword'] = 1; // Badword-Filter aktivieren [0/1]
$CONFIG['CMM_Pinboard']['config']['badwords'] = 'scheiß,idiot,order,cheap, discount,valium,cialis,tramadol,fioricet,levitra,ultram,viagra,diazepam,vicodin,adipex,soma,meridia,zoloft,lortab, ephedrine,ativan,phentermine,hydrocodone,xanax';
$CONFIG['CMM_Pinboard']['config']['badwordreplace'] = '*zensiert*';

// Backup-Ansicht aktivieren
$CONFIG['CMM_Pinboard']['config']['enableBackup'] = 0;


////////////////////////////////////////////////////////////////////
// Felddefinitionen fuer Config                                   //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Pinboard']['configTabs'] = array(0=>'Standard',1=>'Neue Beiträge',2=>'Mail',3=>'Image',5=>'Sonstige');
$CONFIG['CMM_Pinboard']['configFields'] = array(
	'simpleMode' => array('label'=>'Einfacher Modus ohne Seitenbaum','type'=>'radio','options'=>array(array('value'=>'0','text'=>'{LANG_CMM_NO}'),array('value'=>'1','text'=>'{LANG_CMM_YES}')),'position'=>'left','tab'=>0),
	'countImpressions' => array('label'=>'Detailanzeige der Einträge zählen','type'=>'radio','options'=>array(array('value'=>'0','text'=>'{LANG_CMM_NO}'),array('value'=>'1','text'=>'{LANG_CMM_YES}')),'position'=>'left','tab'=>0),
	'catchIP' => array('label'=>'IP-Adresse im Eintrag aufzeichnen','type'=>'radio','options'=>array(array('value'=>'0','text'=>'{LANG_CMM_NO}'),array('value'=>'1','text'=>'{LANG_CMM_YES}')),'position'=>'left','tab'=>1),
	'newItemEnable' => array('label'=>'Neue Einträge sofort (ohne Prüfung) anzeigen','type'=>'radio','options'=>array(array('value'=>'0','text'=>'{LANG_CMM_NO}'),array('value'=>'1','text'=>'{LANG_CMM_YES}')),'position'=>'left','tab'=>1),
	'sendNotification' => array('label'=>'Benachrichtigung: aktivieren','type'=>'radio','options'=>array(array('value'=>'0','text'=>'{LANG_CMM_NO}'),array('value'=>'1','text'=>'{LANG_CMM_YES}')),'position'=>'left','tab'=>2),
	'adminMail' => array('label'=>'Benachrichtigung: E-Mail-Adresse','type'=>'textfield','position'=>'left','tab'=>2),
	'uploadFilesizeLimit' => array('label'=>'Max. Dateigröße für Uploads (Bytes)','type'=>'textfield','datatype'=>'int','position'=>'left','tab'=>3),
	'enablePeriod' => array('label'=>'Anzeige-Periode in Tagen für neue Einträge (0 = unendlich)','type'=>'textfield','datatype'=>'int','position'=>'left','tab'=>1),
	'ubbc' => array('label'=>'UBBC-Code zulassen','type'=>'radio','options'=>array(array('value'=>'0','text'=>'{LANG_CMM_NO}'),array('value'=>'1','text'=>'{LANG_CMM_YES}')),'position'=>'right','tab'=>1),
	'html' => array('label'=>'HTML-Code zulassen (Sicherheitsrisiko!)','type'=>'radio','options'=>array(array('value'=>'0','text'=>'{LANG_CMM_NO}'),array('value'=>'1','text'=>'{LANG_CMM_YES}')),'position'=>'right','tab'=>1),
	'xssProtect' => array('label'=>'XSS-Schutz aktivieren','type'=>'radio','options'=>array(array('value'=>'0','text'=>'{LANG_CMM_NO}'),array('value'=>'1','text'=>'{LANG_CMM_YES}')),'position'=>'right','tab'=>1),
	'badword' => array('label'=>'Sperrwörter: aktivieren','type'=>'radio','options'=>array(array('value'=>'0','text'=>'{LANG_CMM_NO}'),array('value'=>'1','text'=>'{LANG_CMM_YES}')),'position'=>'right','tab'=>1),
	'badwords' => array('label'=>'Sperrwörter: Wortliste (,)','type'=>'textfield','position'=>'bottom','tab'=>1),
	'badwordreplace' => array('label'=>'Sperrwörter: Ersatz-String','type'=>'textfield','position'=>'right','tab'=>1),
	'enableBackup' => array('label'=>'Backup aktivieren','type'=>'radio','options'=>array(array('value'=>'0','text'=>'{LANG_CMM_NO}'),array('value'=>'1','text'=>'{LANG_CMM_YES}')),'position'=>'left'),
	'license' => array('label'=>'Lizenz: Lizenz-Code','type'=>'textarea','position'=>'bottom','tab'=>0)
	);


////////////////////////////////////////////////////////////////////
// Einstellungen fuer Suche                                       //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Pinboard']['config']['search'] = array(
	'label' => '{LANG_CMM_PINBOARD_LABEL}',
	'resultPIDparams' => ($CONFIG['CMM']['config']['seoUseSeoUrls']==true ? '/{$PinboardItemTitle|substr:length=50:word=1:fill=|validatealias}.{$PinboardItemUID}' : '?CMM_Pinboard[PinboardItemUID]={$PinboardItemUID}'),
	'resultPIDfilter' => '',
	'tablename' => 'cmm_pinboard_items',
	'fieldprefix' => 'PinboardItem',
	'join' => array(), // Join-Table|Join-Table-Field=Table-Field|[Join-Table-Field=Value]
	'filter' => array(), // Zusatzfilter
	'titleFields' => array('PinboardItemTitle'),
	'textFields' => array('PinboardItemText','PinboardItemComment'),
	'searchFields' => array('PinboardItemTitle','PinboardItemText','PinboardItemComment'),
	'extraFields' => array('PinboardItemTitle'),
	'deletedField' => 'PinboardItemDeleted'
	);

?>