<?PHP
/***************************************************************
*  Copyright notice
*
*  (c) 2009-2017 Nicolas Berg
*  All rights reserved
*
*  This script is part of the CMM3 Content-Management-System.
*  CMM3 is provided only under a commercial license until now.
*  Maybe we will add a free license in future.
*
*  This script is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
*
*  This copyright notice MUST APPEAR in all copies of the script!
***************************************************************/

// V 1.0 First release
// V 1.0.1 Delete-fields added
// V 1.0.2 PASTE-Action mod
// V 1.0.3 Mod userLevels

////////////////////////////////////////////////////////////////////
// Modul-Anzeigen                                                 //
////////////////////////////////////////////////////////////////////
// - label: Bezeichnung des Feldes
// - table: Haupt-Datenbanktabelle
// - userLevel: Berechntigungsstufe fuer Datensaetze
// - navi: Anzeige in der Hauptnavigation
$CONFIG['CMM_Pinboard']['views'] = array();
$CONFIG['CMM_Pinboard']['views']['INDEX'] = array('label'=>'{LANG_CMM_PINBOARD_VIEW_INDEX}','userLevel'=>1);
$CONFIG['CMM_Pinboard']['views']['ITEMS'] = array('label'=>'{LANG_CMM_PINBOARD_VIEW_ITEMS}','table'=>'cmm_pinboard_items','userLevel'=>1,'inNavi'=>1);
$CONFIG['CMM_Pinboard']['views']['CATEGORIES'] = array('label'=>'{LANG_CMM_PINBOARD_VIEW_CATEGORIES}','table'=>'cmm_pinboard_categories','userLevel'=>1,'inNavi'=>1);
$CONFIG['CMM_Pinboard']['views']['CONFIG'] = array('label'=>'{LANG_CMM_PINBOARD_VIEW_CONFIG}','table'=>'cmm_cmm_config','userLevel'=>6,'inNavi'=>1);
$CONFIG['CMM_Pinboard']['views']['BACKUP'] = array('label'=>'{LANG_CMM_PINBOARD_VIEW_BACKUP}','userLevel'=>1,'inNavi'=>(!empty($GLOBALS['isBackend']) && !empty($CUSTOM['CMM_Pinboard']['config']['enableBackup']) ? 1 : 0));
$CONFIG['CMM_Pinboard']['views']['INSTALL'] = array('label'=>'{LANG_CMM_PINBOARD_VIEW_INSTALL}','userLevel'=>3);
$CONFIG['CMM_Pinboard']['views']['DUMMY'] = array('label'=>'{LANG_CMM_PINBOARD_VIEW_DUMMY}','userLevel'=>1);


////////////////////////////////////////////////////////////////////
// Modulfunktionen                                                //
////////////////////////////////////////////////////////////////////
// - label: Bezeichnung des Feldes
// - area: Anzeige-Bereich
// - userLevel: Berechntigungsstufe fuer Datensaetze
// - icon: Icon fuer Listenansicht
// - action: Aktion, die ausgefuehrt werden soll
// - clipboardAction: Aktion, die spaeter ausgefuehrt werden soll
// - message: Frage vor Ausfuerung der Funktion
// - condition: Bedingung pruefen (Datenbankfeld) item/_SESSION/_GET/_POST/_COOKIE/_ENV[keyvar]==value
// - file: Funktion in externer Datei ausfuehren
// - target: Zielfenster fuer Funktion

$CONFIG['CMM_Pinboard']['views']['ITEMS']['actions'] = array(
	'LIST' => array('label'=>'{LANG_CMM_ACTION_LIST}','userLevel'=>0),
	'NEW' => array('label'=>'{LANG_CMM_PINBOARD_ITEM} {LANG_CMM_ACTION_NEW}','area'=>'listhead','userLevel'=>1,'icon'=>'icon-action-new.svg'),
	'EDIT' => array('label'=>'{LANG_CMM_ACTION_EDIT}','area'=>'list','userLevel'=>1,'icon'=>'icon-action-edit.svg'),
	'ENABLE' => array('label'=>'{LANG_CMM_ACTION_ENABLE}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-enable.svg','condition'=>'$item["PinboardItemStatus"]==0'),
	'DISABLE' => array('label'=>'{LANG_CMM_ACTION_DISABLE}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-disable.svg','condition'=>'$item["PinboardItemStatus"]==1'),
	'UP' => array('label'=>'{LANG_CMM_ACTION_UP}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-up.svg','condition'=>'$item["firstItem"]!=true && $CURRENT["sort"]=="PinboardItemSort ASC"'),
	'DOWN' => array('label'=>'{LANG_CMM_ACTION_DOWN}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-down.svg','condition'=>'$item["lastItem"]!=true && $CURRENT["sort"]=="PinboardItemSort ASC"'),
	'SAVE' => array('label'=>'{LANG_CMM_ACTION_SAVE}','area'=>'singlehead','userLevel'=>3,'icon'=>'icon-action-save.svg'),
	'SAVENEW' => array('label'=>'{LANG_CMM_ACTION_SAVENEW}','area'=>'singlehead','userLevel'=>3,'icon'=>'icon-action-save-and-new.svg'),
	'SAVECLOSE' => array('label'=>'{LANG_CMM_ACTION_SAVECLOSE}','area'=>'singlehead','userLevel'=>3,'icon'=>'icon-action-save-and-close.svg'),
	'CLOSE' => array('label'=>'{LANG_CMM_ACTION_CLOSE}','area'=>'singlehead','userLevel'=>1,'icon'=>'icon-action-close.svg'),
	'CUT' => array('label'=>'{LANG_CMM_ACTION_CUT}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-cut.svg'),
	'COPY' => array('label'=>'{LANG_CMM_ACTION_COPY}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-copy.svg'),
	'PASTE' => array('label'=>'{LANG_CMM_ACTION_PASTE}','area'=>'listhead','userLevel'=>3,'icon'=>'icon-action-paste.svg','UID'=>(!empty($GLOBALS['isBackend']) && isset($_SESSION[$CURRENT["module"]][$CURRENT["view"]]['clipboard']) ? $_SESSION[$CURRENT["module"]][$CURRENT["view"]]['clipboard']['id'] : ''),'condition'=>'!empty($_SESSION[$CURRENT["module"]][$CURRENT["view"]]["clipboard"])'),
	'REMOVE' => array('label'=>'{LANG_CMM_ACTION_REMOVE}','area'=>'list,singlehead','userLevel'=>3,'icon'=>'icon-action-remove.svg','condition'=>'$item["PinboardItemUID"]>0','message'=>'{LANG_CMM_ACTION_REMOVE_CONFIRM}'),
	'CLIPBOARDCLEAR' => array('label'=>'{LANG_CMM_ACTION_CLIPBOARDCLEAR}','area'=>'listhead','userLevel'=>3,'icon'=>'icon-action-clipboard-clear.svg','condition'=>'isset($_SESSION[$CURRENT["module"]][$CURRENT["view"]]["clipboard"])')
	);

$CONFIG['CMM_Pinboard']['views']['CATEGORIES']['actions'] = array(
	'LIST' => array('label'=>'{LANG_CMM_ACTION_LIST}','userLevel'=>0),
	'NEW' => array('label'=>'{LANG_CMM_PINBOARD_CATEGORY} {LANG_CMM_ACTION_NEW}','area'=>'listhead','userLevel'=>1,'icon'=>'icon-action-new.svg'),
	'EDIT' => array('label'=>'{LANG_CMM_ACTION_EDIT}','area'=>'list','userLevel'=>1,'icon'=>'icon-action-edit.svg'),
	'ENABLE' => array('label'=>'{LANG_CMM_ACTION_ENABLE}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-enable.svg','condition'=>'$item["PinboardCategoryStatus"]==0'),
	'DISABLE' => array('label'=>'{LANG_CMM_ACTION_DISABLE}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-disable.svg','condition'=>'$item["PinboardCategoryStatus"]==1'),
	'UP' => array('label'=>'{LANG_CMM_ACTION_UP}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-up.svg','condition'=>'$item["firstItem"]!=true && $CURRENT["sort"]=="PinboardCategorySort ASC"'),
	'DOWN' => array('label'=>'{LANG_CMM_ACTION_DOWN}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-down.svg','condition'=>'$item["lastItem"]!=true && $CURRENT["sort"]=="PinboardCategorySort ASC"'),
	'SAVE' => array('label'=>'{LANG_CMM_ACTION_SAVE}','area'=>'singlehead','userLevel'=>3,'icon'=>'icon-action-save.svg'),
	'SAVENEW' => array('label'=>'{LANG_CMM_ACTION_SAVENEW}','area'=>'singlehead','userLevel'=>3,'icon'=>'icon-action-save-and-new.svg'),
	'SAVECLOSE' => array('label'=>'{LANG_CMM_ACTION_SAVECLOSE}','area'=>'singlehead','userLevel'=>3,'icon'=>'icon-action-save-and-close.svg'),
	'CLOSE' => array('label'=>'{LANG_CMM_ACTION_CLOSE}','area'=>'singlehead','userLevel'=>1,'icon'=>'icon-action-close.svg'),
	'CUT' => array('label'=>'{LANG_CMM_ACTION_CUT}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-cut.svg','condition'=>'empty($item["hasChildren"])'), // $item["hasChildren"] added by category-list-funtion)
	'COPY' => array('label'=>'{LANG_CMM_ACTION_COPY}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-copy.svg'),
	'PASTE' => array('label'=>'{LANG_CMM_ACTION_PASTE}','area'=>'listhead','userLevel'=>3,'icon'=>'icon-action-paste.svg','UID'=>(!empty($GLOBALS['isBackend']) && isset($_SESSION[$CURRENT["module"]][$CURRENT["view"]]['clipboard']) ? $_SESSION[$CURRENT["module"]][$CURRENT["view"]]['clipboard']['id'] : ''),'condition'=>'!empty($_SESSION[$CURRENT["module"]][$CURRENT["view"]]["clipboard"])'),
	'REMOVE' => array('label'=>'{LANG_CMM_ACTION_REMOVE}','area'=>'list,singlehead','userLevel'=>3,'icon'=>'icon-action-remove.svg','condition'=>'$item["PinboardCategoryUID"]>0','message'=>'{LANG_CMM_ACTION_REMOVE_CONFIRM}'),
	'CLIPBOARDCLEAR' => array('label'=>'{LANG_CMM_ACTION_CLIPBOARDCLEAR}','area'=>'listhead','userLevel'=>3,'icon'=>'icon-action-clipboard-clear.svg','condition'=>'isset($_SESSION[$CURRENT["module"]][$CURRENT["view"]]["clipboard"])')
	);

$CONFIG['CMM_Pinboard']['views']['BACKUP']['actions'] = array(
	'BACKUP' => array('label'=>'Datensicherung','userLevel'=>1,'inNavi'=>1),
	'INSTALLDB' => array('label'=>'Datenbanktabellen konfigurieren','userLevel'=>6),
	'BACKUPMAKE' => array('label'=>'Sicherung erstellen','userLevel'=>6,'inNavi'=>0),
	'BACKUPRESTORE' => array('label'=>'Sicherung zurückschreiben','userLevel'=>6,'inNavi'=>0),
	'BACKUPREMOVE' => array('label'=>'Sicherung löschen','userLevel'=>6,'inNavi'=>0)
	);

$CONFIG['CMM_Pinboard']['views']['CONFIG']['actions'] = array(
	'CONFIG' => array('label'=>'Konfiguration','userLevel'=>1,'inNavi'=>1),
	'CONFIGSAVE' => array('label'=>'Konfiguration','area'=>'singlehead','userLevel'=>6,'icon'=>'icon-action-save.svg')
	);

$CONFIG['CMM_Pinboard']['views']['INSTALL']['actions'] = array(
	'INSTALL' => array('label'=>'Installation','userLevel'=>6,'inNavi'=>0)
	);


////////////////////////////////////////////////////////////////////
// Datenbank-Tabellen                                             //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Pinboard']['database'] = array();

// Datenstamm fuer Eintraege
$CONFIG['CMM_Pinboard']['database']['cmm_pinboard_items'] = array(
	'tabs' => array(0=>'Standard',2=>'Media',3=>'Sonstiges',9=>'Anzeige'),
	'tablename' => 'cmm_pinboard_items',
	'sort' => 'PinboardItemUID DESC',
	'backup' => 1,
	'fieldprefix' => 'PinboardItem',
	'fieldset' => array(
		'PinboardItemUID' => array('label'=>'ID','type'=>'hidden','position'=>'top','tab'=>0,
			'sqldef'=>'int(10) default \'0\''),
		'PinboardItemPID' => array('label'=>'ParentID','type'=>'hidden','position'=>'top','tab'=>0,
			'sqldef'=>'int(10) default \'0\''),
		'PinboardItemTID' => array('label'=>'Typ','type'=>'select','position'=>'left','tab'=>0,
			'sqldef'=>'int(3) default \'0\'',
			'options'=>array(array('value'=>0,'text'=>'Allgemein'),array('value'=>1,'text'=>'Biete'),array('value'=>2,'text'=>'Suche'),array('value'=>3,'text'=>'Tausche'))),
		'PinboardItemLID' => array('label'=>'Sprache','type'=>'radio','position'=>'top','tab'=>3,
			'sqldef'=>'int(3) default \'0\'',
			'select'=>array('module'=>'CMM','table'=>'cmm_cmm_languages','keyfield'=>'LanguageUID','labelfield'=>'LanguageName','sort'=>'LanguageUID')),
		'PinboardItemCID' => array('label'=>'Kategorie','type'=>'select','position'=>'left','tab'=>0,
			'sqldef'=>'varchar(100) collate utf8_unicode_ci default NULL','module'=>'CMM_Pinboard',
			'function'=>array('module'=>'CMM_Pinboard','class'=>'CMM_Pinboard','function'=>'getItemCidOptions'),
			'join'=>array('module'=>'CMM_Pinboard','table'=>'cmm_pinboard_categories','keyfield'=>'PinboardCategoryUID')),
		'PinboardItemStatus' => array('label'=>'Status','type'=>'radio','position'=>'top','tab'=>9,
			'sqldef'=>'int(1) default \'0\'',
			'options'=>array(array('value'=>1,'text'=>'{LANG_CMM_ENABLED}'),array('value'=>'0','text'=>'{LANG_CMM_DISABLED}'))),
		'PinboardItemDeleted' => array('label'=>'{LANG_CMM_FIELD_REMOVED}','type'=>'hidden','tab'=>3,
			'sqldef'=>'int(1) default \'0\''),
		'PinboardItemSort' => array('label'=>'Sortierung','type'=>'hidden','position'=>'top','tab'=>3,
			'sqldef'=>'int(10) default \'0\''),
		'PinboardItemStart' => array('label'=>'Start','type'=>'datetime','position'=>'left','tab'=>9,
			'sqldef'=>'datetime default NULL'),
		'PinboardItemStop' => array('label'=>'Ende','type'=>'datetime','position'=>'right','tab'=>9,
			'sqldef'=>'datetime default NULL'),
		'PinboardItemCustomergroupID' => array('label'=>'Anzeige für Benutzergruppen','type'=>'multiselect','attribs'=>array('multiple'=>1,'size'=>6),'position'=>'bottom','tab'=>9,
			'sqldef'=>'varchar(255) collate utf8_unicode_ci default NULL',
			'options'=>array('none'=>array('value'=>'0','text'=>'{LANG_CMM_IF_LOGGED_OUT}'),'all'=>array('value'=>'*','text'=>'{LANG_CMM_IF_LOGGED_IN}')),
			'select'=>array('module'=>'CMM','table'=>'cmm_cmm_customergroups','keyfield'=>'CustomergroupUID','labelfield'=>'CustomergroupUID,CustomergroupName','sort'=>'CustomergroupUID')),
		'PinboardItemCustomerID' => array('label'=>'Kunde ID','type'=>'select','position'=>'right','tab'=>0,
			'sqldef'=>'int(10) default \'0\'',
			'select'=>array('module'=>'CMM','table'=>'cmm_cmm_customers','keyfield'=>'CustomerUID','labelfield'=>'CustomerFirstname,CustomerLastname,CustomerCompany'),
			'join'=>array('module'=>'CMM','table'=>'cmm_cmm_customers','keyfield'=>'CustomerUID')),
		'PinboardItemDate' => array('label'=>'Datum','type'=>'datetime','position'=>'right','tab'=>0,
			'sqldef'=>'datetime default \'0000-00-00 00:00:00\''),
		'PinboardItemSpecial' => array('label'=>'Eintrag hervorheben','type'=>'checkbox','position'=>'right','tab'=>0,'shy'=>1,
			'sqldef'=>'varchar(255) collate utf8_unicode_ci default NULL',
			'options'=>array(array('value'=>'1','text'=>'{LANG_CMM_YES}'))),
		'PinboardItemTitle' => array('label'=>'Titel','type'=>'textfield',
			'sqldef'=>'varchar(255) collate utf8_unicode_ci default NULL','attribs'=>array('required'=>1),'position'=>'center','tab'=>0),
		'PinboardItemText' => array('label'=>'Text','description'=>'','type'=>'textarea','attribs'=>array('rows'=>12,'required'=>1),'position'=>'center','tab'=>0,
			'sqldef'=>'text collate utf8_unicode_ci',
			'tools'=>(!empty($GLOBALS['isBackend']) ? CMM_createUbbcButtons('datafield_PinboardItemText',$CONFIG['CMM']['config']['ubbc']) : '')),
		'PinboardItemComment' => array('label'=>'Kommentar','type'=>'rte','attribs'=>array('rows'=>6),'position'=>'center','tab'=>0,
			'sqldef'=>'text collate utf8_unicode_ci'),
		'PinboardItemField1' => array('label'=>'Zusatzfeld 1','type'=>'textfield','position'=>'right','tab'=>0,'shy'=>1,
			'sqldef'=>'varchar(255) collate utf8_unicode_ci default NULL'),
		'PinboardItemField2' => array('label'=>'Zusatzfeld 2','type'=>'textfield','position'=>'right','tab'=>0,'shy'=>1,
			'sqldef'=>'varchar(255) collate utf8_unicode_ci default NULL'),
		'PinboardItemField3' => array('label'=>'Zusatzfeld 3','type'=>'textfield','position'=>'right','tab'=>0,'shy'=>1,
			'sqldef'=>'varchar(255) collate utf8_unicode_ci default NULL'),
		'PinboardItemImages' => array('label'=>'Bilder','type'=>'imagelist','dir'=>'data/CMM_Pinboard/images/','position'=>'top','tab'=>2,
			'sqldef'=>'text collate utf8_unicode_ci'),
		'PinboardItemVisibleData' => array('label'=>'Kontakt-Daten in Eintrag anzeigen','type'=>'multiselect','attribs'=>array('multiple'=>1),'position'=>'left','tab'=>0,
			'sqldef'=>'varchar(255) collate utf8_unicode_ci default NULL',
			'options'=>array(array('value'=>'Name','text'=>'Name'),array('value'=>'Company','text'=>'Firma'),array('value'=>'Address','text'=>'Anschrift'),array('value'=>'Phone','text'=>'Telefon'),array('value'=>'Fax','text'=>'Fax'),array('value'=>'Email','text'=>'E-Mail'),array('value'=>'Website','text'=>'Website'))),
		'PinboardItemIP' => array('label'=>'IP des Autors','type'=>'textfield','position'=>'left','tab'=>3,
			'sqldef'=>'varchar(255) collate utf8_unicode_ci default NULL'),
		'PinboardItemHash' => array('label'=>'Hashwert des Eintrages','type'=>'textfield','position'=>'right','tab'=>3,
			'sqldef'=>'varchar(32) collate utf8_unicode_ci default NULL'),
		'PinboardItemAddDate' => array('label'=>'Datum erstellt','type'=>'hidden','position'=>'left','tab'=>0,
			'sqldef'=>'datetime default \'0000-00-00 00:00:00\''),
		'PinboardItemAddUser' => array('label'=>'Benutzer erstellt','type'=>'hidden','position'=>'left','tab'=>0,
			'sqldef'=>'varchar(32) collate utf8_unicode_ci default \'0\''),
		'PinboardItemModDate' => array('label'=>'Datum geändert','type'=>'hidden','position'=>'left','tab'=>0,
			'sqldef'=>'datetime default \'0000-00-00 00:00:00\''),
		'PinboardItemModUser' => array('label'=>'Benutzer geändert','type'=>'hidden','position'=>'left','tab'=>0,
			'sqldef'=>'varchar(32) collate utf8_unicode_ci default \'0\'')
		),
	'tableset' => array(
		'engine' => 'MyISAM',
		'primarykey' => 'UID',
		'charset' => 'utf8',
		'collation' => 'utf8_unicode_ci',
		'comment' => 'Einträge'
		)
	);
	

// Datenstamm fuer Kategorien
$CONFIG['CMM_Pinboard']['database']['cmm_pinboard_categories'] = array(
	'tabs' => array(0=>'Text',1=>'Media',5=>'Meta',6=>'Sonstiges',9=>'Anzeige'),
	'tablename' => 'cmm_pinboard_categories',
	'sort' => 'PinboardCategorySort ASC',
	'backup' => 1,
	'fieldprefix' => 'PinboardCategory',
	'fieldset' => array(
		'PinboardCategoryUID' => array('label'=>'ID','type'=>'hidden','tab'=>0,
			'sqldef'=>'int(10) default \'0\''),
		'PinboardCategoryPID' => array('label'=>'Seite','type'=>'hidden','tab'=>0,
			'sqldef'=>'int(10) default \'0\''),
		'PinboardCategoryTID' => array('label'=>'Typ','type'=>'hidden','position'=>'top','value'=>'','tab'=>6,
			'sqldef'=>'int(3) default \'0\''),
		'PinboardCategoryLID' => array('label'=>'Sprache','type'=>'radio','position'=>'top','tab'=>6,
			'sqldef'=>'int(3) default \'0\'',
			'select'=>array('module'=>'CMM','table'=>'cmm_cmm_languages','keyfield'=>'LanguageUID','labelfield'=>'LanguageName','sort'=>'LanguageUID')),
		'PinboardCategoryStatus' => array('label'=>'Status','type'=>'radio','position'=>'top','tab'=>9,
			'sqldef'=>'int(1) default \'0\'',
			'options'=>array(array('value'=>1,'text'=>'{LANG_CMM_ENABLED}'),array('value'=>'0','text'=>'{LANG_CMM_DISABLED}'))),
		'PinboardCategoryDeleted' => array('label'=>'{LANG_CMM_FIELD_REMOVED}','type'=>'hidden','tab'=>3,
			'sqldef'=>'int(1) default \'0\''),
		'PinboardCategorySort' => array('label'=>'Sortierung','type'=>'hidden','position'=>'top','tab'=>0,
			'sqldef'=>'int(10) default \'0\''),
		'PinboardCategoryStart' => array('label'=>'Start','type'=>'hidden','position'=>'left','tab'=>9,
			'sqldef'=>'datetime default NULL'),
		'PinboardCategoryStop' => array('label'=>'Ende','type'=>'hidden','position'=>'right','tab'=>9,
			'sqldef'=>'datetime default NULL'),
		'PinboardCategoryCustomergroupID' => array('label'=>'Anzeige für Benutzergruppen','type'=>'multiselect','attribs'=>array('multiple'=>1,'size'=>6),'position'=>'bottom','tab'=>9,
			'sqldef'=>'varchar(255) collate utf8_unicode_ci default NULL',
			'options'=>array('none'=>array('value'=>'0','text'=>'{LANG_CMM_IF_LOGGED_OUT}'),'all'=>array('value'=>'*','text'=>'{LANG_CMM_IF_LOGGED_IN}')),
			'select'=>array('module'=>'CMM','table'=>'cmm_cmm_customergroups','keyfield'=>'CustomergroupUID','labelfield'=>'CustomergroupUID,CustomergroupName','sort'=>'CustomergroupUID')),
		'PinboardCategoryParent' => array('label'=>'Eltern-Kategorie','type'=>'select','position'=>'top','tab'=>0,
			'sqldef'=>'varchar(32) collate utf8_unicode_ci default NULL',
			'function'=>array('module'=>'CMM_Pinboard','class'=>'CMM_Pinboard','function'=>'getItemCidOptions','excludeSelf'=>1,'limitToPage'=>1)),
		'PinboardCategoryTitle' => array('label'=>'Titel','type'=>'textfield','attribs'=>array('required'=>1),'position'=>'top','tab'=>0,
			'sqldef'=>'varchar(255) collate utf8_unicode_ci default NULL'),
		'PinboardCategoryDescription' => array('label'=>'Beschreibung','type'=>'rte','position'=>'top','tab'=>0,
			'sqldef'=>'text collate utf8_unicode_ci'),
		'PinboardCategoryIcon' => array('label'=>'Symbol','type'=>'imagelist','number'=>'1','dir'=>'data/CMM_Pinboard/images/','position'=>'top','tab'=>1,
			'sqldef'=>'text collate utf8_unicode_ci'),
		'PinboardCategoryMetaTitle' => array('label'=>'Meta-Titel','type'=>'textfield','position'=>'bottom','tab'=>5,
			'sqldef'=>'varchar(255) collate utf8_unicode_ci default NULL'),
		'PinboardCategoryMetaKeywords' => array('label'=>'Meta-Keywords','type'=>'textfield','position'=>'bottom','tab'=>5,
			'sqldef'=>'varchar(255) collate utf8_unicode_ci default NULL'),
		'PinboardCategoryMetaDescription' => array('label'=>'Meta-Description','type'=>'textfield','position'=>'bottom','tab'=>5,
			'sqldef'=>'varchar(255) collate utf8_unicode_ci default NULL'),
		'PinboardCategoryAddUser' => array('label'=>'Benutzer erstellt','type'=>'hidden','position'=>'left','tab'=>0,
			'sqldef'=>'varchar(32) collate utf8_unicode_ci default \'0\''),
		'PinboardCategoryAddDate' => array('label'=>'Datum erstellt','type'=>'hidden','position'=>'left','tab'=>0,
			'sqldef'=>'datetime default \'0000-00-00 00:00:00\''),
		'PinboardCategoryModUser' => array('label'=>'Benutzer geändert','type'=>'hidden','position'=>'left','tab'=>0,
			'sqldef'=>'varchar(32) collate utf8_unicode_ci default \'0\''),
		'PinboardCategoryModDate' => array('label'=>'Datum geändert','type'=>'hidden','position'=>'left','tab'=>0,
			'sqldef'=>'datetime default \'0000-00-00 00:00:00\''),
		),
	'tableset' => array(
		'engine' => 'MyISAM',
		'primarykey' => 'UID',
		'charset' => 'utf8',
		'collation' => 'utf8_unicode_ci',
		'comment' => 'Kategorien'
		)
	);


////////////////////////////////////////////////////////////////////
// Sortier-Variablen (Administration)                             //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Pinboard']['sortVars'] = array();
$CONFIG['CMM_Pinboard']['sortVars']['cmm_pinboard_items'] = array('PinboardItemUID','PinboardCategoryUID:Kategorie','PinboardItemSort','PinboardItemStatus','PinboardItemTitle','PinboardItemModDate');
$CONFIG['CMM_Pinboard']['sortVars']['cmm_pinboard_categories'] = array('PinboardCategoryUID','PinboardCategorySort','PinboardCategoryStatus','PinboardCategoryTitle','PinboardCategoryModDate');


////////////////////////////////////////////////////////////////////
// Filter-Variablen (Administration)                             //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Pinboard']['filterVars'] = array();
$CONFIG['CMM_Pinboard']['filterVars']['cmm_pinboard_items'] = array_keys($CONFIG['CMM_Pinboard']['database']['cmm_pinboard_items']['fieldset']);
$pinboardCategoryField = array_search('PinboardItemCategoryID',$CONFIG['CMM_Pinboard']['filterVars']['cmm_pinboard_items']); 
$CONFIG['CMM_Pinboard']['filterVars']['cmm_pinboard_items'][$pinboardCategoryField] = 'PinboardCategoryTitle:Kategorie';
$CONFIG['CMM_Pinboard']['filterVars']['cmm_pinboard_categories'] = array_keys($CONFIG['CMM_Pinboard']['database']['cmm_pinboard_categories']['fieldset']);

?>