<?PHP
/***************************************************************
*  Copyright notice
*
*  (c) 2009-2017 Nicolas Berg
*  All rights reserved
*
*  This script is part of the CMM3 Content-Management-System.
*  CMM3 is provided only under a commercial license until now.
*  Maybe we will add a free license in future.
*
*  This script is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
*
*  This copyright notice MUST APPEAR in all copies of the script!
***************************************************************/

///////////////////////////////////////////////////////////
// Plugin fuer Zufalls-Motiv                             //
///////////////////////////////////////////////////////////
// V 1.0 First release
// V 1.0.1 Erweiterung auf Mehrsprachigkeit
// V 1.0.2 um Eigenschaften wrapsItem und wrapAll
// V 1.0.3 Shuffle zum Mischen der Zufalls-Treffer eingefuegt
// V 1.0.4 Erkennung metaMode -> keine Ausfuehrung
// V 1.0.5 Feld-Definitionen eingefuegt
// V 1.0.6 Erweiterung um Option Cache -> Berechnung der Bilder durch Image-Klasse
// V 1.0.7 Bilder werden nun durch Template-Engine verarbeitet
// V 1.0.8 Mod. error-handling
// V 1.1.0 Params quality, sharpen and gray added
///////////////////////////////////////////////////////////

/* PARAMS START - Marker-Comments required! */
$params = array(
	'path' => CMM_PATH_TEMPLATE.'head/',
	'number' => 1,
	'width' => '600',
	'height' => '100',
	'absolute' => 0,
	'alt' => '',
	'cache' => 1,
	'sharpen' => 1,
	'gray' => 0,
	'quality' => 90,
	'wrapAll' => '*',
	'wrapItem' => '*',
	'wrapContent' => '*'
	);
/* PARAMS END */

/* FIELDSET START - Marker-Comments required! */
$fieldset = array(
	'path' => array('label'=>'Pfad zum Bildverzeichnis (relativ ab ROOT)','type'=>'dirfield','datatype'=>'text','position'=>'top'),
	'number' => array('label'=>'Anzahl der auszugebenden Bilder','type'=>'textfield','datatype'=>'int','position'=>'right'),
	'width' => array('label'=>'Breite der Bilder (px)','type'=>'textfield','datatype'=>'int','position'=>'left'),
	'height' => array('label'=>'Höhe der Bilder (px)','type'=>'textfield','datatype'=>'int','position'=>'left'),
	'alt' => array('label'=>'Text fuer alt-Attribut des Bildes (der Bilder)','type'=>'textfield','datatype'=>'text','position'=>'right'),
	'absolute' => array('label'=>'absolute Pfade ausgeben','type'=>'checkbox','options'=>array(array('value'=>'1','text'=>'{LANG_CMM_YES}')),'position'=>'left','shy'=>1),
	'cache' => array('label'=>'Bilder cachen und berechnen','type'=>'radio','options'=>array(array('value'=>'0','text'=>'{LANG_CMM_NO}'),array('value'=>'1','text'=>'{LANG_CMM_YES}')),'datatype'=>'text','position'=>'right'),
	'sharpen' => array('label'=>'Bilder nachschärfen','type'=>'radio','options'=>array(array('value'=>'0','text'=>'{LANG_CMM_NO}'),array('value'=>'1','text'=>'{LANG_CMM_YES}')),'datatype'=>'text','position'=>'right'),
	'gray' => array('label'=>'Bilder in Graustufen umwandeln','type'=>'radio','options'=>array(array('value'=>'0','text'=>'{LANG_CMM_NO}'),array('value'=>'1','text'=>'{LANG_CMM_YES}')),'datatype'=>'text','position'=>'right'),
	'quality' => array('label'=>'Qualität (JPG-Kompression)','type'=>'textfield','datatype'=>'int','position'=>'right'),
	'wrapAll' => array('label'=>'Wrap um alle Bilder (Liste)','type'=>'textfield','datatype'=>'code','position'=>'bottom'),
	'wrapItem' => array('label'=>'Wrap um Bild (Listenelement)','type'=>'textfield','datatype'=>'code','position'=>'bottom'),
	'wrapContent' => array('label'=>'Wrap um Bild','type'=>'textfield','datatype'=>'code','position'=>'bottom')
	);
/* FIELDSET END */


// Set customer group
$params['CustomerCustomergroupID'] = isset($GLOBALS['CustomergroupUID']) ? $GLOBALS['CustomergroupUID'] : 0;
// Set language
$params['LID'] = isset($GLOBALS['LanguageUID']) ? $GLOBALS['LanguageUID'] : 1;

// Merge params and pluginParams
$params = CMM_mergePluginParams($params,$pluginParams);

// Funktion zur Anzeige der Zufallsgrafik
if(!function_exists('displayRandomHead'))
	{
	function displayRandomHead($params=array())
		{
		empty($params['number']) ? $params['number'] = '' : '';
		empty($params['path']) ? $params['path'] = '' : '';
		!stristr($params['wrapItem'],'*') ? $params['wrapItem'] = '*' : '';
		!stristr($params['wrapAll'],'*') ? $params['wrapAll'] = '*' : '';

		// Alten Parameter dir konvertieren
		if(!empty($params['dir']) && file_exists($params['dir']))
			{ $params['path'] = $params['dir']; }

		// Bildliste initialisieren
		$imageArray = array();
	
		// Bild-Dateien dynamisch aus Verzeichnis laden
		if(!empty($params['path']) && file_exists($params['path']))
			{
			$handle = opendir($params['path']);
			$imageArray = array();
			while($file = readdir($handle))
				{
				if(preg_match("=(.gif|.jpg|.png)$=si",$file))
					{ $imageArray[] = array('img'=>$file,'alt'=>'','link'=>''); }
				}

			// Wenn Bilddateien gefunden wurden
			if(sizeof($imageArray) > 0)
				{
				// Anzahl nicht angegeben
				if(empty($params['number']))
					{ $params['number'] = sizeof($imageArray); }

				// Anzahl verringern, wenn weniger Bilddateien vorhanden
				if(sizeof($imageArray) < $params['number'])
					{ $params['number'] = sizeof($imageArray); }

				// Zufallsauswahl
				shuffle($imageArray);
				$outputArray = array_rand($imageArray,$params['number']);
				!is_array($outputArray) ? $outputArray = array($outputArray) : '';

				// Ausgabe
				$images = '';
				for($i=0;$i<$params['number'];$i++)
					{ $images.= '<img src="'.$imageArray[$outputArray[$i]]['img'].'" />'; }

				// Bilder mit Template-Engine verarbeiten
				$imageObj = new Template;
				$output = $imageObj->createImages($images,$params);
				}
			else
				{
				$output = CMM_createMessage(array('Keine Bilddateien gefunden ...'),'error');
				}
			}
		else
			{ $output = CMM_createMessage(array('Bildverzeichnis &quot;'.$params['path'].'&quot;nicht gefunden.'),'error'); }

		return $output;
		}
	}

// Inhalt ausgeben
$pluginContent = displayRandomHead($params);

unset($params);
?>