<?PHP
/***************************************************************
*  Copyright notice
*
*  (c) 2009-2017 Nicolas Berg
*  All rights reserved
*
*  This script is part of the CMM3 Content-Management-System.
*  CMM3 is provided only under a commercial license until now.
*  Maybe we will add a free license in future.
*
*  This script is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
*
*  This copyright notice MUST APPEAR in all copies of the script!
***************************************************************/

///////////////////////////////////////////////////////////
// Plugin fuer Youtube-Videos                            //
///////////////////////////////////////////////////////////
// V 1.0 First release
// V 1.0.1 Attrib align added
// V 1.0.1 Attrib allowfullscreen added
// V 1.1.0 Cache added an reorganized output vars
// V 1.1.1 Input field options mod.
///////////////////////////////////////////////////////////

/* PARAMS START - Marker-Comments required! */
$params = array(
	'templateFile'=>'CMM_Pluginset/template/html/YouTube.html',
	'videos'=>'',
	'width'=>'640',
	'height'=>'360',
	'align'=>'left',
	'theme'=>'light',
	'autoplay'=>0,
	'showinfo'=>0,
	'allowfullscreen'=>1,
	'rel'=>0,
	'cacheTimeout'=>86400
	);
/* PARAMS END */

/* FIELDSET START - Marker-Comments required! */
$fieldset = array(
	'templateFile' => array('label'=>'HTML-Template-Datei','type'=>'textfield','datatype'=>'text','position'=>'bottom','shy'=>1),
	'videos' => array('label'=>'Video-IDs','description'=>'Geben Sie pro Zeile eine Youtube-Video-ID an (kryptische Zeichenkette z.B. NzrIunfRBMU, nicht ganzer Link).','type'=>'textarea','attribs'=>array('rows'=>'3'),'position'=>'top'),
	'width' => array('label'=>'Breite (px oder %)','type'=>'textfield','datatype'=>'text','position'=>'left'),
	'height' => array('label'=>'Höhe (px oder %)','type'=>'textfield','datatype'=>'text','position'=>'left'),
	'align' => array('label'=>'Horizontale Ausrichtung','type'=>'radio','options'=>array(array('value'=>'left','text'=>'links'),array('value'=>'center','text'=>'zentriert'),array('value'=>'right','text'=>'rechts')),'position'=>'left'),
	'theme' => array('label'=>'Player-Design','type'=>'radio','options'=>array(array('value'=>'light','text'=>'hell'),array('value'=>'dark','text'=>'dunkel')),'position'=>'left'),
	'autoplay' => array('label'=>'Autoplay','type'=>'radio','options'=>array(array('value'=>'0','text'=>'{LANG_CMM_NO}'),array('value'=>'1','text'=>'{LANG_CMM_YES}')),'position'=>'right'),
	'showinfo' => array('label'=>'Titel-Anzeige vor Abspielen','type'=>'radio','options'=>array(array('value'=>'0','text'=>'{LANG_CMM_NO}'),array('value'=>'1','text'=>'{LANG_CMM_YES}')),'position'=>'right'),
	'allowfullscreen' => array('label'=>'Erlaube Vollbildmodus','type'=>'radio','options'=>array(array('value'=>'0','text'=>'{LANG_CMM_NO}'),array('value'=>'1','text'=>'{LANG_CMM_YES}')),'position'=>'right'),
	'rel' => array('label'=>'ähnliche Videos auflisten','type'=>'radio','options'=>array(array('value'=>'0','text'=>'{LANG_CMM_NO}'),array('value'=>'1','text'=>'{LANG_CMM_YES}')),'position'=>'right'),
	'cacheTimeout' => array('label'=>'{LANG_CMM_CACHE_TIMEOUT}','type'=>'textfield','datatype'=>'int','position'=>'bottom','shy'=>1)
	);
/* FIELDSET END */

// Set customer group
$params['CustomerCustomergroupID'] = isset($GLOBALS['CustomergroupUID']) ? $GLOBALS['CustomergroupUID'] : 0;

// Set language
$params['LID'] = isset($GLOBALS['LanguageUID']) ? $GLOBALS['LanguageUID'] : 1;

// Merge params and pluginParams
$params = CMM_mergePluginParams($params,$pluginParams);

// Collect data for template
$view = array();
$view['params'] = $params;
$view['videos'] = $params['videos'];
$view['ContentUID'] = $params['ContentUID'];

// Cache settings
$cacheSettings = array();
$cacheSettings['module'] = 'CMM_Contents:YouTube';
$cacheSettings['page'] = $GLOBALS['PageUID'];
$cacheSettings['params'] = $params;
$cacheSettings['lastmod'] = 0;
$cacheSettings['timeout'] = $params['cacheTimeout'];

// Init template-object
$pluginObj = new Template;
$pluginObj->templateFile = $params['templateFile'];
$pluginObj->cache = $cacheSettings;
$pluginObj->input = $view;

// Render template
$pluginContent = $pluginObj->templateIt();

unset($params);
?>
