<?PHP
/***************************************************************
*  Copyright notice
*
*  (c) 2009-2017 Nicolas Berg
*  All rights reserved
*
*  This script is part of the CMM3 Content-Management-System.
*  CMM3 is provided only under a commercial license until now.
*  Maybe we will add a free license in future.
*
*  This script is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
*
*  This copyright notice MUST APPEAR in all copies of the script!
***************************************************************/

///////////////////////////////////////////////////////////
// Plugin fuer einen iFrame                              //
///////////////////////////////////////////////////////////
// V 1.0 First release
// V 1.0.1 (Breite und Höhe nun auch in %)
// V 1.1.0 Cache added an reorganized output vars
// V 1.2.1 Input field options mod.
///////////////////////////////////////////////////////////

/* PARAMS START - Marker-Comments required! */
$params = array(
	'templateFile'=>'CMM_Pluginset/template/html/iFrame.html',
	'width'=>'100%',
	'height'=>'350',
	'iframesrc'=>'',
	'iframename'=>'',
	'seamless'=>'1',
	'sandbox'=>'',
	'cacheTimeout'=>86400
	);
/* PARAMS END */

/* FIELDSET START - Marker-Comments required! */
$fieldset = array(
	'templateFile' => array('label'=>'HTML-Template-Datei','type'=>'textfield','datatype'=>'text','position'=>'bottom','shy'=>1),
	'width' => array('label'=>'Breite (px oder %)','type'=>'textfield','datatype'=>'text','position'=>'right'),
	'height' => array('label'=>'Höhe (px oder %)','type'=>'textfield','datatype'=>'text','position'=>'right'),
	'iframesrc' => array('label'=>'URL (http://...)','type'=>'textfield','datatype'=>'text','position'=>'left'),
	'iframename' => array('label'=>'Name des iFrame-Elements','type'=>'textfield','datatype'=>'text','position'=>'left'),
	'seamless' => array('label'=>'Nahtlose Integration','type'=>'radio','options'=>array(array('value'=>'0','text'=>'{LANG_CMM_NO}'),array('value'=>'1','text'=>'{LANG_CMM_YES}')),'position'=>'left'),
	'sandbox' => array('label'=>'Sandbox-Optionen','type'=>'textfield','datatype'=>'text','position'=>'right'),
	'cacheTimeout' => array('label'=>'{LANG_CMM_CACHE_TIMEOUT}','type'=>'textfield','datatype'=>'int','position'=>'bottom','shy'=>1)
	);
/* FIELDSET END */

// Set customer group
$params['CustomerCustomergroupID'] = isset($GLOBALS['CustomergroupUID']) ? $GLOBALS['CustomergroupUID'] : 0;

// Set language
$params['LID'] = isset($GLOBALS['LanguageUID']) ? $GLOBALS['LanguageUID'] : 1;

// Merge params and pluginParams
$params = CMM_mergePluginParams($params,$pluginParams);

// Collect data for template
$view = array();
$view['params'] = $params;
$view['ContentUID'] = $params['ContentUID'];

// Cache settings
$cacheSettings = array();
$cacheSettings['module'] = 'CMM_Contents:iFrame';
$cacheSettings['page'] = $GLOBALS['PageUID'];
$cacheSettings['params'] = $params;
$cacheSettings['lastmod'] = 0;
$cacheSettings['timeout'] = $params['cacheTimeout'];

// Init template-object
$pluginObj = new Template;
$pluginObj->templateFile = $params['templateFile'];
$pluginObj->cache = $cacheSettings;
$pluginObj->input = $view;

// Render template
$pluginContent = $pluginObj->templateIt();

unset($params);
?>
