<?PHP
/***************************************************************
*  Copyright notice
*
*  (c) 2009-2017 Nicolas Berg
*  All rights reserved
*
*  This script is part of the CMM3 Content-Management-System.
*  CMM3 is provided only under a commercial license until now.
*  Maybe we will add a free license in future.
*
*  This script is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
*
*  This copyright notice MUST APPEAR in all copies of the script!
***************************************************************/

////////////////////////////////////////////////////////////////////
// Modul-Einstellungen                                            //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Products'] = array();
// Modulpraefix
$CONFIG['CMM_Products']['key'] = 'CMM_Products';
// Modulname
$CONFIG['CMM_Products']['label'] = 'Produkte';
// Modulbeschreibung
$CONFIG['CMM_Products']['description'] = 'Modul zur Verwaltung von Produkten mit Kategorien und Textvorlagen';
// Module-languages
$CONFIG['CMM_Products']['languages'] = 'at,de,ch,en';
// Modulicon
$CONFIG['CMM_Products']['icon'] = 'CMM_Products.svg';
// Modulversion
$CONFIG['CMM_Products']['version'] = '1.8.8';
// Dependencies
$CONFIG['CMM_Products']['depend'] = 'CMM:6.0';


////////////////////////////////////////////////////////////////////
// Set includes for administration                                //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Products']['BE'] = array();
$CONFIG['CMM_Products']['BE']['include'] = array();
// PHP
$CONFIG['CMM_Products']['BE']['include']['PHP'] = array('CMM_Products/structure.php');
// CSS
$CONFIG['CMM_Products']['BE']['include']['CSS'] = array();
// JS
$CONFIG['CMM_Products']['BE']['include']['JS'] = array();


////////////////////////////////////////////////////////////////////
// Set includes for website                                       //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Products']['FE'] = array();
$CONFIG['CMM_Products']['FE']['include'] = array();
// PHP - starting at CMM_ROOT_DIR
$CONFIG['CMM_Products']['FE']['include']['PHP'] = array();
// CSS - starting at CMM_ROOT_DIR
$CONFIG['CMM_Products']['FE']['include']['CSS'] = array('CMM_Products/template/css/CMM_Products.css');
// JS - starting at CMM_ROOT_DIR
$CONFIG['CMM_Products']['FE']['include']['JS'] = array('CMM_Products/template/js/CMM_Products.js');


////////////////////////////////////////////////////////////////////
// Datenverzeichnisse erstellen                                   //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Products']['dirs'] = array(
	'data/CMM_Products/backup/',
	'data/CMM_Products/images/',
	'data/CMM_Products/videos/',
	'data/CMM_Products/audios/',
	'data/CMM_Products/files/'
	);


////////////////////////////////////////////////////////////////////
// Plugins                                                        //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Products']['plugins'] = array(
	'CMM_Products_navi.php',
	'CMM_Products_category.php',
	'CMM_Products_list.php',
	'CMM_Products_random.php',
	'CMM_Products_short.php',
	'CMM_Products_detail.php',
	'CMM_Products_path.php',
	'CMM_Products_list_xml.php'/*,
	'createProductOptions.php'*/
	);


////////////////////////////////////////////////////////////////////
// Weitere Einstellungen                                          //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Products']['config'] = array();

// Einfacher Modus - ohne Auswahl der Speicherseite
$CONFIG['CMM_Products']['config']['simpleMode'] = 0;
// Anzahl der Eintraege pro Kategorie in der Navigation anzeigen?
$CONFIG['CMM_Products']['config']['dispayCategoryCounter'] = 1;
// Anzeige der Detailansichten zaehlen?
$CONFIG['CMM_Products']['config']['countImpressions'] = 1;

// Lieferstati
$CONFIG['CMM_Products']['config']['deliveryStatus'] = array('1'=>'{LANG_CMM_PRODUCTS_DELIVERY_NOW}','2'=>'ca. 1-2 {LANG_CMM_DAYS}','3'=>'ca. 2-3 {LANG_CMM_DAYS}','4'=>'ca. 7 {LANG_CMM_DAYS}','5'=>'ca. 14 {LANG_CMM_DAYS}','10'=>'{LANG_CMM_PRODUCTS_DELIVERY_DOWNLOAD}','100'=>'{LANG_CMM_PRODUCTS_DELIVERY_NOT}');

// Meta-Felder
$CONFIG['CMM_Products']['config']['metaTitleFields'] = array('ProductItemTitle','ProductItemModel','ProductCategoryTitle');
$CONFIG['CMM_Products']['config']['metaKeywordsFields'] = array('ProductItemTitle','ProductItemModel','ProductItemShorttext','ProductItemDescription','ProductItemHighlights','ProductCategoryTitle','ProductCategoryDescription');
$CONFIG['CMM_Products']['config']['metaDescriptionFields'] = array('ProductItemShorttext','ProductItemDescription','ProductItemHighlights','ProductCategoryDescription');

// Backup-Ansicht aktivieren
$CONFIG['CMM_Products']['config']['enableBackup'] = 0;


////////////////////////////////////////////////////////////////////
// Felddefinitionen fuer Config                                   //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Products']['configFields'] = array(
	'simpleMode' => array('label'=>'Einfacher Modus ohne Seitenbaum','type'=>'radio','options'=>array(array('value'=>'0','text'=>'{LANG_CMM_NO}'),array('value'=>'1','text'=>'{LANG_CMM_YES}')),'position'=>'left'),
	'dispayCategoryCounter' => array('label'=>'Anzahl der Einträge in Navigation anzeigen','type'=>'radio','options'=>array(array('value'=>'0','text'=>'{LANG_CMM_NO}'),array('value'=>'1','text'=>'{LANG_CMM_YES}')),'position'=>'left'),
	'countImpressions' => array('label'=>'Detailanzeige der Einträge zählen','type'=>'radio','options'=>array(array('value'=>'0','text'=>'{LANG_CMM_NO}'),array('value'=>'1','text'=>'{LANG_CMM_YES}')),'position'=>'left'),
	'enableBackup' => array('label'=>'Backup aktivieren','type'=>'radio','options'=>array(array('value'=>'0','text'=>'{LANG_CMM_NO}'),array('value'=>'1','text'=>'{LANG_CMM_YES}')),'position'=>'left')
	);


////////////////////////////////////////////////////////////////////
// Einstellungen fuer Suche                                       //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Products']['config']['search'] = array(
	'label' => '{LANG_CMM_PRODUCTS_LABEL}',
	'resultPIDparams' => ($CONFIG['CMM']['config']['seoUseSeoUrls']==true ? '/{$ProductItemTitle|validatealias}.{$ProductItemUID}' : '?CMM_Products[ProductItemUID]={$ProductItemUID}'),
	'resultPIDfilter' => '',
	'tablename' => 'cmm_products_items',
	'fieldprefix' => 'ProductItem',
	'join' => array('cmm_products_categories|ProductCategoryUID=ProductItemTID'), // Join-Table|Join-Table-Field=Table-Field|[Join-Table-Field=Value]
	'filter' => array(), // Zusatzfilter
	'titleFields' => array('ProductItemTitle','ProductCategoryTitle','ProductItemModel'),
	'textFields' => array('ProductItemLabel','ProductItemShorttext','ProductItemDescription','ProductItemHighlights'),
	'searchFields' => array('ProductItemTitle','ProductItemLabel','ProductItemShorttext','ProductItemDescription','ProductItemHighlights','ProductItemModel'),
	'extraFields' => array('ProductItemTitle'),
	'deletedField' => 'ProductItemDeleted'
	);

?>