<?PHP
/***************************************************************
*  Copyright notice
*
*  (c) 2009-2017 Nicolas Berg
*  All rights reserved
*
*  This script is part of the CMM3 Content-Management-System.
*  CMM3 is provided only under a commercial license until now.
*  Maybe we will add a free license in future.
*
*  This script is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
*
*  This copyright notice MUST APPEAR in all copies of the script!
***************************************************************/

///////////////////////////////////////////////////////////
// Plugin fuer Objekt-Liste                              //
///////////////////////////////////////////////////////////
// V 1.0 First release
// V 1.0.1 Erweiterung auf Mehrsprachigkeit
// V 1.0.2 marginale Modifikationen
// V 1.0.3 Feld-Definitionen eingefuegt
// V 1.0.4 Parameter metaTitleOverride hinzugefuegt
// V 1.0.5 UID/CID-Erkennung angepasst
// V 1.0.6 Params titleLength, descriptionLength added
///////////////////////////////////////////////////////////
include_once(CMM_ROOT_DIR.'CMM_Products/index.php');

/* PARAMS START - Marker-Comments required! */
$params = array(
	'templateFile'=>'CMM_Products/template/html/CMM_Products_category.html',
	'dataPID'=>'',
	'listPID'=>'',
	'CID'=>'{$_REQUEST["CMM_Products"]["ProductItemCID"]}',
	'CIDinPageAlias'=>1,
	'metaData' => 1,
	'metaOverride' => 1,
	'limit'=>'100',
	'limitOptions'=>'',
	'titleLength' => 36,
	'descriptionLength' => 200,
	'filter'=>'{$_REQUEST["CMM_Products"]["filter"]}',
	'sort'=>'ProductCategorySort ASC',
	'cacheTimeout'=>86400
	);
/* PARAMS END */

/* FIELDSET START - Marker-Comments required! */
$fieldset = array(
	'templateFile' => array('label'=>'HTML-Vorlagen-Datei','type'=>'textfield','datatype'=>'text','position'=>'bottom'),
	'dataPID' => array('label'=>'Seite: Datensätze (PID)','type'=>'linkfield','position'=>'left'),
	'listPID' => array('label'=>'Seite: Listen-Anzeige (PID)','type'=>'linkfield','position'=>'left'),
	'CID' => array('label'=>'Kategorie: nur diese anzeigen (ID)','type'=>'textfield','datatype'=>'text','position'=>'left'),
	'CIDinPageAlias' => array('label'=>'Kategorie ID aus Seiten-Alias ermitteln','type'=>'radio','options'=>array(array('value'=>'0','text'=>'{LANG_CMM_NO}'),array('value'=>'1','text'=>'{LANG_CMM_YES}')),'position'=>'left'),
	'metaData' => array('label'=>'Beitragsdaten zu Meta-Daten hinzufuegen','type'=>'radio','options'=>array(array('value'=>'0','text'=>'{LANG_CMM_NO}'),array('value'=>'1','text'=>'{LANG_CMM_YES}')),'position'=>'right'),
	'metaOverride' => array('label'=>'Kategoriename als Seitentitel verwenden','type'=>'radio','options'=>array(array('value'=>'0','text'=>'{LANG_CMM_NO}'),array('value'=>'1','text'=>'{LANG_CMM_YES}')),'position'=>'right'),
	'limit' => array('label'=>'Einträge pro Seite: (Anzahl oder Variable)','type'=>'textfield','datatype'=>'code','position'=>'right'),
	'limitShow' => array('label'=>'Einträge pro Seite: Auswahl anzeigen','type'=>'radio','options'=>array(array('value'=>'0','text'=>'{LANG_CMM_NO}'),array('value'=>'1','text'=>'{LANG_CMM_YES}')),'position'=>'right'),
	'limitOptions' => array('label'=>'Einträge pro Seite: Auswahlwerte','type'=>'textfield','datatype'=>'code','position'=>'right'),
	'titleLength' => array('label'=>'Titel: Max-Länge (Zeichen)','type'=>'textfield','datatype'=>'int','position'=>'right'),
	'descriptionLength' => array('label'=>'Beschreibung: Max-Länge (Zeichen)','type'=>'textfield','datatype'=>'int','position'=>'right'),
	'filter' => array('label'=>'Filter: Einträge filtern','type'=>'textfield','datatype'=>'code','position'=>'bottom'),
	'sort' => array('label'=>'Sortierung: Einträge nach Feld(ern) sortieren','type'=>'textfield','datatype'=>'code','position'=>'bottom'),
	'cacheTimeout' => array('label'=>'{LANG_CMM_CACHE_TIMEOUT}','type'=>'textfield','datatype'=>'int','position'=>'bottom','shy'=>1)
	);
/* FIELDSET END */

// Set customer group
$params['CustomerCustomergroupID'] = isset($GLOBALS['CustomergroupUID']) ? $GLOBALS['CustomergroupUID'] : 0;
// Set language
$params['LID'] = isset($GLOBALS['LanguageUID']) ? $GLOBALS['LanguageUID'] : 1;

// Merge params and pluginParams
$params = CMM_mergePluginParams($params,$pluginParams);

// CID aus Seitenalias ermitteln
if($params['CIDinPageAlias']==true && $CONFIG['CMM']['config']['seoUseSeoUrls']==true && !empty($GLOBALS['PageTail']))
	{
	$tailSegments = explode('/',$GLOBALS['PageTail']);

	// Segment auswerten - nur CID
	if(sizeof($tailSegments) > 1)
		{
		$tailCID = explode('.',$tailSegments[1]);
		!empty($tailCID[1]) ? $params['CID']=intval($tailCID[1]) : '';
		}
	}

// Inhalt ausgeben
$extImmoList = new CMM_Products;
$pluginContent = $extImmoList->createCategory($params);
unset($params);
?>