<?PHP
/***************************************************************
*  Copyright notice
*
*  (c) 2009-2017 Nicolas Berg
*  All rights reserved
*
*  This script is part of the CMM3 Content-Management-System.
*  CMM3 is provided only under a commercial license until now.
*  Maybe we will add a free license in future.
*
*  This script is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
*
*  This copyright notice MUST APPEAR in all copies of the script!
***************************************************************/

///////////////////////////////////////////////////////////
// Plugin fuer Modul-Navigation                          //
///////////////////////////////////////////////////////////
// V 1.0 First release
// V 1.0.1 Erweiterung auf Mehrsprachigkeit
// V 1.0.2 Feld-Definitionen eingefuegt
// V 1.0.3 UID/CID-Erkennung angepasst
///////////////////////////////////////////////////////////
include_once(CMM_ROOT_DIR.'CMM_Products/index.php');

/* PARAMS START - Marker-Comments required! */
$params = array(
	'naviPID'=>'',
	'dataPID'=>'',
	'startID'=>'0',
	'startLevel'=>'0',
	'range' => '',
	'CID'=>'{$_REQUEST["CMM_Products"]["ProductItemCID"]}',
	'CIDinPageAlias'=>1,
	// Eigenschaften fuer alle Ebenen oder spezifisch
	'linked' => '1',
	'counter'=>'0',
	'expAll' => '',
	'crop' => '',
	'wrapItem' => '<li class="###STATUS######FIRSTLAST###">*</li>',
	'wrapAll' => '<ul>*</ul>',
	'cacheTimeout'=>0
	);
/* PARAMS END */

/* FIELDSET START - Marker-Comments required! */
$fieldset = array(
	'naviPID' => array('label'=>'Seite: Listen-Anzeige (PID)','type'=>'linkfield','position'=>'left'),
	'dataPID' => array('label'=>'Seite: Datensätze (PID)','type'=>'linkfield','position'=>'left'),
	'startID' => array('label'=>'Seite: Startpunkt der Navigation (PID)','type'=>'textfield','datatype'=>'text','position'=>'left'),
	'startLevel' => array('label'=>'Navigation: Start-Ebene','type'=>'select','disablenone'=>1,'value'=>array(0,1,2,3,4,5,6,7,8,9,10),'text'=>array(0,1,2,3,4,5,6,7,8,9,10),'position'=>'right'),
	'range' => array('label'=>'Navigation: Anzahl Ebenen','type'=>'select','disablenone'=>1,'value'=>array(0,1,2,3,4,5,6,7,8,9,10),'text'=>array(0,1,2,3,4,5,6,7,8,9,10),'position'=>'right'),
	'CID' => array('label'=>'Kategorie: nur diese anzeigen (CID)','type'=>'textfield','datatype'=>'text','position'=>'left'),
	'CIDinPageAlias' => array('label'=>'Kategorie: CID aus SEO-URL ermitteln','type'=>'radio','options'=>array(array('value'=>'0','text'=>'{LANG_CMM_NO}'),array('value'=>'1','text'=>'{LANG_CMM_YES}')),'position'=>'left'),
	// Eigenschaften fuer alle Ebenen oder spezifisch
	'linked' => array('label'=>'Navigation: Links generieren','type'=>'radio','options'=>array(array('value'=>'0','text'=>'{LANG_CMM_NO}'),array('value'=>'1','text'=>'{LANG_CMM_YES}')),'position'=>'right'),
	'counter' => array('label'=>'Navigation: Kategorie-Counter anzeigen','type'=>'radio','options'=>array(array('value'=>'0','text'=>'{LANG_CMM_NO}'),array('value'=>'1','text'=>'{LANG_CMM_YES}')),'position'=>'right'),
	'expAll' => array('label'=>'Navigation: Alle Ebenen öffnen','type'=>'radio','options'=>array(array('value'=>'0','text'=>'{LANG_CMM_NO}'),array('value'=>'1','text'=>'{LANG_CMM_YES}')),'position'=>'right'),
	'crop' => array('label'=>'Titel kürzen','type'=>'textfield','datatype'=>'int','position'=>'bottom'),
	'wrapItem' => array('label'=>'HTML-Wrap um Navigationspunkt','type'=>'textfield','datatype'=>'code','position'=>'bottom'),
	'wrapAll' => array('label'=>'HTML-Wrap um gesamte Navi','type'=>'textfield','datatype'=>'code','position'=>'bottom'),
	'cacheTimeout' => array('label'=>'{LANG_CMM_CACHE_TIMEOUT}','type'=>'textfield','datatype'=>'int','position'=>'bottom','shy'=>1)
	);
/* FIELDSET END */

// Set customer group
$params['CustomerCustomergroupID'] = isset($GLOBALS['CustomergroupUID']) ? $GLOBALS['CustomergroupUID'] : 0;
// Set language
$params['LID'] = isset($GLOBALS['LanguageUID']) ? $GLOBALS['LanguageUID'] : 1;

// Merge params and pluginParams
$params = CMM_mergePluginParams($params,$pluginParams);

// UID/CID aus Pagetail ermitteln
if($CONFIG['CMM']['config']['seoUseSeoUrls']==true)
	{
	if(isset($params['CID']) && stristr($params['CID'],'{') && !empty($GLOBALS['PageTail']))
		{ $params['CID'] = CMM_getPagetailParams($GLOBALS['PageTail'],'first'); }
	if(isset($params['start']) && strstr($params['start'],'{') && !empty($GLOBALS['PageTail']))
		{
		$tempStart = CMM_getPagetailParams($GLOBALS['PageTail'],'start');
		!empty($tempStart) ? $params['start'] = $tempStart : '';
		}
	}

// Inhalt ausgeben
$extProductsPath = new CMM_Products;
$pluginContent = $extProductsPath->createCategoryPath($params);

unset($params);
?>