<?PHP
/***************************************************************
*  Copyright notice
*
*  (c) 2009-2017 Nicolas Berg
*  All rights reserved
*
*  This script is part of the CMM3 Content-Management-System.
*  CMM3 is provided only under a commercial license until now.
*  Maybe we will add a free license in future.
*
*  This script is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
*
*  This copyright notice MUST APPEAR in all copies of the script!
***************************************************************/

// V 1.0 First release
// V 1.0.1 Verarbeitung von Config angepasst
// V 1.0.2 Backup-Einstellungen ergaenzt
// V 1.0.3 Delete-fields added
// V 1.0.4 PASTE-Action mod
// V 1.0.5 Mod userLevels

////////////////////////////////////////////////////////////////////
// Modul-Anzeigen                                                 //
////////////////////////////////////////////////////////////////////
// - label: Bezeichnung des Feldes
// - table: Haupt-Datenbanktabelle
// - userLevel: Berechntigungsstufe fuer Datensaetze
// - navi: Anzeige in der Hauptnavigation
$CONFIG['CMM_Products']['views'] = array();
$CONFIG['CMM_Products']['views']['INDEX'] = array('label'=>'{LANG_CMM_PRODUCTS_VIEW_INDEX}','userLevel'=>1);
$CONFIG['CMM_Products']['views']['ITEMS'] = array('label'=>'{LANG_CMM_PRODUCTS_VIEW_ITEMS}','table'=>'cmm_products_items','userLevel'=>1,'inNavi'=>1);
$CONFIG['CMM_Products']['views']['CATEGORIES'] = array('label'=>'{LANG_CMM_PRODUCTS_VIEW_CATEGORIES}','table'=>'cmm_products_categories','userLevel'=>1,'inNavi'=>1);
$CONFIG['CMM_Products']['views']['TEXTS'] = array('label'=>'{LANG_CMM_PRODUCTS_VIEW_TEXTS}','table'=>'cmm_products_texts','userLevel'=>1,'inNavi'=>1);
$CONFIG['CMM_Products']['views']['CONFIG'] = array('label'=>'{LANG_CMM_PRODUCTS_VIEW_CONFIG}','table'=>'cmm_cmm_config','userLevel'=>6,'inNavi'=>1);
$CONFIG['CMM_Products']['views']['BACKUP'] = array('label'=>'{LANG_CMM_PRODUCTS_VIEW_BACKUP}','userLevel'=>1,'inNavi'=>(!empty($GLOBALS['isBackend']) && !empty($CUSTOM['CMM_Products']['config']['enableBackup']) ? 1 : 0));
$CONFIG['CMM_Products']['views']['INSTALL'] = array('label'=>'{LANG_CMM_PRODUCTS_VIEW_INSTALL}','userLevel'=>3);
$CONFIG['CMM_Products']['views']['DUMMY'] = array('label'=>'{LANG_CMM_PRODUCTS_VIEW_DUMMY}','userLevel'=>1);


////////////////////////////////////////////////////////////////////
// Modulfunktionen                                                //
////////////////////////////////////////////////////////////////////
// - label: Bezeichnung des Feldes
// - area: Anzeige-Bereich
// - userLevel: Berechntigungsstufe fuer Datensaetze
// - icon: Icon fuer Listenansicht
// - action: Aktion, die ausgefuehrt werden soll
// - clipboardAction: Aktion, die spaeter ausgefuehrt werden soll
// - message: Frage vor Ausfuerung der Funktion
// - condition: Bedingung pruefen (Datenbankfeld) item/_SESSION/_GET/_POST/_COOKIE/_ENV[keyvar]==value
// - file: Funktion in externer Datei ausfuehren
// - target: Zielfenster fuer Funktion

$CONFIG['CMM_Products']['views']['ITEMS']['actions'] = array(
	'LIST' => array('label'=>'{LANG_CMM_ACTION_LIST}','userLevel'=>0),
	'NEW' => array('label'=>'{LANG_CMM_PRODUCTS_ITEM} {LANG_CMM_ACTION_NEW}','area'=>'listhead','userLevel'=>1,'icon'=>'icon-action-new.svg'),
	'EDIT' => array('label'=>'{LANG_CMM_ACTION_EDIT}','area'=>'list','userLevel'=>1,'icon'=>'icon-action-edit.svg'),
	'ENABLE' => array('label'=>'{LANG_CMM_ACTION_ENABLE}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-enable.svg','condition'=>'$item["ProductItemStatus"]==0'),
	'DISABLE' => array('label'=>'{LANG_CMM_ACTION_DISABLE}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-disable.svg','condition'=>'$item["ProductItemStatus"]==1'),
	'UP' => array('label'=>'{LANG_CMM_ACTION_UP}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-up.svg','condition'=>'$item["firstItem"]!=true && $CURRENT["sort"]=="ProductItemSort ASC"'),
	'DOWN' => array('label'=>'{LANG_CMM_ACTION_DOWN}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-down.svg','condition'=>'$item["lastItem"]!=true && $CURRENT["sort"]=="ProductItemSort ASC"'),
	'SAVE' => array('label'=>'{LANG_CMM_ACTION_SAVE}','area'=>'singlehead','userLevel'=>3,'icon'=>'icon-action-save.svg'),
	'SAVENEW' => array('label'=>'{LANG_CMM_ACTION_SAVENEW}','area'=>'singlehead','userLevel'=>3,'icon'=>'icon-action-save-and-new.svg'),
	'SAVECLOSE' => array('label'=>'{LANG_CMM_ACTION_SAVECLOSE}','area'=>'singlehead','userLevel'=>3,'icon'=>'icon-action-save-and-close.svg'),
	'CLOSE' => array('label'=>'{LANG_CMM_ACTION_CLOSE}','area'=>'singlehead','userLevel'=>1,'icon'=>'icon-action-close.svg'),
	'CUT' => array('label'=>'{LANG_CMM_ACTION_CUT}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-cut.svg'),
	'COPY' => array('label'=>'{LANG_CMM_ACTION_COPY}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-copy.svg'),
	'PASTE' => array('label'=>'{LANG_CMM_ACTION_PASTE}','area'=>'listhead','userLevel'=>3,'icon'=>'icon-action-paste.svg','UID'=>(!empty($GLOBALS['isBackend']) && isset($_SESSION[$CURRENT["module"]][$CURRENT["view"]]['clipboard']) ? $_SESSION[$CURRENT["module"]][$CURRENT["view"]]['clipboard']['id'] : ''),'condition'=>'!empty($_SESSION[$CURRENT["module"]][$CURRENT["view"]]["clipboard"])'),
	'REMOVE' => array('label'=>'{LANG_CMM_ACTION_REMOVE}','area'=>'list,singlehead','userLevel'=>3,'icon'=>'icon-action-remove.svg','condition'=>'$item["ProductItemUID"]>0','message'=>'{LANG_CMM_ACTION_REMOVE_CONFIRM}'),
	'CLIPBOARDCLEAR' => array('label'=>'{LANG_CMM_ACTION_CLIPBOARDCLEAR}','area'=>'listhead','userLevel'=>3,'icon'=>'icon-action-clipboard-clear.svg','condition'=>'isset($_SESSION[$CURRENT["module"]][$CURRENT["view"]]["clipboard"])'),
	// Druckansichten
	'PRINT' => array('label'=>'{LANG_CMM_ACTION_PRINT_ITEM}','area'=>'list','userLevel'=>1,'icon'=>'icon-action-print.svg','file'=>'blank.php','target'=>'_blank'),
	'PRINTLIST' => array('label'=>'{LANG_CMM_ACTION_PRINT_LIST}','area'=>'listhead','userLevel'=>1,'icon'=>'icon-action-print.svg','file'=>'blank.php','target'=>'_blank'),
	// Besucherstatistik
	'STATSREMOVE' => array('label'=>'Statistik {LANG_CMM_ACTION_REMOVE}','area'=>'statlist,statlisthead','userLevel'=>3,'icon'=>'icon-action-remove.svg')
	);

$CONFIG['CMM_Products']['views']['CATEGORIES']['actions'] = array(
	'LIST' => array('label'=>'{LANG_CMM_ACTION_LIST}','userLevel'=>0),
	'NEW' => array('label'=>'{LANG_CMM_PRODUCTS_CATEGORY} {LANG_CMM_ACTION_NEW}','area'=>'listhead','userLevel'=>1,'icon'=>'icon-action-new.svg'),
	'EDIT' => array('label'=>'{LANG_CMM_ACTION_EDIT}','area'=>'list','userLevel'=>1,'icon'=>'icon-action-edit.svg'),
	'ENABLE' => array('label'=>'{LANG_CMM_ACTION_ENABLE}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-enable.svg','condition'=>'$item["ProductCategoryStatus"]==0'),
	'DISABLE' => array('label'=>'{LANG_CMM_ACTION_DISABLE}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-disable.svg','condition'=>'$item["ProductCategoryStatus"]==1'),
	'UP' => array('label'=>'{LANG_CMM_ACTION_UP}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-up.svg','condition'=>'$item["firstItem"]!=true && $CURRENT["sort"]=="ProductCategorySort ASC"'),
	'DOWN' => array('label'=>'{LANG_CMM_ACTION_DOWN}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-down.svg','condition'=>'$item["lastItem"]!=true && $CURRENT["sort"]=="ProductCategorySort ASC"'),
	'SAVE' => array('label'=>'{LANG_CMM_ACTION_SAVE}','area'=>'singlehead','userLevel'=>3,'icon'=>'icon-action-save.svg'),
	'SAVENEW' => array('label'=>'{LANG_CMM_ACTION_SAVENEW}','area'=>'singlehead','userLevel'=>3,'icon'=>'icon-action-save-and-new.svg'),
	'SAVECLOSE' => array('label'=>'{LANG_CMM_ACTION_SAVECLOSE}','area'=>'singlehead','userLevel'=>3,'icon'=>'icon-action-save-and-close.svg'),
	'CLOSE' => array('label'=>'{LANG_CMM_ACTION_CLOSE}','area'=>'singlehead','userLevel'=>1,'icon'=>'icon-action-close.svg'),
	'CUT' => array('label'=>'{LANG_CMM_ACTION_CUT}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-cut.svg','condition'=>'empty($item["hasChildren"])'), // $item["hasChildren"] added by category-list-funtion)
	'COPY' => array('label'=>'{LANG_CMM_ACTION_COPY}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-copy.svg'),
	'PASTE' => array('label'=>'{LANG_CMM_ACTION_PASTE}','area'=>'listhead','userLevel'=>3,'icon'=>'icon-action-paste.svg','UID'=>(!empty($GLOBALS['isBackend']) && isset($_SESSION[$CURRENT["module"]][$CURRENT["view"]]['clipboard']) ? $_SESSION[$CURRENT["module"]][$CURRENT["view"]]['clipboard']['id'] : ''),'condition'=>'!empty($_SESSION[$CURRENT["module"]][$CURRENT["view"]]["clipboard"])'),
	'REMOVE' => array('label'=>'{LANG_CMM_ACTION_REMOVE}','area'=>'list,singlehead','userLevel'=>3,'icon'=>'icon-action-remove.svg','condition'=>'$item["ProductCategoryUID"]>0','message'=>'{LANG_CMM_ACTION_REMOVE_CONFIRM}'),
	'CLIPBOARDCLEAR' => array('label'=>'{LANG_CMM_ACTION_CLIPBOARDCLEAR}','area'=>'listhead','userLevel'=>3,'icon'=>'icon-action-clipboard-clear.svg','condition'=>'isset($_SESSION[$CURRENT["module"]][$CURRENT["view"]]["clipboard"])')
	);

$CONFIG['CMM_Products']['views']['TEXTS']['actions'] = array(
	'LIST' => array('label'=>'{LANG_CMM_ACTION_LIST}','userLevel'=>0),
	'NEW' => array('label'=>'{LANG_CMM_PRODUCTS_TEXT} {LANG_CMM_ACTION_NEW}','area'=>'listhead','userLevel'=>1,'icon'=>'icon-action-new.svg'),
	'EDIT' => array('label'=>'{LANG_CMM_ACTION_EDIT}','area'=>'list','userLevel'=>1,'icon'=>'icon-action-edit.svg'),
	'ENABLE' => array('label'=>'{LANG_CMM_ACTION_ENABLE}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-enable.svg','condition'=>'$item["ProductTextStatus"]==0'),
	'DISABLE' => array('label'=>'{LANG_CMM_ACTION_DISABLE}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-disable.svg','condition'=>'$item["ProductTextStatus"]==1'),
	'UP' => array('label'=>'{LANG_CMM_ACTION_UP}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-up.svg','condition'=>'$item["firstItem"]!=true && $CURRENT["sort"]=="ProductTextSort ASC"'),
	'DOWN' => array('label'=>'{LANG_CMM_ACTION_DOWN}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-down.svg','condition'=>'$item["lastItem"]!=true && $CURRENT["sort"]=="ProductTextSort ASC"'),
	'SAVE' => array('label'=>'{LANG_CMM_ACTION_SAVE}','area'=>'singlehead','userLevel'=>3,'icon'=>'icon-action-save.svg'),
	'SAVENEW' => array('label'=>'{LANG_CMM_ACTION_SAVENEW}','area'=>'singlehead','userLevel'=>3,'icon'=>'icon-action-save-and-new.svg'),
	'SAVECLOSE' => array('label'=>'{LANG_CMM_ACTION_SAVECLOSE}','area'=>'singlehead','userLevel'=>3,'icon'=>'icon-action-save-and-close.svg'),
	'CLOSE' => array('label'=>'{LANG_CMM_ACTION_CLOSE}','area'=>'singlehead','userLevel'=>1,'icon'=>'icon-action-close.svg'),
	'CUT' => array('label'=>'{LANG_CMM_ACTION_CUT}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-cut.svg'),
	'COPY' => array('label'=>'{LANG_CMM_ACTION_COPY}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-copy.svg'),
	'PASTE' => array('label'=>'{LANG_CMM_ACTION_PASTE}','area'=>'listhead','userLevel'=>3,'icon'=>'icon-action-paste.svg','UID'=>(!empty($GLOBALS['isBackend']) && isset($_SESSION[$CURRENT["module"]][$CURRENT["view"]]['clipboard']) ? $_SESSION[$CURRENT["module"]][$CURRENT["view"]]['clipboard']['id'] : ''),'condition'=>'!empty($_SESSION[$CURRENT["module"]][$CURRENT["view"]]["clipboard"])'),
	'REMOVE' => array('label'=>'{LANG_CMM_ACTION_REMOVE}','area'=>'list,singlehead','userLevel'=>3,'icon'=>'icon-action-remove.svg','condition'=>'$item["ProductTextUID"]>0','message'=>'{LANG_CMM_ACTION_REMOVE_CONFIRM}'),
	'CLIPBOARDCLEAR' => array('label'=>'{LANG_CMM_ACTION_CLIPBOARDCLEAR}','area'=>'listhead','userLevel'=>3,'icon'=>'icon-action-clipboard-clear.svg','condition'=>'isset($_SESSION[$CURRENT["module"]][$CURRENT["view"]]["clipboard"])')
	);

$CONFIG['CMM_Products']['views']['BACKUP']['actions'] = array(
	'BACKUP' => array('label'=>'Datensicherung','userLevel'=>1,'inNavi'=>1),
	'INSTALLDB' => array('label'=>'Datenbanktabellen konfigurieren','userLevel'=>6),
	'BACKUPMAKE' => array('label'=>'Sicherung erstellen','userLevel'=>6,'inNavi'=>0),
	'BACKUPRESTORE' => array('label'=>'Sicherung zurückschreiben','userLevel'=>6,'inNavi'=>0),
	'BACKUPREMOVE' => array('label'=>'Sicherung löschen','userLevel'=>6,'inNavi'=>0)
	);

$CONFIG['CMM_Products']['views']['CONFIG']['actions'] = array(
	'CONFIG' => array('label'=>'Konfiguration','userLevel'=>1,'inNavi'=>1),
	'CONFIGSAVE' => array('label'=>'Konfiguration','area'=>'singlehead','userLevel'=>6,'icon'=>'icon-action-save.svg')
	);

$CONFIG['CMM_Products']['views']['INSTALL']['actions'] = array(
	'INSTALL' => array('label'=>'Installation','userLevel'=>6,'inNavi'=>0)
	);


////////////////////////////////////////////////////////////////////
// Datenbank-Tabellen                                             //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Products']['database'] = array();

// Datenstamm fuer Produkte
$CONFIG['CMM_Products']['database']['cmm_products_items'] = array(
	'tabs' => array(0=>'Text',1=>'Lage',2=>'Daten',3=>'Kosten',4=>'Media',5=>'Meta',6=>'Sonstiges',7=>'Plugin',9=>'Anzeige'),
	'tablename' => 'cmm_products_items',
	'sort' => 'ProductItemUID DESC',
	'backup' => 1,
	'fieldprefix' => 'ProductItem',
	'fieldset' => array(
		'ProductItemUID' => array('label'=>'ID','type'=>'hidden','tab'=>0,
			'sqldef'=>'int(10) default \'0\''),
		'ProductItemPID' => array('label'=>'Seite','type'=>'hidden','tab'=>0,
			'sqldef'=>'int(10) default \'0\''),
		'ProductItemTID' => array('label'=>'Typ','type'=>'select','position'=>'top','tab'=>6,
			'sqldef'=>'int(3) default \'0\'',
			'options'=>array(array('value'=>1,'text'=>'Typ 1'),array('value'=>2,'text'=>'Typ 2'))),
		'ProductItemLID' => array('label'=>'Sprache','type'=>'radio','position'=>'top','tab'=>6,
			'sqldef'=>'int(3) default \'0\'',
			'select'=>array('module'=>'CMM','table'=>'cmm_cmm_languages','keyfield'=>'LanguageUID','labelfield'=>'LanguageName','sort'=>'LanguageUID')),
		'ProductItemCID' => array('label'=>'Kategorie','type'=>'select','position'=>'left','tab'=>0,
			'sqldef'=>'varchar(100) collate utf8_unicode_ci default NULL',
			'function'=>array('module'=>'CMM_Products','class'=>'CMM_Products','function'=>'getItemCidOptions'),
			'join'=>array('module'=>'CMM_Products','table'=>'cmm_products_categories','keyfield'=>'ProductCategoryUID')),
		'ProductItemStatus' => array('label'=>'Status','type'=>'radio','position'=>'top','tab'=>9,
			'sqldef'=>'int(1) default \'0\'',
			'options'=>array(array('value'=>1,'text'=>'{LANG_CMM_ENABLED}'),array('value'=>'0','text'=>'{LANG_CMM_DISABLED}'))),
		'ProductItemDeleted' => array('label'=>'{LANG_CMM_FIELD_REMOVED}','type'=>'hidden','tab'=>3,
			'sqldef'=>'int(1) default \'0\''),
		'ProductItemSort' => array('label'=>'Sortierung','type'=>'hidden','position'=>'top','tab'=>9,
			'sqldef'=>'int(10) default \'0\''),
		'ProductItemStart' => array('label'=>'Start','type'=>'datetime','position'=>'left','tab'=>9,
			'sqldef'=>'datetime default NULL'),
		'ProductItemStop' => array('label'=>'Ende','type'=>'datetime','position'=>'right','tab'=>9,
			'sqldef'=>'datetime default NULL'),
		'ProductItemCustomergroupID' => array('label'=>'Anzeige für Benutzergruppen','type'=>'multiselect','attribs'=>array('multiple'=>1,'size'=>6),'position'=>'bottom','tab'=>9,
			'sqldef'=>'varchar(255) collate utf8_unicode_ci default NULL',
			'options'=>array('none'=>array('value'=>'0','text'=>'{LANG_CMM_IF_LOGGED_OUT}'),'all'=>array('value'=>'*','text'=>'{LANG_CMM_IF_LOGGED_IN}')),
			'select'=>array('module'=>'CMM','table'=>'cmm_cmm_customergroups','keyfield'=>'CustomergroupUID','labelfield'=>'CustomergroupUID,CustomergroupName','sort'=>'CustomergroupUID')),
		'ProductItemModel' => array('label'=>'Artikelnummer°','type'=>'textfield','position'=>'right','tab'=>0,
			'sqldef'=>'varchar(32) collate utf8_unicode_ci default NULL'),
		'ProductItemEan' => array('label'=>'EAN-Nummer','type'=>'textfield','position'=>'right','tab'=>0,'shy'=>1,
			'sqldef'=>'varchar(32) collate utf8_unicode_ci default NULL'),
		'ProductItemSpecial' => array('label'=>'Angebot hervorheben','type'=>'checkbox','position'=>'right','tab'=>0,'shy'=>1,
			'sqldef'=>'varchar(255) collate utf8_unicode_ci default NULL',
			'options'=>array(array('value'=>'1','text'=>'{LANG_CMM_YES}'))),
		'ProductItemTextID' => array('label'=>'Textvorlage','type'=>'select','position'=>'left','tab'=>0,'shy'=>1,
			'sqldef'=>'varchar(32) collate utf8_unicode_ci default NULL',
			'select'=>array('module'=>'CMM_Products','table'=>'cmm_products_texts','keyfield'=>'ProductTextUID','labelfield'=>'ProductTextTitle'),
			'join'=>array('module'=>'CMM_Products','table'=>'cmm_products_texts','keyfield'=>'ProductTextUID')),
		'ProductItemTitle' => array('label'=>'Titel','type'=>'textfield','attribs'=>array('required'=>1),'position'=>'bottom','tab'=>0,
			'sqldef'=>'varchar(255) collate utf8_unicode_ci default NULL'),
		'ProductItemLabel' => array('label'=>'Label','type'=>'select','new'=>1,'position'=>'bottom','tab'=>0,'shy'=>1,
			'sqldef'=>'varchar(255) collate utf8_unicode_ci default NULL',
			'select'=>'self'),
		'ProductItemShorttext' => array('label'=>'Kurztext','type'=>'rte','attribs'=>array('rows'=>10),'position'=>'bottom','tab'=>0,
			'sqldef'=>'text collate utf8_unicode_ci'),
		'ProductItemDescription' => array('label'=>'Beschreibung','type'=>'rte','attribs'=>array('rows'=>10),'position'=>'bottom','tab'=>0,
			'sqldef'=>'text collate utf8_unicode_ci'),
		'ProductItemHighlights' => array('label'=>'Highlights/Ausstattung','type'=>'textarea','attribs'=>array('rows'=>5),'position'=>'bottom','tab'=>0,'shy'=>1,
			'sqldef'=>'text collate utf8_unicode_ci'),
		'ProductItemComment' => array('label'=>'Kommentar (intern)','type'=>'textarea','attribs'=>array('rows'=>5),'position'=>'bottom','tab'=>0,'shy'=>1,
			'sqldef'=>'text collate utf8_unicode_ci'),
		'ProductItemPrice1' => array('label'=>'Preis 1 normal (netto ohne &euro;)','type'=>'textfield','datatype'=>'float','position'=>'left','tab'=>3,
			'sqldef'=>'float(10,4) default \'0\''),
		'ProductItemPrice2' => array('label'=>'Preis 2 normal (netto ohne &euro;)','type'=>'textfield','datatype'=>'float','position'=>'left','tab'=>3,'shy'=>1,
			'sqldef'=>'float(10,4) default \'0\''),
		'ProductItemPriceSpecial1' => array('label'=>'Preis 1 Angebot','type'=>'hidden','datatype'=>'float','position'=>'left','tab'=>3,
			'sqldef'=>'float(10,4) default \'0\''),
		'ProductItemPriceSpecial2' => array('label'=>'Preis 2 Angebot','type'=>'hidden','datatype'=>'float','position'=>'left','tab'=>3,
			'sqldef'=>'float(10,4) default \'0\''),
		'ProductItemSpecialStart' => array('label'=>'Angebot-Start','type'=>'hidden','position'=>'left','tab'=>3,
			'sqldef'=>'datetime default NULL'),
		'ProductItemSpecialStop' => array('label'=>'Angebot-Ende','type'=>'hidden','position'=>'left','tab'=>3,
			'sqldef'=>'datetime default NULL'),
		'ProductItemPriceRegular' => array('label'=>'Preis UVP (netto ohne &euro;)','type'=>'textfield','datatype'=>'float','position'=>'left','tab'=>3,
			'sqldef'=>'float(10,4) default \'0\''),
		'ProductItemTaxClass' => array('label'=>'MwSt. %','type'=>'select','position'=>'left','tab'=>3,
			'sqldef'=>'int(3) default \'0\'',
			'function'=>array('module'=>'CMM','function'=>'CMM_getInputFieldTaxclassOptions')),
		'ProductItemPuValue' => array('label'=>'VPE Menge','type'=>'textfield','datatype'=>'float','position'=>'left','tab'=>3,
			'sqldef'=>'float(10,4) default \'0\''),
		'ProductItemPuLabel' => array('label'=>'VPE Einheit (z.B. kg)','type'=>'select','new'=>1,'position'=>'left','tab'=>3,
			'sqldef'=>'varchar(32) collate utf8_unicode_ci default NULL',
			'select'=>'self'),
		'ProductItemOption1' => array('label'=>'Merkmal 1','type'=>'options','datatype'=>'float','position'=>'bottom','tab'=>3,'shy'=>1,
			'sqldef'=>'text collate utf8_unicode_ci'),
		'ProductItemOption2' => array('label'=>'Merkmal 2','type'=>'options','datatype'=>'float','position'=>'bottom','tab'=>3,'shy'=>1,
			'sqldef'=>'text collate utf8_unicode_ci'),
		'ProductItemOption3' => array('label'=>'Merkmal 3','type'=>'options','datatype'=>'float','position'=>'bottom','tab'=>3,'shy'=>1,
			'sqldef'=>'text collate utf8_unicode_ci'),
		'ProductItemDeliveryTime' => array('label'=>'Lieferzeit','type'=>'select','position'=>'right','tab'=>3,
			'sqldef'=>'varchar(255) collate utf8_unicode_ci default NULL',
			'function'=>array('module'=>'CMM_Products','class'=>'CMM_Products','function'=>'getItemDeliveryTimeOptions')),
		'ProductItemDeliveryCost' => array('label'=>'Versandkosten (pro Stück)','type'=>'textfield','datatype'=>'float','position'=>'right','tab'=>3,
			'sqldef'=>'float(10,4) default \'0\''),
		'ProductItemDeliveryFree' => array('label'=>'ohne Versandkosten','type'=>'checkbox','datatype'=>'int','position'=>'right','tab'=>3,
			'sqldef'=>'int(1) default \'0\'',
			'options'=>array(array('value'=>1,'text'=>'ja'))),
		'ProductItemShippingWeight' => array('label'=>'Versandgewicht','type'=>'textfield','datatype'=>'float','position'=>'right','tab'=>3,
			'sqldef'=>'float(10,4) default \'0\''),
		'ProductItemShopLink' => array('label'=>'Link zum Produkt im Shop','description'=>'Zeigt an Stelle des Kauf-Formulars diesen Link zum Shop an','type'=>'textfield','position'=>'right','tab'=>3,'shy'=>1,
			'sqldef'=>'varchar(255) collate utf8_unicode_ci default NULL'),
		'ProductItemFinance' => array('label'=>'Finanzierung - Konditionen','type'=>'tablearea','dir'=>'data/CMM_Products/files/','filetypes'=>array('txt','csv'),'position'=>'bottom','tab'=>3,
			'sqldef'=>'text collate utf8_unicode_ci'),
		'ProductItemCrossSelling' => array('label'=>'Cross-Selling-Artikel','type'=>'multiselect','attribs'=>array('multiple'=>1,'size'=>10),'position'=>'bottom','tab'=>6,
			'sqldef'=>'varchar(255) collate utf8_unicode_ci default NULL',
			'function'=>array('module'=>'CMM_Products','class'=>'CMM_Products','function'=>'getItemCrossSellingOptions')),
		'ProductItemPlugin' => array('label'=>'Plugin','type'=>'pluginselect','number'=>1,'dir'=>'plugins/','position'=>'top','tab'=>7, // Pfad wird dyn. mit Template-Pfad ergaenzt
			'sqldef'=>'text collate utf8_unicode_ci'),
		'ProductItemImages' => array('label'=>'Bilder','type'=>'imagelist','dir'=>'data/CMM_Products/images/','number'=>'10','position'=>'top','tab'=>4,
			'sqldef'=>'text collate utf8_unicode_ci'),
		'ProductItemVideos' => array('label'=>'Videos','type'=>'videolist','dir'=>'data/CMM_Products/videos/','number'=>'3','position'=>'top','tab'=>4,
			'sqldef'=>'text collate utf8_unicode_ci'),
		'ProductItemFiles' => array('label'=>'Dateien','type'=>'filelist','dir'=>'data/CMM_Products/files/','number'=>'3','position'=>'top','tab'=>4,
			'sqldef'=>'text collate utf8_unicode_ci'),
		'ProductItemLinks' => array('label'=>'Links','type'=>'linklist','number'=>'10','position'=>'top','tab'=>4,
			'sqldef'=>'text collate utf8_unicode_ci'),
		'ProductItemMetaTitle' => array('label'=>'Meta-Titel','type'=>'textfield','position'=>'bottom','tab'=>5,
			'sqldef'=>'varchar(255) collate utf8_unicode_ci default NULL'),
		'ProductItemMetaKeywords' => array('label'=>'Meta-Keywords','type'=>'textfield','position'=>'bottom','tab'=>5,
			'sqldef'=>'varchar(255) collate utf8_unicode_ci default NULL'),
		'ProductItemMetaDescription' => array('label'=>'Meta-Description','type'=>'textfield','position'=>'bottom','tab'=>5,
			'sqldef'=>'varchar(255) collate utf8_unicode_ci default NULL'),
		'ProductItemAddUser' => array('label'=>'Benutzer erstellt','type'=>'hidden','position'=>'bottom','tab'=>9,
			'sqldef'=>'varchar(32) collate utf8_unicode_ci default \'0\''),
		'ProductItemAddDate' => array('label'=>'Datum erstellt','type'=>'hidden','position'=>'bottom','tab'=>9,
			'sqldef'=>'datetime default \'0000-00-00 00:00:00\''),
		'ProductItemModUser' => array('label'=>'Benutzer geändert','type'=>'hidden','position'=>'bottom','tab'=>9,
			'sqldef'=>'varchar(32) collate utf8_unicode_ci default \'0\''),
		'ProductItemModDate' => array('label'=>'Datum geändert','type'=>'hidden','position'=>'bottom','tab'=>9,
			'sqldef'=>'datetime default \'0000-00-00 00:00:00\'')
		),
	'tableset' => array(
		'engine' => 'MyISAM',
		'primarykey' => 'UID',
		'charset' => 'utf8',
		'collation' => 'utf8_unicode_ci',
		'comment' => 'Artikel'
		)
	);

// Datenstamm fuer Kategorien
$CONFIG['CMM_Products']['database']['cmm_products_categories'] = array(
	'tabs' => array(0=>'Text',1=>'Media',5=>'Meta',6=>'Sonstiges',9=>'Anzeige'),
	'tablename' => 'cmm_products_categories',
	'sort' => 'ProductCategorySort ASC',
	'backup' => 1,
	'fieldprefix' => 'ProductCategory',
	'fieldset' => array(
		'ProductCategoryUID' => array('label'=>'ID','type'=>'hidden','tab'=>0,
			'sqldef'=>'int(10) default \'0\''),
		'ProductCategoryPID' => array('label'=>'Seite','type'=>'hidden','tab'=>0,
			'sqldef'=>'int(10) default \'0\''),
		'ProductCategoryTID' => array('label'=>'Typ','type'=>'hidden',
			'sqldef'=>'int(3) default \'0\'','position'=>'top','value'=>'','tab'=>6),
		'ProductCategoryLID' => array('label'=>'Sprache','type'=>'radio','position'=>'top','tab'=>6,
			'sqldef'=>'int(3) default \'0\'',
			'select'=>array('module'=>'CMM','table'=>'cmm_cmm_languages','keyfield'=>'LanguageUID','labelfield'=>'LanguageName','sort'=>'LanguageUID')),
		'ProductCategoryStatus' => array('label'=>'Status','type'=>'radio','position'=>'top','tab'=>9,
			'sqldef'=>'int(1) default \'0\'',
			'options'=>array(array('value'=>1,'text'=>'{LANG_CMM_ENABLED}'),array('value'=>'0','text'=>'{LANG_CMM_DISABLED}'))),
		'ProductCategoryDeleted' => array('label'=>'{LANG_CMM_FIELD_REMOVED}','type'=>'hidden','tab'=>3,
			'sqldef'=>'int(1) default \'0\''),
		'ProductCategorySort' => array('label'=>'Sortierung','type'=>'hidden','position'=>'top','tab'=>0,
			'sqldef'=>'int(10) default \'0\''),
		'ProductCategoryStart' => array('label'=>'Start','type'=>'hidden','position'=>'left','tab'=>9,
			'sqldef'=>'datetime default NULL'),
		'ProductCategoryStop' => array('label'=>'Ende','type'=>'hidden','position'=>'right','tab'=>9,
			'sqldef'=>'datetime default NULL'),
		'ProductCategoryCustomergroupID' => array('label'=>'Anzeige für Benutzergruppen','type'=>'multiselect','attribs'=>array('multiple'=>1,'size'=>6),'position'=>'bottom','tab'=>9,
			'sqldef'=>'varchar(255) collate utf8_unicode_ci default NULL',
			'options'=>array('none'=>array('value'=>'0','text'=>'{LANG_CMM_IF_LOGGED_OUT}'),'all'=>array('value'=>'*','text'=>'{LANG_CMM_IF_LOGGED_IN}')),
			'select'=>array('module'=>'CMM','table'=>'cmm_cmm_customergroups','keyfield'=>'CustomergroupUID','labelfield'=>'CustomergroupUID,CustomergroupName','sort'=>'CustomergroupUID')),
		'ProductCategoryParent' => array('label'=>'Eltern-Kategorie','type'=>'select','position'=>'top','tab'=>0,
			'sqldef'=>'int(10) default \'0\'',
			'function'=>array('module'=>'CMM_Products','class'=>'CMM_Products','function'=>'getItemCidOptions','excludeSelf'=>1,'limitToPage'=>1)),
		'ProductCategoryTitle' => array('label'=>'Titel','type'=>'textfield','attribs'=>array('required'=>1),'position'=>'top','tab'=>0,
			'sqldef'=>'varchar(255) collate utf8_unicode_ci default NULL'),
		'ProductCategoryDescription' => array('label'=>'Beschreibung','type'=>'rte','position'=>'top','tab'=>0,
			'sqldef'=>'text collate utf8_unicode_ci'),
		'ProductCategoryIcon' => array('label'=>'Symbol','type'=>'imagelist','number'=>'1','position'=>'top','dir'=>'data/CMM_Products/images/','tab'=>1,
			'sqldef'=>'text collate utf8_unicode_ci'),
		'ProductCategoryMetaTitle' => array('label'=>'Meta-Titel','type'=>'textfield','position'=>'bottom','tab'=>5,
			'sqldef'=>'varchar(255) collate utf8_unicode_ci default NULL'),
		'ProductCategoryMetaKeywords' => array('label'=>'Meta-Keywords','type'=>'textfield','position'=>'bottom','tab'=>5,
			'sqldef'=>'varchar(255) collate utf8_unicode_ci default NULL'),
		'ProductCategoryMetaDescription' => array('label'=>'Meta-Description','type'=>'textfield','position'=>'bottom','tab'=>5,
			'sqldef'=>'varchar(255) collate utf8_unicode_ci default NULL'),
		'ProductCategoryAddUser' => array('label'=>'Benutzer erstellt','type'=>'hidden','position'=>'left','tab'=>0,
			'sqldef'=>'varchar(32) collate utf8_unicode_ci default \'0\''),
		'ProductCategoryAddDate' => array('label'=>'Datum erstellt','type'=>'hidden','position'=>'left','tab'=>0,
			'sqldef'=>'datetime default \'0000-00-00 00:00:00\''),
		'ProductCategoryModUser' => array('label'=>'Benutzer geändert','type'=>'hidden','position'=>'left','tab'=>0,
			'sqldef'=>'varchar(32) collate utf8_unicode_ci default \'0\''),
		'ProductCategoryModDate' => array('label'=>'Datum geändert','type'=>'hidden','position'=>'left','tab'=>0,
			'sqldef'=>'datetime default \'0000-00-00 00:00:00\''),
		),
	'tableset' => array(
		'engine' => 'MyISAM',
		'primarykey' => 'UID',
		'charset' => 'utf8',
		'collation' => 'utf8_unicode_ci',
		'comment' => 'Kategorien'
		)
	);

// Datenstamm fuer Textvorlagen
$CONFIG['CMM_Products']['database']['cmm_products_texts'] = array(
	'tabs' => array(0=>'Text',1=>'Media',3=>'Sonstiges'),
	'tablename' => 'cmm_products_texts',
	'sort' => 'ProductTextUID DESC',
	'backup' => 1,
	'fieldprefix' => 'ProductText',
	'fieldset' => array(
		'ProductTextUID' => array('label'=>'ID','type'=>'hidden','tab'=>0,
			'sqldef'=>'int(10) default \'0\''),
		'ProductTextPID' => array('label'=>'Seite','type'=>'hidden','tab'=>0,
			'sqldef'=>'int(10) default \'0\''),
		'ProductTextTID' => array('label'=>'Typ','type'=>'hidden',
			'sqldef'=>'int(3) default \'0\'','position'=>'top','value'=>'','tab'=>3),
		'ProductTextLID' => array('label'=>'Sprache','type'=>'radio','position'=>'top','tab'=>3,
			'sqldef'=>'int(3) default \'0\'',
			'select'=>array('module'=>'CMM','table'=>'cmm_cmm_languages','keyfield'=>'LanguageUID','labelfield'=>'LanguageName','sort'=>'LanguageUID')),
		'ProductTextStatus' => array('label'=>'Status','type'=>'hidden','position'=>'top','tab'=>0,
			'sqldef'=>'int(1) default \'0\''),
		'ProductTextDeleted' => array('label'=>'{LANG_CMM_FIELD_REMOVED}','type'=>'hidden','tab'=>3,
			'sqldef'=>'int(1) default \'0\''),
		'ProductTextSort' => array('label'=>'Sortierung','type'=>'hidden',
			'sqldef'=>'int(10) default \'0\'','datatype'=>'int','position'=>'top','tab'=>0),
		'ProductTextStart' => array('label'=>'Start','type'=>'hidden','position'=>'left','tab'=>9,
			'sqldef'=>'datetime default NULL'),
		'ProductTextStop' => array('label'=>'Ende','type'=>'hidden','position'=>'right','tab'=>9,
			'sqldef'=>'datetime default NULL'),
		'ProductTextCustomergroupID' => array('label'=>'Anzeige für Benutzergruppen','type'=>'multiselect',
			'sqldef'=>'varchar(255) collate utf8_unicode_ci default NULL','attribs'=>array('multiple'=>1,'size'=>6),'value'=>array('0','*'),'text'=>array('{LANG_CMM_IF_LOGGED_OUT}','{LANG_CMM_IF_LOGGED_IN}'),'module'=>'CMM','table'=>'cmm_cmm_customergroups','keyfield'=>'CustomergroupUID','labelfield'=>'CustomergroupName','joinmode'=>'backend','position'=>'bottom','tab'=>9),
		'ProductTextTitle' => array('label'=>'Titel','type'=>'textfield',
			'sqldef'=>'varchar(255) collate utf8_unicode_ci default NULL','attribs'=>array('required'=>1),'position'=>'top','tab'=>0),
		'ProductTextDescription' => array('label'=>'Beschreibung','type'=>'rte',
			'sqldef'=>'text collate utf8_unicode_ci','position'=>'top','tab'=>0),
		'ProductTextImages' => array('label'=>'Bilder','type'=>'imagelist',
			'sqldef'=>'text collate utf8_unicode_ci','dir'=>'data/CMM_Products/images/','number'=>'10','position'=>'top','tab'=>4),
		'ProductTextVideos' => array('label'=>'Videos','type'=>'videolist',
			'sqldef'=>'text collate utf8_unicode_ci','dir'=>'data/CMM_Products/videos/','number'=>'3','position'=>'top','tab'=>4),
		'ProductTextFiles' => array('label'=>'Dateien','type'=>'filelist',
			'sqldef'=>'text collate utf8_unicode_ci','dir'=>'data/CMM_Products/files/','number'=>'3','position'=>'top','tab'=>4),
		'ProductTextLinks' => array('label'=>'Links','type'=>'linklist',
			'sqldef'=>'text collate utf8_unicode_ci','number'=>'10','position'=>'top','tab'=>4),
		'ProductTextAddUser' => array('label'=>'Benutzer erstellt','type'=>'hidden','position'=>'left','tab'=>0,
			'sqldef'=>'varchar(32) collate utf8_unicode_ci default \'0\''),
		'ProductTextAddDate' => array('label'=>'Datum erstellt','type'=>'hidden','position'=>'left','tab'=>0,
			'sqldef'=>'datetime default \'0000-00-00 00:00:00\''),
		'ProductTextModUser' => array('label'=>'Benutzer geändert','type'=>'hidden','position'=>'left','tab'=>0,
			'sqldef'=>'varchar(32) collate utf8_unicode_ci default \'0\''),
		'ProductTextModDate' => array('label'=>'Datum geändert','type'=>'hidden','position'=>'left','tab'=>0,
			'sqldef'=>'datetime default \'0000-00-00 00:00:00\'')
		),
	'tableset' => array(
		'engine' => 'MyISAM',
		'primarykey' => 'UID',
		'charset' => 'utf8',
		'collation' => 'utf8_unicode_ci',
		'comment' => 'Zusatztexte'
		)
	);


////////////////////////////////////////////////////////////////////
// Sortier-Variablen (Administration)                             //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Products']['sortVars'] = array();
$CONFIG['CMM_Products']['sortVars']['cmm_products_items'] = array('ProductItemUID','ProductItemSort','ProductItemStatus','ProductItemTitle','ProductCategoryTitle:Kategorie','ProductItemModDate');
$CONFIG['CMM_Products']['sortVars']['cmm_products_categories'] = array('ProductCategoryUID','ProductCategorySort','ProductCategoryStatus','ProductCategoryTitle','ProductCategoryModDate');
$CONFIG['CMM_Products']['sortVars']['cmm_products_texts'] = array('ProductTextUID','ProductTextSort','ProductTextStatus','ProductTextTitle','ProductTextModDate');


////////////////////////////////////////////////////////////////////
// Filter-Variablen (Administration)                              //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Products']['filterVars'] = array();
$CONFIG['CMM_Products']['filterVars']['cmm_products_items'] = array_keys($CONFIG['CMM_Products']['database']['cmm_products_items']['fieldset']);
$CONFIG['CMM_Products']['filterVars']['cmm_products_categories'] = array_keys($CONFIG['CMM_Products']['database']['cmm_products_categories']['fieldset']);
$CONFIG['CMM_Products']['filterVars']['cmm_products_texts'] = array_keys($CONFIG['CMM_Products']['database']['cmm_products_texts']['fieldset']);

// Additional filter fields
$CONFIG['CMM_Products']['filterVars']['cmm_products_items'][] = 'OPTGROUP:Sonstige';
$CONFIG['CMM_Products']['filterVars']['cmm_products_items'][] = 'ProductCategoryTitle:Kategorie-Titel';

?>