<?PHP
/***************************************************************
*  Copyright notice
*
*  (c) 2009-2017 Nicolas Berg
*  All rights reserved
*
*  This script is part of the CMM3 Content-Management-System.
*  CMM3 is provided only under a commercial license until now.
*  Maybe we will add a free license in future.
*
*  This script is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
*
*  This copyright notice MUST APPEAR in all copies of the script!
***************************************************************/

////////////////////////////////////////////////////////////////////
// Modul-Einstellungen                                            //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Search'] = array();
// Module-key
$CONFIG['CMM_Search']['key'] = 'CMM_Search';
// Module-label
$CONFIG['CMM_Search']['label'] = '{LANG_CMM_SEARCH}';
// Module-description
$CONFIG['CMM_Search']['description'] = '{LANG_CMM_SEARCH_DESC}';
// Module-languages
$CONFIG['CMM_Aearch']['languages'] = 'at,de,ch,en,es,fr,nl,ru';
// Module-icon
$CONFIG['CMM_Search']['icon'] = 'CMM_Search.svg';
// Version
$CONFIG['CMM_Search']['version'] = '1.6.5';
// Module-dependencies MOD1:Vmin(:Vmax),MOD2:Vmin(:Vmax),...
$CONFIG['CMM_Search']['depend'] = 'CMM:6.0';


////////////////////////////////////////////////////////////////////
// Set includes for administration                                //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Search']['BE'] = array();
$CONFIG['CMM_Search']['BE']['include'] = array();
// PHP
$CONFIG['CMM_Search']['BE']['include']['PHP'] = array('CMM_Search/structure.php','CMM_Search/sql.php');
// CSS
$CONFIG['CMM_Search']['BE']['include']['CSS'] = array();
// JS
$CONFIG['CMM_Search']['BE']['include']['JS'] = array();


////////////////////////////////////////////////////////////////////
// Set includes for website                                       //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Search']['FE'] = array();
$CONFIG['CMM_Search']['FE']['include'] = array();
// PHP - starting at CMM_ROOT_DIR
$CONFIG['CMM_Search']['FE']['include']['PHP'] = array();
// CSS - starting at CMM_ROOT_DIR
$CONFIG['CMM_Search']['FE']['include']['CSS'] = array('CMM_Search/template/css/CMM_Search.css');
// JS - starting at CMM_ROOT_DIR
$CONFIG['CMM_Search']['FE']['include']['JS'] = array();


////////////////////////////////////////////////////////////////////
// Datenverzeichnisse erstellen                                   //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Search']['dirs'] = array(
	'data/CMM_Search/backup/'
	);


////////////////////////////////////////////////////////////////////
// Plugins                                                        //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Search']['plugins'] = array(
	'CMM_Search_form.php',
	'CMM_Search_list.php'
	);


////////////////////////////////////////////////////////////////////
// Information                                                    //
////////////////////////////////////////////////////////////////////
// Inhalte aussschließen
// <!--SEARCH_EXCLUDE_FILE--> ganze Datei
// <!--SEARCH_EXCLUDE_ON--> INHALT <!--SEARCH_EXCLUDE_OFF--> Teile des Inhaltes


////////////////////////////////////////////////////////////////////
// Weitere Einstellungen                                          //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Search']['config'] = array();

// Einfacher Modus - ohne Auswahl der Speicherseite
$CONFIG['CMM_Search']['config']['simpleMode'] = 0;

// Mindestlaenge des Suchbegriffes (Zeichen)
$CONFIG['CMM_Search']['config']['phraseMinLength'] = 3;
// Laenge des Ergebnistextes
$CONFIG['CMM_Search']['config']['resultMaxLength'] = 300;

// Module generell aus der Suche ausschliessen
$CONFIG['CMM_Search']['config']['excludeModules'] = array('CMM','CMM_Filemanager','CMM_Search');

// Dateisuche zulassen oder nicht (0/1)
$CONFIG['CMM_Search']['config']['searchFiles'] = 1;
// alle mit "/" abschliessen
$CONFIG['CMM_Search']['config']['searchRootDir'] = CMM_ROOT_DIR;
$CONFIG['CMM_Search']['config']['searchRootUrl'] = CMM_ROOT_URL;
// Verzeichnisse, die von der Suche AUSGESCHLOSSEN werden sollen - CMM-Verzeichnisse werden automatisch ignoriert
$CONFIG['CMM_Search']['config']['ignoreDirs'] = array('logs','img','css','js','pix','cgi-bin','incl');
// Dateiendungen, die von der Suche EINGESCHLOSSEN werden sollen
$CONFIG['CMM_Search']['config']['allowFiletypes'] = array('htm','html','shtml','php','php3','php4');

// Enable backup-view in module
$CONFIG['CMM_Search']['config']['enableBackup'] = 0;


////////////////////////////////////////////////////////////////////
// Felddefinitionen fuer Config                                   //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Search']['configFields'] = array(
	'simpleMode' => array('label'=>'Einfacher Modus ohne Seitenbaum','type'=>'radio','options'=>array(array('value'=>'0','text'=>'{LANG_CMM_NO}'),array('value'=>'1','text'=>'{LANG_CMM_YES}')),'position'=>'left'),
	'phraseMinLength' => array('label'=>'Mindestlänge des Suchbegriffes (Zeichen)','type'=>'textfield','datatype'=>'int','position'=>'right'),
	'resultMaxLength' => array('label'=>'Länge des Ergebnistextes (Zeichen)','type'=>'textfield','datatype'=>'int','position'=>'right'),
	'enableBackup' => array('label'=>'Backup aktivieren','type'=>'radio','options'=>array(array('value'=>'0','text'=>'{LANG_CMM_NO}'),array('value'=>'1','text'=>'{LANG_CMM_YES}')),'position'=>'left')
	);


////////////////////////////////////////////////////////////////////
// Modul-Suche                                                    //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Search']['config']['sections'] = array();
// Datei-basierte Seiteninhalte
/*
$CONFIG['CMM_Search']['sections'][0] = array(
	'label' => LANG_CMM_SEARCH_SITE,
	'type' => 'DIR', // DIR, SQL, FSQL, CMM
	'dir' => 'html/' // relativ zur CMM_ROOT_DIR
	);
*/
/*
// Bereichsname, Titelfelder, zu durchsuchende Felder, Zieldatei
!isset($GLOBALS['LanguageUID']) ? $GLOBALS['LanguageUID']=1 : ''; // Zusatz fuer CMM_Contents
$CONFIG['CMM_Search']['config']['sections'][1] = array(
	'status' => '1',
	'label' => 'Seiteninhalte',
	'PID' => '',
	'resultPID' => '{$ContentPID}',
	'resultPIDparams' => '#content_{$ContentUID}',
	'resultPIDfilter' => '',

	'hits' => 0, // nicht veraendern - Trefferanzahl wird erzeugt
	'type' => 'SQL',
	'tablename' => 'cmm_contents_contents',
	'fieldprefix' => 'Content',
	'join' => array('cmm_cmm_pages|ContentPID=PageUID','cmm_cmm_pages_lbc|PagePID_lbc=PageUID|PageLID_lbc='.$GLOBALS['LanguageUID']), // Join-Table|Join-Table-Field=Table-Field|[Join-Table-Field=Value]
	'filter' => array('ContentNoSearch'=>0,'PageNoSearch'=>0), // Zusatzfilter
	'titleFields' => array('ContentTitle'),
	'textFields' => array('ContentHTML','ContentText'),
	'searchFields' => array('ContentTitle','ContentHTML','ContentText'),
	'extraFields' => array(),
	'deletedField' => 'ContentDeleted'
	);
// Bereichsname, Titelfelder, zu durchsuchende Felder, Zieldatei
$CONFIG['CMM_Search']['config']['sections'][2] = array(
	'status' => '1',
	'label' => 'News',
	'PID' => '6',
	'resultPID' => '12',
	'resultPIDparams' => '?CMM_News[NewsItemUID]={$NewsItemUID}',
	'resultPIDfilter' => '',

	'hits' => 0, // nicht veraendern - Trefferanzahl wird erzeugt
	'type' => 'SQL',
	'tablename' => 'cmm_news_items',
	'fieldprefix' => 'NewsItem',
	'join' => array('cmm_news_categories|NewsCategoryUID=NewsItemTID'), // Join-Table|Join-Table-Field=Table-Field|[Join-Table-Field=Value]
	'filter' => array(), // Zusatzfilter
	'titleFields' => array('NewsItemTitle'),
	'textFields' => array('NewsItemSubtitle','NewsItemShorttext','NewsItemText'),
	'searchFields' => array('NewsItemTitle','NewsItemSubtitle','NewsItemShorttext','NewsItemText'),
	'extraFields' => array(),
	'deletedField' => 'NewsItemDeleted'
	);
*/

?>