<?PHP
/***************************************************************
*  Copyright notice
*
*  (c) 2009-2017 Nicolas Berg
*  All rights reserved
*
*  This script is part of the CMM3 Content-Management-System.
*  CMM3 is provided only under a commercial license until now.
*  Maybe we will add a free license in future.
*
*  This script is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
*
*  This copyright notice MUST APPEAR in all copies of the script!
***************************************************************/

///////////////////////////////////////////////////////////
// Plugin fuer Suche-Formular                            //
///////////////////////////////////////////////////////////
// V 1.0 First release
// V 1.0.1 Erweiterung auf Mehrsprachigkeit
// V 1.0.2 Erkennung metaMode -> keine Ausfuehrung
// V 1.0.3 Feld-Definitionen eingefuegt
// V 1.0.4 Ergaenzung fuer Platzhaltertext Suchbegriff
// V 1.0.5 QUALITY-FIX
///////////////////////////////////////////////////////////
include_once(CMM_ROOT_DIR.'CMM_Search/index.php');

/* PARAMS START - Marker-Comments required! */
$params = array(
	'templateFile'=>'CMM_Search/template/html/CMM_Search_form.html',
	'listPID' => '',
	'placeholder' => LANG_CMM_SEARCH_SUCHBEGRIFF,
	'buttontext' => LANG_CMM_SEARCH_START,
	'cacheTimeout'=>86400
	);
/* PARAMS END */

/* FIELDSET START - Marker-Comments required! */
$fieldset = array(
	'templateFile' => array('label'=>'HTML-Vorlagen-Datei','type'=>'textfield','datatype'=>'text','position'=>'bottom','shy'=>1),
	'listPID' => array('label'=>'Seite: Listen-Anzeige (PID)','type'=>'linkfield','position'=>'left'),
	'placeholder' => array('label'=>'Platzhaltertext (default aus Sprachdatei)','type'=>'textfield','datatype'=>'text','position'=>'right'),
	'buttontext' => array('label'=>'Buttontext (default aus Sprachdatei)','type'=>'textfield','datatype'=>'text','position'=>'right'),
	'cacheTimeout' => array('label'=>'{LANG_CMM_CACHE_TIMEOUT}','type'=>'textfield','datatype'=>'int','position'=>'bottom','shy'=>1)
	);
/* FIELDSET END */

// Set customer group
$params['CustomerCustomergroupID'] = isset($GLOBALS['CustomergroupUID']) ? $GLOBALS['CustomergroupUID'] : 0;
// Set language
$params['LID'] = isset($GLOBALS['LanguageUID']) ? $GLOBALS['LanguageUID'] : 1;

// Merge params and pluginParams
$params = CMM_mergePluginParams($params,$pluginParams);

// Inhalt ausgeben, wenn nicht im metaMode 
$extSearchForm = new CMM_Search;
$pluginContent = $extSearchForm->createForm($params);

unset($params);
?>