<?PHP
/***************************************************************
*  Copyright notice
*
*  (c) 2009-2017 Nicolas Berg
*  All rights reserved
*
*  This script is part of the CMM3 Content-Management-System.
*  CMM3 is provided only under a commercial license until now.
*  Maybe we will add a free license in future.
*
*  This script is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
*
*  This copyright notice MUST APPEAR in all copies of the script!
***************************************************************/

///////////////////////////////////////////////////////////
// Plugin fuer Suche-Liste                               //
///////////////////////////////////////////////////////////
// V 1.0 First release
// V 1.0.1 Erweiterung auf Mehrsprachigkeit
// V 1.0.2 Erweiterung fuer ID aus PageAlias
// V 1.0.3 Erkennung metaMode -> keine Ausfuehrung
// V 1.0.4 Feld-Definitionen eingefuegt
// V 1.0.5 params geaendert fuer Definition der Suchsektionen
// V 1.0.6 Start-Erkennung angepasst
///////////////////////////////////////////////////////////
include_once(CMM_ROOT_DIR.'CMM_Search/index.php');

/* PARAMS START - Marker-Comments required! */
$params = array(
	'dataPID' => '{$CONFIG["CMM_Search"]["config"]["dataPID"]}',
	'listPID' => '{$GLOBALS["PageUID"]}',
	'pagenaviShow'=>1,
	'pagenaviPages'=>'',
	'limit'=>'{$_REQUEST["CMM_Search"]["limit"]}',
	'limitShow' => 1,
	'limitOptions'=>'{array(6,12,18,24,36)}',
//	'filter'=>'{$_REQUEST["CMM_Search"]["filter"]}',
	'q'=>'{$_REQUEST["CMM_Search"]["q"]}',
	'section'=>'{$_REQUEST["CMM_Search"]["section"]}',
	'sections'=>'{$_REQUEST["CMM_Search"]["sections"]}',
	'templateFile'=>'CMM_Search/template/html/CMM_Search_list.html',
	'sort'=>'SearchObjectHits DESC',
	'start'=>'{$_REQUEST["CMM_Search"]["start"]}',
	'cacheTimeout'=>0
	);
/* PARAMS END */

/* FIELDSET START - Marker-Comments required! */
$fieldset = array(
	'dataPID' => array('label'=>'Seite: Datensätze (PID)','type'=>'linkfield','position'=>'left'),
	'listPID' => array('label'=>'Seite: Listen-Anzeige (PID)','type'=>'linkfield','position'=>'left'),
	'pagenaviShow' => array('label'=>'Seitennavigation: anzeigen','type'=>'radio','options'=>array(array('value'=>'0','text'=>'{LANG_CMM_NO}'),array('value'=>'1','text'=>'{LANG_CMM_YES}')),'position'=>'right'),
	'pagenaviPages' => array('label'=>'Seitennavigation: max. Seiten','type'=>'textfield','datatype'=>'code','position'=>'right'),
	'limit' => array('label'=>'Einträge pro Seite: (Anzahl oder Variable)','type'=>'textfield','datatype'=>'code','position'=>'right'),
	'limitShow' => array('label'=>'Einträge pro Seite: Auswahl anzeigen','type'=>'radio','options'=>array(array('value'=>'0','text'=>'{LANG_CMM_NO}'),array('value'=>'1','text'=>'{LANG_CMM_YES}')),'position'=>'right'),
	'limitOptions' => array('label'=>'Einträge pro Seite: Auswahlwerte','type'=>'textfield','datatype'=>'code','position'=>'right'),
//	'filter' => array('label'=>'Filter: Einträge filtern','type'=>'hidden','position'=>'bottom'),
	'q' => array('label'=>'Suchbegriff','type'=>'hidden','position'=>'bottom'),
	'section' => array('label'=>'ausgewählte Sektion','type'=>'hidden','position'=>'bottom'),
	'sections' => array('label'=>'Suchbereiche','type'=>'searchsectionlist','description'=>'Fügen Sie hier die Bereiche hinzu, die durchsucht werden sollen.<br>In das Feld <b>&quot;Datenseiten&quot;</b> werden die Seiten mit den Datensätzen des Moduls eingetragen.<br>In das Feld <b>&quot;Zielseite&quot;</b> tragen Sie die Seite ein, auf der die Datensätze angezeigt werden sollen.<br>Im Feld <b>&quot;Zielseiten-Umleitung&quot;</b> können Sie die Ausgabe mehrerer Datenordner auf separate Zielseiten umleiten.<br>Durch Verschieben der Container ändern Sie die Reihenfolge der Suche.','position'=>'top'),
	'templateFile' => array('label'=>'HTML-Vorlagen-Datei','type'=>'textfield','datatype'=>'text','position'=>'bottom','shy'=>1),
	'sort' => array('label'=>'Sortierung: Einträge nach Feld(ern) sortieren','type'=>'textfield','datatype'=>'code','position'=>'bottom','shy'=>1),
	'start' => array('label'=>'Liste beginnen bei (Anzahl oder Variable)','type'=>'hidden','position'=>'right'),
	'cacheTimeout' => array('label'=>'{LANG_CMM_CACHE_TIMEOUT}','type'=>'textfield','datatype'=>'int','position'=>'bottom','shy'=>1)
	);
/* FIELDSET END */

// Set customer group
$params['CustomerCustomergroupID'] = isset($GLOBALS['CustomergroupUID']) ? $GLOBALS['CustomergroupUID'] : 0;
// Set language
$params['LID'] = isset($GLOBALS['LanguageUID']) ? $GLOBALS['LanguageUID'] : 1;

// Merge params and pluginParams
$params = CMM_mergePluginParams($params,$pluginParams);

// UID/CID aus Pagetail ermitteln
if($CONFIG['CMM']['config']['seoUseSeoUrls']==true)
	{
	if(isset($params['start']) && strstr($params['start'],'{') && !empty($GLOBALS['PageTail']))
		{
		$tempStart = CMM_getPagetailParams($GLOBALS['PageTail'],'start');
		!empty($tempStart) ? $params['start'] = $tempStart : '';
		}
	}

// Inhalt ausgeben
$extSearchList = new CMM_Search;
$pluginContent = $extSearchList->createResults($params);

unset($params);
?>