<?PHP
/***************************************************************
*  Copyright notice
*
*  (c) 2009-2017 Nicolas Berg
*  All rights reserved
*
*  This script is part of the CMM3 Content-Management-System.
*  CMM3 is provided only under a commercial license until now.
*  Maybe we will add a free license in future.
*
*  This script is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
*
*  This copyright notice MUST APPEAR in all copies of the script!
***************************************************************/

// V 1.0 First release
// V 1.0.1 Verarbeitung von Config angepasst
// V 1.0.2 PASTE-Action mod
// V 1.0.3 Mod userLevels

////////////////////////////////////////////////////////////////////
// Modul-Anzeigen                                                 //
////////////////////////////////////////////////////////////////////
// - label: Bezeichnung des Feldes
// - table: Haupt-Datenbanktabelle
// - userLevel: Berechntigungsstufe fuer Datensaetze
// - navi: Anzeige in der Hauptnavigation
$CONFIG['CMM_Search']['views'] = array();
$CONFIG['CMM_Search']['views']['INDEX'] = array('label'=>'{LANG_CMM_SEARCH_VIEW_INDEX}','userLevel'=>1);
$CONFIG['CMM_Search']['views']['ITEMS'] = array('label'=>'{LANG_CMM_SEARCH_VIEW_ITEMS}','table'=>'cmm_search_history','userLevel'=>1,'inNavi'=>1);
$CONFIG['CMM_Search']['views']['CONFIG'] = array('label'=>'{LANG_CMM_SEARCH_VIEW_CONFIG}','table'=>'cmm_cmm_config','userLevel'=>6,'inNavi'=>1);
$CONFIG['CMM_Search']['views']['BACKUP'] = array('label'=>'{LANG_CMM_SEARCH_VIEW_BACKUP}','userLevel'=>1,'inNavi'=>(!empty($GLOBALS['isBackend']) && !empty($CUSTOM['CMM_Search']['config']['enableBackup']) ? 1 : 0));
$CONFIG['CMM_Search']['views']['INSTALL'] = array('label'=>'{LANG_CMM_SEARCH_VIEW_INSTALL}','userLevel'=>3);


////////////////////////////////////////////////////////////////////
// Modulfunktionen                                                //
////////////////////////////////////////////////////////////////////
// - label: Bezeichnung des Feldes
// - area: Anzeige-Bereich
// - userLevel: Berechntigungsstufe fuer Datensaetze
// - icon: Icon fuer Listenansicht
// - action: Aktion, die ausgefuehrt werden soll
// - clipboardAction: Aktion, die spaeter ausgefuehrt werden soll
// - message: Frage vor Ausfuerung der Funktion
// - condition: Bedingung pruefen (Datenbankfeld) item/_SESSION/_GET/_POST/_COOKIE/_ENV[keyvar]==value
// - file: Funktion in externer Datei ausfuehren
// - target: Zielfenster fuer Funktion

$CONFIG['CMM_Search']['views']['ITEMS']['actions'] = array(
	'LIST' => array('label'=>'{LANG_CMM_ACTION_LIST}','userLevel'=>0),
	'REMOVE' => array('label'=>'{LANG_CMM_ACTION_REMOVE}','area'=>'list,singlehead','userLevel'=>3,'icon'=>'icon-action-remove.svg','condition'=>'$item["SearchHistoryUID"]>0','message'=>'{LANG_CMM_ACTION_REMOVE_CONFIRM}'),
	'REMOVEALL' => array('label'=>'{LANG_CMM_ACTION_REMOVEALL}','area'=>'listhead','userLevel'=>6,'icon'=>'icon-action-remove.svg','message'=>'{LANG_CMM_ACTION_REMOVEALL_CONFIRM}')
	);

$CONFIG['CMM_Search']['views']['BACKUP']['actions'] = array(
	'BACKUP' => array('label'=>'Datensicherung','userLevel'=>1,'inNavi'=>1),
	'INSTALLDB' => array('label'=>'Datenbanktabellen konfigurieren','userLevel'=>6),
	'BACKUPMAKE' => array('label'=>'Sicherung erstellen','userLevel'=>6,'inNavi'=>0),
	'BACKUPRESTORE' => array('label'=>'Sicherung zurückschreiben','userLevel'=>6,'inNavi'=>0),
	'BACKUPREMOVE' => array('label'=>'Sicherung löschen','userLevel'=>6,'inNavi'=>0)
	);

$CONFIG['CMM_Search']['views']['CONFIG']['actions'] = array(
	'CONFIG' => array('label'=>'Konfiguration','userLevel'=>1,'inNavi'=>1),
	'CONFIGSAVE' => array('label'=>'Konfiguration','area'=>'singlehead','userLevel'=>6,'icon'=>'icon-action-save.svg')
	);

$CONFIG['CMM_Search']['views']['INSTALL']['actions'] = array(
	'INSTALL' => array('label'=>'Installation','userLevel'=>6,'inNavi'=>0)
	);


////////////////////////////////////////////////////////////////////
// Datenbank-Tabellen                                             //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Search']['database'] = array();

// Datenstamm fuer Suchbegriffe
$CONFIG['CMM_Search']['database']['cmm_search_history'] = array(
	'tabs' => array(0=>'Standard',1=>'Media',2=>'Plugins',3=>'Sonstiges',9=>'Anzeige'),
	'tablename' => 'cmm_search_history',
	'sort' => 'SearchHistoryUID DESC',
	'backup' => 1,
	'fieldprefix' => 'SearchHistory',
	'fieldset' => array(
		'SearchHistoryUID' => array('label'=>'ID','type'=>'hidden','position'=>'top','tab'=>0,
			'sqldef'=>'int(10) default \'0\''),
		'SearchHistoryPID' => array('label'=>'ParentID','type'=>'hidden','position'=>'top','tab'=>0,
			'sqldef'=>'int(10) default \'0\''),
		'SearchHistoryTID' => array('label'=>'News-Kategorie(n)','type'=>'hidden','position'=>'left','tab'=>0,
			'sqldef'=>'int(3) default \'0\''),
		'SearchHistoryLID' => array('label'=>'Sprache','type'=>'radio','position'=>'top','tab'=>3,
			'sqldef'=>'int(3) default \'0\'',
			'select'=>array('module'=>'CMM','table'=>'cmm_cmm_languages','keyfield'=>'LanguageUID','labelfield'=>'LanguageName','sort'=>'LanguageUID')),
		'SearchHistoryStatus' => array('label'=>'Status','type'=>'hidden','position'=>'top','tab'=>0,
			'sqldef'=>'int(1) default \'0\''),
		'SearchHistorySort' => array('label'=>'Sortierung','type'=>'hidden','position'=>'top','tab'=>3,
			'sqldef'=>'int(10) default \'0\''),
		'SearchHistoryStart' => array('label'=>'Start','type'=>'datetime','position'=>'left','tab'=>9,
			'sqldef'=>'datetime default NULL'),
		'SearchHistoryStop' => array('label'=>'Ende','type'=>'datetime','position'=>'right','tab'=>9,
			'sqldef'=>'datetime default NULL'),
		'SearchHistoryCustomergroupID' => array('label'=>'Anzeige für Benutzergruppen','type'=>'hidden','position'=>'bottom','tab'=>9,
			'sqldef'=>'varchar(255) collate utf8_unicode_ci default NULL'),
	//	'SearchHistoryCustomergroupID' => array('label'=>'Anzeige für Benutzergruppen','type'=>'multiselect','attribs'=>array('multiple'=>1,'size'=>6),'position'=>'bottom','tab'=>9,
	//		'sqldef'=>'varchar(255) collate utf8_unicode_ci default NULL',
	//		'options'=>array('none'=>array('value'=>'0','text'=>'{LANG_CMM_IF_LOGGED_OUT}'),'all'=>array('value'=>'*','text'=>'{LANG_CMM_IF_LOGGED_IN}')),
	//		'select'=>array('module'=>'CMM','table'=>'cmm_cmm_customergroups','keyfield'=>'CustomergroupUID','labelfield'=>'CustomergroupUID,CustomergroupName','sort'=>'CustomergroupUID')),
		'SearchHistoryItem' => array('label'=>'Suchbegriff','type'=>'textfield','attribs'=>array('required'=>1),'position'=>'left','tab'=>0,
			'sqldef'=>'varchar(255) collate utf8_unicode_ci default NULL'),
		'SearchHistorySection' => array('label'=>'Bereich','type'=>'textfield','position'=>'right','tab'=>0,
			'sqldef'=>'varchar(255) collate utf8_unicode_ci default NULL'),
		'SearchHistoryCount' => array('label'=>'Zähler','type'=>'textfield','datatype'=>'int','position'=>'left','tab'=>0,
			'sqldef'=>'int(10) default \'0\''),
		'SearchHistorySuccess' => array('label'=>'Gefunden?','type'=>'radio','position'=>'right','tab'=>0,
			'sqldef'=>'int(10) default \'0\'',
			'options'=>array(array('value'=>'0','text'=>'{LANG_CMM_NO}'),array('value'=>'1','text'=>'{LANG_CMM_YES}'))),
		'SearchHistoryAddDate' => array('label'=>'Datum erstellt','type'=>'hidden','position'=>'left','tab'=>0,
			'sqldef'=>'datetime default \'0000-00-00 00:00:00\''),
		'SearchHistoryAddUser' => array('label'=>'Benutzer erstellt','type'=>'hidden','position'=>'left','tab'=>0,
			'sqldef'=>'varchar(32) collate utf8_unicode_ci default \'0\''),
		'SearchHistoryModDate' => array('label'=>'Datum geändert','type'=>'hidden','position'=>'left','tab'=>0,
			'sqldef'=>'datetime default \'0000-00-00 00:00:00\''),
		'SearchHistoryModUser' => array('label'=>'Benutzer geändert','type'=>'hidden','position'=>'left','tab'=>0,
			'sqldef'=>'varchar(32) collate utf8_unicode_ci default \'0\'')
		),
	'tableset' => array(
		'engine' => 'MyISAM',
		'primarykey' => 'UID',
		'charset' => 'utf8',
		'collation' => 'utf8_unicode_ci',
		'comment' => 'Suchbegriffe'
		)
	);


////////////////////////////////////////////////////////////////////
// Sortier-Variablen (Administration)                             //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Search']['sortVars'] = array();
$CONFIG['CMM_Search']['sortVars']['cmm_search_history'] = array('SearchHistoryUID','SearchHistoryItem','SearchHistorySection','SearchHistoryCount','SearchHistorySuccess','SearchHistoryModDate');


////////////////////////////////////////////////////////////////////
// Filter-Variablen (Administration)                             //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Search']['filterVars'] = array();
$CONFIG['CMM_Search']['filterVars']['cmm_search_history'] = array_keys($CONFIG['CMM_Search']['database']['cmm_search_history']['fieldset']);

?>