<?PHP
/***************************************************************
*  Copyright notice
*
*  (c) 2009-2017 Nicolas Berg
*  All rights reserved
*
*  This script is part of the CMM3 Content-Management-System.
*  CMM3 is provided only under a commercial license until now.
*  Maybe we will add a free license in future.
*
*  This script is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
*
*  This copyright notice MUST APPEAR in all copies of the script!
***************************************************************/

////////////////////////////////////////////////////////////////////
// Modul-Einstellungen                                            //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Shoelasts'] = array();
// Modulpraefix
$CONFIG['CMM_Shoelasts']['key'] = 'CMM_Shoelasts';
// Modulname
$CONFIG['CMM_Shoelasts']['label'] = 'Schuhleisten';
// Modulbeschreibung
$CONFIG['CMM_Shoelasts']['description'] = 'Modul zur Verwaltung von Schuhleisten mit Kategorien';
// Module-languages
$CONFIG['CMM_Shoelasts']['languages'] = 'at,de,ch,en';
// Modulicon
$CONFIG['CMM_Shoelasts']['icon'] = 'CMM_Shoelasts.svg';
// Modulversion
$CONFIG['CMM_Shoelasts']['version'] = '1.6.7';
// Dependencies
$CONFIG['CMM_Shoelasts']['depend'] = 'CMM:6.0';


////////////////////////////////////////////////////////////////////
// Set includes for administration                                //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Shoelasts']['BE'] = array();
$CONFIG['CMM_Shoelasts']['BE']['include'] = array();
// PHP
$CONFIG['CMM_Shoelasts']['BE']['include']['PHP'] = array('CMM_Shoelasts/structure.php');
// CSS
$CONFIG['CMM_Shoelasts']['BE']['include']['CSS'] = array();
// JS
$CONFIG['CMM_Shoelasts']['BE']['include']['JS'] = array();


////////////////////////////////////////////////////////////////////
// Set includes for website                                       //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Shoelasts']['FE'] = array();
$CONFIG['CMM_Shoelasts']['FE']['include'] = array();
// PHP - starting at CMM_ROOT_DIR
$CONFIG['CMM_Shoelasts']['FE']['include']['PHP'] = array();
// CSS - starting at CMM_ROOT_DIR
$CONFIG['CMM_Shoelasts']['FE']['include']['CSS'] = array('CMM_Shoelasts/template/css/CMM_Shoelasts.css');
// JS - starting at CMM_ROOT_DIR
$CONFIG['CMM_Shoelasts']['FE']['include']['JS'] = array('CMM_Shoelasts/template/js/CMM_Shoelasts.js');


////////////////////////////////////////////////////////////////////
// Datenverzeichnisse erstellen                                   //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Shoelasts']['dirs'] = array(
	'data/CMM_Shoelasts/backup/',
	'data/CMM_Shoelasts/images/',
	'data/CMM_Shoelasts/videos/',
	'data/CMM_Shoelasts/audios/',
	'data/CMM_Shoelasts/files/'
	);


////////////////////////////////////////////////////////////////////
// Plugins                                                        //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Shoelasts']['plugins'] = array(
	'CMM_Shoelasts_navi.php',
	'CMM_Shoelasts_category.php',
	'CMM_Shoelasts_list.php',
	'CMM_Shoelasts_short.php',
	'CMM_Shoelasts_random.php',
	'CMM_Shoelasts_detail.php',
	'CMM_Shoelasts_path.php',
	'createSelectOptions.php',
	'getItemByModel.php',
	'replaceDescriptionIDs.php'
	);


////////////////////////////////////////////////////////////////////
// Weitere Einstellungen                                          //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Shoelasts']['config'] = array();

// Einfacher Modus - ohne Auswahl der Speicherseite
$CONFIG['CMM_Shoelasts']['config']['simpleMode'] = 0;
// Anzahl der Eintraege pro Kategorie in der Navigation anzeigen?
$CONFIG['CMM_Shoelasts']['config']['dispayCategoryCounter'] = 1;
// Anzeige der Detailansichten zaehlen?
$CONFIG['CMM_Shoelasts']['config']['countImpressions'] = 1;

// Lieferstati
$CONFIG['CMM_Shoelasts']['config']['deliveryStatus'] = array('0'=>'{LANG_CMM_SHOELASTS_DELIVERY_NOW}','2'=>'ca. 1-2 {LANG_CMM_DAYS}','3'=>'ca. 2-3 {LANG_CMM_DAYS}','4'=>'ca. 7 {LANG_CMM_DAYS}','5'=>'ca. 14 {LANG_CMM_DAYS}','100'=>'{LANG_CMM_SHOELASTS_DELIVERY_NOT}');

// Text-IDs
$CONFIG['CMM_Shoelasts']['config']['textIDs'] = array('AA','AB','AC','AD','AE','AF','BA','BB','BC','BD','BE','BF','BG','BH','BI','BJ','BK','BL','BM','BN','BO','CA','CB','CC','CD','CE','CF','CG','CH','CI','CJ','CK','CL','DA','DB','DC','DD','DE','DF','DG','EA','EB','EC','ED','EE','EF','EG','EH','EI','FA','FB','FC','FD','FE','FF','FG','FH','FI','FJ','FK','FL','FM','FN','FO','FP','FQ','GA','GB','GC','GD','GE','GF','GG','GH','GI','GJ','GK'); 

// Meta-Felder
$CONFIG['CMM_Shoelasts']['config']['metaTitleFields'] = array('ShoelastsItemModel','ShoelastsItemTitle');
$CONFIG['CMM_Shoelasts']['config']['metaKeywordsFields'] = array('ShoelastsItemModel','ShoelastsItemTitle','ShoelastsItemShorttext');
$CONFIG['CMM_Shoelasts']['config']['metaDescriptionFields'] = array('ShoelastsItemShorttext','ShoelastsItemDescription');

// Backup-Ansicht aktivieren
$CONFIG['CMM_Shoelasts']['config']['enableBackup'] = 0;


////////////////////////////////////////////////////////////////////
// Felddefinitionen fuer Config                                   //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Shoelasts']['configFields'] = array(
	'simpleMode' => array('label'=>'Einfacher Modus ohne Seitenbaum','type'=>'radio','options'=>array(array('value'=>'0','text'=>'{LANG_CMM_NO}'),array('value'=>'1','text'=>'{LANG_CMM_YES}')),'position'=>'left'),
	'dispayCategoryCounter' => array('label'=>'Anzahl der Einträge in Navigation anzeigen','type'=>'radio','options'=>array(array('value'=>'0','text'=>'{LANG_CMM_NO}'),array('value'=>'1','text'=>'{LANG_CMM_YES}')),'position'=>'left'),
	'countImpressions' => array('label'=>'Detailanzeige der Einträge zählen','type'=>'radio','options'=>array(array('value'=>'0','text'=>'{LANG_CMM_NO}'),array('value'=>'1','text'=>'{LANG_CMM_YES}')),'position'=>'left'),
	'enableBackup' => array('label'=>'Backup aktivieren','type'=>'radio','options'=>array(array('value'=>'0','text'=>'{LANG_CMM_NO}'),array('value'=>'1','text'=>'{LANG_CMM_YES}')),'position'=>'left')
	);


////////////////////////////////////////////////////////////////////
// Einstellungen fuer Suche                                       //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Shoelasts']['config']['search'] = array(
	'label' => '{LANG_CMM_SHOELASTS_LABEL}',
	'resultPIDparams' => ($CONFIG['CMM']['config']['seoUseSeoUrls']==true ? '/{$ShoelastsCategoryTitle|validatealias}.{$ShoelastsItemCID}/{$ShoelastsItemModel}.{$ShoelastsItemUID}' : '?CMM_Shoelasts[ShoelastsItemCID]={$ShoelastsItemCID}&CMM_Shoelasts[ShoelastsItemUID]={$ShoelastsItemUID}'),
	'resultPIDfilter' => '',
	'tablename' => 'cmm_shoelasts_items',
	'fieldprefix' => 'ShoelastsItem',
	'join' => array('cmm_shoelasts_categories|ShoelastsItemCID=ShoelastsCategoryUID'), // Join-Table|Join-Table-Field=Table-Field|[Join-Table-Field=Value]
	'filter' => array(), // Zusatzfilter
	'titleFields' => array('ShoelastsItemModel','ShoelastsCategoryTitle'),
	'textFields' => array('ShoelastsItemModel','ShoelastsItemModelAlt','ShoelastsItemTitle','ShoelastsItemShorttext','ShoelastsItemDescription'),
	'searchFields' => array('ShoelastsItemModel','ShoelastsItemModelAlt','ShoelastsItemTitle','ShoelastsCategoryTitle','ShoelastsItemShorttext','ShoelastsItemDescription'),
	'extraFields' => array('ShoelastsItemCID','ShoelastsCategoryTitle','ShoelastsItemModel'),
	'deletedField' => 'ShoelastsItemDeleted'
	);

?>