<?PHP
/***************************************************************
*  Copyright notice
*
*  (c) 2009-2017 Nicolas Berg
*  All rights reserved
*
*  This script is part of the CMM3 Content-Management-System.
*  CMM3 is provided only under a commercial license until now.
*  Maybe we will add a free license in future.
*
*  This script is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
*
*  This copyright notice MUST APPEAR in all copies of the script!
***************************************************************/

///////////////////////////////////////////////////////////
// Plugin fuer Objekt-Liste                              //
///////////////////////////////////////////////////////////
// V 1.0 First release
// V 1.0.1 Erweiterung auf Mehrsprachigkeit
// V 1.0.2 Ausfuehrung nur, wenn nicht im metaMode
///////////////////////////////////////////////////////////
include_once(CMM_ROOT_DIR.'CMM_Shoelasts/index.php');

/* PARAMS START - Marker-Comments required! */
$params = array(
	'templateFile'=>'CMM_Shoelasts/template/html/CMM_Shoelasts_category.html',
	'dataPID'=>'', // Seiten-ID der Datensatzsammlung
	'listPID'=>'',
	'limit'=>'100',
	'startID'=>'0', // Navigations-Start-ID
	'metaData' => 1,
	'metaOverride' => 1,
	'CID'=>'{$_REQUEST["CMM_Shoelasts"]["ShoelastsItemCID"]}',
	'CIDinPageAlias'=>1,
	'filter'=>'{$_REQUEST["CMM_Shoelasts"]["filter"]}',
	'sort'=>'ShoelastsCategorySort ASC',
	'cacheTimeout'=>86400
	);
/* PARAMS END */

/* FIELDSET START - Marker-Comments required! */
$fieldset = array(
	'templateFile' => array('label'=>'HTML-Vorlagen-Datei','type'=>'textfield','datatype'=>'text','position'=>'bottom'),
	'dataPID' => array('label'=>'Seite: Datensätze (PID)','type'=>'linkfield','position'=>'left'),
	'listPID' => array('label'=>'Seite: Listen-Anzeige (PID)','type'=>'linkfield','position'=>'left'),
	'startID' => array('label'=>'Navigation: Start-Kategorie (UID)','type'=>'textfield','datatype'=>'int','position'=>'right'),
	'metaData' => array('label'=>'Beitragsdaten zu Meta-Daten hinzufuegen','type'=>'radio','options'=>array(array('value'=>'0','text'=>'{LANG_CMM_NO}'),array('value'=>'1','text'=>'{LANG_CMM_YES}')),'position'=>'right'),
	'metaOverride' => array('label'=>'Beitragsdaten ersetzen Meta-Daten','type'=>'radio','options'=>array(array('value'=>'0','text'=>'{LANG_CMM_NO}'),array('value'=>'1','text'=>'{LANG_CMM_YES}')),'position'=>'right'),
	'CID' => array('label'=>'Kategorie: nur diese anzeigen (CID)','type'=>'textfield','datatype'=>'text','position'=>'right'),
	'CIDinPageAlias' => array('label'=>'Eintrag: CID aus SEO-URL ermitteln','type'=>'radio','options'=>array(array('value'=>'0','text'=>'{LANG_CMM_NO}'),array('value'=>'1','text'=>'{LANG_CMM_YES}')),'position'=>'right','shy'=>1),
	'filter' => array('label'=>'Filter: Einträge filtern','type'=>'textfield','datatype'=>'code','position'=>'bottom','shy'=>1),
	'sort' => array('label'=>'Sortierung: Einträge nach Feld(ern) sortieren','type'=>'textfield','datatype'=>'code','position'=>'bottom','shy'=>1),
	'cacheTimeout' => array('label'=>'{LANG_CMM_CACHE_TIMEOUT}','type'=>'textfield','datatype'=>'int','position'=>'bottom','shy'=>1)
	);
/* FIELDSET END */

// Set customer group
$params['CustomerCustomergroupID'] = isset($GLOBALS['CustomergroupUID']) ? $GLOBALS['CustomergroupUID'] : 0;
// Set language
$params['LID'] = isset($GLOBALS['LanguageUID']) ? $GLOBALS['LanguageUID'] : 1;

// Merge params and pluginParams
$params = CMM_mergePluginParams($params,$pluginParams);

// UID/CID aus Pagetail ermitteln
if($CONFIG['CMM']['config']['seoUseSeoUrls']==true)
	{
	if(isset($params['CID']) && stristr($params['CID'],'{') && !empty($GLOBALS['PageTail']))
		{ $params['CID'] = CMM_getPagetailParams($GLOBALS['PageTail'],'first'); }
	if(isset($params['start']) && strstr($params['start'],'{') && !empty($GLOBALS['PageTail']))
		{
		$tempStart = CMM_getPagetailParams($GLOBALS['PageTail'],'start');
		!empty($tempStart) ? $params['start'] = $tempStart : '';
		}
	}

// Inhalt ausgeben
$extShoelastsList = new CMM_Shoelasts;
$pluginContent = $extShoelastsList->createCategory($params);

unset($params);
?>