<?PHP
/***************************************************************
*  Copyright notice
*
*  (c) 2009-2017 Nicolas Berg
*  All rights reserved
*
*  This script is part of the CMM3 Content-Management-System.
*  CMM3 is provided only under a commercial license until now.
*  Maybe we will add a free license in future.
*
*  This script is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
*
*  This copyright notice MUST APPEAR in all copies of the script!
***************************************************************/

///////////////////////////////////////////////////////////
// Plugin fuer Objekt-Liste                              //
///////////////////////////////////////////////////////////
// V 1.0 First release
// V 1.0.1 Erweiterung auf Mehrsprachigkeit
// V 1.0.2 Erweiterung fuer ID aus PageAlias
// V 1.0.3 Feld-Definitionen eingefuegt
// V 1.0.4 Anpassung fuer SEO-URLs
// V 1.0.5 UID/CID-Erkennung angepasst
///////////////////////////////////////////////////////////
include_once(CMM_ROOT_DIR.'CMM_Shoelasts/index.php');

/* PARAMS START - Marker-Comments required! */
$params = array(
	'templateFile'=>'CMM_Shoelasts/template/html/CMM_Shoelasts_list.html',
	'dataPID'=>'', // Seiten-ID der Datensatzsammlung
	'listPID'=>'',
	'detailPID'=>'',
	'UID'=>'',
	'UIDinPageAlias'=>1,
	'CID'=>'{$_REQUEST["CMM_Shoelasts"]["ShoelastsItemCID"]}',
	'CIDinPageAlias'=>1,
	'pagenaviShow'=>'1',
	'pagenaviPages'=>'',
	'limit'=>'{$_REQUEST["CMM_Products"]["limit"]}',
	'limitShow' => 1,
	'limitOptions'=>'{array(12,18,24,36)}',
	'filter'=>'{$_REQUEST["CMM_Shoelasts"]["filter"]}',
	'sort'=>'{$_REQUEST["CMM_Shoelasts"]["sort"]}',
	'sortbar'=>0,
	'sortbarFields'=>'{array("ShoelastsItemSort", "ShoelastsCategoryTitle", "ShoelastsItemTitle", "ShoelastsItemModel")}',
	'sortbarLabels'=>'{array("Standard","Kategorie", "Titel", "Modell")}',
	'start'=>'{$_REQUEST["CMM_Shoelasts"]["start"]}',
	'group'=>'',
	'cacheTimeout'=>86400
	);
/* PARAMS END */

/* FIELDSET START - Marker-Comments required! */
$fieldset = array(
	'templateFile' => array('label'=>'HTML-Vorlagen-Datei','type'=>'textfield','datatype'=>'text','position'=>'bottom'),
	'dataPID' => array('label'=>'Seite: Datensätze (PID)','type'=>'linkfield','position'=>'left'),
	'listPID' => array('label'=>'Seite: Listen-Anzeige (PID)','type'=>'linkfield','position'=>'left'),
	'detailPID' => array('label'=>'Seite: Detail-Anzeige (PID)','type'=>'linkfield','position'=>'left'),
	'UID' => array('label'=>'Eintrag: nur diesen anzeigen (UID)','type'=>'textfield','datatype'=>'text','position'=>'left'),
	'UIDinPageAlias' => array('label'=>'Eintrag: UID aus SEO-URL ermitteln','type'=>'radio','options'=>array(array('value'=>'0','text'=>'{LANG_CMM_NO}'),array('value'=>'1','text'=>'{LANG_CMM_YES}')),'position'=>'left'),
	'CID' => array('label'=>'Kategorie: nur diese anzeigen (CID)','type'=>'textfield','datatype'=>'text','position'=>'left'),
	'CIDinPageAlias' => array('label'=>'Kategorie: CID aus SEO-URL ermitteln','type'=>'radio','options'=>array(array('value'=>'0','text'=>'{LANG_CMM_NO}'),array('value'=>'1','text'=>'{LANG_CMM_YES}')),'position'=>'left'),
	'pagenaviShow' => array('label'=>'Seitennavigation: anzeigen','type'=>'radio','options'=>array(array('value'=>'0','text'=>'{LANG_CMM_NO}'),array('value'=>'1','text'=>'{LANG_CMM_YES}')),'position'=>'right'),
	'pagenaviPages' => array('label'=>'Seitennavigation: max. Seiten','type'=>'textfield','datatype'=>'int','position'=>'right'),
	'limit' => array('label'=>'Einträge pro Seite: (Anzahl oder Variable)','type'=>'textfield','datatype'=>'code','position'=>'right'),
	'limitShow' => array('label'=>'Einträge pro Seite: Auswahl anzeigen','type'=>'radio','options'=>array(array('value'=>'0','text'=>'{LANG_CMM_NO}'),array('value'=>'1','text'=>'{LANG_CMM_YES}')),'position'=>'right'),
	'limitOptions' => array('label'=>'Einträge pro Seite: Auswahlwerte','type'=>'textfield','datatype'=>'code','position'=>'right'),
	'filter' => array('label'=>'Filter: Einträge filtern','type'=>'textfield','datatype'=>'code','position'=>'bottom'),
	'sort' => array('label'=>'Sortierung: Einträge nach Feld(ern) sortieren','type'=>'textfield','datatype'=>'code','position'=>'bottom'),
	'sortbar' => array('label'=>'Sortierbalken: anzeigen','type'=>'radio','options'=>array(array('value'=>'0','text'=>'{LANG_CMM_NO}'),array('value'=>'1','text'=>'{LANG_CMM_YES}')),'position'=>'bottom'),
	'sortbarFields' => array('label'=>'Sortierbalken: Sortierkriterien (DB-Felder)','type'=>'textfield','datatype'=>'code','position'=>'bottom'),
	'sortbarLabels' => array('label'=>'Sortierbalken: Label für Sortierkriterien','type'=>'textfield','datatype'=>'code','position'=>'bottom'),
	'start' => array('label'=>'Liste beginnen bei (Anzahl oder Variable)','type'=>'hidden','position'=>'right'),
	'group' => array('label'=>'Einträge nach Feld gruppieren','type'=>'textfield','datatype'=>'text','position'=>'bottom'),
	'cacheTimeout' => array('label'=>'{LANG_CMM_CACHE_TIMEOUT}','type'=>'textfield','datatype'=>'int','position'=>'bottom','shy'=>1)
	);
/* FIELDSET END */

// Set customer group
$params['CustomerCustomergroupID'] = isset($GLOBALS['CustomergroupUID']) ? $GLOBALS['CustomergroupUID'] : 0;
// Set language
$params['LID'] = isset($GLOBALS['LanguageUID']) ? $GLOBALS['LanguageUID'] : 1;

// Merge params and pluginParams
$params = CMM_mergePluginParams($params,$pluginParams);

// UID/CID aus Pagetail ermitteln
if($CONFIG['CMM']['config']['seoUseSeoUrls']==true)
	{
	if(isset($params['CID']) && stristr($params['CID'],'{') && !empty($GLOBALS['PageTail']))
		{ $params['CID'] = CMM_getPagetailParams($GLOBALS['PageTail'],'first'); }
	if(isset($params['start']) && strstr($params['start'],'{') && !empty($GLOBALS['PageTail']))
		{
		$tempStart = CMM_getPagetailParams($GLOBALS['PageTail'],'start');
		!empty($tempStart) ? $params['start'] = $tempStart : '';
		}
	$_REQUEST['UID'] = CMM_getPagetailParams($GLOBALS['PageTail'],'last');
	}

// Inhalt ausgeben
$extShoelastsList = new CMM_Shoelasts;
$pluginContent = $extShoelastsList->createContent($params);

unset($params);
?>