<?PHP
/***************************************************************
*  Copyright notice
*
*  (c) 2009-2017 Nicolas Berg
*  All rights reserved
*
*  This script is part of the CMM3 Content-Management-System.
*  CMM3 is provided only under a commercial license until now.
*  Maybe we will add a free license in future.
*
*  This script is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
*
*  This copyright notice MUST APPEAR in all copies of the script!
***************************************************************/

///////////////////////////////////////////////////////////
// Plugin fuer Modul-Navigation                          //
///////////////////////////////////////////////////////////
// V 1.0 First release
// V 1.0.1 Erweiterung auf Mehrsprachigkeit
// V 1.0.2 Ausfuehrung nur, wenn nicht im metaMode
///////////////////////////////////////////////////////////
include_once(CMM_ROOT_DIR.'CMM_Shoelasts/index.php');

/* PARAMS START - Marker-Comments required! */
$params = array(
	'naviPage'=>'', // Seiten-ID der Navigations-Seite
	'PID'=>'', // Seiten-ID der Datensatzsammlung
	'CID'=>'{$_REQUEST["CMM_Shoelasts"]["ShoelastsItemCID"]}',
	'CIDinPageAlias'=>1,
	'startID'=>'0', // Navigations-Start-ID
	'startLevel'=>'0', // Navigations-Start-Level
	'range' => '', // Anzahl der Ebenen ab startLevel
	'wrapAll' => '', // Wrap um gesamte Navi

	// Eigenschaften fuer alle Ebenen oder spezifisch
	'linked' => '1', // Klickpfad oder Infopfad
	'counter'=>'0', // Objektanzahl in Kategorie anzeigen
	'expAll' => '', // alle Navigationspunkte der Ebene aktiviere/ausgeben
	//'enableStatus' => 'nor,act,cur', // 'nor,act,cur,norifsub,actifsub,curifsub', // Erlaubte Navigationszustaende
	'crop' => '', // Ausgabe des Titels kuerzen
	'wrapItem' => '<li class="###STATUS######FIRSTLAST###">*</li>', // Wrap um Navigationspunkt und Unterpunkte
	'wrapAll' => '<ul>*</ul>', // Wrap um Navigationsebene
	'cacheTimeout'=>0
	);
/* PARAMS END */

// Set customer group
$params['CustomerCustomergroupID'] = isset($GLOBALS['CustomergroupUID']) ? $GLOBALS['CustomergroupUID'] : 0;
// Set language
$params['LID'] = isset($GLOBALS['LanguageUID']) ? $GLOBALS['LanguageUID'] : 1;

// Merge params and pluginParams
$params = CMM_mergePluginParams($params,$pluginParams);

// UID/CID aus Pagetail ermitteln
if($CONFIG['CMM']['config']['seoUseSeoUrls']==true)
	{
	if(isset($params['CID']) && stristr($params['CID'],'{') && !empty($GLOBALS['PageTail']))
		{ $params['CID'] = CMM_getPagetailParams($GLOBALS['PageTail'],'first'); }
	if(isset($params['start']) && strstr($params['start'],'{') && !empty($GLOBALS['PageTail']))
		{
		$tempStart = CMM_getPagetailParams($GLOBALS['PageTail'],'start');
		!empty($tempStart) ? $params['start'] = $tempStart : '';
		}
	}

// Inhalt ausgeben
$extShoelastsPath = new CMM_Shoelasts;
$pluginContent = $extShoelastsPath->createCategoryPath($params);

unset($params);
?>