<?PHP
/***************************************************************
*  Copyright notice
*
*  (c) 2009-2017 Nicolas Berg
*  All rights reserved
*
*  This script is part of the CMM3 Content-Management-System.
*  CMM3 is provided only under a commercial license until now.
*  Maybe we will add a free license in future.
*
*  This script is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
*
*  This copyright notice MUST APPEAR in all copies of the script!
***************************************************************/

///////////////////////////////////////////////////////////
// Plugin fuer Sortierbalken                             //
///////////////////////////////////////////////////////////
// V 1.0 First release
// V 1.0.1 Erweiterung auf Mehrsprachigkeit
// V 1.0.2 Ausfuehrung nur, wenn nicht im metaMode
///////////////////////////////////////////////////////////
include_once(CMM_ROOT_DIR.'CMM_Shoelasts/index.php');

/* PARAMS START - Marker-Comments required! */
$params = array(
	'model' => '',
	'PID' => '',
	'detailPID' => ''
	);
/* PARAMS END */


// Set customer group
$params['CustomerCustomergroupID'] = isset($GLOBALS['CustomergroupUID']) ? $GLOBALS['CustomergroupUID'] : 0;
// Set language
$params['LID'] = isset($GLOBALS['LanguageUID']) ? $GLOBALS['LanguageUID'] : 1;

// Merge params and pluginParams
$params = CMM_mergePluginParams($params,$pluginParams);

// Count and get items
$matchingItems = array();
!empty($params['model']) ? $params['filter']['ShoelastsItemModel'] = $params['model'] : '';
$matchingItems = DB_CMM_recordGetList($CONFIG['CMM_Shoelasts']['database']['cmm_shoelasts_items'],$params);
//var_dump($items);

// Nur ausfuehren, wenn nicht im metaMode 
if(empty($params['metaMode']))
	{
	$pluginContent = array();
	if(!empty($params['model']))
		{
		foreach($matchingItems as $mi => $matchingItemsItem)
			{
			// Morelink
			if($params['UIDinPageAlias']==true && $CONFIG['CMM']['config']['seoUseSeoUrls']==true)
				{ $matchingItems[$mi]['moreLink'] = CMM_createLink(array('page'=>(int) $params['detailPID'],'tail'=>(!empty($matchingItems[$mi]['ShoelastsItemCID']) && $params['CIDinPageAlias']==true ? '/'.CMM_validateAlias($matchingItems[$mi]['ShoelastsCategoryTitle']).'.'.$matchingItems[$mi]['ShoelastsItemCID'] : '').'/'.CMM_validateAlias($matchingItems[$mi]['ShoelastsItemModel']).'.'.$matchingItems[$mi]['ShoelastsItemUID'],'vars'=>array())); }
			else
				{ $matchingItems[$mi]['moreLink'] = CMM_createLink(array('page'=>(int) $params['detailPID'],'vars'=>array('CMM_Shoelasts'=>array('ShoelastsItemCID'=>$matchingItems[$mi]['ShoelastsItemCID'],'ShoelastsItemUID'=>$matchingItems[$mi]['ShoelastsItemUID'])))); }

			$pluginContent[] = '<p><a href="'.$matchingItems[$mi]['moreLink'].'">'.LANG_CMM_SHOELASTS_MATCHING.' '.$matchingItems[$mi]['ShoelastsCategoryTitle'].' '.$matchingItems[$mi]['ShoelastsItemModel'].'</a></p>'."\r\n";
			}
		}
	$pluginContent = implode('',$pluginContent);
	}
unset($params);

?>