<?PHP
/***************************************************************
*  Copyright notice
*
*  (c) 2009-2017 Nicolas Berg
*  All rights reserved
*
*  This script is part of the CMM3 Content-Management-System.
*  CMM3 is provided only under a commercial license until now.
*  Maybe we will add a free license in future.
*
*  This script is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
*
*  This copyright notice MUST APPEAR in all copies of the script!
***************************************************************/

// V 1.0 First release
// V 1.0.1 Verarbeitung von Config angepasst
// V 1.0.2 Backup-Einstellungen ergaenzt
// V 1.0.3 Bugfix for category language
// V 1.0.4 Delete-fields added
// V 1.0.5 PASTE-Action mod
// V 1.0.6 Mod userLevels
// V 1.0.7 Field ShoelastsItemLeg added

////////////////////////////////////////////////////////////////////
// Modul-Anzeigen                                                 //
////////////////////////////////////////////////////////////////////
// - label: Bezeichnung des Feldes
// - table: Haupt-Datenbanktabelle
// - userLevel: Berechntigungsstufe fuer Datensaetze
// - navi: Anzeige in der Hauptnavigation
$CONFIG['CMM_Shoelasts']['views'] = array();
$CONFIG['CMM_Shoelasts']['views']['INDEX'] = array('label'=>'{LANG_CMM_SHOELASTS_VIEW_INDEX}','userLevel'=>1);
$CONFIG['CMM_Shoelasts']['views']['ITEMS'] = array('label'=>'{LANG_CMM_SHOELASTS_VIEW_ITEMS}','table'=>'cmm_shoelasts_items','userLevel'=>1,'inNavi'=>1);
$CONFIG['CMM_Shoelasts']['views']['CATEGORIES'] = array('label'=>'{LANG_CMM_SHOELASTS_VIEW_CATEGORIES}','table'=>'cmm_shoelasts_categories','userLevel'=>1,'inNavi'=>1);
// $CONFIG['CMM_Shoelasts']['views']['TEXTS'] = array('label'=>'{LANG_CMM_SHOELASTS_VIEW_TEXTS}','table'=>'cmm_shoelasts_texts','userLevel'=>1,'inNavi'=>1);
$CONFIG['CMM_Shoelasts']['views']['CONFIG'] = array('label'=>'{LANG_CMM_SHOELASTS_VIEW_CONFIG}','table'=>'cmm_cmm_config','userLevel'=>6,'inNavi'=>1);
$CONFIG['CMM_Shoelasts']['views']['BACKUP'] = array('label'=>'{LANG_CMM_SHOELASTS_VIEW_BACKUP}','userLevel'=>1,'inNavi'=>(!empty($GLOBALS['isBackend']) && !empty($CUSTOM['CMM_Shoelasts']['config']['enableBackup']) ? 1 : 0));
$CONFIG['CMM_Shoelasts']['views']['INSTALL'] = array('label'=>'{LANG_CMM_SHOELASTS_VIEW_INSTALL}','userLevel'=>3);
$CONFIG['CMM_Shoelasts']['views']['DUMMY'] = array('label'=>'{LANG_CMM_SHOELASTS_VIEW_DUMMY}','userLevel'=>1);


////////////////////////////////////////////////////////////////////
// Modulfunktionen                                                //
////////////////////////////////////////////////////////////////////
// - label: Bezeichnung des Feldes
// - area: Anzeige-Bereich
// - userLevel: Berechntigungsstufe fuer Datensaetze
// - icon: Icon fuer Listenansicht
// - action: Aktion, die ausgefuehrt werden soll
// - clipboardAction: Aktion, die spaeter ausgefuehrt werden soll
// - message: Frage vor Ausfuerung der Funktion
// - condition: Bedingung pruefen (Datenbankfeld) item/_SESSION/_GET/_POST/_COOKIE/_ENV[keyvar]==value
// - file: Funktion in externer Datei ausfuehren
// - target: Zielfenster fuer Funktion
$CONFIG['CMM_Shoelasts']['views']['ITEMS']['actions'] = array(
	'LIST' => array('label'=>'{LANG_CMM_ACTION_LIST}','userLevel'=>0),
	'NEW' => array('label'=>'{LANG_CMM_SHOELASTS_ITEM} {LANG_CMM_ACTION_NEW}','area'=>'listhead','userLevel'=>1,'icon'=>'icon-action-new.svg'),
	'EDIT' => array('label'=>'{LANG_CMM_ACTION_EDIT}','area'=>'list','userLevel'=>1,'icon'=>'icon-action-edit.svg'),
	'ENABLE' => array('label'=>'{LANG_CMM_ACTION_ENABLE}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-enable.svg','condition'=>'$item["ShoelastsItemStatus"]==0'),
	'DISABLE' => array('label'=>'{LANG_CMM_ACTION_DISABLE}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-disable.svg','condition'=>'$item["ShoelastsItemStatus"]==1'),
	'UP' => array('label'=>'{LANG_CMM_ACTION_UP}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-up.svg','condition'=>'$item["firstItem"]!=true && $CURRENT["sort"]=="ShoelastsItemSort ASC"'),
	'DOWN' => array('label'=>'{LANG_CMM_ACTION_DOWN}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-down.svg','condition'=>'$item["lastItem"]!=true && $CURRENT["sort"]=="ShoelastsItemSort ASC"'),
	'SAVE' => array('label'=>'{LANG_CMM_ACTION_SAVE}','area'=>'singlehead','userLevel'=>3,'icon'=>'icon-action-save.svg'),
	'SAVENEW' => array('label'=>'{LANG_CMM_ACTION_SAVENEW}','area'=>'singlehead','userLevel'=>3,'icon'=>'icon-action-save-and-new.svg'),
	'SAVECLOSE' => array('label'=>'{LANG_CMM_ACTION_SAVECLOSE}','area'=>'singlehead','userLevel'=>3,'icon'=>'icon-action-save-and-close.svg'),
	'CLOSE' => array('label'=>'{LANG_CMM_ACTION_CLOSE}','area'=>'singlehead','userLevel'=>1,'icon'=>'icon-action-close.svg'),
	'CUT' => array('label'=>'{LANG_CMM_ACTION_CUT}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-cut.svg'),
	'COPY' => array('label'=>'{LANG_CMM_ACTION_COPY}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-copy.svg'),
	'PASTE' => array('label'=>'{LANG_CMM_ACTION_PASTE}','area'=>'listhead','userLevel'=>3,'icon'=>'icon-action-paste.svg','UID'=>(!empty($GLOBALS['isBackend']) && isset($_SESSION[$CURRENT["module"]][$CURRENT["view"]]['clipboard']) ? $_SESSION[$CURRENT["module"]][$CURRENT["view"]]['clipboard']['id'] : ''),'condition'=>'!empty($_SESSION[$CURRENT["module"]][$CURRENT["view"]]["clipboard"])'),
	'REMOVE' => array('label'=>'{LANG_CMM_ACTION_REMOVE}','area'=>'list,singlehead','userLevel'=>3,'icon'=>'icon-action-remove.svg','condition'=>'$item["ShoelastsItemUID"]>0','message'=>'{LANG_CMM_ACTION_REMOVE_CONFIRM}'),
	'CLIPBOARDCLEAR' => array('label'=>'{LANG_CMM_ACTION_CLIPBOARDCLEAR}','area'=>'listhead','userLevel'=>3,'icon'=>'icon-action-clipboard-clear.svg','condition'=>'isset($_SESSION[$CURRENT["module"]][$CURRENT["view"]]["clipboard"])'),
	// Druckansichten
	'PRINT' => array('label'=>'{LANG_CMM_ACTION_PRINT_ITEM}','area'=>'list','userLevel'=>1,'icon'=>'icon-action-print.svg','file'=>'blank.php','target'=>'_blank'),
	'PRINTLIST' => array('label'=>'{LANG_CMM_ACTION_PRINT_LIST}','area'=>'listhead','userLevel'=>1,'icon'=>'icon-action-print.svg','file'=>'blank.php','target'=>'_blank')
	);

$CONFIG['CMM_Shoelasts']['views']['CATEGORIES']['actions'] = array(
	'LIST' => array('label'=>'{LANG_CMM_ACTION_LIST}','userLevel'=>0),
	'NEW' => array('label'=>'{LANG_CMM_SHOELASTS_CATEGORY} {LANG_CMM_ACTION_NEW}','area'=>'listhead','userLevel'=>1,'icon'=>'icon-action-new.svg'),
	'EDIT' => array('label'=>'{LANG_CMM_ACTION_EDIT}','area'=>'list','userLevel'=>1,'icon'=>'icon-action-edit.svg'),
	'ENABLE' => array('label'=>'{LANG_CMM_ACTION_ENABLE}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-enable.svg','condition'=>'$item["ShoelastsCategoryStatus"]==0'),
	'DISABLE' => array('label'=>'{LANG_CMM_ACTION_DISABLE}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-disable.svg','condition'=>'$item["ShoelastsCategoryStatus"]==1'),
	'UP' => array('label'=>'{LANG_CMM_ACTION_UP}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-up.svg','condition'=>'$item["firstItem"]!=true && $CURRENT["sort"]=="ShoelastsCategorySort ASC"'),
	'DOWN' => array('label'=>'{LANG_CMM_ACTION_DOWN}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-down.svg','condition'=>'$item["lastItem"]!=true && $CURRENT["sort"]=="ShoelastsCategorySort ASC"'),
	'SAVE' => array('label'=>'{LANG_CMM_ACTION_SAVE}','area'=>'singlehead','userLevel'=>3,'icon'=>'icon-action-save.svg'),
	'SAVENEW' => array('label'=>'{LANG_CMM_ACTION_SAVENEW}','area'=>'singlehead','userLevel'=>3,'icon'=>'icon-action-save-and-new.svg'),
	'SAVECLOSE' => array('label'=>'{LANG_CMM_ACTION_SAVECLOSE}','area'=>'singlehead','userLevel'=>3,'icon'=>'icon-action-save-and-close.svg'),
	'CLOSE' => array('label'=>'{LANG_CMM_ACTION_CLOSE}','area'=>'singlehead','userLevel'=>1,'icon'=>'icon-action-close.svg'),
	'CUT' => array('label'=>'{LANG_CMM_ACTION_CUT}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-cut.svg','condition'=>'empty($item["hasChildren"])'), // $item["hasChildren"] added by category-list-funtion
	'COPY' => array('label'=>'{LANG_CMM_ACTION_COPY}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-copy.svg'),
	'PASTE' => array('label'=>'{LANG_CMM_ACTION_PASTE}','area'=>'listhead','userLevel'=>3,'icon'=>'icon-action-paste.svg','UID'=>(!empty($GLOBALS['isBackend']) && isset($_SESSION[$CURRENT["module"]][$CURRENT["view"]]['clipboard']) ? $_SESSION[$CURRENT["module"]][$CURRENT["view"]]['clipboard']['id'] : ''),'condition'=>'!empty($_SESSION[$CURRENT["module"]][$CURRENT["view"]]["clipboard"])'),
	'REMOVE' => array('label'=>'{LANG_CMM_ACTION_REMOVE}','area'=>'list,singlehead','userLevel'=>3,'icon'=>'icon-action-remove.svg','condition'=>'$item["ShoelastsCategoryUID"]>0','message'=>'{LANG_CMM_ACTION_REMOVE_CONFIRM}'),
	'CLIPBOARDCLEAR' => array('label'=>'{LANG_CMM_ACTION_CLIPBOARDCLEAR}','area'=>'listhead','userLevel'=>3,'icon'=>'icon-action-clipboard-clear.svg','condition'=>'isset($_SESSION[$CURRENT["module"]][$CURRENT["view"]]["clipboard"])')
	);

$CONFIG['CMM_Shoelasts']['views']['DUMMY']['actions'] = array(
	);

$CONFIG['CMM_Shoelasts']['views']['BACKUP']['actions'] = array(
	'BACKUP' => array('label'=>'Datensicherung','userLevel'=>1,'inNavi'=>1),
	'INSTALLDB' => array('label'=>'Datenbanktabellen konfigurieren','userLevel'=>6),
	'BACKUPMAKE' => array('label'=>'Sicherung erstellen','userLevel'=>6,'inNavi'=>0),
	'BACKUPRESTORE' => array('label'=>'Sicherung zurückschreiben','userLevel'=>6,'inNavi'=>0),
	'BACKUPREMOVE' => array('label'=>'Sicherung löschen','userLevel'=>6,'inNavi'=>0)
	);

$CONFIG['CMM_Shoelasts']['views']['CONFIG']['actions'] = array(
	'CONFIG' => array('label'=>'Konfiguration','userLevel'=>1,'inNavi'=>1),
	'CONFIGSAVE' => array('label'=>'Konfiguration','area'=>'singlehead','userLevel'=>6,'icon'=>'icon-action-save.svg')
	);

$CONFIG['CMM_Shoelasts']['views']['INSTALL']['actions'] = array(
	'INSTALL' => array('label'=>'Installation','userLevel'=>6,'inNavi'=>0)
	);


////////////////////////////////////////////////////////////////////
// Datenbank-Tabellen                                             //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Shoelasts']['database'] = array();

// Datenstamm fuer Leisten
$CONFIG['CMM_Shoelasts']['database']['cmm_shoelasts_items'] = array(
	'tabs' => array(0=>'Text',2=>'Daten',3=>'Kosten',4=>'Media',6=>'Sonstiges',9=>'Anzeige'),
	'tablename' => 'cmm_shoelasts_items',
	'sort' => 'ShoelastsItemUID DESC',
	'backup' => 1,
	'fieldprefix' => 'ShoelastsItem',
	'fieldset' => array(
		'ShoelastsItemUID' => array('label'=>'ID','type'=>'hidden','tab'=>0,
			'sqldef'=>'int(10) default \'0\''),
		'ShoelastsItemPID' => array('label'=>'Seite','type'=>'hidden','tab'=>0,
			'sqldef'=>'int(10) default \'0\''),
		'ShoelastsItemTID' => array('label'=>'Typ','type'=>'select',
			'sqldef'=>'int(3) default \'0\'','position'=>'top','tab'=>6,
			'options'=>array(array('value'=>1,'text'=>'Typ 1'),array('value'=>2,'text'=>'Typ 2'))),
		'ShoelastsItemLID' => array('label'=>'Sprache','type'=>'radio','position'=>'top','tab'=>6,
			'sqldef'=>'int(3) default \'0\'',
			'select'=>array('module'=>'CMM','table'=>'cmm_cmm_languages','keyfield'=>'LanguageUID','labelfield'=>'LanguageName','sort'=>'LanguageUID')),
		'ShoelastsItemCID' => array('label'=>'Kategorie','type'=>'select','position'=>'left','tab'=>0,
			'sqldef'=>'varchar(100) collate utf8_unicode_ci default NULL',
			'function'=>array('module'=>'CMM_Shoelasts','class'=>'CMM_Shoelasts','function'=>'getItemCidOptions'),
			'join'=>array('module'=>'CMM_Shoelasts','table'=>'cmm_shoelasts_categories','keyfield'=>'ShoelastsCategoryUID')),
		'ShoelastsItemStatus' => array('label'=>'Status','type'=>'radio','position'=>'top','tab'=>9,
			'sqldef'=>'int(1) default \'0\'',
			'options'=>array(array('value'=>1,'text'=>'{LANG_CMM_ENABLED}'),array('value'=>'0','text'=>'{LANG_CMM_DISABLED}'))),
		'ShoelastsItemDeleted' => array('label'=>'{LANG_CMM_FIELD_REMOVED}','type'=>'hidden','tab'=>3,
			'sqldef'=>'int(1) default \'0\''),
		'ShoelastsItemSort' => array('label'=>'Sortierung','type'=>'hidden','position'=>'top','tab'=>9,
			'sqldef'=>'int(10) default \'0\''),
		'ShoelastsItemStart' => array('label'=>'Start','type'=>'datetime','position'=>'left','tab'=>9,
			'sqldef'=>'datetime default NULL'),
		'ShoelastsItemStop' => array('label'=>'Ende','type'=>'datetime','position'=>'right','tab'=>9,
			'sqldef'=>'datetime default NULL'),
		'ShoelastsItemCustomergroupID' => array('label'=>'Anzeige für Benutzergruppen','type'=>'multiselect','attribs'=>array('multiple'=>1,'size'=>6),'position'=>'bottom','tab'=>9,
			'sqldef'=>'varchar(255) collate utf8_unicode_ci default NULL',
			'options'=>array('none'=>array('value'=>'0','text'=>'{LANG_CMM_IF_LOGGED_OUT}'),'all'=>array('value'=>'*','text'=>'{LANG_CMM_IF_LOGGED_IN}')),
			'select'=>array('module'=>'CMM','table'=>'cmm_cmm_customergroups','keyfield'=>'CustomergroupUID','labelfield'=>'CustomergroupUID,CustomergroupName','sort'=>'CustomergroupUID')),
		'ShoelastsItemModel' => array('label'=>'Modell/Bezeichnung°','type'=>'textfield','attribs'=>array('required'=>1),'position'=>'right','tab'=>0,
			'sqldef'=>'varchar(32) collate utf8_unicode_ci default NULL'),
		'ShoelastsItemModelAlt' => array('label'=>'Modell alternativ','type'=>'textfield','position'=>'right','tab'=>0,
			'sqldef'=>'varchar(32) collate utf8_unicode_ci default NULL'),
		'ShoelastsItemCIDalt' => array('label'=>'Kategorie alternativ','type'=>'select','position'=>'left','tab'=>0,
			'sqldef'=>'varchar(32) collate utf8_unicode_ci default NULL',
			'function'=>array('module'=>'CMM_Shoelasts','class'=>'CMM_Shoelasts','function'=>'getItemCidOptions'),
			'join'=>array('module'=>'CMM_Shoelasts','table'=>'cmm_shoelasts_categories','keyfield'=>'ShoelastsCategoryUID')),
		'ShoelastsItemSpecial' => array('label'=>'Angebot hervorheben','type'=>'checkbox','position'=>'right','tab'=>0,'shy'=>1,
			'sqldef'=>'varchar(255) collate utf8_unicode_ci default NULL',
			'options'=>array(array('value'=>'1','text'=>'{LANG_CMM_YES}'))),
		'ShoelastsItemLeg' => array('label'=>'Beinmaße abfragen','type'=>'checkbox','position'=>'left','tab'=>0,
			'sqldef'=>'varchar(255) collate utf8_unicode_ci default NULL',
			'options'=>array(array('value'=>'1','text'=>'{LANG_CMM_YES}'))),
		'ShoelastsItemTitle' => array('label'=>'Titel','type'=>'hidden','position'=>'bottom','tab'=>0,
			'sqldef'=>'varchar(255) collate utf8_unicode_ci default NULL'),
		'ShoelastsItemLabel' => array('label'=>'Label','type'=>'select','new'=>1,'position'=>'bottom','tab'=>0,'shy'=>1,
			'sqldef'=>'varchar(255) collate utf8_unicode_ci default NULL'),
		'ShoelastsItemShorttext' => array('label'=>'Kurztext','type'=>'hidden','attribs'=>array('rows'=>10),'position'=>'bottom','tab'=>0,
			'sqldef'=>'text collate utf8_unicode_ci'),
		'ShoelastsItemDescription' => array('label'=>'Beschreibung','type'=>'rte','attribs'=>array('rows'=>10),'position'=>'bottom','tab'=>0,
			'sqldef'=>'text collate utf8_unicode_ci'),
		'ShoelastsItemDescriptionIDs' => array('label'=>'Textvorlagen','type'=>'multiselect','attribs'=>array('size'=>6),'position'=>'center','tab'=>0,
			'sqldef'=>'text collate utf8_unicode_ci',
			'function'=>array('module'=>'CMM_Shoelasts','class'=>'CMM_Shoelasts','function'=>'getItemDescriptionIdsOptions')),
		'ShoelastsItemComment' => array('label'=>'Kommentar (intern)','type'=>'textarea','attribs'=>array('rows'=>5),'position'=>'bottom','tab'=>0,'shy'=>1,
			'sqldef'=>'text collate utf8_unicode_ci'),
		'ShoelastsItemSize' => array('label'=>'Größen (1 je Zeile)','type'=>'textarea','datatype'=>'float','position'=>'left','tab'=>2,
			'sqldef'=>'text collate utf8_unicode_ci'),
		'ShoelastsItemWidth' => array('label'=>'Weiten (1 je Zeile)','type'=>'textarea','datatype'=>'float','position'=>'left','tab'=>2,
			'sqldef'=>'text collate utf8_unicode_ci'),
		'ShoelastsItemHeelheight' => array('label'=>'Sprengung','type'=>'textfield','datatype'=>'float','position'=>'left','tab'=>2,
			'sqldef'=>'varchar(255) collate utf8_unicode_ci default NULL'),
		'ShoelastsItemBallwidth' => array('label'=>'Ballenbreite (x|x|x)','type'=>'textfield','attribs'=>array('size'=>6),'position'=>'right','tab'=>2,
			'sqldef'=>'varchar(64) collate utf8_unicode_ci default NULL'),
		'ShoelastsItemSpanmeasure' => array('label'=>'Spannmaß (x|x|x)','type'=>'textfield','attribs'=>array('size'=>6),'position'=>'right','tab'=>2,
			'sqldef'=>'varchar(64) collate utf8_unicode_ci default NULL'),
		'ShoelastsItemHeelmeasure' => array('label'=>'Hackenmaß (x|x|x)','type'=>'textfield','attribs'=>array('size'=>6),'position'=>'right','tab'=>2,
			'sqldef'=>'varchar(64) collate utf8_unicode_ci default NULL'),

		'ShoelastsItemPrice' => array('label'=>'Preis normal (netto ohne &euro;)','type'=>'textfield','datatype'=>'float','position'=>'left','tab'=>3,
			'sqldef'=>'float(10,4) default \'0\''),
		'ShoelastsItemPriceRegular' => array('label'=>'Preis UVP (netto ohne &euro;)','type'=>'textfield','datatype'=>'float','position'=>'left','tab'=>3,
			'sqldef'=>'float(10,4) default \'0\''),
		'ShoelastsItemTaxClass' => array('label'=>'MwSt. %','type'=>'select','position'=>'left','tab'=>3,
			'sqldef'=>'int(3) default \'0\'',
			'function'=>array('module'=>'CMM','function'=>'CMM_getInputFieldTaxclassOptions')),
		'ShoelastsItemDeliveryTime' => array('label'=>'Lieferzeit','type'=>'select','position'=>'right','tab'=>3,
			'sqldef'=>'varchar(255) collate utf8_unicode_ci default NULL',
			'function'=>array('module'=>'CMM_Shoelasts','class'=>'CMM_Shoelasts','function'=>'getItemDeliveryTimeOptions')),
		'ShoelastsItemDeliveryCost' => array('label'=>'Versandkosten (pro Stück)','type'=>'textfield','datatype'=>'float','position'=>'right','tab'=>3,
			'sqldef'=>'float(10,4) default \'0\''),
		'ShoelastsItemDeliveryFree' => array('label'=>'ohne Versandkosten','type'=>'checkbox','datatype'=>'int','position'=>'right','tab'=>3,
			'sqldef'=>'int(1) default \'0\'',
			'options'=>array(array('value'=>'1','text'=>'{LANG_CMM_YES}'))),
		'ShoelastsItemShippingWeight' => array('label'=>'Versandgewicht','type'=>'textfield','datatype'=>'float','position'=>'right','tab'=>3,
			'sqldef'=>'float(10,4) default \'0\''),

		'ShoelastsItemImages' => array('label'=>'Bilder','type'=>'imagelist','dir'=>'data/CMM_Shoelasts/images/','number'=>'10','position'=>'top','tab'=>4,
			'sqldef'=>'text collate utf8_unicode_ci'),
		'ShoelastsItemVideos' => array('label'=>'Videos','type'=>'videolist','dir'=>'data/CMM_Shoelasts/videos/','number'=>'3','position'=>'top','tab'=>4,
			'sqldef'=>'text collate utf8_unicode_ci'),
		'ShoelastsItemFiles' => array('label'=>'Dateien','type'=>'filelist','dir'=>'data/CMM_Shoelasts/files/','number'=>'3','position'=>'top','tab'=>4,
			'sqldef'=>'text collate utf8_unicode_ci'),
		'ShoelastsItemLinks' => array('label'=>'Links','type'=>'linklist','number'=>'10','position'=>'top','tab'=>4,
			'sqldef'=>'text collate utf8_unicode_ci'),
		'ShoelastsItemAddUser' => array('label'=>'Benutzer erstellt','type'=>'hidden','position'=>'bottom','tab'=>9,
			'sqldef'=>'varchar(32) collate utf8_unicode_ci default \'0\''),
		'ShoelastsItemAddDate' => array('label'=>'Datum erstellt','type'=>'hidden','position'=>'bottom','tab'=>9,
			'sqldef'=>'datetime default \'0000-00-00 00:00:00\''),
		'ShoelastsItemModUser' => array('label'=>'Benutzer geändert','type'=>'hidden','position'=>'bottom','tab'=>9,
			'sqldef'=>'varchar(32) collate utf8_unicode_ci default \'0\''),
		'ShoelastsItemModDate' => array('label'=>'Datum geändert','type'=>'hidden','position'=>'bottom','tab'=>9,
			'sqldef'=>'datetime default \'0000-00-00 00:00:00\'')
		),
	'tableset' => array(
		'engine' => 'MyISAM',
		'primarykey' => 'UID',
		'charset' => 'utf8',
		'collation' => 'utf8_unicode_ci',
		'comment' => 'Leisten'
		)
	);

// Datenstamm fuer Kategorien
$CONFIG['CMM_Shoelasts']['database']['cmm_shoelasts_categories'] = array(
	'tabs' => array(0=>'Text',1=>'Media',3=>'Sonstiges',9=>'Anzeige'),
	'tablename' => 'cmm_shoelasts_categories',
	'sort' => 'ShoelastsCategorySort ASC',
	'backup' => 1,
	'fieldprefix' => 'ShoelastsCategory',
	'fieldset' => array(
		'ShoelastsCategoryUID' => array('label'=>'ID','type'=>'hidden','tab'=>0,
			'sqldef'=>'int(10) default \'0\''),
		'ShoelastsCategoryPID' => array('label'=>'Seite','type'=>'hidden','tab'=>0,
			'sqldef'=>'int(10) default \'0\''),
		'ShoelastsCategoryTID' => array('label'=>'Typ','type'=>'hidden',
			'sqldef'=>'int(3) default \'0\'','position'=>'top','value'=>'','tab'=>3),
		'ShoelastsCategoryLID' => array('label'=>'Sprache','type'=>'radio','position'=>'top','tab'=>3,
			'sqldef'=>'int(3) default \'0\'',
			'select'=>array('module'=>'CMM','table'=>'cmm_cmm_languages','keyfield'=>'LanguageUID','labelfield'=>'LanguageName','sort'=>'LanguageUID')),
		'ShoelastsCategoryCID' => array('label'=>'Eltern-Kategorie','type'=>'select','position'=>'top','tab'=>0,
			'sqldef'=>'varchar(64) collate utf8_unicode_ci default NULL',
			'function'=>array('module'=>'CMM_Shoelasts','class'=>'CMM_Shoelasts','function'=>'getItemCidOptions','excludeSelf'=>1,'limitToPage'=>1)),
		'ShoelastsCategoryStatus' => array('label'=>'Status','type'=>'radio','position'=>'top','tab'=>9,
			'sqldef'=>'int(1) default \'0\'',
			'options'=>array(array('value'=>1,'text'=>'{LANG_CMM_ENABLED}'),array('value'=>'0','text'=>'{LANG_CMM_DISABLED}'))),
		'ShoelastsCategoryDeleted' => array('label'=>'{LANG_CMM_FIELD_REMOVED}','type'=>'hidden','tab'=>3,
			'sqldef'=>'int(1) default \'0\''),
		'ShoelastsCategorySort' => array('label'=>'Sortierung','type'=>'hidden','position'=>'top','tab'=>0,
			'sqldef'=>'int(10) default \'0\''),
		'ShoelastsCategoryStart' => array('label'=>'Start','type'=>'hidden','position'=>'left','tab'=>9,
			'sqldef'=>'datetime default NULL'),
		'ShoelastsCategoryStop' => array('label'=>'Ende','type'=>'hidden','position'=>'right','tab'=>9,
			'sqldef'=>'datetime default NULL'),
		'ShoelastsCategoryCustomergroupID' => array('label'=>'Anzeige für Benutzergruppen','type'=>'multiselect',
			'sqldef'=>'varchar(255) collate utf8_unicode_ci default NULL','attribs'=>array('multiple'=>1,'size'=>6),'value'=>array('0','*'),'text'=>array('{LANG_CMM_IF_LOGGED_OUT}','{LANG_CMM_IF_LOGGED_IN}'),'module'=>'CMM','table'=>'cmm_cmm_customergroups','keyfield'=>'CustomergroupUID','labelfield'=>'CustomergroupName','joinmode'=>'backend','position'=>'bottom','tab'=>9),
		'ShoelastsCategoryTitle' => array('label'=>'Titel','type'=>'textfield',
			'sqldef'=>'varchar(255) collate utf8_unicode_ci default NULL','attribs'=>array('required'=>1),'position'=>'top','tab'=>0),
		'ShoelastsCategoryDescription' => array('label'=>'Beschreibung','type'=>'rte',
			'sqldef'=>'text collate utf8_unicode_ci','position'=>'top','tab'=>0),
		'ShoelastsCategoryIcon' => array('label'=>'Symbol','type'=>'imagelist',
			'sqldef'=>'text collate utf8_unicode_ci','number'=>'1','position'=>'top','dir'=>'data/CMM_Shoelasts/images/','tab'=>1),
		'ShoelastsCategoryAddUser' => array('label'=>'Benutzer erstellt','type'=>'hidden','position'=>'left','tab'=>0,
			'sqldef'=>'varchar(32) collate utf8_unicode_ci default \'0\''),
		'ShoelastsCategoryAddDate' => array('label'=>'Datum erstellt','type'=>'hidden','position'=>'left','tab'=>0,
			'sqldef'=>'datetime default \'0000-00-00 00:00:00\''),
		'ShoelastsCategoryModUser' => array('label'=>'Benutzer geändert','type'=>'hidden','position'=>'left','tab'=>0,
			'sqldef'=>'varchar(32) collate utf8_unicode_ci default \'0\''),
		'ShoelastsCategoryModDate' => array('label'=>'Datum geändert','type'=>'hidden','position'=>'left','tab'=>0,
			'sqldef'=>'datetime default \'0000-00-00 00:00:00\'')
		),
	'tableset' => array(
		'engine' => 'MyISAM',
		'primarykey' => 'UID',
		'charset' => 'utf8',
		'collation' => 'utf8_unicode_ci',
		'comment' => 'Kategorien'
		)
	);

////////////////////////////////////////////////////////////////////
// Sortier-Variablen (Administration)                             //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Shoelasts']['sortVars'] = array();
$CONFIG['CMM_Shoelasts']['sortVars']['cmm_shoelasts_items'] = array('ShoelastsItemUID','ShoelastsItemSort','ShoelastsItemStatus','ShoelastsItemTitle','ShoelastsCategoryTitle:Kategorie','ShoelastsTextTitle:Immobilienart','ImmoCityTitle:Ort','ShoelastsItemModDate');
$CONFIG['CMM_Shoelasts']['sortVars']['cmm_shoelasts_categories'] = array('ShoelastsCategoryUID','ShoelastsCategorySort','ShoelastsCategoryStatus','ShoelastsCategoryTitle','ShoelastsCategoryModDate');


////////////////////////////////////////////////////////////////////
// Filter-Variablen (Administration)                              //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Shoelasts']['filterVars'] = array();
$CONFIG['CMM_Shoelasts']['filterVars']['cmm_shoelasts_items'] = array_keys($CONFIG['CMM_Shoelasts']['database']['cmm_shoelasts_items']['fieldset']);
$lastCategoryField = array_search('ShoelastsItemCID',$CONFIG['CMM_Shoelasts']['filterVars']['cmm_shoelasts_items']); 
$CONFIG['CMM_Shoelasts']['filterVars']['cmm_shoelasts_items'][$lastCategoryField] = 'ShoelastsCategoryTitle:Kategorie';

$CONFIG['CMM_Shoelasts']['filterVars']['cmm_shoelasts_categories'] = array_keys($CONFIG['CMM_Shoelasts']['database']['cmm_shoelasts_categories']['fieldset']);

?>