///////////////////////////////////
// Shoelasts-catalog funtions
// © GRAFIX21.de
// V 3.0
///////////////////////////////////


// Ballen berechnen
function calculateMeasures()
	{
	if($('#buy_now_form').length > 0)
		{
		// Get fields
		var fieldSize = $('#optionSize');
		var fieldWidth = $('#optionWidth');
		var fieldBallgirth = $('#optionBallgirth');

		var fieldBallwidth = $('#optionBallwidth');
		var fieldSpameasure = $('#optionSpameasure');
		var fieldHeelmeasure = $('#optionHeelmeasure');

		if(fieldSize.length > 0)
			{
			// Get selected size
			var size = (typeof fieldSize.val() != 'undefined' ? fieldSize.val() : 0);
			size = parseInt(size.split('|')[0].trim());
			// Get min-size
			var minSize = $('OPTION:first',fieldSize).val();
			minSize = parseInt(minSize.split('|')[0].trim());
			}

		if(fieldWidth.length > 0)
			{
			// Get slected width
			var width = (typeof fieldWidth.val() != 'undefined' ? fieldWidth.val() : 0);
			width = parseInt(width.split('|')[0].trim());
			// Get min-width
			var minWidth = $('OPTION:first',fieldWidth).val();
			minWidth = parseInt(minWidth.split('|')[0].trim());
			}

		// Calculate
		if(size>0 && width>0)
			{
			// Calculate ballgirth
			var ballgirth = 42 + (4*size) + (5*width);
			fieldBallgirth.val(ballgirth+' mm');

			// Calculate ballwidth
			if(fieldBallwidth.length > 0)
				{
				var bb = fieldBallwidth.data('reference').split('|');
				var bb_s = parseFloat(bb[0]);
				var bb_g = parseFloat(bb[1]*(size-minSize));
				var bb_w = parseFloat(bb[2]*(width-minWidth));
				var ballwidth = (Math.round((bb_s+bb_g+bb_w)*10)/10);
				fieldBallwidth.val(ballwidth+' mm');
				}

			// Calculate spanmeasure
			if(fieldSpameasure.length > 0)
				{
				var sm = fieldSpameasure.data('reference').split('|');
				var sm_s = parseFloat(sm[0]);
				var sm_g = parseFloat(sm[1]*(size-minSize));
				var sm_w = parseFloat(sm[2]*(width-minWidth));
				var spameasure = (Math.round((sm_s+sm_g+sm_w)*10)/10);
				fieldSpameasure.val(spameasure + ' mm');
				}

			// Calculate heelmeasure
			if(fieldHeelmeasure.length > 0)
				{
				var hm = fieldHeelmeasure.data('reference').split('|');
				var hm_s = parseFloat(hm[0]);
				var hm_g = parseFloat(hm[1]*(size-minSize));
				var hm_w = parseFloat(hm[2]*(width-minWidth));
				var heelmeasure = (Math.round((hm_s+hm_g+hm_w)*10)/10);
				fieldHeelmeasure.val(heelmeasure+' mm');
				}
			}
		}
	}


$(document).ready(function() { 
	// Proccess calculation of additional measurements
	if($('#CMM_Shoelasts_detailItemForm').length > 0)
		{ calculateMeasures(); }
	$('#optionSize').on('change',function() {
		calculateMeasures(); });
	$('#optionWidth').on('change',function() {
		calculateMeasures(); });

	// Proccess left quantity field
	$('#quantityLeft').on('input',function() {
		// Remove forbidden characters
		if($(this).val().match(/[^0-9]/g,''))
			{ $(this).val($(this).val().replace(/[^0-9]/g,'')); }
	}).on('blur',function() {
		if($(this).val() == '')
			{ $(this).val(1); }
		});

	// Proccess right quantity field
	$('#quantityRight').on('input',function() {
		// Remove forbidden characters
		if($(this).val().match(/[^0-9]/g,''))
			{ $(this).val($(this).val().replace(/[^0-9]/g,'')); }
	}).on('blur',function() {
		if($(this).val() == '')
			{ $(this).val(1); }
		});

	// Proccess chained quantity fields
	if($('#quantityPair').length > 0)
		{
		// Proccess left quantity field
		$('#quantityLeft').on('input',function() {
			// Set corresponding field if value > 0
			if(parseInt($(this).val()) > 0)
				{ $('#quantityRight').val($(this).val()); }
			// Set corresponding field if value == 0
			if(parseInt($(this).val()) == 0)
				{ $(this).val(1); $('#quantityRight').val(1); }
		}).on('blur',function() {
			if($(this).val() == 1)
				{ $('#quantityRight').val($(this).val()); }
			});
		// Proccess right quantity field
		$('#quantityRight').on('input',function() {
			// Set corresponding field if value > 0
			if(parseInt($(this).val()) > 0)
				{ $('#quantityLeft').val($(this).val()); }
			// Set corresponding field if value == 0
			if(parseInt($(this).val()) == 0)
				{ $(this).val(1); $('#quantityLeft').val(1); }
		}).on('blur',function() {
			if($(this).val() == 1)
				{ $('#quantityLeft').val($(this).val()); }
			});
		}

	
	// Proccess additional measurement input fields
	$('#optionEndheightDummy').on('input', function() {
		if($(this).val().match(/[^0-9.,]/g,''))
			{ $(this).val(currentValue.replace(/[^0-9.,]/g,'')); }
		var finalValue = ($(this).val()!='' ? $(this).val()+' cm' : '');
		$('#optionEndheight').val(finalValue);
		});
	$('#optionLegperimeterDummy').on('input', function() {
		if($(this).val().match(/[^0-9.,]/g,''))
			{ $(this).val(currentValue.replace(/[^0-9.,]/g,'')); }
		var finalValue = ($(this).val()!='' ? $(this).val()+' cm' : '');
		$('#optionLegperimeter').val(finalValue);
		});
	$('#optionAnkleperimeterDummy').on('input', function() {
		if($(this).val().match(/[^0-9.,]/g,''))
			{ $(this).val(currentValue.replace(/[^0-9.,]/g,'')); }
		var finalValue = ($(this).val()!='' ? $(this).val()+' cm' : '');
		$('#optionAnkleperimeter').val(finalValue);
		});


	// Measurement hover info
	$('.tooltip').each(function() {
		// Move content from title to data-attrib to prevent regular tooltip
		$(this).data('title',$(this).attr('title'));
		$(this).attr('title','');
		});
	$('.tooltip').hover(function() {
		tooltip = $('<div class="tooltipInfo">'+$(this).data('title')+'</div>');
		$(this).append(tooltip);
		},function() {
		tooltip.remove();		
		});
	});
