<?PHP
/***************************************************************
*  Copyright notice
*
*  (c) 2009-2017 Nicolas Berg
*  All rights reserved
*
*  This script is part of the CMM3 Content-Management-System.
*  CMM3 is provided only under a commercial license until now.
*  Maybe we will add a free license in future.
*
*  This script is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
*
*  This copyright notice MUST APPEAR in all copies of the script!
***************************************************************/

////////////////////////////////////////////////////////////////////
// Modul-Einstellungen                                            //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Staff'] = array();
// Modulpraefix
$CONFIG['CMM_Staff']['key'] = 'CMM_Staff';
// Modulbeschreibung
$CONFIG['CMM_Staff']['description'] = 'Modul zur Verwaltung von Mitarbeitern oder Ansprechpartnern in der Website';
// Modulname
$CONFIG['CMM_Staff']['label'] = 'Mitarbeiter';
// Module-languages
$CONFIG['CMM_Staff']['languages'] = 'at,de,ch,en,fr,nl,ru';
// Modulicon
$CONFIG['CMM_Staff']['icon'] = 'CMM_Staff.svg';
// Modulversion
$CONFIG['CMM_Staff']['version'] = '1.3.6';
// Dependencies
$CONFIG['CMM_Staff']['depend'] = 'CMM:6.0';


////////////////////////////////////////////////////////////////////
// Set includes for administration                                //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Staff']['BE'] = array();
$CONFIG['CMM_Staff']['BE']['include'] = array();
// PHP
$CONFIG['CMM_Staff']['BE']['include']['PHP'] = array('CMM_Staff/structure.php');
// CSS
$CONFIG['CMM_Staff']['BE']['include']['CSS'] = array();
// JS
$CONFIG['CMM_Staff']['BE']['include']['JS'] = array();


////////////////////////////////////////////////////////////////////
// Set includes for website                                       //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Staff']['FE'] = array();
$CONFIG['CMM_Staff']['FE']['include'] = array();
// PHP - starting at CMM_ROOT_DIR
$CONFIG['CMM_Staff']['FE']['include']['PHP'] = array();
// CSS - starting at CMM_ROOT_DIR
$CONFIG['CMM_Staff']['FE']['include']['CSS'] = array('CMM_Staff/template/css/CMM_Staff.css');
// JS - starting at CMM_ROOT_DIR
$CONFIG['CMM_Staff']['FE']['include']['JS'] = array();


////////////////////////////////////////////////////////////////////
// Datenverzeichnisse erstellen                                   //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Staff']['dirs'] = array(
	'data/CMM_Staff/backup/',
	'data/CMM_Staff/images/',
	'data/CMM_Staff/videos/',
	'data/CMM_Staff/audios/',
	'data/CMM_Staff/files/'
	);


////////////////////////////////////////////////////////////////////
// Plugins                                                        //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Staff']['plugins'] = array(
	'CMM_Staff_letters.php',
	'CMM_Staff_list.php',
	'CMM_Staff_short.php',
	'CMM_Staff_detail.php',
	'CMM_Staff_list_xml.php'
	);


////////////////////////////////////////////////////////////////////
// Weitere Einstellungen                                          //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Staff']['config'] = array();

// Einfacher Modus - ohne Auswahl der Speicherseite
$CONFIG['CMM_Staff']['config']['simpleMode'] = 0;
// Anzeige der Detailansichten zaehlen?
$CONFIG['CMM_Staff']['config']['countImpressions'] = 0;
// Meta-Felder
$CONFIG['CMM_Staff']['config']['metaTitleFields'] = array('StaffItemFirstname','StaffItemLastname');
$CONFIG['CMM_Staff']['config']['metaKeywordsFields'] = array('StaffItemTitle','StaffItemFirstname','StaffItemLastname','StaffItemCompany');
$CONFIG['CMM_Staff']['config']['metaDescriptionFields'] = array('StaffItemTitle','StaffItemFirstname','StaffItemLastname','StaffItemCompany');

// Backup-Ansicht aktivieren
$CONFIG['CMM_Staff']['config']['enableBackup'] = 0;


////////////////////////////////////////////////////////////////////
// Felddefinitionen fuer Config                                   //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Staff']['configFields'] = array(
	'simpleMode' => array('label'=>'Einfacher Modus ohne Seitenbaum','type'=>'radio','options'=>array(array('value'=>'0','text'=>'{LANG_CMM_NO}'),array('value'=>'1','text'=>'{LANG_CMM_YES}')),'position'=>'left'),
	'countImpressions' => array('label'=>'Detailanzeige der Einträge zählen','type'=>'radio','options'=>array(array('value'=>'0','text'=>'{LANG_CMM_NO}'),array('value'=>'1','text'=>'{LANG_CMM_YES}')),'position'=>'left'),
	'enableBackup' => array('label'=>'Backup aktivieren','type'=>'radio','options'=>array(array('value'=>'0','text'=>'{LANG_CMM_NO}'),array('value'=>'1','text'=>'{LANG_CMM_YES}')),'position'=>'left')
	);


////////////////////////////////////////////////////////////////////
// Einstellungen fuer Suche                                       //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Staff']['config']['search'] = array(
	'label' => '{LANG_CMM_STAFF_LABEL}',
	'resultPIDparams' => ($CONFIG['CMM']['config']['seoUseSeoUrls']==true ? '/{$StaffItemFirstname|validatealias}-{$StaffItemLastname|validatealias}.{$StaffItemUID}' : '?CMM_Staff[StaffItemUID]={$StaffItemUID}'),
	'resultPIDfilter' => '',
	'tablename' => 'cmm_staff_items',
	'fieldprefix' => 'StaffItem',
	'join' => array('cmm_staff_categories|StaffCategoryUID=StaffItemTID'), // Join-Table|Join-Table-Field=Table-Field|[Join-Table-Field=Value]
	'filter' => array(), // Zusatzfilter
	'titleFields' => array('StaffItemTitle','StaffItemFirstname','StaffItemLastname'),
	'textFields' => array('StaffItemCompany','StaffItemDepartment','StaffItemPosition','StaffItemDescription'),
	'searchFields' => array('StaffItemTitle','StaffItemFirstname','StaffItemLastname','StaffItemCompany','StaffItemDepartment','StaffItemPosition','StaffItemDescription'),
	'extraFields' => array('StaffItemTitle','StaffItemFirstname','StaffItemLastname'),
	'deletedField' => 'StaffItemDeleted'
	);

?>