<?PHP
/***************************************************************
*  Copyright notice
*
*  (c) 2009-2017 Nicolas Berg
*  All rights reserved
*
*  This script is part of the CMM3 Content-Management-System.
*  CMM3 is provided only under a commercial license until now.
*  Maybe we will add a free license in future.
*
*  This script is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
*
*  This copyright notice MUST APPEAR in all copies of the script!
***************************************************************/

///////////////////////////////////////////////////////////
// Plugin fuer Mitarbeiter-Details                       //
///////////////////////////////////////////////////////////
// V 1.0 First release
// V 1.0.1 Erweiterung auf Mehrsprachigkeit
// V 1.0.2 Div. Mods fuer CMM3 RC2
// V 1.0.3 Erweiterung fuer ID aus PageAlias
// V 1.0.4 Feld-Definitionen eingefuegt
// V 1.0.5 multiselect for UID, CID
// V 1.0.6 No-UID-fix
///////////////////////////////////////////////////////////
include_once(CMM_ROOT_DIR.'CMM_Staff/index.php');

/* PARAMS START - Marker-Comments required! */
$params = array(
	'templateFile'=>'CMM_Staff/template/html/CMM_Staff_details.html',
	'dataPID'=>'',
	'listPID'=>'',
	'detailPID'=>'',
	'UID'=>'{$_REQUEST["CMM_Staff"]["StaffItemUID"]}',
	'UIDinPageAlias'=>1,
	'CID'=>'{$_REQUEST["CMM_Staff"]["StaffItemCID"]}',
	'CIDinPageAlias'=>1,
	'sort'=>'StaffItemSort ASC',
	'cacheTimeout'=>86400
	);
/* PARAMS END */

/* FIELDSET START - Marker-Comments required! */
$fieldset = array(
	'templateFile' => array('label'=>'HTML-Vorlagen-Datei','type'=>'textfield','datatype'=>'text','position'=>'bottom'),
	'dataPID' => array('label'=>'Seite: Datensätze (PID)','type'=>'linkfield','position'=>'left'),
	'listPID' => array('label'=>'Seite: Listen-Anzeige (PID)','type'=>'linkfield','position'=>'left'),
	'detailPID' => array('label'=>'Seite: Detail-Anzeige (PID)','type'=>'linkfield','position'=>'left'),
	'UID' => array('label'=>'Eintrag: nur diesen anzeigen (UID)','type'=>'multiselect','size'=>'5','multiple'=>'1','select'=>array('module'=>'CMM_Staff','table'=>'cmm_staff_items','keyfield'=>'StaffItemUID','labelfield'=>'StaffItemUID,StaffItemTitle,StaffItemFirstname,StaffItemLastname'),'position'=>'top'),
	'UIDinPageAlias' => array('label'=>'Eintrag: UID aus SEO-URL ermitteln','type'=>'radio','options'=>array(array('value'=>'0','text'=>'{LANG_CMM_NO}'),array('value'=>'1','text'=>'{LANG_CMM_YES}')),'position'=>'right','shy'=>1),
	'CID' => array('label'=>'Kategorie: nur diese anzeigen (CID)','type'=>'multiselect','size'=>'5','multiple'=>'1','select'=>array('module'=>'CMM_Staff','table'=>'cmm_staff_categories','keyfield'=>'StaffCategoryUID','labelfield'=>'StaffCategoryUID,StaffCategoryTitle'),'position'=>'top'),
	'CIDinPageAlias' => array('label'=>'Eintrag: CID aus SEO-URL ermitteln','type'=>'radio','options'=>array(array('value'=>'0','text'=>'{LANG_CMM_NO}'),array('value'=>'1','text'=>'{LANG_CMM_YES}')),'position'=>'right','shy'=>1),
	'sort' => array('label'=>'Sortierung','type'=>'select','options'=>array(array('value'=>'UID','text'=>'wie im Feld UID definiert'),array('value'=>'StaffItemFirstname ASC','text'=>'Vorname A-Z'),array('value'=>'StaffItemLastname ASC, StaffItemFirstname ASC','text'=>'Nachname A-Z, Vorname A-Z'),array('value'=>'StaffItemLastname ASC, StaffItemZip ASC','text'=>'Nachname A-Z, PLZ 0-9'),array('value'=>'StaffItemLastname ASC, StaffItemCity ASC','text'=>'Nachname A-Z, Ort A-Z'),array('value'=>'StaffItemLastname ASC, StaffItemProvince ASC','text'=>'Nachname A-Z, Provinz/Bundesland A-Z'),array('value'=>'StaffItemLastname ASC, StaffItemCountry ASC','text'=>'Nachname A-Z, Land A-Z'),array('value'=>'StaffItemSort ASC','text'=>'Sortierfeld 1,2,3'),array('value'=>'StaffItemSort DESC','text'=>'Sortierfeld 3,2,1')),'position'=>'top'),
	'cacheTimeout' => array('label'=>'{LANG_CMM_CACHE_TIMEOUT}','type'=>'textfield','datatype'=>'int','position'=>'bottom','shy'=>1)
	);
/* FIELDSET END */

// Set customer group
$params['CustomerCustomergroupID'] = isset($GLOBALS['CustomergroupUID']) ? $GLOBALS['CustomergroupUID'] : 0;
// Set language
$params['LID'] = isset($GLOBALS['LanguageUID']) ? $GLOBALS['LanguageUID'] : 1;

// Merge params and pluginParams
$params = CMM_mergePluginParams($params,$pluginParams);

// UID/CID aus Pagetail ermitteln
if($CONFIG['CMM']['config']['seoUseSeoUrls']==true)
	{
	if(isset($params['CID']) && strstr($params['CID'],'{') && substr_count($GLOBALS['PageTail'],'/') > 1)
		{
		$tempCID = CMM_getPagetailParams($GLOBALS['PageTail'],'first');
		!empty($tempCID) ? $params['CID'] = $tempCID : '';
		}
	if(stristr($params['UID'],'{'))
		{
		$tempUID = CMM_getPagetailParams($GLOBALS['PageTail'],'last');
		!empty($tempUID) ? $params['UID'] = $tempUID : '';
		}
	}

// Inhalt ausgeben
if(!empty($params['UID']))
	{
	$extStaffDetail = new CMM_Staff;
	$pluginContent = $extStaffDetail->createContent($params);
	}
else
	{
	$pluginContent = CMM_createMessage(LANG_CMM_ERROR_NO_UID,'error');
	$pluginContent.= (!empty($params['listPID']) ? '<a href="'.CMM_createLink(array('href'=>$params['listPID'])).'" class="button">'.LANG_CMM_BACK.'</a>' : '');
	}

unset($params);
?>