<?PHP
/***************************************************************
*  Copyright notice
*
*  (c) 2009-2017 Nicolas Berg
*  All rights reserved
*
*  This script is part of the CMM3 Content-Management-System.
*  CMM3 is provided only under a commercial license until now.
*  Maybe we will add a free license in future.
*
*  This script is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
*
*  This copyright notice MUST APPEAR in all copies of the script!
***************************************************************/

///////////////////////////////////////////////////////////
// Plugin fuer Glossar-Liste                             //
///////////////////////////////////////////////////////////
// V 1.0 First release
///////////////////////////////////////////////////////////
include_once(CMM_ROOT_DIR.'CMM_Staff/index.php');

/* PARAMS START - Marker-Comments required! */
$params = array(
	'templateFile'=>'CMM_Staff/template/html/CMM_Staff_letters.html',
	'dataPID'=>'',
	'listPID'=>'',
	'UID'=>'',
	'UIDinPageAlias'=>1,
	'CID'=>'{$_REQUEST["CMM_Staff"]["StaffItemCID"]}',
	'CIDinPageAlias'=>1,
	'filter'=>'{$_REQUEST["CMM_Staff"]["filter"]}',
	'cacheTimeout'=>600
	);
/* PARAMS END */

/* FIELDSET START - Marker-Comments required! */
$fieldset = array(
	'templateFile' => array('label'=>'HTML-Vorlagen-Datei','type'=>'textfield','datatype'=>'text','position'=>'bottom'),
	'dataPID' => array('label'=>'Seite: Datensätze (PID)','type'=>'linkfield','position'=>'left'),
	'listPID' => array('label'=>'Seite: Listen-Anzeige (PID)','type'=>'linkfield','position'=>'left'),
	'UID' => array('label'=>'Eintrag: nur diesen anzeigen (UID)','type'=>'hidden','size'=>'5','multiple'=>'1','position'=>'top'),
	'UIDinPageAlias' => array('label'=>'Eintrag: UID aus SEO-URL ermitteln','type'=>'hidden','position'=>'left'),
	'CID' => array('label'=>'Kategorie: nur diese anzeigen (CID)','type'=>'multiselect','size'=>'5','multiple'=>'1','select'=>array('module'=>'CMM_Staff','table'=>'cmm_staff_categories','keyfield'=>'StaffCategoryUID','labelfield'=>'StaffCategoryUID,StaffCategoryTitle'),'position'=>'top'),
	'CIDinPageAlias' => array('label'=>'Kategorie: CID aus SEO-URL ermitteln','type'=>'radio','options'=>array(array('value'=>'0','text'=>'{LANG_CMM_NO}'),array('value'=>'1','text'=>'{LANG_CMM_YES}')),'position'=>'left'),
	'filter' => array('label'=>'Filter: Einträge filtern','type'=>'textfield','datatype'=>'code','position'=>'bottom'),
	'cacheTimeout' => array('label'=>'{LANG_CMM_CACHE_TIMEOUT}','type'=>'textfield','datatype'=>'int','position'=>'bottom','shy'=>1)
	);
/* FIELDSET END */

// Set customer group
$params['CustomerCustomergroupID'] = isset($GLOBALS['CustomergroupUID']) ? $GLOBALS['CustomergroupUID'] : 0;
// Set language
$params['LID'] = isset($GLOBALS['LanguageUID']) ? $GLOBALS['LanguageUID'] : 1;

// Merge params and pluginParams
$params = CMM_mergePluginParams($params,$pluginParams);

// Register ausgeben
$extStaffList = new CMM_Staff;
$pluginContent.= $extStaffList->createLetters($params);

unset($params);
?>