<?PHP
/***************************************************************
*  Copyright notice
*
*  (c) 2009-2017 Nicolas Berg
*  All rights reserved
*
*  This script is part of the CMM3 Content-Management-System.
*  CMM3 is provided only under a commercial license until now.
*  Maybe we will add a free license in future.
*
*  This script is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
*
*  This copyright notice MUST APPEAR in all copies of the script!
***************************************************************/

///////////////////////////////////////////////////////////
// Plugin fuer Mitarbeiter-Liste                         //
///////////////////////////////////////////////////////////
// V 1.0 First release
// V 1.0.1 Erweiterung auf Mehrsprachigkeit
// V 1.0.2 Div. Mods fuer CMM3 RC2
// V 1.0.3 Erweiterung fuer ID aus PageAlias
// V 1.0.4 Feld-Definitionen eingefuegt
// V 1.0.5 multiselect for UID, CID
///////////////////////////////////////////////////////////
include_once(CMM_ROOT_DIR.'CMM_Staff/index.php');

/* PARAMS START - Marker-Comments required! */
$params = array(
	'templateFile'=>'CMM_Staff/template/html/CMM_Staff_short.html',
	'dataPID'=>'',
	'listPID'=>'',
	'detailPID'=>'',
	'UID'=>'',
	'UIDinPageAlias'=>1,
	'CID'=>'',
	'CIDinPageAlias'=>1,
	'limit'=>'10',
	'filter'=>'',
	'sort'=>'StaffItemSort ASC',
	'start'=>'',
	'cacheTimeout'=>600
	);
/* PARAMS END */

/* FIELDSET START - Marker-Comments required! */
$fieldset = array(
	'templateFile' => array('label'=>'HTML-Vorlagen-Datei','type'=>'textfield','datatype'=>'text','position'=>'bottom'),
	'dataPID' => array('label'=>'Seite: Datensätze (PID)','type'=>'linkfield','position'=>'left'),
	'listPID' => array('label'=>'Seite: Listen-Anzeige (PID)','type'=>'linkfield','position'=>'left'),
	'detailPID' => array('label'=>'Seite: Detail-Anzeige (PID)','type'=>'linkfield','position'=>'left'),
	'UID' => array('label'=>'Eintrag: nur diesen anzeigen (UID)','type'=>'multiselect','size'=>'5','multiple'=>'1','select'=>array('module'=>'CMM_Staff','table'=>'cmm_staff_items','keyfield'=>'StaffItemUID','labelfield'=>'StaffItemUID,StaffItemTitle,StaffItemFirstname,StaffItemLastname'),'position'=>'top'),
	'UIDinPageAlias' => array('label'=>'Eintrag: UID aus SEO-URL ermitteln','type'=>'radio','options'=>array(array('value'=>'0','text'=>'{LANG_CMM_NO}'),array('value'=>'1','text'=>'{LANG_CMM_YES}')),'position'=>'left'),
	'CID' => array('label'=>'Kategorie: nur diese anzeigen (CID)','type'=>'multiselect','size'=>'5','multiple'=>'1','select'=>array('module'=>'CMM_Staff','table'=>'cmm_staff_categories','keyfield'=>'StaffCategoryUID','labelfield'=>'StaffCategoryUID,StaffCategoryTitle'),'position'=>'top'),
	'CIDinPageAlias' => array('label'=>'Kategorie: CID aus SEO-URL ermitteln','type'=>'radio','options'=>array(array('value'=>'0','text'=>'{LANG_CMM_NO}'),array('value'=>'1','text'=>'{LANG_CMM_YES}')),'position'=>'left'),
	'limit' => array('label'=>'Einträge pro Seite: (Anzahl oder Variable)','type'=>'textfield','datatype'=>'code','position'=>'right'),
	'filter' => array('label'=>'Filter: Einträge filtern','type'=>'textfield','datatype'=>'code','position'=>'bottom'),
	'sort' => array('label'=>'Sortierung','type'=>'select','options'=>array(array('value'=>'UID','text'=>'wie im Feld UID definiert'),array('value'=>'StaffItemFirstname ASC','text'=>'Vorname A-Z'),array('value'=>'StaffItemLastname ASC, StaffItemFirstname ASC','text'=>'Nachname A-Z, Vorname A-Z'),array('value'=>'StaffItemLastname ASC, StaffItemZip ASC','text'=>'Nachname A-Z, PLZ 0-9'),array('value'=>'StaffItemLastname ASC, StaffItemCity ASC','text'=>'Nachname A-Z, Ort A-Z'),array('value'=>'StaffItemLastname ASC, StaffItemProvince ASC','text'=>'Nachname A-Z, Provinz/Bundesland A-Z'),array('value'=>'StaffItemLastname ASC, StaffItemCountry ASC','text'=>'Nachname A-Z, Land A-Z'),array('value'=>'StaffItemSort ASC','text'=>'interne Sortierung 0-9'),array('value'=>'StaffItemSort DESC','text'=>'interne Sortierung 9-0')),'position'=>'top'),
	'start' => array('label'=>'Liste beginnen bei (Anzahl oder Variable)','type'=>'hidden','position'=>'right'),
	'cacheTimeout' => array('label'=>'{LANG_CMM_CACHE_TIMEOUT}','type'=>'textfield','datatype'=>'int','position'=>'bottom','shy'=>1)
	);
/* FIELDSET END */

// Set customer group
$params['CustomerCustomergroupID'] = isset($GLOBALS['CustomergroupUID']) ? $GLOBALS['CustomergroupUID'] : 0;
// Set language
$params['LID'] = isset($GLOBALS['LanguageUID']) ? $GLOBALS['LanguageUID'] : 1;

// Merge params and pluginParams
$params = CMM_mergePluginParams($params,$pluginParams);

// UID/CID aus Pagetail ermitteln
if($CONFIG['CMM']['config']['seoUseSeoUrls']==true)
	{
	if(isset($params['CID']) && stristr($params['CID'],'{') && !empty($GLOBALS['PageTail']))
		{ $params['CID'] = CMM_getPagetailParams($GLOBALS['PageTail'],'first'); }
	if(isset($params['start']) && strstr($params['start'],'{') && !empty($GLOBALS['PageTail']))
		{
		$tempStart = CMM_getPagetailParams($GLOBALS['PageTail'],'start');
		!empty($tempStart) ? $params['start'] = $tempStart : '';
		}
	}

// Inhalt ausgeben
$extStaffList = new CMM_Staff;
$pluginContent = $extStaffList->createContent($params);

unset($params);
?>