<?PHP
/***************************************************************
*  Copyright notice
*
*  (c) 2009-2017 Nicolas Berg
*  All rights reserved
*
*  This script is part of the CMM3 Content-Management-System.
*  CMM3 is provided only under a commercial license until now.
*  Maybe we will add a free license in future.
*
*  This script is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
*
*  This copyright notice MUST APPEAR in all copies of the script!
***************************************************************/

////////////////////////////////////////////////////////////////////
// Modul-Einstellungen                                            //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Teaser'] = array();
// Modulpraefix
$CONFIG['CMM_Teaser']['key'] = 'CMM_Teaser';
// Modulname
$CONFIG['CMM_Teaser']['label'] = 'Teaser';
// Modulbeschreibung
$CONFIG['CMM_Teaser']['description'] = 'Modul zur Verwaltung von Teasern';
// Module-languages
$CONFIG['CMM_Teaser']['languages'] = 'at,de,ch,en';
// Modulicon
$CONFIG['CMM_Teaser']['icon'] = 'CMM_Teaser.svg';
// Modulversion
$CONFIG['CMM_Teaser']['version'] = '1.3.6';
// Dependencies
$CONFIG['CMM_Teaser']['depend'] = 'CMM:6.0';


////////////////////////////////////////////////////////////////////
// Set includes for administration                                //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Teaser']['FE'] = array();
$CONFIG['CMM_Teaser']['FE']['include'] = array();
// PHP
$CONFIG['CMM_Teaser']['FE']['include']['PHP'] = array('CMM_Teaser/structure.php');
// CSS
$CONFIG['CMM_Teaser']['FE']['include']['CSS'] = array();
// JS
$CONFIG['CMM_Teaser']['FE']['include']['JS'] = array();


////////////////////////////////////////////////////////////////////
// Set includes for website                                       //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Teaser']['FE'] = array();
$CONFIG['CMM_Teaser']['FE']['include'] = array();
// PHP - starting at CMM_ROOT_DIR
$CONFIG['CMM_Teaser']['FE']['include']['PHP'] = array();
// CSS - starting at CMM_ROOT_DIR
$CONFIG['CMM_Teaser']['FE']['include']['CSS'] = array('CMM_Teaser/template/css/CMM_Teaser.css');
// JS - starting at CMM_ROOT_DIR
$CONFIG['CMM_Teaser']['FE']['include']['JS'] = array();


////////////////////////////////////////////////////////////////////
// Datenverzeichnisse erstellen                                   //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Teaser']['dirs'] = array(
	'data/CMM_Teaser/backup/',
	'data/CMM_Teaser/images/'
	);


////////////////////////////////////////////////////////////////////
// Plugins                                                        //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Teaser']['plugins'] = array(
	'CMM_Teaser_list.php'
	);


////////////////////////////////////////////////////////////////////
// Weitere Einstellungen                                          //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Teaser']['config'] = array();

// Einfacher Modus - ohne Auswahl der Speicherseite
$CONFIG['CMM_Teaser']['config']['simpleMode'] = 0;

// Meta-Felder
$CONFIG['CMM_Teaser']['config']['metaTitleFields'] = array('TeaserItemTitle','TeaserItemSubtitle');
$CONFIG['CMM_Teaser']['config']['metaKeywordsFields'] = array('TeaserItemTitle','TeaserItemSubtitle','TeaserItemDescription','TeaserItemButton');
$CONFIG['CMM_Teaser']['config']['metaDescriptionFields'] = array('TeaserItemTitle','TeaserItemSubtitle','TeaserItemDescription','TeaserItemButton');

// Taser-Typen
//$CONFIG['CMM_Teaser']['config']['teaserTypes'] = 'Type 1, Type 2, Type 3, Type 4';

// Backup-Ansicht aktivieren
$CONFIG['CMM_Teaser']['config']['enableBackup'] = 0;


////////////////////////////////////////////////////////////////////
// Felddefinitionen fuer Config                                   //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Teaser']['configFields'] = array(
	'simpleMode' => array('label'=>'Einfacher Modus ohne Seitenbaum','type'=>'radio','options'=>array(array('value'=>'0','text'=>'{LANG_CMM_NO}'),array('value'=>'1','text'=>'{LANG_CMM_YES}')),'position'=>'left'),
//	'teaserTypes' => array('label'=>'Design: Liste der Design-Typen (,)','type'=>'textfield','datatype'=>'text','position'=>'right'),
	'enableBackup' => array('label'=>'Backup aktivieren','type'=>'radio','options'=>array(array('value'=>'0','text'=>'{LANG_CMM_NO}'),array('value'=>'1','text'=>'{LANG_CMM_YES}')),'position'=>'left')
	);


////////////////////////////////////////////////////////////////////
// Einstellungen fuer Suche                                       //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Teaser']['config']['search'] = array(
	'label' => '{LANG_CMM_TEASER_LABEL}',
	'resultPIDparams' => ($CONFIG['CMM']['config']['seoUseSeoUrls']==true ? '/{$TeaserItemTitle|validatealias}.{$TeaserItemUID}' : '?CMM_Teaser[TeaserItemUID]={$TeaserItemUID}'),
	'resultPIDfilter' => '',
	'tablename' => 'cmm_teaser_items',
	'fieldprefix' => 'TeaserItem',
	'join' => array('cmm_teaser_categories|TeaserCategoryUID=TeaserItemCategories'), // Join-Table|Join-Table-Field=Table-Field|[Join-Table-Field=Value]
	'filter' => array(), // Zusatzfilter
	'titleFields' => array('TeaserItemTitle'),
	'textFields' => array('TeaserItemSubtitle','TeaserItemDescription'),
	'searchFields' => array('TeaserItemTitle','TeaserItemSubtitle','TeaserItemDescription'),
	'extraFields' => array('TeaserItemTitle'),
	'deletedField' => 'TeaserItemDeleted'
	);

?>