<?PHP
/***************************************************************
*  Copyright notice
*
*  (c) 2009-2017 Nicolas Berg
*  All rights reserved
*
*  This script is part of the CMM3 Content-Management-System.
*  CMM3 is provided only under a commercial license until now.
*  Maybe we will add a free license in future.
*
*  This script is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
*
*  This copyright notice MUST APPEAR in all copies of the script!
***************************************************************/

///////////////////////////////////////////////////////////
// Plugin fuer Mitarbeiter-Liste                         //
///////////////////////////////////////////////////////////
// V 1.0 First release
// V 1.0.1 Erweiterung auf Mehrsprachigkeit
// V 1.0.2 Div. Mods fuer CMM3 RC2
// V 1.0.2 Erweiterung fuer ID aus PageAlias
// V 1.0.3 Feld-Definitionen eingefuegt
// V 1.0.4 Anpassugn der Parameter
///////////////////////////////////////////////////////////
include_once(CMM_ROOT_DIR.'CMM_Teaser/index.php');

/* PARAMS START - Marker-Comments required! */
$params = array(
	'templateFile'=>'CMM_Teaser/template/html/CMM_Teaser_list.html',
	'dataPID'=>'',
	'UID'=>'',
	'UIDinPageAlias'=>1,
	'CID'=>'{$_REQUEST["CMM_Teaser"]["TeaserItemCID"]}',
	'CIDinPageAlias'=>1,
	'TID'=>'',
	'limit'=>'100',
	'filter'=>'',
	'sort'=>'TeaserItemSort ASC',
	'start'=>'',
	'cacheTimeout'=>86400
	);
/* PARAMS END */

/* FIELDSET START - Marker-Comments required! */
$fieldset = array(
	'templateFile' => array('label'=>'HTML-Vorlagen-Datei','type'=>'textfield','datatype'=>'text','position'=>'center'),
	'dataPID' => array('label'=>'Datensätze (PID)','type'=>'linkfield','position'=>'left'),
	'UID' => array('label'=>'Einträge (UID)','type'=>'multiselect','size'=>'5','multiple'=>'1','select'=>array('module'=>'CMM_Teaser','table'=>'cmm_teaser_items','keyfield'=>'TeaserItemUID','labelfield'=>'TeaserItemUID,TeaserItemTitle','where'=>'TeaserItemLID={$CURRENT["language"]}'),'position'=>'top'),
	'UIDinPageAlias' => array('label'=>'UID (Einträge) aus SEO-URL ermitteln','type'=>'radio','options'=>array(array('value'=>'0','text'=>'{LANG_CMM_NO}'),array('value'=>'1','text'=>'{LANG_CMM_YES}')),'position'=>'left2'),
	'CID' => array('label'=>'Kategorien (CID)','type'=>'multiselect','size'=>'5','multiple'=>'1','select'=>array('module'=>'CMM_Teaser','table'=>'cmm_teaser_categories','keyfield'=>'TeaserCategoryUID','labelfield'=>'TeaserCategoryUID,TeaserCategoryTitle','where'=>'TeaserCategoryLID={$CURRENT["language"]}'),'position'=>'top'),
	'CIDinPageAlias' => array('label'=>'CID (Kategorie) aus SEO-URL ermitteln','type'=>'radio','options'=>array(array('value'=>'0','text'=>'{LANG_CMM_NO}'),array('value'=>'1','text'=>'{LANG_CMM_YES}')),'position'=>'right2'),
	'TID' => array('label'=>'Teaser-Design (überschreibt Auswahl im Teaser)','type'=>'select','options'=>array(array('value'=>1,'text'=>'Typ 1'),array('value'=>2,'text'=>'Typ 2'),array('value'=>3,'text'=>'Typ 3'),array('value'=>4,'text'=>'Typ 4')),'position'=>'left'),
	'limit' => array('label'=>'Einträge pro Seite (Anzahl oder Variable)','type'=>'textfield','datatype'=>'code','position'=>'right'),
	'filter' => array('label'=>'Filter','type'=>'textfield','datatype'=>'code','position'=>'center'),
	'sort' => array('label'=>'Sortierung','type'=>'select','options'=>array(array('value'=>'UID','text'=>'wie im Feld UID definiert'),array('value'=>'TeaserItemSort ASC','text'=>'Sortierfeld 1,2,3'),array('value'=>'TeaserItemSort DESC','text'=>'Sortierfeld 3,2,1'),array('value'=>'TeaserItemTitle ASC','text'=>'Titel A,B,C'),array('value'=>'TeaserItemTitle DESC','text'=>'Titel C,B,A')),'position'=>'top'),
	'start' => array('label'=>'Liste beginnen bei (Anzahl oder Variable)','type'=>'hidden','position'=>'right'),
	'cacheTimeout' => array('label'=>'{LANG_CMM_CACHE_TIMEOUT}','type'=>'textfield','datatype'=>'int','position'=>'bottom','shy'=>1)
	);
/* FIELDSET END */

// Set customer group
$params['CustomerCustomergroupID'] = isset($GLOBALS['CustomergroupUID']) ? $GLOBALS['CustomergroupUID'] : 0;
// Set language
$params['LID'] = isset($GLOBALS['LanguageUID']) ? $GLOBALS['LanguageUID'] : 1;

// Merge params and pluginParams
$params = CMM_mergePluginParams($params,$pluginParams);

// UID/CID aus Pagetail ermitteln
if($CONFIG['CMM']['config']['seoUseSeoUrls']==true)
	{
	if(isset($params['CID']) && stristr($params['CID'],'{') && !empty($GLOBALS['PageTail']))
		{ $params['CID'] = CMM_getPagetailParams($GLOBALS['PageTail'],'first'); }
	if(isset($params['start']) && strstr($params['start'],'{') && !empty($GLOBALS['PageTail']))
		{
		$tempStart = CMM_getPagetailParams($GLOBALS['PageTail'],'start');
		!empty($tempStart) ? $params['start'] = $tempStart : '';
		}
	}

// Inhalt ausgeben
$extTeaserList = new CMM_Teaser;
$pluginContent = $extTeaserList->createContent($params);

unset($params);
?>