<?PHP
/***************************************************************
*  Copyright notice
*
*  (c) 2009-2017 Nicolas Berg
*  All rights reserved
*
*  This script is part of the CMM3 Content-Management-System.
*  CMM3 is provided only under a commercial license until now.
*  Maybe we will add a free license in future.
*
*  This script is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
*
*  This copyright notice MUST APPEAR in all copies of the script!
***************************************************************/

////////////////////////////////////////////////////////////////////
// Modul-Einstellungen                                            //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Testimonials'] = array();
// Modulpraefix
$CONFIG['CMM_Testimonials']['key'] = 'CMM_Testimonials';
// Modulname
$CONFIG['CMM_Testimonials']['label'] = 'Kunden-Meinungen';
// Modulbeschreibung
$CONFIG['CMM_Testimonials']['description'] = 'Modul zur Verwaltung von Kunden- oder Expertenmeinungen mit Kategorien';
// Module-languages
$CONFIG['CMM_Testimonials']['languages'] = 'at,de,ch,en';
// Modulicon
$CONFIG['CMM_Testimonials']['icon'] = 'CMM_Testimonials.svg';
// Modulversion
$CONFIG['CMM_Testimonials']['version'] = '1.5.5';
// Dependencies
$CONFIG['CMM_Testimonials']['depend'] = 'CMM:6.0';


////////////////////////////////////////////////////////////////////
// Set includes for administration                                //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Testimonials']['BE'] = array();
$CONFIG['CMM_Testimonials']['BE']['include'] = array();
// PHP
$CONFIG['CMM_Testimonials']['BE']['include']['PHP'] = array('CMM_Testimonials/structure.php');
// CSS
$CONFIG['CMM_Testimonials']['BE']['include']['CSS'] = array();
// JS
$CONFIG['CMM_Testimonials']['BE']['include']['JS'] = array();


////////////////////////////////////////////////////////////////////
// Set includes for website                                       //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Testimonials']['FE'] = array();
$CONFIG['CMM_Testimonials']['FE']['include'] = array();
// PHP - starting at CMM_ROOT_DIR
$CONFIG['CMM_Testimonials']['FE']['include']['PHP'] = array();
// CSS - starting at CMM_ROOT_DIR
$CONFIG['CMM_Testimonials']['FE']['include']['CSS'] = array('CMM_Testimonials/template/css/CMM_Testimonials.css');
// JS - starting at CMM_ROOT_DIR
$CONFIG['CMM_Testimonials']['FE']['include']['JS'] = array();


////////////////////////////////////////////////////////////////////
// Datenverzeichnisse erstellen                                   //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Testimonials']['dirs'] = array(
	'data/CMM_Testimonials/backup/',
	'data/CMM_Testimonials/images/',
	'data/CMM_Testimonials/videos/',
	'data/CMM_Testimonials/audios/',
	'data/CMM_Testimonials/files/'
	);


////////////////////////////////////////////////////////////////////
// Plugins                                                        //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Testimonials']['plugins'] = array(
	'CMM_Testimonials_form.php',
	'CMM_Testimonials_list.php',
	'CMM_Testimonials_short.php',
	'CMM_Testimonials_detail.php',
	'CMM_Testimonials_list_xml.php'
	);


////////////////////////////////////////////////////////////////////
// Weitere Einstellungen                                          //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Testimonials']['config'] = array();

// Einfacher Modus - ohne Auswahl der Speicherseite
$CONFIG['CMM_Testimonials']['config']['simpleMode'] = 0;
// Anzeige der Detailansichten zaehlen?
$CONFIG['CMM_Testimonials']['config']['countImpressions'] = 1;
// Meta-Felder
$CONFIG['CMM_Testimonials']['config']['metaTitleFields'] = array('TestimonialsItemTitle');
$CONFIG['CMM_Testimonials']['config']['metaKeywordsFields'] = array('TestimonialsItemTitle','TestimonialsItemSubtitle','TestimonialsItemShorttext','TestimonialsItemText');
$CONFIG['CMM_Testimonials']['config']['metaDescriptionFields'] = array('TestimonialsItemSubtitle','TestimonialsItemShorttext','TestimonialsItemText');


////////////////////////////////////////////////////////////////////
// DATA-Handling                                                  //
////////////////////////////////////////////////////////////////////
// Neue Eintraege
$CONFIG['CMM_Testimonials']['config']['html'] = 0; // HTML erlauben [0/1]
$CONFIG['CMM_Testimonials']['config']['xssProtect'] = 1; // XSS-Schutz aktivieren [0/1]
$CONFIG['CMM_Testimonials']['config']['newItemEnable'] = 0; // Neue Eintraege sofort online [0/1]
$CONFIG['CMM_Testimonials']['config']['catchIP'] = 1; // IP-Adresse aufzeichnen [0/1]
// Nachrichten
$CONFIG['CMM_Testimonials']['config']['sendNotification'] = 1; // Nachricht an Admin bei neuen Eintraegen [0/1]
$CONFIG['CMM_Testimonials']['config']['adminMail'] = ''; // e-Mail-Adresse für Benachrichtigung [e-Mail-Adresse] - wenn leer, dann Admin-E-Mail
// gesperrte Woerter
$CONFIG['CMM_Testimonials']['config']['badword'] = 1; // Badword-Filter aktivieren [0/1]
$CONFIG['CMM_Testimonials']['config']['badwords'] = 'scheiß,idiot,betrug,order,cheap, discount,valium,cialis,tramadol,fioricet, levitra,ultram,viagra,diazepam,vicodin, adipex,soma,meridia,zoloft,lortab, ephedrine,ativan,phentermine,hydrocodone,xanax';
$CONFIG['CMM_Testimonials']['config']['badwordreplace'] = '*zensiert*';

// Enable backup-view in module
$CONFIG['CMM_Testimonials']['config']['enableBackup'] = 0;


////////////////////////////////////////////////////////////////////
// Felddefinitionen fuer Config                                   //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Testimonials']['configTabs'] = array(0=>'Standard',1=>'Neue Einträge');
$CONFIG['CMM_Testimonials']['configFields'] = array(
	'simpleMode' => array('label'=>'Einfacher Modus ohne Seitenbaum','type'=>'radio','options'=>array(array('value'=>'0','text'=>'{LANG_CMM_NO}'),array('value'=>'1','text'=>'{LANG_CMM_YES}')),'position'=>'left','tab'=>0),
	'countImpressions' => array('label'=>'Detailanzeige der Einträge zählen','type'=>'radio','options'=>array(array('value'=>'0','text'=>'{LANG_CMM_NO}'),array('value'=>'1','text'=>'{LANG_CMM_YES}')),'position'=>'left','tab'=>0),
	'html' => array('label'=>'HTML-Code zulassen (Sicherheitsrisiko!)','type'=>'radio','options'=>array(array('value'=>'0','text'=>'{LANG_CMM_NO}'),array('value'=>'1','text'=>'{LANG_CMM_YES}')),'position'=>'left','tab'=>1),
	'xssProtect' => array('label'=>'XSS-Schutz aktivieren','type'=>'radio','options'=>array(array('value'=>'0','text'=>'{LANG_CMM_NO}'),array('value'=>'1','text'=>'{LANG_CMM_YES}')),'position'=>'left','tab'=>1),
	'newItemEnable' => array('label'=>'Neue Einträge sofort (ohne Prüfung) anzeigen','type'=>'radio','options'=>array(array('value'=>'0','text'=>'{LANG_CMM_NO}'),array('value'=>'1','text'=>'{LANG_CMM_YES}')),'position'=>'left','tab'=>1),
	'catchIP' => array('label'=>'IP-Adresse im Eintrag aufzeichnen','type'=>'radio','options'=>array(array('value'=>'0','text'=>'{LANG_CMM_NO}'),array('value'=>'1','text'=>'{LANG_CMM_YES}')),'position'=>'left','tab'=>1),
	'sendNotification' => array('label'=>'Benachrichtigung: aktivieren','type'=>'radio','options'=>array(array('value'=>'0','text'=>'{LANG_CMM_NO}'),array('value'=>'1','text'=>'{LANG_CMM_YES}')),'position'=>'left','tab'=>1),
	'adminMail' => array('label'=>'Benachrichtigung: E-Mail-Adresse','type'=>'textfield','position'=>'left','tab'=>1),
	'badword' => array('label'=>'Sperrwörter: aktivieren','type'=>'radio','options'=>array(array('value'=>'0','text'=>'{LANG_CMM_NO}'),array('value'=>'1','text'=>'{LANG_CMM_YES}')),'position'=>'right','tab'=>1),
	'badwords' => array('label'=>'Sperrwörter: Wortliste (,)','type'=>'textfield','position'=>'right','tab'=>1),
	'badwordreplace' => array('label'=>'Sperrwörter: Ersatz-String','type'=>'textfield','position'=>'right','tab'=>1),
	'enableBackup' => array('label'=>'Backup aktivieren','type'=>'radio','options'=>array(array('value'=>'0','text'=>'{LANG_CMM_NO}'),array('value'=>'1','text'=>'{LANG_CMM_YES}')),'position'=>'left'),
//	'license' => array('label'=>'Lizenz: Lizenz-Code','type'=>'textarea','position'=>'bottom','tab'=>0)
	);


////////////////////////////////////////////////////////////////////
// Einstellungen fuer Suche                                       //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Testimonials']['config']['search'] = array(
	'label' => '{LANG_CMM_TESTIMONIALS_LABEL}',
	'resultPIDparams' => ($CONFIG['CMM']['config']['seoUseSeoUrls']==true ? '/{$TestimonialsItemTitle|substr:length=50:word=1:fill=|validatealias}.{$TestimonialsItemUID}' : '?CMM_Testimonials[TestimonialsItemUID]={$TestimonialsItemUID}'),
	'resultPIDfilter' => '',
	'tablename' => 'cmm_testimonials_items',
	'fieldprefix' => 'TestimonialsItem',
	'join' => array('cmm_testimonials_categories|TestimonialsCategoryUID=TestimonialsItemTID'), // Join-Table|Join-Table-Field=Table-Field|[Join-Table-Field=Value]
	'filter' => array(), // Zusatzfilter
	'titleFields' => array('TestimonialsItemTitle','TestimonialsItemName'),
	'textFields' => array('TestimonialsItemSubtitle','TestimonialsItemShorttext','TestimonialsItemText'),
	'searchFields' => array('TestimonialsItemName','TestimonialsItemTitle','TestimonialsItemSubtitle','TestimonialsItemShorttext','TestimonialsItemText'),
	'extraFields' => array('TestimonialsItemTitle'),
	'deletedField' => 'TestimonialsItemDeleted'
	);

?>