<?PHP
/***************************************************************
*  Copyright notice
*
*  (c) 2009-2017 Nicolas Berg
*  All rights reserved
*
*  This script is part of the CMM3 Content-Management-System.
*  CMM3 is provided only under a commercial license until now.
*  Maybe we will add a free license in future.
*
*  This script is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
*
*  This copyright notice MUST APPEAR in all copies of the script!
***************************************************************/

///////////////////////////////////////////////////////////
// Plugin fuer Eintrags-Formular                         //
///////////////////////////////////////////////////////////
// V 1.0 First release
// V 1.0.1 Erkennung metaMode -> keine Ausfuehrung
// V 1.0.2 Feld-Definitionen eingefuegt
///////////////////////////////////////////////////////////
include_once(CMM_ROOT_DIR.'CMM_Testimonials/index.php');

/* PARAMS START - Marker-Comments required! */
$params = array(
	'templateFile'=>'CMM_Testimonials/template/html/CMM_Testimonials_form.html',
	'templateFileMail'=>'CMM_Testimonials/template/mail/CMM_Testimonials_mail.html',
	'dataPID'=>'',
	'listPID'=>'',
	'formPID'=>'',
	'showFields'=>'',
	'requiredFields'=>'',
	'useCaptcha'=>1,
	'cacheTimeout'=>0
	);
/* PARAMS END */

/* FIELDSET START - Marker-Comments required! */
$fieldset = array(
	'templateFile' => array('label'=>'HTML-Vorlage Formular','type'=>'textfield','datatype'=>'text','position'=>'bottom','shy'=>1),
	'templateFileMail' => array('label'=>'HTML-Vorlage E-Mail','type'=>'textfield','datatype'=>'text','position'=>'bottom','shy'=>1),
	'dataPID' => array('label'=>'Seite: Datensätze (PID)','type'=>'linkfield','position'=>'left'),
	'listPID' => array('label'=>'Seite: Listen-Anzeige (PID)','type'=>'linkfield','position'=>'left'),
	'formPID' => array('label'=>'Seite: Neuer Eintrag (PID)','type'=>'linkfield','position'=>'left'),
	'showFields'=> array('label'=>'Formular: optionale Felder anzeigen','type'=>'multiselect','options'=>array(array('value'=>'TestimonialsItemFunction','text'=>'{LANG_CMM_TESTIMONIALS_FUNCTION}'),array('value'=>'TestimonialsItemCompany','text'=>'{LANG_CMM_TESTIMONIALS_COMPANY}'),array('value'=>'TestimonialsItemCity','text'=>'{LANG_CMM_TESTIMONIALS_CITY}'),array('value'=>'TestimonialsItemWebsite','text'=>'{LANG_CMM_TESTIMONIALS_WEBSITE}'),array('value'=>'TestimonialsItemRating','text'=>'{LANG_CMM_TESTIMONIALS_RATING}'),array('value'=>'TestimonialsItemTitle','text'=>'{LANG_CMM_TESTIMONIALS_TITLE}'),array('value'=>'TestimonialsItemSubtitle','text'=>'{LANG_CMM_TESTIMONIALS_SUBTITLE}'),array('value'=>'TestimonialsItemShorttext','text'=>'{LANG_CMM_TESTIMONIALS_SHORTTEXT}'),array('value'=>'TestimonialsItemText','text'=>'{LANG_CMM_TESTIMONIALS_TEXT}')),'position'=>'center'),
	'requiredFields'=>array('label'=>'Formular: optionale Pflichtfelder','type'=>'multiselect','options'=>array(array('value'=>'TestimonialsItemFunction','text'=>'{LANG_CMM_TESTIMONIALS_FUNCTION}'),array('value'=>'TestimonialsItemCompany','text'=>'{LANG_CMM_TESTIMONIALS_COMPANY}'),array('value'=>'TestimonialsItemCity','text'=>'{LANG_CMM_TESTIMONIALS_CITY}'),array('value'=>'TestimonialsItemWebsite','text'=>'{LANG_CMM_TESTIMONIALS_WEBSITE}'),array('value'=>'TestimonialsItemRating','text'=>'{LANG_CMM_TESTIMONIALS_RATING}'),array('value'=>'TestimonialsItemTitle','text'=>'{LANG_CMM_TESTIMONIALS_TITLE}'),array('value'=>'TestimonialsItemSubtitle','text'=>'{LANG_CMM_TESTIMONIALS_SUBTITLE}'),array('value'=>'TestimonialsItemShorttext','text'=>'{LANG_CMM_TESTIMONIALS_SHORTTEXT}'),array('value'=>'TestimonialsItemText','text'=>'{LANG_CMM_TESTIMONIALS_TEXT}')),'position'=>'center'),
	'useCaptcha' => array('label'=>'Eintrag: Catpcha-Feld verwenden','type'=>'radio','options'=>array(array('value'=>'0','text'=>'{LANG_CMM_NO}'),array('value'=>'1','text'=>'{LANG_CMM_YES}')),'position'=>'right'),
	'cacheTimeout' => array('label'=>'{LANG_CMM_CACHE_TIMEOUT}','type'=>'textfield','datatype'=>'int','position'=>'bottom','shy'=>1)
	);
/* FIELDSET END */

// Set customer group
$params['CustomerCustomergroupID'] = isset($GLOBALS['CustomergroupUID']) ? $GLOBALS['CustomergroupUID'] : 0;
// Set language
$params['LID'] = isset($GLOBALS['LanguageUID']) ? $GLOBALS['LanguageUID'] : 1;

// Merge params and pluginParams
$params = CMM_mergePluginParams($params,$pluginParams);

// Inhalt ausgeben, wenn nicht im metaMode 
if(empty($params['metaMode']))
	{
	$extTestimonialsForm = new CMM_Testimonials;
	$pluginContent = $extTestimonialsForm->createForm($params);
	}
unset($params);
?>
