<?PHP
/***************************************************************
*  Copyright notice
*
*  (c) 2009-2017 Nicolas Berg
*  All rights reserved
*
*  This script is part of the CMM3 Content-Management-System.
*  CMM3 is provided only under a commercial license until now.
*  Maybe we will add a free license in future.
*
*  This script is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
*
*  This copyright notice MUST APPEAR in all copies of the script!
***************************************************************/

///////////////////////////////////////////////////////////
// Plugin fuer News-Liste                                //
///////////////////////////////////////////////////////////
// V 1.0 First release
///////////////////////////////////////////////////////////
include_once(CMM_ROOT_DIR.'CMM_Testimonials/index.php');

/* PARAMS START - Marker-Comments required! */
$params = array(
	'templateFile'=>'CMM_Testimonials/template/html/CMM_Testimonials_list_xml.html',
	'dataPID'=>'',
	'detailPID'=>'',
	'UID'=>'',
	'UIDinPageAlias'=>1,
	'limit'=>'100',
	'filter'=>'{$_REQUEST["CMM_Testimonials"]["filter"]}',
	'sort'=>'TestimonialsItemAddDate DESC',
	'start'=>'{$_REQUEST["CMM_Testimonials"]["start"]}',
	'cacheTimeout'=>600
	);
/* PARAMS END */

/* FIELDSET START - Marker-Comments required! */
$fieldset = array(
	'templateFile' => array('label'=>'HTML-Vorlagen-Datei','type'=>'textfield','datatype'=>'text','position'=>'bottom','shy'=>1),
	'dataPID' => array('label'=>'Seite: Datensätze (PID)','type'=>'linkfield','position'=>'left'),
	'detailPID' => array('label'=>'Seite: Detail-Anzeige (PID)','type'=>'linkfield','position'=>'left'),
	'UID' => array('label'=>'Eintrag: nur diesen anzeigen (UID)','type'=>'textfield','datatype'=>'text','position'=>'left','shy'=>1),
	'UIDinPageAlias' => array('label'=>'Eintrag: UID aus SEO-URL ermitteln','type'=>'radio','options'=>array(array('value'=>'0','text'=>'{LANG_CMM_NO}'),array('value'=>'1','text'=>'{LANG_CMM_YES}')),'position'=>'left','shy'=>1),
	'limit' => array('label'=>'Einträge pro Seite: (Anzahl oder Variable)','type'=>'textfield','datatype'=>'code','position'=>'right'),
	'filter' => array('label'=>'Filter: Einträge filtern','type'=>'textfield','datatype'=>'code','position'=>'bottom','shy'=>1),
	'sort' => array('label'=>'Sortierung: Einträge nach Feld(ern) sortieren','type'=>'textfield','datatype'=>'code','position'=>'bottom'),
	'start' => array('label'=>'Liste beginnen bei (Anzahl oder Variable)','type'=>'hidden','position'=>'right'),
	'cacheTimeout' => array('label'=>'{LANG_CMM_CACHE_TIMEOUT}','type'=>'textfield','datatype'=>'int','position'=>'bottom','shy'=>1)
	);
/* FIELDSET END */

// Set customer group
$params['CustomerCustomergroupID'] = isset($GLOBALS['CustomergroupUID']) ? $GLOBALS['CustomergroupUID'] : 0;
// Set language
$params['LID'] = isset($GLOBALS['LanguageUID']) ? $GLOBALS['LanguageUID'] : 1;

// Merge params and pluginParams
$params = CMM_mergePluginParams($params,$pluginParams);

// start/CID aus Pagetail ermitteln
if($CONFIG['CMM']['config']['seoUseSeoUrls']==true)
	{
	if(isset($params['start']) && strstr($params['start'],'{') && !empty($GLOBALS['PageTail']))
		{
		$tempStart = CMM_getPagetailParams($GLOBALS['PageTail'],'start');
		!empty($tempStart) ? $params['start'] = $tempStart : '';
		}
	}

// Inhalt ausgeben
$extTestimonialsList = new CMM_Testimonials;
$pluginContent = $extTestimonialsList->createContent($params);

unset($params);
?>