<?PHP
/***************************************************************
*  Copyright notice
*
*  (c) 2009-2017 Nicolas Berg
*  All rights reserved
*
*  This script is part of the CMM3 Content-Management-System.
*  CMM3 is provided only under a commercial license until now.
*  Maybe we will add a free license in future.
*
*  This script is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
*
*  This copyright notice MUST APPEAR in all copies of the script!
***************************************************************/

// V 1.0 First release
// V 1.0.1 Verarbeitung von Config angepasst
// V 1.0.2 Backup-Einstellungen ergaenzt
// V 1.0.3 Delete-fields added
// V 1.0.4 PASTE-Action mod
// V 1.0.5 Mod userLevels
// V 1.0.6 Added stars and reordered fields

////////////////////////////////////////////////////////////////////
// Modul-Anzeigen                                                 //
////////////////////////////////////////////////////////////////////
// - label: Bezeichnung des Feldes
// - table: Haupt-Datenbanktabelle
// - userLevel: Berechntigungsstufe fuer Datensaetze
// - navi: Anzeige in der Hauptnavigation
$CONFIG['CMM_Testimonials']['views'] = array();
$CONFIG['CMM_Testimonials']['views']['INDEX'] = array('label'=>'{LANG_CMM_TESTIMONIALS_VIEW_INDEX}','userLevel'=>1);
$CONFIG['CMM_Testimonials']['views']['ITEMS'] = array('label'=>'{LANG_CMM_TESTIMONIALS_VIEW_ITEMS}','table'=>'cmm_testimonials_items','userLevel'=>1,'inNavi'=>1);
$CONFIG['CMM_Testimonials']['views']['CATEGORIES'] = array('label'=>'{LANG_CMM_TESTIMONIALS_VIEW_CATEGORIES}','table'=>'cmm_testimonials_categories','userLevel'=>1,'inNavi'=>1);
$CONFIG['CMM_Testimonials']['views']['CONFIG'] = array('label'=>'{LANG_CMM_TESTIMONIALS_VIEW_CONFIG}','table'=>'cmm_cmm_config','userLevel'=>6,'inNavi'=>1);
$CONFIG['CMM_Testimonials']['views']['BACKUP'] = array('label'=>'{LANG_CMM_TESTIMONIALS_VIEW_BACKUP}','userLevel'=>1,'inNavi'=>(!empty($GLOBALS['isBackend']) && !empty($CUSTOM['CMM_Testimonials']['config']['enableBackup']) ? 1 : 0));
$CONFIG['CMM_Testimonials']['views']['INSTALL'] = array('label'=>'{LANG_CMM_TESTIMONIALS_VIEW_INSTALL}','userLevel'=>3);


////////////////////////////////////////////////////////////////////
// Modulfunktionen                                                //
////////////////////////////////////////////////////////////////////
// Attribute
// - clipboardAction: nechste Aktion
// - cancelaction: Aktion nach Abbruch
// - table: Datenbank-Tabelle
// - label: Bezeichnung des Feldes
// - userLevel: Berechntigungsstufe fuer Datensaetze
// - navi: Anzeige in der Hauptnavigation
// - list: Anzeige in der Listenansicht
// - icon: Icon fuer Listenansicht
// - message: Frage vor Ausfuerung der Funktion
// - condition: Bedingung pruefen (Datenbankfeld) item/_SESSION/_GET/_POST/_COOKIE/_ENV[keyvar]==value
// - file: Funktion in externer Datei ausfuehren
// - target: Zielfenster fuer Funktion
$CONFIG['CMM_Testimonials']['views']['ITEMS']['actions'] = array(
	'LIST' => array('label'=>'{LANG_CMM_ACTION_LIST}','userLevel'=>0),
	'NEW' => array('label'=>'{LANG_CMM_TESTIMONIALS_ITEM} {LANG_CMM_ACTION_NEW}','area'=>'listhead','userLevel'=>1,'icon'=>'icon-action-new.svg'),
	'EDIT' => array('label'=>'{LANG_CMM_ACTION_EDIT}','area'=>'list','userLevel'=>1,'icon'=>'icon-action-edit.svg'),
	'ENABLE' => array('label'=>'{LANG_CMM_ACTION_ENABLE}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-enable.svg','condition'=>'$item["TestimonialsItemStatus"]==0'),
	'DISABLE' => array('label'=>'{LANG_CMM_ACTION_DISABLE}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-disable.svg','condition'=>'$item["TestimonialsItemStatus"]==1'),
	'UP' => array('label'=>'{LANG_CMM_ACTION_UP}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-up.svg','condition'=>'$item["firstItem"]!=true && $CURRENT["sort"]=="TestimonialsItemSort ASC"'),
	'DOWN' => array('label'=>'{LANG_CMM_ACTION_DOWN}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-down.svg','condition'=>'$item["lastItem"]!=true && $CURRENT["sort"]=="TestimonialsItemSort ASC"'),
	'SAVE' => array('label'=>'{LANG_CMM_ACTION_SAVE}','area'=>'singlehead','userLevel'=>3,'icon'=>'icon-action-save.svg'),
	'SAVENEW' => array('label'=>'{LANG_CMM_ACTION_SAVENEW}','area'=>'singlehead','userLevel'=>3,'icon'=>'icon-action-save-and-new.svg'),
	'SAVECLOSE' => array('label'=>'{LANG_CMM_ACTION_SAVECLOSE}','area'=>'singlehead','userLevel'=>3,'icon'=>'icon-action-save-and-close.svg'),
	'CLOSE' => array('label'=>'{LANG_CMM_ACTION_CLOSE}','area'=>'singlehead','userLevel'=>1,'icon'=>'icon-action-close.svg'),
	'CUT' => array('label'=>'{LANG_CMM_ACTION_CUT}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-cut.svg'),
	'COPY' => array('label'=>'{LANG_CMM_ACTION_COPY}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-copy.svg'),
	'PASTE' => array('label'=>'{LANG_CMM_ACTION_PASTE}','area'=>'listhead','userLevel'=>3,'icon'=>'icon-action-paste.svg','UID'=>(!empty($GLOBALS['isBackend']) && isset($_SESSION[$CURRENT["module"]][$CURRENT["view"]]['clipboard']) ? $_SESSION[$CURRENT["module"]][$CURRENT["view"]]['clipboard']['id'] : ''),'condition'=>'!empty($_SESSION[$CURRENT["module"]][$CURRENT["view"]]["clipboard"])'),
	'REMOVE' => array('label'=>'{LANG_CMM_ACTION_REMOVE}','area'=>'list,singlehead','userLevel'=>3,'icon'=>'icon-action-remove.svg','condition'=>'$item["TestimonialsItemUID"]>0','message'=>'{LANG_CMM_ACTION_REMOVE_CONFIRM}'),
	'CLIPBOARDCLEAR' => array('label'=>'{LANG_CMM_ACTION_CLIPBOARDCLEAR}','area'=>'listhead','userLevel'=>3,'icon'=>'icon-action-clipboard-clear.svg','condition'=>'isset($_SESSION[$CURRENT["module"]][$CURRENT["view"]]["clipboard"])')
	);

$CONFIG['CMM_Testimonials']['views']['CATEGORIES']['actions'] = array(
	'LIST' => array('label'=>'{LANG_CMM_ACTION_LIST}','userLevel'=>0),
	'NEW' => array('label'=>'{LANG_CMM_TESTIMONIALS_CATEGORY} {LANG_CMM_ACTION_NEW}','area'=>'listhead','userLevel'=>1,'icon'=>'icon-action-new.svg'),
	'EDIT' => array('label'=>'{LANG_CMM_ACTION_EDIT}','area'=>'list','userLevel'=>1,'icon'=>'icon-action-edit.svg'),
	'ENABLE' => array('label'=>'{LANG_CMM_ACTION_ENABLE}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-enable.svg','condition'=>'$item["TestimonialsCategoryStatus"]==0'),
	'DISABLE' => array('label'=>'{LANG_CMM_ACTION_DISABLE}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-disable.svg','condition'=>'$item["TestimonialsCategoryStatus"]==1'),
	'UP' => array('label'=>'{LANG_CMM_ACTION_UP}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-up.svg','condition'=>'$item["firstItem"]!=true && $CURRENT["sort"]=="TestimonialsCategorySort ASC"'),
	'DOWN' => array('label'=>'{LANG_CMM_ACTION_DOWN}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-down.svg','condition'=>'$item["lastItem"]!=true && $CURRENT["sort"]=="TestimonialsCategorySort ASC"'),
	'SAVE' => array('label'=>'{LANG_CMM_ACTION_SAVE}','area'=>'singlehead','userLevel'=>3,'icon'=>'icon-action-save.svg'),
	'SAVENEW' => array('label'=>'{LANG_CMM_ACTION_SAVENEW}','area'=>'singlehead','userLevel'=>3,'icon'=>'icon-action-save-and-new.svg'),
	'SAVECLOSE' => array('label'=>'{LANG_CMM_ACTION_SAVECLOSE}','area'=>'singlehead','userLevel'=>3,'icon'=>'icon-action-save-and-close.svg'),
	'CLOSE' => array('label'=>'{LANG_CMM_ACTION_CLOSE}','area'=>'singlehead','userLevel'=>1,'icon'=>'icon-action-close.svg'),
	'CUT' => array('label'=>'{LANG_CMM_ACTION_CUT}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-cut.svg'),
	'COPY' => array('label'=>'{LANG_CMM_ACTION_COPY}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-copy.svg'),
	'PASTE' => array('label'=>'{LANG_CMM_ACTION_PASTE}','area'=>'listhead','userLevel'=>3,'icon'=>'icon-action-paste.svg','UID'=>(!empty($GLOBALS['isBackend']) && isset($_SESSION[$CURRENT["module"]][$CURRENT["view"]]['clipboard']) ? $_SESSION[$CURRENT["module"]][$CURRENT["view"]]['clipboard']['id'] : ''),'condition'=>'!empty($_SESSION[$CURRENT["module"]][$CURRENT["view"]]["clipboard"])'),
	'REMOVE' => array('label'=>'{LANG_CMM_ACTION_REMOVE}','area'=>'list,singlehead','userLevel'=>3,'icon'=>'icon-action-remove.svg','condition'=>'$item["TestimonialsCategoryUID"]>0','message'=>'{LANG_CMM_ACTION_REMOVE_CONFIRM}'),
	'CLIPBOARDCLEAR' => array('label'=>'{LANG_CMM_ACTION_CLIPBOARDCLEAR}','area'=>'listhead','userLevel'=>3,'icon'=>'icon-action-clipboard-clear.svg','condition'=>'isset($_SESSION[$CURRENT["module"]][$CURRENT["view"]]["clipboard"])')
	);

$CONFIG['CMM_Testimonials']['views']['BACKUP']['actions'] = array(
	'BACKUP' => array('label'=>'Datensicherung','userLevel'=>6,'inNavi'=>1),
	'INSTALLDB' => array('label'=>'Datenbanktabellen konfigurieren','userLevel'=>6),
	'BACKUPMAKE' => array('label'=>'Sicherung erstellen','userLevel'=>6,'inNavi'=>0),
	'BACKUPRESTORE' => array('label'=>'Sicherung zurückschreiben','userLevel'=>6,'inNavi'=>0),
	'BACKUPREMOVE' => array('label'=>'Sicherung löschen','userLevel'=>6,'inNavi'=>0)
	);

$CONFIG['CMM_Testimonials']['views']['CONFIG']['actions'] = array(
	'CONFIG' => array('label'=>'Konfiguration','userLevel'=>1,'inNavi'=>1),
	'CONFIGSAVE' => array('label'=>'Konfiguration','area'=>'singlehead','userLevel'=>6,'icon'=>'icon-action-save.svg')
	);

$CONFIG['CMM_Testimonials']['views']['INSTALL']['actions'] = array(
	'INSTALL' => array('label'=>'Installation','userLevel'=>6,'inNavi'=>0)
	);


////////////////////////////////////////////////////////////////////
// Datenbank-Tabellen                                             //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Testimonials']['database'] = array();

// Datenstamm fuer Eintraege
$CONFIG['CMM_Testimonials']['database']['cmm_testimonials_items'] = array(
	'tabs' => array(0=>'Standard',1=>'Person',3=>'Media',6=>'Sonstiges',9=>'Anzeige'),
	'tablename' => 'cmm_testimonials_items',
	'sort' => 'TestimonialsItemUID DESC',
	'backup' => 1,
	'fieldprefix' => 'TestimonialsItem',
	'fieldset' => array(
		'TestimonialsItemUID' => array('label'=>'ID','type'=>'hidden','position'=>'top','tab'=>0,
			'sqldef'=>'int(10) default \'0\''),
		'TestimonialsItemPID' => array('label'=>'ParentID','type'=>'hidden','position'=>'top','tab'=>0,
			'sqldef'=>'int(10) default \'0\''),
		'TestimonialsItemTID' => array('label'=>'Typ','type'=>'hidden','position'=>'bottom','tab'=>0,
			'sqldef'=>'int(3) default \'0\''),
		'TestimonialsItemLID' => array('label'=>'Sprache','type'=>'radio','position'=>'top','tab'=>6,
			'sqldef'=>'int(3) default \'0\'',
			'select'=>array('module'=>'CMM','table'=>'cmm_cmm_languages','keyfield'=>'LanguageUID','labelfield'=>'LanguageName','sort'=>'LanguageUID')),
		'TestimonialsItemCID' => array('label'=>'Kategorie','type'=>'select','position'=>'right','tab'=>0,'shy'=>1,
			'sqldef'=>'varchar(100) collate utf8_unicode_ci default NULL',
			'select'=>array('module'=>'CMM_Testimonials','table'=>'cmm_testimonials_categories','keyfield'=>'TestimonialsCategoryUID','labelfield'=>'TestimonialsCategoryTitle','LID'=>'{$CURRENT["language"]}'),
			'join'=>array('module'=>'CMM_Testimonials','table'=>'cmm_testimonials_categories','keyfield'=>'TestimonialsCategoryUID')),
		'TestimonialsItemStatus' => array('label'=>'Status','type'=>'hidden','position'=>'top','tab'=>0,
			'sqldef'=>'int(1) default \'0\''),
		'TestimonialsItemSort' => array('label'=>'Sortierung','type'=>'hidden','position'=>'top','tab'=>6,
			'sqldef'=>'int(10) default \'0\''),
		'TestimonialsItemStart' => array('label'=>'Start','type'=>'datetime','position'=>'left','tab'=>9,
			'sqldef'=>'datetime default NULL'),
		'TestimonialsItemDeleted' => array('label'=>'{LANG_CMM_FIELD_REMOVED}','type'=>'hidden','position'=>'top','tab'=>6,
			'sqldef'=>'int(1) default \'0\''),
		'TestimonialsItemStop' => array('label'=>'Ende','type'=>'datetime','position'=>'right','tab'=>9,
			'sqldef'=>'datetime default NULL'),
		'TestimonialsItemCustomergroupID' => array('label'=>'Anzeige für Benutzergruppen','type'=>'multiselect','attribs'=>array('multiple'=>1,'size'=>6),'position'=>'bottom','tab'=>9,
			'sqldef'=>'varchar(255) collate utf8_unicode_ci default NULL',
			'options'=>array('none'=>array('value'=>'0','text'=>'{LANG_CMM_IF_LOGGED_OUT}'),'all'=>array('value'=>'*','text'=>'{LANG_CMM_IF_LOGGED_IN}')),
			'select'=>array('module'=>'CMM','table'=>'cmm_cmm_customergroups','keyfield'=>'CustomergroupUID','labelfield'=>'CustomergroupUID,CustomergroupName','sort'=>'CustomergroupUID')),
		'TestimonialsItemDate' => array('label'=>'Datum','type'=>'datetime','position'=>'right','tab'=>0,'shy'=>1,
			'sqldef'=>'datetime default \'0000-00-00 00:00:00\''),
		'TestimonialsItemName' => array('label'=>'Vorname + Nachname','type'=>'textfield','attribs'=>array('required'=>1),'position'=>'left','tab'=>1,
			'sqldef'=>'varchar(100) collate utf8_unicode_ci default NULL'),
		'TestimonialsItemFunction' => array('label'=>'Funktion / Position','type'=>'textfield','position'=>'left','tab'=>1,
			'sqldef'=>'varchar(100) collate utf8_unicode_ci default NULL'),
		'TestimonialsItemCompany' => array('label'=>'Firma','type'=>'textfield','position'=>'right','tab'=>1,
			'sqldef'=>'varchar(100) collate utf8_unicode_ci default NULL'),
		'TestimonialsItemCity' => array('label'=>'Ort / Standort','type'=>'textfield','position'=>'right','tab'=>1,
			'sqldef'=>'varchar(100) collate utf8_unicode_ci default NULL'),
		'TestimonialsItemWebsite' => array('label'=>'Website','type'=>'textfield','position'=>'right','tab'=>1,
			'sqldef'=>'varchar(100) collate utf8_unicode_ci default NULL'),
		'TestimonialsItemTitle' => array('label'=>'Titel','type'=>'textfield','position'=>'bottom','tab'=>0,
			'sqldef'=>'varchar(100) collate utf8_unicode_ci default NULL'),
		'TestimonialsItemSubtitle' => array('label'=>'Untertitel','type'=>'textfield','position'=>'bottom','tab'=>0,'shy'=>1,
			'sqldef'=>'varchar(100) collate utf8_unicode_ci default NULL'),
		'TestimonialsItemRating' => array('label'=>'Bewertung','type'=>'radio','position'=>'left','tab'=>0,
			'sqldef'=>'int(3) default \'0\'',
			'options'=>array(array('value'=>0,'text'=>'0<i class="fa fa-star-o"></i>'),array('value'=>1,'text'=>'1<i class="fa fa-star"></i>'),array('value'=>2,'text'=>'2<i class="fa fa-star"></i>'),array('value'=>3,'text'=>'3<i class="fa fa-star"></i>'),array('value'=>4,'text'=>'4<i class="fa fa-star"></i>'),array('value'=>5,'text'=>'5<i class="fa fa-star"></i>'))),
		'TestimonialsItemShorttext' => array('label'=>'Kurztext','type'=>'textarea','attribs'=>array('rows'=>4,'required'=>1),'position'=>'bottom','tab'=>0,
			'sqldef'=>'text collate utf8_unicode_ci'),
		'TestimonialsItemText' => array('label'=>'Langtext','type'=>'rte','attribs'=>array('rows'=>6),'position'=>'bottom','tab'=>0,
			'sqldef'=>'text collate utf8_unicode_ci'),
		'TestimonialsItemImages' => array('label'=>'Bilder','type'=>'imagelist','number'=>5,'dir'=>'data/CMM_Testimonials/images/','position'=>'top','tab'=>3,
			'sqldef'=>'text collate utf8_unicode_ci'),
		'TestimonialsItemVideos' => array('label'=>'Videos','type'=>'videolist','number'=>5,'dir'=>'data/CMM_Testimonials/videos/','position'=>'top','tab'=>3,
			'sqldef'=>'text collate utf8_unicode_ci'),
		'TestimonialsItemFiles' => array('label'=>'Dateien','type'=>'filelist','number'=>5,'dir'=>'data/CMM_Testimonials/files/','position'=>'top','tab'=>3,
			'sqldef'=>'text collate utf8_unicode_ci'),
		'TestimonialsItemLinks' => array('label'=>'Links','type'=>'linklist','position'=>'top','number'=>5,'tab'=>3,
			'sqldef'=>'text collate utf8_unicode_ci'),
		'TestimonialsItemIP' => array('label'=>'IP des Autors','type'=>'textfield','position'=>'bottom','tab'=>6,'shy'=>1,
			'sqldef'=>'varchar(255) collate utf8_unicode_ci default NULL'),
		'TestimonialsItemHash' => array('label'=>'Hashwert','type'=>'textfield','position'=>'bottom','tab'=>6,'shy'=>1,
			'sqldef'=>'varchar(32) collate utf8_unicode_ci default NULL'),
		'TestimonialsItemAddDate' => array('label'=>'Datum erstellt','type'=>'hidden','position'=>'left','tab'=>0,
			'sqldef'=>'datetime default \'0000-00-00 00:00:00\''),
		'TestimonialsItemAddUser' => array('label'=>'Benutzer erstellt','type'=>'hidden','position'=>'left','tab'=>0,
			'sqldef'=>'varchar(32) collate utf8_unicode_ci default \'0\''),
		'TestimonialsItemModDate' => array('label'=>'Datum geändert','type'=>'hidden','position'=>'left','tab'=>0,
			'sqldef'=>'datetime default \'0000-00-00 00:00:00\''),
		'TestimonialsItemModUser' => array('label'=>'Benutzer geändert','type'=>'hidden','position'=>'left','tab'=>0,
			'sqldef'=>'varchar(32) collate utf8_unicode_ci default \'0\'')
		),
	'tableset' => array(
		'engine' => 'MyISAM',
		'primarykey' => 'UID',
		'charset' => 'utf8',
		'collation' => 'utf8_unicode_ci',
		'comment' => 'Einträge'
		)
	);

// Datenstamm fuer Kategorien
$CONFIG['CMM_Testimonials']['database']['cmm_testimonials_categories'] = array(
	'tabs' => array(0=>'Standard',1=>'Media',2=>'Plugins',3=>'Sonstiges',9=>'Anzeige'),
	'tablename' => 'cmm_testimonials_categories',
	'sort' => 'TestimonialsCategoryUID DESC',
	'backup' => 1,
	'fieldprefix' => 'TestimonialsCategory',
	'fieldset' => array(
		'TestimonialsCategoryUID' => array('label'=>'ID','type'=>'hidden','position'=>'top','tab'=>0,
			'sqldef'=>'int(10) default \'0\''),
		'TestimonialsCategoryPID' => array('label'=>'ParentID','type'=>'hidden','position'=>'top','tab'=>0,
			'sqldef'=>'int(10) default \'0\''),
		'TestimonialsCategoryTID' => array('label'=>'Typ/Kategorie','type'=>'hidden','position'=>'top','tab'=>3,
			'sqldef'=>'int(3) default \'0\''),
		'TestimonialsCategoryLID' => array('label'=>'Sprache','type'=>'radio','position'=>'top','tab'=>3,
			'sqldef'=>'int(3) default \'0\'',
			'select'=>array('module'=>'CMM','table'=>'cmm_cmm_languages','keyfield'=>'LanguageUID','labelfield'=>'LanguageName','sort'=>'LanguageUID')),
		'TestimonialsCategoryStatus' => array('label'=>'Status','type'=>'hidden','position'=>'top','tab'=>0,
			'sqldef'=>'int(1) default \'0\''),
		'testimonialsCategoryDeleted' => array('label'=>'{LANG_CMM_FIELD_REMOVED}','type'=>'hidden','tab'=>3,
			'sqldef'=>'int(1) default \'0\''),
		'TestimonialsCategorySort' => array('label'=>'Sortierung','type'=>'hidden','position'=>'top','tab'=>3,
			'sqldef'=>'int(10) default \'0\''),
		'TestimonialsCategoryTitle' => array('label'=>'Titel','type'=>'textfield','position'=>'top','tab'=>0,
			'sqldef'=>'varchar(100) collate utf8_unicode_ci default NULL'),
		'TestimonialsCategoryDescription' => array('label'=>'Beschreibung','type'=>'textarea','position'=>'top','tab'=>0,
			'sqldef'=>'text collate utf8_unicode_ci'),
		'TestimonialsCategoryIcon' => array('label'=>'Symbol','type'=>'imagelist','number'=>'1','position'=>'top','dir'=>'data/CMM_Testimonials/images/','tab'=>1,
			'sqldef'=>'varchar(100) collate utf8_unicode_ci default NULL'),
		'TestimonialsCategoryAddDate' => array('label'=>'Datum erstellt','type'=>'hidden','position'=>'left','tab'=>0,
			'sqldef'=>'datetime default \'0000-00-00 00:00:00\''),
		'TestimonialsCategoryAddUser' => array('label'=>'Benutzer erstellt','type'=>'hidden','position'=>'left','tab'=>0,
			'sqldef'=>'varchar(32) collate utf8_unicode_ci default \'0\''),
		'TestimonialsCategoryModDate' => array('label'=>'Datum geändert','type'=>'hidden','position'=>'left','tab'=>0,
			'sqldef'=>'datetime default \'0000-00-00 00:00:00\''),
		'TestimonialsCategoryModUser' => array('label'=>'Benutzer geändert','type'=>'hidden','position'=>'left','tab'=>0,
			'sqldef'=>'varchar(32) collate utf8_unicode_ci default \'0\'')
		),
	'tableset' => array(
		'engine' => 'MyISAM',
		'primarykey' => 'UID',
		'charset' => 'utf8',
		'collation' => 'utf8_unicode_ci',
		'comment' => 'Kategorien'
		)
	);


////////////////////////////////////////////////////////////////////
// Sortier-Variablen (Administration)                             //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Testimonials']['sortVars'] = array();
$CONFIG['CMM_Testimonials']['sortVars']['cmm_testimonials_items'] = array('TestimonialsItemUID','TestimonialsItemSort','TestimonialsItemStatus','TestimonialsItemTitle','TestimonialsItemRating','TestimonialsItemModDate');
$CONFIG['CMM_Testimonials']['sortVars']['cmm_testimonials_categories'] = array('TestimonialsCategoryUID','TestimonialsCategorySort','TestimonialsCategoryStatus','TestimonialsCategoryTitle','TestimonialsCategoryModDate');


////////////////////////////////////////////////////////////////////
// Filter-Variablen (Administration)                              //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Testimonials']['filterVars'] = array();
$CONFIG['CMM_Testimonials']['filterVars']['cmm_testimonials_items'] = array_keys($CONFIG['CMM_Testimonials']['database']['cmm_testimonials_items']['fieldset']);
$CONFIG['CMM_Testimonials']['filterVars']['cmm_testimonials_categories'] = array_keys($CONFIG['CMM_Testimonials']['database']['cmm_testimonials_categories']['fieldset']);


////////////////////////////////////////////////////////////////////
// Predefines Filtersets                                          //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Testimonials']['filterSets']['cmm_testimonials_items'] = array();
$CONFIG['CMM_Testimonials']['filterSets']['cmm_testimonials_items'][] = array('label'=>'Heute', 'filter'=>array(0 => array('key'=>'TestimonialsItemAddDate','operator'=>'**','value'=>date('Y-m-d'))));
$CONFIG['CMM_Testimonials']['filterSets']['cmm_testimonials_items'][] = array('label'=>'diese Woche', 'filter'=>array(0 => array('key'=>'TestimonialsItemAddDate','operator'=>'>=','value'=>date('Y-m-d',strtotime('this week monday',time()))),1 => array('key'=>'TestimonialsItemAddDate','operator'=>'<= ','value'=>date('Y-m-d',strtotime('this week sunday',time()))) ));
$CONFIG['CMM_Testimonials']['filterSets']['cmm_testimonials_items'][] = array('label'=>'letzte Woche', 'filter'=>array(0 => array('key'=>'TestimonialsItemAddDate','operator'=>'>= ','value'=>date('Y-m-d',strtotime('next week monday',time()))),1 => array('key'=>'TestimonialsItemAddDate','operator'=>'<= ','value'=>date('Y-m-d',strtotime('next week sunday',time()))) ));
$CONFIG['CMM_Testimonials']['filterSets']['cmm_testimonials_items'][] = array('label'=>'aktiv', 'filter'=>array(0 => array('key'=>'TestimonialsItemStatus','operator'=>'==','value'=>'1')));
$CONFIG['CMM_Testimonials']['filterSets']['cmm_testimonials_items'][] = array('label'=>'inaktiv', 'filter'=>array(0 => array('key'=>'TestimonialsItemStatus','operator'=>'==','value'=>'0')));

?>