<?PHP
/***************************************************************
*  Copyright notice
*
*  (c) 2009-2017 Nicolas Berg
*  All rights reserved
*
*  This script is part of the CMM3 Content-Management-System.
*  CMM3 is provided only under a commercial license until now.
*  Maybe we will add a free license in future.
*
*  This script is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
*
*  This copyright notice MUST APPEAR in all copies of the script!
***************************************************************/

////////////////////////////////////////////////////////////////////
// Modul-Einstellungen                                            //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Works'] = array();
// Module-key
$CONFIG['CMM_Works']['key'] = 'CMM_Works';
// Module-label
$CONFIG['CMM_Works']['label'] = 'Referenzen';
// Module-description
$CONFIG['CMM_Works']['description'] = 'Modul zur Verwaltung von Referenzen und Referenzen-Kategorien';
// Module-languages
$CONFIG['CMM_Works']['languages'] = 'at,de,ch,en';
// Module-icon
$CONFIG['CMM_Works']['icon'] = 'CMM_Works.svg';
// Module-version
$CONFIG['CMM_Works']['version'] = '1.5.6';
// Module-dependencies MOD1:Vmin(:Vmax),MOD2:Vmin(:Vmax),...
$CONFIG['CMM_Works']['depend'] = 'CMM:6.0';


////////////////////////////////////////////////////////////////////
// Set includes for administration                                //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Works']['BE'] = array();
$CONFIG['CMM_Works']['BE']['include'] = array();
// PHP
$CONFIG['CMM_Works']['BE']['include']['PHP'] = array('CMM_Works/structure.php');
// CSS
$CONFIG['CMM_Works']['BE']['include']['CSS'] = array();
// JS
$CONFIG['CMM_Works']['BE']['include']['JS'] = array();


////////////////////////////////////////////////////////////////////
// Set includes for website                                       //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Works']['FE'] = array();
$CONFIG['CMM_Works']['FE']['include'] = array();
// PHP - starting at CMM_ROOT_DIR
$CONFIG['CMM_Works']['FE']['include']['PHP'] = array();
// CSS - starting at CMM_ROOT_DIR
$CONFIG['CMM_Works']['FE']['include']['CSS'] = array('CMM_Works/template/css/CMM_Works.css');
// JS - starting at CMM_ROOT_DIR
$CONFIG['CMM_Works']['FE']['include']['JS'] = array();


////////////////////////////////////////////////////////////////////
// Datenverzeichnisse erstellen                                   //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Works']['dirs'] = array(
	'data/CMM_Works/backup/',
	'data/CMM_Works/images/',
	'data/CMM_Works/videos/',
	'data/CMM_Works/audios/',
	'data/CMM_Works/files/'
	);


////////////////////////////////////////////////////////////////////
// Plugins                                                        //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Works']['plugins'] = array(
	'CMM_Works_navi.php',
	'CMM_Works_list.php',
	'CMM_Works_short.php',
	'CMM_Works_detail.php',
	'CMM_Works_list_xml.php'
	);


////////////////////////////////////////////////////////////////////
// Weitere Einstellungen                                          //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Works']['config'] = array();

// Einfacher Modus - ohne Auswahl der Speicherseite
$CONFIG['CMM_Works']['config']['simpleMode'] = 0;
// Anzeige der Detailansichten zaehlen?
$CONFIG['CMM_Works']['config']['countImpressions'] = 1;
// Meta-Felder
$CONFIG['CMM_Works']['config']['metaTitleFields'] = array('WorksCategoryTitle','WorksItemTitle');
$CONFIG['CMM_Works']['config']['metaKeywordsFields'] = array('WorksItemTitle','WorksItemSubtitle','WorksItemShorttext','WorksItemProblem','WorksItemSolution');
$CONFIG['CMM_Works']['config']['metaDescriptionFields'] = array('WorksItemShorttext','WorksItemProblem','WorksItemSolution');

// Backup-Ansicht aktivieren
$CONFIG['CMM_Works']['config']['enableBackup'] = 0;


////////////////////////////////////////////////////////////////////
// Felddefinitionen fuer Config                                   //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Works']['configFields'] = array(
	'simpleMode' => array('label'=>'Einfacher Modus ohne Seitenbaum','type'=>'radio','options'=>array(array('value'=>'0','text'=>'{LANG_CMM_NO}'),array('value'=>'1','text'=>'{LANG_CMM_YES}')),'position'=>'left'),
	'countImpressions' => array('label'=>'Detailanzeige der Einträge zählen','type'=>'radio','options'=>array(array('value'=>'0','text'=>'{LANG_CMM_NO}'),array('value'=>'1','text'=>'{LANG_CMM_YES}')),'position'=>'left'),
	'enableBackup' => array('label'=>'Backup aktivieren','type'=>'radio','options'=>array(array('value'=>'0','text'=>'{LANG_CMM_NO}'),array('value'=>'1','text'=>'{LANG_CMM_YES}')),'position'=>'left')
	);


////////////////////////////////////////////////////////////////////
// Einstellungen fuer Suche                                       //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Works']['config']['search'] = array(
	'label' => '{LANG_CMM_WORKS_LABEL}',
	'resultPIDparams' => ($CONFIG['CMM']['config']['seoUseSeoUrls']==true ? '/{$WorksItemTitle|validatealias}.{$WorksItemUID}' : '?CMM_Works[WorksItemUID]={$WorksItemUID}'),
	'resultPIDfilter' => '',
	'tablename' => 'cmm_works_items',
	'fieldprefix' => 'WorksItem',
	'join' => array('cmm_works_categories|WorksCategoryUID=WorksItemTID'), // Join-Table|Join-Table-Field=Table-Field|[Join-Table-Field=Value]
	'filter' => array(), // Zusatzfilter
	'titleFields' => array('WorksItemTitle','WorksCategoryTitle'),
	'textFields' => array('WorksItemSubtitle','WorksItemShorttext','WorksItemProblem','WorksItemSolution'),
	'searchFields' => array('WorksItemTitle','WorksItemSubtitle','WorksItemShorttext','WorksItemProblem','WorksItemSolution'),
	'extraFields' => array('WorksItemTitle'),
	'deletedField' => 'WorksItemDeleted'
	);

?>