<?PHP
/***************************************************************
*  Copyright notice
*
*  (c) 2009-2017 Nicolas Berg
*  All rights reserved
*
*  This script is part of the CMM3 Content-Management-System.
*  CMM3 is provided only under a commercial license until now.
*  Maybe we will add a free license in future.
*
*  This script is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
*
*  This copyright notice MUST APPEAR in all copies of the script!
***************************************************************/

///////////////////////////////////////////////////////////
// Plugin fuer Referenzen-Liste                          //
///////////////////////////////////////////////////////////
// V 1.0 First release
// V 1.0.1 Erweiterung auf Mehrsprachigkeit
// V 1.0.2 Erweiterung fuer ID aus PageAlias
// V 1.0.3 Feld-Definitionen eingefuegt
// V 1.0.4 UID/CID-Erkennung angepasst
// V 1.0.5 UID/CID-Erkennung optimiert
// V 1.1.0 Caching integrated
///////////////////////////////////////////////////////////
include_once(CMM_ROOT_DIR.'CMM_Works/index.php');

/* PARAMS START - Marker-Comments required! */
$params = array(
	'templateFile'=>'CMM_Works/template/html/CMM_Works_list.html',
	'dataPID'=>'',
	'listPID'=>'',
	'detailPID'=>'',
	'UID'=>'',
	'UIDinPageAlias'=>1,
	'CID'=>'{$_REQUEST["CMM_Works"]["WorksItemCID"]}',
	'CIDinPageAlias'=>1,
	'pagenaviShow'=>'1',
	'pagenaviPages'=>'',
	'limitShow' => 1,
	'limitOptions'=>'{array(6,12,18,24,36)}',
	'limit'=>'{$_REQUEST["CMM_Works"]["limit"]}',
	'filter'=>'{$_REQUEST["CMM_Works"]["filter"]}',
	'sort'=>'WorksItemDate DESC',
	'sortbar'=>0,
	'sortbarFields'=>'{array("WorksItemSort", "WorksCategoryTitle", "WorksItemTitle", "WorksItemModDate")}',
	'sortbarLabels'=>'{array("Standard","Kategorie", "Titel", "Änderungsdatum")}',
	'start'=>'{$_REQUEST["CMM_Works"]["start"]}',
	'group'=>'',
	'cacheTimeout'=>86400
	);
/* PARAMS END */

/* FIELDSET START - Marker-Comments required! */
$fieldset = array(
	'templateFile' => array('label'=>'HTML-Vorlagen-Datei','type'=>'textfield','datatype'=>'text','position'=>'bottom','shy'=>1),
	'dataPID' => array('label'=>'Seite: Datensätze (PID)','type'=>'linkfield','position'=>'left'),
	'listPID' => array('label'=>'Seite: Listen-Anzeige (PID)','type'=>'linkfield','position'=>'left'),
	'detailPID' => array('label'=>'Seite: Detail-Anzeige (PID)','type'=>'linkfield','position'=>'left'),
	'UID' => array('label'=>'Eintrag: nur diesen anzeigen (UID)','type'=>'textfield','datatype'=>'text','position'=>'left','shy'=>1),
	'UIDinPageAlias' => array('label'=>'Eintrag: UID aus SEO-URL ermitteln','type'=>'radio','options'=>array(array('value'=>'0','text'=>'{LANG_CMM_NO}'),array('value'=>'1','text'=>'{LANG_CMM_YES}')),'position'=>'left','shy'=>1),
	'CID' => array('label'=>'Kategorie: nur diese anzeigen (CID)','type'=>'multiselect','size'=>'5','multiple'=>'1','select'=>array('module'=>'CMM_Works','table'=>'cmm_works_categories','keyfield'=>'WorksCategoryUID','labelfield'=>'WorksCategoryUID,WorksCategoryTitle'),'position'=>'top'),
	'CIDinPageAlias' => array('label'=>'Kategorie: CID aus SEO-URL ermitteln','type'=>'radio','options'=>array(array('value'=>'0','text'=>'{LANG_CMM_NO}'),array('value'=>'1','text'=>'{LANG_CMM_YES}')),'position'=>'left','shy'=>1),
	'pagenaviShow' => array('label'=>'Seitennavigation: anzeigen','type'=>'radio','options'=>array(array('value'=>'0','text'=>'{LANG_CMM_NO}'),array('value'=>'1','text'=>'{LANG_CMM_YES}')),'position'=>'right'),
	'pagenaviPages' => array('label'=>'Seitennavigation: max. Seiten','type'=>'textfield','datatype'=>'code','position'=>'right','shy'=>1),
	'limitShow' => array('label'=>'Einträge pro Seite: Auswahl anzeigen','type'=>'radio','options'=>array(array('value'=>'0','text'=>'{LANG_CMM_NO}'),array('value'=>'1','text'=>'{LANG_CMM_YES}')),'position'=>'right'),
	'limitOptions' => array('label'=>'Einträge pro Seite: Auswahlwerte','type'=>'textfield','datatype'=>'code','position'=>'right','shy'=>1),
	'limit' => array('label'=>'Einträge pro Seite: (Anzahl oder Variable)','type'=>'textfield','datatype'=>'code','position'=>'right'),
	'filter' => array('label'=>'Filter: Einträge filtern','type'=>'textfield','datatype'=>'code','position'=>'bottom','shy'=>1),
	'sort' => array('label'=>'Sortierung: Einträge nach Feld(ern) sortieren','type'=>'textfield','datatype'=>'code','position'=>'bottom','shy'=>1),
	'sortbar' => array('label'=>'Sortierbalken: anzeigen','type'=>'radio','options'=>array(array('value'=>'0','text'=>'{LANG_CMM_NO}'),array('value'=>'1','text'=>'{LANG_CMM_YES}')),'position'=>'bottom'),
	'sortbarFields' => array('label'=>'Sortierbalken: Sortierkriterien (DB-Felder)','type'=>'textfield','datatype'=>'code','position'=>'bottom','shy'=>1),
	'sortbarLabels' => array('label'=>'Sortierbalken: Label für Sortierkriterien','type'=>'textfield','datatype'=>'code','position'=>'bottom','shy'=>1),
	'start' => array('label'=>'Liste beginnen bei (Anzahl oder Variable)','type'=>'hidden','position'=>'right','shy'=>1),
	'group' => array('label'=>'Einträge nach Feld gruppieren','type'=>'textfield','datatype'=>'text','position'=>'bottom','shy'=>1),
	'cacheTimeout' => array('label'=>'{LANG_CMM_CACHE_TIMEOUT}','type'=>'textfield','datatype'=>'int','position'=>'bottom','shy'=>1)
	);
/* FIELDSET END */

// Set customer group
$params['CustomerCustomergroupID'] = isset($GLOBALS['CustomergroupUID']) ? $GLOBALS['CustomergroupUID'] : 0;
// Set language
$params['LID'] = isset($GLOBALS['LanguageUID']) ? $GLOBALS['LanguageUID'] : 1;

// Merge params and pluginParams
$params = CMM_mergePluginParams($params,$pluginParams);

// CID und Start aus Pagetail ermitteln
if($CONFIG['CMM']['config']['seoUseSeoUrls']==true)
	{
	if(isset($params['CID']) && strstr($params['CID'],'{') && substr_count($GLOBALS['PageTail'],'/') > 1)
		{
		$tempCID = CMM_getPagetailParams($GLOBALS['PageTail'],'first');
		!empty($tempCID) ? $params['CID'] = $tempCID : '';
		}
	if(isset($params['start']) && strstr($params['start'],'{') && !empty($GLOBALS['PageTail']))
		{
		$tempStart = CMM_getPagetailParams($GLOBALS['PageTail'],'start');
		!empty($tempStart) ? $params['start'] = $tempStart : '';
		}
	}

// Inhalt ausgeben
$extWorksList = new CMM_Works;
$pluginContent = $extWorksList->createContent($params);

unset($params);
?>
