<?PHP
/***************************************************************
*  Copyright notice
*
*  (c) 2009-2017 Nicolas Berg
*  All rights reserved
*
*  This script is part of the CMM3 Content-Management-System.
*  CMM3 is provided only under a commercial license until now.
*  Maybe we will add a free license in future.
*
*  This script is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
*
*  This copyright notice MUST APPEAR in all copies of the script!
***************************************************************/

// V 1.0 First release
// V 1.0.1 Datenstamm um Feld fuer Tags erweitert
// V 1.0.2 Verarbeitung von Config angepasst
// V 1.0.3 Backup-Einstellungen ergaenzt
// V 1.0.4 Delete-fields added
// V 1.0.5 PASTE-Action mod
// V 1.0.6 Mod userLevels

////////////////////////////////////////////////////////////////////
// Modul-Anzeigen                                                 //
////////////////////////////////////////////////////////////////////
// - label: Bezeichnung des Feldes
// - table: Haupt-Datenbanktabelle
// - userLevel: Berechntigungsstufe fuer Datensaetze
// - navi: Anzeige in der Hauptnavigation
$CONFIG['CMM_Works']['views'] = array();
$CONFIG['CMM_Works']['views']['INDEX'] = array('label'=>'{LANG_CMM_WORKS_VIEW_INDEX}','userLevel'=>1);
$CONFIG['CMM_Works']['views']['ITEMS'] = array('label'=>'{LANG_CMM_WORKS_VIEW_ITEMS}','table'=>'cmm_works_items','userLevel'=>1,'inNavi'=>1);
$CONFIG['CMM_Works']['views']['CATEGORIES'] = array('label'=>'{LANG_CMM_WORKS_VIEW_CATEGORIES}','table'=>'cmm_works_categories','userLevel'=>1,'inNavi'=>1);
$CONFIG['CMM_Works']['views']['CONFIG'] = array('label'=>'{LANG_CMM_WORKS_VIEW_CONFIG}','table'=>'cmm_cmm_config','userLevel'=>6,'inNavi'=>1);
$CONFIG['CMM_Works']['views']['BACKUP'] = array('label'=>'{LANG_CMM_WORKS_VIEW_BACKUP}','userLevel'=>1,'inNavi'=>(!empty($GLOBALS['isBackend']) && !empty($CUSTOM['CMM_Works']['config']['enableBackup']) ? 1 : 0));
$CONFIG['CMM_Works']['views']['INSTALL'] = array('label'=>'{LANG_CMM_WORKS_VIEW_INSTALL}','userLevel'=>3);


////////////////////////////////////////////////////////////////////
// Modulfunktionen                                                //
////////////////////////////////////////////////////////////////////
// - label: Bezeichnung des Feldes
// - area: Anzeige-Bereich
// - userLevel: Berechntigungsstufe fuer Datensaetze
// - icon: Icon fuer Listenansicht
// - action: Aktion, die ausgefuehrt werden soll
// - clipboardAction: Aktion, die spaeter ausgefuehrt werden soll
// - message: Frage vor Ausfuerung der Funktion
// - condition: Bedingung pruefen (Datenbankfeld) item/_SESSION/_GET/_POST/_COOKIE/_ENV[keyvar]==value
// - file: Funktion in externer Datei ausfuehren
// - target: Zielfenster fuer Funktion

$CONFIG['CMM_Works']['views']['ITEMS']['actions'] = array(
	'LIST' => array('label'=>'{LANG_CMM_ACTION_LIST}','userLevel'=>0),
	'NEW' => array('label'=>'{LANG_CMM_WORKS_ITEM} {LANG_CMM_ACTION_NEW}','area'=>'listhead','userLevel'=>1,'icon'=>'icon-action-new.svg'),
	'EDIT' => array('label'=>'{LANG_CMM_ACTION_EDIT}','area'=>'list','userLevel'=>1,'icon'=>'icon-action-edit.svg'),
	'ENABLE' => array('label'=>'{LANG_CMM_ACTION_ENABLE}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-enable.svg','condition'=>'$item["WorksItemStatus"]==0'),
	'DISABLE' => array('label'=>'{LANG_CMM_ACTION_DISABLE}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-disable.svg','condition'=>'$item["WorksItemStatus"]==1'),
	'UP' => array('label'=>'{LANG_CMM_ACTION_UP}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-up.svg','condition'=>'$item["firstItem"]!=true && $CURRENT["sort"]=="WorksItemSort ASC"'),
	'DOWN' => array('label'=>'{LANG_CMM_ACTION_DOWN}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-down.svg','condition'=>'$item["lastItem"]!=true && $CURRENT["sort"]=="WorksItemSort ASC"'),
	'SAVE' => array('label'=>'{LANG_CMM_ACTION_SAVE}','area'=>'singlehead','userLevel'=>3,'icon'=>'icon-action-save.svg'),
	'SAVENEW' => array('label'=>'{LANG_CMM_ACTION_SAVENEW}','area'=>'singlehead','userLevel'=>3,'icon'=>'icon-action-save-and-new.svg'),
	'SAVECLOSE' => array('label'=>'{LANG_CMM_ACTION_SAVECLOSE}','area'=>'singlehead','userLevel'=>3,'icon'=>'icon-action-save-and-close.svg'),
	'CLOSE' => array('label'=>'{LANG_CMM_ACTION_CLOSE}','area'=>'singlehead','userLevel'=>1,'icon'=>'icon-action-close.svg'),
	'CUT' => array('label'=>'{LANG_CMM_ACTION_CUT}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-cut.svg'),
	'COPY' => array('label'=>'{LANG_CMM_ACTION_COPY}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-copy.svg'),
	'PASTE' => array('label'=>'{LANG_CMM_ACTION_PASTE}','area'=>'listhead','userLevel'=>3,'icon'=>'icon-action-paste.svg','UID'=>(!empty($GLOBALS['isBackend']) && isset($_SESSION[$CURRENT["module"]][$CURRENT["view"]]['clipboard']) ? $_SESSION[$CURRENT["module"]][$CURRENT["view"]]['clipboard']['id'] : ''),'condition'=>'!empty($_SESSION[$CURRENT["module"]][$CURRENT["view"]]["clipboard"])'),
	'REMOVE' => array('label'=>'{LANG_CMM_ACTION_REMOVE}','area'=>'list,singlehead','userLevel'=>3,'icon'=>'icon-action-remove.svg','condition'=>'$item["WorksItemUID"]>0','message'=>'{LANG_CMM_ACTION_REMOVE_CONFIRM}'),
	'CLIPBOARDCLEAR' => array('label'=>'{LANG_CMM_ACTION_CLIPBOARDCLEAR}','area'=>'listhead','userLevel'=>3,'icon'=>'icon-action-clipboard-clear.svg','condition'=>'isset($_SESSION[$CURRENT["module"]][$CURRENT["view"]]["clipboard"])')
	);

$CONFIG['CMM_Works']['views']['CATEGORIES']['actions'] = array(
	'LIST' => array('label'=>'{LANG_CMM_ACTION_LIST}','userLevel'=>0),
	'NEW' => array('label'=>'{LANG_CMM_WORKS_CATEGORY} {LANG_CMM_ACTION_NEW}','area'=>'listhead','userLevel'=>1,'icon'=>'icon-action-new.svg'),
	'EDIT' => array('label'=>'{LANG_CMM_ACTION_EDIT}','area'=>'list','userLevel'=>1,'icon'=>'icon-action-edit.svg'),
	'ENABLE' => array('label'=>'{LANG_CMM_ACTION_ENABLE}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-enable.svg','condition'=>'$item["WorksCategoryStatus"]==0'),
	'DISABLE' => array('label'=>'{LANG_CMM_ACTION_DISABLE}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-disable.svg','condition'=>'$item["WorksCategoryStatus"]==1'),
	'UP' => array('label'=>'{LANG_CMM_ACTION_UP}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-up.svg','condition'=>'$item["firstItem"]!=true && $CURRENT["sort"]=="WorksCategorySort ASC"'),
	'DOWN' => array('label'=>'{LANG_CMM_ACTION_DOWN}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-down.svg','condition'=>'$item["lastItem"]!=true && $CURRENT["sort"]=="WorksCategorySort ASC"'),
	'SAVE' => array('label'=>'{LANG_CMM_ACTION_SAVE}','area'=>'singlehead','userLevel'=>3,'icon'=>'icon-action-save.svg'),
	'SAVENEW' => array('label'=>'{LANG_CMM_ACTION_SAVENEW}','area'=>'singlehead','userLevel'=>3,'icon'=>'icon-action-save-and-new.svg'),
	'SAVECLOSE' => array('label'=>'{LANG_CMM_ACTION_SAVECLOSE}','area'=>'singlehead','userLevel'=>3,'icon'=>'icon-action-save-and-close.svg'),
	'CLOSE' => array('label'=>'{LANG_CMM_ACTION_CLOSE}','area'=>'singlehead','userLevel'=>1,'icon'=>'icon-action-close.svg'),
	'CUT' => array('label'=>'{LANG_CMM_ACTION_CUT}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-cut.svg'),
	'COPY' => array('label'=>'{LANG_CMM_ACTION_COPY}','area'=>'list','userLevel'=>3,'icon'=>'icon-action-copy.svg'),
	'PASTE' => array('label'=>'{LANG_CMM_ACTION_PASTE}','area'=>'listhead','userLevel'=>3,'icon'=>'icon-action-paste.svg','UID'=>(!empty($GLOBALS['isBackend']) && isset($_SESSION[$CURRENT["module"]][$CURRENT["view"]]['clipboard']) ? $_SESSION[$CURRENT["module"]][$CURRENT["view"]]['clipboard']['id'] : ''),'condition'=>'!empty($_SESSION[$CURRENT["module"]][$CURRENT["view"]]["clipboard"])'),
	'REMOVE' => array('label'=>'{LANG_CMM_ACTION_REMOVE}','area'=>'list,singlehead','userLevel'=>3,'icon'=>'icon-action-remove.svg','condition'=>'$item["WorksCategoryUID"]>0','message'=>'{LANG_CMM_ACTION_REMOVE_CONFIRM}'),
	'CLIPBOARDCLEAR' => array('label'=>'{LANG_CMM_ACTION_CLIPBOARDCLEAR}','area'=>'listhead','userLevel'=>3,'icon'=>'icon-action-clipboard-clear.svg','condition'=>'isset($_SESSION[$CURRENT["module"]][$CURRENT["view"]]["clipboard"])')
	);

$CONFIG['CMM_Works']['views']['BACKUP']['actions'] = array(
	'BACKUP' => array('label'=>'Datensicherung','userLevel'=>1,'inNavi'=>1),
	'INSTALLDB' => array('label'=>'Datenbanktabellen konfigurieren','userLevel'=>6),
	'BACKUPMAKE' => array('label'=>'Sicherung erstellen','userLevel'=>6,'inNavi'=>0),
	'BACKUPRESTORE' => array('label'=>'Sicherung zurückschreiben','userLevel'=>6,'inNavi'=>0),
	'BACKUPREMOVE' => array('label'=>'Sicherung löschen','userLevel'=>6,'inNavi'=>0)
	);

$CONFIG['CMM_Works']['views']['CONFIG']['actions'] = array(
	'CONFIG' => array('label'=>'Konfiguration','userLevel'=>1,'inNavi'=>1),
	'CONFIGSAVE' => array('label'=>'Konfiguration','area'=>'singlehead','userLevel'=>6,'icon'=>'icon-action-save.svg')
	);

$CONFIG['CMM_Works']['views']['INSTALL']['actions'] = array(
	'INSTALL' => array('label'=>'Installation','userLevel'=>6,'inNavi'=>0)
	);


////////////////////////////////////////////////////////////////////
// Datenbank-Tabellen                                             //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Works']['database'] = array();

// Datenstamm fuer Einträge
$CONFIG['CMM_Works']['database']['cmm_works_items'] = array(
	'tabs' => array(0=>'Standard',1=>'Media',2=>'Geo',3=>'Sonstiges',5=>'Meta',9=>'Anzeige'),
	'tablename' => 'cmm_works_items',
	'sort' => 'WorksItemUID DESC',
	'backup' => 1,
	'fieldprefix' => 'WorksItem',
	'fieldset' => array(
		'WorksItemUID' => array('label'=>'ID','type'=>'hidden','position'=>'top','tab'=>0,
			'sqldef'=>'int(10) default \'0\''),
		'WorksItemPID' => array('label'=>'ParentID','type'=>'hidden','position'=>'top','tab'=>0,
			'sqldef'=>'int(10) default \'0\''),
		'WorksItemTID' => array('label'=>'Typ','type'=>'hidden','position'=>'left','tab'=>0,
			'sqldef'=>'int(3) default \'0\''),
		'WorksItemLID' => array('label'=>'Sprache','type'=>'radio','position'=>'top','tab'=>3,
			'sqldef'=>'int(3) default \'0\'',
			'select'=>array('module'=>'CMM','table'=>'cmm_cmm_languages','keyfield'=>'LanguageUID','labelfield'=>'LanguageName','sort'=>'LanguageUID')),
		'WorksItemCID' => array('label'=>'Kategorie','type'=>'select','position'=>'left','tab'=>0,
			'sqldef'=>'varchar(100) collate utf8_unicode_ci default NULL',
			'select'=>array('module'=>'CMM_Works','table'=>'cmm_works_categories','keyfield'=>'WorksCategoryUID','labelfield'=>'WorksCategoryTitle','LID'=>'{$CURRENT["language"]}'),
			'join'=>array('module'=>'CMM_Works','table'=>'cmm_works_categories','keyfield'=>'WorksCategoryUID')),
		'WorksItemStatus' => array('label'=>'Status','type'=>'radio','position'=>'top','tab'=>9,
			'sqldef'=>'int(1) default \'0\'',
			'options'=>array(array('value'=>1,'text'=>'{LANG_CMM_ENABLED}'),array('value'=>'0','text'=>'{LANG_CMM_DISABLED}'))),
		'WorksItemSort' => array('label'=>'Sortierung','type'=>'hidden','position'=>'top','tab'=>3,
			'sqldef'=>'int(10) default \'0\''),
		'WorksItemDeleted' => array('label'=>'{LANG_CMM_FIELD_REMOVED}','type'=>'hidden','tab'=>3,
			'sqldef'=>'int(1) default \'0\''),
		'WorksItemStart' => array('label'=>'Start','type'=>'datetime','position'=>'left','tab'=>9,
			'sqldef'=>'datetime default NULL'),
		'WorksItemStop' => array('label'=>'Ende','type'=>'datetime','position'=>'right','tab'=>9,
			'sqldef'=>'datetime default NULL'),
		'WorksItemCustomergroupID' => array('label'=>'Anzeige für Benutzergruppen','type'=>'multiselect','attribs'=>array('multiple'=>1,'size'=>6),'position'=>'bottom','tab'=>9,
			'sqldef'=>'varchar(255) collate utf8_unicode_ci default NULL',
			'options'=>array('none'=>array('value'=>'0','text'=>'{LANG_CMM_IF_LOGGED_OUT}'),'all'=>array('value'=>'*','text'=>'{LANG_CMM_IF_LOGGED_IN}')),
			'select'=>array('module'=>'CMM','table'=>'cmm_cmm_customergroups','keyfield'=>'CustomergroupUID','labelfield'=>'CustomergroupUID,CustomergroupName','sort'=>'CustomergroupUID')),
		'WorksItemTitle' => array('label'=>'Titel / Überschrift','type'=>'textfield','attribs'=>array('required'=>1),'position'=>'top','tab'=>0,
			'sqldef'=>'varchar(255) collate utf8_unicode_ci default NULL'),
		'WorksItemSubtitle' => array('label'=>'Untertitel','type'=>'textfield','position'=>'top','tab'=>0,'shy'=>1,
			'sqldef'=>'varchar(255) collate utf8_unicode_ci default NULL'),
		'WorksItemTags' => array('label'=>'Tags / Schlagworte','type'=>'tagfield','position'=>'top','tab'=>0,'shy'=>1,
			'sqldef'=>'varchar(255) collate utf8_unicode_ci default NULL'),
		'WorksItemDate' => array('label'=>'Datum','type'=>'datetime','position'=>'right','tab'=>0,
			'sqldef'=>'datetime default \'0000-00-00 00:00:00\''),
		'WorksItemSpecial' => array('label'=>'Eintrag hervorheben','type'=>'checkbox','position'=>'right','tab'=>0,'shy'=>1,
			'sqldef'=>'int(3) default \'0\'',
			'options'=>array(array('value'=>'1','text'=>'{LANG_CMM_YES}'))),
		'WorksItemShorttext' => array('label'=>'Kurztext','type'=>'textarea','attribs'=>array('rows'=>5),'position'=>'bottom','tab'=>0,
			'sqldef'=>'text collate utf8_unicode_ci'),
		'WorksItemProblem' => array('label'=>'Aufgabenstellung','type'=>'rte','attribs'=>array('rows'=>6),'position'=>'bottom','tab'=>0,
			'sqldef'=>'text collate utf8_unicode_ci'),
		'WorksItemSolution' => array('label'=>'Lösung','type'=>'rte','attribs'=>array('rows'=>6),'position'=>'bottom','tab'=>0,'shy'=>1,
			'sqldef'=>'text collate utf8_unicode_ci'),
		'WorksItemAddress' => array('label'=>'Ort oder Adresse des Eintrages','type'=>'textfield','position'=>'top','tab'=>2,
			'sqldef'=>'varchar(255) collate utf8_unicode_ci default NULL'),
		'WorksItemGeoLat' => array('label'=>'GEO-Breitengrad','type'=>'geo','attribs'=>array('data-geo-fields'=>'WorksItemGeoLat,WorksItemGeoLng','data-address-fields'=>'WorksItemAddress'),'width'=>'50%','position'=>'left','tab'=>2,
			'sqldef'=>'varchar(32) collate utf8_unicode_ci default NULL'),
		'WorksItemGeoLng' => array('label'=>'GEO-Längengrad','type'=>'geo','attribs'=>array('data-geo-fields'=>'WorksItemGeoLat,WorksItemGeoLng','data-address-fields'=>'WorksItemAddress'),'width'=>'50%','position'=>'left','tab'=>2,
			'sqldef'=>'varchar(32) collate utf8_unicode_ci default NULL'),
		'WorksItemImages' => array('label'=>'Bilder','type'=>'imagelist','number'=>5,'dir'=>'data/CMM_Works/images/','position'=>'top','tab'=>1,
			'sqldef'=>'text collate utf8_unicode_ci'),
		'WorksItemVideos' => array('label'=>'Videos','type'=>'videolist','number'=>5,'dir'=>'data/CMM_Works/videos/','position'=>'top','tab'=>1,
			'sqldef'=>'text collate utf8_unicode_ci'),
		'WorksItemFiles' => array('label'=>'Dateien','type'=>'filelist','dir'=>'data/CMM_Works/files/','position'=>'top','number'=>5,'tab'=>1,
			'sqldef'=>'text collate utf8_unicode_ci'),
		'WorksItemLinks' => array('label'=>'Links','type'=>'linklist','position'=>'top','number'=>5,'tab'=>1,
			'sqldef'=>'text collate utf8_unicode_ci'),
		'WorksItemMetaTitle' => array('label'=>'Meta-Titel','type'=>'textfield','position'=>'bottom','tab'=>5,
			'sqldef'=>'varchar(255) collate utf8_unicode_ci default NULL'),
		'WorksItemMetaKeywords' => array('label'=>'Meta-Keywords','type'=>'textfield','position'=>'bottom','tab'=>5,
			'sqldef'=>'varchar(255) collate utf8_unicode_ci default NULL'),
		'WorksItemMetaDescription' => array('label'=>'Meta-Description','type'=>'textfield','position'=>'bottom','tab'=>5,
			'sqldef'=>'varchar(255) collate utf8_unicode_ci default NULL'),
		'WorksItemAddDate' => array('label'=>'Datum erstellt','type'=>'hidden','position'=>'left','tab'=>0,
			'sqldef'=>'datetime default \'0000-00-00 00:00:00\''),
		'WorksItemAddUser' => array('label'=>'Benutzer erstellt','type'=>'hidden','position'=>'left','tab'=>0,
			'sqldef'=>'varchar(32) collate utf8_unicode_ci default \'0\''),
		'WorksItemModDate' => array('label'=>'Datum geändert','type'=>'hidden','position'=>'left','tab'=>0,
			'sqldef'=>'datetime default \'0000-00-00 00:00:00\''),
		'WorksItemModUser' => array('label'=>'Benutzer geändert','type'=>'hidden','position'=>'left','tab'=>0,
			'sqldef'=>'varchar(32) collate utf8_unicode_ci default \'0\'')
		),
	'tableset' => array(
		'engine' => 'MyISAM',
		'primarykey' => 'UID',
		'charset' => 'utf8',
		'collation' => 'utf8_unicode_ci',
		'comment' => 'Einträge'
		)
	);
	
// Datenstamm fuer Kategorien
$CONFIG['CMM_Works']['database']['cmm_works_categories'] = array(
	'tabs' => array(0=>'Standard',1=>'Media',2=>'Plugins',3=>'Sonstiges',9=>'Anzeige'),
	'tablename' => 'cmm_works_categories',
	'sort' => 'WorksCategoryUID DESC',
	'backup' => 1,
	'fieldprefix' => 'WorksCategory',
	'fieldset' => array(
		'WorksCategoryUID' => array('label'=>'ID','type'=>'hidden','position'=>'top','tab'=>0,
			'sqldef'=>'int(10) default \'0\''),
		'WorksCategoryPID' => array('label'=>'ParentID','type'=>'hidden','position'=>'top','tab'=>0,
			'sqldef'=>'int(10) default \'0\''),
		'WorksCategoryTID' => array('label'=>'Typ','type'=>'hidden','position'=>'top','tab'=>3,
			'sqldef'=>'int(3) default \'0\''),
		'WorksCategoryLID' => array('label'=>'Sprache','type'=>'radio','position'=>'top','tab'=>3,
			'sqldef'=>'int(3) default \'0\'',
			'select'=>array('module'=>'CMM','table'=>'cmm_cmm_languages','keyfield'=>'LanguageUID','labelfield'=>'LanguageName','sort'=>'LanguageUID')),
		'WorksCategoryStatus' => array('label'=>'Status','type'=>'radio','position'=>'top','tab'=>9,
			'sqldef'=>'int(1) default \'0\'',
			'options'=>array(array('value'=>1,'text'=>'{LANG_CMM_ENABLED}'),array('value'=>'0','text'=>'{LANG_CMM_DISABLED}'))),
		'WorksCategoryDeleted' => array('label'=>'{LANG_CMM_FIELD_REMOVED}','type'=>'hidden','tab'=>3,
			'sqldef'=>'int(1) default \'0\''),
		'WorksCategorySort' => array('label'=>'Sortierung','type'=>'hidden','position'=>'top','tab'=>3,
			'sqldef'=>'int(10) default \'0\''),
		'WorksCategoryTitle' => array('label'=>'Titel','type'=>'textfield','position'=>'top','tab'=>0,
			'sqldef'=>'varchar(100) collate utf8_unicode_ci default NULL'),
		'WorksCategoryDescription' => array('label'=>'Beschreibung','type'=>'textarea','position'=>'top','tab'=>0,
			'sqldef'=>'text collate utf8_unicode_ci'),
		'WorksCategoryIcon' => array('label'=>'Symbol','type'=>'imagelist','number'=>'1','dir'=>'data/CMM_Works/images/','position'=>'top','tab'=>1,
			'sqldef'=>'varchar(100) collate utf8_unicode_ci default NULL'),
		'WorksCategoryAddDate' => array('label'=>'Datum erstellt','type'=>'hidden','position'=>'left','tab'=>0,
			'sqldef'=>'datetime default \'0000-00-00 00:00:00\''),
		'WorksCategoryAddUser' => array('label'=>'Benutzer erstellt','type'=>'hidden','position'=>'left','tab'=>0,
			'sqldef'=>'varchar(32) collate utf8_unicode_ci default \'0\''),
		'WorksCategoryModDate' => array('label'=>'Datum geändert','type'=>'hidden','position'=>'left','tab'=>0,
			'sqldef'=>'datetime default \'0000-00-00 00:00:00\''),
		'WorksCategoryModUser' => array('label'=>'Benutzer geändert','type'=>'hidden','position'=>'left','tab'=>0,
			'sqldef'=>'varchar(32) collate utf8_unicode_ci default \'0\'')
		),
	'tableset' => array(
		'engine' => 'MyISAM',
		'primarykey' => 'UID',
		'charset' => 'utf8',
		'collation' => 'utf8_unicode_ci',
		'comment' => 'Kategorien'
		)
	);


////////////////////////////////////////////////////////////////////
// Sortier-Variablen (Administration)                             //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Works']['sortVars'] = array();
$CONFIG['CMM_Works']['sortVars']['cmm_works_items'] = array('WorksItemUID','WorksItemSort','WorksItemStatus','WorksItemTitle','WorksItemAddDate','WorksItemModDate');
$CONFIG['CMM_Works']['sortVars']['cmm_works_categories'] = array('WorksCategoryUID','WorksCategorySort','WorksCategoryStatus','WorksCategoryTitle','WorksCategoryAddDate','WorksCategoryModDate');


////////////////////////////////////////////////////////////////////
// Filter-Variablen (Administration)                             //
////////////////////////////////////////////////////////////////////
$CONFIG['CMM_Works']['filterVars'] = array();
$CONFIG['CMM_Works']['filterVars']['cmm_works_items'] = array_keys($CONFIG['CMM_Works']['database']['cmm_works_items']['fieldset']);
$CONFIG['CMM_Works']['filterVars']['cmm_works_categories'] = array_keys($CONFIG['CMM_Works']['database']['cmm_works_categories']['fieldset']);

// Additional filter fields
$CONFIG['CMM_Works']['filterVars']['cmm_works_items'][] = 'OPTGROUP:Sonstige';
$CONFIG['CMM_Works']['filterVars']['cmm_works_items'][] = 'WorksCategoryTitle:Kategorie-Titel';

?>