// Canvas Particle Network
// https://github.com/JulianLaval/canvas-particle-network
// The MIT License (MIT)
// Copyright (c) 2015 Julian Laval
// mod. Nciolas Berg 2017: enabled background:''

// Set up ParticleNetwork appropriately for the environment.
!function(a){var b="object"==typeof self&&self.self===self&&self||"object"==typeof global&&global.global===global&&global;"function"==typeof define&&define.amd?define(["exports"],function(c){b.ParticleNetwork=a(b,c)}):"object"==typeof module&&module.exports?module.exports=a(b,{}):b.ParticleNetwork=a(b,{})}(function(a,b){var c=function(a){this.canvas=a.canvas,this.ctx=a.ctx,this.particleColor=a.options.particleColor,this.x=Math.random()*this.canvas.width,this.y=Math.random()*this.canvas.height,this.velocity={x:(Math.random()-.5)*a.options.velocity,y:(Math.random()-.5)*a.options.velocity}};return c.prototype.update=function(){(this.x>this.canvas.width+20||this.x<-20)&&(this.velocity.x=-this.velocity.x),(this.y>this.canvas.height+20||this.y<-20)&&(this.velocity.y=-this.velocity.y),this.x+=this.velocity.x,this.y+=this.velocity.y},c.prototype.draw=function(){this.ctx.beginPath(),this.ctx.fillStyle=this.particleColor,this.ctx.globalAlpha=.7,this.ctx.arc(this.x,this.y,1.5,0,2*Math.PI),this.ctx.fill()},b=function(a,b){this.canvasDiv=a,this.canvasDiv.size={width:this.canvasDiv.offsetWidth,height:this.canvasDiv.offsetHeight},b=void 0!==b?b:{},this.options={particleColor:void 0!==b.particleColor?b.particleColor:"#fff",background:void 0!==b.background?b.background:"#1a252f",interactive:void 0===b.interactive||b.interactive,velocity:this.setVelocity(b.speed),density:this.setDensity(b.density)},this.init()},b.prototype.init=function(){if(this.bgDiv=document.createElement("div"),this.canvasDiv.appendChild(this.bgDiv),this.setStyles(this.bgDiv,{position:"absolute",top:0,left:0,bottom:0,right:0,"z-index":1}),""!=this.options.background&&/(^#[0-9A-F]{6}$)|(^#[0-9A-F]{3}$)/i.test(this.options.background)?this.setStyles(this.bgDiv,{background:this.options.background}):""!=this.options.background&&/\.(gif|jpg|jpeg|tiff|png)$/i.test(this.options.background)&&this.setStyles(this.bgDiv,{background:'url("'+this.options.background+'") no-repeat center',"background-size":"cover"}),!/(^#[0-9A-F]{6}$)|(^#[0-9A-F]{3}$)/i.test(this.options.particleColor))return console.error("Please specify a valid particleColor hexadecimal color"),!1;this.canvas=document.createElement("canvas"),this.canvasDiv.appendChild(this.canvas),this.ctx=this.canvas.getContext("2d"),this.canvas.width=this.canvasDiv.size.width,this.canvas.height=this.canvasDiv.size.height,this.setStyles(this.canvasDiv,{position:"relative"}),this.setStyles(this.canvas,{"z-index":"20",position:"relative"}),window.addEventListener("resize",function(){return(this.canvasDiv.offsetWidth!==this.canvasDiv.size.width||this.canvasDiv.offsetHeight!==this.canvasDiv.size.height)&&(this.canvas.width=this.canvasDiv.size.width=this.canvasDiv.offsetWidth,this.canvas.height=this.canvasDiv.size.height=this.canvasDiv.offsetHeight,clearTimeout(this.resetTimer),void(this.resetTimer=setTimeout(function(){this.particles=[];for(var a=0;a<this.canvas.width*this.canvas.height/this.options.density;a++)this.particles.push(new c(this));this.options.interactive&&this.particles.push(this.mouseParticle),requestAnimationFrame(this.update.bind(this))}.bind(this),500)))}.bind(this)),this.particles=[];for(var a=0;a<this.canvas.width*this.canvas.height/this.options.density;a++)this.particles.push(new c(this));this.options.interactive&&(this.mouseParticle=new c(this),this.mouseParticle.velocity={x:0,y:0},this.particles.push(this.mouseParticle),this.canvas.addEventListener("mousemove",function(a){this.mouseParticle.x=a.clientX-this.canvas.offsetLeft,this.mouseParticle.y=a.clientY-this.canvas.offsetTop}.bind(this)),this.canvas.addEventListener("mouseup",function(a){this.mouseParticle.velocity={x:(Math.random()-.5)*this.options.velocity,y:(Math.random()-.5)*this.options.velocity},this.mouseParticle=new c(this),this.mouseParticle.velocity={x:0,y:0},this.particles.push(this.mouseParticle)}.bind(this))),requestAnimationFrame(this.update.bind(this))},b.prototype.update=function(){this.ctx.clearRect(0,0,this.canvas.width,this.canvas.height),this.ctx.globalAlpha=1;for(var a=0;a<this.particles.length;a++){this.particles[a].update(),this.particles[a].draw();for(var b=this.particles.length-1;b>a;b--){var c=Math.sqrt(Math.pow(this.particles[a].x-this.particles[b].x,2)+Math.pow(this.particles[a].y-this.particles[b].y,2));c>120||(this.ctx.beginPath(),this.ctx.strokeStyle=this.options.particleColor,this.ctx.globalAlpha=(120-c)/120,this.ctx.lineWidth=.7,this.ctx.moveTo(this.particles[a].x,this.particles[a].y),this.ctx.lineTo(this.particles[b].x,this.particles[b].y),this.ctx.stroke())}}0!==this.options.velocity&&requestAnimationFrame(this.update.bind(this))},b.prototype.setVelocity=function(a){return"fast"===a?1:"slow"===a?.33:"none"===a?0:.66},b.prototype.setDensity=function(a){return"high"===a?5e3:"low"===a?2e4:isNaN(parseInt(a,10))?1e4:a},b.prototype.setStyles=function(a,b){for(var c in b)a.style[c]=b[c]},b});